import * as i0 from '@angular/core';
import { Injectable, Optional, EventEmitter, Component, Input, Output, Directive, HostListener, NgModule, Pipe, ViewChild, forwardRef, ElementRef, ChangeDetectionStrategy, createComponent, ViewChildren, HostBinding } from '@angular/core';
import * as i1 from '@angular/common/http';
import { HttpHeaders, HttpParams, HttpClientModule } from '@angular/common/http';
import { Subject, BehaviorSubject, map, catchError, of, shareReplay, retry as retry$1, throwError, takeUntil, forkJoin, distinctUntilChanged, take, Subscription } from 'rxjs';
import { JwtHelperService } from '@auth0/angular-jwt';
import { retry, map as map$1, catchError as catchError$1, takeUntil as takeUntil$1 } from 'rxjs/operators';
import * as i2 from '@vcomply/authorizer';
import * as i1$1 from '@angular/common';
import { CommonModule, DatePipe, NgOptimizedImage } from '@angular/common';
import * as i1$3 from '@angular/forms';
import { FormsModule, NG_VALUE_ACCESSOR, Validators, ReactiveFormsModule } from '@angular/forms';
import { cloneDeep, shuffle, some, uniqBy, isEqual } from 'lodash';
import * as i1$2 from '@angular/platform-browser';
import * as i4 from '@vcomply/editor';
import { VcomplyEditorModule } from '@vcomply/editor';
import * as i5 from 'ng2-date-picker';
import { DpDatePickerModule } from 'ng2-date-picker';
import { nanoid } from 'nanoid';
import moment from 'moment';
import dayjs from 'dayjs';
import moment$1 from 'moment/moment';
import { cloneDeep as cloneDeep$1 } from 'lodash-es';
import { moveItemInArray, DragDropModule } from '@angular/cdk/drag-drop';
import * as i3 from '@angular/router';
import { NavigationStart, NavigationEnd, NavigationError } from '@angular/router';
import * as i5$1 from 'ngx-material-timepicker';
import { NgxMaterialTimepickerModule } from 'ngx-material-timepicker';
import * as i12 from 'ngx-doc-viewer';
import { NgxDocViewerModule } from 'ngx-doc-viewer';
import cloneDeep$2 from 'lodash-es/cloneDeep';
import * as XLSX from 'xlsx';

class WorkflowEngineService {
    constructor() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowEngineService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowEngineService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowEngineService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class UiKitService {
    constructor() {
        this.isSmileyOn = false;
        this.isLoader = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UiKitService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UiKitService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UiKitService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class SnackBarService {
    constructor() {
        this.snackbarSubject = new Subject();
        this.snackbarState = this.snackbarSubject.asObservable();
    }
    show(message, type) {
        this.snackbarSubject.next({
            show: true,
            message,
            icon: type,
        });
    }
    hide() {
        this.snackbarSubject.next({
            show: false,
            message: '',
            icon: '',
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class TokenDecoderService {
    constructor() { }
    getUserDetailsFromToken() {
        if (localStorage.getItem("currentUser")) {
            const helper = new JwtHelperService();
            const rawToken = JSON.parse(localStorage.getItem('currentUser') ?? '{}').token;
            const tokenInfo = helper.decodeToken(rawToken);
            if (tokenInfo?.iss) {
                if (tokenInfo.user) {
                    try {
                        return JSON.parse(tokenInfo?.user);
                    }
                    catch {
                        return null;
                    }
                }
            }
            else {
                return tokenInfo.user ?? null;
            }
        }
        else {
            return null;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TokenDecoderService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TokenDecoderService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TokenDecoderService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class Configurations {
    constructor() {
        this.envConfig = {};
    }
}

let AuthService$1 = class AuthService {
    constructor(http, decoder, config) {
        this.http = http;
        this.decoder = decoder;
        this.previewPanel = new BehaviorSubject(false);
        if (config) {
            this.env = config.envConfig;
        }
    }
    userId() {
        const helper = new JwtHelperService();
        const CURRENT_USER = localStorage.getItem('currentUser');
        let myRawToken;
        CURRENT_USER ? (myRawToken = CURRENT_USER) : (myRawToken = '');
        const isExpired = helper.isTokenExpired(myRawToken);
        if (isExpired === false) {
            const tokenInfo = helper.decodeToken(myRawToken);
            return tokenInfo._id;
        }
        return '';
    }
    getUserDetails() {
        const helper = new JwtHelperService();
        const CURRENT_USER = localStorage.getItem('currentUser');
        let myRawToken;
        CURRENT_USER ? (myRawToken = CURRENT_USER) : (myRawToken = '');
        const isExpired = helper.isTokenExpired(myRawToken);
        if (isExpired === false) {
            let tokenInfo = helper.decodeToken(myRawToken);
            tokenInfo['user'] = this.decoder.getUserDetailsFromToken();
            return tokenInfo;
        }
        return '';
    }
    isKeyAdmin() {
        if (this.isValidToken() && Object.keys(this.tokenInfo()).length > 0) {
            return this.tokenInfo().keyAdmin;
        }
        return false;
    }
    isAdmin() {
        if (this.isValidToken()) {
            return this.tokenInfo().admin;
        }
        return false;
    }
    isManager() {
        if (this.isValidToken()) {
            return this.tokenInfo().manager;
        }
        return false;
    }
    isUser() {
        if (this.isValidToken()) {
            return this.tokenInfo().user;
        }
        return false;
    }
    isValidToken() {
        const helper = new JwtHelperService();
        const userToken = localStorage.getItem('currentUser');
        if (userToken) {
            const CURRENT_USER = localStorage.getItem('currentUser');
            let myRawToken;
            CURRENT_USER ? (myRawToken = CURRENT_USER) : (myRawToken = '');
            const isExpired = helper.isTokenExpired(myRawToken);
            if (isExpired === true) {
                return false;
            }
            if (isExpired === false) {
                return true;
            }
        }
        return false;
    }
    tokenInfo() {
        const helper = new JwtHelperService();
        const userToken = localStorage.getItem('currentUser');
        if (userToken) {
            const CURRENT_USER = localStorage.getItem('currentUser');
            let myRawToken;
            CURRENT_USER ? (myRawToken = CURRENT_USER) : (myRawToken = '');
            const tokenInfo = helper.decodeToken(myRawToken);
            return this.decoder.getUserDetailsFromToken();
        }
        return {};
    }
    getAuthorizationToken() {
        try {
            if (this.isValidToken()) {
                const tk = localStorage.getItem('currentUser');
                if (tk) {
                    const myRawToken = JSON.parse(tk).token;
                    return myRawToken;
                }
                return '';
            }
            return '';
        }
        catch (err) { }
        return '';
    }
    getUserTimeZone() {
        try {
            if (this.isValidToken()) {
                const helper = new JwtHelperService();
                const tk = localStorage.getItem('currentUser');
                if (tk) {
                    const myRawToken = JSON.parse(tk).token;
                    const tokenInfo = helper.decodeToken(myRawToken);
                    const userInfo = this.decoder.getUserDetailsFromToken();
                    return userInfo?.timezone;
                }
                return '';
            }
            return '';
        }
        catch (err) { }
        return '';
    }
    getOrganizationId() {
        try {
            if (this.isValidToken()) {
                const helper = new JwtHelperService();
                const tk = localStorage.getItem('currentUser');
                if (tk) {
                    const myRawToken = JSON.parse(tk).token;
                    const tokenInfo = helper.decodeToken(myRawToken);
                    const userInfo = this.decoder.getUserDetailsFromToken();
                    return userInfo.organisation_id;
                }
                return -1;
            }
            return -1;
        }
        catch (err) { }
        return -1;
    }
    getMemberId() {
        try {
            if (this.isValidToken()) {
                const helper = new JwtHelperService();
                const tk = localStorage.getItem('currentUser');
                if (tk) {
                    const myRawToken = JSON.parse(tk).token;
                    const tokenInfo = helper.decodeToken(myRawToken);
                    const userInfo = this.decoder.getUserDetailsFromToken();
                    return userInfo?.id;
                }
                return -1;
            }
            return -1;
        }
        catch (err) { }
        return -1;
    }
    logout() {
        const primaryToken = localStorage.getItem('primaryuser');
        if (primaryToken != null) {
            localStorage.setItem('currentUser', primaryToken);
            localStorage.removeItem('primaryuser');
            window.location.href = this.env.appUrl;
        }
        else {
            localStorage.removeItem('currentUser');
            window.location.href = this.env.appUrl;
        }
    }
    isTokenExpired() {
        const helper = new JwtHelperService();
        const userToken = localStorage.getItem('currentUser');
        if (userToken !== null) {
            const myRawToken = JSON.parse(userToken).token;
            const isExpired = helper.isTokenExpired(myRawToken);
            return isExpired;
        }
        return false;
    }
    isLoggedIn() {
        const helper = new JwtHelperService();
        const userToken = localStorage.getItem('currentUser');
        if (userToken) {
            const myRawToken = JSON.parse(userToken).token;
            const isExpired = helper.isTokenExpired(myRawToken);
            if (isExpired === false) {
                return true;
            }
            if (isExpired === true) {
                this.logout();
            }
            window.location.href = this.env.appUrl + '#/signin?redirectURL= ' + encodeURIComponent(window.location.href);
            return false;
        }
        window.location.href = this.env.appUrl + '#/signin?redirectURL= ' + encodeURIComponent(window.location.href);
        return false;
    }
    getOrganizationDetails() {
        const headers = new HttpHeaders().set('token', this.getAuthorizationToken());
        return this.http.get(this.env?.organizationGet + 'orgDetails&id=' + this.getOrganizationId(), { headers }).pipe(retry(2));
    }
    getUserInfo() {
        const headers = new HttpHeaders().set('token', this.getAuthorizationToken());
        return this.http.get(this.env?.organizationGet + 'users&id=' + this.userId(), { headers }).pipe(retry(2));
    }
    getSubscriptionDetails() {
        const headers = new HttpHeaders().set('token', this.getAuthorizationToken());
        return this.http.get(this.env?.organizationGet + 'subscriptionList', { headers }).pipe(retry(2));
    }
    convertUtcToLocalDateTime(timestamp) {
        if (typeof timestamp !== 'string') {
            let TimeZone = this.getUserTimeZone() ?? '';
            const monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
            const dayName = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
            if (TimeZone === '' || parseInt(timestamp.toString(), 10) <= 0) {
                return '0';
            }
            else {
                const UTC_TIME = new Intl.DateTimeFormat('en', {
                    timeZone: TimeZone,
                    hour: 'numeric',
                    minute: 'numeric',
                });
                const GET_TIME = UTC_TIME.format(new Date(timestamp * 1000));
                const UTC_DATE = new Intl.DateTimeFormat('en', {
                    timeZone: TimeZone,
                });
                const MY_DATE = UTC_DATE.format(new Date(timestamp * 1000));
                const date = new Date(MY_DATE);
                const DAY_NAME = dayName[date.getDay()];
                let day = date.getDate().toString();
                day = day.length === 1 ? '0' + day : day;
                const monthIndex = date.getMonth();
                const year = date.getFullYear();
                const GET_DATE = day + '-' + monthNames[monthIndex] + '-' + year;
                // const DATE_TIME = GET_DATE + ' ' + GET_TIME ;
                return GET_DATE;
            }
        }
        return '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuthService, deps: [{ token: i1.HttpClient }, { token: TokenDecoderService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuthService, providedIn: 'root' }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuthService$1, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: TokenDecoderService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class OrganizationCommonService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.orgUser = new BehaviorSubject(null);
        this.orgDetails = new BehaviorSubject(null);
        this.subscriptionList = new BehaviorSubject(null);
        if (config) {
            this.env = config?.envConfig;
        }
    }
    getOrgUsers() {
        const headers = new HttpHeaders().set('token', this.authService?.getAuthorizationToken());
        return this.http
            ?.get(this.env?.organizationGet + 'users&id=' + this.authService?.userId(), { headers })
            .pipe(map((res) => this.setOrgUsers(res)), catchError((error) => {
            console.error('Error while fetching organization users', error);
            return of(null);
        }));
    }
    setOrgUsers(data) {
        this.orgUser?.next(data);
        return data;
    }
    getOrgUserInfo() {
        const currentUsers = this.orgUser?.getValue();
        if (currentUsers) {
            return of(this.orgUser?.value);
        }
        return this.getOrgUsers();
    }
    getOrgDetails() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            ?.get(this.env?.organizationGet +
            'orgDetails&id=' +
            this.authService?.getOrganizationId(), { headers })
            .pipe(map((res) => this.setOrgDetails(res)), catchError((error) => {
            console.error('Error fetching organization users', error);
            return of(null);
        }));
    }
    setOrgDetails(data) {
        this.orgDetails?.next(data);
        return data;
    }
    getOrgDetailsInfo() {
        const currentUsers = this.orgDetails?.getValue();
        if (currentUsers) {
            return of(this.orgDetails?.value);
        }
        return this.getOrgDetails();
    }
    getSubscriptionDetails() {
        const headers = new HttpHeaders().set('token', this.authService?.getAuthorizationToken());
        return this.http
            .get(this.env?.organizationGet + 'subscriptionList', { headers })
            .pipe(map((res) => this.setSubscriptionDetails(res)), catchError((error) => {
            console.error('Error fetching subscription Details', error);
            return of(null);
        }));
    }
    setSubscriptionDetails(data) {
        this.subscriptionList?.next(data);
        return data;
    }
    getSubscriptionDetailsInfo() {
        const currentUsers = this.subscriptionList?.getValue();
        if (currentUsers) {
            return of(this.subscriptionList?.value);
        }
        return this.getSubscriptionDetails();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OrganizationCommonService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OrganizationCommonService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OrganizationCommonService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

const API_URLS$1 = {
    GET_ALL_TYPES: `/type/?fetch_all=true`,
    GET_ALL_PRIORITIES: `/priority/?fetch_all=true`,
    GET_ALL_CATEGORIES: `/category/?fetch_all=true`,
    GET_STAGE_DETAILS: `/getWorkflow`,
    GET_CASE_OWNERS: `organizationMembers&manageCase=true&workflow_id=`,
    ADD_CASE_TO_WORKFLOW: `/add-to-workflow`,
    VALIDATE_CASE_DEADLINE: `/validDeadline/`
};

class ReportACaseService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.getAllTypes$ = new BehaviorSubject(null);
        this.getAllPriorities$ = new BehaviorSubject(null);
        this.getAllCategories$ = new BehaviorSubject(null);
        this.workflowSubject = new BehaviorSubject(null);
        this.workflow$ = this.workflowSubject.asObservable();
        this.workflowCode = new Subject();
        this.resetMoreOption = new Subject();
        this.caseTypeLoader = new BehaviorSubject(false);
        this.env = config?.envConfig;
    }
    fetchAllTypes() {
        const headers = new HttpHeaders().set('token', this.authService?.getAuthorizationToken());
        return this.http
            .get(this.env.case + API_URLS$1.GET_ALL_TYPES, {
            headers,
        })
            .pipe(map$1((res) => {
            this.getAllTypes$.next(res);
            return res;
        }));
    }
    fetchAllPriorities() {
        const headers = new HttpHeaders().set('token', this.authService?.getAuthorizationToken());
        return this.http
            .get(this.env.case + API_URLS$1.GET_ALL_PRIORITIES, {
            headers,
        })
            .pipe(map$1((res) => {
            this.getAllPriorities$.next(res);
            return res;
        }), catchError$1((error) => {
            console.error(error);
            return error;
        }));
    }
    fetchAllCategories() {
        const headers = new HttpHeaders().set('token', this.authService?.getAuthorizationToken());
        return this.http
            .get(this.env.case + API_URLS$1.GET_ALL_CATEGORIES, {
            headers,
        })
            .pipe(map$1((res) => {
            this.getAllCategories$.next(res);
            return res;
        }));
    }
    getAllCategories() {
        if (this.getAllCategories$?.getValue()) {
            return of(this.getAllCategories$?.value);
        }
        return this.fetchAllCategories();
    }
    getAllTypes() {
        if (this.getAllTypes$?.getValue()) {
            return of(this.getAllTypes$?.value);
        }
        return this.fetchAllTypes();
    }
    getAllPriorities() {
        if (this.getAllPriorities$?.getValue()) {
            return of(this.getAllPriorities$?.value);
        }
        return this.fetchAllPriorities();
    }
    reportACase(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.case, payload, {
            headers,
        });
    }
    addCaseToWorkflow(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.case + API_URLS$1.ADD_CASE_TO_WORKFLOW, payload, {
            headers,
        });
    }
    updateCase(payload, caseId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.put(this.env.case + '/' + caseId, payload, {
            headers,
        });
    }
    getWorkflowDetails(params) {
        const payload = JSON.stringify(params);
        // Set the required headers, including the custom "Payload-Object"
        const headers = new HttpHeaders()
            .set('token', this.authService.getAuthorizationToken())
            .set('Payload-Object', payload);
        return this.http
            .get(this.env.case + API_URLS$1.GET_STAGE_DETAILS, {
            headers,
        })
            .subscribe((res) => {
            this.workflowSubject.next(res);
        });
    }
    getCaseOwners(workflow_id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.organizationGet + API_URLS$1.GET_CASE_OWNERS + workflow_id, {
            headers,
        });
    }
    getCaseDetails(caseId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.case + '/' + caseId, {
            headers,
        });
    }
    validateCaseDeadline(caseId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.case + API_URLS$1.VALIDATE_CASE_DEADLINE + caseId, {
            headers,
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportACaseService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportACaseService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportACaseService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class ApiService {
    constructor(authService, config) {
        this.authService = authService;
        this.loggedUserDetail$ = new BehaviorSubject(null);
        this.env = config?.envConfig;
        this.getUserDetails();
    }
    //fetch logged in user details
    getUserDetails() {
        this.authService.getUserInfo().subscribe((data) => {
            if (data) {
                this.loggedUserDetail$.next(data);
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApiService, deps: [{ token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApiService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApiService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class RbacService {
    constructor(apiService) {
        this.apiService = apiService;
        this.permissions = {};
    }
    /**
     * Retrieves the RBAC (Role-Based Access Control) permissions for a given module.
     *
     * @param MODULE - The module for which to retrieve the permissions. Must be one of the following values:
     *   - 'assessment'
     *   - 'audit'
     *   - 'issue'
     *   - 'policy'
     *   - 'risk'
     *   - 'assurance'
     *   - 'compliance'
     *   - 'organization'
     *
     * @returns An array of strings representing the permissions for the specified module.
     */
    getRBACPermissions(MODULE) {
        if (this.permissions[MODULE]) {
            return this.permissions[MODULE];
        }
        const modulePermissions = this.data?.find((item) => item?.moduleName === MODULE);
        const PERMISSION_ARRAY = [];
        // checked if module is active
        if (modulePermissions?.isActive) {
            // find all active submodules
            modulePermissions.subModule
                ?.filter((subModule) => subModule.isActive)
                .forEach((subModule) => {
                // find all active permissions
                subModule.permissions
                    ?.filter((permission) => permission.enable)
                    .forEach((permission) => {
                    PERMISSION_ARRAY.push(permission.code);
                });
            });
        }
        this.permissions[MODULE] = PERMISSION_ARRAY;
        return PERMISSION_ARRAY;
    }
    getRBACData(MODULE) {
        return this.apiService.loggedUserDetail$.pipe(map((data) => {
            if (data?.roleActions) {
                this.data = data.roleActions;
                return this.getRBACPermissions(MODULE);
            }
            return [];
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RbacService, deps: [{ token: ApiService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RbacService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RbacService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: ApiService }]; } });

class AuthService {
    constructor(http, authorizer, organizationCommonService, config) {
        this.http = http;
        this.authorizer = authorizer;
        this.organizationCommonService = organizationCommonService;
        this.subscriptionDetails = new BehaviorSubject([]);
        this.userDetails = new BehaviorSubject({});
        this.permissions = [];
        this.getSubscriptionDetails();
        this.env = config?.envConfig;
    }
    setPermission() {
        const assessmentPermission = this.roleBasedPermission.filter((ele) => ele.moduleName === 'assessment');
        if (assessmentPermission?.length > 0) {
            const permission = assessmentPermission[0];
            const allowedFlows = [];
            permission.subModule.forEach((ele) => {
                ele.permissions.forEach((subModule) => {
                    switch (subModule?.code) {
                        case 'AALVAL': {
                            if (subModule?.defaultPermission == 1 || subModule?.enable == 1) {
                                allowedFlows.push('VIEW_ASSESSMENT_LIBRARY');
                            }
                            ;
                            break;
                        }
                        case 'AALMAL': {
                            if (subModule?.defaultPermission || subModule?.enable) {
                                allowedFlows.push('MANAGE_ASSESSMENT_LIBRARY');
                            }
                            ;
                            break;
                        }
                        case 'AAVA': {
                            if (subModule?.defaultPermission || subModule?.enable) {
                                allowedFlows.push('VIEW_ASSESSMENTS');
                            }
                            ;
                            break;
                        }
                        case 'AAMA': {
                            if (subModule?.defaultPermission || subModule?.enable) {
                                allowedFlows.push('MANAGE_ASSESSMENTS');
                            }
                            ;
                            break;
                        }
                    }
                });
            });
            this.permissions = allowedFlows;
        }
    }
    /**
    * Returns weather the user data loaded or not
    * @returns
    */
    startApp() {
        return new Promise((resolve, reject) => {
            this.getUser().subscribe((res) => {
                resolve(true);
            });
        });
    }
    /**
    * Gets user details
    * @returns
    */
    getUser() {
        return this.http.get(this.env.organizationGet + 'memberFindbyId&id=' + this.authorizer.getMemberId() ?? '')
            .pipe(map((res) => {
            this.userDetails.next(res);
            this.roleBasedPermission = res?.roleActions;
            this.setPermission();
        }), shareReplay(1)).pipe(retry$1(2));
    }
    getSubscriptionDetails() {
        return this.organizationCommonService
            ?.getSubscriptionDetailsInfo()
            ?.subscribe({
            next: (res) => {
                this.subscriptionDetails?.next(res);
            },
            error: (error) => {
                console.error(error);
            },
        });
    }
    getUserRole() {
        if (this.authorizer.isKeyAdmin()) {
            return 'KEY_ADMIN';
        }
        else if (this.authorizer.isAdmin()) {
            return 'ADMIN';
        }
        else if (this.authorizer.isManager()) {
            return 'MANAGER';
        }
        else {
            return 'EXECUTIVE';
        }
    }
    logout() {
        this.authorizer.logout();
    }
    convertUtcToLocalDateTime(timestamp) {
        if (typeof timestamp !== 'string') {
            let TimeZone = this.authorizer.getUserTimezone() ?? '';
            const monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
            const dayName = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
            if (TimeZone === '' || parseInt(timestamp.toString(), 10) <= 0) {
                return '0';
            }
            else {
                const UTC_TIME = new Intl.DateTimeFormat('en', {
                    timeZone: TimeZone,
                    hour: 'numeric',
                    minute: 'numeric',
                });
                const GET_TIME = UTC_TIME.format(new Date(timestamp * 1000));
                const UTC_DATE = new Intl.DateTimeFormat('en', {
                    timeZone: TimeZone,
                });
                const MY_DATE = UTC_DATE.format(new Date(timestamp * 1000));
                const date = new Date(MY_DATE);
                const DAY_NAME = dayName[date.getDay()];
                let day = date.getDate().toString();
                day = day.length === 1 ? '0' + day : day;
                const monthIndex = date.getMonth();
                const year = date.getFullYear();
                const GET_DATE = day + '-' + monthNames[monthIndex] + '-' + year;
                // const DATE_TIME = GET_DATE + ' ' + GET_TIME ;
                return GET_DATE;
            }
        }
        return '';
    }
    getNotificationDetails() {
        return this.http.get(this.env.complianceGet + 'complianceReport/TotalResponsibilityQueue').pipe(retry$1(2));
    }
    userId() {
        return this.authorizer.getUserId() ?? '';
    }
    getBussinessCycle() {
        return this.http.get(this.env.organizationGet + 'orgDetails&id=' + this.getOrgId()).pipe(retry$1(2));
    }
    getOrgId() {
        const userInfo = this.authorizer.getUser();
        return userInfo?.organisation_id ? userInfo.organisation_id : null;
    }
    resetBusinessCycle() {
        localStorage.removeItem('businessCycle');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuthService, deps: [{ token: i1.HttpClient }, { token: i2.AuthorizerService }, { token: OrganizationCommonService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuthService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: i2.AuthorizerService }, { type: OrganizationCommonService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class ReportCasePermissionService {
    constructor(rbacService, authService) {
        this.rbacService = rbacService;
        this.authService = authService;
        this.hasPermission = new BehaviorSubject(false);
        this.checkReportACasePermission();
    }
    ngOnDestroy() {
        this.rbacSubscription?.unsubscribe();
    }
    checkReportACasePermission() {
        const hasSubscription = this.checkSubscription();
        const hasPermission = this.checkRBACPermission();
        return hasSubscription && hasPermission;
    }
    checkSubscription() {
        this.authService.subscriptionDetails.subscribe((data) => {
            return data[0]?.case_flag;
        });
        return true;
    }
    checkRBACPermission1() {
        this.rbacService.getRBACData('case').subscribe((data) => {
            //   check for manage case permission
            if (data?.includes('CCMMC')) {
                this.hasPermission.next(true);
            }
            else {
                this.hasPermission.next(false);
            }
            return data?.includes('CCMMC');
        });
        return false;
    }
    checkRBACPermission() {
        // Remove the immediate return false
        this.rbacService.getRBACData('case').subscribe((data) => {
            const hasPermission = data?.includes('CCMMC');
            this.hasPermission.next(hasPermission);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportCasePermissionService, deps: [{ token: RbacService }, { token: AuthService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportCasePermissionService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportCasePermissionService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: RbacService }, { type: AuthService }]; } });

class CsRadioComponent {
    constructor() {
        this.checkedEvent = new EventEmitter();
    }
    ngOnInit() {
    }
    changeState(evt) {
        this.checkedEvent.emit(evt);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsRadioComponent, selector: "app-cs-radio", inputs: { disabled: "disabled", readonly: "readonly", name: "name", checked: "checked", value: "value", oneLine: "oneLine" }, outputs: { checkedEvent: "checkedEvent" }, ngImport: i0, template: "<label class=\"radio-item\">\n  <input type=\"radio\" [disabled]=\"disabled\" [disabled]=\"readonly\" [class.enable]=\"readonly\" [name]=\"name\" [value]=\"value\" [checked]=\"checked\" (change)=\"changeState($event)\" />\n  <span class=\"radio\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"radiomark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\" *ngIf=\"!oneLine\">\n    <circle class=\"radiomark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <circle class=\"radiomark__check\" cx=\"26\" cy=\"26\" r=\"5\" fill=\"none\" />\n  </svg>\n  <svg id=\"check\" viewBox=\"-281 373 48 48\" *ngIf=\"oneLine\">\n\t\t<path id=\"check-stroke\" d=\"M-273.2,398.2l10,9.9 l22.4-22.3\"/>\n\t</svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label{max-width:600px}label.radio-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.radio-item span{display:inline-flex;align-items:center}label.radio-item span.radio{background:#fff;height:16px;width:16px;border-radius:50%;border:1px solid #dbdbdb;position:relative;padding:5px;margin-top:0}label.radio-item span.radio .inner{height:10px;width:10px;border-radius:50%;background:#fff;display:none}label.radio-item span.value{color:#747576;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.radio-item span.value:empty{display:none}label.radio-item svg{display:none;margin-top:0}label.radio-item input[type=radio]{display:none}label.radio-item input[type=radio]:checked+span.radio{display:none}label.radio-item input[type=radio]:checked~svg{display:block}label.radio-item input[type=radio]:disabled~*{opacity:.7}label.radio-item input[type=radio].enable:disabled~*{opacity:1}.radiomark{width:16px;height:16px;border-radius:50%;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.radiomark.checked{animation:fill 0s ease-in-out 0s forwards,scale 0s ease-in-out 0s both}.radiomark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.radiomark__circle.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) forwards}.radiomark__check{stroke-dasharray:100;stroke-dashoffset:100;stroke-width:10;animation:stroke .3s cubic-bezier(.65,0,.45,1) 0s forwards}.radiomark__check.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) 0s forwards}#check{width:100%}#check-stroke{stroke:#34aa44;fill:none;stroke-width:4;stroke-linecap:round;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards;stroke-dasharray:100%,200%}#check-stroke.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) 0s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-radio', template: "<label class=\"radio-item\">\n  <input type=\"radio\" [disabled]=\"disabled\" [disabled]=\"readonly\" [class.enable]=\"readonly\" [name]=\"name\" [value]=\"value\" [checked]=\"checked\" (change)=\"changeState($event)\" />\n  <span class=\"radio\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"radiomark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\" *ngIf=\"!oneLine\">\n    <circle class=\"radiomark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <circle class=\"radiomark__check\" cx=\"26\" cy=\"26\" r=\"5\" fill=\"none\" />\n  </svg>\n  <svg id=\"check\" viewBox=\"-281 373 48 48\" *ngIf=\"oneLine\">\n\t\t<path id=\"check-stroke\" d=\"M-273.2,398.2l10,9.9 l22.4-22.3\"/>\n\t</svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label{max-width:600px}label.radio-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.radio-item span{display:inline-flex;align-items:center}label.radio-item span.radio{background:#fff;height:16px;width:16px;border-radius:50%;border:1px solid #dbdbdb;position:relative;padding:5px;margin-top:0}label.radio-item span.radio .inner{height:10px;width:10px;border-radius:50%;background:#fff;display:none}label.radio-item span.value{color:#747576;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.radio-item span.value:empty{display:none}label.radio-item svg{display:none;margin-top:0}label.radio-item input[type=radio]{display:none}label.radio-item input[type=radio]:checked+span.radio{display:none}label.radio-item input[type=radio]:checked~svg{display:block}label.radio-item input[type=radio]:disabled~*{opacity:.7}label.radio-item input[type=radio].enable:disabled~*{opacity:1}.radiomark{width:16px;height:16px;border-radius:50%;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.radiomark.checked{animation:fill 0s ease-in-out 0s forwards,scale 0s ease-in-out 0s both}.radiomark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.radiomark__circle.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) forwards}.radiomark__check{stroke-dasharray:100;stroke-dashoffset:100;stroke-width:10;animation:stroke .3s cubic-bezier(.65,0,.45,1) 0s forwards}.radiomark__check.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) 0s forwards}#check{width:100%}#check-stroke{stroke:#34aa44;fill:none;stroke-width:4;stroke-linecap:round;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards;stroke-dasharray:100%,200%}#check-stroke.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) 0s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], readonly: [{
                type: Input
            }], name: [{
                type: Input
            }], checked: [{
                type: Input
            }], value: [{
                type: Input
            }], checkedEvent: [{
                type: Output
            }], oneLine: [{
                type: Input
            }] } });

class ToolTipDirective {
    constructor(el, renderer) {
        this.el = el;
        this.renderer = renderer;
        this.showTooltip = true;
        this.offset = 8;
    }
    ngOnInit() { }
    onMouseEnter() {
        this.hide();
        this.show();
    }
    onMouseOver() {
        this.hide();
        this.show();
    }
    onMouseLeave() {
        this.hide();
    }
    onMouseOut() {
        this.hide();
    }
    onClick() {
        this.hide();
    }
    show() {
        if (!this.showTooltip || !this.tooltipTitle) {
            return;
        }
        this.create();
        const element = this.el.nativeElement;
        if (this.tooltipMandatory === true) {
            this.setPosition();
            this.renderer.addClass(this.tooltip, 'wf-tooltip-show');
        }
        else {
            if (element.scrollWidth * element.scrollHeight >
                element.offsetWidth * element.offsetHeight) {
                this.setPosition();
                this.renderer.addClass(this.tooltip, 'wf-tooltip-show');
            }
        }
    }
    hide() {
        if (document.body.contains(this.tooltip)) {
            if (this.renderer) {
                this.renderer.removeChild(document.body, document.getElementById('tooltip'));
            }
        }
    }
    create() {
        this.tooltip = this.renderer.createElement('span');
        this.tooltip.setAttribute('id', 'tooltip');
        this.tooltip.innerHTML = this.tooltipTitle;
        this.renderer.appendChild(document.body, this.tooltip);
        this.renderer.addClass(this.tooltip, 'wf-tooltip');
        this.renderer.addClass(this.tooltip, `wf-tooltip-${this.placement}`);
        this.renderer.addClass(this.tooltip, `${this.type}`);
        if (this.animate) {
            this.renderer.addClass(this.tooltip, `animate-${this.placement}`);
        }
    }
    setPosition() {
        const hostPos = this.el.nativeElement.getBoundingClientRect();
        const tooltipPos = this.tooltip.getBoundingClientRect();
        const scrollPos = window.pageYOffset ||
            document.documentElement.scrollTop ||
            document.body.scrollTop ||
            0;
        const w = window.innerWidth;
        const h = window.innerHeight;
        let top;
        let left;
        if (this.placement === 'top') {
            top = hostPos.top - tooltipPos.height - this.offset;
            left = hostPos.left + (hostPos.width - tooltipPos.width) / 2;
        }
        if (this.placement === 'bottom') {
            if (hostPos.top + tooltipPos.height > h) {
                top = hostPos.top - tooltipPos.height;
                left = hostPos.left + (hostPos.width - tooltipPos.width) / 2;
                this.renderer.removeClass(this.tooltip, `wf-tooltip-bottom`);
                this.renderer.addClass(this.tooltip, `wf-tooltip-top`);
            }
            else {
                top = hostPos.bottom + this.offset;
                left = hostPos.left + (hostPos.width - tooltipPos.width) / 2;
            }
        }
        if (this.placement === 'left') {
            top = hostPos.top + (hostPos.height - tooltipPos.height) / 2;
            left = hostPos.left - tooltipPos.width - this.offset;
        }
        if (this.placement === 'right') {
            top = hostPos.top + (hostPos.height - tooltipPos.height) / 2;
            left = hostPos.right + this.offset;
        }
        if (this.placement === 'bottom-right') {
            top = hostPos.bottom + this.offset;
            left = hostPos.left - (tooltipPos.width - 28);
        }
        if (this.placement === 'bottom-left') {
            if (hostPos.top + tooltipPos.height > h - 30) {
                top = hostPos.top - tooltipPos.height;
                left = hostPos.left;
                this.renderer.removeClass(this.tooltip, `wf-tooltip-bottom-left`);
                this.renderer.addClass(this.tooltip, `wf-tooltip-top-left`);
            }
            else {
                top = hostPos.bottom + this.offset;
                left = hostPos.left;
            }
        }
        this.renderer.setStyle(this.tooltip, 'top', `${top + scrollPos}px`);
        this.renderer.setStyle(this.tooltip, 'left', `${left}px`);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ToolTipDirective, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: ToolTipDirective, selector: "[appTooltip]", inputs: { tooltipTitle: ["appTooltip", "tooltipTitle"], placement: "placement", type: "type", tooltipMandatory: "tooltipMandatory", showTooltip: "showTooltip", animate: "animate" }, host: { listeners: { "mouseenter": "onMouseEnter()", "mouseover": "onMouseOver()", "mouseleave": "onMouseLeave()", "mouseout": "onMouseOut()", "click": "onClick()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ToolTipDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appTooltip]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; }, propDecorators: { tooltipTitle: [{
                type: Input,
                args: ['appTooltip']
            }], placement: [{
                type: Input
            }], type: [{
                type: Input
            }], tooltipMandatory: [{
                type: Input
            }], showTooltip: [{
                type: Input
            }], animate: [{
                type: Input
            }], onMouseEnter: [{
                type: HostListener,
                args: ['mouseenter']
            }], onMouseOver: [{
                type: HostListener,
                args: ['mouseover']
            }], onMouseLeave: [{
                type: HostListener,
                args: ['mouseleave']
            }], onMouseOut: [{
                type: HostListener,
                args: ['mouseout']
            }], onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class SnackBarComponent {
    constructor(snackbarService) {
        this.snackbarService = snackbarService;
        this.show = false;
        this.message = '--';
        this.icon = '&#xe914;';
        this.type = 'alert';
        this.icons = {
            success: '&#xe93d;',
            warning: '&#xe914;',
            info: '&#xe932;',
            alert: '&#xe914;',
            error: '&#xeaae;'
        };
    }
    ngOnInit() {
        this.snackbarSubscription = this.snackbarService.snackbarState.subscribe((state) => {
            if (state.icon && Object.keys(this.icons).includes(state?.icon)) {
                this.icon = this.icons[state.icon];
                this.type = state?.icon;
            }
            this.message = state.message;
            this.show = state.show;
            this.setAutoClose();
        });
    }
    setAutoClose() {
        setTimeout(() => {
            this.show = false;
            this.close();
        }, 3000);
    }
    close() {
        this.show = false;
        this.snackbarService.hide();
    }
    ngOnDestroy() {
        this.snackbarSubscription.unsubscribe();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarComponent, deps: [{ token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SnackBarComponent, selector: "app-snack-bar", ngImport: i0, template: "<div class=\"workflow-snackbar\" *ngIf=\"show\">\n  <div class=\"workflow-snackbar-inner\">\n    <div class=\"workflow-snackbarText\">\n      <!-- &#xe914; -->\n      <i class=\"icons\" [class]=\"type\" [innerHTML]=\"icon\"></i> <span [innerHTML]=\"message\">{{ message }}</span>\n    </div>\n    <button (click)=\"close()\">[ <span>Close</span> ]</button>\n  </div>\n</div>", styles: ["::ng-deep .workflow-snackbar{position:fixed;top:20px;left:0;right:0;display:flex;align-items:center;justify-content:center;z-index:2147483647!important;pointer-events:none;animation:slide-top .3s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .workflow-snackbar.white{background-color:#fff;color:#000;z-index:20}::ng-deep .workflow-snackbar.white button{color:#f6882f;font-size:11px;font-weight:400;pointer-events:all}::ng-deep .workflow-snackbar .workflow-snackbar-inner{display:flex;max-width:500px;min-width:450px;align-items:center;justify-content:space-between;padding:10px;background:#fff;border-radius:3px;box-shadow:0 0 10px #0003;min-height:55px;pointer-events:auto}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText{color:#161b2f;font-size:13px;display:flex;align-items:center;width:calc(100% - 70px)}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i{background:#f1f1f1;color:#d93b41;border-radius:50px;font-size:16px;width:30px;height:30px;text-align:center;line-height:28px;margin-right:10px;min-width:30px}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.success{color:#34aa44}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.warning{color:#f0b819}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.info{color:#1e5dd3}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.alert{color:#d93b41}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.error{color:#d93b41}::ng-deep .workflow-snackbar .workflow-snackbar-inner button{background:transparent;border:none;font-size:11px;padding:0;position:relative;color:#747576;width:65px;text-align:right;cursor:pointer;text-transform:uppercase}::ng-deep .workflow-snackbar .workflow-snackbar-inner button span{color:#1e5dd3;font-weight:500}::ng-deep .workflow-snackbar .workflow-snackbar-inner button:focus{outline:none}@keyframes slide-top{0%{transform:translateY(-100%);opacity:0}to{transform:translateY(0);opacity:1}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-snack-bar', template: "<div class=\"workflow-snackbar\" *ngIf=\"show\">\n  <div class=\"workflow-snackbar-inner\">\n    <div class=\"workflow-snackbarText\">\n      <!-- &#xe914; -->\n      <i class=\"icons\" [class]=\"type\" [innerHTML]=\"icon\"></i> <span [innerHTML]=\"message\">{{ message }}</span>\n    </div>\n    <button (click)=\"close()\">[ <span>Close</span> ]</button>\n  </div>\n</div>", styles: ["::ng-deep .workflow-snackbar{position:fixed;top:20px;left:0;right:0;display:flex;align-items:center;justify-content:center;z-index:2147483647!important;pointer-events:none;animation:slide-top .3s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .workflow-snackbar.white{background-color:#fff;color:#000;z-index:20}::ng-deep .workflow-snackbar.white button{color:#f6882f;font-size:11px;font-weight:400;pointer-events:all}::ng-deep .workflow-snackbar .workflow-snackbar-inner{display:flex;max-width:500px;min-width:450px;align-items:center;justify-content:space-between;padding:10px;background:#fff;border-radius:3px;box-shadow:0 0 10px #0003;min-height:55px;pointer-events:auto}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText{color:#161b2f;font-size:13px;display:flex;align-items:center;width:calc(100% - 70px)}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i{background:#f1f1f1;color:#d93b41;border-radius:50px;font-size:16px;width:30px;height:30px;text-align:center;line-height:28px;margin-right:10px;min-width:30px}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.success{color:#34aa44}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.warning{color:#f0b819}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.info{color:#1e5dd3}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.alert{color:#d93b41}::ng-deep .workflow-snackbar .workflow-snackbar-inner .workflow-snackbarText i.error{color:#d93b41}::ng-deep .workflow-snackbar .workflow-snackbar-inner button{background:transparent;border:none;font-size:11px;padding:0;position:relative;color:#747576;width:65px;text-align:right;cursor:pointer;text-transform:uppercase}::ng-deep .workflow-snackbar .workflow-snackbar-inner button span{color:#1e5dd3;font-weight:500}::ng-deep .workflow-snackbar .workflow-snackbar-inner button:focus{outline:none}@keyframes slide-top{0%{transform:translateY(-100%);opacity:0}to{transform:translateY(0);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }]; } });

const FIELD_TEXT = {
    grcObjectName: 'GRC Object Name',
    grcObjectPlaceholder: 'Add a GRC object name',
    grcOwnersTitle: 'Specify Owners',
    grcOwnersPlaceholder: 'Select a Owner for this GRC Object',
    grcRCTitle: 'Link Responsibility Center(s)',
    grcRCPlaceholder: 'Link Responsibility Center(s) with this GRC Object',
    grcRiskCategoryTitle: 'Link Risks',
    grcRiskCategoryPlaceholder: 'Link risks with this GRC Object',
    otherGRCObjectsTitle: 'Link Other GRC Objects',
    otherGRCObjectsPlaceholder: 'Link other related GRC Objects',
    grcDescription: 'Add a description for this GRC Object.',
    riskPlaceholder: 'Link risks with this GRC Object',
    grcProgramResponsibilityTitle: 'Link Responsibilities',
    grcProgramResponsibilityPlaceholder: 'Link Responsibilities with this GRC Object',
};

const BASE_URL = 'https://cdn.v-comply.com';
// TODO: add case type asset
const ASSETS = {
    responsibility_center: `${BASE_URL}/libraries/workflow-engine/assets/workflow/responsibility-center.svg`,
    case_type: `${BASE_URL}/libraries/workflow-engine/assets/workflow/responsibility-center.svg`,
    case_category: `${BASE_URL}/libraries/workflow-engine/assets/workflow/category.svg`,
    when: `${BASE_URL}/libraries/workflow-engine/assets/workflow/when.svg`,
    what: `${BASE_URL}/libraries/workflow-engine/assets/workflow/what.svg`,
    case_resolution_deadline: `${BASE_URL}/libraries/workflow-engine/assets/workflow/when.svg`,
    case_assignees: `${BASE_URL}/libraries/workflow-engine/assets/workflow/who.svg`,
    format_evidence: `${BASE_URL}/libraries/workflow-engine/assets/workflow/format-evidence.svg`,
    case_owners: `${BASE_URL}/libraries/workflow-engine/assets/workflow/owner.svg`,
    link_controls: `${BASE_URL}/libraries/workflow-engine/assets/workflow/link-controls.svg`,
    link_items: `${BASE_URL}/libraries/workflow-engine/assets/workflow/link-items.svg`,
    spreadsheet_multiple_category: `${BASE_URL}/libraries/workflow-engine/assets/workflow/spreadsheet-multiple-category.svg`,
    recommended_action: `${BASE_URL}/libraries/workflow-engine/assets/workflow/recommended-action.svg`,
    risks: `${BASE_URL}/libraries/workflow-engine/assets/workflow/risks.svg`,
    exception_type: `${BASE_URL}/libraries/workflow-engine/assets/workflow/exception-type.svg`,
    priority: `${BASE_URL}/libraries/workflow-engine/assets/workflow/priority.svg`,
    associated_risks: `${BASE_URL}/libraries/workflow-engine/assets/workflow/associated-risks.svg`,
    oversight: `${BASE_URL}/libraries/workflow-engine/assets/workflow/oversight.svg`,
    add_risk_more_option: `${BASE_URL}/libraries/workflow-engine/assets/workflow/add-risk-more-option.svg`,
    lables: `${BASE_URL}/libraries/workflow-engine/assets/workflow/lables.svg`,
    reviewer: `${BASE_URL}/libraries/workflow-engine/assets/workflow/reviewer.svg`,
    checkpoints: `${BASE_URL}/libraries/workflow-engine/assets/workflow/checkpoints.svg`,
    assessments: `${BASE_URL}/libraries/workflow-engine/assets/workflow/assessments.svg`,
    objectives: `${BASE_URL}/libraries/workflow-engine/assets/workflow/objectives.svg`,
    audit: `${BASE_URL}/libraries/workflow-engine/assets/workflow/audit.svg`,
    roles: `${BASE_URL}/libraries/workflow-engine/assets/workflow/roles.svg`,
    approval: `${BASE_URL}/libraries/workflow-engine/assets/workflow/approval.svg`,
    recurring: `${BASE_URL}/libraries/workflow-engine/assets/workflow/recurring.svg`,
    lock_scope: `${BASE_URL}/libraries/workflow-engine/assets/workflow/lock-scope.svg`,
    custom_fields: `${BASE_URL}/libraries/workflow-engine/assets/workflow/custom-fields.svg`,
    link_risks: `${BASE_URL}/libraries/workflow-engine/assets/workflow/link-risks.svg`,
    placeholder: `${BASE_URL}/libraries/workflow-engine/assets/assessment-editor/placeholder.jpg`,
    add_logic: `${BASE_URL}/libraries/workflow-engine/assets/assessment-editor/add-logic.svg`,
    image_choice: `https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/o/5e481a5d61ca5e14f5731049/survey/61e78e555024510009bb9009/image-choice/Screenshot-20220119-at-9-09-35-AM1642575490143.png`,
    logic_image_choice: `https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/o/5e481a5d61ca5e14f5731049/survey/61ea303207da150009a97207/image-choice/Screenshot-20220121-at-9-34-07-AM1642737872051.png`,
    thank_you_image: `https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/o/5e481a5d61ca5e14f5731049/survey/61ee3c97a973170009458150/welcome/202011270933381643024815820.png`,
    upload: `${BASE_URL}/libraries/workflow-engine/assets/workflow/upload.svg`,
    select_users: `${BASE_URL}/libraries/workflow-engine/assets/workflow/select-users.svg`,
    everyone_as_per_category: `${BASE_URL}/libraries/workflow-engine/assets/workflow/everyone-as-per-category.svg`,
    bulb: `${BASE_URL}/libraries/workflow-engine/assets/workflow/bulb.svg`,
    enter_icon: `${BASE_URL}/libraries/workflow-engine/assets/workflow/enter-icon.svg`,
    im_creating: `${BASE_URL}/libraries/workflow-engine/assets/workflow/im-creating.svg`,
    notes: `${BASE_URL}/libraries/workflow-engine/assets/workflow/notes.svg`,
    attestations: `${BASE_URL}/libraries/workflow-engine/assets/workflow/attestations.svg`,
    risk_category: `${BASE_URL}/libraries/workflow-engine/assets/workflow/risk-category.svg`,
    issue_type: `${BASE_URL}/libraries/workflow-engine/assets/workflow/issue-type.svg`,
    type: `${BASE_URL}/libraries/workflow-engine/assets/workflow/type.svg`,
    search_data: `${BASE_URL}/libraries/workflow-engine/assets/workflow/search-data.svg`,
    approval_workflow: `${BASE_URL}/libraries/workflow-engine/assets/workflow/approval-workflow.svg`,
    sequential: `${BASE_URL}/libraries/workflow-engine/assets/workflow/sequential.svg`,
    round_robin: `${BASE_URL}/libraries/workflow-engine/assets/workflow/round-robin.svg`,
    anyone: `${BASE_URL}/libraries/workflow-engine/assets/workflow/anyone.svg`,
    collaborator: `${BASE_URL}/libraries/workflow-engine/assets/workflow/collaborator.svg`,
};

const LINKS = {
    grcObjectName: ASSETS.what,
    grcOwners: ASSETS.case_owners,
    grcRC: ASSETS.responsibility_center,
    grcType: ASSETS.type,
    customFields: ASSETS.custom_fields,
    noData: ASSETS.search_data,
    linkOthers: ASSETS.link_items,
    linkGRC: ASSETS.link_risks,
    linkPolicyNoDataImage: ASSETS.search_data,
    linkedPolicyImage: ASSETS.link_items,
};

const VALIDATION_MESSAGE = {
    grcObjectName: 'Enter a name for this GRC Object.',
    grcOwners: 'Select a Owner for this GRC Object.',
    grcRC: 'Select a Responsibility Center to link with this GRC Object.',
    grc_exists: 'A GRC Object with this name already exists.',
    attributes: 'Specify the value for this attribute.',
};

class GrcService {
    static { this.EDITOR_CONFIG = {
        mode: 'prime',
        colorPalette: true,
        link: true,
        id: 'grc_description',
        placeholder: 'Add a description for this GRC Object',
    }; }
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.GRC_PAYLOAD = {
            name: '',
            type: 3,
            state: 0,
            parent_grc_ids: [],
            owners: [],
            email_notification_member_ids: [],
            description: '',
            frequency: '',
            attributes: [],
            rc_ids: [],
            program_category_ids: [],
            risk_category_ids: [],
            linked_GRC_ids: [],
        };
        this.LIST_OBJECT = {
            RC: {
                isLoading: false,
                data: [],
                selectedData: [],
            },
            OWNER: {
                isLoading: false,
                data: [],
                selectedData: [],
                disabledIds: [],
            },
            OTHER_GRC_OBJECTS: {
                isLoading: false,
                data: {},
                selectedData: [],
            },
            RISK_CATEGORY: {
                isLoading: false,
                data: {},
                selectedData: [],
            },
            PROGRAM_RESPONSIBILITY: {
                isLoading: false,
                data: {},
                selectedData: [],
            },
        };
        if (config) {
            this.env = config.envConfig;
        }
    }
    getGRCList(event) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        let params = new HttpParams();
        params = params.append('state', event?.state ?? 1);
        params = params.append('grcType', event?.type ?? 0);
        params = params.append('page', event?.pageNo ?? 1);
        params = params.append('rcIds', event?.rc_ids ?? '');
        params = event?.searchString
            ? params.append('name', event?.searchString ?? '')
            : params;
        return this.http
            .get(this.env?.grc_get + 'grc/getGRCList', {
            params,
            headers,
        })
            .pipe(retry$1(1));
    }
    getGRCTabsCount(event) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        let params = new HttpParams();
        params = event?.searchString
            ? params.append('name', event?.searchString ?? '')
            : params;
        if (event?.rc_ids) {
            params = params.append('rcIds', event?.rc_ids);
        }
        return this.http
            .get(this.env?.grc_get + 'grc/getGRCCount', {
            params,
            headers,
        })
            .pipe(retry$1(1));
    }
    checkValidation(grcPayload, isAttributesSelected) {
        const isValidData = grcPayload.name.trim() !== '' &&
            grcPayload.type > -1 &&
            grcPayload.owners.length &&
            grcPayload.rc_ids.length;
        return (isValidData &&
            (!isAttributesSelected ||
                this.checkAttributeValidation(grcPayload.attributes)));
    }
    checkAttributeValidation(attributes) {
        for (const obj of attributes) {
            if (obj.isRequired) {
                if (obj.type === 'single-textbox' || obj.type === 'date-time') {
                    const choice = obj.choices[0];
                    if (typeof choice.value === 'string' && choice.value.trim() === '') {
                        return false;
                    }
                }
                else if (obj.type === 'checkbox' || obj.type === 'dropdown') {
                    let isChoiceSelected = false;
                    if (obj.hasOther && obj?.is_other_selected) {
                        isChoiceSelected = true;
                    }
                    if (!isChoiceSelected) {
                        for (const choice of obj.choices) {
                            if (choice.is_selected) {
                                isChoiceSelected = true;
                                break;
                            }
                        }
                    }
                    if (!isChoiceSelected) {
                        return false;
                    }
                }
            }
        }
        return true;
    }
    checkAttributesSelected(attributes) {
        for (const obj of attributes) {
            if (obj.type === 'single-textbox' || obj.type === 'date-time') {
                const choice = obj.choices[0];
                if (typeof choice.value === 'string' && choice.value.trim() === '') {
                    return false;
                }
            }
            else if (obj.type === 'checkbox' || obj.type === 'dropdown') {
                let isChoiceSelected = false;
                for (const choice of obj.choices) {
                    if (choice.is_selected) {
                        isChoiceSelected = true;
                        break;
                    }
                }
                if (!isChoiceSelected) {
                    return false;
                }
            }
        }
        return true;
    }
    checkEachAttributeValidation(attribute) {
        if (attribute.isRequired) {
            if (attribute.type === 'single-textbox' ||
                attribute.type === 'date-time') {
                const choice = attribute.choices[0];
                if (typeof choice.value === 'string' && choice.value.trim() === '') {
                    return false;
                }
            }
            else if (attribute.type === 'checkbox' ||
                attribute.type === 'dropdown') {
                let isChoiceSelected = false;
                for (const choice of attribute.choices) {
                    if (choice.is_selected) {
                        isChoiceSelected = true;
                        break;
                    }
                }
                if (!isChoiceSelected) {
                    return false;
                }
            }
        }
        return true;
    }
    getRiskCategories(event) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        let params = new HttpParams();
        params = params.append('returnType', 1);
        params = params.append('categoryType', event?.type ?? 1);
        params = params.append('page', event?.pageNo ?? 1);
        params = event?.type === 0 ? params.append('riskFlag', 1) : params;
        params = event?.searchString
            ? params.append('q', event?.searchString ?? '')
            : params;
        return this.http.get(this.env?.risk + 'category/list', {
            params,
            headers,
        });
    }
    getRiskCategoriesCount(event) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        let params = new HttpParams();
        params = event?.searchString
            ? params.append('q', event?.searchString ?? '')
            : params;
        if (event?.rc_ids?.length) {
            params = params.set('rc_ids', event.rc_ids.join(','));
        }
        return this.http.get(this.env?.risk + 'category/count', {
            params,
            headers,
        });
    }
    getRisks(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env?.risk + 'category/risklist', payload, {
            headers,
        });
    }
    getBusinessCycle() {
        let businessCycle = JSON.parse(localStorage.getItem('businessCycle') ?? '{}');
        let currentBusinessCycle = {
            selected_cycle: businessCycle
                ? businessCycle?.selectedCycle?.start_date +
                    '-' +
                    businessCycle?.selectedCycle?.end_date
                : '',
            start_date: businessCycle ? businessCycle?.selectedCycle?.start_date : '',
            end_date: businessCycle ? businessCycle?.selectedCycle?.end_date : '',
            selected_cycle_arr: businessCycle
                ? businessCycle?.selectedCycle?.selected_cycle_arr
                : [],
        };
        return currentBusinessCycle;
    }
    getProgramsList(req) {
        // this.getUserDetails();
        let httpOptions = {};
        if (req?.params) {
            httpOptions.params = req.params;
        }
        if (req?.headers) {
            let headers = new HttpHeaders();
            httpOptions.headers = headers.append('payload-object', JSON.stringify(req.headers));
            httpOptions.headers = httpOptions.headers.append('token', this.authService.getAuthorizationToken());
        }
        return this.http
            .get(this.env?.programEndpoint + '/categoriesList?owner_list=1', httpOptions)
            .pipe(retry$1(2));
    }
    getProgramsListCount(req) {
        let httpOptions = {};
        if (req?.params) {
            httpOptions.params = req.params;
        }
        if (req?.headers) {
            let headers = new HttpHeaders();
            httpOptions.headers = headers.append('payload-object', JSON.stringify(req?.headers));
            httpOptions.headers = httpOptions.headers.append('token', this.authService.getAuthorizationToken());
        }
        return this.http
            .get(this.env?.programEndpoint + '/overview-count', httpOptions)
            .pipe(retry$1(2));
    }
    getSubCategoryList(payload) {
        if (payload?.scopeType === 'not_completed') {
            payload.scopeType = 'notCompleted';
        }
        let headers = new HttpHeaders();
        headers = headers.append('payload-object', JSON.stringify(payload?.businessCycle));
        headers = headers.append('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env?.programEndpoint +
            '/subCategories?isBusinessCycle=true&parentId=' +
            payload?.id +
            '&type=' +
            payload?.scopeType +
            '&callFrom=grc' +
            (payload?.searchText ? '&q=' + encodeURI(payload?.searchText) : '') +
            (payload?.name ? '&sortBy=' + payload?.name : '') +
            (payload?.sortingCount ? '&sortValue=' + payload?.sortingCount : '') +
            ('&page=' + payload?.page ?? 1), { headers })
            .pipe(retry$1(1));
    }
    getResponsibilityByCategoryId(req, payload, filterPolicyData) {
        // https://devapi.v-comply.com/category/editCategory
        let httpOptions = {};
        httpOptions.params = req;
        let headers = new HttpHeaders();
        // headers = headers.append('x-business-cycle',JSON.stringify(payload));
        headers = headers.append('payload-object', JSON.stringify(payload));
        headers = headers.append('token', this.authService.getAuthorizationToken());
        httpOptions.headers = headers;
        return this.http
            .get(this.env?.programEndpoint + '/responsibilityList', httpOptions)
            .pipe(retry$1(1));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

const TABLE_CARD = [
    {
        title: 'STRATEGIC RISKS',
        count: 0,
        selectedCount: 0,
        key: 'strategic_risks',
        type: 1,
        totalCount: 0,
    },
    {
        title: 'OPERATIONAL RISKS',
        count: 0,
        selectedCount: 0,
        key: 'operational_risks',
        type: 2,
        totalCount: 0,
    },
    {
        title: 'COMPLIANCE RISKS',
        count: 0,
        selectedCount: 0,
        key: 'compliance_risks',
        type: 3,
        totalCount: 0,
    },
    {
        title: 'OTHER',
        count: 0,
        selectedCount: 0,
        key: 'other',
        type: 0,
        totalCount: 0,
    },
];
const SMILEY_BUTTONS = [
    {
        buttonText: 'Add More GRC Objects',
        class: 'white-btn',
        id: 'addMore',
    },
    { buttonText: 'View GRC Objects', class: 'blue-btn', id: 'view' },
];
const OTHER_GRC_CARD = [
    {
        title: 'ASSET',
        count: 0,
        selectedCount: 0,
        key: 'asset',
        type: 0,
    },
    {
        title: 'PROCESS',
        count: 0,
        selectedCount: 0,
        key: 'process',
        type: 1,
    },
    {
        title: 'VENDOR',
        count: 0,
        selectedCount: 0,
        key: 'vendor',
        type: 2,
    },
    {
        title: 'INVENTORY',
        count: 0,
        selectedCount: 0,
        key: 'inventory',
        type: 3,
    },
];
const OTHER_GRC_TAB_INDEX = {
    assets: 0,
    processes: 1,
    vendors: 2,
    inventory: 3,
};
const GRC_TYPE_ARRAY = ['assets', 'processes', 'vendors', 'inventory'];
const UNCATEGORIZED_LINK_CATEGORY = {
    _id: 'uncategorized',
    category_type: 0,
    category_name: 'Uncategorized',
    name: 'Uncategorized',
    category_id: [],
    isSelected: true,
};

const SUCCESS_MESSAGE = {
    ADD_GRC_OBJECT: 'The GRC Object has been added.',
    UPDATE_GRC_OBJECT: 'The GRC Object has been updated.',
};

class ResponsibilityService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.dataPerPage = 30;
        this.grcOwners$ = new BehaviorSubject([]);
        this.RCList = new BehaviorSubject([]);
        this.AssignorList = new BehaviorSubject([]);
        this.AssuranceListForAudit = new BehaviorSubject([]);
        this.GroupList = new BehaviorSubject([]);
        this.AssuranceCategoryList = new BehaviorSubject([]);
        this.overseerList = new BehaviorSubject(null);
        this.policyGroups = new BehaviorSubject(null);
        this.filesUploading = [];
        this.filesUploaded = [];
        this.filesUploadedAndUploading = [];
        if (config) {
            this.env = config.envConfig;
        }
    }
    getResponsibilityCenterList(params) {
        if (this.RCList.getValue().length) {
            return of(this.RCList.getValue());
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env?.complianceGet + 'responsibilityCenterTree', {
            params,
            headers,
        })
            .pipe(map$1((res) => {
            this.RCList.next(res);
            return res;
        }))
            .pipe(retry(2));
    }
    getOrganizationGroups(params) {
        if (this.GroupList.getValue().length) {
            return of(this.GroupList.getValue());
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'groupsList&status=1&type=compliance', {
            params,
            headers,
        })
            .pipe(map$1((res) => {
            this.GroupList.next(res);
            return res;
        }))
            .pipe(retry(2));
    }
    getOrganizationPolicyGroups(params) {
        if (this.policyGroups?.getValue()) {
            return of(this.policyGroups?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet +
            'groupsList&permType=managePolicies&fetch_all=true', {
            params,
            headers,
        })
            .pipe(map$1((res) => {
            this.policyGroups.next(res);
            return res;
        }), catchError$1((error) => {
            return of(null);
        }))
            .pipe(retry(2));
    }
    getOrganizationOverseersGroups(params) {
        if (this.overseerList?.getValue()) {
            return of(this.overseerList?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'groupsList&fetch_all=true', {
            params,
            headers,
        })
            .pipe(map$1((res) => {
            this.overseerList.next(res);
            return res;
        }), catchError$1((error) => {
            return of(null);
        }))
            .pipe(retry(2));
    }
    getOrganizationUsers() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'organizationUsers', {
            headers,
        })
            .pipe(retry(2));
    }
    getOrganizationPeople(params) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'people', {
            params,
            headers,
        })
            .pipe(retry(2));
    }
    getAssignorsList(params) {
        if (this.AssignorList.getValue().length) {
            return of(this.AssignorList.getValue());
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env?.organizationGet + 'organizationUsers&isOnBehalf=1', {
            params,
            headers,
        })
            .pipe(map$1((res) => {
            this.AssignorList.next(res);
            return res;
        }))
            .pipe(retry(2));
    }
    getCategoriesList() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env?.complianceGet + 'complianceCategory/CategoryListTree', {
            headers,
        })
            .pipe(retry(2));
    }
    getProgramsList(params, ids) {
        let headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        const programId = { programId: ids };
        if (ids?.length) {
            headers = headers.append('payload-object', JSON.stringify(programId));
            return this.http
                .post(this.env?.compliancePost + 'complianceCategory/programList', programId, { params, headers })
                .pipe(retry(2));
        }
        return this.http
            .get(this.env.complianceGet + 'complianceCategory/programList', {
            params,
            headers,
        })
            .pipe(retry(2));
    }
    getProgramsListCount(params, ids) {
        let headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.complianceGet + 'complianceCategory/programListCount', {
            params,
            headers,
        })
            .pipe(retry(2));
    }
    getCategoriesUnderProgram(params) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.complianceGet + 'complianceCategory/CategoryListTree', {
            params,
            headers,
        })
            .pipe(retry(2));
    }
    getAssurance() {
        if (this.AssuranceCategoryList.getValue().length) {
            return of(this.AssuranceCategoryList.getValue());
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.assuranceGet + 'category/list&id=1', {
            headers,
        })
            .pipe(map$1((res) => {
            this.AssuranceCategoryList.next(res);
            return res;
        }))
            .pipe(retry(2));
    }
    getAssuranceForRequiresAudit() {
        if (this.AssuranceListForAudit.getValue().length) {
            return of(this.AssuranceListForAudit.getValue());
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.assuranceApi + 'Audit/Category/List/?mode=entrust_module', {
            headers,
        })
            .pipe(map$1((res) => {
            this.AssuranceListForAudit.next(res);
            return res;
        }))
            .pipe(retry(2));
    }
    getRCDetailsOfFramework(rc_id, category_id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.complianceGet +
            'complianceCategory/CategoryRCTreeById&id=' +
            category_id +
            '&rc_id=' +
            rc_id, { headers });
    }
    submitEntrust(entrust_body) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.compliancePost + 'createReport', entrust_body, { headers });
    }
    updateEntrust(entrust_body, object_id, isDelegate) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.compliancePost +
            'createReport&reportId=' +
            object_id +
            '&isDelegate=0', entrust_body, { headers });
    }
    editResponsibility(objectId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.complianceGet + 'complianceReport/reportById&id=' + objectId, { headers })
            .pipe(retry(2));
    }
    addBulkResponsibility(entrust_body) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.compliancePost + 'import/create', entrust_body, { headers });
    }
    uploadToNode(payload, des) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        // return this.http.post<any[]>(this.env.fileUploadEndPoint + 'risk/responsibilityCenterList', { rc_id_arr: rcArray ?? [] }, { headers }).pipe(retry(2));
        return this.http.post(this.env.fileUploadEndPoint + des, payload, {
            headers,
        });
    }
    getCategoryDetailsById(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.complianceGet + 'complianceCategory/CategoryTreeById&id=' + id, { headers })
            .pipe(retry(2));
    }
    getFrameWorkCount(params) {
        let httpOptions = {};
        httpOptions.headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        if (params) {
            httpOptions.params = params;
        }
        return this.http
            .get(this.env.programEndpoint + '/frameworkcount', httpOptions)
            .pipe(retry(2));
    }
    getFrameWorkList(params) {
        let httpOptions = {};
        httpOptions.headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        if (params) {
            httpOptions.params = params;
        }
        return this.http
            .get(this.env.programEndpoint + '/framework', httpOptions)
            .pipe(retry(2));
    }
    getFrameworkSubCategories(id, params) {
        let httpOptions = {};
        httpOptions.headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        if (params) {
            httpOptions.params = params;
        }
        return this.http
            .get(this.env.programEndpoint + '/framework/' + id, httpOptions)
            .pipe(retry(2));
    }
    getFrameworkControls(id, params) {
        let httpOptions = {};
        httpOptions.headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        if (params) {
            httpOptions.params = params;
        }
        return this.http
            .get(this.env.programEndpoint + '/controls/' + id, httpOptions)
            .pipe(retry(2));
    }
    fileUpload(file) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.compliancePost + 'file/upload', file, {
            headers,
        });
    }
    getAssessmentCategory(payload, program_ids) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.assessmentEnpoint +
            'category/list&isCreateResponsibility=true' +
            (program_ids ? '&program_ids=' + program_ids : ''), payload, { headers })
            .pipe(retry(2));
    }
    getAssessmentList(payload, id, program_ids) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.assessmentEnpoint +
            'assessment/selectAssessment&isCreateResponsibility=true&catid=' +
            id +
            (program_ids ? '&program_ids=' + program_ids : ''), payload, { headers })
            .pipe(retry(2));
    }
    getAssessmentDetailsByID(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.assessmentEnpoint + 'assessment/getAssessmentById&id=' + id, {}, { headers })
            .pipe(retry(2));
    }
    getGRCOwnerList() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.organizationGet +
            'organizationMembers&isGrcObject=true&type=all', { headers });
    }
    getObjectType() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.grc_get + 'grcObject/getGRCTypeList&projected=1', {
            headers,
        });
    }
    getGRCObjectDetails(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.grc_get + 'grc/grcById&isEdit=true&id=' + id, {
            headers,
        });
    }
    addGRCObject(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.grc_get + 'grc/saveGRC', payload, {
            headers,
        });
    }
    updateGRCObject(payload, _id) {
        payload._id = _id;
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.put(this.env.grc_get + 'grc/updateGRC', payload, {
            headers,
        });
    }
    buildResponsibilityPayload(event) {
        console.log(event, 'event');
        const payload = {
            title: event.report_name,
            key: event.is_key_compliance,
            riskClass: this.getRiskClass(event.risk_class),
            notes: event.remarks,
            objective: event.objective,
            frequency: event.frequency,
            assignorId: event.member_id,
            assignee: {
                type: event.isGroupAssignTo ? 'any_one' : 'all',
                userId: event.assignee_member_id?.split(',').map(Number),
                userGroupId: event.isGroupAssignTo ? event.userGroupIds?.assigneeAnyoneGroupIds : event.userGroupIds?.assigneeAllGroupIdss
            },
            responsibilityCenter: {
                type: event.responsibilityCenterType ? 'any' : 'all',
                id: event.responsibilityCenterArr
            },
            reviewer: {
                type: event.reviewer_arr?.type?.toLowerCase(),
                userId: event.reviewer_arr?.level1?.reviewers?.map((reviewer) => reviewer?.member_id),
                frequency: {
                    dueDays: event?.review_after_days,
                    extensionDays: event?.review_failed_after_days
                }
            },
            overseer: {
                success: {
                    userId: event.cc_member_email?.split(',')?.filter(Boolean)?.map(Number),
                    userGroupId: event.userGroupIds?.ccEmailGroupIds
                },
                fail: {
                    userId: event.failure_cc_member_email?.split(',')?.filter(Boolean)?.map(Number),
                    userGroupId: event.userGroupIds?.failureCCEmailGroupIds
                }
            },
            evidence: {
                required: event.report_upload_flag,
                format: {
                    type: event.report_format?.length ? 'file' : (event.link_for_details?.length ? 'link' : ''),
                    data: event?.report_format?.length ? event.report_format : event?.link_for_details
                }
            },
            tags: JSON.parse(event.custom_tags),
            program: event.category_id?.split(',')?.filter(Boolean)?.map(Number),
            grcObjectId: event.linked_GRC_ids,
            assessmentId: event.assessment?.assessment_id,
        };
        return payload;
    }
    getRiskClass(riskClass) {
        const riskClasses = {
            0: 'low',
            1: 'low-medium',
            2: 'medium-high',
            3: 'high'
        };
        return riskClasses[riskClass];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponsibilityService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponsibilityService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponsibilityService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class ComplianceCommonService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.rcList = new BehaviorSubject(null);
        if (config) {
            this.env = config?.envConfig;
        }
    }
    getRcList(params, allVisible) {
        const headers = new HttpHeaders().set('token', this.authService?.getAuthorizationToken());
        return this.http
            .get(this.env?.complianceGet +
            'responsibilityCenterTree' +
            (allVisible ? '&isAllVisible=true' : ''), {
            params,
            headers,
        })
            .pipe(map((res) => this.setRcList(res)), catchError((error) => {
            console.error('Error fetching Responsibility Center List', error);
            return of(null);
        }));
    }
    setRcList(data) {
        this.rcList?.next(data);
        return data;
    }
    getRcListInfo(params, allVisible) {
        const currentRcList = this.rcList?.getValue();
        if (currentRcList) {
            return of(this.rcList?.value);
        }
        return this.getRcList(params, allVisible);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ComplianceCommonService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ComplianceCommonService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ComplianceCommonService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class IframeService {
    redirectIfInIframe(targetUrl, mode = false) {
        // Check if we're in an iframe
        const isInIframe = window !== window.parent;
        if (isInIframe) {
            try {
                // Try to break out of the iframe by redirecting the parent
                window.parent.location.href = targetUrl;
            }
            catch (e) {
                // If that fails due to cross-origin restrictions, try opening in a new tab/window
                window.open(targetUrl, '_blank');
            }
            return; // Redirect was attempted
        }
        if (mode) {
            window.location.href = targetUrl;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: IframeService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: IframeService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: IframeService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

let ClickOutsideDirective$1 = class ClickOutsideDirective {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.clickOutside = new EventEmitter();
    }
    onMouseEnter(targetElement) {
        const clickedInside = this.elementRef.nativeElement.contains(targetElement);
        if (!clickedInside) {
            this.clickOutside.emit(null);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: ClickOutsideDirective, selector: "[clickOutside]", outputs: { clickOutside: "clickOutside" }, host: { listeners: { "document:click": "onMouseEnter($event.target)" } }, ngImport: i0 }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideDirective$1, decorators: [{
            type: Directive,
            args: [{
                    selector: '[clickOutside]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { clickOutside: [{
                type: Output,
                args: ['clickOutside']
            }], onMouseEnter: [{
                type: HostListener,
                args: ['document:click', ['$event.target']]
            }] } });

class ClickOutsideModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideModule, declarations: [ClickOutsideDirective$1], imports: [CommonModule], exports: [ClickOutsideDirective$1] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ClickOutsideDirective$1],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        ClickOutsideDirective$1
                    ]
                }]
        }] });

class DataTypePipe {
    transform(value, ...args) {
        return typeof value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DataTypePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: DataTypePipe, name: "dataType" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DataTypePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'dataType'
                }]
        }] });

let FilterPipe$2 = class FilterPipe {
    transform(value, indentfier, excludelist) {
        const key = indentfier;
        const list = excludelist;
        if (key && list?.length) {
            const itemIdsArray = list.map(list[key]);
            return value.filter((e) => !itemIdsArray.includes(e[key]));
        }
        else {
            return value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe, name: "filter" }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe$2, decorators: [{
            type: Pipe,
            args: [{
                    name: 'filter',
                }]
        }] });

class ListMapperPipe {
    transform(value, ...args) {
        const selected = value;
        const list = args[0];
        const key = args[1];
        const x = list.filter((el) => selected.includes(el[key]));
        return x;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListMapperPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ListMapperPipe, name: "listMapper", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListMapperPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'listMapper',
                    pure: false
                }]
        }] });

let SearchPipe$1 = class SearchPipe {
    transform(items, ...args) {
        let searchText = args[0];
        const searchKey = args[1];
        if (!items) {
            return [];
        }
        if (!searchText) {
            return items;
        }
        searchText = searchText?.toLowerCase();
        if (items?.length) {
            return items.filter((it) => {
                if (!searchKey) {
                    return JSON.stringify(it)?.toLowerCase()?.includes(searchText);
                }
                else if (searchKey) {
                    return (it[searchKey]?.toString()?.toLowerCase()?.indexOf(searchText) > -1);
                }
            });
        }
        else {
            return [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SearchPipe, name: "search" }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchPipe$1, decorators: [{
            type: Pipe,
            args: [{
                    name: 'search',
                }]
        }] });

class SpaceBreakerPipe {
    transform(value, ...args) {
        if (value.length) {
            return value.replace(/&nbsp;/g, '').replace(/\<br\s*[\/]?>/gi, '').trim();
        }
        else {
            return value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SpaceBreakerPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SpaceBreakerPipe, name: "spaceBreaker" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SpaceBreakerPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'spaceBreaker'
                }]
        }] });

class UncategorizedFilterPipe {
    transform(value, ...args) {
        if (value) {
            return value.filter((category) => category?.category_name != 'uncategorized');
        }
        else {
            return value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UncategorizedFilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: UncategorizedFilterPipe, name: "uncategorizedFilter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UncategorizedFilterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'uncategorizedFilter'
                }]
        }] });

class UserFilterPipe {
    transform(value, ...args) {
        const key = args[0];
        const list = cloneDeep(args[1]);
        list.push(args[2]);
        if (key && list.length > 0) {
            const itemIdsArray = list.map((obj) => {
                return obj[key];
            });
            return value.filter((el) => {
                return !itemIdsArray.includes(el[key]);
            });
        }
        else {
            return value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserFilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: UserFilterPipe, name: "userFilter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserFilterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'userFilter'
                }]
        }] });

const CONSTANTS$1 = {
    categoryType: [
        { label: 'REGULATIONS', value: 1 },
        { label: 'STANDARDS', value: 2 },
        { label: 'INTERNAL CONTROLS', value: 3 },
        { label: 'OTHERS', value: 0 },
    ],
    performanceCalculation: [
        { label: 'PAST EVENTS ONLY', value: 'PAST_EVENT' },
        { label: 'PAST & UPCOMING EVENTS', value: 'UPCOMING_EVENT' },
    ],
    dateConfig: {
        disableKeypress: true,
        format: 'DD MMM YYYY',
        unSelectOnClick: true,
        openOnClick: false,
        openOnFocus: false,
        min: new Date().getDate().toString(),
    },
    description: {
        mode: 'prime',
        colorPalette: true,
        link: true,
        file: true,
        id: 'description',
        placeholder: 'Add a description for this Program',
    },
    objective: {
        mode: 'prime',
        colorPalette: true,
        link: true,
        file: false,
        id: 'objective',
        placeholder: 'What is the objective of this program?',
    },
    additionalOption: {
        REVIEWER: false,
        OVERSEER: false,
        ASSESSMENT: false,
        FORMATE_EVIDENCE: false,
        CUSTOM_FIELDS: false,
        PROGRAM_FREQUENCY: false,
        SCOPE_CHANGES: false,
        RC: false,
        ROLES: false,
        OWNERS: false,
        APPROVER: false,
        ASSIGNEES: false,
    },
};
const COLLABORATOR_TOOLTIP = `<strong>Collaborators</strong> can only access responsibilities in this program where they are directly involved, such as creator, reviewer, assignor, oversight user, or collaborator.<br>
        <br>
        This role is ideal for users who need to work on specific tasks but shouldn't see the entire program’s contents.
        <br>
        <br>
        <em>Example:</em> In an AML (Anti-Money Laundering) program, the Finance lead added as a collaborator will only see responsibilities related to financial reporting or audits they are linked to, not those owned by Legal or Compliance.`;
const COLLABORATOR_PLACEHODLER = `Select users that can collaborate in this Program`;
const COLLABORATOR_TOOLTIP_TEXT = `This user has already been selected as a Program Owner.`;

class TooltipMessagePipe {
    transform(value, ...args) {
        let responsibilityType = args[0];
        let currentUser = value;
        let reviewerIds = args[1];
        let overseerIds = args[2];
        let assignorId = args[3] ? args[3] : [];
        let assigneeIds = args[4] ? args[4] : [];
        let member_id = args[5] ? args[5] : 'member_id';
        let isDisabled = args[6] ? args[6] : false;
        let openedFrom = args[7] ? 'Program' : 'responsibility';
        switch (responsibilityType) {
            case "Assignee":
                if (reviewerIds?.includes(currentUser?.[member_id]) && !assignorId?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the reviewer for this " + openedFrom + '.';
                }
                else if (assignorId?.includes(currentUser?.[member_id]) && reviewerIds?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the assignor and reviewer for this " + openedFrom + '.';
                }
                if (overseerIds?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the oversight for this " + openedFrom + '.';
                }
                return currentUser?.member_email ?? currentUser?.employee_email;
            case "Reviewer":
                if (assigneeIds?.includes(currentUser?.[member_id]) && !assignorId?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the assignee for this " + openedFrom + '.';
                }
                else if (assignorId?.includes(currentUser?.[member_id]) && assigneeIds?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the assignor and assignee for this " + openedFrom + '.';
                }
                if (overseerIds?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the oversight for this " + openedFrom + '.';
                }
                return currentUser?.member_email ?? currentUser?.employee_email;
            case "Overseer":
                if (assigneeIds?.includes(currentUser?.[member_id]) && !assignorId?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the assignee for this " + openedFrom + '.';
                }
                else if (assignorId?.includes(currentUser?.[member_id]) && assigneeIds?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the assignor and assignee for this " + openedFrom + '.';
                }
                if (reviewerIds?.includes(currentUser?.[member_id]) && !assignorId?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the reviewer for this " + openedFrom + '.';
                }
                else if (assignorId?.includes(currentUser?.[member_id]) && reviewerIds?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the assignor and reviewer for this " + openedFrom + '.';
                }
                if (assignorId?.includes(currentUser?.[member_id])) {
                    return "This user is already selected as the assignor for this " + openedFrom + '.';
                }
                return currentUser?.member_email ?? currentUser?.employee_email;
            case "collaborator":
                if (isDisabled) {
                    return COLLABORATOR_TOOLTIP_TEXT;
                }
                return currentUser?.member_email ?? currentUser?.employee_email;
            default:
                return isDisabled ? "" : currentUser?.member_email ?? currentUser?.employee_email;
        }
        return "";
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TooltipMessagePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: TooltipMessagePipe, name: "tooltipMessage" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TooltipMessagePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'tooltipMessage'
                }]
        }] });

class DomSanitizerPipe {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    transform(htmlString) {
        if (!htmlString) {
            return htmlString;
        }
        const cleanString = htmlString.replace(/<[^>]*>/g, '');
        return cleanString;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DomSanitizerPipe, deps: [{ token: i1$2.DomSanitizer }], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: DomSanitizerPipe, name: "domSanitizer" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DomSanitizerPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'domSanitizer',
                }]
        }], ctorParameters: function () { return [{ type: i1$2.DomSanitizer }]; } });

class IsReadMorePipe {
    transform(elementId, height) {
        if ((document.getElementById(elementId) ?? { scrollHeight: 0 }).scrollHeight >
            height) {
            return true;
        }
        return false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: IsReadMorePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: IsReadMorePipe, name: "isReadMore", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: IsReadMorePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'isReadMore',
                    pure: false,
                }]
        }] });

class WithinStructurePipe {
    transform(parentId, itemList, nameKey = 'name', idKey = '_id', parentKey = 'parent_id') {
        if (!parentId || !Array.isArray(itemList)) {
            return '';
        }
        const itemMap = new Map(itemList.map((item) => [item[idKey], item]));
        const path = [];
        let currentId = parentId;
        while (currentId) {
            const currentItem = itemMap.get(currentId);
            if (currentItem) {
                path.push(currentItem[nameKey]);
                currentId = currentItem[parentKey];
            }
            else {
                break;
            }
        }
        return path.join(' > ');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WithinStructurePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: WithinStructurePipe, name: "within" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WithinStructurePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'within',
                }]
        }] });

class UserPipe {
    transform(id, list) {
        return list?.find((user) => user?._id === id);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: UserPipe, name: "userPipe" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'userPipe'
                }]
        }] });

class GetEditorConfigPipe {
    transform(index, additionalValue) {
        return {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add value',
            id: additionalValue + index
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetEditorConfigPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: GetEditorConfigPipe, name: "getEditorConfig" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetEditorConfigPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'getEditorConfig',
                    pure: true
                }]
        }] });

class PipesModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PipesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PipesModule, declarations: [DataTypePipe,
            FilterPipe$2,
            ListMapperPipe,
            SearchPipe$1,
            SpaceBreakerPipe,
            UncategorizedFilterPipe,
            UserFilterPipe,
            TooltipMessagePipe,
            DomSanitizerPipe,
            IsReadMorePipe,
            WithinStructurePipe,
            UserPipe,
            GetEditorConfigPipe], imports: [CommonModule], exports: [DataTypePipe,
            FilterPipe$2,
            ListMapperPipe,
            SearchPipe$1,
            SpaceBreakerPipe,
            UncategorizedFilterPipe,
            UserFilterPipe,
            TooltipMessagePipe,
            DomSanitizerPipe,
            IsReadMorePipe,
            WithinStructurePipe,
            UserPipe,
            GetEditorConfigPipe] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PipesModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PipesModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        DataTypePipe,
                        FilterPipe$2,
                        ListMapperPipe,
                        SearchPipe$1,
                        SpaceBreakerPipe,
                        UncategorizedFilterPipe,
                        UserFilterPipe,
                        TooltipMessagePipe,
                        DomSanitizerPipe,
                        IsReadMorePipe,
                        WithinStructurePipe,
                        UserPipe,
                        GetEditorConfigPipe
                    ],
                    imports: [CommonModule],
                    exports: [
                        DataTypePipe,
                        FilterPipe$2,
                        ListMapperPipe,
                        SearchPipe$1,
                        SpaceBreakerPipe,
                        UncategorizedFilterPipe,
                        UserFilterPipe,
                        TooltipMessagePipe,
                        DomSanitizerPipe,
                        IsReadMorePipe,
                        WithinStructurePipe,
                        UserPipe,
                        GetEditorConfigPipe
                    ],
                }]
        }] });

class TextFieldComponent {
    constructor() {
        this.titleText = '';
        this.placeholderText = '';
        this.textValue = '';
        this.isReadOnly = false;
        this.isEditMode = false;
        this.disabled = false;
        this.active = false;
        this.textValueChange = new EventEmitter();
        this.onClick = new EventEmitter();
        this.clickOutside = new EventEmitter();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TextFieldComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TextFieldComponent, isStandalone: true, selector: "lib-text-field", inputs: { titleText: "titleText", placeholderText: "placeholderText", textValue: "textValue", isReadOnly: "isReadOnly", isEditMode: "isEditMode", disabled: "disabled", active: "active" }, outputs: { textValueChange: "textValueChange", onClick: "onClick", clickOutside: "clickOutside" }, ngImport: i0, template: `
    <div
      class="form-group-row"
      [class.disabled]="disabled"
      [class.active]="active"
      (clickOutside)="clickOutside.emit()"
    >
      <!--
     Field Icons
     use this component for icons
     <lib-text-field-icon></lib-text-field-icon>
-->
      <ng-content select="[field-icons]"></ng-content>

      <div class="right">
        <div class="vx-form-group">
          <label class="vx-control-panel">
            {{ titleText }}
            <!-- <span class="required">*</span> -->
            <ng-content select="[is-required]"></ng-content>
          </label>
          <div [class.select-box]="isReadOnly">
            <input
              *ngIf="!isEditMode"
              type="text"
              [(ngModel)]="textValue"
              (change)="textValueChange.emit($event.target.value)"
              [placeholder]="placeholderText | domSanitizer"
              [readonly]="isReadOnly"
              [class.select-input]="isReadOnly"
              (click)="onClick.emit()"
            />
          </div>

          <ng-content select="[edit-mode]"></ng-content>
          <!--
        validation error message
        this element can be rendered
         <p *ngIf="false" [appScrollInView]="true" class="error-message">
          Enter a name for this GRC Object.
      </p>
      -->
          <ng-content select="[error-message]"></ng-content>
          <!--
      <p *ngIf="false" [appScrollInView]="true" class="error-message">
          Enter a name for this GRC Object.
      </p> -->
          <!-- Marx Editor -->
          <ng-content select="[rich-text-editor]"></ng-content>
        </div>
      </div>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-grc{position:relative}.select-box{cursor:pointer;position:relative}.select-box:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}.select-box input.select-input{cursor:pointer}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ClickOutsideModule }, { kind: "directive", type: ClickOutsideDirective$1, selector: "[clickOutside]", outputs: ["clickOutside"] }, { kind: "ngmodule", type: PipesModule }, { kind: "pipe", type: DomSanitizerPipe, name: "domSanitizer" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TextFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-text-field', standalone: true, imports: [CommonModule, FormsModule, ClickOutsideModule, PipesModule], template: `
    <div
      class="form-group-row"
      [class.disabled]="disabled"
      [class.active]="active"
      (clickOutside)="clickOutside.emit()"
    >
      <!--
     Field Icons
     use this component for icons
     <lib-text-field-icon></lib-text-field-icon>
-->
      <ng-content select="[field-icons]"></ng-content>

      <div class="right">
        <div class="vx-form-group">
          <label class="vx-control-panel">
            {{ titleText }}
            <!-- <span class="required">*</span> -->
            <ng-content select="[is-required]"></ng-content>
          </label>
          <div [class.select-box]="isReadOnly">
            <input
              *ngIf="!isEditMode"
              type="text"
              [(ngModel)]="textValue"
              (change)="textValueChange.emit($event.target.value)"
              [placeholder]="placeholderText | domSanitizer"
              [readonly]="isReadOnly"
              [class.select-input]="isReadOnly"
              (click)="onClick.emit()"
            />
          </div>

          <ng-content select="[edit-mode]"></ng-content>
          <!--
        validation error message
        this element can be rendered
         <p *ngIf="false" [appScrollInView]="true" class="error-message">
          Enter a name for this GRC Object.
      </p>
      -->
          <ng-content select="[error-message]"></ng-content>
          <!--
      <p *ngIf="false" [appScrollInView]="true" class="error-message">
          Enter a name for this GRC Object.
      </p> -->
          <!-- Marx Editor -->
          <ng-content select="[rich-text-editor]"></ng-content>
        </div>
      </div>
    </div>
  `, inputs: [
                        'titleText',
                        'placeholderText',
                        'textValue',
                        'isReadOnly',
                        'isEditMode',
                        'disabled',
                        'active',
                    ], outputs: ['textValueChange', 'onClick', 'clickOutside'], styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-grc{position:relative}.select-box{cursor:pointer;position:relative}.select-box:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}.select-box input.select-input{cursor:pointer}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }] });

const SVG_LINKS = {
    checked: 'http://www.w3.org/2000/svg',
};

class TextFieldIconComponent {
    constructor() {
        this.cdnLink = '';
        this.altName = '';
        this.isChecked = false;
        this.ALL_SVG_LINKS = SVG_LINKS;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TextFieldIconComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TextFieldIconComponent, isStandalone: true, selector: "lib-text-field-icon", inputs: { cdnLink: "cdnLink", altName: "altName", isChecked: "isChecked" }, ngImport: i0, template: `
    <div class="left" [class.checked]="isChecked">
      <img *ngIf="!isChecked" [src]="cdnLink" [alt]="altName" />

      <svg
        *ngIf="isChecked"
        class="checkIcon"
        [xmlns]="ALL_SVG_LINKS?.checked"
        viewBox="0 0 52 52"
      >
        <circle class="checkIcon__circle" cx="26" cy="26" r="25" fill="none" />
        <path
          class="checkIcon__check"
          fill="none"
          d="M14.1 27.2l7.1 7.2 16.7-16.8"
        />
      </svg>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TextFieldIconComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-text-field-icon', standalone: true, imports: [CommonModule], template: `
    <div class="left" [class.checked]="isChecked">
      <img *ngIf="!isChecked" [src]="cdnLink" [alt]="altName" />

      <svg
        *ngIf="isChecked"
        class="checkIcon"
        [xmlns]="ALL_SVG_LINKS?.checked"
        viewBox="0 0 52 52"
      >
        <circle class="checkIcon__circle" cx="26" cy="26" r="25" fill="none" />
        <path
          class="checkIcon__check"
          fill="none"
          d="M14.1 27.2l7.1 7.2 16.7-16.8"
        />
      </svg>
    </div>
  `, inputs: ['cdnLink', 'altName', 'isChecked'], styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }] });

class PopoverService {
    constructor() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class PopoverComponent {
    constructor(popoverService) {
        this.popoverService = popoverService;
        this.popoverContainer = false;
        this.showPopover = false;
    }
    ngOnInit() { }
    popover() {
        this.popoverContainer = false;
        this.popoverContainer = true;
        setTimeout(() => {
            this.getPosition();
            this.showPopover = true;
        }, 10);
        return false;
    }
    popoverEvent() {
        this.popoverContainer = false;
        this.popoverContainer = true;
        setTimeout(() => {
            this.getPosition();
            // this.positionX = this.popoverService.positionX;
            // this.positionY = this.popoverService.positionY;
            this.showPopover = true;
        }, 10);
        return false;
    }
    closePopover(top) {
        if (!this.dontCloseonClick || top === 'top') {
            this.popoverContainer = false;
            this.showPopover = false;
        }
    }
    clickedPopover() {
        this.getPosition();
    }
    getPosition() {
        const elementPositionn = this.popoverService?.elementPosition;
        this.popoverHeight = this.popoverRatio?.nativeElement?.offsetHeight;
        this.popoverWidth = this.popoverRatio?.nativeElement?.offsetWidth;
        if (this.popoverService.elementDirection === 'left') {
            this.leftValue = elementPositionn.left;
            if (elementPositionn.top + elementPositionn.height + this.popoverHeight >
                window.outerHeight - 200) {
                this.topValue = elementPositionn.top - this.popoverHeight;
            }
            else {
                this.topValue = elementPositionn.top + elementPositionn.height;
            }
        }
        if (this.popoverService.elementDirection === 'right') {
            this.leftValue =
                elementPositionn.left + elementPositionn.width - this.popoverWidth;
            if (elementPositionn.top + elementPositionn.height + this.popoverHeight >
                window.outerHeight - 200) {
                this.topValue = elementPositionn.top - this.popoverHeight;
            }
            else {
                this.topValue = elementPositionn.top + elementPositionn.height;
            }
        }
        if (this.popoverService.elementDirection === 'top') {
            this.leftValue = elementPositionn.left + elementPositionn.width;
            if (elementPositionn.top + elementPositionn.height + this.popoverHeight >
                window.outerHeight - 200) {
                this.topValue = elementPositionn.top - this.popoverHeight;
            }
            else {
                this.topValue = elementPositionn.top - this.popoverHeight;
            }
        }
        if (this.popoverService.elementDirection === 'bottom') {
            this.leftValue = elementPositionn.left + elementPositionn.width;
            if (elementPositionn.top + elementPositionn.height + this.popoverHeight >
                window.outerHeight - 200) {
                this.topValue = elementPositionn.top - this.popoverHeight;
            }
            else {
                this.topValue = elementPositionn.top + elementPositionn.height;
            }
        }
        if (this.popoverService.elementDirection === 'self-position') {
            this.leftValue =
                elementPositionn.left +
                    elementPositionn.width / 2 -
                    this.popoverWidth / 2;
            this.topValue = elementPositionn.top - 15;
        }
        if (this.popoverService.elementDirection === 'top-center') {
            this.leftValue =
                elementPositionn.left +
                    elementPositionn.width / 2 -
                    this.popoverWidth / 2;
            if (elementPositionn.top + elementPositionn.height + this.popoverHeight >
                window.outerHeight) {
                this.topValue = elementPositionn.top + elementPositionn.height;
            }
            else {
                this.topValue = elementPositionn.top - this.popoverHeight;
            }
        }
        if (this.popoverService.elementDirection === 'center') {
            this.leftValue =
                elementPositionn.left +
                    elementPositionn.width / 2 -
                    this.popoverWidth / 2;
            this.topValue = elementPositionn.top + elementPositionn.height;
        }
        this.positionX = this.leftValue;
        this.positionY = this.topValue;
    }
    sizeChange(event) {
        this.popoverContainer = false;
        this.showPopover = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverComponent, deps: [{ token: PopoverService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PopoverComponent, selector: "app-popover", inputs: { dontCloseonClick: "dontCloseonClick" }, host: { listeners: { "window:resize": "sizeChange($event)" } }, viewQueries: [{ propertyName: "popoverRatio", first: true, predicate: ["popoverRatio"], descendants: true }, { propertyName: "popoverContent", first: true, predicate: ["popoverContent"], descendants: true }], ngImport: i0, template: "<div class=\"vx-overlay\" *ngIf=\"popoverContainer\" (click)=\"closePopover('top')\"></div>\n<div class=\"action\" [class.active]=\"showPopover\" *ngIf=\"popoverContainer\" [style.top.px]=\"positionY\" [style.left.px]=\"positionX\" #popoverRatio id=\"popoverRatio\">\n  <div (click)=\"closePopover(); clickedPopover()\" #popoverContent>\n    <ng-content></ng-content>\n  </div>\n</div>\n", styles: [".action{position:fixed;z-index:13;display:inline-block;opacity:0}.action.active{opacity:1}.vx-overlay{z-index:12;cursor:initial;position:fixed;inset:0;display:block!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-popover', template: "<div class=\"vx-overlay\" *ngIf=\"popoverContainer\" (click)=\"closePopover('top')\"></div>\n<div class=\"action\" [class.active]=\"showPopover\" *ngIf=\"popoverContainer\" [style.top.px]=\"positionY\" [style.left.px]=\"positionX\" #popoverRatio id=\"popoverRatio\">\n  <div (click)=\"closePopover(); clickedPopover()\" #popoverContent>\n    <ng-content></ng-content>\n  </div>\n</div>\n", styles: [".action{position:fixed;z-index:13;display:inline-block;opacity:0}.action.active{opacity:1}.vx-overlay{z-index:12;cursor:initial;position:fixed;inset:0;display:block!important}\n"] }]
        }], ctorParameters: function () { return [{ type: PopoverService }]; }, propDecorators: { dontCloseonClick: [{
                type: Input
            }], popoverRatio: [{
                type: ViewChild,
                args: ['popoverRatio']
            }], popoverContent: [{
                type: ViewChild,
                args: ['popoverContent']
            }], sizeChange: [{
                type: HostListener,
                args: ['window:resize', ['$event']]
            }] } });

class PopoverDirective {
    constructor(elRef, popoverService) {
        this.elRef = elRef;
        this.popoverService = popoverService;
    }
    click() {
        this.popoverService.elementPosition = this.elRef.nativeElement.getBoundingClientRect();
        this.popoverService.elementDirection = this.placement;
        // this.getPosition();
    }
    onMouseEnter() {
        this.popoverService.elementPosition = this.elRef.nativeElement.getBoundingClientRect();
        this.popoverService.elementDirection = this.placement;
    }
    onMouseOver() {
        this.popoverService.elementPosition = this.elRef.nativeElement.getBoundingClientRect();
        this.popoverService.elementDirection = this.placement;
    }
    getPosition() {
        setTimeout(() => {
            // this.popoverService.elementPosition = this.elRef.nativeElement.getBoundingClientRect();
            const elementPositionn = this.elRef.nativeElement.getBoundingClientRect();
            if (this.placement === 'left') {
                this.leftValue = elementPositionn.left;
                if (elementPositionn.top + elementPositionn.height + this.popoverService.popoverHeight > window.outerHeight - 200) {
                    this.topValue = elementPositionn.top - this.popoverService.popoverHeight;
                }
                else {
                    this.topValue = elementPositionn.top + elementPositionn.height;
                }
            }
            if (this.placement === 'right') {
                this.leftValue = elementPositionn.left + elementPositionn.width - this.popoverService.popoverWidth;
                if (elementPositionn.top + elementPositionn.height + this.popoverService.popoverHeight > window.outerHeight - 200) {
                    this.topValue = elementPositionn.top - this.popoverService.popoverHeight;
                }
                else {
                    this.topValue = elementPositionn.top + elementPositionn.height;
                }
            }
            if (this.placement === 'top') {
                this.leftValue = elementPositionn.left + elementPositionn.width;
                if (elementPositionn.top + elementPositionn.height + this.popoverService.popoverHeight > window.outerHeight - 200) {
                    this.topValue = elementPositionn.top - this.popoverService.popoverHeight;
                }
                else {
                    this.topValue = elementPositionn.top - this.popoverService.popoverHeight;
                }
            }
            if (this.placement === 'bottom') {
                this.leftValue = elementPositionn.left + elementPositionn.width;
                if (elementPositionn.top + elementPositionn.height + this.popoverService.popoverHeight > window.outerHeight - 200) {
                    this.topValue = elementPositionn.top - this.popoverService.popoverHeight;
                }
                else {
                    this.topValue = elementPositionn.top + elementPositionn.height;
                }
            }
            if (this.placement === 'self-position') {
                this.leftValue = elementPositionn.left + elementPositionn.width / 2 - this.popoverService.popoverWidth / 2;
                this.topValue = elementPositionn.top - 15;
            }
            if (this.placement === 'top-center') {
                this.leftValue = elementPositionn.left + elementPositionn.width / 2 - this.popoverService.popoverWidth / 2;
                this.topValue = elementPositionn.top - this.popoverService.popoverHeight;
            }
            this.popoverService.positionX = this.leftValue;
            this.popoverService.positionY = this.topValue;
        }, 10);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverDirective, deps: [{ token: i0.ElementRef }, { token: PopoverService }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: PopoverDirective, selector: "[appPopover]", inputs: { refrence: "refrence", placement: "placement" }, host: { listeners: { "click": "click()", "mouseenter": "onMouseEnter()", "mouseover": "onMouseOver()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appPopover]',
                    // providers: [PopoverService],
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: PopoverService }]; }, propDecorators: { refrence: [{
                type: Input
            }], placement: [{
                type: Input
            }], click: [{
                type: HostListener,
                args: ['click']
            }], onMouseEnter: [{
                type: HostListener,
                args: ['mouseenter']
            }], onMouseOver: [{
                type: HostListener,
                args: ['mouseover']
            }] } });

class FloatingBarComponent {
    set defaultSelectedValue(value) {
        this.defaultSelected = value ? value : {};
    }
    constructor() {
        this.displayElementKey = '';
        this.elementId = '';
        this.singularText = '';
        this.pluralText = '';
        this.showNextButton = true;
        this.showFrequencyText = false;
        this.showWorkflow = false;
        this.workflowText = '';
        this.currentFrequency = '';
        this.isDisabled = false;
        this.workflowList = [
            'SEQUENTIAL',
            'ANY REVIEWER CAN MARK THIS AS REVIEWED',
        ];
        this.mode = 'CREATE';
        this.defaultSelected = {};
        this.nonRemovableUsersList = [];
        this.closeEvent = new EventEmitter();
        this.deleteEvent = new EventEmitter();
        this.closeList = new EventEmitter();
        this.deleteGroupEvent = new EventEmitter();
        this.workflowTypeChanged = new EventEmitter();
        this.selectedData = [];
        this.selectedGroups = [];
    }
    ngOnChanges() { }
    ngOnInit() { }
    next() {
        let selectedData;
        if (this.selectedGroups?.length > 0) {
            selectedData = { users: this.selectedData, groups: this.selectedGroups };
        }
        else {
            selectedData = this.selectedData;
        }
        this.closeEvent.emit(selectedData);
    }
    deleteSelected(index) {
        this.deleteEvent.emit(index);
    }
    deleteSelectedGroup(index) {
        this.deleteGroupEvent.emit(index);
    }
    close() {
        this.closeList.emit();
    }
    selectedWorkflowType(event) {
        // debugger
    }
    selectedWorkflowChange(event) {
        this.workflowTypeChanged.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FloatingBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FloatingBarComponent, selector: "app-floating-bar", inputs: { selectedData: "selectedData", selectedGroups: "selectedGroups", displayElementKey: "displayElementKey", elementId: "elementId", singularText: "singularText", pluralText: "pluralText", showNextButton: "showNextButton", showFrequencyText: "showFrequencyText", showWorkflow: "showWorkflow", workflowText: "workflowText", currentFrequency: "currentFrequency", isDisabled: "isDisabled", workflowList: "workflowList", selectedWorkflow: "selectedWorkflow", workflowPlaceHolder: "workflowPlaceHolder", mode: "mode", defaultSelectedValue: ["defaultSelected", "defaultSelectedValue"], groupsEnabled: "groupsEnabled", nonRemovableUsersList: "nonRemovableUsersList", removePosition: "removePosition" }, outputs: { closeEvent: "closeEvent", deleteEvent: "deleteEvent", closeList: "closeList", deleteGroupEvent: "deleteGroupEvent", workflowTypeChanged: "workflowTypeChanged" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"userGroup-floating-bar\">\n  <div class=\"userGroup-floating-bar-container\">\n    <div class=\"left user-group-left\">\n      <ng-container *ngIf=\"selectedData.length > 0 && !groupsEnabled\">\n        <div\n          class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n        >\n          <ng-container\n            *ngFor=\"let element of selectedData?.slice(0, 1); let i = index\"\n          >\n            <ng-container *ngIf=\"element\">\n              <i\n                *ngIf=\"\n                  !nonRemovableUsersList.includes(element[elementId]) &&\n                  removePosition != 'right'\n                \"\n                (click)=\"deleteSelected(element)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"step\"\n                *ngIf=\"selectedWorkflow == 'SEQUENTIAL' && showWorkflow\"\n                >{{\n                  selectedData.length <= 2 &&\n                  i == selectedData.length - 1 &&\n                  selectedData.length > 1\n                    ? \"Final\"\n                    : i + 1\n                }}</span\n              >\n              <span\n                *ngIf=\"(element[displayElementKey] | dataType) !== 'object'\"\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"element[displayElementKey]\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ element[displayElementKey] }}</span\n              >\n              <span\n                *ngIf=\"(element[displayElementKey] | dataType) === 'object'\"\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                >{{\n                  element[displayElementKey]\n                    | slice : element[displayElementKey].length - 1\n                }}</span\n              >\n              <i\n                class=\"icons cross vx-fs-12 vx-paragraph-txt vx-ml-1\"\n                *ngIf=\"\n                  !nonRemovableUsersList.includes(element[elementId]) &&\n                  removePosition == 'right'\n                \"\n                (click)=\"deleteSelected(element)\"\n                >&#xe9ae;</i\n              >\n            </ng-container>\n          </ng-container>\n          <button\n            *ngIf=\"selectedData?.length > 1\"\n            class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n            [class.greenBg]=\"false\"\n            appPopover\n            (click)=\"userPopover.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedData?.slice(1)?.length }}\n          </button>\n        </div>\n\n        <div class=\"name\" *ngIf=\"selectedData?.length > 1\">\n          <span *ngIf=\"selectedData?.slice(1).length === 1\">{{\n            singularText\n          }}</span>\n          <span *ngIf=\"selectedData?.slice(1).length > 1\">{{\n            pluralText\n          }}</span>\n        </div>\n      </ng-container>\n      <ng-container *ngIf=\"groupsEnabled\">\n        <div class=\"user-group-chip\" *ngIf=\"selectedData?.length\">\n          <i (click)=\"deleteSelected(selectedData[0])\" class=\"icons cross\"\n            >&#xe9ae;</i\n          >\n          <div\n            class=\"user-group-name\"\n            appTooltip=\"{{ selectedData[0][displayElementKey] }}\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n          >\n            {{ selectedData[0][displayElementKey] }}\n          </div>\n          <div\n            class=\"counter\"\n            *ngIf=\"selectedData?.length > 1\"\n            appPopover\n            (click)=\"UserWithFeatureFlagPopover.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedData?.length - 1 }}\n          </div>\n        </div>\n        <div\n          class=\"name userGroup-name\"\n          *ngIf=\"selectedData?.length > 0 && groupsEnabled\"\n        >\n          <span class=\"userGroup-text\" *ngIf=\"selectedData?.length === 1\">\n            {{\n              selectedGroups && selectedGroups?.length > 0 ? \" & \" : \"\"\n            }}</span\n          >\n          <span class=\"userGroup-text\" *ngIf=\"selectedData?.length > 1\"\n            >Users\n            {{\n              selectedGroups && selectedGroups?.length > 0 ? \" & \" : \"selected\"\n            }}</span\n          >\n        </div>\n        <div class=\"user-group-chip\" *ngIf=\"selectedGroups?.length\">\n          <i\n            class=\"icons cross\"\n            (click)=\"deleteSelectedGroup(selectedGroups[0])\"\n            >&#xe9ae;</i\n          >\n          <div\n            class=\"user-group-name\"\n            appTooltip=\"{{ selectedGroups[0]?.group_name }}\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n          >\n            {{ selectedGroups[0]?.group_name }}\n          </div>\n          <div\n            class=\"counter group\"\n            *ngIf=\"selectedGroups.length > 1\"\n            appPopover\n            (click)=\"groupPopover.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedGroups.length - 1 }}\n          </div>\n        </div>\n        <div class=\"name userGroup-name\" *ngIf=\"selectedGroups.length > 0\">\n          {{ selectedGroups?.length > 1 ? \" User Groups selected \" : \"\" }}\n        </div>\n      </ng-container>\n      <ng-container *ngIf=\"showFrequencyText\">\n        <div class=\"name vx-ml-0\">\n          <span\n            >You have selected\n            <span class=\"vx-fw-500 vx-label-txt\">{{ currentFrequency }}</span>\n            frequency.</span\n          >\n        </div>\n      </ng-container>\n      <ng-content></ng-content>\n    </div>\n    <div\n      class=\"center\"\n      *ngIf=\"\n        (showWorkflow && mode === 'CREATE') ||\n        (showWorkflow && workflowList.includes('ROUND-ROBIN'))\n      \"\n    >\n      <label>\n        {{ workflowText }}\n        <span\n          class=\"icon\"\n          *ngIf=\"workflowText == 'Approval Workflow'\"\n          libPopoverHover\n          (mouseover)=\"dataTooltip.popover()\"\n          (mouseleave)=\"dataTooltip.closePopover()\"\n          placement=\"right\"\n          ><i class=\"icons\">&#xe91f;</i></span\n        >\n      </label>\n      <popover-hover #dataTooltip>\n        <div class=\"vx-info-card\">\n          <div class=\"vx-info-card-body\">\n            You can select from the following three options:<br />\n            <strong>Sequential:</strong> The policy would be sent for approval\n            one at a time in the sequence defined by you.<br />\n            <strong>Round-robin:</strong> The policy will be sent for approval\n            to all approvers at the same time. However, it is mandatory for all\n            approvers to take action.<br />\n            <strong>Any One:</strong> The policy will be sent for approval to\n            all approvers at the same time. If anyone of the approver approves\n            the policy, it will be considered as approved.\n          </div>\n        </div>\n      </popover-hover>\n      <cs-select\n        [(ngModel)]=\"selectedWorkflow\"\n        (ngModelChange)=\"selectedWorkflowChange($event)\"\n        [placeholder]=\"'Approval WorkFlow *'\"\n        [setMaxWidth]=\"true\"\n      >\n        <cs-option *ngFor=\"let data of workflowList\" [value]=\"data\">\n          {{ data }}\n        </cs-option>\n      </cs-select>\n    </div>\n    <div class=\"right\">\n      <button appRipple class=\"cancel\" (click)=\"close()\">Cancel</button>\n      <button\n        *ngIf=\"showNextButton\"\n        [disabled]=\"isDisabled\"\n        (click)=\"next()\"\n        appRipple\n      >\n        Next <i class=\"icons\">&#xe91e;</i>\n      </button>\n    </div>\n  </div>\n</div>\n<app-popover #userPopover [dontCloseonClick]=\"true\">\n  <div class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let element of selectedData?.slice(1); let i = index\">\n        <div class=\"avatar-card\">\n          <span\n            class=\"value\"\n            *ngIf=\"(element[displayElementKey] | dataType) !== 'object'\"\n          >\n            <i\n              class=\"icons\"\n              *ngIf=\"!nonRemovableUsersList.includes(element[elementId])\"\n              (click)=\"deleteSelected(element)\"\n              >&#xe90d;</i\n            >\n            <span\n              class=\"step\"\n              *ngIf=\"selectedWorkflow == 'SEQUENTIAL' && showWorkflow\"\n            >\n              {{ i == selectedData.slice(1).length - 1 ? \"Final\" : i + 2 }}\n            </span>\n            {{ element[displayElementKey] }}\n          </span>\n\n          <span\n            class=\"value\"\n            *ngIf=\"(element[displayElementKey] | dataType) === 'object'\"\n          >\n            <i\n              class=\"icons\"\n              *ngIf=\"!nonRemovableUsersList.includes(element[elementId])\"\n              (click)=\"deleteSelected(element)\"\n              >&#xe90d;</i\n            >\n            {{ element[displayElementKey] }}\n          </span>\n          <div\n            *ngIf=\"\n              defaultSelected?.category_id &&\n              defaultSelected?.category_id === element?.category_id\n            \"\n            class=\"primary-label\"\n          >\n            PRIMARY\n          </div>\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n<app-popover #UserWithFeatureFlagPopover [dontCloseonClick]=\"true\">\n  <div class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let data of selectedData | slice : 1\">\n        <div class=\"avatar-card\">\n          <span class=\"value\"\n            ><i class=\"icons\" (click)=\"deleteSelected(data)\">&#xe90d;</i\n            >{{ data[displayElementKey] }}</span\n          >\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n<app-popover #groupPopover [dontCloseonClick]=\"true\">\n  <div class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let data of selectedGroups | slice : 1\">\n        <div class=\"avatar-card\">\n          <span class=\"value\"\n            ><i class=\"icons\" (click)=\"deleteSelectedGroup(data)\">&#xe90d;</i\n            >{{ data[\"group_name\"] }}</span\n          >\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .userGroup-floating-bar-container{height:48px;border-radius:4px;box-shadow:0 6px 12px #4681ef26;border:1px solid #f8f8f8;padding:8px 12px;display:flex;justify-content:space-between;position:relative;align-items:center;background:#fff}::ng-deep .userGroup-floating-bar-container .left{display:flex;align-items:center;width:40%}::ng-deep .userGroup-floating-bar-container .left.user-group-left{width:60%}::ng-deep .userGroup-floating-bar-container .left .chip{padding:0 5px;height:24px;display:inline-flex;color:#1e5dd3;border-radius:2px;align-items:center;background:#fff;max-width:100%;box-shadow:0 2px 6px #4681ef20}::ng-deep .userGroup-floating-bar-container .left .chip i{margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex;margin-left:4px}::ng-deep .userGroup-floating-bar-container .left .chip span{width:auto;font-size:12px;font-weight:500;overflow:hidden;display:block;text-overflow:ellipsis;white-space:nowrap;max-width:120px}::ng-deep .userGroup-floating-bar-container .left .chip span.no-action{max-width:100%}::ng-deep .userGroup-floating-bar-container .left .chip span+i{margin-left:8px;margin-right:0}::ng-deep .userGroup-floating-bar-container .left .chip+.chip{margin-left:5px}::ng-deep .userGroup-floating-bar-container .left .counter{border-radius:20px;background:#34aa44;border:none;color:#fff;font-size:9px;font-weight:600;cursor:pointer;display:inline-flex;align-items:center;margin:0 0 0 8px;padding:0 4px;justify-content:center;line-height:16px;min-width:24px}::ng-deep .userGroup-floating-bar-container .left .counter.group{background:#1e5dd3}::ng-deep .userGroup-floating-bar-container .left .name{margin-right:4px;color:#707070;font-size:12px;line-height:18px;white-space:nowrap}::ng-deep .userGroup-floating-bar-container .left .name b{text-transform:lowercase}::ng-deep .userGroup-floating-bar-container .left .user-group-chip{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem;display:inline-flex;align-items:center;padding:0 8px;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;margin-right:8px}::ng-deep .userGroup-floating-bar-container .left .user-group-chip .cross{color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .userGroup-floating-bar-container .left .user-group-chip .cross:hover{background:#f1f1f1}::ng-deep .userGroup-floating-bar-container .left .user-group-chip .user-group-name{color:#161b2f;font-size:11px;display:block;width:auto;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;max-width:7.5rem}::ng-deep .userGroup-floating-bar-container .left .userGroup-text{margin-right:4px}::ng-deep .userGroup-floating-bar-container .center{width:40%;display:flex;justify-content:flex-start;align-items:center}::ng-deep .userGroup-floating-bar-container .center label{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:0;display:block;text-transform:uppercase;width:auto;margin-right:8px;text-align:left;white-space:nowrap}::ng-deep .userGroup-floating-bar-container .center label .icon i{color:#1e5dd3}::ng-deep .userGroup-floating-bar-container .center cs-select{width:100%}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group{position:relative}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group input.value{background:transparent!important;height:32px!important;padding:8px 20px 8px 8px!important;border-radius:2px!important}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group:before{border:1px solid #707070;border-top:none;border-left:none;content:\"\";display:inline-block;right:8px;position:absolute;top:12px;width:5px;height:5px;transform:rotate(45deg)}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .select-options cs-option .list label span.value{font-size:13px!important}::ng-deep .userGroup-floating-bar-container .right{display:flex;align-items:center}::ng-deep .userGroup-floating-bar-container .right .name{margin-left:15px;color:#707070;font-size:12px;font-weight:500;line-height:18px;display:flex;align-items:center;white-space:nowrap}::ng-deep .userGroup-floating-bar-container .right .name span.required{color:#eb2424;font-size:14px}::ng-deep .userGroup-floating-bar-container .right .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}::ng-deep .userGroup-floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}::ng-deep .userGroup-floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}::ng-deep .userGroup-floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}::ng-deep .userGroup-floating-bar-container .right button{border-radius:2px;height:24px;background:#1e5dd3!important;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:none!important;padding:0 8px;margin:0 0 0 8px}::ng-deep .userGroup-floating-bar-container .right button i{margin-left:8px;font-size:11px}::ng-deep .userGroup-floating-bar-container .right button:disabled{background:#f1f1f1!important;color:#747576!important;opacity:1}::ng-deep .userGroup-floating-bar-container .right button.cancel{background:transparent!important;color:#eb2424!important}::ng-deep span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:4px}.wf-action-list ul.action-item li .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li.multiple-program{background:#f8f8f8;margin-top:8px}.wf-action-list ul.action-item li.multiple-program .avatar-card{padding:2px 7.5px}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value{color:#747576;font-size:11px;font-weight:600;width:unset}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li.multiple-program .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}.vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block}.vx-info-card-head{font-size:13px;border-bottom:1px solid #dcdcdc;padding:8px 12px;font-weight:500;text-transform:none;color:#161b2f}.vx-info-card-body{font-size:11px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: DataTypePipe, name: "dataType" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FloatingBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-floating-bar', template: "<div class=\"userGroup-floating-bar\">\n  <div class=\"userGroup-floating-bar-container\">\n    <div class=\"left user-group-left\">\n      <ng-container *ngIf=\"selectedData.length > 0 && !groupsEnabled\">\n        <div\n          class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n        >\n          <ng-container\n            *ngFor=\"let element of selectedData?.slice(0, 1); let i = index\"\n          >\n            <ng-container *ngIf=\"element\">\n              <i\n                *ngIf=\"\n                  !nonRemovableUsersList.includes(element[elementId]) &&\n                  removePosition != 'right'\n                \"\n                (click)=\"deleteSelected(element)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"step\"\n                *ngIf=\"selectedWorkflow == 'SEQUENTIAL' && showWorkflow\"\n                >{{\n                  selectedData.length <= 2 &&\n                  i == selectedData.length - 1 &&\n                  selectedData.length > 1\n                    ? \"Final\"\n                    : i + 1\n                }}</span\n              >\n              <span\n                *ngIf=\"(element[displayElementKey] | dataType) !== 'object'\"\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"element[displayElementKey]\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ element[displayElementKey] }}</span\n              >\n              <span\n                *ngIf=\"(element[displayElementKey] | dataType) === 'object'\"\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                >{{\n                  element[displayElementKey]\n                    | slice : element[displayElementKey].length - 1\n                }}</span\n              >\n              <i\n                class=\"icons cross vx-fs-12 vx-paragraph-txt vx-ml-1\"\n                *ngIf=\"\n                  !nonRemovableUsersList.includes(element[elementId]) &&\n                  removePosition == 'right'\n                \"\n                (click)=\"deleteSelected(element)\"\n                >&#xe9ae;</i\n              >\n            </ng-container>\n          </ng-container>\n          <button\n            *ngIf=\"selectedData?.length > 1\"\n            class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n            [class.greenBg]=\"false\"\n            appPopover\n            (click)=\"userPopover.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedData?.slice(1)?.length }}\n          </button>\n        </div>\n\n        <div class=\"name\" *ngIf=\"selectedData?.length > 1\">\n          <span *ngIf=\"selectedData?.slice(1).length === 1\">{{\n            singularText\n          }}</span>\n          <span *ngIf=\"selectedData?.slice(1).length > 1\">{{\n            pluralText\n          }}</span>\n        </div>\n      </ng-container>\n      <ng-container *ngIf=\"groupsEnabled\">\n        <div class=\"user-group-chip\" *ngIf=\"selectedData?.length\">\n          <i (click)=\"deleteSelected(selectedData[0])\" class=\"icons cross\"\n            >&#xe9ae;</i\n          >\n          <div\n            class=\"user-group-name\"\n            appTooltip=\"{{ selectedData[0][displayElementKey] }}\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n          >\n            {{ selectedData[0][displayElementKey] }}\n          </div>\n          <div\n            class=\"counter\"\n            *ngIf=\"selectedData?.length > 1\"\n            appPopover\n            (click)=\"UserWithFeatureFlagPopover.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedData?.length - 1 }}\n          </div>\n        </div>\n        <div\n          class=\"name userGroup-name\"\n          *ngIf=\"selectedData?.length > 0 && groupsEnabled\"\n        >\n          <span class=\"userGroup-text\" *ngIf=\"selectedData?.length === 1\">\n            {{\n              selectedGroups && selectedGroups?.length > 0 ? \" & \" : \"\"\n            }}</span\n          >\n          <span class=\"userGroup-text\" *ngIf=\"selectedData?.length > 1\"\n            >Users\n            {{\n              selectedGroups && selectedGroups?.length > 0 ? \" & \" : \"selected\"\n            }}</span\n          >\n        </div>\n        <div class=\"user-group-chip\" *ngIf=\"selectedGroups?.length\">\n          <i\n            class=\"icons cross\"\n            (click)=\"deleteSelectedGroup(selectedGroups[0])\"\n            >&#xe9ae;</i\n          >\n          <div\n            class=\"user-group-name\"\n            appTooltip=\"{{ selectedGroups[0]?.group_name }}\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n          >\n            {{ selectedGroups[0]?.group_name }}\n          </div>\n          <div\n            class=\"counter group\"\n            *ngIf=\"selectedGroups.length > 1\"\n            appPopover\n            (click)=\"groupPopover.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedGroups.length - 1 }}\n          </div>\n        </div>\n        <div class=\"name userGroup-name\" *ngIf=\"selectedGroups.length > 0\">\n          {{ selectedGroups?.length > 1 ? \" User Groups selected \" : \"\" }}\n        </div>\n      </ng-container>\n      <ng-container *ngIf=\"showFrequencyText\">\n        <div class=\"name vx-ml-0\">\n          <span\n            >You have selected\n            <span class=\"vx-fw-500 vx-label-txt\">{{ currentFrequency }}</span>\n            frequency.</span\n          >\n        </div>\n      </ng-container>\n      <ng-content></ng-content>\n    </div>\n    <div\n      class=\"center\"\n      *ngIf=\"\n        (showWorkflow && mode === 'CREATE') ||\n        (showWorkflow && workflowList.includes('ROUND-ROBIN'))\n      \"\n    >\n      <label>\n        {{ workflowText }}\n        <span\n          class=\"icon\"\n          *ngIf=\"workflowText == 'Approval Workflow'\"\n          libPopoverHover\n          (mouseover)=\"dataTooltip.popover()\"\n          (mouseleave)=\"dataTooltip.closePopover()\"\n          placement=\"right\"\n          ><i class=\"icons\">&#xe91f;</i></span\n        >\n      </label>\n      <popover-hover #dataTooltip>\n        <div class=\"vx-info-card\">\n          <div class=\"vx-info-card-body\">\n            You can select from the following three options:<br />\n            <strong>Sequential:</strong> The policy would be sent for approval\n            one at a time in the sequence defined by you.<br />\n            <strong>Round-robin:</strong> The policy will be sent for approval\n            to all approvers at the same time. However, it is mandatory for all\n            approvers to take action.<br />\n            <strong>Any One:</strong> The policy will be sent for approval to\n            all approvers at the same time. If anyone of the approver approves\n            the policy, it will be considered as approved.\n          </div>\n        </div>\n      </popover-hover>\n      <cs-select\n        [(ngModel)]=\"selectedWorkflow\"\n        (ngModelChange)=\"selectedWorkflowChange($event)\"\n        [placeholder]=\"'Approval WorkFlow *'\"\n        [setMaxWidth]=\"true\"\n      >\n        <cs-option *ngFor=\"let data of workflowList\" [value]=\"data\">\n          {{ data }}\n        </cs-option>\n      </cs-select>\n    </div>\n    <div class=\"right\">\n      <button appRipple class=\"cancel\" (click)=\"close()\">Cancel</button>\n      <button\n        *ngIf=\"showNextButton\"\n        [disabled]=\"isDisabled\"\n        (click)=\"next()\"\n        appRipple\n      >\n        Next <i class=\"icons\">&#xe91e;</i>\n      </button>\n    </div>\n  </div>\n</div>\n<app-popover #userPopover [dontCloseonClick]=\"true\">\n  <div class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let element of selectedData?.slice(1); let i = index\">\n        <div class=\"avatar-card\">\n          <span\n            class=\"value\"\n            *ngIf=\"(element[displayElementKey] | dataType) !== 'object'\"\n          >\n            <i\n              class=\"icons\"\n              *ngIf=\"!nonRemovableUsersList.includes(element[elementId])\"\n              (click)=\"deleteSelected(element)\"\n              >&#xe90d;</i\n            >\n            <span\n              class=\"step\"\n              *ngIf=\"selectedWorkflow == 'SEQUENTIAL' && showWorkflow\"\n            >\n              {{ i == selectedData.slice(1).length - 1 ? \"Final\" : i + 2 }}\n            </span>\n            {{ element[displayElementKey] }}\n          </span>\n\n          <span\n            class=\"value\"\n            *ngIf=\"(element[displayElementKey] | dataType) === 'object'\"\n          >\n            <i\n              class=\"icons\"\n              *ngIf=\"!nonRemovableUsersList.includes(element[elementId])\"\n              (click)=\"deleteSelected(element)\"\n              >&#xe90d;</i\n            >\n            {{ element[displayElementKey] }}\n          </span>\n          <div\n            *ngIf=\"\n              defaultSelected?.category_id &&\n              defaultSelected?.category_id === element?.category_id\n            \"\n            class=\"primary-label\"\n          >\n            PRIMARY\n          </div>\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n<app-popover #UserWithFeatureFlagPopover [dontCloseonClick]=\"true\">\n  <div class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let data of selectedData | slice : 1\">\n        <div class=\"avatar-card\">\n          <span class=\"value\"\n            ><i class=\"icons\" (click)=\"deleteSelected(data)\">&#xe90d;</i\n            >{{ data[displayElementKey] }}</span\n          >\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n<app-popover #groupPopover [dontCloseonClick]=\"true\">\n  <div class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let data of selectedGroups | slice : 1\">\n        <div class=\"avatar-card\">\n          <span class=\"value\"\n            ><i class=\"icons\" (click)=\"deleteSelectedGroup(data)\">&#xe90d;</i\n            >{{ data[\"group_name\"] }}</span\n          >\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .userGroup-floating-bar-container{height:48px;border-radius:4px;box-shadow:0 6px 12px #4681ef26;border:1px solid #f8f8f8;padding:8px 12px;display:flex;justify-content:space-between;position:relative;align-items:center;background:#fff}::ng-deep .userGroup-floating-bar-container .left{display:flex;align-items:center;width:40%}::ng-deep .userGroup-floating-bar-container .left.user-group-left{width:60%}::ng-deep .userGroup-floating-bar-container .left .chip{padding:0 5px;height:24px;display:inline-flex;color:#1e5dd3;border-radius:2px;align-items:center;background:#fff;max-width:100%;box-shadow:0 2px 6px #4681ef20}::ng-deep .userGroup-floating-bar-container .left .chip i{margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex;margin-left:4px}::ng-deep .userGroup-floating-bar-container .left .chip span{width:auto;font-size:12px;font-weight:500;overflow:hidden;display:block;text-overflow:ellipsis;white-space:nowrap;max-width:120px}::ng-deep .userGroup-floating-bar-container .left .chip span.no-action{max-width:100%}::ng-deep .userGroup-floating-bar-container .left .chip span+i{margin-left:8px;margin-right:0}::ng-deep .userGroup-floating-bar-container .left .chip+.chip{margin-left:5px}::ng-deep .userGroup-floating-bar-container .left .counter{border-radius:20px;background:#34aa44;border:none;color:#fff;font-size:9px;font-weight:600;cursor:pointer;display:inline-flex;align-items:center;margin:0 0 0 8px;padding:0 4px;justify-content:center;line-height:16px;min-width:24px}::ng-deep .userGroup-floating-bar-container .left .counter.group{background:#1e5dd3}::ng-deep .userGroup-floating-bar-container .left .name{margin-right:4px;color:#707070;font-size:12px;line-height:18px;white-space:nowrap}::ng-deep .userGroup-floating-bar-container .left .name b{text-transform:lowercase}::ng-deep .userGroup-floating-bar-container .left .user-group-chip{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem;display:inline-flex;align-items:center;padding:0 8px;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;margin-right:8px}::ng-deep .userGroup-floating-bar-container .left .user-group-chip .cross{color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .userGroup-floating-bar-container .left .user-group-chip .cross:hover{background:#f1f1f1}::ng-deep .userGroup-floating-bar-container .left .user-group-chip .user-group-name{color:#161b2f;font-size:11px;display:block;width:auto;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;max-width:7.5rem}::ng-deep .userGroup-floating-bar-container .left .userGroup-text{margin-right:4px}::ng-deep .userGroup-floating-bar-container .center{width:40%;display:flex;justify-content:flex-start;align-items:center}::ng-deep .userGroup-floating-bar-container .center label{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:0;display:block;text-transform:uppercase;width:auto;margin-right:8px;text-align:left;white-space:nowrap}::ng-deep .userGroup-floating-bar-container .center label .icon i{color:#1e5dd3}::ng-deep .userGroup-floating-bar-container .center cs-select{width:100%}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group{position:relative}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group input.value{background:transparent!important;height:32px!important;padding:8px 20px 8px 8px!important;border-radius:2px!important}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .input-group:before{border:1px solid #707070;border-top:none;border-left:none;content:\"\";display:inline-block;right:8px;position:absolute;top:12px;width:5px;height:5px;transform:rotate(45deg)}::ng-deep .userGroup-floating-bar-container .center cs-select .selection-wrap .select-options cs-option .list label span.value{font-size:13px!important}::ng-deep .userGroup-floating-bar-container .right{display:flex;align-items:center}::ng-deep .userGroup-floating-bar-container .right .name{margin-left:15px;color:#707070;font-size:12px;font-weight:500;line-height:18px;display:flex;align-items:center;white-space:nowrap}::ng-deep .userGroup-floating-bar-container .right .name span.required{color:#eb2424;font-size:14px}::ng-deep .userGroup-floating-bar-container .right .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}::ng-deep .userGroup-floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}::ng-deep .userGroup-floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}::ng-deep .userGroup-floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}::ng-deep .userGroup-floating-bar-container .right button{border-radius:2px;height:24px;background:#1e5dd3!important;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:none!important;padding:0 8px;margin:0 0 0 8px}::ng-deep .userGroup-floating-bar-container .right button i{margin-left:8px;font-size:11px}::ng-deep .userGroup-floating-bar-container .right button:disabled{background:#f1f1f1!important;color:#747576!important;opacity:1}::ng-deep .userGroup-floating-bar-container .right button.cancel{background:transparent!important;color:#eb2424!important}::ng-deep span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:4px}.wf-action-list ul.action-item li .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li.multiple-program{background:#f8f8f8;margin-top:8px}.wf-action-list ul.action-item li.multiple-program .avatar-card{padding:2px 7.5px}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value{color:#747576;font-size:11px;font-weight:600;width:unset}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li.multiple-program .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}.vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block}.vx-info-card-head{font-size:13px;border-bottom:1px solid #dcdcdc;padding:8px 12px;font-weight:500;text-transform:none;color:#161b2f}.vx-info-card-body{font-size:11px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { selectedData: [{
                type: Input
            }], selectedGroups: [{
                type: Input
            }], displayElementKey: [{
                type: Input
            }], elementId: [{
                type: Input
            }], singularText: [{
                type: Input
            }], pluralText: [{
                type: Input
            }], showNextButton: [{
                type: Input
            }], showFrequencyText: [{
                type: Input
            }], showWorkflow: [{
                type: Input
            }], workflowText: [{
                type: Input
            }], currentFrequency: [{
                type: Input
            }], isDisabled: [{
                type: Input
            }], workflowList: [{
                type: Input
            }], selectedWorkflow: [{
                type: Input
            }], workflowPlaceHolder: [{
                type: Input
            }], mode: [{
                type: Input
            }], defaultSelectedValue: [{
                type: Input,
                args: ['defaultSelected']
            }], groupsEnabled: [{
                type: Input
            }], nonRemovableUsersList: [{
                type: Input
            }], removePosition: [{
                type: Input
            }], closeEvent: [{
                type: Output
            }], deleteEvent: [{
                type: Output
            }], closeList: [{
                type: Output
            }], deleteGroupEvent: [{
                type: Output
            }], workflowTypeChanged: [{
                type: Output
            }] } });

class CsCheckboxComponent {
    constructor() {
        this.readonly = false;
        this.ngValueChange = new EventEmitter();
    }
    ngOnInit() { }
    valueChanged() {
        this.ngValueChange.emit(this.ngValue);
    }
    chileClick(event) {
        event.stopPropagation();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: { disabled: "disabled", ngValue: "ngValue", value: "value", readonly: "readonly", oneLine: "oneLine" }, outputs: { ngValueChange: "ngValueChange" }, ngImport: i0, template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n  <input type=\"checkbox\" [name]=\"value\"  [disabled]=\"disabled\" [disabled]=\"readonly\" [class.enable]=\"readonly\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n  <span class=\"checkbox\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\" *ngIf=\"!oneLine\">\n    <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <path class=\"checkmark__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n  </svg>\n  <svg id=\"check\" viewBox=\"-281 373 48 48\" *ngIf=\"oneLine\">\n    <path id=\"check-stroke\" d=\"M-273.2,398.2l10,9.9 l22.4-22.3\"/>\n  </svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:relative;padding:2px;margin-top:0}label.checkbox-item span.value{color:#747576;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}label.checkbox-item input[type=checkbox].enable:disabled~*{opacity:1}label.checkbox-item.disabled{pointer-events:none}.disabled{opacity:.4!important}.checkmark{width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark.checked{animation:fill 0s ease-in-out 0s forwards,scale 0s ease-in-out 0s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__circle.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}.checkmark__check.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) forwards}#check{width:100%}#check-stroke{stroke:#34aa44;fill:none;stroke-width:4;stroke-linecap:round;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards;stroke-dasharray:100%,200%}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-checkbox', template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n  <input type=\"checkbox\" [name]=\"value\"  [disabled]=\"disabled\" [disabled]=\"readonly\" [class.enable]=\"readonly\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n  <span class=\"checkbox\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\" *ngIf=\"!oneLine\">\n    <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <path class=\"checkmark__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n  </svg>\n  <svg id=\"check\" viewBox=\"-281 373 48 48\" *ngIf=\"oneLine\">\n    <path id=\"check-stroke\" d=\"M-273.2,398.2l10,9.9 l22.4-22.3\"/>\n  </svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:relative;padding:2px;margin-top:0}label.checkbox-item span.value{color:#747576;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}label.checkbox-item input[type=checkbox].enable:disabled~*{opacity:1}label.checkbox-item.disabled{pointer-events:none}.disabled{opacity:.4!important}.checkmark{width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark.checked{animation:fill 0s ease-in-out 0s forwards,scale 0s ease-in-out 0s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__circle.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}.checkmark__check.checked{animation:stroke 0s cubic-bezier(.65,0,.45,1) forwards}#check{width:100%}#check-stroke{stroke:#34aa44;fill:none;stroke-width:4;stroke-linecap:round;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards;stroke-dasharray:100%,200%}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], ngValue: [{
                type: Input
            }], value: [{
                type: Input
            }], readonly: [{
                type: Input
            }], ngValueChange: [{
                type: Output
            }], oneLine: [{
                type: Input
            }] } });

class NoDataComponent {
    constructor() {
        this.buttonAction = new EventEmitter();
    }
    actionEmitter(button) {
        this.buttonAction.emit(button);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: NoDataComponent, selector: "app-no-data", inputs: { action: "action", noDataImage: "noDataImage", noDataText: "noDataText", noDataButton: "noDataButton", noDataSecButton: "noDataSecButton", altText: "altText", smallButton: "smallButton", button: "button" }, outputs: { buttonAction: "buttonAction" }, ngImport: i0, template: "<div class=\"no-data-wrapper\">\n  <div class=\"no-data-container\">\n    <img [src]=\"noDataImage\" [alt]=\"altText\" class=\"image\" />\n    <p class=\"text\" [innerHTML]=\"noDataText\" *ngIf=\"noDataText\"></p>\n    <div class=\"button-row\" *ngIf=\"noDataButton\">\n      <button (click)=\"actionEmitter(button)\" [class.small]=\"smallButton\">\n        {{ noDataButton }}\n      </button>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .no-data-wrapper{display:flex;align-items:center;justify-content:center;height:100%;width:100%;background:#fff;border-radius:4px}::ng-deep .no-data-container{display:inline-block;text-align:center;width:500px}::ng-deep .no-data-container .image{width:300px;margin-bottom:24px;display:inline-block}::ng-deep .no-data-container p.text{font-size:19px;font-weight:400;line-height:28px;color:#565a6f;text-align:center;margin:0}::ng-deep .no-data-container p.text strong{font-weight:500}::ng-deep .no-data-container p.text .small-text{color:#787a8c;font-size:13px;line-height:20px;margin:8px 0 0}::ng-deep .no-data-container p.text .small-text strong{color:#000;font-weight:500}::ng-deep .no-data-container button{height:32px;border-radius:4px;display:flex;align-items:center;justify-content:center;color:#fff;font-size:11px;font-weight:500;line-height:24px;cursor:pointer;background:#1e5dd3;border:none;outline:none;text-transform:uppercase;padding:0 12px;margin:24px 0 0}::ng-deep .no-data-container button+button{margin-left:4px}::ng-deep .no-data-container button.small{width:60px;height:24px;font-size:11px}::ng-deep .no-data-container button.small i{margin-right:5px;font-size:9px}::ng-deep .no-data-container .button-row{display:flex;justify-content:center}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-no-data', template: "<div class=\"no-data-wrapper\">\n  <div class=\"no-data-container\">\n    <img [src]=\"noDataImage\" [alt]=\"altText\" class=\"image\" />\n    <p class=\"text\" [innerHTML]=\"noDataText\" *ngIf=\"noDataText\"></p>\n    <div class=\"button-row\" *ngIf=\"noDataButton\">\n      <button (click)=\"actionEmitter(button)\" [class.small]=\"smallButton\">\n        {{ noDataButton }}\n      </button>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .no-data-wrapper{display:flex;align-items:center;justify-content:center;height:100%;width:100%;background:#fff;border-radius:4px}::ng-deep .no-data-container{display:inline-block;text-align:center;width:500px}::ng-deep .no-data-container .image{width:300px;margin-bottom:24px;display:inline-block}::ng-deep .no-data-container p.text{font-size:19px;font-weight:400;line-height:28px;color:#565a6f;text-align:center;margin:0}::ng-deep .no-data-container p.text strong{font-weight:500}::ng-deep .no-data-container p.text .small-text{color:#787a8c;font-size:13px;line-height:20px;margin:8px 0 0}::ng-deep .no-data-container p.text .small-text strong{color:#000;font-weight:500}::ng-deep .no-data-container button{height:32px;border-radius:4px;display:flex;align-items:center;justify-content:center;color:#fff;font-size:11px;font-weight:500;line-height:24px;cursor:pointer;background:#1e5dd3;border:none;outline:none;text-transform:uppercase;padding:0 12px;margin:24px 0 0}::ng-deep .no-data-container button+button{margin-left:4px}::ng-deep .no-data-container button.small{width:60px;height:24px;font-size:11px}::ng-deep .no-data-container button.small i{margin-right:5px;font-size:9px}::ng-deep .no-data-container .button-row{display:flex;justify-content:center}\n"] }]
        }], propDecorators: { action: [{
                type: Input
            }], noDataImage: [{
                type: Input
            }], noDataText: [{
                type: Input
            }], noDataButton: [{
                type: Input
            }], noDataSecButton: [{
                type: Input
            }], altText: [{
                type: Input
            }], buttonAction: [{
                type: Output
            }], smallButton: [{
                type: Input
            }], button: [{
                type: Input
            }] } });

class LoaderInlineComponent {
    constructor(config) {
        if (config) {
            this.env = config.envConfig;
        }
        this.vLoader = this.env.vLoader;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderInlineComponent, deps: [{ token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LoaderInlineComponent, selector: "app-loader-inline", ngImport: i0, template: "<div class=\"inline-loader\">\n  <img src=\"{{vLoader}}\" alt=\"\" />\n  <div class=\"loader-index\">\n    <div class=\"loader-index-circle\"></div>\n  </div>\n</div>", styles: [".inline-loader{display:flex;overflow:hidden;align-items:center;justify-content:center;text-align:center;position:absolute;background:transparent;z-index:9;inset:0}.inline-loader img{width:45px;position:relative;z-index:2}.inline-loader .loader-index{width:100%;height:100%;position:absolute;inset:0;z-index:1;display:flex;align-items:center;justify-content:center}.inline-loader .loader-index-circle{background:#fff;width:65px;height:65px;border-radius:50%;border:4px solid transparent;border-top-color:#dbdbdb;animation:1.5s spin infinite linear}@keyframes spin{to{transform:rotate(360deg)}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderInlineComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-loader-inline', template: "<div class=\"inline-loader\">\n  <img src=\"{{vLoader}}\" alt=\"\" />\n  <div class=\"loader-index\">\n    <div class=\"loader-index-circle\"></div>\n  </div>\n</div>", styles: [".inline-loader{display:flex;overflow:hidden;align-items:center;justify-content:center;text-align:center;position:absolute;background:transparent;z-index:9;inset:0}.inline-loader img{width:45px;position:relative;z-index:2}.inline-loader .loader-index{width:100%;height:100%;position:absolute;inset:0;z-index:1;display:flex;align-items:center;justify-content:center}.inline-loader .loader-index-circle{background:#fff;width:65px;height:65px;border-radius:50%;border:4px solid transparent;border-top-color:#dbdbdb;animation:1.5s spin infinite linear}@keyframes spin{to{transform:rotate(360deg)}}\n"] }]
        }], ctorParameters: function () { return [{ type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class ResponsibilityCentersListComponent {
    constructor() {
        this.responsibilityCentersList = [];
        this.selectedResponsibilityCenters = [];
        this.rcIdKey = '';
        this.radioSelection = false;
        this.saveSelectedList = new EventEmitter();
        this.closeRcList = new EventEmitter();
        this.pluralText = 'Responsibility Centers selected';
        this.singularText = 'Responsibility Center selected';
        this.loaded = true;
        this.selectedIds = [];
        this.animation = false;
        this.search = '';
        this.ASSETS = ASSETS;
    }
    ngOnChanges() {
        this.selectedIds = this.selectedResponsibilityCenters.map((ele) => {
            if (ele[this.rcIdKey]) {
                return ele[this.rcIdKey];
            }
        });
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        setTimeout(() => {
            this.blockWidth = this.listBlock?.nativeElement?.offsetWidth;
        }, 10);
    }
    selectRc(rc, mode) {
        if (this.radioSelection) {
            if (mode) {
                this.selectedIds = [];
                this.selectedIds.push(rc);
            }
            this.setList();
        }
        else {
            if (mode) {
                this.selectedIds.push(rc);
            }
            else {
                const index = this.selectedIds.findIndex((element) => element == rc);
                this.selectedIds.splice(index, 1);
            }
            this.setList();
        }
    }
    deleteEvent(event) {
        const index = this.selectedIds.findIndex((element) => element == event[this.rcIdKey]);
        this.selectedIds.splice(index, 1);
        this.setList();
    }
    selectAll(mode) {
        if (mode) {
            const list = [...this.responsibilityCentersList];
            this.selectedIds = [];
            list.forEach((element) => {
                this.selectedIds.push(element[this.rcIdKey]);
            });
        }
        else {
            this.selectedIds = [];
        }
        this.setList();
    }
    setList() {
        const data = [];
        const rcList = cloneDeep(this.responsibilityCentersList);
        const selectedIds = cloneDeep(this.selectedIds);
        rcList.forEach((element) => {
            if (selectedIds.includes(element[this.rcIdKey])) {
                data.push(element);
            }
        });
        this.selectedResponsibilityCenters = data;
    }
    checkSelectAll() {
        const data = this.responsibilityCentersList.every((rc) => this.selectedIds.includes(rc[this.rcIdKey]));
        return data;
    }
    save(selectedIds) {
        this.saveSelectedList.emit(selectedIds);
    }
    close() {
        this.closeRcList.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponsibilityCentersListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: { responsibilityCentersList: "responsibilityCentersList", selectedResponsibilityCenters: "selectedResponsibilityCenters", rcIdKey: "rcIdKey", radioSelection: "radioSelection", pluralText: "pluralText", singularText: "singularText", loaded: "loaded" }, outputs: { saveSelectedList: "saveSelectedList", closeRcList: "closeRcList" }, viewQueries: [{ propertyName: "listBlock", first: true, predicate: ["listBlock"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"add-risk-rc\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-rc-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Select Responsibility Center(s)\n    </div>\n  </div>\n  <div class=\"add-risk-rc-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"Search Responsibility Center\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"!loaded\"></app-loader-inline>\n\n    <ng-container\n      *ngIf=\"responsibilityCentersList | search : search as searchList\"\n    >\n      <div\n        class=\"body-top\"\n        *ngIf=\"\n          !radioSelection &&\n          searchList?.length > 0 &&\n          search?.trim()?.length === 0\n        \"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n          ><strong>{{\n            checkSelectAll() ? \"Deselect All\" : \"Select All\"\n          }}</strong>\n        </app-cs-checkbox>\n      </div>\n\n      <ul\n        class=\"add-risk-rc-list\"\n        [class.with-selectAll]=\"\n          !radioSelection &&\n          searchList?.length > 0 &&\n          search?.trim()?.length === 0\n        \"\n        *ngIf=\"searchList?.length > 0\"\n      >\n        <ng-container *ngIf=\"!radioSelection\">\n          <li *ngFor=\"let rc of searchList\" #ulElement>\n            <app-cs-checkbox\n              [ngValue]=\"selectedIds.includes(rc.item_id)\"\n              (ngValueChange)=\"selectRc(rc.item_id, $event)\"\n            >\n              <ul class=\"add-risk-rc-name\" #listBlock>\n                <!-- [style.max-width.px]=\"blockWidth / rc.rc_name\" -->\n                <li\n                  *ngFor=\"let entity of rc.rc_name; let j = index\"\n                  [appTooltip]=\"entity\"\n                  placement=\"bottom\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i class=\"icons\" *ngIf=\"j !== 0\">&#xe910;</i>{{ entity }}\n                </li>\n              </ul>\n            </app-cs-checkbox>\n          </li>\n        </ng-container>\n        <ng-container *ngIf=\"radioSelection\">\n          <li *ngFor=\"let rc of searchList\" #ulElement>\n            <app-cs-radio\n              (checkedEvent)=\"selectRc(rc.item_id, $event)\"\n              [checked]=\"selectedIds.includes(rc.item_id)\"\n            >\n              <ul class=\"add-risk-rc-name\">\n                <li\n                  *ngFor=\"let entity of rc.rc_name; let j = index\"\n                  [appTooltip]=\"entity\"\n                  placement=\"bottom\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i class=\"icons\" *ngIf=\"j !== 0\">&#xe910;</i>{{ entity }}\n                </li>\n              </ul>\n            </app-cs-radio>\n          </li>\n        </ng-container>\n      </ul>\n      <app-no-data\n        *ngIf=\"!searchList?.length && loaded\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"loaded\"\n      [selectedData]=\"selectedResponsibilityCenters\"\n      [displayElementKey]=\"'item_name'\"\n      [singularText]=\"singularText\"\n      [pluralText]=\"pluralText\"\n      (closeEvent)=\"save(selectedIds)\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        selectedResponsibilityCenters?.length === 0 ||\n        responsibilityCentersList?.length === 0\n      \"\n    ></app-floating-bar>\n  </div>\n</div>\n\n<!-- <button (click)=\"save(selectedIds)\">Next</button> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#fff;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .add-risk-rc{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-rc:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-rc-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-rc-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-rc-body .search-block{position:relative}::ng-deep .add-risk-rc-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-rc-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-rc-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .add-risk-rc-body .body-top{display:flex;justify-content:space-between;padding:.5rem 0 0}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-rc-body ul{padding:0;margin:0}::ng-deep .add-risk-rc-body ul.add-risk-rc-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 14.5rem);overflow:auto;margin:1rem 0}::ng-deep .add-risk-rc-body ul.add-risk-rc-list.with-selectAll{height:calc(100vh - 16rem)}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio{display:flex}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox label,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio label{width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox label span.value,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;line-height:18px!important}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name{display:flex;justify-content:flex-start;width:auto;max-width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li{list-style:none;color:#747576;font-size:12px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 .5rem 0 0;max-width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li i,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li i{font-size:8px;padding-right:8px}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li:first-child,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li:first-child{color:#1e5dd3;max-width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li:last-of-type,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li:last-of-type{color:#34aa44}::ng-deep .add-risk-rc-body app-no-data .no-data-wrapper{height:calc(100vh - 200px)}::ng-deep .add-risk-rc.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .add-risk-rc .message-footer{background:#1e5dd3;border-radius:5px;margin:0 0 0 30px;width:calc(100% - 60px);position:relative;bottom:0}::ng-deep .add-risk-rc .message-footer .message{padding:15px;display:flex;align-items:flex-start}::ng-deep .add-risk-rc .message-footer .message i{width:auto;font-size:16px;color:#fff}::ng-deep .add-risk-rc .message-footer .message span{color:#fff;font-size:12px;line-height:18px;padding-left:9px;font-weight:300}::ng-deep .add-risk-rc .message-footer .footer{border-top:1px solid #1483ef;display:flex;justify-content:space-between;align-items:center;padding:10px 15px}::ng-deep .add-risk-rc .message-footer .footer span{color:#fff;font-size:14px}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper{display:flex}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button{width:60px;height:32px;display:flex;align-items:center;justify-content:center;cursor:pointer;font-size:11px;font-weight:500;border:1px solid #fff;text-transform:uppercase;border-radius:2px;outline:none;padding:0;margin:0}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.outline{background:#1e5dd3;color:#fff}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.fill{background:#fff;color:#1e5dd3}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "pipe", type: SearchPipe$1, name: "search" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponsibilityCentersListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-responsibility-centers-list', template: "<div class=\"add-risk-rc\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-rc-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Select Responsibility Center(s)\n    </div>\n  </div>\n  <div class=\"add-risk-rc-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"Search Responsibility Center\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"!loaded\"></app-loader-inline>\n\n    <ng-container\n      *ngIf=\"responsibilityCentersList | search : search as searchList\"\n    >\n      <div\n        class=\"body-top\"\n        *ngIf=\"\n          !radioSelection &&\n          searchList?.length > 0 &&\n          search?.trim()?.length === 0\n        \"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n          ><strong>{{\n            checkSelectAll() ? \"Deselect All\" : \"Select All\"\n          }}</strong>\n        </app-cs-checkbox>\n      </div>\n\n      <ul\n        class=\"add-risk-rc-list\"\n        [class.with-selectAll]=\"\n          !radioSelection &&\n          searchList?.length > 0 &&\n          search?.trim()?.length === 0\n        \"\n        *ngIf=\"searchList?.length > 0\"\n      >\n        <ng-container *ngIf=\"!radioSelection\">\n          <li *ngFor=\"let rc of searchList\" #ulElement>\n            <app-cs-checkbox\n              [ngValue]=\"selectedIds.includes(rc.item_id)\"\n              (ngValueChange)=\"selectRc(rc.item_id, $event)\"\n            >\n              <ul class=\"add-risk-rc-name\" #listBlock>\n                <!-- [style.max-width.px]=\"blockWidth / rc.rc_name\" -->\n                <li\n                  *ngFor=\"let entity of rc.rc_name; let j = index\"\n                  [appTooltip]=\"entity\"\n                  placement=\"bottom\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i class=\"icons\" *ngIf=\"j !== 0\">&#xe910;</i>{{ entity }}\n                </li>\n              </ul>\n            </app-cs-checkbox>\n          </li>\n        </ng-container>\n        <ng-container *ngIf=\"radioSelection\">\n          <li *ngFor=\"let rc of searchList\" #ulElement>\n            <app-cs-radio\n              (checkedEvent)=\"selectRc(rc.item_id, $event)\"\n              [checked]=\"selectedIds.includes(rc.item_id)\"\n            >\n              <ul class=\"add-risk-rc-name\">\n                <li\n                  *ngFor=\"let entity of rc.rc_name; let j = index\"\n                  [appTooltip]=\"entity\"\n                  placement=\"bottom\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i class=\"icons\" *ngIf=\"j !== 0\">&#xe910;</i>{{ entity }}\n                </li>\n              </ul>\n            </app-cs-radio>\n          </li>\n        </ng-container>\n      </ul>\n      <app-no-data\n        *ngIf=\"!searchList?.length && loaded\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"loaded\"\n      [selectedData]=\"selectedResponsibilityCenters\"\n      [displayElementKey]=\"'item_name'\"\n      [singularText]=\"singularText\"\n      [pluralText]=\"pluralText\"\n      (closeEvent)=\"save(selectedIds)\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        selectedResponsibilityCenters?.length === 0 ||\n        responsibilityCentersList?.length === 0\n      \"\n    ></app-floating-bar>\n  </div>\n</div>\n\n<!-- <button (click)=\"save(selectedIds)\">Next</button> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#fff;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .add-risk-rc{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-rc:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-rc-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-rc-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-rc-body .search-block{position:relative}::ng-deep .add-risk-rc-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-rc-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-rc-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .add-risk-rc-body .body-top{display:flex;justify-content:space-between;padding:.5rem 0 0}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-rc-body ul{padding:0;margin:0}::ng-deep .add-risk-rc-body ul.add-risk-rc-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 14.5rem);overflow:auto;margin:1rem 0}::ng-deep .add-risk-rc-body ul.add-risk-rc-list.with-selectAll{height:calc(100vh - 16rem)}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio{display:flex}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox label,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio label{width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox label span.value,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;line-height:18px!important}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name{display:flex;justify-content:flex-start;width:auto;max-width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li{list-style:none;color:#747576;font-size:12px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 .5rem 0 0;max-width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li i,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li i{font-size:8px;padding-right:8px}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li:first-child,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li:first-child{color:#1e5dd3;max-width:100%}::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-checkbox ul.add-risk-rc-name li:last-of-type,::ng-deep .add-risk-rc-body ul.add-risk-rc-list li app-cs-radio ul.add-risk-rc-name li:last-of-type{color:#34aa44}::ng-deep .add-risk-rc-body app-no-data .no-data-wrapper{height:calc(100vh - 200px)}::ng-deep .add-risk-rc.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .add-risk-rc .message-footer{background:#1e5dd3;border-radius:5px;margin:0 0 0 30px;width:calc(100% - 60px);position:relative;bottom:0}::ng-deep .add-risk-rc .message-footer .message{padding:15px;display:flex;align-items:flex-start}::ng-deep .add-risk-rc .message-footer .message i{width:auto;font-size:16px;color:#fff}::ng-deep .add-risk-rc .message-footer .message span{color:#fff;font-size:12px;line-height:18px;padding-left:9px;font-weight:300}::ng-deep .add-risk-rc .message-footer .footer{border-top:1px solid #1483ef;display:flex;justify-content:space-between;align-items:center;padding:10px 15px}::ng-deep .add-risk-rc .message-footer .footer span{color:#fff;font-size:14px}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper{display:flex}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button{width:60px;height:32px;display:flex;align-items:center;justify-content:center;cursor:pointer;font-size:11px;font-weight:500;border:1px solid #fff;text-transform:uppercase;border-radius:2px;outline:none;padding:0;margin:0}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.outline{background:#1e5dd3;color:#fff}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.fill{background:#fff;color:#1e5dd3}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { listBlock: [{
                type: ViewChild,
                args: ['listBlock', { static: false }]
            }], responsibilityCentersList: [{
                type: Input
            }], selectedResponsibilityCenters: [{
                type: Input
            }], rcIdKey: [{
                type: Input
            }], radioSelection: [{
                type: Input
            }], saveSelectedList: [{
                type: Output
            }], closeRcList: [{
                type: Output
            }], pluralText: [{
                type: Input
            }], singularText: [{
                type: Input
            }], loaded: [{
                type: Input
            }] } });

class PopoverEventDirective {
    constructor(popoverService) {
        this.popoverService = popoverService;
    }
    contextmenu(event) {
        this.getEventPosition(event);
    }
    getEventPosition(event) {
        // const container = event.currentTarget;
        this.popoverService.positionX = event.clientX;
        this.popoverService.positionY = event.clientY;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverEventDirective, deps: [{ token: PopoverService }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: PopoverEventDirective, selector: "[appPopoverEvent]", host: { listeners: { "contextmenu": "contextmenu($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverEventDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appPopoverEvent]',
                }]
        }], ctorParameters: function () { return [{ type: PopoverService }]; }, propDecorators: { contextmenu: [{
                type: HostListener,
                args: ['contextmenu', ['$event']]
            }] } });

class PopoverLongpressDirective {
    constructor(popoverService) {
        this.popoverService = popoverService;
        this.longPressPopover = new EventEmitter();
    }
    mousedown(event) {
        this.currentTime = Date.now();
        this.timer = setInterval(() => {
            if (Date.now() - this.currentTime > 1000) {
                this.longPressPopover.emit();
                clearInterval(this.timer);
                this.getEventPosition(event);
            }
        }, 10);
    }
    mouseup() {
        clearInterval(this.timer);
        this.currentTime = undefined;
    }
    getEventPosition(event) {
        this.popoverService.positionX = event.clientX;
        this.popoverService.positionY = event.clientY;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverLongpressDirective, deps: [{ token: PopoverService }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: PopoverLongpressDirective, selector: "[appPopoverLongpress]", outputs: { longPressPopover: "longPressPopover" }, host: { listeners: { "mousedown": "mousedown($event)", "mouseup": "mouseup()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverLongpressDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appPopoverLongpress]',
                }]
        }], ctorParameters: function () { return [{ type: PopoverService }]; }, propDecorators: { longPressPopover: [{
                type: Output
            }], mousedown: [{
                type: HostListener,
                args: ['mousedown', ['$event']]
            }], mouseup: [{
                type: HostListener,
                args: ['mouseup']
            }] } });

class PopoverModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PopoverModule, declarations: [PopoverComponent, PopoverDirective, PopoverEventDirective, PopoverLongpressDirective], imports: [CommonModule], exports: [PopoverComponent, PopoverDirective, PopoverEventDirective, PopoverLongpressDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverModule, providers: [PopoverService], imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [PopoverComponent, PopoverDirective, PopoverEventDirective, PopoverLongpressDirective],
                    imports: [CommonModule],
                    exports: [PopoverComponent, PopoverDirective, PopoverEventDirective, PopoverLongpressDirective],
                    providers: [PopoverService],
                }]
        }] });

class FloatingBarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FloatingBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FloatingBarModule, declarations: [FloatingBarComponent], imports: [CommonModule, PopoverModule, PipesModule], exports: [FloatingBarComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FloatingBarModule, imports: [CommonModule, PopoverModule, PipesModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FloatingBarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [FloatingBarComponent],
                    imports: [CommonModule, PopoverModule, PipesModule],
                    exports: [FloatingBarComponent],
                }]
        }] });

class CsSwitchComponent {
    constructor() {
        this.ngValueChange = new EventEmitter();
    }
    valueChanged() {
        this.ngValueChange.emit(this.ngValue);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSwitchComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsSwitchComponent, selector: "app-cs-switch", inputs: { disabled: "disabled", ngValue: "ngValue", value: "value", tooltipMessage: "tooltipMessage", position: "position" }, outputs: { ngValueChange: "ngValueChange" }, ngImport: i0, template: "<label class=\"cs-switch\" [class.top]=\"position == 'top'\">\n  <!-- [class.large]=\"large\" -->\n  <span class=\"value\" [class.disabled]=\"disabled\">\n    <ng-content></ng-content>\n  </span>\n  <!-- [class.last]=\"last\" -->\n  <span class=\"switch\" *ngIf=\"tooltipMessage === '' || tooltipMessage === undefined\">\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\" [class.disabled]=\"disabled\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n  <span class=\"switch\" *ngIf=\"tooltipMessage !== '' && tooltipMessage !== undefined\">\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\" [class.disabled]=\"disabled\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n</label>\n", styles: ["label.cs-switch{position:relative;display:flex;align-items:center;justify-content:space-between;width:100%;margin:0;padding:0}label.cs-switch.top{align-items:flex-start}label.cs-switch span.value{font-size:12px;color:#161b2f;font-weight:400;display:flex;justify-content:space-between;width:calc(100% - 35px);align-items:flex-start}label.cs-switch span.value:empty{display:none}label.cs-switch span.switch{position:relative;display:block;width:28px;min-width:28px;height:16px}label.cs-switch span.switch input{position:absolute;opacity:0;margin:0;width:100%;height:100%;z-index:1;cursor:pointer}label.cs-switch span.switch input:checked+span.switch-box{background:#34aa44;border:1px solid #34aa44}label.cs-switch span.switch input:checked+span.switch-box .switch-ball{left:13px;border-color:#34aa44}label.cs-switch span.switch-box{height:100%;width:100%;border-radius:11px;background:#dbdbdb;border:1px solid #dbdbdb;display:block;transition:all .2s ease-in-out}label.cs-switch span.switch-ball{height:14px;width:14px;background:#fff;border-radius:50%;border:1px solid #dbdbdb;display:block;position:absolute;left:1px;top:1px;bottom:1px;transition:all .2s ease-in-out}:disabled{pointer-events:none;opacity:.2}.disabled{pointer-events:none;opacity:.2}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSwitchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-switch', template: "<label class=\"cs-switch\" [class.top]=\"position == 'top'\">\n  <!-- [class.large]=\"large\" -->\n  <span class=\"value\" [class.disabled]=\"disabled\">\n    <ng-content></ng-content>\n  </span>\n  <!-- [class.last]=\"last\" -->\n  <span class=\"switch\" *ngIf=\"tooltipMessage === '' || tooltipMessage === undefined\">\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\" [class.disabled]=\"disabled\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n  <span class=\"switch\" *ngIf=\"tooltipMessage !== '' && tooltipMessage !== undefined\">\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\" [class.disabled]=\"disabled\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n</label>\n", styles: ["label.cs-switch{position:relative;display:flex;align-items:center;justify-content:space-between;width:100%;margin:0;padding:0}label.cs-switch.top{align-items:flex-start}label.cs-switch span.value{font-size:12px;color:#161b2f;font-weight:400;display:flex;justify-content:space-between;width:calc(100% - 35px);align-items:flex-start}label.cs-switch span.value:empty{display:none}label.cs-switch span.switch{position:relative;display:block;width:28px;min-width:28px;height:16px}label.cs-switch span.switch input{position:absolute;opacity:0;margin:0;width:100%;height:100%;z-index:1;cursor:pointer}label.cs-switch span.switch input:checked+span.switch-box{background:#34aa44;border:1px solid #34aa44}label.cs-switch span.switch input:checked+span.switch-box .switch-ball{left:13px;border-color:#34aa44}label.cs-switch span.switch-box{height:100%;width:100%;border-radius:11px;background:#dbdbdb;border:1px solid #dbdbdb;display:block;transition:all .2s ease-in-out}label.cs-switch span.switch-ball{height:14px;width:14px;background:#fff;border-radius:50%;border:1px solid #dbdbdb;display:block;position:absolute;left:1px;top:1px;bottom:1px;transition:all .2s ease-in-out}:disabled{pointer-events:none;opacity:.2}.disabled{pointer-events:none;opacity:.2}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], ngValue: [{
                type: Input
            }], value: [{
                type: Input
            }], ngValueChange: [{
                type: Output
            }], tooltipMessage: [{
                type: Input
            }], position: [{
                type: Input
            }] } });

class CsRadioGroupComponent {
    constructor() { }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsRadioGroupComponent, selector: "app-cs-radio-group", ngImport: i0, template: "<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n", styles: [""], dependencies: [{ kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-radio-group', template: "<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n" }]
        }], ctorParameters: function () { return []; } });

let PascalPipe$1 = class PascalPipe {
    transform(value, ...args) {
        if (typeof value !== 'string') {
            return value;
        }
        return value.charAt(0).toUpperCase() + value.slice(1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PascalPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PascalPipe, name: "pascal" }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PascalPipe$1, decorators: [{
            type: Pipe,
            args: [{
                    name: 'pascal',
                }]
        }] });

let CsSelectComponent$1 = class CsSelectComponent {
    set content(content) {
        if (content) {
            // initially setter gets called with undefined
            this.optionList = content;
        }
    }
    constructor() {
        this.selectedData = new EventEmitter();
        this.selectedValueChange = new EventEmitter();
        this.dropdownOption = false;
        this.activeDoropdown = false;
    }
    ngOnInit() {
        if (this.selectedValue === undefined ||
            this.selectedValue === '' ||
            this.selectedValue === null) {
            this.selectedValue = '--';
        }
    }
    openDropdown(event) {
        this.dropdownOption = true;
        setTimeout(() => {
            const dropdown = event.target.getBoundingClientRect();
            const selectOption = this.optionList.nativeElement.offsetHeight;
            if (dropdown.top + selectOption * 2 > window.innerHeight) {
                this.getTop = dropdown.top - selectOption;
            }
            else {
                this.getTop = dropdown.top + dropdown.height;
            }
            this.getLeft = dropdown.left;
            this.getWidth = dropdown.width;
            this.maxWidth = dropdown.width * 1.25;
            this.activeDoropdown = true;
        }, 10);
    }
    selectOption(selectedData) {
        if (typeof selectedData === 'object') {
            this.selectedValue = selectedData[this.displayProperty];
            this.selectedData.emit(selectedData);
        }
        else {
            this.selectedValue = selectedData;
            this.selectedData.emit(selectedData);
        }
        this.dropdownOption = false;
    }
    closeDropdown() {
        this.dropdownOption = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsSelectComponent, selector: "app-cs-select", inputs: { dataList: "dataList", dropdownLabel: "dropdownLabel", displayProperty: "displayProperty", selectedValue: "selectedValue", isRequired: "isRequired", dropdownSubLabel: "dropdownSubLabel", placeholder: "placeholder", stylex: "stylex", valueKey: "valueKey", colorBlock: "colorBlock", colorCode: "colorCode" }, outputs: { selectedData: "selectedData", selectedValueChange: "selectedValueChange" }, viewQueries: [{ propertyName: "option", first: true, predicate: ["option"], descendants: true }, { propertyName: "content", first: true, predicate: ["optionList"], descendants: true }], ngImport: i0, template: "<div class=\"input-group\">\n  <label *ngIf=\"dropdownLabel != undefined\">\n    {{ dropdownLabel }} <span class=\"sub-label\">{{ dropdownSubLabel }}</span> <span class=\"required\" *ngIf=\"isRequired\">*</span></label\n  >\n  <div class=\"custom-select-box\">\n    <input\n      type=\"text\"\n      [class.line]=\"stylex\"\n      [placeholder]=\"placeholder\"\n      [value]=\"selectedValue | pascal\"\n      readonly\n      (click)=\"openDropdown($event)\"\n      (keyup.enter)=\"openDropdown($event)\"\n      (keyup.arrowup)=\"openDropdown($event)\"\n      (keyup.arrowdown)=\"openDropdown($event)\"\n    />\n    <span class=\"arrow\" [class.line]=\"stylex\">\n      <!-- <i class=\"icons\">&#xe9e8;</i> -->\n    </span>\n    <div class=\"vx-overlay active\" *ngIf=\"dropdownOption === true\" (click)=\"closeDropdown()\"></div>\n    <ul\n      class=\"list-of-option\"\n      *ngIf=\"dropdownOption === true\"\n      #optionList\n      (keyup.Escape)=\"closeDropdown()\"\n      [style.top.px]=\"getTop\"\n      [style.left.px]=\"getLeft\"\n      [style.min-width.px]=\"getWidth\"\n      [style.max-width.px]=\"maxWidth\"\n      [class.active]=\"activeDoropdown\"\n    >\n      <li *ngFor=\"let data of dataList\">\n        <label *ngIf=\"colorBlock !== true\">\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (change)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"displayProperty && displayProperty !== ''\" class=\"value\">{{ data[displayProperty] }}</span>\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"!displayProperty || displayProperty === ''\" class=\"value\">{{ data }}</span>\n        </label>\n        <label *ngIf=\"colorBlock === true\" class=\"colors\">\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (change)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span (click)=\"selectOption(data)\" *ngIf=\"displayProperty && displayProperty !== ''\" class=\"value\" [ngStyle]=\"{ color: colorCode }\">{{ data[displayProperty] }}</span>\n          <span (click)=\"selectOption(data)\" *ngIf=\"!displayProperty || displayProperty === ''\" class=\"value\" [ngStyle]=\"{ color: colorCode }\">{{ data }}</span>\n        </label>\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [".input-group{position:relative;margin-bottom:0}.input-group label{font-size:11px;color:#161b2f;font-weight:500;line-height:16px;margin-bottom:5px;text-transform:uppercase;display:block}.input-group label span.required{color:#eb2424;font-size:14px}.input-group label span.sub-label{color:#747576;font-size:11px;font-weight:400;margin-left:3px}.input-group input[type=text]{height:36px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:#fff;border:1px solid #dbdbdb;border-radius:4px;width:100%;padding:10px 13px;display:block;outline:none}.input-group input[type=text].line{border:none;border-bottom:1px solid #dbdbdb;border-radius:0;padding-left:0}.input-group:focus-within input[type=text]{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd333}.input-group:focus-within input[type=text].line{box-shadow:none}.input-group .custom-select-box{position:relative}.input-group .custom-select-box input[type=text],.input-group .custom-select-box .input{cursor:pointer;padding-right:30px}.input-group .custom-select-box input[type=text].line,.input-group .custom-select-box .input.line{padding-right:20px}.input-group .arrow{position:absolute;right:17px;color:#747576;bottom:8px;font-size:10px;pointer-events:none}.input-group .arrow:before{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:15px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}.input-group .arrow.line{right:5px}ul.list-of-option{position:fixed;overflow:auto;max-height:200px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:2147483002;background:#fff;border-radius:2px;opacity:0}ul.list-of-option.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}ul.list-of-option.active{opacity:1}ul.list-of-option li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}ul.list-of-option li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}ul.list-of-option li label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=radio]:checked+span,ul.list-of-option li label input[type=radio]:hover+span{background:#dcdcdc}ul.list-of-option li label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}.vx-overlay{display:block}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "pipe", type: PascalPipe$1, name: "pascal" }] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSelectComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-select', template: "<div class=\"input-group\">\n  <label *ngIf=\"dropdownLabel != undefined\">\n    {{ dropdownLabel }} <span class=\"sub-label\">{{ dropdownSubLabel }}</span> <span class=\"required\" *ngIf=\"isRequired\">*</span></label\n  >\n  <div class=\"custom-select-box\">\n    <input\n      type=\"text\"\n      [class.line]=\"stylex\"\n      [placeholder]=\"placeholder\"\n      [value]=\"selectedValue | pascal\"\n      readonly\n      (click)=\"openDropdown($event)\"\n      (keyup.enter)=\"openDropdown($event)\"\n      (keyup.arrowup)=\"openDropdown($event)\"\n      (keyup.arrowdown)=\"openDropdown($event)\"\n    />\n    <span class=\"arrow\" [class.line]=\"stylex\">\n      <!-- <i class=\"icons\">&#xe9e8;</i> -->\n    </span>\n    <div class=\"vx-overlay active\" *ngIf=\"dropdownOption === true\" (click)=\"closeDropdown()\"></div>\n    <ul\n      class=\"list-of-option\"\n      *ngIf=\"dropdownOption === true\"\n      #optionList\n      (keyup.Escape)=\"closeDropdown()\"\n      [style.top.px]=\"getTop\"\n      [style.left.px]=\"getLeft\"\n      [style.min-width.px]=\"getWidth\"\n      [style.max-width.px]=\"maxWidth\"\n      [class.active]=\"activeDoropdown\"\n    >\n      <li *ngFor=\"let data of dataList\">\n        <label *ngIf=\"colorBlock !== true\">\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (change)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"displayProperty && displayProperty !== ''\" class=\"value\">{{ data[displayProperty] }}</span>\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"!displayProperty || displayProperty === ''\" class=\"value\">{{ data }}</span>\n        </label>\n        <label *ngIf=\"colorBlock === true\" class=\"colors\">\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (change)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span (click)=\"selectOption(data)\" *ngIf=\"displayProperty && displayProperty !== ''\" class=\"value\" [ngStyle]=\"{ color: colorCode }\">{{ data[displayProperty] }}</span>\n          <span (click)=\"selectOption(data)\" *ngIf=\"!displayProperty || displayProperty === ''\" class=\"value\" [ngStyle]=\"{ color: colorCode }\">{{ data }}</span>\n        </label>\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [".input-group{position:relative;margin-bottom:0}.input-group label{font-size:11px;color:#161b2f;font-weight:500;line-height:16px;margin-bottom:5px;text-transform:uppercase;display:block}.input-group label span.required{color:#eb2424;font-size:14px}.input-group label span.sub-label{color:#747576;font-size:11px;font-weight:400;margin-left:3px}.input-group input[type=text]{height:36px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:#fff;border:1px solid #dbdbdb;border-radius:4px;width:100%;padding:10px 13px;display:block;outline:none}.input-group input[type=text].line{border:none;border-bottom:1px solid #dbdbdb;border-radius:0;padding-left:0}.input-group:focus-within input[type=text]{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd333}.input-group:focus-within input[type=text].line{box-shadow:none}.input-group .custom-select-box{position:relative}.input-group .custom-select-box input[type=text],.input-group .custom-select-box .input{cursor:pointer;padding-right:30px}.input-group .custom-select-box input[type=text].line,.input-group .custom-select-box .input.line{padding-right:20px}.input-group .arrow{position:absolute;right:17px;color:#747576;bottom:8px;font-size:10px;pointer-events:none}.input-group .arrow:before{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:15px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}.input-group .arrow.line{right:5px}ul.list-of-option{position:fixed;overflow:auto;max-height:200px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:2147483002;background:#fff;border-radius:2px;opacity:0}ul.list-of-option.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}ul.list-of-option.active{opacity:1}ul.list-of-option li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}ul.list-of-option li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}ul.list-of-option li label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=radio]:checked+span,ul.list-of-option li label input[type=radio]:hover+span{background:#dcdcdc}ul.list-of-option li label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}.vx-overlay{display:block}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { dataList: [{
                type: Input
            }], dropdownLabel: [{
                type: Input
            }], displayProperty: [{
                type: Input
            }], selectedValue: [{
                type: Input
            }], isRequired: [{
                type: Input
            }], dropdownSubLabel: [{
                type: Input
            }], option: [{
                type: ViewChild,
                args: ['option']
            }], selectedData: [{
                type: Output
            }], selectedValueChange: [{
                type: Output
            }], placeholder: [{
                type: Input
            }], stylex: [{
                type: Input
            }], valueKey: [{
                type: Input
            }], colorBlock: [{
                type: Input
            }], colorCode: [{
                type: Input
            }], content: [{
                type: ViewChild,
                args: ['optionList']
            }] } });

class CsCheckboxIndeterminateComponent {
    constructor() {
        this.ngValueChange = new EventEmitter();
    }
    ngOnInit() {
    }
    valueChanged() {
        const emitValue = {
            value: this.value,
            checked: this.ngValue
        };
        this.ngValueChange.emit(emitValue);
    }
    chileClick(event) {
        event.stopPropagation();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxIndeterminateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsCheckboxIndeterminateComponent, selector: "app-cs-checkbox-indeterminate", inputs: { disabled: "disabled", ngValue: "ngValue", value: "value" }, outputs: { ngValueChange: "ngValueChange" }, ngImport: i0, template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n    <input type=\"checkbox\" [name]=\"value\" [disabled]=\"disabled\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n    <span class=\"checkbox\">\n      <span class=\"inner\"></span>\n    </span>\n    <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n      <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n      <path fill=\"none\" d=\"M37.9,27H14v-2h23.9V27z\"/>\n    </svg>\n    <span class=\"value\"><ng-content></ng-content></span>\n  </label>\n  ", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;max-width:100%;position:relative;padding:0 0 0 24px}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:absolute;left:0;top:0;padding:2px;margin-top:0}label.checkbox-item span.value{display:block;color:#747576;font-size:14px;line-height:16px;font-weight:400;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}.disabled{opacity:.4!important}.checkmark{position:absolute;left:0;top:0;width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"], dependencies: [{ kind: "directive", type: i1$3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxIndeterminateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-checkbox-indeterminate', template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n    <input type=\"checkbox\" [name]=\"value\" [disabled]=\"disabled\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n    <span class=\"checkbox\">\n      <span class=\"inner\"></span>\n    </span>\n    <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n      <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n      <path fill=\"none\" d=\"M37.9,27H14v-2h23.9V27z\"/>\n    </svg>\n    <span class=\"value\"><ng-content></ng-content></span>\n  </label>\n  ", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;max-width:100%;position:relative;padding:0 0 0 24px}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:absolute;left:0;top:0;padding:2px;margin-top:0}label.checkbox-item span.value{display:block;color:#747576;font-size:14px;line-height:16px;font-weight:400;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}.disabled{opacity:.4!important}.checkmark{position:absolute;left:0;top:0;width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], ngValue: [{
                type: Input
            }], value: [{
                type: Input
            }], ngValueChange: [{
                type: Output
            }] } });

let FormgroupModule$1 = class FormgroupModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule, declarations: [CsCheckboxComponent,
            CsRadioComponent,
            CsSwitchComponent,
            CsRadioGroupComponent,
            CsSelectComponent$1,
            PascalPipe$1,
            CsCheckboxIndeterminateComponent], imports: [CommonModule,
            FormsModule], exports: [CsCheckboxComponent,
            CsRadioComponent,
            CsSwitchComponent,
            CsRadioGroupComponent,
            CsSelectComponent$1,
            CsCheckboxIndeterminateComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule, imports: [CommonModule,
            FormsModule] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule$1, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CsCheckboxComponent,
                        CsRadioComponent,
                        CsSwitchComponent,
                        CsRadioGroupComponent,
                        CsSelectComponent$1,
                        PascalPipe$1,
                        CsCheckboxIndeterminateComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule
                    ],
                    exports: [
                        CsCheckboxComponent,
                        CsRadioComponent,
                        CsSwitchComponent,
                        CsRadioGroupComponent,
                        CsSelectComponent$1,
                        CsCheckboxIndeterminateComponent
                    ],
                }]
        }] });

let NoDataModule$1 = class NoDataModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule, declarations: [NoDataComponent], imports: [CommonModule], exports: [NoDataComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule, imports: [CommonModule] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule$1, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NoDataComponent],
                    imports: [CommonModule],
                    exports: [NoDataComponent],
                }]
        }] });

let LoaderComponent$1 = class LoaderComponent {
    constructor(config) {
        if (config) {
            this.env = config.envConfig;
        }
        this.vLoader = this.env.vLoader;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderComponent, deps: [{ token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LoaderComponent, selector: "app-loader", ngImport: i0, template: "<div class=\"main-loader\">\n  <img src=\"{{vLoader}}\" alt=\"\" />\n  <div class=\"loader-index\">\n    <div class=\"loader-index-circle\"></div>\n  </div>\n</div>", styles: [".main-loader{display:flex;overflow:hidden;align-items:center;justify-content:center;text-align:center;position:fixed;background:transparent;z-index:99;inset:0}.main-loader img{width:45px;position:relative;z-index:2}.main-loader .loader-index{width:100%;height:100%;position:absolute;inset:0;z-index:1;display:flex;align-items:center;justify-content:center}.main-loader .loader-index-circle{background:#fff;width:65px;height:65px;border-radius:50%;border:4px solid transparent;border-top-color:#dbdbdb;animation:1.5s spin infinite linear}@keyframes spin{to{transform:rotate(360deg)}}\n"] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'app-loader', template: "<div class=\"main-loader\">\n  <img src=\"{{vLoader}}\" alt=\"\" />\n  <div class=\"loader-index\">\n    <div class=\"loader-index-circle\"></div>\n  </div>\n</div>", styles: [".main-loader{display:flex;overflow:hidden;align-items:center;justify-content:center;text-align:center;position:fixed;background:transparent;z-index:99;inset:0}.main-loader img{width:45px;position:relative;z-index:2}.main-loader .loader-index{width:100%;height:100%;position:absolute;inset:0;z-index:1;display:flex;align-items:center;justify-content:center}.main-loader .loader-index-circle{background:#fff;width:65px;height:65px;border-radius:50%;border:4px solid transparent;border-top-color:#dbdbdb;animation:1.5s spin infinite linear}@keyframes spin{to{transform:rotate(360deg)}}\n"] }]
        }], ctorParameters: function () { return [{ type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class VLoaderModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VLoaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: VLoaderModule, declarations: [LoaderComponent$1, LoaderInlineComponent], imports: [CommonModule], exports: [LoaderComponent$1, LoaderInlineComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VLoaderModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VLoaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [LoaderComponent$1, LoaderInlineComponent],
                    imports: [CommonModule],
                    exports: [LoaderComponent$1, LoaderInlineComponent],
                }]
        }] });

class RcListModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RcListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: RcListModule, declarations: [ResponsibilityCentersListComponent], imports: [CommonModule,
            FormsModule,
            PipesModule,
            FloatingBarModule,
            FormgroupModule$1,
            NoDataModule$1,
            VLoaderModule], exports: [ResponsibilityCentersListComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RcListModule, imports: [CommonModule,
            FormsModule,
            PipesModule,
            FloatingBarModule,
            FormgroupModule$1,
            NoDataModule$1,
            VLoaderModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RcListModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ResponsibilityCentersListComponent],
                    imports: [
                        CommonModule,
                        FormsModule,
                        PipesModule,
                        FloatingBarModule,
                        FormgroupModule$1,
                        NoDataModule$1,
                        VLoaderModule
                    ],
                    exports: [ResponsibilityCentersListComponent],
                }]
        }] });

class CsCheckboxComponentUI {
    constructor() {
        this.disabled = false;
        this.ngValueChange = new EventEmitter();
    }
    ngOnInit() { }
    valueChanged() {
        this.ngValueChange.emit(this.ngValue);
    }
    chileClick(event) {
        event.stopPropagation();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsCheckboxComponentUI, selector: "app-cs-checkbox", inputs: { disabled: "disabled", ngValue: "ngValue", value: "value" }, outputs: { ngValueChange: "ngValueChange" }, ngImport: i0, template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n  <input type=\"checkbox\" [name]=\"value\" [disabled]=\"disabled\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n  <span class=\"checkbox\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n    <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <path class=\"checkmark__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n  </svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:relative;padding:2px;margin-top:0}label.checkbox-item span.value{color:#4e4e4e;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}.disabled{opacity:.4!important}.checkmark{width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"], dependencies: [{ kind: "directive", type: i1$3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-checkbox', template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n  <input type=\"checkbox\" [name]=\"value\" [disabled]=\"disabled\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n  <span class=\"checkbox\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n    <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <path class=\"checkmark__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n  </svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:relative;padding:2px;margin-top:0}label.checkbox-item span.value{color:#4e4e4e;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}.disabled{opacity:.4!important}.checkmark{width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], ngValue: [{
                type: Input
            }], value: [{
                type: Input
            }], ngValueChange: [{
                type: Output
            }] } });

class CsRadioComponentUI {
    constructor() {
        this.checkedEvent = new EventEmitter();
    }
    ngOnInit() { }
    changeState(evt) {
        this.checkedEvent.emit(evt);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: { disabled: "disabled", readonly: "readonly", name: "name", checked: "checked", value: "value" }, outputs: { checkedEvent: "checkedEvent" }, ngImport: i0, template: "<label class=\"radio-item\" [class.readonly]=\"readonly\">\n  <input type=\"radio\" [disabled]=\"disabled\" [name]=\"name\" [value]=\"value\" [checked]=\"checked\" (change)=\"changeState($event)\" />\n  <span class=\"radio\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"radiomark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n    <circle class=\"radiomark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <circle class=\"radiomark__check\" cx=\"26\" cy=\"26\" r=\"5\" fill=\"none\" />\n  </svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label{max-width:600px}label.radio-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.radio-item.readonly{pointer-events:none}label.radio-item span{display:inline-flex;align-items:center}label.radio-item span.radio{background:#fff;height:16px;width:16px;border-radius:50%;border:1px solid #dbdbdb;position:relative;padding:5px;margin-top:0}label.radio-item span.radio .inner{height:10px;width:10px;border-radius:50%;background:#fff;display:none}label.radio-item span.value{color:#4e4e4e;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.radio-item span.value:empty{display:none}label.radio-item svg{display:none;margin-top:0}label.radio-item input[type=radio]{display:none}label.radio-item input[type=radio]:checked+span.radio{display:none}label.radio-item input[type=radio]:checked~svg{display:block}label.radio-item input[type=radio]:disabled~*{opacity:.7}.radiomark{width:16px;height:16px;border-radius:50%;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.radiomark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.radiomark__check{stroke-dasharray:100;stroke-dashoffset:100;stroke-width:10;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-radio', template: "<label class=\"radio-item\" [class.readonly]=\"readonly\">\n  <input type=\"radio\" [disabled]=\"disabled\" [name]=\"name\" [value]=\"value\" [checked]=\"checked\" (change)=\"changeState($event)\" />\n  <span class=\"radio\">\n    <span class=\"inner\"></span>\n  </span>\n  <svg class=\"radiomark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n    <circle class=\"radiomark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n    <circle class=\"radiomark__check\" cx=\"26\" cy=\"26\" r=\"5\" fill=\"none\" />\n  </svg>\n  <span class=\"value\"><ng-content></ng-content></span>\n</label>\n", styles: ["label{max-width:600px}label.radio-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;padding:0;max-width:100%}label.radio-item.readonly{pointer-events:none}label.radio-item span{display:inline-flex;align-items:center}label.radio-item span.radio{background:#fff;height:16px;width:16px;border-radius:50%;border:1px solid #dbdbdb;position:relative;padding:5px;margin-top:0}label.radio-item span.radio .inner{height:10px;width:10px;border-radius:50%;background:#fff;display:none}label.radio-item span.value{color:#4e4e4e;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px)}label.radio-item span.value:empty{display:none}label.radio-item svg{display:none;margin-top:0}label.radio-item input[type=radio]{display:none}label.radio-item input[type=radio]:checked+span.radio{display:none}label.radio-item input[type=radio]:checked~svg{display:block}label.radio-item input[type=radio]:disabled~*{opacity:.7}.radiomark{width:16px;height:16px;border-radius:50%;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.radiomark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.radiomark__check{stroke-dasharray:100;stroke-dashoffset:100;stroke-width:10;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], readonly: [{
                type: Input
            }], name: [{
                type: Input
            }], checked: [{
                type: Input
            }], value: [{
                type: Input
            }], checkedEvent: [{
                type: Output
            }] } });

class CsSwitchComponentUI {
    constructor() {
        this.ngValueChange = new EventEmitter();
    }
    valueChanged() {
        this.ngValueChange.emit(this.ngValue);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSwitchComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsSwitchComponentUI, selector: "app-cs-switch", inputs: { disabled: "disabled", ngValue: "ngValue", value: "value", tooltipMessage: "tooltipMessage", position: "position" }, outputs: { ngValueChange: "ngValueChange" }, ngImport: i0, template: "<label class=\"cs-switch\" [class.top]=\"position == 'top'\">\n  <!-- [class.large]=\"large\" -->\n  <span class=\"value\">\n    <span [innerHTML]=\"value\" *ngIf=\"value != undefined\"></span>\n    <!-- <span class=\"notification\" *ngIf=\"!tooltipMessage\" [appTooltip]=\"tooltipMessage\" placement=\"bottom-right\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n        <i class=\"vc-icons\">&#xe9f3;</i>\n      </span> -->\n  </span>\n  <!-- [class.last]=\"last\" -->\n  <span class=\"switch\" *ngIf=\"tooltipMessage === '' || tooltipMessage === undefined\">\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n  <span\n    class=\"switch\"\n    *ngIf=\"tooltipMessage !== '' && tooltipMessage !== undefined\"\n    [appTooltip]=\"tooltipMessage\"\n    placement=\"bottom-right\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n</label>\n", styles: ["label.cs-switch{position:relative;display:flex;align-items:center;justify-content:space-between;width:100%;margin:0;padding:0}label.cs-switch.top{align-items:flex-start}label.cs-switch span.value{font-size:12px;color:#161b2f;font-weight:400;display:flex;justify-content:space-between;width:calc(100% - 35px);align-items:flex-start}label.cs-switch span.switch{position:relative;display:block;width:25px;height:14px}label.cs-switch span.switch input{position:absolute;opacity:0;margin:0;width:100%;height:100%;z-index:1;cursor:pointer}label.cs-switch span.switch input:checked+span.switch-box{background:#34aa44;border:1px solid #34aa44}label.cs-switch span.switch input:checked+span.switch-box .switch-ball{left:13px}label.cs-switch span.switch input:disabled{pointer-events:none}label.cs-switch span.switch input:disabled+.switch-box{opacity:.5}label.cs-switch span.switch-box{height:100%;width:100%;border-radius:11px;background:#bcbcbc;border:1px solid #bcbcbc;display:block;transition:all .2s ease-in-out}label.cs-switch span.switch-ball{height:10px;width:10px;background:#fff;border-radius:50%;border:1px solid #ffffff;display:block;position:absolute;left:2px;top:2px;bottom:1px;transition:all .2s ease-in-out}label.cs-switch span.notification{display:inline-flex;font-size:12px;cursor:pointer;color:#4681ef;align-items:center;line-height:20px;margin:0 10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSwitchComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-switch', template: "<label class=\"cs-switch\" [class.top]=\"position == 'top'\">\n  <!-- [class.large]=\"large\" -->\n  <span class=\"value\">\n    <span [innerHTML]=\"value\" *ngIf=\"value != undefined\"></span>\n    <!-- <span class=\"notification\" *ngIf=\"!tooltipMessage\" [appTooltip]=\"tooltipMessage\" placement=\"bottom-right\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n        <i class=\"vc-icons\">&#xe9f3;</i>\n      </span> -->\n  </span>\n  <!-- [class.last]=\"last\" -->\n  <span class=\"switch\" *ngIf=\"tooltipMessage === '' || tooltipMessage === undefined\">\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n  <span\n    class=\"switch\"\n    *ngIf=\"tooltipMessage !== '' && tooltipMessage !== undefined\"\n    [appTooltip]=\"tooltipMessage\"\n    placement=\"bottom-right\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <input type=\"checkbox\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" [disabled]=\"disabled\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n</label>\n", styles: ["label.cs-switch{position:relative;display:flex;align-items:center;justify-content:space-between;width:100%;margin:0;padding:0}label.cs-switch.top{align-items:flex-start}label.cs-switch span.value{font-size:12px;color:#161b2f;font-weight:400;display:flex;justify-content:space-between;width:calc(100% - 35px);align-items:flex-start}label.cs-switch span.switch{position:relative;display:block;width:25px;height:14px}label.cs-switch span.switch input{position:absolute;opacity:0;margin:0;width:100%;height:100%;z-index:1;cursor:pointer}label.cs-switch span.switch input:checked+span.switch-box{background:#34aa44;border:1px solid #34aa44}label.cs-switch span.switch input:checked+span.switch-box .switch-ball{left:13px}label.cs-switch span.switch input:disabled{pointer-events:none}label.cs-switch span.switch input:disabled+.switch-box{opacity:.5}label.cs-switch span.switch-box{height:100%;width:100%;border-radius:11px;background:#bcbcbc;border:1px solid #bcbcbc;display:block;transition:all .2s ease-in-out}label.cs-switch span.switch-ball{height:10px;width:10px;background:#fff;border-radius:50%;border:1px solid #ffffff;display:block;position:absolute;left:2px;top:2px;bottom:1px;transition:all .2s ease-in-out}label.cs-switch span.notification{display:inline-flex;font-size:12px;cursor:pointer;color:#4681ef;align-items:center;line-height:20px;margin:0 10px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], ngValue: [{
                type: Input
            }], value: [{
                type: Input
            }], ngValueChange: [{
                type: Output
            }], tooltipMessage: [{
                type: Input
            }], position: [{
                type: Input
            }] } });

class CsRadioGroupComponentUI {
    constructor() { }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioGroupComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsRadioGroupComponentUI, selector: "app-cs-radio-group", ngImport: i0, template: "<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n", styles: [""], dependencies: [{ kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsRadioGroupComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-radio-group', template: "<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n<app-cs-radio>fefre</app-cs-radio>\n" }]
        }], ctorParameters: function () { return []; } });

class ClickOutsideDirective {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.clickOutside = new EventEmitter();
    }
    onMouseEnter(targetElement) {
        const clickedInside = this.elementRef.nativeElement.contains(targetElement);
        if (!clickedInside) {
            this.clickOutside.emit(null);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: ClickOutsideDirective, selector: "[clickOutside]", outputs: { clickOutside: "clickOutside" }, host: { listeners: { "document:click": "onMouseEnter($event.target)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ClickOutsideDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[clickOutside]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { clickOutside: [{
                type: Output,
                args: ['clickOutside']
            }], onMouseEnter: [{
                type: HostListener,
                args: ['document:click', ['$event.target']]
            }] } });

class PascalPipe {
    transform(value, ...args) {
        if (typeof value !== 'string') {
            return value;
        }
        return value.charAt(0).toUpperCase() + value.slice(1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PascalPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PascalPipe, name: "pascal" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PascalPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'pascal',
                }]
        }] });

class CsSelectComponentUI {
    constructor() {
        this.selectedData = new EventEmitter();
        this.selectedValueChange = new EventEmitter();
        this.dropdownOption = false;
        this.activeDoropdown = false;
    }
    set content(content) {
        if (content) {
            // initially setter gets called with undefined
            this.optionList = content;
        }
    }
    ngOnChanges(changes) {
        if (changes['selectedValue']) {
            this.selectedValue = this.selectedValue || '--';
        }
    }
    openDropdown(event) {
        this.dropdownOption = true;
        setTimeout(() => {
            const dropdown = event.target.getBoundingClientRect();
            const selectOption = this.optionList.nativeElement.offsetHeight;
            if (dropdown.top + selectOption * 2 > window.innerHeight) {
                this.getTop = dropdown.top - selectOption;
            }
            else {
                this.getTop = dropdown.top + dropdown.height;
            }
            this.getLeft = dropdown.left;
            this.getWidth = dropdown.width;
            this.maxWidth = dropdown.width * 1.25;
        }, 10);
        setTimeout(() => {
            this.activeDoropdown = true;
        }, 100);
    }
    selectOption(selectedData) {
        if (typeof selectedData === 'object') {
            this.selectedValue = selectedData[this.displayProperty];
            this.colorSelected = selectedData[this.colorProperty];
        }
        else {
            this.selectedValue = selectedData;
        }
        this.selectedData.emit(selectedData);
        this.dropdownOption = false;
    }
    closeDropdown() {
        this.dropdownOption = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSelectComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsSelectComponentUI, selector: "app-cs-select", inputs: { dataList: "dataList", dropdownLabel: "dropdownLabel", displayProperty: "displayProperty", selectedValue: "selectedValue", isRequired: "isRequired", dropdownSubLabel: "dropdownSubLabel", disabled: "disabled", placeholder: "placeholder", stylex: "stylex", valueKey: "valueKey", multipleSelect: "multipleSelect", colorProperty: "colorProperty", colorSelected: "colorSelected" }, outputs: { selectedData: "selectedData", selectedValueChange: "selectedValueChange" }, viewQueries: [{ propertyName: "option", first: true, predicate: ["option"], descendants: true }, { propertyName: "content", first: true, predicate: ["optionList"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"input-group\" (clickOutside)=\"dropdownOption = false\">\n  <label *ngIf=\"dropdownLabel != undefined\">\n    {{ dropdownLabel }} <span class=\"sub-label\">{{ dropdownSubLabel }}</span> <span class=\"required\" *ngIf=\"isRequired\">*</span></label\n  >\n  <div class=\"custom-select-box\" [class.disabled]=\"disabled\">\n    <input\n      type=\"text\"\n      [class.line]=\"stylex\"\n      [placeholder]=\"placeholder\"\n      [value]=\"selectedValue | pascal\"\n      readonly\n      (click)=\"openDropdown($event)\"\n      (keyup.enter)=\"openDropdown($event)\"\n      (keyup.arrowup)=\"openDropdown($event)\"\n      (keyup.arrowdown)=\"openDropdown($event)\"\n      *ngIf=\"!colorProperty\"\n    />\n    <span class=\"show-label\" *ngIf=\"colorProperty\" (click)=\"openDropdown($event)\">\n      <span class=\"label\" [innerHTML]=\"selectedValue\" [style.backgroundColor]=\"colorSelected + '1A'\" [style.color]=\"colorSelected\"></span>\n    </span>\n    <!-- <span class=\"arrow\" [class.line]=\"stylex\">\n      <i class=\"icons\">&#xe9e8;</i>\n    </span> -->\n    <div class=\"overlay active\" *ngIf=\"dropdownOption === true\" (click)=\"closeDropdown()\"></div>\n    <ul\n      class=\"list-of-option\"\n      *ngIf=\"dropdownOption === true && !colorProperty\"\n      #optionList\n      (keyup.Escape)=\"closeDropdown()\"\n      [style.top.px]=\"getTop\"\n      [style.left.px]=\"getLeft\"\n      [style.min-width.px]=\"getWidth\"\n      [style.max-width.px]=\"maxWidth\"\n      [class.active]=\"activeDoropdown\"\n    >\n      <li *ngFor=\"let data of dataList\">\n        <label>\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (change)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"displayProperty && displayProperty !== ''\" class=\"value\">{{ data[displayProperty] }}</span>\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"!displayProperty || displayProperty === ''\" class=\"value\">{{ data }}</span>\n        </label>\n      </li>\n    </ul>\n    <ul\n      class=\"list-of-option\"\n      *ngIf=\"dropdownOption === true && colorProperty\"\n      #optionList\n      (keyup.Escape)=\"closeDropdown()\"\n      [style.top.px]=\"getTop\"\n      [style.left.px]=\"getLeft\"\n      [style.min-width.px]=\"getWidth\"\n      [style.max-width.px]=\"maxWidth\"\n      [class.active]=\"activeDoropdown\"\n    >\n      <li *ngFor=\"let data of dataList\">\n        <label class=\"colors\">\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (click)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span\n            (click)=\"selectOption(data)\"\n            *ngIf=\"displayProperty && displayProperty !== ''\"\n            class=\"value\"\n            [ngStyle]=\"{ color: data.segment_color }\"\n            [style.backgroundColor]=\"data.segment_color + '1A'\"\n            >{{ data[displayProperty] }}</span\n          >\n          <span\n            (click)=\"selectOption(data)\"\n            *ngIf=\"!displayProperty || displayProperty === ''\"\n            class=\"value\"\n            [ngStyle]=\"{ color: data.segment_color }\"\n            [style.backgroundColor]=\"data.segment_color + '1A'\"\n            >{{ data }}</span\n          >\n        </label>\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [".input-group{position:relative;margin-bottom:0}.input-group label{font-size:11px;color:#161b2f;font-weight:500;line-height:16px;margin-bottom:5px;text-transform:uppercase;display:block}.input-group label span.required{color:#eb2424;font-size:14px}.input-group label span.sub-label{color:#747576;font-size:11px;font-weight:400;margin-left:3px}.input-group input[type=text],.input-group .show-label{height:36px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:#fff;border:1px solid #dbdbdb;border-radius:4px;width:100%;padding:10px 13px;display:block;outline:none;overflow:hidden;text-overflow:ellipsis}.input-group input[type=text].line,.input-group .show-label.line{border:none;border-bottom:1px solid #dbdbdb;border-radius:0;padding-left:0}.input-group .show-label{display:flex;padding:6px;padding-right:25px!important;cursor:pointer}.input-group .show-label .label{white-space:nowrap;padding:2px 5px;height:100%;overflow:hidden;text-overflow:ellipsis;display:block;width:100%;text-transform:uppercase;font-size:11px;font-weight:600;line-height:15px;pointer-events:none}.input-group:focus-within input[type=text]{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd333}.input-group:focus-within input[type=text].line{box-shadow:none}.input-group .custom-select-box{background:#fff;position:relative;z-index:1}.input-group .custom-select-box:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:15px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg);z-index:-1}.input-group .custom-select-box input[type=text],.input-group .custom-select-box .input{cursor:pointer;padding-right:30px;background:transparent}.input-group .custom-select-box input[type=text].line,.input-group .custom-select-box .input.line{padding-right:20px}.input-group .custom-select-box.disabled{filter:grayscale(1);pointer-events:none}.input-group .arrow{position:absolute;right:17px;color:#747576;bottom:8px;font-size:10px;pointer-events:none}.input-group .arrow.line{right:5px}ul.list-of-option{position:fixed;overflow:auto;max-height:200px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:2147483002;background:#fff;border-radius:2px;opacity:0}ul.list-of-option.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}ul.list-of-option.active{opacity:1}ul.list-of-option li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}ul.list-of-option li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}ul.list-of-option li label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;left:0;cursor:pointer}ul.list-of-option li label input[type=radio]:checked+span,ul.list-of-option li label input[type=radio]:hover+span{background:#dcdcdc}ul.list-of-option li label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}ul.list-of-option li label.multiselect{padding:0 15px}ul.list-of-option li label.multiselect span.checkbox{display:inline-block;border:1px solid #dbdbdb;border-radius:2px;height:16px;width:16px;position:relative;padding:2px}ul.list-of-option li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=checkbox]:checked+span{background:#dcdcdc}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox{border-color:#34aa44;background:#34aa44}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox:after{width:8px;height:3px;border-bottom:2px solid #ffffff;border-left:2px solid #ffffff;transform:rotate(-45deg);content:\"\";position:absolute;top:3px;left:2px}ul.list-of-option li label.colors{padding:3px 5px}ul.list-of-option li label.colors span.value{padding:3px 6px;line-height:16px;font-size:11px;font-weight:600}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: ClickOutsideDirective, selector: "[clickOutside]", outputs: ["clickOutside"] }, { kind: "pipe", type: PascalPipe, name: "pascal" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSelectComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-select', template: "<div class=\"input-group\" (clickOutside)=\"dropdownOption = false\">\n  <label *ngIf=\"dropdownLabel != undefined\">\n    {{ dropdownLabel }} <span class=\"sub-label\">{{ dropdownSubLabel }}</span> <span class=\"required\" *ngIf=\"isRequired\">*</span></label\n  >\n  <div class=\"custom-select-box\" [class.disabled]=\"disabled\">\n    <input\n      type=\"text\"\n      [class.line]=\"stylex\"\n      [placeholder]=\"placeholder\"\n      [value]=\"selectedValue | pascal\"\n      readonly\n      (click)=\"openDropdown($event)\"\n      (keyup.enter)=\"openDropdown($event)\"\n      (keyup.arrowup)=\"openDropdown($event)\"\n      (keyup.arrowdown)=\"openDropdown($event)\"\n      *ngIf=\"!colorProperty\"\n    />\n    <span class=\"show-label\" *ngIf=\"colorProperty\" (click)=\"openDropdown($event)\">\n      <span class=\"label\" [innerHTML]=\"selectedValue\" [style.backgroundColor]=\"colorSelected + '1A'\" [style.color]=\"colorSelected\"></span>\n    </span>\n    <!-- <span class=\"arrow\" [class.line]=\"stylex\">\n      <i class=\"icons\">&#xe9e8;</i>\n    </span> -->\n    <div class=\"overlay active\" *ngIf=\"dropdownOption === true\" (click)=\"closeDropdown()\"></div>\n    <ul\n      class=\"list-of-option\"\n      *ngIf=\"dropdownOption === true && !colorProperty\"\n      #optionList\n      (keyup.Escape)=\"closeDropdown()\"\n      [style.top.px]=\"getTop\"\n      [style.left.px]=\"getLeft\"\n      [style.min-width.px]=\"getWidth\"\n      [style.max-width.px]=\"maxWidth\"\n      [class.active]=\"activeDoropdown\"\n    >\n      <li *ngFor=\"let data of dataList\">\n        <label>\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (change)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"displayProperty && displayProperty !== ''\" class=\"value\">{{ data[displayProperty] }}</span>\n          <span (click)=\"closeDropdown(); selectOption(data)\" *ngIf=\"!displayProperty || displayProperty === ''\" class=\"value\">{{ data }}</span>\n        </label>\n      </li>\n    </ul>\n    <ul\n      class=\"list-of-option\"\n      *ngIf=\"dropdownOption === true && colorProperty\"\n      #optionList\n      (keyup.Escape)=\"closeDropdown()\"\n      [style.top.px]=\"getTop\"\n      [style.left.px]=\"getLeft\"\n      [style.min-width.px]=\"getWidth\"\n      [style.max-width.px]=\"maxWidth\"\n      [class.active]=\"activeDoropdown\"\n    >\n      <li *ngFor=\"let data of dataList\">\n        <label class=\"colors\">\n          <input type=\"radio\" [value]=\"data[valueKey]\" name=\"sliceLabel\" (click)=\"selectOption(data)\" #option (keyup.enter)=\"closeDropdown()\" class=\"pointer-none\" />\n          <span\n            (click)=\"selectOption(data)\"\n            *ngIf=\"displayProperty && displayProperty !== ''\"\n            class=\"value\"\n            [ngStyle]=\"{ color: data.segment_color }\"\n            [style.backgroundColor]=\"data.segment_color + '1A'\"\n            >{{ data[displayProperty] }}</span\n          >\n          <span\n            (click)=\"selectOption(data)\"\n            *ngIf=\"!displayProperty || displayProperty === ''\"\n            class=\"value\"\n            [ngStyle]=\"{ color: data.segment_color }\"\n            [style.backgroundColor]=\"data.segment_color + '1A'\"\n            >{{ data }}</span\n          >\n        </label>\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [".input-group{position:relative;margin-bottom:0}.input-group label{font-size:11px;color:#161b2f;font-weight:500;line-height:16px;margin-bottom:5px;text-transform:uppercase;display:block}.input-group label span.required{color:#eb2424;font-size:14px}.input-group label span.sub-label{color:#747576;font-size:11px;font-weight:400;margin-left:3px}.input-group input[type=text],.input-group .show-label{height:36px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:#fff;border:1px solid #dbdbdb;border-radius:4px;width:100%;padding:10px 13px;display:block;outline:none;overflow:hidden;text-overflow:ellipsis}.input-group input[type=text].line,.input-group .show-label.line{border:none;border-bottom:1px solid #dbdbdb;border-radius:0;padding-left:0}.input-group .show-label{display:flex;padding:6px;padding-right:25px!important;cursor:pointer}.input-group .show-label .label{white-space:nowrap;padding:2px 5px;height:100%;overflow:hidden;text-overflow:ellipsis;display:block;width:100%;text-transform:uppercase;font-size:11px;font-weight:600;line-height:15px;pointer-events:none}.input-group:focus-within input[type=text]{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd333}.input-group:focus-within input[type=text].line{box-shadow:none}.input-group .custom-select-box{background:#fff;position:relative;z-index:1}.input-group .custom-select-box:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:15px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg);z-index:-1}.input-group .custom-select-box input[type=text],.input-group .custom-select-box .input{cursor:pointer;padding-right:30px;background:transparent}.input-group .custom-select-box input[type=text].line,.input-group .custom-select-box .input.line{padding-right:20px}.input-group .custom-select-box.disabled{filter:grayscale(1);pointer-events:none}.input-group .arrow{position:absolute;right:17px;color:#747576;bottom:8px;font-size:10px;pointer-events:none}.input-group .arrow.line{right:5px}ul.list-of-option{position:fixed;overflow:auto;max-height:200px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:2147483002;background:#fff;border-radius:2px;opacity:0}ul.list-of-option.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}ul.list-of-option.active{opacity:1}ul.list-of-option li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}ul.list-of-option li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}ul.list-of-option li label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;left:0;cursor:pointer}ul.list-of-option li label input[type=radio]:checked+span,ul.list-of-option li label input[type=radio]:hover+span{background:#dcdcdc}ul.list-of-option li label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}ul.list-of-option li label.multiselect{padding:0 15px}ul.list-of-option li label.multiselect span.checkbox{display:inline-block;border:1px solid #dbdbdb;border-radius:2px;height:16px;width:16px;position:relative;padding:2px}ul.list-of-option li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=checkbox]:checked+span{background:#dcdcdc}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox{border-color:#34aa44;background:#34aa44}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox:after{width:8px;height:3px;border-bottom:2px solid #ffffff;border-left:2px solid #ffffff;transform:rotate(-45deg);content:\"\";position:absolute;top:3px;left:2px}ul.list-of-option li label.colors{padding:3px 5px}ul.list-of-option li label.colors span.value{padding:3px 6px;line-height:16px;font-size:11px;font-weight:600}\n"] }]
        }], propDecorators: { dataList: [{
                type: Input
            }], dropdownLabel: [{
                type: Input
            }], displayProperty: [{
                type: Input
            }], selectedValue: [{
                type: Input
            }], isRequired: [{
                type: Input
            }], dropdownSubLabel: [{
                type: Input
            }], disabled: [{
                type: Input
            }], option: [{
                type: ViewChild,
                args: ['option']
            }], selectedData: [{
                type: Output
            }], selectedValueChange: [{
                type: Output
            }], placeholder: [{
                type: Input
            }], stylex: [{
                type: Input
            }], valueKey: [{
                type: Input
            }], multipleSelect: [{
                type: Input
            }], colorProperty: [{
                type: Input
            }], colorSelected: [{
                type: Input
            }], content: [{
                type: ViewChild,
                args: ['optionList']
            }] } });

class TooltipModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TooltipModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: TooltipModule, declarations: [ToolTipDirective], imports: [CommonModule], exports: [ToolTipDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TooltipModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TooltipModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ToolTipDirective],
                    imports: [CommonModule],
                    exports: [ToolTipDirective],
                }]
        }] });

class SearchMultiSelectPipe {
    transform(value, key, searchKey) {
        if (searchKey && searchKey.length > 0) {
            searchKey = searchKey.toLowerCase();
            return value.filter((item) => {
                if (item[key].toLowerCase().includes(searchKey)) {
                    return item;
                }
            });
        }
        return value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchMultiSelectPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SearchMultiSelectPipe, name: "searchMultiSelect" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchMultiSelectPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'searchMultiSelect',
                }]
        }] });

class CsCheckboxIndeterminateComponentUI {
    constructor() {
        this.ngValueChange = new EventEmitter();
    }
    ngOnInit() {
    }
    valueChanged() {
        const emitValue = {
            value: this.value,
            checked: this.ngValue
        };
        this.ngValueChange.emit(emitValue);
    }
    chileClick(event) {
        event.stopPropagation();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxIndeterminateComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsCheckboxIndeterminateComponentUI, selector: "app-cs-checkbox-indeterminate", inputs: { disabled: "disabled", ngValue: "ngValue", value: "value" }, outputs: { ngValueChange: "ngValueChange" }, ngImport: i0, template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n    <input type=\"checkbox\" [name]=\"value\" [disabled]=\"disabled\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n    <span class=\"checkbox\">\n      <span class=\"inner\"></span>\n    </span>\n    <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n      <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n      <path fill=\"none\" d=\"M37.9,27H14v-2h23.9V27z\"/>\n    </svg>\n    <span class=\"value\"><ng-content></ng-content></span>\n  </label>\n  ", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;max-width:100%;position:relative;padding:0 0 0 24px}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:absolute;left:0;top:0;padding:2px;margin-top:0}label.checkbox-item span.value{display:block;color:#747576;font-size:14px;line-height:16px;font-weight:400;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}.disabled{opacity:.4!important}.checkmark{position:absolute;left:0;top:0;width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"], dependencies: [{ kind: "directive", type: i1$3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsCheckboxIndeterminateComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-cs-checkbox-indeterminate', template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\" (click)=\"chileClick($event)\">\n    <input type=\"checkbox\" [name]=\"value\" [disabled]=\"disabled\" [(ngModel)]=\"ngValue\" (ngModelChange)=\"valueChanged()\" />\n    <span class=\"checkbox\">\n      <span class=\"inner\"></span>\n    </span>\n    <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n      <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n      <path fill=\"none\" d=\"M37.9,27H14v-2h23.9V27z\"/>\n    </svg>\n    <span class=\"value\"><ng-content></ng-content></span>\n  </label>\n  ", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;max-width:100%;position:relative;padding:0 0 0 24px}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:absolute;left:0;top:0;padding:2px;margin-top:0}label.checkbox-item span.value{display:block;color:#747576;font-size:14px;line-height:16px;font-weight:400;max-width:calc(100% - 26px)}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7}.disabled{opacity:.4!important}.checkmark{position:absolute;left:0;top:0;width:16px;height:16px;border-radius:2px;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { disabled: [{
                type: Input
            }], ngValue: [{
                type: Input
            }], value: [{
                type: Input
            }], ngValueChange: [{
                type: Output
            }] } });

class FormgroupModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule, declarations: [CsCheckboxComponentUI,
            CsRadioComponentUI,
            CsSwitchComponentUI,
            CsRadioGroupComponentUI,
            CsSelectComponentUI,
            PascalPipe,
            SearchMultiSelectPipe,
            ClickOutsideDirective,
            CsCheckboxIndeterminateComponentUI], imports: [CommonModule, FormsModule, TooltipModule], exports: [CsCheckboxComponentUI,
            CsRadioComponentUI,
            CsSwitchComponentUI,
            CsRadioGroupComponentUI,
            CsSelectComponentUI,
            SearchMultiSelectPipe,
            CsCheckboxIndeterminateComponentUI] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule, imports: [CommonModule, FormsModule, TooltipModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormgroupModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CsCheckboxComponentUI,
                        CsRadioComponentUI,
                        CsSwitchComponentUI,
                        CsRadioGroupComponentUI,
                        CsSelectComponentUI,
                        PascalPipe,
                        SearchMultiSelectPipe,
                        ClickOutsideDirective,
                        CsCheckboxIndeterminateComponentUI
                    ],
                    imports: [CommonModule, FormsModule, TooltipModule],
                    exports: [
                        CsCheckboxComponentUI,
                        CsRadioComponentUI,
                        CsSwitchComponentUI,
                        CsRadioGroupComponentUI,
                        CsSelectComponentUI,
                        SearchMultiSelectPipe,
                        CsCheckboxIndeterminateComponentUI
                    ],
                }]
        }] });

class PaginationComponentUI {
    constructor() {
        this.ASSETS = ASSETS;
        this.activeAlphabet = '';
        this.pageArray = [];
        this.currentPage = 1;
        this.isInvalidInput = false;
        this.selectedPage = new EventEmitter();
        this.selectedAlphabet = new EventEmitter();
        this.alphabetsArray = 'abcdefghijklmnopqrstuvwxyz'.split('');
    }
    ngOnInit() { }
    alphabetChange(alphabet) {
        this.activeAlphabet = alphabet;
        this.selectedAlphabet.emit(alphabet);
    }
    ngOnChanges(event) {
        this.pageArray = [];
        if (this.pageCount > 0) {
            if (this.pageCount < 5) {
                for (let i = 1; i <= this.pageCount; i++) {
                    this.pageArray.push(i);
                }
                return;
            }
            this.goToPageArrayGenerate(this.currentPage, false);
        }
    }
    increaseOrDecrease(value) {
        // if(this.currentPage === value){return ;}
        this.currentPage += value;
        if (this.currentPage > 3 &&
            this.currentPage <= this.pageCount &&
            this.pageArray[this.pageArray.length - 1] < this.pageCount) {
            if (value > 0) {
                this.pageArray.shift();
                this.pageArray.push(this.pageArray[this.pageArray.length - 1] + 1);
            }
        }
        if (this.currentPage > 2 &&
            value < 0 &&
            this.pageArray[0] > 1 &&
            this.currentPage < this.pageCount - 2) {
            this.pageArray.pop();
            this.pageArray.unshift(this.pageArray[0] - 1);
        }
        this.selectedPage.emit(this.currentPage);
    }
    onEnterPress(event) {
        if (event.key.toLowerCase() === 'enter') {
            if (!this.enterPageNumber ||
                this.enterPageNumber > this.pageCount ||
                this.enterPageNumber < 1) {
                this.isInvalidInput = true;
                return;
            }
            else {
                this.isInvalidInput = false;
                this.goToPageArrayGenerate(this.enterPageNumber, true);
            }
        }
    }
    goToPageArrayGenerate(page, shouldEmit) {
        //if(this.currentPage === page){return;}
        this.isInvalidInput = false;
        this.currentPage = page;
        this.pageArray = [];
        if (this.currentPage > 3 && this.currentPage < this.pageCount - 2) {
            for (let i = this.currentPage - 2; i < this.currentPage + 3; i++) {
                this.pageArray.push(i);
            }
        }
        else if (this.currentPage <= 3) {
            if (this.pageCount > 4) {
                this.pageArray = [1, 2, 3, 4, 5];
            }
            else {
                for (let i = 1; i <= this.pageCount; i++) {
                    this.pageArray.push(i);
                }
            }
        }
        else if (this.currentPage > this.pageCount - 3) {
            for (let i = this.pageCount - 4; i < this.pageCount + 1; i++) {
                this.pageArray.push(i);
            }
        }
        else {
            for (let i = this.currentPage - 2; i < this.currentPage + 2; i++) {
                this.pageArray.push(i);
            }
        }
        if (shouldEmit) {
            this.selectedPage.emit(this.currentPage);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PaginationComponentUI, selector: "app-pagination", inputs: { activeAlphabet: "activeAlphabet", pageCount: "pageCount", start: "start", end: "end", total: "total", currentPage: "currentPage" }, outputs: { selectedPage: "selectedPage", selectedAlphabet: "selectedAlphabet" }, usesOnChanges: true, ngImport: i0, template: "<div\n  class=\"wk-pagination-sec-ds vx-d-flex vx-align-center\"\n  [class.right-align]=\"false\"\n>\n  <div class=\"left vx-label-txt vx-fw-400 vx-tt-uppercase vx-lh-6\">\n    Showing {{ start }} - {{ end }} of {{ total }} records\n    <div class=\"pagination-box\" *ngIf=\"false\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"true\"\n          >\n            All\n          </button>\n        </li>\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"false\"\n          >\n            A\n          </button>\n        </li>\n      </ul>\n    </div>\n  </div>\n\n  <div class=\"right vx-d-flex vx-align-center\">\n    <div class=\"pagination-box\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex vx-mr-1\">\n          <button\n            class=\"vx-m-0\"\n            [disabled]=\"currentPage === 1\"\n            [class.disabled]=\"currentPage === 1\"\n            (click)=\"increaseOrDecrease(-1)\"\n          >\n            <i class=\"icons\">&#xe96b;</i>\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex\" *ngFor=\"let page of pageArray; let i = index\">\n          <button\n            class=\"vx-label-txt vx-fw-400 vx-pl-1 vx-pr-1 vx-d-inline-flex vx-align-center vx-justify-center vx-m-0 vx-ml-1\"\n            [disabled]=\"page === currentPage\"\n            (click)=\"goToPageArrayGenerate(page, true)\"\n            [class.active]=\"page === currentPage\"\n          >\n            {{ page }}\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex vx-ml-2\">\n          <button\n            class=\"vx-m-0\"\n            (click)=\"increaseOrDecrease(1)\"\n            [class.disabled]=\"currentPage === pageCount\"\n          >\n            <i class=\"icons\">&#xe970;</i>\n          </button>\n        </li>\n      </ul>\n    </div>\n\n    <div class=\"goto-page vx-d-flex vx-align-center vx-ml-2\">\n      <div\n        class=\"goto-page-text vx-label-txt vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        GO TO\n      </div>\n      <div class=\"goto-page-input\">\n        <input\n          [class.invalid]=\"\n            (isInvalidInput && !enterPageNumber) || pageCount < enterPageNumber\n          \"\n          type=\"number\"\n          placeholder=\"Page No.\"\n          [(ngModel)]=\"enterPageNumber\"\n          type=\"number\"\n          placeholder=\"Page No.\"\n          (keyup)=\"onEnterPress($event)\"\n          onkeydown=\"if(event.key==='.'){event.preventDefault();}\"\n          oninput=\"event.target.value = event.target.value.replace(/[^0-9]*/g,'');\"\n          type=\"text\"\n          type=\"number\"\n          placeholder=\"Page No.\"\n        />\n        <button (click)=\"onEnterPress({ key: 'enter' })\">\n          <img [src]=\"ASSETS.enter_icon\" alt=\"\" />\n        </button>\n      </div>\n      <div\n        class=\"goto-page-text vx-label-txt vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        OF {{ pageCount }}\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";.wk-pagination-sec-ds{border-radius:2px 2px 0 0;justify-content:space-between;padding:8px 0}.wk-pagination-sec-ds.right-align{justify-content:flex-end}.wk-pagination-sec-ds .left{font-size:12px;width:auto}.wk-pagination-sec-ds .left .pagination-box ul li{font-size:11px;list-style:none}.wk-pagination-sec-ds .left .pagination-box ul li:first-of-type{margin-right:4px}.wk-pagination-sec-ds .left .pagination-box ul li+li{margin-left:16px}.wk-pagination-sec-ds .left .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:2px;font-size:11px;height:20px;min-width:20px;outline:none;cursor:pointer;line-height:12px}.wk-pagination-sec-ds .left .pagination-box ul li button.active,.wk-pagination-sec-ds .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.wk-pagination-sec-ds .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important}.wk-pagination-sec-ds .left .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.wk-pagination-sec-ds .right{width:auto}.wk-pagination-sec-ds .right .pagination-box ul li{list-style:none}.wk-pagination-sec-ds .right .pagination-box ul li:first-child{height:24px}.wk-pagination-sec-ds .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.wk-pagination-sec-ds .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.wk-pagination-sec-ds .right .pagination-box ul li:last-child{height:24px}.wk-pagination-sec-ds .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.wk-pagination-sec-ds .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.wk-pagination-sec-ds .right .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:2px;font-size:11px;height:24px;min-width:24px;outline:none;cursor:pointer;line-height:12px}.wk-pagination-sec-ds .right .pagination-box ul li button.active,.wk-pagination-sec-ds .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.wk-pagination-sec-ds .right .pagination-box ul li button i{font-size:10px}.wk-pagination-sec-ds .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #BCBCBC}.wk-pagination-sec-ds .right .pagination-box ul li button.disable{pointer-events:none}.wk-pagination-sec-ds .right .goto-page{background:#fff;border:1px solid #BCBCBC;border-radius:2px;height:25px}.wk-pagination-sec-ds .right .goto-page .goto-page-text{border-right:1px solid #BCBCBC;font-size:11px;height:23px;line-height:23px}.wk-pagination-sec-ds .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #BCBCBC}.wk-pagination-sec-ds .right .goto-page .goto-page-input{position:relative}.wk-pagination-sec-ds .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:11px;text-transform:uppercase;padding:0 25px 0 5px;width:95px;height:23px;position:relative;top:-1px}.wk-pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.wk-pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.wk-pagination-sec-ds .right .goto-page .goto-page-input input:focus{outline:none}.wk-pagination-sec-ds .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41;position:relative;top:-1px;height:25px}.wk-pagination-sec-ds .right .goto-page .goto-page-input button{background:transparent;border:none;position:absolute;right:3px;top:4px;cursor:pointer;padding:0;height:18px;width:19px;line-height:22px;display:flex;align-items:center;justify-content:center}.wk-pagination-sec-ds .right .goto-page .goto-page-input button img{width:12px;height:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-pagination', template: "<div\n  class=\"wk-pagination-sec-ds vx-d-flex vx-align-center\"\n  [class.right-align]=\"false\"\n>\n  <div class=\"left vx-label-txt vx-fw-400 vx-tt-uppercase vx-lh-6\">\n    Showing {{ start }} - {{ end }} of {{ total }} records\n    <div class=\"pagination-box\" *ngIf=\"false\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"true\"\n          >\n            All\n          </button>\n        </li>\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"false\"\n          >\n            A\n          </button>\n        </li>\n      </ul>\n    </div>\n  </div>\n\n  <div class=\"right vx-d-flex vx-align-center\">\n    <div class=\"pagination-box\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex vx-mr-1\">\n          <button\n            class=\"vx-m-0\"\n            [disabled]=\"currentPage === 1\"\n            [class.disabled]=\"currentPage === 1\"\n            (click)=\"increaseOrDecrease(-1)\"\n          >\n            <i class=\"icons\">&#xe96b;</i>\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex\" *ngFor=\"let page of pageArray; let i = index\">\n          <button\n            class=\"vx-label-txt vx-fw-400 vx-pl-1 vx-pr-1 vx-d-inline-flex vx-align-center vx-justify-center vx-m-0 vx-ml-1\"\n            [disabled]=\"page === currentPage\"\n            (click)=\"goToPageArrayGenerate(page, true)\"\n            [class.active]=\"page === currentPage\"\n          >\n            {{ page }}\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex vx-ml-2\">\n          <button\n            class=\"vx-m-0\"\n            (click)=\"increaseOrDecrease(1)\"\n            [class.disabled]=\"currentPage === pageCount\"\n          >\n            <i class=\"icons\">&#xe970;</i>\n          </button>\n        </li>\n      </ul>\n    </div>\n\n    <div class=\"goto-page vx-d-flex vx-align-center vx-ml-2\">\n      <div\n        class=\"goto-page-text vx-label-txt vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        GO TO\n      </div>\n      <div class=\"goto-page-input\">\n        <input\n          [class.invalid]=\"\n            (isInvalidInput && !enterPageNumber) || pageCount < enterPageNumber\n          \"\n          type=\"number\"\n          placeholder=\"Page No.\"\n          [(ngModel)]=\"enterPageNumber\"\n          type=\"number\"\n          placeholder=\"Page No.\"\n          (keyup)=\"onEnterPress($event)\"\n          onkeydown=\"if(event.key==='.'){event.preventDefault();}\"\n          oninput=\"event.target.value = event.target.value.replace(/[^0-9]*/g,'');\"\n          type=\"text\"\n          type=\"number\"\n          placeholder=\"Page No.\"\n        />\n        <button (click)=\"onEnterPress({ key: 'enter' })\">\n          <img [src]=\"ASSETS.enter_icon\" alt=\"\" />\n        </button>\n      </div>\n      <div\n        class=\"goto-page-text vx-label-txt vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        OF {{ pageCount }}\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";.wk-pagination-sec-ds{border-radius:2px 2px 0 0;justify-content:space-between;padding:8px 0}.wk-pagination-sec-ds.right-align{justify-content:flex-end}.wk-pagination-sec-ds .left{font-size:12px;width:auto}.wk-pagination-sec-ds .left .pagination-box ul li{font-size:11px;list-style:none}.wk-pagination-sec-ds .left .pagination-box ul li:first-of-type{margin-right:4px}.wk-pagination-sec-ds .left .pagination-box ul li+li{margin-left:16px}.wk-pagination-sec-ds .left .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:2px;font-size:11px;height:20px;min-width:20px;outline:none;cursor:pointer;line-height:12px}.wk-pagination-sec-ds .left .pagination-box ul li button.active,.wk-pagination-sec-ds .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.wk-pagination-sec-ds .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important}.wk-pagination-sec-ds .left .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.wk-pagination-sec-ds .right{width:auto}.wk-pagination-sec-ds .right .pagination-box ul li{list-style:none}.wk-pagination-sec-ds .right .pagination-box ul li:first-child{height:24px}.wk-pagination-sec-ds .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.wk-pagination-sec-ds .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.wk-pagination-sec-ds .right .pagination-box ul li:last-child{height:24px}.wk-pagination-sec-ds .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.wk-pagination-sec-ds .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.wk-pagination-sec-ds .right .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:2px;font-size:11px;height:24px;min-width:24px;outline:none;cursor:pointer;line-height:12px}.wk-pagination-sec-ds .right .pagination-box ul li button.active,.wk-pagination-sec-ds .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.wk-pagination-sec-ds .right .pagination-box ul li button i{font-size:10px}.wk-pagination-sec-ds .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #BCBCBC}.wk-pagination-sec-ds .right .pagination-box ul li button.disable{pointer-events:none}.wk-pagination-sec-ds .right .goto-page{background:#fff;border:1px solid #BCBCBC;border-radius:2px;height:25px}.wk-pagination-sec-ds .right .goto-page .goto-page-text{border-right:1px solid #BCBCBC;font-size:11px;height:23px;line-height:23px}.wk-pagination-sec-ds .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #BCBCBC}.wk-pagination-sec-ds .right .goto-page .goto-page-input{position:relative}.wk-pagination-sec-ds .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:11px;text-transform:uppercase;padding:0 25px 0 5px;width:95px;height:23px;position:relative;top:-1px}.wk-pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.wk-pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.wk-pagination-sec-ds .right .goto-page .goto-page-input input:focus{outline:none}.wk-pagination-sec-ds .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41;position:relative;top:-1px;height:25px}.wk-pagination-sec-ds .right .goto-page .goto-page-input button{background:transparent;border:none;position:absolute;right:3px;top:4px;cursor:pointer;padding:0;height:18px;width:19px;line-height:22px;display:flex;align-items:center;justify-content:center}.wk-pagination-sec-ds .right .goto-page .goto-page-input button img{width:12px;height:12px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { activeAlphabet: [{
                type: Input
            }], pageCount: [{
                type: Input
            }], start: [{
                type: Input
            }], end: [{
                type: Input
            }], total: [{
                type: Input
            }], currentPage: [{
                type: Input
            }], selectedPage: [{
                type: Output
            }], selectedAlphabet: [{
                type: Output
            }] } });

let PaginationModule$1 = class PaginationModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule, declarations: [PaginationComponentUI], imports: [CommonModule,
            FormsModule], exports: [PaginationComponentUI] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule, imports: [CommonModule,
            FormsModule] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule$1, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        PaginationComponentUI
                    ],
                    imports: [
                        CommonModule,
                        FormsModule
                    ],
                    exports: [
                        PaginationComponentUI
                    ]
                }]
        }] });

class TableCardComponent {
    constructor() {
        this.tableCard = [];
        this.singleSelectedText = 'GRC Selected';
        this.multipleSelectedText = 'GRC Selected';
        this.selectedTab = 0;
        this.setSelectedTab = new EventEmitter();
    }
    set getTableCard(tab) {
        this.tableCard = tab;
    }
    selectTab(tab) {
        this.selectedTab = tab?.type;
        this.setSelectedTab.emit(tab);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TableCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TableCardComponent, isStandalone: true, selector: "app-table-card", inputs: { singleSelectedText: "singleSelectedText", multipleSelectedText: "multipleSelectedText", selectedTab: "selectedTab", getTableCard: ["tableCard", "getTableCard"] }, outputs: { setSelectedTab: "setSelectedTab" }, ngImport: i0, template: "<div class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-2\">\n    <div *ngFor=\"let card of tableCard\" class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" (click)=\"selectTab(card)\" [class.active]=\"selectedTab == card?.type\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">{{card?.title}}</label>\n            </div>\n            <div *ngIf=\"card?.selectedCount\" class=\"selected-count vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">{{card?.selectedCount}} {{card?.selectedCount === 1 ? singleSelectedText : multipleSelectedText}}</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">{{card?.count}}</span>\n        </div>\n    </div>\n    <!-- <div class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" [class.active]=\"false\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">STANDARDS</label>\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">1 Program selected</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">8</span>\n        </div>\n    </div>\n    <div class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" [class.active]=\"false\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">INTERNAL CONTROLS</label>\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">1 Program selected</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">20</span>\n        </div>\n    </div>\n    <div class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" [class.active]=\"false\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">OTHERS</label>\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">1 Program selected</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">32</span>\n        </div>\n    </div> -->\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .vx-table-card{box-shadow:0 0 2px #00000029}::ng-deep .vx-table-card.active{box-shadow:0 3px 12px #1e5dd326}@media screen and (min-width: 1280px){::ng-deep .vx-table-card .left .selected-count{line-height:.75rem!important}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TableCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-table-card', standalone: true, imports: [CommonModule], inputs: ['singleSelectedText', 'multipleSelectedText', 'selectedTab'], template: "<div class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-2\">\n    <div *ngFor=\"let card of tableCard\" class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" (click)=\"selectTab(card)\" [class.active]=\"selectedTab == card?.type\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">{{card?.title}}</label>\n            </div>\n            <div *ngIf=\"card?.selectedCount\" class=\"selected-count vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">{{card?.selectedCount}} {{card?.selectedCount === 1 ? singleSelectedText : multipleSelectedText}}</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">{{card?.count}}</span>\n        </div>\n    </div>\n    <!-- <div class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" [class.active]=\"false\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">STANDARDS</label>\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">1 Program selected</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">8</span>\n        </div>\n    </div>\n    <div class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" [class.active]=\"false\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">INTERNAL CONTROLS</label>\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">1 Program selected</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">20</span>\n        </div>\n    </div>\n    <div class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\" [class.active]=\"false\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <label class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\">OTHERS</label>\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-label-txt vx-lh-4\">1 Program selected</div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\">32</span>\n        </div>\n    </div> -->\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .vx-table-card{box-shadow:0 0 2px #00000029}::ng-deep .vx-table-card.active{box-shadow:0 3px 12px #1e5dd326}@media screen and (min-width: 1280px){::ng-deep .vx-table-card .left .selected-count{line-height:.75rem!important}}\n"] }]
        }], propDecorators: { getTableCard: [{
                type: Input,
                args: ['tableCard']
            }], setSelectedTab: [{
                type: Output
            }] } });

class NoDataComponentUI {
    constructor() {
        this.buttonAction = new EventEmitter();
        this.secondaryActionButton = new EventEmitter();
    }
    ngOnInit() { }
    actionEmitter(button) {
        this.buttonAction.emit(button);
    }
    secondaryActionEmitter(button) {
        this.secondaryActionButton.emit(button);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataComponentUI, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: NoDataComponentUI, selector: "app-no-data", inputs: { action: "action", secondaryAction: "secondaryAction", noDataImage: "noDataImage", noDataText: "noDataText", noDataButton: "noDataButton", secondaryButton: "secondaryButton", noDataSecButton: "noDataSecButton", altText: "altText", smallButton: "smallButton" }, outputs: { buttonAction: "buttonAction", secondaryActionButton: "secondaryActionButton" }, ngImport: i0, template: "<div class=\"no-data-wrapper\">\n  <div class=\"no-data-container\">\n    <img [src]=\"noDataImage\" [alt]=\"altText\" class=\"image\" />\n    <p class=\"text\" [innerHTML]=\"noDataText\" *ngIf=\"noDataText\"></p>\n    <div class=\"button-row\">\n      <div *ngIf=\"secondaryButton\">\n        <button class=\"vx-btn md secondary\" (click)=\"actionEmitter($event)\">\n          {{ secondaryButton }}\n        </button>\n      </div>\n      <div *ngIf=\"noDataButton\">\n        <button class=\"vx-btn md primary\" (click)=\"actionEmitter($event)\">\n          {{ noDataButton }}\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["::ng-deep .no-data-wrapper{display:flex;align-items:center;justify-content:center;height:100%;width:100%;background:#fff;border-radius:2px}::ng-deep .no-data-container{display:inline-block;text-align:center;width:480px}::ng-deep .no-data-container .image{width:300px;margin-bottom:24px;display:inline-block}::ng-deep .no-data-container p.text{font-size:19px;font-weight:400;line-height:28px;color:#565a6f;text-align:center;margin:0}::ng-deep .no-data-container p.text strong{font-weight:500}::ng-deep .no-data-container p.text .small-text{color:#787a8c;font-size:13px;line-height:20px;margin:8px 0 0}::ng-deep .no-data-container p.text .small-text strong{color:#000;font-weight:500}::ng-deep .no-data-container button{height:32px;border-radius:4px;display:flex;align-items:center;justify-content:center;color:#fff;font-size:11px;font-weight:500;line-height:24px;cursor:pointer;background:#1e5dd3;border:none;outline:none;text-transform:uppercase;padding:0 12px;margin:24px 0 0}::ng-deep .no-data-container button.secondary{background:#fff;border:1px solid #1e5dd3;color:#1e5dd3}::ng-deep .no-data-container button+button{margin-left:4px}::ng-deep .no-data-container button.small{width:60px;height:24px;font-size:10px}::ng-deep .no-data-container button.small i{margin-right:4px;font-size:9px}::ng-deep .no-data-container .button-row{display:flex;justify-content:space-around}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataComponentUI, decorators: [{
            type: Component,
            args: [{ selector: 'app-no-data', template: "<div class=\"no-data-wrapper\">\n  <div class=\"no-data-container\">\n    <img [src]=\"noDataImage\" [alt]=\"altText\" class=\"image\" />\n    <p class=\"text\" [innerHTML]=\"noDataText\" *ngIf=\"noDataText\"></p>\n    <div class=\"button-row\">\n      <div *ngIf=\"secondaryButton\">\n        <button class=\"vx-btn md secondary\" (click)=\"actionEmitter($event)\">\n          {{ secondaryButton }}\n        </button>\n      </div>\n      <div *ngIf=\"noDataButton\">\n        <button class=\"vx-btn md primary\" (click)=\"actionEmitter($event)\">\n          {{ noDataButton }}\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["::ng-deep .no-data-wrapper{display:flex;align-items:center;justify-content:center;height:100%;width:100%;background:#fff;border-radius:2px}::ng-deep .no-data-container{display:inline-block;text-align:center;width:480px}::ng-deep .no-data-container .image{width:300px;margin-bottom:24px;display:inline-block}::ng-deep .no-data-container p.text{font-size:19px;font-weight:400;line-height:28px;color:#565a6f;text-align:center;margin:0}::ng-deep .no-data-container p.text strong{font-weight:500}::ng-deep .no-data-container p.text .small-text{color:#787a8c;font-size:13px;line-height:20px;margin:8px 0 0}::ng-deep .no-data-container p.text .small-text strong{color:#000;font-weight:500}::ng-deep .no-data-container button{height:32px;border-radius:4px;display:flex;align-items:center;justify-content:center;color:#fff;font-size:11px;font-weight:500;line-height:24px;cursor:pointer;background:#1e5dd3;border:none;outline:none;text-transform:uppercase;padding:0 12px;margin:24px 0 0}::ng-deep .no-data-container button.secondary{background:#fff;border:1px solid #1e5dd3;color:#1e5dd3}::ng-deep .no-data-container button+button{margin-left:4px}::ng-deep .no-data-container button.small{width:60px;height:24px;font-size:10px}::ng-deep .no-data-container button.small i{margin-right:4px;font-size:9px}::ng-deep .no-data-container .button-row{display:flex;justify-content:space-around}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { action: [{
                type: Input
            }], secondaryAction: [{
                type: Input
            }], noDataImage: [{
                type: Input
            }], noDataText: [{
                type: Input
            }], noDataButton: [{
                type: Input
            }], secondaryButton: [{
                type: Input
            }], noDataSecButton: [{
                type: Input
            }], altText: [{
                type: Input
            }], buttonAction: [{
                type: Output
            }], secondaryActionButton: [{
                type: Output
            }], smallButton: [{
                type: Input
            }] } });

class NoDataModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule, declarations: [NoDataComponentUI], imports: [CommonModule], exports: [NoDataComponentUI] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: NoDataModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NoDataComponentUI],
                    imports: [CommonModule],
                    exports: [NoDataComponentUI],
                }]
        }] });

class ListLoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ListLoaderComponent, selector: "app-list-loader", ngImport: i0, template: "<div class=\"link-treatment-loader-container\">\n  <!-- <div class=\"link-treatment-tab\">\n        <ul>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n        </ul>\n    </div> -->\n  <!-- <div class=\"link-treatment-create-btn\">\n        <div class=\"loader\"></div>\n    </div> -->\n  <div class=\"link-treatment-body\">\n    <!-- <div class=\"search-block\">\n            <div class=\"loader\"></div>\n        </div> -->\n    <div class=\"link-treatment-list\">\n      <ul>\n        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n          <div class=\"loader\"></div>\n        </li>\n      </ul>\n    </div>\n    <!-- <div class=\"link-treatment-footer\">\n            <div class=\"left\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"right\">\n                <div class=\"loader\"></div>\n            </div>\n        </div> -->\n  </div>\n</div>\n", styles: [".link-treatment-loader-container{background:#fff}.link-treatment-tab{background:#fff;padding:0 20px;position:relative;z-index:1}.link-treatment-tab:before{background:#dbdbdb;content:\"\";position:absolute;bottom:0;left:0;width:100%;height:1px;z-index:-1}.link-treatment-tab ul{display:flex;justify-content:space-between;list-style-type:none;margin:0;padding:0}.link-treatment-tab ul li{height:31px;display:flex;align-items:center}.link-treatment-tab ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:85px}.link-treatment-create-btn{background:#fff;padding:20px 20px 0;height:50px}.link-treatment-create-btn .loader{background:#f3f3f3;border-radius:3px;height:30px;width:500px}.link-treatment-body{background:#fff;width:100%;padding:10px 20px 20px;height:calc(100vh - 173px)}.link-treatment-body .search-block{position:relative}.link-treatment-body .search-block .loader{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:3px;height:45px;width:100%}.link-treatment-list{padding-top:10px;width:calc(100% + 20px)}.link-treatment-list ul{padding:0;margin:0;height:calc(100vh - 281px);overflow:auto}.link-treatment-list ul li{width:100%;padding:12px 0;list-style:none}.link-treatment-list ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:60%}.link-treatment-footer{height:50px;background:#f8f8f8;border-top:1px solid #f1f1f1;padding:0 20px 0 22px;display:flex;align-items:center;justify-content:space-between;width:500px;position:fixed;bottom:0;right:0;z-index:2}.link-treatment-footer .left{display:flex;align-items:center}.link-treatment-footer .left .loader{background:#eee;border-radius:20px;height:10px;width:170px}.link-treatment-footer .right{display:flex;align-items:center}.link-treatment-footer .right .loader{background:#eee;border-radius:5px;height:30px;width:90px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-list-loader', template: "<div class=\"link-treatment-loader-container\">\n  <!-- <div class=\"link-treatment-tab\">\n        <ul>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n        </ul>\n    </div> -->\n  <!-- <div class=\"link-treatment-create-btn\">\n        <div class=\"loader\"></div>\n    </div> -->\n  <div class=\"link-treatment-body\">\n    <!-- <div class=\"search-block\">\n            <div class=\"loader\"></div>\n        </div> -->\n    <div class=\"link-treatment-list\">\n      <ul>\n        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n          <div class=\"loader\"></div>\n        </li>\n      </ul>\n    </div>\n    <!-- <div class=\"link-treatment-footer\">\n            <div class=\"left\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"right\">\n                <div class=\"loader\"></div>\n            </div>\n        </div> -->\n  </div>\n</div>\n", styles: [".link-treatment-loader-container{background:#fff}.link-treatment-tab{background:#fff;padding:0 20px;position:relative;z-index:1}.link-treatment-tab:before{background:#dbdbdb;content:\"\";position:absolute;bottom:0;left:0;width:100%;height:1px;z-index:-1}.link-treatment-tab ul{display:flex;justify-content:space-between;list-style-type:none;margin:0;padding:0}.link-treatment-tab ul li{height:31px;display:flex;align-items:center}.link-treatment-tab ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:85px}.link-treatment-create-btn{background:#fff;padding:20px 20px 0;height:50px}.link-treatment-create-btn .loader{background:#f3f3f3;border-radius:3px;height:30px;width:500px}.link-treatment-body{background:#fff;width:100%;padding:10px 20px 20px;height:calc(100vh - 173px)}.link-treatment-body .search-block{position:relative}.link-treatment-body .search-block .loader{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:3px;height:45px;width:100%}.link-treatment-list{padding-top:10px;width:calc(100% + 20px)}.link-treatment-list ul{padding:0;margin:0;height:calc(100vh - 281px);overflow:auto}.link-treatment-list ul li{width:100%;padding:12px 0;list-style:none}.link-treatment-list ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:60%}.link-treatment-footer{height:50px;background:#f8f8f8;border-top:1px solid #f1f1f1;padding:0 20px 0 22px;display:flex;align-items:center;justify-content:space-between;width:500px;position:fixed;bottom:0;right:0;z-index:2}.link-treatment-footer .left{display:flex;align-items:center}.link-treatment-footer .left .loader{background:#eee;border-radius:20px;height:10px;width:170px}.link-treatment-footer .right{display:flex;align-items:center}.link-treatment-footer .right .loader{background:#eee;border-radius:5px;height:30px;width:90px}\n"] }]
        }], ctorParameters: function () { return []; } });

class ListLoaderModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListLoaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ListLoaderModule, declarations: [ListLoaderComponent], imports: [CommonModule], exports: [ListLoaderComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListLoaderModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListLoaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ListLoaderComponent],
                    imports: [CommonModule],
                    exports: [ListLoaderComponent],
                }]
        }] });

class TableCardLoaderComponent {
    constructor() { }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TableCardLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TableCardLoaderComponent, isStandalone: true, selector: "app-table-card-loader", ngImport: i0, template: "<div class=\"table-card-area vx-d-flex vx-align-center vx-mb-2\">\n    <div  *ngFor=\"let data of [1,1,1,1]\" class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-mr-1 vx-w-100\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <div class=\"loader\"></div>\n            </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center loader\"></span>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .table-card-area .vx-table-card:last-of-type{margin-right:0!important}::ng-deep .table-card-area .vx-table-card .left .label .loader{width:100%}::ng-deep .table-card-area .vx-table-card .right span{width:1.75rem;height:1.75rem}.loader{background:#f1f1f1!important;height:.5rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TableCardLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-table-card-loader', standalone: true, imports: [CommonModule], template: "<div class=\"table-card-area vx-d-flex vx-align-center vx-mb-2\">\n    <div  *ngFor=\"let data of [1,1,1,1]\" class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-mr-1 vx-w-100\">\n        <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n                <div class=\"loader\"></div>\n            </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center loader\"></span>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .table-card-area .vx-table-card:last-of-type{margin-right:0!important}::ng-deep .table-card-area .vx-table-card .left .label .loader{width:100%}::ng-deep .table-card-area .vx-table-card .right span{width:1.75rem;height:1.75rem}.loader{background:#f1f1f1!important;height:.5rem}\n"] }]
        }], ctorParameters: function () { return []; } });

class GrcObjectListComponent {
    set setSelectedGRC(selectedGRC) {
        this.selectedGRC = selectedGRC;
        this.setSelectedTabCount(selectedGRC);
        this.selectedGRCIds = this.getIds(this.selectedGRC, '_id');
        this.preSelectedGRC = JSON.parse(JSON.stringify(selectedGRC));
    }
    constructor() {
        this.CDN_LINK = LINKS;
        this.tableCard = OTHER_GRC_CARD;
        this.loader = false;
        this.cardLoader = false;
        this.currentPage = 1;
        this.selectedGRC = [];
        this.selectedGRCIds = [];
        this.searchString = '';
        this.preSelectedGRC = [];
        this.selectAllButton = 'Select All';
        this.selectedTab = 0;
        this.mode = 'CREATE';
        this.onEditGRCId = '';
        this.saveOtherGRC = new EventEmitter();
        this.closeOtherGRC = new EventEmitter();
        this.getOtherGRCObjects = new EventEmitter();
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    getIds(selectedList, key) {
        let ids = [];
        if (selectedList?.length) {
            selectedList.forEach((element) => {
                ids.push(element[key]);
            });
        }
        return ids ?? [];
    }
    getSelectedGRC(grc, event) {
        if (event) {
            this.selectedGRC.push(grc);
            this.selectedGRCIds.push(grc?._id);
            this.updateTabSelectedCount(true, grc?.type);
        }
        else {
            this.deleteEvent(grc);
        }
    }
    deleteEvent(grc) {
        this.selectedGRC = this.selectedGRC?.filter((selected) => selected?._id !== grc?._id);
        this.selectedGRCIds = this.selectedGRCIds?.filter((selectedGRCId) => selectedGRCId !== grc?._id);
        this.updateTabSelectedCount(false, grc?.type);
    }
    handleSearch(event) {
        if (this.searchString != event) {
            this.currentPage = 1;
            this.searchString = event;
            this.getOtherGRCObjects.emit({
                pageNo: this.currentPage,
                searchString: this.searchString,
                type: this.selectedTab,
            });
        }
    }
    selectAll(event) {
        this.grcObject?.data?.forEach((grc) => {
            if (event) {
                if (!this.selectedGRCIds.includes(grc?._id)) {
                    this.selectedGRC.push(grc);
                    this.selectedGRCIds.push(grc?._id);
                    this.updateTabSelectedCount(true, grc?.type);
                }
            }
            else {
                this.deleteEvent(grc);
            }
        });
    }
    updateTabSelectedCount(event, type) {
        if (event) {
            this.tableCard[type].selectedCount++;
        }
        else {
            this.tableCard[type].selectedCount
                ? this.tableCard[type].selectedCount--
                : 0;
        }
    }
    isAllSelected() {
        if (this.selectedGRCIds &&
            this.selectedGRCIds.length >= this.grcObject?.data?.length &&
            this.selectedGRCIds.length > 0) {
            for (const grc of this.grcObject?.data) {
                if (!this.selectedGRCIds.includes(grc?._id)) {
                    this.selectAllButton = 'Select All';
                    return false;
                }
            }
            this.selectAllButton = 'Deselect All';
            return true;
        }
        else {
            this.selectAllButton = 'Select All';
            return false;
        }
    }
    save() {
        this.saveOtherGRC.emit(this.selectedGRC);
    }
    close() {
        this.closeOtherGRC.emit(this.preSelectedGRC);
    }
    changePage(event) {
        this.currentPage = event;
        this.grcObject.currentPage = event;
        this.getOtherGRCObjects.emit({
            pageNo: this.currentPage,
            searchString: this.searchString,
            type: this.selectedTab,
        });
    }
    setSelectedTab(event) {
        this.grcObject.currentPage = 1;
        this.currentPage = 1;
        this.selectedTab = event?.type;
        this.getOtherGRCObjects.emit({
            pageNo: this.currentPage,
            searchString: this.searchString,
            type: event?.type,
        });
    }
    resetSelectedTabCount() {
        this.tableCard.forEach((tab) => {
            tab.selectedCount = 0;
        });
    }
    setSelectedTabCount(data) {
        this.resetSelectedTabCount();
        data.forEach((tab) => {
            this.updateTabSelectedCount(true, tab?.type);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: GrcObjectListComponent, isStandalone: true, selector: "app-grc-object-list", inputs: { grcObject: "grcObject", currentPage: "currentPage", loader: "loader", tableCard: "tableCard", selectedTab: "selectedTab", cardLoader: "cardLoader", onEditGRCId: "onEditGRCId", mode: "mode", setSelectedGRC: ["selectedGRC", "setSelectedGRC"] }, outputs: { saveOtherGRC: "saveOtherGRC", closeOtherGRC: "closeOtherGRC", getOtherGRCObjects: "getOtherGRCObjects" }, ngImport: i0, template: "<div class=\"workflow-grc-object-list\" [class.animate]=\"animation\">\n  <div\n    class=\"workflow-grc-object-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select GRC Object(s)</div>\n  </div>\n  <div class=\"workflow-grc-object-list-body\">\n    <app-table-card-loader *ngIf=\"cardLoader\"></app-table-card-loader>\n    <div class=\"table-card-area vx-d-flex vx-mb-2\"  *ngIf=\"!cardLoader\">\n      <app-table-card\n        class=\"vx-w-100\"\n        [tableCard]=\"tableCard\"\n        [singleSelectedText]=\"'GRC Object Selected'\"\n        [selectedTab]=\"selectedTab\"\n        [multipleSelectedText]=\"'GRC Objects Selected'\"\n        (setSelectedTab)=\"setSelectedTab($event)\"\n      ></app-table-card>\n    </div>\n\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchGRC\n        (keyup.enter)=\"handleSearch($event.target.value)\"\n        placeholder=\"Search GRC objects\"\n      />\n    </div>\n\n    <div class=\"workflow-grc-object-list-body-inner vx-mb-4\">\n      <ng-container *ngIf=\"!loader && grcObject?.data?.length\">\n        <app-pagination\n          *ngIf=\"grcObject?.total_pages > 1\"\n          [start]=\"grcObject?.items_from\"\n          [end]=\"grcObject?.items_to\"\n          [total]=\"grcObject?.total_items\"\n          [pageCount]=\"grcObject?.total_pages\"\n          [currentPage]=\"currentPage\"\n          (selectedPage)=\"changePage($event)\"\n        ></app-pagination>\n        <div class=\"select-all vx-mt-1 vx-mb-1 vx-pl-2\">\n          <app-cs-checkbox\n            [ngValue]=\"isAllSelected()\"\n            (ngValueChange)=\"selectAll($event)\"\n            ><div class=\"vx-fs-12 vx-fw-600 vx-label-txt\">\n              {{ selectAllButton }}\n            </div></app-cs-checkbox\n          >\n        </div>\n\n        <div\n          class=\"workflow-grc-object-list-body-table\"\n          [class.with-pagination]=\"grcObject?.total_pages > 1\"\n        >\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\"\n              >\n                NAME\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              >\n                RESPONSIBILITY CENTER\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-row\"\n              *ngFor=\"let grc of grcObject?.data; let i = index\"\n              [class.active]=\"selectedGRCIds?.includes(grc?._id)\" [class.disabled]=\"mode === 'EDIT' && onEditGRCId === grc?._id\"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"grcObject?.items_from + i\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ grcObject?.items_from + i }}\n                </div>\n                <app-cs-checkbox\n                  [ngValue]=\"selectedGRCIds?.includes(grc?._id)\"\n                  (ngValueChange)=\"getSelectedGRC(grc, $event)\"\n                ></app-cs-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\"\n              >\n                <div\n                  class=\"name vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"grc?.name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ grc?.name }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              >\n                <div class=\"rc-inner vx-d-block\">\n                  <div class=\"vx-d-flex vx-align-center vx-w-100\">\n                    <div\n                      class=\"value vx-fs-12 vx-label-txt\"\n                      [appTooltip]=\"grc?.rcDetails[0]?.rc_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ grc?.rcDetails[0]?.rc_name }}\n                    </div>\n                  </div>\n\n                  <div\n                    class=\"within-part vx-d-flex vx-align-center\"\n                    *ngIf=\"grc?.rcDetails[0]?.parent_rc_names?.length\"\n                  >\n                    <div\n                      class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                    >\n                      Within\n                    </div>\n                    <div\n                      class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                      [appTooltip]=\"\n                        grc?.rcDetails[0]?.parent_rc_names\n                          ?.slice()\n                          ?.reverse()\n                          ?.join(' > ')\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{\n                        grc?.rcDetails[0]?.parent_rc_names\n                          ?.slice()\n                          ?.reverse()\n                          ?.join(\" > \")\n                      }}\n                    </div>\n                  </div>\n                </div>\n                <button\n                  *ngIf=\"grc?.rcDetails?.length > 1\"\n                  class=\"rc-count-btn vx-fs-11 vx-txt-blue vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-3 vx-d-flex vx-align-center vx-justify-center\"\n                  appPopover\n                  (click)=\"rcCount.popover()\"\n                  placement=\"right\"\n                >\n                  +{{ grc?.rcDetails?.length - 1 }}\n                </button>\n                <app-popover #rcCount>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li *ngFor=\"let rcDetails of grc?.rcDetails | slice : 1\">\n                        <div class=\"avatar-card\">\n                          <div class=\"vx-d-block vx-w-100\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"rcDetails?.rc_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                              >{{ rcDetails?.rc_name }}</span\n                            >\n                            <div\n                              class=\"within\"\n                              *ngIf=\"rcDetails?.parent_rc_names?.length\"\n                            >\n                              <div class=\"block\">WITHIN</div>\n                              <div\n                                class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                                [appTooltip]=\"\n                                  rcDetails?.parent_rc_names\n                                    ?.slice()\n                                    ?.reverse()\n                                    ?.join(' > ')\n                                \"\n                                placement=\"bottom-left\"\n                                delay=\"0\"\n                                type=\"black\"\n                                [tooltipMandatory]=\"false\"\n                              >\n                                {{\n                                  rcDetails?.parent_rc_names\n                                    ?.slice()\n                                    ?.reverse()\n                                    ?.join(\" > \")\n                                }}\n                              </div>\n                            </div>\n                          </div>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n      <app-list-loader *ngIf=\"loader\"></app-list-loader>\n      <app-no-data\n        *ngIf=\"grcObject?.data?.length === 0 && !loader\"\n        [noDataImage]=\"CDN_LINK?.noData\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n    </div>\n\n    <app-floating-bar\n      [selectedData]=\"selectedGRC?.length ? selectedGRC : []\"\n      (closeList)=\"close()\"\n      (closeEvent)=\"save()\"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'GRC Object selected'\"\n      [pluralText]=\"'GRC Objects selected'\"\n      (deleteEvent)=\"deleteEvent($event)\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .workflow-grc-object-list{position:fixed;inset:0 500px 0 0}::ng-deep .workflow-grc-object-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .workflow-grc-object-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .workflow-grc-object-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .workflow-grc-object-list-body .table-card-area{position:relative;z-index:2}::ng-deep .workflow-grc-object-list-body .table-card-area .vx-table-card{box-shadow:0 0 2px #00000029;margin-right:.25rem}::ng-deep .workflow-grc-object-list-body .table-card-area .vx-table-card:last-of-type{margin-right:0}::ng-deep .workflow-grc-object-list-body .table-card-area .vx-table-card.active{box-shadow:0 3px 12px #1e5dd350;z-index:1}::ng-deep .workflow-grc-object-list-body .search-block{position:relative}::ng-deep .workflow-grc-object-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .workflow-grc-object-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .workflow-grc-object-list-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .workflow-grc-object-list-body-inner{height:calc(100vh - 18.25rem)}::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item{position:relative;padding-left:1.5rem}::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item .checkbox,::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item .value{margin-left:0!important;max-width:100%!important;width:100%}::ng-deep .workflow-grc-object-list-body-table{height:calc(100vh - 19.75rem);overflow:hidden;overflow-y:auto;width:calc(100% + .5rem);padding-right:.5rem}::ng-deep .workflow-grc-object-list-body-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .workflow-grc-object-list-body-table.with-pagination{height:calc(100vh - 21.75rem)}::ng-deep .workflow-grc-object-list-body-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .workflow-grc-object-list-body-table .table-header .table-column{color:#161b2f!important;line-height:1rem!important;min-height:2rem!important}::ng-deep .workflow-grc-object-list-body-table .table-body{position:relative}::ng-deep .workflow-grc-object-list-body-table .table-body .table-row{background:#fff;border:1px solid #f1f1f1;border-radius:.125rem;margin-bottom:.25rem}::ng-deep .workflow-grc-object-list-body-table .table-body .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .workflow-grc-object-list-body-table .table-body .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .workflow-grc-object-list-body-table .table-body .table-row.disabled{pointer-events:none;background:#fbfbfb}::ng-deep .workflow-grc-object-list-body-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column .sorting i{cursor:pointer}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center;position:relative}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial app-cs-checkbox label.checkbox-item{position:absolute!important;top:0;left:0}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.name{width:calc(100% - 22rem);min-width:calc(100% - 22rem)}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.name .sorting{left:0}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.name .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 3rem)}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center{width:20rem;min-width:20rem}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center .rc-inner{max-width:calc(100% - 2.5rem)}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center .rc-inner .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center button.rc-count-btn{background:#fff;border-radius:.125rem;border:1px solid #dbdbdb;min-width:1.25rem;height:1rem}::ng-deep .workflow-grc-object-list-body app-pagination .pagination-sec-ds{height:2.5rem}::ng-deep .workflow-grc-object-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:4px}.wf-action-list ul.action-item li .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li.multiple-program{background:#f8f8f8;margin-top:8px}.wf-action-list ul.action-item li.multiple-program .avatar-card{padding:2px 7.5px}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value{color:#747576;font-size:11px;font-weight:600;width:unset}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li.multiple-program .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "ngmodule", type: PopoverModule }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "ngmodule", type: FormgroupModule }, { kind: "component", type: CsCheckboxComponentUI, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "ngmodule", type: PaginationModule$1 }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "component", type: TableCardComponent, selector: "app-table-card", inputs: ["singleSelectedText", "multipleSelectedText", "selectedTab", "tableCard"], outputs: ["setSelectedTab"] }, { kind: "ngmodule", type: NoDataModule }, { kind: "component", type: NoDataComponentUI, selector: "app-no-data", inputs: ["action", "secondaryAction", "noDataImage", "noDataText", "noDataButton", "secondaryButton", "noDataSecButton", "altText", "smallButton"], outputs: ["buttonAction", "secondaryActionButton"] }, { kind: "ngmodule", type: ListLoaderModule }, { kind: "component", type: ListLoaderComponent, selector: "app-list-loader" }, { kind: "component", type: TableCardLoaderComponent, selector: "app-table-card-loader" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-grc-object-list', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        FormgroupModule,
                        TooltipModule,
                        FloatingBarModule,
                        PaginationModule$1,
                        TableCardComponent,
                        NoDataModule,
                        ListLoaderModule,
                        TableCardLoaderComponent,
                    ], inputs: [
                        'grcObject',
                        'currentPage',
                        'loader',
                        'tableCard',
                        'selectedTab',
                        'cardLoader',
                        'onEditGRCId',
                        'mode',
                    ], outputs: ['saveOtherGRC', 'closeOtherGRC', 'getOtherGRCObjects'], template: "<div class=\"workflow-grc-object-list\" [class.animate]=\"animation\">\n  <div\n    class=\"workflow-grc-object-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select GRC Object(s)</div>\n  </div>\n  <div class=\"workflow-grc-object-list-body\">\n    <app-table-card-loader *ngIf=\"cardLoader\"></app-table-card-loader>\n    <div class=\"table-card-area vx-d-flex vx-mb-2\"  *ngIf=\"!cardLoader\">\n      <app-table-card\n        class=\"vx-w-100\"\n        [tableCard]=\"tableCard\"\n        [singleSelectedText]=\"'GRC Object Selected'\"\n        [selectedTab]=\"selectedTab\"\n        [multipleSelectedText]=\"'GRC Objects Selected'\"\n        (setSelectedTab)=\"setSelectedTab($event)\"\n      ></app-table-card>\n    </div>\n\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchGRC\n        (keyup.enter)=\"handleSearch($event.target.value)\"\n        placeholder=\"Search GRC objects\"\n      />\n    </div>\n\n    <div class=\"workflow-grc-object-list-body-inner vx-mb-4\">\n      <ng-container *ngIf=\"!loader && grcObject?.data?.length\">\n        <app-pagination\n          *ngIf=\"grcObject?.total_pages > 1\"\n          [start]=\"grcObject?.items_from\"\n          [end]=\"grcObject?.items_to\"\n          [total]=\"grcObject?.total_items\"\n          [pageCount]=\"grcObject?.total_pages\"\n          [currentPage]=\"currentPage\"\n          (selectedPage)=\"changePage($event)\"\n        ></app-pagination>\n        <div class=\"select-all vx-mt-1 vx-mb-1 vx-pl-2\">\n          <app-cs-checkbox\n            [ngValue]=\"isAllSelected()\"\n            (ngValueChange)=\"selectAll($event)\"\n            ><div class=\"vx-fs-12 vx-fw-600 vx-label-txt\">\n              {{ selectAllButton }}\n            </div></app-cs-checkbox\n          >\n        </div>\n\n        <div\n          class=\"workflow-grc-object-list-body-table\"\n          [class.with-pagination]=\"grcObject?.total_pages > 1\"\n        >\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\"\n              >\n                NAME\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              >\n                RESPONSIBILITY CENTER\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-row\"\n              *ngFor=\"let grc of grcObject?.data; let i = index\"\n              [class.active]=\"selectedGRCIds?.includes(grc?._id)\" [class.disabled]=\"mode === 'EDIT' && onEditGRCId === grc?._id\"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"grcObject?.items_from + i\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ grcObject?.items_from + i }}\n                </div>\n                <app-cs-checkbox\n                  [ngValue]=\"selectedGRCIds?.includes(grc?._id)\"\n                  (ngValueChange)=\"getSelectedGRC(grc, $event)\"\n                ></app-cs-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\"\n              >\n                <div\n                  class=\"name vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"grc?.name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ grc?.name }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              >\n                <div class=\"rc-inner vx-d-block\">\n                  <div class=\"vx-d-flex vx-align-center vx-w-100\">\n                    <div\n                      class=\"value vx-fs-12 vx-label-txt\"\n                      [appTooltip]=\"grc?.rcDetails[0]?.rc_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ grc?.rcDetails[0]?.rc_name }}\n                    </div>\n                  </div>\n\n                  <div\n                    class=\"within-part vx-d-flex vx-align-center\"\n                    *ngIf=\"grc?.rcDetails[0]?.parent_rc_names?.length\"\n                  >\n                    <div\n                      class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                    >\n                      Within\n                    </div>\n                    <div\n                      class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                      [appTooltip]=\"\n                        grc?.rcDetails[0]?.parent_rc_names\n                          ?.slice()\n                          ?.reverse()\n                          ?.join(' > ')\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{\n                        grc?.rcDetails[0]?.parent_rc_names\n                          ?.slice()\n                          ?.reverse()\n                          ?.join(\" > \")\n                      }}\n                    </div>\n                  </div>\n                </div>\n                <button\n                  *ngIf=\"grc?.rcDetails?.length > 1\"\n                  class=\"rc-count-btn vx-fs-11 vx-txt-blue vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-3 vx-d-flex vx-align-center vx-justify-center\"\n                  appPopover\n                  (click)=\"rcCount.popover()\"\n                  placement=\"right\"\n                >\n                  +{{ grc?.rcDetails?.length - 1 }}\n                </button>\n                <app-popover #rcCount>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li *ngFor=\"let rcDetails of grc?.rcDetails | slice : 1\">\n                        <div class=\"avatar-card\">\n                          <div class=\"vx-d-block vx-w-100\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"rcDetails?.rc_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                              >{{ rcDetails?.rc_name }}</span\n                            >\n                            <div\n                              class=\"within\"\n                              *ngIf=\"rcDetails?.parent_rc_names?.length\"\n                            >\n                              <div class=\"block\">WITHIN</div>\n                              <div\n                                class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                                [appTooltip]=\"\n                                  rcDetails?.parent_rc_names\n                                    ?.slice()\n                                    ?.reverse()\n                                    ?.join(' > ')\n                                \"\n                                placement=\"bottom-left\"\n                                delay=\"0\"\n                                type=\"black\"\n                                [tooltipMandatory]=\"false\"\n                              >\n                                {{\n                                  rcDetails?.parent_rc_names\n                                    ?.slice()\n                                    ?.reverse()\n                                    ?.join(\" > \")\n                                }}\n                              </div>\n                            </div>\n                          </div>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n      <app-list-loader *ngIf=\"loader\"></app-list-loader>\n      <app-no-data\n        *ngIf=\"grcObject?.data?.length === 0 && !loader\"\n        [noDataImage]=\"CDN_LINK?.noData\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n    </div>\n\n    <app-floating-bar\n      [selectedData]=\"selectedGRC?.length ? selectedGRC : []\"\n      (closeList)=\"close()\"\n      (closeEvent)=\"save()\"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'GRC Object selected'\"\n      [pluralText]=\"'GRC Objects selected'\"\n      (deleteEvent)=\"deleteEvent($event)\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .workflow-grc-object-list{position:fixed;inset:0 500px 0 0}::ng-deep .workflow-grc-object-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .workflow-grc-object-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .workflow-grc-object-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .workflow-grc-object-list-body .table-card-area{position:relative;z-index:2}::ng-deep .workflow-grc-object-list-body .table-card-area .vx-table-card{box-shadow:0 0 2px #00000029;margin-right:.25rem}::ng-deep .workflow-grc-object-list-body .table-card-area .vx-table-card:last-of-type{margin-right:0}::ng-deep .workflow-grc-object-list-body .table-card-area .vx-table-card.active{box-shadow:0 3px 12px #1e5dd350;z-index:1}::ng-deep .workflow-grc-object-list-body .search-block{position:relative}::ng-deep .workflow-grc-object-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .workflow-grc-object-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .workflow-grc-object-list-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .workflow-grc-object-list-body-inner{height:calc(100vh - 18.25rem)}::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item{position:relative;padding-left:1.5rem}::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item .checkbox,::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .workflow-grc-object-list-body-inner .select-all app-cs-checkbox .checkbox-item .value{margin-left:0!important;max-width:100%!important;width:100%}::ng-deep .workflow-grc-object-list-body-table{height:calc(100vh - 19.75rem);overflow:hidden;overflow-y:auto;width:calc(100% + .5rem);padding-right:.5rem}::ng-deep .workflow-grc-object-list-body-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .workflow-grc-object-list-body-table.with-pagination{height:calc(100vh - 21.75rem)}::ng-deep .workflow-grc-object-list-body-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .workflow-grc-object-list-body-table .table-header .table-column{color:#161b2f!important;line-height:1rem!important;min-height:2rem!important}::ng-deep .workflow-grc-object-list-body-table .table-body{position:relative}::ng-deep .workflow-grc-object-list-body-table .table-body .table-row{background:#fff;border:1px solid #f1f1f1;border-radius:.125rem;margin-bottom:.25rem}::ng-deep .workflow-grc-object-list-body-table .table-body .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .workflow-grc-object-list-body-table .table-body .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .workflow-grc-object-list-body-table .table-body .table-row.disabled{pointer-events:none;background:#fbfbfb}::ng-deep .workflow-grc-object-list-body-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column .sorting i{cursor:pointer}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center;position:relative}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.serial app-cs-checkbox label.checkbox-item{position:absolute!important;top:0;left:0}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.name{width:calc(100% - 22rem);min-width:calc(100% - 22rem)}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.name .sorting{left:0}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.name .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 3rem)}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center{width:20rem;min-width:20rem}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center .rc-inner{max-width:calc(100% - 2.5rem)}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center .rc-inner .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .workflow-grc-object-list-body-table .table-row .table-column.responsibility-center button.rc-count-btn{background:#fff;border-radius:.125rem;border:1px solid #dbdbdb;min-width:1.25rem;height:1rem}::ng-deep .workflow-grc-object-list-body app-pagination .pagination-sec-ds{height:2.5rem}::ng-deep .workflow-grc-object-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:4px}.wf-action-list ul.action-item li .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li.multiple-program{background:#f8f8f8;margin-top:8px}.wf-action-list ul.action-item li.multiple-program .avatar-card{padding:2px 7.5px}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value{color:#747576;font-size:11px;font-weight:600;width:unset}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value i.disabled{color:#dbdbdb;pointer-events:none}.wf-action-list ul.action-item li.multiple-program .avatar-card .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { setSelectedGRC: [{
                type: Input,
                args: ['selectedGRC']
            }] } });

class GroupUsersListComponent {
    constructor(snackbar) {
        this.snackbar = snackbar;
        this.usersList = [];
        this.groupsList = [];
        this.selectedUsers = [];
        this.userIdKey = '';
        this.groupIdKey = '';
        this.openedFrom = '';
        this.saveSelectedList = new EventEmitter();
        this.closeUsersList = new EventEmitter();
        this.selectedGroups = [];
        this.assigneeGroupsList = [];
        this.disabledId = [];
        this.reviewerIds = [];
        this.overseerIds = [];
        this.assignorId = [];
        this.loader = false;
        this.isDisabledSelected = false;
        this.ASSETS = ASSETS;
        this.search = '';
        this.selectedIds = [];
        this.animation = false;
        this.selectedGroupIds = [];
        this.selectedgroupList = [];
        this.currentTab = 'USER';
    }
    ngOnChanges() {
        this.selectedIds = this.selectedUsers.map((ele) => {
            if (ele[this.userIdKey]) {
                return ele[this.userIdKey];
            }
        });
        this.selectedGroupIds = this.selectedGroups?.map((ele) => {
            if (ele[this.groupIdKey]) {
                return ele[this.groupIdKey];
            }
        });
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    selectUser(user, mode) {
        if (mode) {
            this.selectedIds.push(user);
        }
        else {
            const index = this.selectedIds.findIndex((element) => element == user);
            this.selectedIds.splice(index, 1);
        }
        this.setList();
    }
    deleteEvent(event) {
        const index = this.selectedIds.findIndex((element) => element == event[this.userIdKey]);
        this.selectedIds.splice(index, 1);
        this.setList();
    }
    deleteGroupEvent(event) {
        const groupindex = this.selectedGroupIds.findIndex((element) => element == event['group_id']);
        this.selectedGroupIds.splice(groupindex, 1);
        this.setgroupList();
    }
    selectAll(mode) {
        if (mode) {
            let list = [...this.usersList];
            if (!this.isDisabledSelected) {
                list = list.filter((user) => !this.disabledId.includes(user[this.userIdKey]));
            }
            this.selectedIds = [];
            list.forEach((element) => {
                this.selectedIds.push(element[this.userIdKey]);
            });
        }
        else {
            if (!this.isDisabledSelected) {
                this.selectedIds = [];
            }
            else {
                this.selectedIds = this.selectedIds.filter((id) => this.disabledId.includes(id));
            }
        }
        this.setList();
    }
    selectAllGroups(mode) {
        if (mode) {
            const grouplist = [...this.assigneeGroupsList];
            this.selectedGroupIds = [];
            grouplist.forEach((element) => {
                this.selectedGroupIds.push(element[this.groupIdKey]);
            });
            this.selectedGroups = grouplist;
        }
        else {
            this.selectedGroupIds = [];
            this.selectedGroups = [];
        }
        this.setgroupList();
    }
    validationCheck(isChecked) {
        if (isChecked) {
            this.snackbar.show('You can select a maximum of 19 users.', 'alert');
        }
    }
    setList() {
        const data = [];
        const userList = cloneDeep(this.usersList);
        const selectedIds = cloneDeep(this.selectedIds);
        userList.forEach((element) => {
            if (selectedIds.includes(element[this.userIdKey])) {
                data.push(element);
            }
        });
        this.selectedUsers = data;
    }
    setgroupList() {
        const data = [];
        const groupslist = cloneDeep(this.assigneeGroupsList);
        const selectedGroupIds = cloneDeep(this.selectedGroupIds);
        groupslist.forEach((element) => {
            if (selectedGroupIds.includes(element[this.groupIdKey])) {
                data.push(element);
            }
        });
        this.selectedGroups = data;
    }
    checkSelectAll() {
        const data = this.usersList.every((user) => this.selectedIds.includes(user[this.userIdKey]));
        return data;
    }
    checkselectAllgroups() {
        const data = this.assigneeGroupsList.every((group) => this.selectedGroupIds.includes(group[this.groupIdKey]));
        return data;
    }
    save(selectedIds) {
        let selectedData;
        if (this.assigneeGroupsList.length) {
            selectedData = { users: this.selectedIds, groups: this.selectedGroupIds };
        }
        else {
            selectedData = selectedIds;
        }
        this.saveSelectedList.emit(selectedData);
    }
    close() {
        this.closeUsersList.emit();
    }
    selectGroup(groupIds, mode) {
        if (mode) {
            groupIds.forEach((userId) => {
                if (!this.selectedIds.includes(userId)) {
                    this.selectedIds.push(userId);
                }
            });
        }
        else {
            groupIds.forEach((userId) => {
                const index = this.selectedIds.findIndex((element) => element == userId);
                this.selectedIds.splice(index, 1);
            });
        }
        this.setList();
    }
    selectGroupElement(data, mode) {
        if (mode) {
            this.selectedgroupList.push(data);
            this.selectedGroupIds.push(data[this.groupIdKey]);
        }
        else {
            const index = this.selectedgroupList.findIndex((ele) => ele[this.groupIdKey] === data[this.groupIdKey]);
            this.selectedgroupList.splice(index, 1);
            const idIndex = this.selectedGroupIds.findIndex((ele) => ele === data[this.groupIdKey]);
            this.selectedGroupIds.splice(idIndex, 1);
        }
        this.setgroupList();
    }
    checkGroupList(groupIds) {
        return groupIds?.length
            ? groupIds.every(id => this.selectedIds.includes(id))
            : false;
    }
    hideGroup(groupIds) {
        return groupIds?.length
            ? this.usersList.every(user => !groupIds.includes(user[this.userIdKey]))
            : false;
    }
    switchTab(tab) {
        this.currentTab = tab;
        this.search = '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GroupUsersListComponent, deps: [{ token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: GroupUsersListComponent, isStandalone: true, selector: "app-group-users-list", inputs: { groupsEnabled: "groupsEnabled", usersList: "usersList", groupsList: "groupsList", selectedUsers: "selectedUsers", userIdKey: "userIdKey", groupIdKey: "groupIdKey", openedFrom: "openedFrom", selectedGroups: "selectedGroups", assigneeGroupsList: "assigneeGroupsList", disabledId: "disabledId", fromResponsibility: "fromResponsibility", reviewerIds: "reviewerIds", overseerIds: "overseerIds", assignorId: "assignorId", loader: "loader", isDisabledSelected: "isDisabledSelected" }, outputs: { saveSelectedList: "saveSelectedList", closeUsersList: "closeUsersList" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"add-risk-group-user-list\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-group-user-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select User(s)</div>\n    <!-- <button class=\"add-risk-group-user-list-close\" (click)=\"close()\">\n            <i class=\"icons\">&#xe90d;</i>\n        </button> -->\n  </div>\n  <div class=\"add-risk-group-user-list-body\">\n    <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n    <div\n      class=\"add-risk-group-user-list-tab vx-d-flex vx-align-center vx-mt-1 vx-mb-2\"\n      *ngIf=\"groupsEnabled\"\n    >\n      <button\n        (click)=\"switchTab('USER')\"\n        class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"currentTab === 'USER'\"\n      >\n        USERS\n        <span\n          class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{\n            search?.length && currentTab === \"USER\"\n              ? (usersList | search : search)?.length\n              : usersList?.length\n          }}</span\n        >\n      </button>\n      <button\n        (click)=\"switchTab('GROUP')\"\n        class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"currentTab === 'GROUP'\"\n      >\n        USER GROUPS\n        <span\n          class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{\n            search?.length && currentTab === \"GROUP\"\n              ? (assigneeGroupsList | search : search)?.length\n              : assigneeGroupsList?.length\n          }}</span\n        >\n      </button>\n    </div>\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"{{\n          currentTab === 'USER' ? 'Search User(s)' : 'Search User Group(s)'\n        }} \"\n      />\n    </div>\n    <ng-container *ngIf=\"!groupsEnabled\">\n      <ng-container *ngIf=\"usersList | search : search as userlist\">\n        <ng-container *ngIf=\"groupsList | search : search as grouplist\">\n          <div\n            class=\"body-top\"\n            *ngIf=\"\n              (userlist?.length > 0 ||\n                (userlist?.length > 0 && grouplist?.length > 0)) &&\n              search?.trim()?.length === 0\n            \"\n          >\n            <app-cs-checkbox\n              *ngIf=\"\n                (openedFrom === 'RISK_TREATMENT' && usersList?.length < 19) ||\n                openedFrom !== 'RISK_TREATMENT'\n              \"\n              [ngValue]=\"checkSelectAll()\"\n              (ngValueChange)=\"selectAll($event)\"\n            >\n              <strong>\n                {{ checkSelectAll() ? \"Deselect All\" : \"Select All\" }}\n              </strong>\n            </app-cs-checkbox>\n          </div>\n          <div\n            class=\"list-block\"\n            [class.without-group]=\"!groupsEnabled\"\n            [class.with-no-data]=\"\n              userlist?.length === 0 && grouplist?.length === 0 && !loader\n            \"\n          >\n            <ul class=\"group-user-list\" *ngIf=\"grouplist?.length > 0\">\n              <ng-container *ngFor=\"let group of grouplist\">\n                <li *ngIf=\"!hideGroup(group.userIds)\">\n                  <app-cs-checkbox\n                    [ngValue]=\"\n                      checkGroupList(group.userIds) &&\n                      group.userIds?.length !== 0\n                    \"\n                    (ngValueChange)=\"selectGroup(group.userIds, $event)\"\n                    [disabled]=\"\n                      (openedFrom === 'RISK_TREATMENT' &&\n                        selectedUsers?.length + group.userIds?.length > 19 &&\n                        !checkGroupList(group.userIds)) ||\n                      group.userIds?.length === 0\n                    \"\n                    (click)=\"\n                      validationCheck(\n                        openedFrom === 'RISK_TREATMENT' &&\n                          selectedUsers?.length + group.userIds?.length > 19 &&\n                          !checkGroupList(group.userIds)\n                      )\n                    \"\n                  >\n                    <span class=\"name\"\n                      >{{ group.groupName\n                      }}<span class=\"counter\">{{\n                        group.userIds?.length > 1\n                          ? group.userIds?.length + \" USERS\"\n                          : group.userIds?.length + \" USER\"\n                      }}</span></span\n                    >\n                  </app-cs-checkbox>\n                </li>\n              </ng-container>\n            </ul>\n            <ul class=\"group-user-list\" *ngIf=\"userlist?.length > 0\">\n              <li\n                *ngFor=\"let user of userlist\"\n                [appTooltip]=\"\n                  user\n                    | tooltipMessage\n                      : fromResponsibility\n                      : reviewerIds\n                      : overseerIds\n                      : assignorId\n                      : []\n                      : 'my_member_id'\n                      : (openedFrom === 'RISK_TREATMENT' &&\n                          selectedUsers?.length === 19 &&\n                          !selectedIds?.includes(user[userIdKey])) ||\n                          disabledId?.includes(user[userIdKey])\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                <app-cs-checkbox\n                  [ngValue]=\"selectedIds?.includes(user[userIdKey])\"\n                  (ngValueChange)=\"selectUser(user[userIdKey], $event)\"\n                  [disabled]=\"\n                    (openedFrom === 'RISK_TREATMENT' &&\n                      selectedUsers?.length === 19 &&\n                      !selectedIds?.includes(user[userIdKey])) ||\n                    disabledId?.includes(user[userIdKey])\n                  \"\n                  (click)=\"\n                    validationCheck(\n                      openedFrom === 'RISK_TREATMENT' &&\n                        selectedUsers?.length === 19 &&\n                        !selectedIds?.includes(user[userIdKey])\n                    )\n                  \"\n                >\n                  <span class=\"name\">{{ user.employee_name }}</span>\n                </app-cs-checkbox>\n              </li>\n            </ul>\n            <app-no-data\n              *ngIf=\"\n                userlist?.length === 0 && grouplist?.length === 0 && !loader\n              \"\n              [noDataImage]=\"ASSETS.search_data\"\n              [noDataText]=\"'No Users Found'\"\n            ></app-no-data>\n          </div>\n        </ng-container>\n      </ng-container>\n    </ng-container>\n\n    <ng-container *ngIf=\"currentTab === 'USER' && groupsEnabled && !loader\">\n      <ng-container *ngIf=\"usersList | search : search as userlist\">\n        <div\n          class=\"body-top\"\n          *ngIf=\"userlist?.length > 0 && search?.trim()?.length === 0\"\n        >\n          <app-cs-checkbox\n            *ngIf=\"\n              (openedFrom === 'RISK_TREATMENT' && usersList?.length < 19) ||\n              openedFrom !== 'RISK_TREATMENT'\n            \"\n            [ngValue]=\"checkSelectAll()\"\n            (ngValueChange)=\"selectAll($event)\"\n          >\n            <strong>\n              {{ checkSelectAll() ? \"Deselect All\" : \"Select All\" }}\n            </strong>\n          </app-cs-checkbox>\n        </div>\n\n        <div\n          class=\"list-block\"\n          [class.with-no-data]=\"userlist?.length === 0 && !loader\"\n        >\n          <ul class=\"group-user-list\" *ngIf=\"userlist?.length > 0\">\n            <li\n              *ngFor=\"let user of userlist\"\n              [appTooltip]=\"\n                user\n                  | tooltipMessage\n                    : fromResponsibility\n                    : reviewerIds\n                    : overseerIds\n                    : assignorId\n                    : []\n                    : 'my_member_id'\n                    : (openedFrom === 'RISK_TREATMENT' &&\n                        selectedUsers?.length === 19 &&\n                        !selectedIds?.includes(user[userIdKey])) ||\n                        disabledId?.includes(user[userIdKey])\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              <app-cs-checkbox\n                [ngValue]=\"selectedIds?.includes(user[userIdKey])\"\n                (ngValueChange)=\"selectUser(user[userIdKey], $event)\"\n                [disabled]=\"\n                  (openedFrom === 'RISK_TREATMENT' &&\n                    selectedUsers?.length === 19 &&\n                    !selectedIds?.includes(user[userIdKey])) ||\n                  disabledId?.includes(user[userIdKey])\n                \"\n                (click)=\"\n                  validationCheck(\n                    openedFrom === 'RISK_TREATMENT' &&\n                      selectedUsers?.length === 19 &&\n                      !selectedIds?.includes(user[userIdKey])\n                  )\n                \"\n              >\n                <span class=\"name\">{{ user.employee_name }}</span>\n              </app-cs-checkbox>\n            </li>\n          </ul>\n          <app-no-data\n            *ngIf=\"userlist?.length === 0 && !loader\"\n            [noDataImage]=\"ASSETS.search_data\"\n            [noDataText]=\"'No Users Found'\"\n          ></app-no-data>\n        </div>\n      </ng-container>\n    </ng-container>\n    <ng-container *ngIf=\"currentTab === 'GROUP' && groupsEnabled && !loader\">\n      <ng-container *ngIf=\"assigneeGroupsList | search : search as grouplist\">\n        <div\n          class=\"body-top\"\n          *ngIf=\"grouplist?.length > 0 && search?.trim()?.length === 0\"\n        >\n          <app-cs-checkbox\n            [ngValue]=\"checkselectAllgroups()\"\n            (ngValueChange)=\"selectAllGroups($event)\"\n          >\n            <strong>\n              {{ checkselectAllgroups() ? \"Deselect All\" : \"Select All\" }}\n            </strong>\n          </app-cs-checkbox>\n        </div>\n        <div\n          class=\"list-block\"\n          [class.with-no-data]=\"grouplist?.length === 0 && !loader\"\n        >\n          <ul class=\"group-user-list\" *ngIf=\"grouplist?.length > 0\">\n            <ng-container>\n              <li *ngFor=\"let group of grouplist; let i = index\">\n                <app-cs-checkbox\n                  [ngValue]=\"selectedGroupIds?.includes(group[groupIdKey])\"\n                  (ngValueChange)=\"selectGroupElement(group, $event)\"\n                  [disabled]=\"\n                    openedFrom === 'RISK_TREATMENT' &&\n                    group.member_ids?.length > 19 &&\n                    !checkGroupList(group?.member_ids)\n                  \"\n                  (click)=\"\n                    validationCheck(\n                      openedFrom === 'RISK_TREATMENT' &&\n                        group.member_ids?.length > 19 &&\n                        !checkGroupList(group?.member_ids)\n                    )\n                  \"\n                >\n                  <span class=\"name vx-d-flex vx-align-center vx-w-100\">\n                    <span\n                      class=\"group-name\"\n                      [appTooltip]=\"group?.group_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      [tooltipMandatory]=\"true\"\n                      >{{ group?.group_name }}</span\n                    >\n                    <span class=\"counter\"\n                      >{{ group[\"member_count\"] }}\n                      {{ group?.member_count > 1 ? \"USERS\" : \"USER\" }}</span\n                    >\n                  </span>\n                </app-cs-checkbox>\n              </li>\n            </ng-container>\n          </ul>\n          <app-no-data\n            *ngIf=\"grouplist?.length === 0 && !loader\"\n            [noDataImage]=\"ASSETS.search_data\"\n            [noDataText]=\"'No Groups Found'\"\n          ></app-no-data>\n        </div>\n      </ng-container>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUsers\"\n      [selectedGroups]=\"selectedGroups\"\n      [displayElementKey]=\"'employee_name'\"\n      [elementId]=\"userIdKey\"\n      [singularText]=\"'User selected'\"\n      [pluralText]=\"'Users selected'\"\n      (closeEvent)=\"save(selectedIds)\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (deleteGroupEvent)=\"deleteGroupEvent($event)\"\n      [groupsEnabled]=\"groupsEnabled\"\n      [nonRemovableUsersList]=\"isDisabledSelected ? disabledId : []\"\n      [isDisabled]=\"\n        groupsList?.length + usersList?.length === 0 ||\n        (selectedUsers?.length === 0 && selectedGroups?.length === 0)\n      \"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-group-user-list{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-group-user-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-group-user-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-group-user-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .add-risk-group-user-list-tab{border-bottom:1px solid #DBDBDB}::ng-deep .add-risk-group-user-list-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.1875rem solid transparent;margin-right:1.75rem!important}::ng-deep .add-risk-group-user-list-tab button.tab-btn span{border-radius:1.25rem;color:#74757680;min-width:1.5rem}::ng-deep .add-risk-group-user-list-tab button.active{pointer-events:none}::ng-deep .add-risk-group-user-list-tab button.active.tab-btn{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .add-risk-group-user-list-tab button.active.tab-btn span{background:#1e5dd3;color:#fff;font-weight:500}::ng-deep .add-risk-group-user-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-group-user-list-body .search-block{position:relative}::ng-deep .add-risk-group-user-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-group-user-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-group-user-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .add-risk-group-user-list-body .body-top{display:flex;justify-content:space-between;padding:0 0 1rem}::ng-deep .add-risk-group-user-list-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-group-user-list-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-group-user-list-body .body-top app-cs-checkbox label span.value span.name span.counter{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:600;line-height:12px;text-transform:uppercase;padding:0 4px;margin-left:8px}::ng-deep .add-risk-group-user-list-body .list-block{height:calc(100vh - 18.5rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem}::ng-deep .add-risk-group-user-list-body .list-block::-webkit-scrollbar-track{background-color:transparent}::ng-deep .add-risk-group-user-list-body .list-block::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .add-risk-group-user-list-body .list-block::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .add-risk-group-user-list-body .list-block.without-group{height:calc(100vh - 16rem)}::ng-deep .add-risk-group-user-list-body .list-block.with-no-data{height:calc(100vh - 16.5rem)}::ng-deep .add-risk-group-user-list-body .list-block app-no-data{height:100%}::ng-deep .add-risk-group-user-list-body ul{padding:0;margin:0}::ng-deep .add-risk-group-user-list-body ul.group-user-list{display:flex;align-items:flex-start;flex-wrap:wrap}::ng-deep .add-risk-group-user-list-body ul.group-user-list li{width:50%;padding:0 0 .75rem;list-style:none}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio{display:flex}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label{width:100%}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;flex-wrap:wrap}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.name{color:#161b2f;font-weight:400;line-height:20px;display:block;width:100%;font-size:12px}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name .group-name,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.name .group-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 2.5rem)}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position{border-radius:2px;display:inline-flex;height:12px;align-items:center;padding:0 2px;text-transform:uppercase;font-size:9px;line-height:12px;font-weight:500}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.admin,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.admin{background:#fff9e6;color:#f2bf19}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.key-admin,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.key-admin{background:#dff2e1;color:#34aa44}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.manager,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.manager{color:#4681ef;background:#d4e2fc}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.executive,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.executive{color:#747576;background:#f1f1f1}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox{display:flex}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:24px}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name span.counter{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:600;line-height:12px;text-transform:uppercase;padding:0 4px;margin-left:8px}::ng-deep .add-risk-group-user-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .add-risk-group-user-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "ngmodule", type: ClickOutsideModule }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "ngmodule", type: PipesModule }, { kind: "pipe", type: SearchPipe$1, name: "search" }, { kind: "pipe", type: TooltipMessagePipe, name: "tooltipMessage" }, { kind: "ngmodule", type: FormgroupModule$1 }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GroupUsersListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-group-users-list', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        PopoverModule,
                        ClickOutsideModule,
                        TooltipModule,
                        FloatingBarModule,
                        PipesModule,
                        FormgroupModule$1,
                    ], template: "<div class=\"add-risk-group-user-list\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-group-user-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select User(s)</div>\n    <!-- <button class=\"add-risk-group-user-list-close\" (click)=\"close()\">\n            <i class=\"icons\">&#xe90d;</i>\n        </button> -->\n  </div>\n  <div class=\"add-risk-group-user-list-body\">\n    <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n    <div\n      class=\"add-risk-group-user-list-tab vx-d-flex vx-align-center vx-mt-1 vx-mb-2\"\n      *ngIf=\"groupsEnabled\"\n    >\n      <button\n        (click)=\"switchTab('USER')\"\n        class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"currentTab === 'USER'\"\n      >\n        USERS\n        <span\n          class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{\n            search?.length && currentTab === \"USER\"\n              ? (usersList | search : search)?.length\n              : usersList?.length\n          }}</span\n        >\n      </button>\n      <button\n        (click)=\"switchTab('GROUP')\"\n        class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"currentTab === 'GROUP'\"\n      >\n        USER GROUPS\n        <span\n          class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{\n            search?.length && currentTab === \"GROUP\"\n              ? (assigneeGroupsList | search : search)?.length\n              : assigneeGroupsList?.length\n          }}</span\n        >\n      </button>\n    </div>\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"{{\n          currentTab === 'USER' ? 'Search User(s)' : 'Search User Group(s)'\n        }} \"\n      />\n    </div>\n    <ng-container *ngIf=\"!groupsEnabled\">\n      <ng-container *ngIf=\"usersList | search : search as userlist\">\n        <ng-container *ngIf=\"groupsList | search : search as grouplist\">\n          <div\n            class=\"body-top\"\n            *ngIf=\"\n              (userlist?.length > 0 ||\n                (userlist?.length > 0 && grouplist?.length > 0)) &&\n              search?.trim()?.length === 0\n            \"\n          >\n            <app-cs-checkbox\n              *ngIf=\"\n                (openedFrom === 'RISK_TREATMENT' && usersList?.length < 19) ||\n                openedFrom !== 'RISK_TREATMENT'\n              \"\n              [ngValue]=\"checkSelectAll()\"\n              (ngValueChange)=\"selectAll($event)\"\n            >\n              <strong>\n                {{ checkSelectAll() ? \"Deselect All\" : \"Select All\" }}\n              </strong>\n            </app-cs-checkbox>\n          </div>\n          <div\n            class=\"list-block\"\n            [class.without-group]=\"!groupsEnabled\"\n            [class.with-no-data]=\"\n              userlist?.length === 0 && grouplist?.length === 0 && !loader\n            \"\n          >\n            <ul class=\"group-user-list\" *ngIf=\"grouplist?.length > 0\">\n              <ng-container *ngFor=\"let group of grouplist\">\n                <li *ngIf=\"!hideGroup(group.userIds)\">\n                  <app-cs-checkbox\n                    [ngValue]=\"\n                      checkGroupList(group.userIds) &&\n                      group.userIds?.length !== 0\n                    \"\n                    (ngValueChange)=\"selectGroup(group.userIds, $event)\"\n                    [disabled]=\"\n                      (openedFrom === 'RISK_TREATMENT' &&\n                        selectedUsers?.length + group.userIds?.length > 19 &&\n                        !checkGroupList(group.userIds)) ||\n                      group.userIds?.length === 0\n                    \"\n                    (click)=\"\n                      validationCheck(\n                        openedFrom === 'RISK_TREATMENT' &&\n                          selectedUsers?.length + group.userIds?.length > 19 &&\n                          !checkGroupList(group.userIds)\n                      )\n                    \"\n                  >\n                    <span class=\"name\"\n                      >{{ group.groupName\n                      }}<span class=\"counter\">{{\n                        group.userIds?.length > 1\n                          ? group.userIds?.length + \" USERS\"\n                          : group.userIds?.length + \" USER\"\n                      }}</span></span\n                    >\n                  </app-cs-checkbox>\n                </li>\n              </ng-container>\n            </ul>\n            <ul class=\"group-user-list\" *ngIf=\"userlist?.length > 0\">\n              <li\n                *ngFor=\"let user of userlist\"\n                [appTooltip]=\"\n                  user\n                    | tooltipMessage\n                      : fromResponsibility\n                      : reviewerIds\n                      : overseerIds\n                      : assignorId\n                      : []\n                      : 'my_member_id'\n                      : (openedFrom === 'RISK_TREATMENT' &&\n                          selectedUsers?.length === 19 &&\n                          !selectedIds?.includes(user[userIdKey])) ||\n                          disabledId?.includes(user[userIdKey])\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                <app-cs-checkbox\n                  [ngValue]=\"selectedIds?.includes(user[userIdKey])\"\n                  (ngValueChange)=\"selectUser(user[userIdKey], $event)\"\n                  [disabled]=\"\n                    (openedFrom === 'RISK_TREATMENT' &&\n                      selectedUsers?.length === 19 &&\n                      !selectedIds?.includes(user[userIdKey])) ||\n                    disabledId?.includes(user[userIdKey])\n                  \"\n                  (click)=\"\n                    validationCheck(\n                      openedFrom === 'RISK_TREATMENT' &&\n                        selectedUsers?.length === 19 &&\n                        !selectedIds?.includes(user[userIdKey])\n                    )\n                  \"\n                >\n                  <span class=\"name\">{{ user.employee_name }}</span>\n                </app-cs-checkbox>\n              </li>\n            </ul>\n            <app-no-data\n              *ngIf=\"\n                userlist?.length === 0 && grouplist?.length === 0 && !loader\n              \"\n              [noDataImage]=\"ASSETS.search_data\"\n              [noDataText]=\"'No Users Found'\"\n            ></app-no-data>\n          </div>\n        </ng-container>\n      </ng-container>\n    </ng-container>\n\n    <ng-container *ngIf=\"currentTab === 'USER' && groupsEnabled && !loader\">\n      <ng-container *ngIf=\"usersList | search : search as userlist\">\n        <div\n          class=\"body-top\"\n          *ngIf=\"userlist?.length > 0 && search?.trim()?.length === 0\"\n        >\n          <app-cs-checkbox\n            *ngIf=\"\n              (openedFrom === 'RISK_TREATMENT' && usersList?.length < 19) ||\n              openedFrom !== 'RISK_TREATMENT'\n            \"\n            [ngValue]=\"checkSelectAll()\"\n            (ngValueChange)=\"selectAll($event)\"\n          >\n            <strong>\n              {{ checkSelectAll() ? \"Deselect All\" : \"Select All\" }}\n            </strong>\n          </app-cs-checkbox>\n        </div>\n\n        <div\n          class=\"list-block\"\n          [class.with-no-data]=\"userlist?.length === 0 && !loader\"\n        >\n          <ul class=\"group-user-list\" *ngIf=\"userlist?.length > 0\">\n            <li\n              *ngFor=\"let user of userlist\"\n              [appTooltip]=\"\n                user\n                  | tooltipMessage\n                    : fromResponsibility\n                    : reviewerIds\n                    : overseerIds\n                    : assignorId\n                    : []\n                    : 'my_member_id'\n                    : (openedFrom === 'RISK_TREATMENT' &&\n                        selectedUsers?.length === 19 &&\n                        !selectedIds?.includes(user[userIdKey])) ||\n                        disabledId?.includes(user[userIdKey])\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              <app-cs-checkbox\n                [ngValue]=\"selectedIds?.includes(user[userIdKey])\"\n                (ngValueChange)=\"selectUser(user[userIdKey], $event)\"\n                [disabled]=\"\n                  (openedFrom === 'RISK_TREATMENT' &&\n                    selectedUsers?.length === 19 &&\n                    !selectedIds?.includes(user[userIdKey])) ||\n                  disabledId?.includes(user[userIdKey])\n                \"\n                (click)=\"\n                  validationCheck(\n                    openedFrom === 'RISK_TREATMENT' &&\n                      selectedUsers?.length === 19 &&\n                      !selectedIds?.includes(user[userIdKey])\n                  )\n                \"\n              >\n                <span class=\"name\">{{ user.employee_name }}</span>\n              </app-cs-checkbox>\n            </li>\n          </ul>\n          <app-no-data\n            *ngIf=\"userlist?.length === 0 && !loader\"\n            [noDataImage]=\"ASSETS.search_data\"\n            [noDataText]=\"'No Users Found'\"\n          ></app-no-data>\n        </div>\n      </ng-container>\n    </ng-container>\n    <ng-container *ngIf=\"currentTab === 'GROUP' && groupsEnabled && !loader\">\n      <ng-container *ngIf=\"assigneeGroupsList | search : search as grouplist\">\n        <div\n          class=\"body-top\"\n          *ngIf=\"grouplist?.length > 0 && search?.trim()?.length === 0\"\n        >\n          <app-cs-checkbox\n            [ngValue]=\"checkselectAllgroups()\"\n            (ngValueChange)=\"selectAllGroups($event)\"\n          >\n            <strong>\n              {{ checkselectAllgroups() ? \"Deselect All\" : \"Select All\" }}\n            </strong>\n          </app-cs-checkbox>\n        </div>\n        <div\n          class=\"list-block\"\n          [class.with-no-data]=\"grouplist?.length === 0 && !loader\"\n        >\n          <ul class=\"group-user-list\" *ngIf=\"grouplist?.length > 0\">\n            <ng-container>\n              <li *ngFor=\"let group of grouplist; let i = index\">\n                <app-cs-checkbox\n                  [ngValue]=\"selectedGroupIds?.includes(group[groupIdKey])\"\n                  (ngValueChange)=\"selectGroupElement(group, $event)\"\n                  [disabled]=\"\n                    openedFrom === 'RISK_TREATMENT' &&\n                    group.member_ids?.length > 19 &&\n                    !checkGroupList(group?.member_ids)\n                  \"\n                  (click)=\"\n                    validationCheck(\n                      openedFrom === 'RISK_TREATMENT' &&\n                        group.member_ids?.length > 19 &&\n                        !checkGroupList(group?.member_ids)\n                    )\n                  \"\n                >\n                  <span class=\"name vx-d-flex vx-align-center vx-w-100\">\n                    <span\n                      class=\"group-name\"\n                      [appTooltip]=\"group?.group_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      [tooltipMandatory]=\"true\"\n                      >{{ group?.group_name }}</span\n                    >\n                    <span class=\"counter\"\n                      >{{ group[\"member_count\"] }}\n                      {{ group?.member_count > 1 ? \"USERS\" : \"USER\" }}</span\n                    >\n                  </span>\n                </app-cs-checkbox>\n              </li>\n            </ng-container>\n          </ul>\n          <app-no-data\n            *ngIf=\"grouplist?.length === 0 && !loader\"\n            [noDataImage]=\"ASSETS.search_data\"\n            [noDataText]=\"'No Groups Found'\"\n          ></app-no-data>\n        </div>\n      </ng-container>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUsers\"\n      [selectedGroups]=\"selectedGroups\"\n      [displayElementKey]=\"'employee_name'\"\n      [elementId]=\"userIdKey\"\n      [singularText]=\"'User selected'\"\n      [pluralText]=\"'Users selected'\"\n      (closeEvent)=\"save(selectedIds)\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (deleteGroupEvent)=\"deleteGroupEvent($event)\"\n      [groupsEnabled]=\"groupsEnabled\"\n      [nonRemovableUsersList]=\"isDisabledSelected ? disabledId : []\"\n      [isDisabled]=\"\n        groupsList?.length + usersList?.length === 0 ||\n        (selectedUsers?.length === 0 && selectedGroups?.length === 0)\n      \"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-group-user-list{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-group-user-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-group-user-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-group-user-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .add-risk-group-user-list-tab{border-bottom:1px solid #DBDBDB}::ng-deep .add-risk-group-user-list-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.1875rem solid transparent;margin-right:1.75rem!important}::ng-deep .add-risk-group-user-list-tab button.tab-btn span{border-radius:1.25rem;color:#74757680;min-width:1.5rem}::ng-deep .add-risk-group-user-list-tab button.active{pointer-events:none}::ng-deep .add-risk-group-user-list-tab button.active.tab-btn{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .add-risk-group-user-list-tab button.active.tab-btn span{background:#1e5dd3;color:#fff;font-weight:500}::ng-deep .add-risk-group-user-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-group-user-list-body .search-block{position:relative}::ng-deep .add-risk-group-user-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-group-user-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-group-user-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .add-risk-group-user-list-body .body-top{display:flex;justify-content:space-between;padding:0 0 1rem}::ng-deep .add-risk-group-user-list-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-group-user-list-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-group-user-list-body .body-top app-cs-checkbox label span.value span.name span.counter{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:600;line-height:12px;text-transform:uppercase;padding:0 4px;margin-left:8px}::ng-deep .add-risk-group-user-list-body .list-block{height:calc(100vh - 18.5rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem}::ng-deep .add-risk-group-user-list-body .list-block::-webkit-scrollbar-track{background-color:transparent}::ng-deep .add-risk-group-user-list-body .list-block::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .add-risk-group-user-list-body .list-block::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .add-risk-group-user-list-body .list-block.without-group{height:calc(100vh - 16rem)}::ng-deep .add-risk-group-user-list-body .list-block.with-no-data{height:calc(100vh - 16.5rem)}::ng-deep .add-risk-group-user-list-body .list-block app-no-data{height:100%}::ng-deep .add-risk-group-user-list-body ul{padding:0;margin:0}::ng-deep .add-risk-group-user-list-body ul.group-user-list{display:flex;align-items:flex-start;flex-wrap:wrap}::ng-deep .add-risk-group-user-list-body ul.group-user-list li{width:50%;padding:0 0 .75rem;list-style:none}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio{display:flex}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label{width:100%}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;flex-wrap:wrap}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.name{color:#161b2f;font-weight:400;line-height:20px;display:block;width:100%;font-size:12px}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name .group-name,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.name .group-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 2.5rem)}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position{border-radius:2px;display:inline-flex;height:12px;align-items:center;padding:0 2px;text-transform:uppercase;font-size:9px;line-height:12px;font-weight:500}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.admin,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.admin{background:#fff9e6;color:#f2bf19}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.key-admin,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.key-admin{background:#dff2e1;color:#34aa44}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.manager,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.manager{color:#4681ef;background:#d4e2fc}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.position.executive,::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-radio label span.value span.position.executive{color:#747576;background:#f1f1f1}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox{display:flex}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:24px}::ng-deep .add-risk-group-user-list-body ul.group-user-list li app-cs-checkbox label span.value span.name span.counter{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:600;line-height:12px;text-transform:uppercase;padding:0 4px;margin-left:8px}::ng-deep .add-risk-group-user-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .add-risk-group-user-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }]; }, propDecorators: { groupsEnabled: [{
                type: Input
            }], usersList: [{
                type: Input
            }], groupsList: [{
                type: Input
            }], selectedUsers: [{
                type: Input
            }], userIdKey: [{
                type: Input
            }], groupIdKey: [{
                type: Input
            }], openedFrom: [{
                type: Input
            }], saveSelectedList: [{
                type: Output
            }], closeUsersList: [{
                type: Output
            }], selectedGroups: [{
                type: Input
            }], assigneeGroupsList: [{
                type: Input
            }], disabledId: [{
                type: Input
            }], fromResponsibility: [{
                type: Input
            }], reviewerIds: [{
                type: Input
            }], overseerIds: [{
                type: Input
            }], assignorId: [{
                type: Input
            }], loader: [{
                type: Input
            }], isDisabledSelected: [{
                type: Input
            }] } });

const PAGINATION_LIMITS = {
    short_limit: 10,
    mid_limit: 30,
    long_limit: 100,
};

class GrcCategoryListingComponent {
    set categoryList(value) {
        this.categories = value;
        this.activeCategoryId = this.categories[0]?.category_id;
        this.setPaginationData();
    }
    set getProgramData(value) {
        this.categories = value?.data;
        this.activeCategoryId = value?.data[0]?.category_id;
        this.totalPage = value?.total_pages;
        this.totalCategory = value?.total_items ?? 0;
        this.categoryFrom = value?.items_from ?? 0;
        this.categoryEnd = value?.items_to ?? 0;
        this.perPageLimit = PAGINATION_LIMITS?.mid_limit ?? 30;
    }
    constructor() {
        this.categories = [];
        this.tableCard = [];
        this.selectedCategory = [];
        this.selectedCategoryIds = [];
        this.activeCategoryId = '';
        this.activeCategory = {};
        this.headerText = 'Categories';
        this.selectedCatAndRisk = [];
        this.currentPage = 1;
        this.totalPage = 1;
        this.totalCategory = 0;
        this.perPageLimit = PAGINATION_LIMITS?.mid_limit ?? 30;
        this.selectedTabIndex = 1;
        this.nameDisplayKey = 'name';
        this.categoryFrom = 0;
        this.categoryEnd = 0;
        this.activeSelectedCategory = new EventEmitter();
        this.onCategoryPageChange = new EventEmitter();
    }
    ngOnInit() { }
    getSelectedCategory(category, event) {
        if (event) {
            this.selectedCategory.push(category);
            this.selectedCategoryIds.push(category?.category_id);
            this.activeCategoryId = category?.category_id;
            this.onCategoryClick(category, 'checked');
        }
        else {
            this.deleteEvent(category);
            this.onCategoryClick(category, 'unchecked');
        }
    }
    deleteEvent(category) {
        this.selectedCategory = this.selectedCategory?.filter((selected) => selected?.category_id !== category?.category_id);
        this.selectedCategoryIds = this.selectedCategoryIds?.filter((selectedCategoryId) => selectedCategoryId !== category?.category_id);
    }
    onCategoryClick(category, clickedType) {
        this.activeCategory = category;
        this.activeSelectedCategory.emit({
            category: this.activeCategory,
            clickedType: clickedType,
        });
        this.activeCategoryId = category?.category_id;
    }
    setPaginationData() {
        this.perPageLimit =
            this.tableCard[this.selectedTabIndex]?.limit_per_page ?? 30;
        this.totalCategory = this.tableCard[this.selectedTabIndex]?.categoryCount;
        this.totalPage = Math.ceil(this.tableCard[this.selectedTabIndex]?.categoryCount /
            this.tableCard[this.selectedTabIndex]?.limit_per_page);
    }
    changePage(event) {
        this.currentPage = event;
        this.onCategoryPageChange.emit({
            pageNo: this.currentPage,
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcCategoryListingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: GrcCategoryListingComponent, isStandalone: true, selector: "app-grc-category-listing", inputs: { tableCard: "tableCard", headerText: "headerText", currentPage: "currentPage", selectedTabIndex: "selectedTabIndex", selectedCatAndRisk: "selectedCatAndRisk", selectedCategoryIds: "selectedCategoryIds", categoryList: ["categories", "categoryList"], getProgramData: ["programData", "getProgramData"] }, outputs: { activeSelectedCategory: "activeSelectedCategory", onCategoryPageChange: "onCategoryPageChange" }, ngImport: i0, template: "<div class=\"grc-category-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <app-cs-checkbox *ngIf=\"false\" [ngValue]=\"true\"></app-cs-checkbox>\n        <app-cs-checkbox-indeterminate *ngIf=\"false\"></app-cs-checkbox-indeterminate>\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">{{headerText}}</div>\n    </div>\n    <div class=\"grc-category-listing-inner\">\n        <div class=\"category-table-body\" [class.with-pagination]=\"totalPage > 1\">\n            <div class=\"category-table-row cursor-pointer\" *ngFor=\"let category of categories; let i = index\" [class.active]=\"selectedCategoryIds?.includes(category?.category_id)\" [class.select]=\"activeCategoryId === category?.category_id\" (click)=\"onCategoryClick(category, 'view')\">\n                <div class=\"category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"i + (categoryFrom || (perPageLimit * (currentPage - 1) + 1))\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{(categoryFrom || (perPageLimit * (currentPage - 1) + 1)) + i}}</div>\n                    <app-cs-checkbox *ngIf=\"false\" [ngValue]=\"selectedCategoryIds?.includes(category?.category_id)\" (ngValueChange)=\"getSelectedCategory(category,$event)\"></app-cs-checkbox>\n                </div>\n                <div class=\"category-table-column vx-pr-1 vx-d-flex vx-align-center category-name\">\n                    <div class=\"value vx-fs-12 vx-label-txt vx-pr-5\" [appTooltip]=\"category[nameDisplayKey]\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{category[nameDisplayKey]}}</div>\n                </div>\n                <div class=\"category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\">\n                    <i *ngIf=\"selectedCategoryIds?.includes(category?.category_id) || selectedCategoryIds?.includes(category?._id)\" class=\"icons grc-tick vx-fs-14\">&#xe93d;</i>\n                    <button class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe970;</i></button>\n                </div>\n            </div>\n        </div>\n        <app-pagination *ngIf=\"totalPage > 1\" [start]=\"categoryFrom || (perPageLimit * (currentPage - 1) + 1)\" [end]=\"categoryEnd || (perPageLimit * currentPage)\" [total]=\"totalCategory\" [pageCount]=\"totalPage\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-category-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-category-listing .top-heading app-cs-checkbox,::ng-deep .grc-category-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-category-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-category-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-category-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-category-listing-inner .category-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-category-listing-inner .category-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row:hover{background:#fbfbfb}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row:hover .category-table-column.serial app-cs-checkbox,::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.active .category-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.cursor-pointer{cursor:pointer}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select{background:#161b2f}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select .category-table-column.serial .sr-no{background:#ffffff30;color:#fff}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select .category-table-column.category-name .value{color:#fff}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select .category-table-column.action button.arrow-btn{color:#fff}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select.active .category-table-column.serial .sr-no{background:transparent}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column{min-height:2.5rem;position:relative;width:100%}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.category-name{width:calc(100% - 3.5rem);min-width:calc(100% - 3.5rem)}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.action{width:1.5rem;max-width:1.5rem;justify-content:center;position:relative}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.action button.arrow-btn{background:transparent;border-radius:0;border:none;width:100%;height:100%}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.action .grc-tick{color:#34aa44;position:absolute;top:13px;left:-16px}::ng-deep .grc-category-listing-inner .category-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "ngmodule", type: FormgroupModule }, { kind: "component", type: CsCheckboxComponentUI, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "component", type: CsCheckboxIndeterminateComponentUI, selector: "app-cs-checkbox-indeterminate", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "ngmodule", type: PaginationModule$1 }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcCategoryListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-grc-category-listing', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        FormgroupModule,
                        TooltipModule,
                        FloatingBarModule,
                        PaginationModule$1,
                    ], inputs: [
                        'tableCard',
                        'headerText',
                        'currentPage',
                        'selectedTabIndex',
                        'selectedCatAndRisk',
                        'selectedCategoryIds',
                    ], template: "<div class=\"grc-category-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <app-cs-checkbox *ngIf=\"false\" [ngValue]=\"true\"></app-cs-checkbox>\n        <app-cs-checkbox-indeterminate *ngIf=\"false\"></app-cs-checkbox-indeterminate>\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">{{headerText}}</div>\n    </div>\n    <div class=\"grc-category-listing-inner\">\n        <div class=\"category-table-body\" [class.with-pagination]=\"totalPage > 1\">\n            <div class=\"category-table-row cursor-pointer\" *ngFor=\"let category of categories; let i = index\" [class.active]=\"selectedCategoryIds?.includes(category?.category_id)\" [class.select]=\"activeCategoryId === category?.category_id\" (click)=\"onCategoryClick(category, 'view')\">\n                <div class=\"category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"i + (categoryFrom || (perPageLimit * (currentPage - 1) + 1))\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{(categoryFrom || (perPageLimit * (currentPage - 1) + 1)) + i}}</div>\n                    <app-cs-checkbox *ngIf=\"false\" [ngValue]=\"selectedCategoryIds?.includes(category?.category_id)\" (ngValueChange)=\"getSelectedCategory(category,$event)\"></app-cs-checkbox>\n                </div>\n                <div class=\"category-table-column vx-pr-1 vx-d-flex vx-align-center category-name\">\n                    <div class=\"value vx-fs-12 vx-label-txt vx-pr-5\" [appTooltip]=\"category[nameDisplayKey]\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{category[nameDisplayKey]}}</div>\n                </div>\n                <div class=\"category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\">\n                    <i *ngIf=\"selectedCategoryIds?.includes(category?.category_id) || selectedCategoryIds?.includes(category?._id)\" class=\"icons grc-tick vx-fs-14\">&#xe93d;</i>\n                    <button class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe970;</i></button>\n                </div>\n            </div>\n        </div>\n        <app-pagination *ngIf=\"totalPage > 1\" [start]=\"categoryFrom || (perPageLimit * (currentPage - 1) + 1)\" [end]=\"categoryEnd || (perPageLimit * currentPage)\" [total]=\"totalCategory\" [pageCount]=\"totalPage\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-category-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-category-listing .top-heading app-cs-checkbox,::ng-deep .grc-category-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-category-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-category-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-category-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-category-listing-inner .category-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-category-listing-inner .category-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row:hover{background:#fbfbfb}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row:hover .category-table-column.serial app-cs-checkbox,::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.active .category-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.cursor-pointer{cursor:pointer}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select{background:#161b2f}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select .category-table-column.serial .sr-no{background:#ffffff30;color:#fff}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select .category-table-column.category-name .value{color:#fff}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select .category-table-column.action button.arrow-btn{color:#fff}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row.select.active .category-table-column.serial .sr-no{background:transparent}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column{min-height:2.5rem;position:relative;width:100%}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.category-name{width:calc(100% - 3.5rem);min-width:calc(100% - 3.5rem)}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.action{width:1.5rem;max-width:1.5rem;justify-content:center;position:relative}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.action button.arrow-btn{background:transparent;border-radius:0;border:none;width:100%;height:100%}::ng-deep .grc-category-listing-inner .category-table-body .category-table-row .category-table-column.action .grc-tick{color:#34aa44;position:absolute;top:13px;left:-16px}::ng-deep .grc-category-listing-inner .category-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-category-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { categoryList: [{
                type: Input,
                args: ['categories']
            }], getProgramData: [{
                type: Input,
                args: ['programData']
            }], activeSelectedCategory: [{
                type: Output
            }], onCategoryPageChange: [{
                type: Output
            }] } });

class GrcRiskListingComponent {
    set risksList(value) {
        this.dataList = value;
    }
    set getSelectedCatAndRisk(value) {
        this.selectedCatAndRisk = value;
        this.getSelectedDataAndIds(value);
    }
    constructor(config) {
        this.profilePic = '';
        this.dataList = [];
        this.headerText = 'Name';
        this.selectedListData = [];
        this.selectedListDataIds = [];
        this.perPageLimit = 30;
        this.currentPage = 1;
        this.totalPages = 1;
        this.totalListData = 0;
        this.selectedCatAndRisk = [];
        this.activeCategory = {};
        this.calledFrom = '';
        this.getUpdatedDataList = new EventEmitter();
        this.changeSelectedCatAndRisk = new EventEmitter();
        this.env = config?.envConfig;
        this.profilePic = this.env.s3Url + this.env.s3Bucket + this.env.profile;
    }
    ngOnInit() { }
    getSelectedData(responsibility, event) {
        if (event) {
            this.selectedListData.push(responsibility);
            this.selectedListDataIds.push(responsibility?._id);
        }
        else {
            this.deleteEvent(responsibility);
        }
        this.updateOrCreateCategory(this.activeCategory?.category_id, this.activeCategory);
    }
    deleteEvent(responsibility) {
        this.selectedListData = this.selectedListData?.filter((selected) => selected?._id !== responsibility?._id);
        this.selectedListDataIds = this.selectedListDataIds?.filter((selectedListDataId) => selectedListDataId !== responsibility?._id);
    }
    selectAll(event) {
        this.dataList?.forEach((data) => {
            if (event) {
                if (!this.selectedListDataIds.includes(data?._id)) {
                    this.selectedListData.push(data);
                    this.selectedListDataIds.push(data?._id);
                }
            }
            else {
                this.deleteEvent(data);
            }
        });
        this.updateOrCreateCategory(this.activeCategory?.category_id, this.activeCategory);
    }
    isAllSelected() {
        if (this.selectedListDataIds &&
            this.selectedListDataIds.length >= this.selectedListData?.length &&
            this.selectedListDataIds.length > 0) {
            for (const grc of this.dataList) {
                if (!this.selectedListDataIds.includes(grc?._id)) {
                    return false;
                }
            }
            return true;
        }
        else {
            return false;
        }
    }
    changePage(event) {
        this.currentPage = event;
        this.getUpdatedDataList.emit({
            pageNo: this.currentPage,
        });
    }
    updateOrCreateCategory(categoryId, category) {
        const categoryIndex = this.findCheckedCategoryIndex(categoryId);
        if (categoryIndex !== -1) {
            // Category exists, update risk value
            this.selectedCatAndRisk[categoryIndex].risks =
                this.selectedListData ?? [];
            if (this.selectedListData.length === 0) {
                // Remove category if selectedListData is empty
                this.selectedCatAndRisk.splice(categoryIndex, 1);
            }
        }
        else {
            // Category doesn't exist, create new category with subcategory
            this.selectedCatAndRisk.push({
                category: category ?? {},
                risks: this.selectedListData ?? [],
            });
        }
        this.changeSelectedCatAndRisk.emit(this.selectedCatAndRisk);
    }
    getSelectedDataAndIds(selectedData) {
        const categoryIndex = this.findCheckedCategoryIndex(this.activeCategory?.category_id);
        this.selectedListData = [];
        this.selectedListDataIds = [];
        if (categoryIndex !== -1) {
            this.selectedListData = selectedData[categoryIndex]?.risks ?? [];
            this.selectedListData?.forEach((data) => {
                this.selectedListDataIds.push(data?._id);
            });
        }
    }
    findCheckedCategoryIndex(categoryId) {
        let categoryIndex = -1;
        if (Array.isArray(categoryId) && categoryId.length === 0) {
            // Handle empty categoryId array case
            const uncategorizedIndex = this.selectedCatAndRisk.findIndex((cat) => cat?.category?._id === 'uncategorized');
            if (uncategorizedIndex !== -1) {
                return uncategorizedIndex;
            }
        }
        else {
            categoryIndex = this.selectedCatAndRisk.findIndex((cat) => cat?.category?.category_id === categoryId);
        }
        return categoryIndex;
    }
    deleteSelectedRisk(categoryId, risk) {
        const categoryIndex = this.findCheckedCategoryIndex(categoryId);
        if (categoryIndex !== -1) {
            // Category exists, update risk value
            const riskIndex = this.selectedCatAndRisk[categoryIndex]?.risks?.findIndex((item) => item?._id === risk?._id);
            if (riskIndex !== -1) {
                this.selectedCatAndRisk[categoryIndex]?.risks.splice(riskIndex, 1);
            }
            if (this.selectedCatAndRisk[categoryIndex]?.risks?.length === 0) {
                // Remove category if selectedListData is empty
                this.selectedCatAndRisk.splice(categoryIndex, 1);
            }
        }
        this.changeSelectedCatAndRisk.emit(this.selectedCatAndRisk);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcRiskListingComponent, deps: [{ token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: GrcRiskListingComponent, isStandalone: true, selector: "app-grc-risk-listing", inputs: { tableCard: "tableCard", activeCategory: "activeCategory", headerText: "headerText", currentPage: "currentPage", perPageLimit: "perPageLimit", totalListData: "totalListData", totalPages: "totalPages", selectedListData: "selectedListData", selectedListDataIds: "selectedListDataIds", selectedCatAndRisk: "selectedCatAndRisk", calledFrom: "calledFrom", risksList: ["dataList", "risksList"], getSelectedCatAndRisk: ["selectedCatAndRisk", "getSelectedCatAndRisk"] }, outputs: { getUpdatedDataList: "getUpdatedDataList", changeSelectedCatAndRisk: "changeSelectedCatAndRisk" }, ngImport: i0, template: "<div class=\"grc-responsibility-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <app-cs-checkbox *ngIf=\"isAllSelected() || selectedListDataIds?.length === 0\"  [ngValue]=\"isAllSelected()\" (ngValueChange)=\"selectAll($event)\"></app-cs-checkbox>\n        <app-cs-checkbox-indeterminate *ngIf=\"!isAllSelected() && selectedListDataIds?.length\" [ngValue]=\"true\" (ngValueChange)=\"selectAll(false)\"></app-cs-checkbox-indeterminate>\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">{{headerText}}</div>\n    </div>\n    <div class=\"grc-responsibility-listing-inner\">\n        <div class=\"grc-responsibility-table-body\" [class.with-pagination]=\"totalPages > 1\">\n            <div class=\"grc-responsibility-table-row\" *ngFor=\"let list of dataList; let i = index\" [class.active]=\"selectedListDataIds?.includes(list?._id)\">\n                <div class=\"grc-responsibility-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"(perPageLimit * (currentPage - 1)) + i + 1\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{(perPageLimit * (currentPage - 1)) + i + 1}}</div>\n                    <app-cs-checkbox [ngValue]=\"selectedListDataIds?.includes(list?._id)\" (ngValueChange)=\"getSelectedData(list,$event)\"></app-cs-checkbox>\n                </div>\n                <div class=\"grc-responsibility-table-column vx-pr-1 vx-d-flex vx-align-center responsibility-name\">\n                    <div class=\"vx-avatar-group vx-mr-1\">\n                        <div class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedBy?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedBy?.profilePic === ''\" class=\"blue\">{{list.entrustedBy?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedBy?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedBy?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"calledFrom === 'responsibilityLinkage' && list?.entrustedTo?.EntrustedToMembers?.length === 0\" class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedTo?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedTo?.profilePic === ''\" class=\"blue\">{{list?.entrustedTo?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedTo?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedTo?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"calledFrom === 'responsibilityLinkage' && list?.entrustedTo?.EntrustedToMembers?.length\" class=\"vx-avatar md counter\" appPopover (click)=\"multiUser.popover()\" placement=\"left\">\n                            <span class=\"green\">+{{list?.entrustedTo?.EntrustedToMembers?.length}}</span>\n                        </div>\n                        <app-popover #multiUser>\n                            <div class=\"wf-action-list\">\n                                <ul class=\"action-item\">\n                                    <li *ngFor=\"let user of list?.entrustedTo?.EntrustedToMembers\">\n                                        <div class=\"avatar-card\">\n                                            <div *ngIf=\"user?.profile_pic === ''\" class=\"avatar\">{{user?.member_short_name}}</div>\n                                            <div *ngIf=\"user?.profile_pic !== ''\" class=\"avatar\"><img src=\"{{profilePic + user?.profile_pic}}\" alt=\"\"></div>\n                                            <span class=\"value\" [appTooltip]=\"user.member_name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{user?.member_name}}</span>\n                                        </div>\n                                    </li>\n                                </ul>\n                            </div>\n                        </app-popover>\n                    </div>\n                    <!-- <i class=\"icons star vx-fs-10 vx-mr-1\" [class.active]=\"true\">&#xea70;</i> -->\n                    <div class=\"name-inner\">\n                        <div class=\"vx-d-flex vx-align-center\">\n                            <div class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">{{list?.controlId}}</div>\n                            <div class=\"name vx-fs-13 vx-label-txt\" [appTooltip]=\"list?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{list?.name}}</div>\n                        </div>\n                        <div class=\"vx-d-flex vx-align-center\" *ngIf=\"list?.withinData?.length\">\n                            <div class=\"vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">RESPONSIBILITY CENTER:</div>\n                            <div class=\"within-part vx-d-flex vx-align-center vx-pr-3\">\n                                <div class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">Within</div>\n                                <div class=\"within-value vx-fs-11 vx-paragraph-txt\" ><span *ngFor=\"let parent of list?.withinData; let last = last\" [appTooltip]=\"parent?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{parent?.name}} \n                                    <span *ngIf=\"!last\"> <\n                                    </span>\n                                </span></div>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n        <app-pagination *ngIf=\"totalPages > 1\" [start]=\"perPageLimit * (currentPage - 1) + 1\" [end]=\"perPageLimit * currentPage\" [total]=\"totalListData\" [pageCount]=\"totalPages\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-responsibility-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-responsibility-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row:hover .grc-responsibility-table-column.serial app-cs-checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row.active .grc-responsibility-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column{min-height:3.25rem;position:relative;width:100%}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:3.25rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:1.125rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star{color:#f1f1f1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star.active{color:#f4c84a}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner{width:calc(100% - 5rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 6rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .within-part{width:calc(100% - 8rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}.cursor-pointer{cursor:pointer}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "ngmodule", type: FormgroupModule }, { kind: "component", type: CsCheckboxComponentUI, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "component", type: CsCheckboxIndeterminateComponentUI, selector: "app-cs-checkbox-indeterminate", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "ngmodule", type: PaginationModule$1 }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcRiskListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-grc-risk-listing', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        FormgroupModule,
                        TooltipModule,
                        FloatingBarModule,
                        PaginationModule$1,
                    ], inputs: [
                        'tableCard',
                        'activeCategory',
                        'headerText',
                        'currentPage',
                        'perPageLimit',
                        'totalListData',
                        'totalPages',
                        'selectedListData',
                        'selectedListDataIds',
                        'selectedCatAndRisk',
                        'calledFrom',
                    ], template: "<div class=\"grc-responsibility-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <app-cs-checkbox *ngIf=\"isAllSelected() || selectedListDataIds?.length === 0\"  [ngValue]=\"isAllSelected()\" (ngValueChange)=\"selectAll($event)\"></app-cs-checkbox>\n        <app-cs-checkbox-indeterminate *ngIf=\"!isAllSelected() && selectedListDataIds?.length\" [ngValue]=\"true\" (ngValueChange)=\"selectAll(false)\"></app-cs-checkbox-indeterminate>\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">{{headerText}}</div>\n    </div>\n    <div class=\"grc-responsibility-listing-inner\">\n        <div class=\"grc-responsibility-table-body\" [class.with-pagination]=\"totalPages > 1\">\n            <div class=\"grc-responsibility-table-row\" *ngFor=\"let list of dataList; let i = index\" [class.active]=\"selectedListDataIds?.includes(list?._id)\">\n                <div class=\"grc-responsibility-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"(perPageLimit * (currentPage - 1)) + i + 1\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{(perPageLimit * (currentPage - 1)) + i + 1}}</div>\n                    <app-cs-checkbox [ngValue]=\"selectedListDataIds?.includes(list?._id)\" (ngValueChange)=\"getSelectedData(list,$event)\"></app-cs-checkbox>\n                </div>\n                <div class=\"grc-responsibility-table-column vx-pr-1 vx-d-flex vx-align-center responsibility-name\">\n                    <div class=\"vx-avatar-group vx-mr-1\">\n                        <div class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedBy?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedBy?.profilePic === ''\" class=\"blue\">{{list.entrustedBy?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedBy?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedBy?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"calledFrom === 'responsibilityLinkage' && list?.entrustedTo?.EntrustedToMembers?.length === 0\" class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedTo?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedTo?.profilePic === ''\" class=\"blue\">{{list?.entrustedTo?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedTo?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedTo?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"calledFrom === 'responsibilityLinkage' && list?.entrustedTo?.EntrustedToMembers?.length\" class=\"vx-avatar md counter\" appPopover (click)=\"multiUser.popover()\" placement=\"left\">\n                            <span class=\"green\">+{{list?.entrustedTo?.EntrustedToMembers?.length}}</span>\n                        </div>\n                        <app-popover #multiUser>\n                            <div class=\"wf-action-list\">\n                                <ul class=\"action-item\">\n                                    <li *ngFor=\"let user of list?.entrustedTo?.EntrustedToMembers\">\n                                        <div class=\"avatar-card\">\n                                            <div *ngIf=\"user?.profile_pic === ''\" class=\"avatar\">{{user?.member_short_name}}</div>\n                                            <div *ngIf=\"user?.profile_pic !== ''\" class=\"avatar\"><img src=\"{{profilePic + user?.profile_pic}}\" alt=\"\"></div>\n                                            <span class=\"value\" [appTooltip]=\"user.member_name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{user?.member_name}}</span>\n                                        </div>\n                                    </li>\n                                </ul>\n                            </div>\n                        </app-popover>\n                    </div>\n                    <!-- <i class=\"icons star vx-fs-10 vx-mr-1\" [class.active]=\"true\">&#xea70;</i> -->\n                    <div class=\"name-inner\">\n                        <div class=\"vx-d-flex vx-align-center\">\n                            <div class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">{{list?.controlId}}</div>\n                            <div class=\"name vx-fs-13 vx-label-txt\" [appTooltip]=\"list?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{list?.name}}</div>\n                        </div>\n                        <div class=\"vx-d-flex vx-align-center\" *ngIf=\"list?.withinData?.length\">\n                            <div class=\"vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">RESPONSIBILITY CENTER:</div>\n                            <div class=\"within-part vx-d-flex vx-align-center vx-pr-3\">\n                                <div class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">Within</div>\n                                <div class=\"within-value vx-fs-11 vx-paragraph-txt\" ><span *ngFor=\"let parent of list?.withinData; let last = last\" [appTooltip]=\"parent?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{parent?.name}} \n                                    <span *ngIf=\"!last\"> <\n                                    </span>\n                                </span></div>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n        <app-pagination *ngIf=\"totalPages > 1\" [start]=\"perPageLimit * (currentPage - 1) + 1\" [end]=\"perPageLimit * currentPage\" [total]=\"totalListData\" [pageCount]=\"totalPages\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-responsibility-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-responsibility-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row:hover .grc-responsibility-table-column.serial app-cs-checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row.active .grc-responsibility-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column{min-height:3.25rem;position:relative;width:100%}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:3.25rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:1.125rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star{color:#f1f1f1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star.active{color:#f4c84a}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner{width:calc(100% - 5rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 6rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .within-part{width:calc(100% - 8rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}.cursor-pointer{cursor:pointer}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: Configurations, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { risksList: [{
                type: Input,
                args: ['dataList']
            }], getSelectedCatAndRisk: [{
                type: Input,
                args: ['selectedCatAndRisk']
            }], getUpdatedDataList: [{
                type: Output
            }], changeSelectedCatAndRisk: [{
                type: Output
            }] } });

class RiskCategoryRiskListingComponent {
    set selectedCatAndRiskData(value) {
        this.selectedCatAndRisk = value;
        this.preSelectedCatAndRisk = JSON.parse(JSON.stringify(value));
        this.getSelectedCategoriesId(this.selectedCatAndRisk);
        this.getRiskCategoryPayload(value);
    }
    constructor(grcService) {
        this.grcService = grcService;
        this.tableCard = TABLE_CARD;
        this.CDN_LINK = LINKS;
        this.animation = false;
        this.isCategoryLoader = false;
        this.isRiskLoader = false;
        this.selectedTab = 1;
        this.categoryCurrentPage = 1;
        this.searchString = '';
        this.categoriesList = [];
        this.risksList = [];
        this.activeCategory = {};
        this.riskCurrentPage = 1;
        this.selectedCatAndRisk = [];
        this.preSelectedCatAndRisk = [];
        this.selectedCategoryIds = [];
        this.selectedCategories = [];
        this.selectedRisks = [];
        this.selectedRC = [];
        this.closeUsersList = new EventEmitter();
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.getCategoriesList();
        this.getCategoriesCount();
    }
    setSelectedTab(event) {
        this.selectedTab = event?.type;
        this.categoryCurrentPage = 1;
        this.getCategoriesList();
    }
    getCategoriesList() {
        if (this.categorySubscription) {
            this.categorySubscription.unsubscribe();
        }
        let queryParam = {
            pageNo: this.categoryCurrentPage ?? 1,
            searchString: this.searchString ?? '',
            type: this.selectedTab ?? 1,
        };
        this.isCategoryLoader = true;
        this.categorySubscription = this.grcService
            .getRiskCategories(queryParam)
            .subscribe((res) => {
            this.categoriesList = res?.map((category) => {
                return {
                    ...category,
                    name: category?.category_name,
                };
            });
            this.riskCurrentPage = 1;
            this.activeCategory = this.categoriesList?.length
                ? this.categoriesList[0]
                : [];
            this.categoriesList?.length ? this.getRiskList() : null;
            this.isCategoryLoader = false;
        }, (err) => {
            this.isCategoryLoader = false;
        });
    }
    getCategoriesCount() {
        let queryParam = {
            searchString: this.searchString ?? '',
            rc_ids: this.selectedRC?.map((rc) => rc?.rc_id) ?? [],
        };
        this.grcService.getRiskCategoriesCount(queryParam).subscribe((res) => {
            this.tableCard = res.map((item) => {
                return {
                    title: item?.categoryTypeName,
                    count: item?.categoryCount,
                    type: item?.categoryType,
                };
            });
        }, (err) => { });
    }
    getRiskList(clickedType) {
        if (this.riskSubscription) {
            this.riskSubscription.unsubscribe();
        }
        let payload = {
            p: this.riskCurrentPage ?? 1,
            q: this.searchString ?? '',
            type: this.selectedTab ?? 1,
            source: 'risk_category',
            category_id: this.activeCategory?.category_id ?? [],
            rc_ids: this.selectedRC?.map((rc) => rc?.rc_id).join() ?? '',
        };
        this.isRiskLoader = true;
        this.riskSubscription = this.grcService.getRisks(payload).subscribe((res) => {
            this.risksList = this.setDataListStructure(res);
            this.isRiskLoader = false;
        }, (err) => {
            this.isRiskLoader = false;
        });
    }
    setDataListStructure(res) {
        const data = res?.map((risk) => {
            return {
                ...risk,
                name: risk?.RiskName,
                controlId: risk?.RiskControlId,
                _id: risk?.EncryptedRiskId,
                entrustedBy: {
                    name: risk?.MemberName,
                    email: risk?.MemberEmail,
                    profilePic: risk?.MemberProfilePic ?? '',
                    shortName: risk?.MemberSortName,
                },
                entrustedTo: {},
                withinData: risk?.Entity?.map((within) => {
                    return {
                        name: within?.rc_name,
                    };
                }),
            };
        });
        return data;
    }
    activeSelectedCategory(event) {
        this.activeCategory = event?.category;
        this.riskCurrentPage = 1;
        this.getRiskList(event?.clickedType);
    }
    getUpdatedDataList(event) {
        this.riskCurrentPage = event?.pageNo;
        this.getRiskList();
    }
    getTotalRiskPage() {
        const totalPage = this.activeCategory?.categoryRiskCount /
            this.activeCategory?.categoryRiskLimit;
        return Math.ceil(Math.abs(totalPage));
    }
    handleSearch(event) {
        if (this.searchString != event) {
            this.categoryCurrentPage = 1;
            this.searchString = event;
            this.getCategoriesList();
            this.getCategoriesCount();
        }
    }
    close() {
        this.closeUsersList.emit(this.preSelectedCatAndRisk);
    }
    save() {
        this.closeUsersList.emit(this.selectedCatAndRisk);
    }
    onCategoryPageChange(event) {
        this.categoryCurrentPage = event?.pageNo;
        this.getCategoriesList();
    }
    changeSelectedCatAndRisk(event) {
        this.selectedCatAndRisk = event;
        this.getRiskCategoryPayload(event);
        this.getSelectedCategoriesId(this.selectedCatAndRisk);
    }
    getSelectedCategoriesId(selectedData) {
        this.selectedCategoryIds = [];
        selectedData?.forEach((selected) => {
            if (selected?.category?._id === 'uncategorized') {
                this.selectedCategoryIds?.push('uncategorized');
            }
            else {
                this.selectedCategoryIds?.push(selected?.category?.category_id);
            }
        });
    }
    getRiskCategoryPayload(selectedData) {
        this.selectedRisks = [];
        this.selectedCategories = [];
        selectedData.forEach((item) => {
            this.selectedRisks.push(...item?.risks);
            this.selectedCategories.push(item?.category);
        });
    }
    deleteEvent(event) {
        if (this.activeCategory?.category_id == event?.CategoryIds[0]) {
            this.responsibilityListingComponent.getSelectedData(event, false);
        }
        else {
            this.responsibilityListingComponent?.deleteSelectedRisk(event?.CategoryIds[0], event);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskCategoryRiskListingComponent, deps: [{ token: GrcService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RiskCategoryRiskListingComponent, isStandalone: true, selector: "app-risk-category-risk-listing", inputs: { selectedTab: "selectedTab", selectedCatAndRiskData: ["selectedCatAndRisk", "selectedCatAndRiskData"], selectedRC: "selectedRC" }, outputs: { closeUsersList: "closeUsersList" }, viewQueries: [{ propertyName: "responsibilityListingComponent", first: true, predicate: ["dataListing"], descendants: true }], ngImport: i0, template: "<div class=\"risk-category-risk-listing\" [class.animate]=\"animation\">\n    <div class=\"risk-category-risk-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\">\n        <h3 class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select Risks</h3></div>\n    <div class=\"risk-category-risk-listing-body\">\n        <app-table-card class=\"vx-w-100\" [tableCard]=\"tableCard\" [singleSelectedText]=\"'Category Selected'\" [multipleSelectedText]=\"'Categories Selected'\" (setSelectedTab)=\"setSelectedTab($event)\" [selectedTab]=\"1\"></app-table-card>\n        <div class=\"search-block vx-mb-2\">\n          <i class=\"icons\">&#xe90b;</i>\n          <input type=\"text\"  #searchRiskCategory (keyup.enter)=\"handleSearch($event.target.value)\" placeholder=\"Search Risk Categories\" />\n        </div>\n        <div class=\"risk-category-risk-listing-body-inner vx-mb-2 vx-d-flex\" [class.with-noData]=\"(!isCategoryLoader && !categoriesList?.length)\">\n            <ng-container *ngIf=\"isCategoryLoader || categoriesList?.length\">\n                <div class=\"inner-item-left vx-pr-2\">\n                    <app-grc-category-listing *ngIf=\"!isCategoryLoader\" [headerText]=\"'Risk Categories'\" [categories]=\"categoriesList\"  [selectedCatAndRisk]=\"selectedCatAndRisk\" [tableCard]=\"tableCard\" [currentPage]=\"categoryCurrentPage\" [selectedTabIndex]=\"selectedTab\" [selectedCategoryIds]=\"selectedCategoryIds\" (activeSelectedCategory)=\"activeSelectedCategory($event)\" (onCategoryPageChange)=\"onCategoryPageChange($event)\"></app-grc-category-listing>\n                    <app-list-loader *ngIf=\"isCategoryLoader\"></app-list-loader>\n                </div>\n                <div class=\"inner-item-right\">\n                    <app-grc-risk-listing #dataListing *ngIf=\"!isRiskLoader && !isCategoryLoader && risksList?.length\" [headerText]=\"'Risk Name'\" [dataList]=\"risksList\" [activeCategory]=\"activeCategory\" [selectedCatAndRisk]=\"selectedCatAndRisk\" (changeSelectedCatAndRisk)=\"changeSelectedCatAndRisk($event)\" [currentPage]=\"riskCurrentPage\" [perPageLimit]=\"activeCategory?.categoryRiskLimit\" [totalListData]=\"activeCategory?.categoryRiskCount\" [totalPages]=\"getTotalRiskPage()\" (getUpdatedDataList)=\"getUpdatedDataList($event)\" ></app-grc-risk-listing>\n                    <app-list-loader *ngIf=\"isRiskLoader || isCategoryLoader\"></app-list-loader>\n                    <app-no-data *ngIf=\"risksList?.length === 0 && !(isRiskLoader || isCategoryLoader)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n                </div>\n            </ng-container>\n            <app-no-data *ngIf=\"(!isCategoryLoader && !categoriesList?.length)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n        </div>\n        <app-floating-bar  [selectedData]=\"selectedRisks?.length ? selectedRisks : []\"  (closeList)=\"close()\" (closeEvent)=\"save()\"  [displayElementKey]=\"'name'\" [singularText]=\"'Risk selected'\" [pluralText]=\"'Risks selected'\" (deleteEvent)=\"deleteEvent($event)\"></app-floating-bar>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .risk-category-risk-listing{position:fixed;inset:0 30px 0 0}::ng-deep .risk-category-risk-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .risk-category-risk-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .risk-category-risk-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .risk-category-risk-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .risk-category-risk-listing-body .search-block{position:relative}::ng-deep .risk-category-risk-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .risk-category-risk-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .risk-category-risk-listing-body .search-block input::placeholder{color:#747576}::ng-deep .risk-category-risk-listing-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .risk-category-risk-listing-body-inner{height:calc(100vh - 17.5rem)}::ng-deep .risk-category-risk-listing-body-inner.with-noData{align-items:center;justify-content:center}::ng-deep .risk-category-risk-listing-body-inner .inner-item-left{width:25%}::ng-deep .risk-category-risk-listing-body-inner .inner-item-right{width:75%}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "ngmodule", type: FormgroupModule }, { kind: "ngmodule", type: TooltipModule }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "ngmodule", type: PaginationModule$1 }, { kind: "component", type: TableCardComponent, selector: "app-table-card", inputs: ["singleSelectedText", "multipleSelectedText", "selectedTab", "tableCard"], outputs: ["setSelectedTab"] }, { kind: "component", type: GrcCategoryListingComponent, selector: "app-grc-category-listing", inputs: ["tableCard", "headerText", "currentPage", "selectedTabIndex", "selectedCatAndRisk", "selectedCategoryIds", "categories", "programData"], outputs: ["activeSelectedCategory", "onCategoryPageChange"] }, { kind: "component", type: GrcRiskListingComponent, selector: "app-grc-risk-listing", inputs: ["tableCard", "activeCategory", "headerText", "currentPage", "perPageLimit", "totalListData", "totalPages", "selectedListData", "selectedListDataIds", "selectedCatAndRisk", "calledFrom", "dataList"], outputs: ["getUpdatedDataList", "changeSelectedCatAndRisk"] }, { kind: "ngmodule", type: ListLoaderModule }, { kind: "component", type: ListLoaderComponent, selector: "app-list-loader" }, { kind: "ngmodule", type: NoDataModule }, { kind: "component", type: NoDataComponentUI, selector: "app-no-data", inputs: ["action", "secondaryAction", "noDataImage", "noDataText", "noDataButton", "secondaryButton", "noDataSecButton", "altText", "smallButton"], outputs: ["buttonAction", "secondaryActionButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskCategoryRiskListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-risk-category-risk-listing', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        FormgroupModule,
                        TooltipModule,
                        FloatingBarModule,
                        PaginationModule$1,
                        TableCardComponent,
                        GrcCategoryListingComponent,
                        GrcRiskListingComponent,
                        ListLoaderModule,
                        NoDataModule,
                    ], inputs: ['selectedTab'], outputs: ['closeUsersList'], template: "<div class=\"risk-category-risk-listing\" [class.animate]=\"animation\">\n    <div class=\"risk-category-risk-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\">\n        <h3 class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select Risks</h3></div>\n    <div class=\"risk-category-risk-listing-body\">\n        <app-table-card class=\"vx-w-100\" [tableCard]=\"tableCard\" [singleSelectedText]=\"'Category Selected'\" [multipleSelectedText]=\"'Categories Selected'\" (setSelectedTab)=\"setSelectedTab($event)\" [selectedTab]=\"1\"></app-table-card>\n        <div class=\"search-block vx-mb-2\">\n          <i class=\"icons\">&#xe90b;</i>\n          <input type=\"text\"  #searchRiskCategory (keyup.enter)=\"handleSearch($event.target.value)\" placeholder=\"Search Risk Categories\" />\n        </div>\n        <div class=\"risk-category-risk-listing-body-inner vx-mb-2 vx-d-flex\" [class.with-noData]=\"(!isCategoryLoader && !categoriesList?.length)\">\n            <ng-container *ngIf=\"isCategoryLoader || categoriesList?.length\">\n                <div class=\"inner-item-left vx-pr-2\">\n                    <app-grc-category-listing *ngIf=\"!isCategoryLoader\" [headerText]=\"'Risk Categories'\" [categories]=\"categoriesList\"  [selectedCatAndRisk]=\"selectedCatAndRisk\" [tableCard]=\"tableCard\" [currentPage]=\"categoryCurrentPage\" [selectedTabIndex]=\"selectedTab\" [selectedCategoryIds]=\"selectedCategoryIds\" (activeSelectedCategory)=\"activeSelectedCategory($event)\" (onCategoryPageChange)=\"onCategoryPageChange($event)\"></app-grc-category-listing>\n                    <app-list-loader *ngIf=\"isCategoryLoader\"></app-list-loader>\n                </div>\n                <div class=\"inner-item-right\">\n                    <app-grc-risk-listing #dataListing *ngIf=\"!isRiskLoader && !isCategoryLoader && risksList?.length\" [headerText]=\"'Risk Name'\" [dataList]=\"risksList\" [activeCategory]=\"activeCategory\" [selectedCatAndRisk]=\"selectedCatAndRisk\" (changeSelectedCatAndRisk)=\"changeSelectedCatAndRisk($event)\" [currentPage]=\"riskCurrentPage\" [perPageLimit]=\"activeCategory?.categoryRiskLimit\" [totalListData]=\"activeCategory?.categoryRiskCount\" [totalPages]=\"getTotalRiskPage()\" (getUpdatedDataList)=\"getUpdatedDataList($event)\" ></app-grc-risk-listing>\n                    <app-list-loader *ngIf=\"isRiskLoader || isCategoryLoader\"></app-list-loader>\n                    <app-no-data *ngIf=\"risksList?.length === 0 && !(isRiskLoader || isCategoryLoader)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n                </div>\n            </ng-container>\n            <app-no-data *ngIf=\"(!isCategoryLoader && !categoriesList?.length)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n        </div>\n        <app-floating-bar  [selectedData]=\"selectedRisks?.length ? selectedRisks : []\"  (closeList)=\"close()\" (closeEvent)=\"save()\"  [displayElementKey]=\"'name'\" [singularText]=\"'Risk selected'\" [pluralText]=\"'Risks selected'\" (deleteEvent)=\"deleteEvent($event)\"></app-floating-bar>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .risk-category-risk-listing{position:fixed;inset:0 30px 0 0}::ng-deep .risk-category-risk-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .risk-category-risk-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .risk-category-risk-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .risk-category-risk-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .risk-category-risk-listing-body .search-block{position:relative}::ng-deep .risk-category-risk-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .risk-category-risk-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .risk-category-risk-listing-body .search-block input::placeholder{color:#747576}::ng-deep .risk-category-risk-listing-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .risk-category-risk-listing-body-inner{height:calc(100vh - 17.5rem)}::ng-deep .risk-category-risk-listing-body-inner.with-noData{align-items:center;justify-content:center}::ng-deep .risk-category-risk-listing-body-inner .inner-item-left{width:25%}::ng-deep .risk-category-risk-listing-body-inner .inner-item-right{width:75%}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: GrcService }]; }, propDecorators: { selectedCatAndRiskData: [{
                type: Input,
                args: ['selectedCatAndRisk']
            }], selectedRC: [{
                type: Input
            }], responsibilityListingComponent: [{
                type: ViewChild,
                args: ['dataListing']
            }] } });

class GetSelectedValuePipe {
    transform(value) {
        value = JSON.parse(JSON.stringify(value));
        let selectedValue = value.choices
            .filter((eachChoice) => eachChoice['is_selected'])
            .map((eachChoice) => {
            eachChoice['item_name'] = eachChoice['title'];
            return eachChoice;
        });
        if (value?.hasOther && value?.is_other_selected) {
            selectedValue.push({
                item_name: value?.otherValue,
                is_selected: true,
            });
        }
        return selectedValue;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetSelectedValuePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: GetSelectedValuePipe, name: "getSelectedValue", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetSelectedValuePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'getSelectedValue',
                    pure: false,
                }]
        }] });

class IsAttributesValidPipe {
    transform(attribute) {
        let isValid = true;
        if (attribute?.isRequired) {
            if (attribute.type === 'single-textbox' ||
                attribute.type === 'date-time') {
                const choice = attribute?.choices[0];
                if (typeof choice.value === 'string' && choice.value.trim() === '') {
                    isValid = false;
                }
            }
            else if (attribute.type === 'checkbox' ||
                attribute.type === 'dropdown') {
                let isChoiceSelected = false;
                if (attribute.hasOther && attribute?.is_other_selected) {
                    isChoiceSelected = true;
                }
                if (!isChoiceSelected) {
                    for (const choice of attribute.choices) {
                        if (choice.is_selected) {
                            isChoiceSelected = true;
                            break;
                        }
                    }
                }
                if (!isChoiceSelected) {
                    isValid = false;
                }
            }
        }
        else {
            //  isValid = true;
        }
        return isValid;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: IsAttributesValidPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: IsAttributesValidPipe, name: "isAttributesValid", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: IsAttributesValidPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'isAttributesValid',
                    pure: false,
                }]
        }] });

class UniqueResponsibilitiesPipe {
    transform(value, ...args) {
        let returnType = args[0];
        if (returnType === 'entireObject') {
            const uniqueObjects = Array.from(new Map(value.map((item) => [item._id, item])).values());
            return uniqueObjects;
        }
        else {
            const uniqueIds = [...new Set(value.map((item) => item._id))];
            return uniqueIds;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UniqueResponsibilitiesPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: UniqueResponsibilitiesPipe, name: "uniqueResponsibilities" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UniqueResponsibilitiesPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'uniqueResponsibilities',
                }]
        }] });

class WorkflowPipesModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPipesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPipesModule, declarations: [GetSelectedValuePipe,
            IsAttributesValidPipe,
            UniqueResponsibilitiesPipe], imports: [CommonModule], exports: [GetSelectedValuePipe,
            IsAttributesValidPipe,
            UniqueResponsibilitiesPipe] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPipesModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPipesModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        GetSelectedValuePipe,
                        IsAttributesValidPipe,
                        UniqueResponsibilitiesPipe,
                    ],
                    imports: [CommonModule],
                    exports: [
                        GetSelectedValuePipe,
                        IsAttributesValidPipe,
                        UniqueResponsibilitiesPipe,
                    ],
                }]
        }] });

class GrcResponsibilityListingComponent {
    set getResponsibilityList(value) {
        this.dataList = value;
    }
    set getSelectedProgramAndResp(value) {
        this.selectedProgramAndResp = value;
        this.getSelectedDataAndIds(value);
    }
    constructor(config) {
        this.profilePic = '';
        this.headerText = 'Name';
        this.selectedListData = [];
        this.selectedListDataIds = [];
        this.perPageLimit = 30;
        this.currentPage = 1;
        this.totalPages = 1;
        this.totalListData = 0;
        this.selectedProgramAndResp = [];
        this.activeProgram = {};
        this.calledFrom = '';
        this.MODE = 'CREATE';
        this.allSelectedResponsibilityIds = [];
        this.getUpdatedDataList = new EventEmitter();
        this.changeSelectedProgramAndResp = new EventEmitter();
        this.env = config?.envConfig;
        this.profilePic = this.env.s3Url + this.env.s3Bucket + this.env.profile;
    }
    ngOnInit() { }
    getSelectedData(responsibility, event) {
        if (event) {
            this.selectedListData.push(responsibility);
            this.selectedListDataIds.push(responsibility?._id);
        }
        else {
            this.deleteEvent(responsibility);
        }
        this.updateOrCreateCategory(this.activeProgram?.programId, this.activeProgram);
    }
    deleteEvent(responsibility) {
        this.selectedListData = this.selectedListData?.filter((selected) => selected?._id !== responsibility?._id);
        this.selectedListDataIds = this.selectedListDataIds?.filter((selectedListDataId) => selectedListDataId !== responsibility?._id);
    }
    selectAll(event) {
        this.dataList?.data?.forEach((data) => {
            if (event) {
                if (!this.selectedListDataIds.includes(data?._id)) {
                    this.selectedListData.push(data);
                    this.selectedListDataIds.push(data?._id);
                }
            }
            else {
                this.deleteEvent(data);
            }
        });
        this.updateOrCreateCategory(this.activeProgram?.programId, this.activeProgram);
    }
    isAllSelected() {
        if (this.selectedListDataIds &&
            this.selectedListDataIds.length >= this.selectedListData?.length &&
            this.selectedListDataIds.length > 0) {
            for (const grc of this.dataList?.data) {
                if (!this.selectedListDataIds.includes(grc?._id)) {
                    return false;
                }
            }
            return true;
        }
        else {
            return false;
        }
    }
    changePage(event) {
        this.currentPage = event;
        this.getUpdatedDataList.emit({
            pageNo: this.currentPage,
        });
    }
    updateOrCreateCategory(programId, program) {
        const programIndex = this.findCheckedProgramIndex(programId);
        if (programIndex !== -1) {
            // Category exists, update risk value
            this.selectedProgramAndResp[programIndex].responsibility =
                this.selectedListData ?? [];
            this.selectedProgramAndResp[programIndex].category =
                this.getSubCategoryIds(this.selectedListData ?? []);
            if (this.selectedListData.length === 0) {
                // Remove category if selectedListData is empty
                this.selectedProgramAndResp.splice(programIndex, 1);
            }
        }
        else if (this.selectedListData?.length > 0) {
            // Category doesn't exist, create new category with subcategory
            this.selectedProgramAndResp.push({
                program: program ?? {},
                category: this.getSubCategoryIds(this.selectedListData ?? []),
                responsibility: this.selectedListData ?? [],
            });
        }
        this.changeSelectedProgramAndResp.emit(this.selectedProgramAndResp);
    }
    getSelectedDataAndIds(selectedData) {
        const programIndex = this.findCheckedProgramIndex(this.activeProgram?.programId);
        this.selectedListData = [];
        this.selectedListDataIds = [];
        if (programIndex !== -1) {
            this.selectedListData = selectedData[programIndex]?.responsibility ?? [];
            this.selectedListData?.forEach((data) => {
                this.selectedListDataIds.push(data?._id);
            });
        }
    }
    findCheckedProgramIndex(categoryId) {
        let programIndex = -1;
        programIndex = this.selectedProgramAndResp.findIndex((cat) => cat?.program?.programId === categoryId);
        return programIndex;
    }
    deleteSelectedResponsibility(responsibility) {
        this.selectedProgramAndResp = this.selectedProgramAndResp?.map((data) => {
            let filteredResponsibility = data?.responsibility?.filter((resp) => resp?._id !== responsibility?._id);
            return {
                ...data,
                responsibility: filteredResponsibility,
                category: [
                    ...(new Set(filteredResponsibility
                        .map((obj) => [obj?.subCategoryId] || [])
                        ?.flat()) || []),
                ],
            };
        });
        this.selectedProgramAndResp = this.selectedProgramAndResp.filter((data) => {
            return data?.responsibility?.length > 0;
        });
        this.changeSelectedProgramAndResp.emit(this.selectedProgramAndResp);
    }
    getSubCategoryIds(selectedResponsibility) {
        let idSet = new Set(selectedResponsibility?.map((responsibility) => responsibility?.subCategoryId ?? []));
        if (this.MODE === 'EDIT') {
            const programIndex = this.findCheckedProgramIndex(this.activeProgram?.programId);
            if (programIndex !== -1) {
                const perviousSelectedIds = this.selectedProgramAndResp[programIndex]?.category ?? [];
                idSet = new Set([...idSet, ...perviousSelectedIds]);
            }
        }
        return [...Array.from(idSet)].filter((item) => Array.isArray(item) ? item.length > 0 : true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcResponsibilityListingComponent, deps: [{ token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: GrcResponsibilityListingComponent, isStandalone: true, selector: "app-grc-responsibility-listing", inputs: { tableCard: "tableCard", activeProgram: "activeProgram", headerText: "headerText", currentPage: "currentPage", perPageLimit: "perPageLimit", totalListData: "totalListData", totalPages: "totalPages", selectedListData: "selectedListData", selectedListDataIds: "selectedListDataIds", MODE: "MODE", allSelectedResponsibilityIds: "allSelectedResponsibilityIds", getResponsibilityList: ["responsibilityData", "getResponsibilityList"], getSelectedProgramAndResp: ["selectedProgramAndResp", "getSelectedProgramAndResp"] }, outputs: { getUpdatedDataList: "getUpdatedDataList", changeSelectedProgramAndResp: "changeSelectedProgramAndResp" }, ngImport: i0, template: "<div class=\"grc-responsibility-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <app-cs-checkbox *ngIf=\"isAllSelected() || selectedListDataIds?.length === 0\"  [ngValue]=\"isAllSelected()\" (ngValueChange)=\"selectAll($event)\"></app-cs-checkbox>\n        <app-cs-checkbox-indeterminate *ngIf=\"!isAllSelected() && selectedListDataIds?.length\" [ngValue]=\"true\" (ngValueChange)=\"selectAll(false)\"></app-cs-checkbox-indeterminate>\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">{{headerText}}</div>\n    </div>\n    <div class=\"grc-responsibility-listing-inner\">\n        <div class=\"grc-responsibility-table-body\" [class.with-pagination]=\"dataList?.total_pages > 1\">\n            <div class=\"grc-responsibility-table-row\" *ngFor=\"let list of dataList?.data; let i = index\" [class.active]=\"allSelectedResponsibilityIds?.includes(list?._id)\">\n                <div class=\"grc-responsibility-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"(perPageLimit * (currentPage - 1)) + i + 1\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{(perPageLimit * (currentPage - 1)) + i + 1}}</div>\n                    <app-cs-checkbox [ngValue]=\"allSelectedResponsibilityIds?.includes(list?._id)\" (ngValueChange)=\"getSelectedData(list,$event)\"></app-cs-checkbox>\n                </div>\n                <div class=\"grc-responsibility-table-column vx-pr-1 vx-d-flex vx-align-center responsibility-name\">\n                    <div class=\"vx-avatar-group vx-mr-1\">\n                        <div class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedBy?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedBy?.profilePic === ''\" class=\"blue\">{{list.entrustedBy?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedBy?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedBy?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"list?.entrustedTo?.EntrustedToMembers?.length === 0\" class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedTo?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedTo?.profilePic === ''\" class=\"blue\">{{list?.entrustedTo?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedTo?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedTo?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"list?.entrustedTo?.EntrustedToMembers?.length\" class=\"vx-avatar md counter\" appPopover (click)=\"multiUser.popover()\" placement=\"left\">\n                            <span class=\"green\">+{{list?.entrustedTo?.EntrustedToMembers?.length}}</span>\n                        </div>\n                        <app-popover #multiUser>\n                            <div class=\"wf-action-list\">\n                                <ul class=\"action-item\">\n                                    <li *ngFor=\"let user of list?.entrustedTo?.EntrustedToMembers\">\n                                        <div class=\"avatar-card\">\n                                            <div *ngIf=\"user?.profile_pic === ''\" class=\"avatar\">{{user?.member_short_name}}</div>\n                                            <div *ngIf=\"user?.profile_pic !== ''\" class=\"avatar\"><img src=\"{{profilePic + user?.profile_pic}}\" alt=\"\"></div>\n                                            <span class=\"value\" [appTooltip]=\"user.member_name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{user?.member_name}}</span>\n                                        </div>\n                                    </li>\n                                </ul>\n                            </div>\n                        </app-popover>\n                    </div>\n                    <!-- <i class=\"icons star vx-fs-10 vx-mr-1\" [class.active]=\"true\">&#xea70;</i> -->\n                    <div class=\"name-inner\">\n                        <div class=\"vx-d-flex vx-align-center\">\n                            <div class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">{{list?.controlId}}</div>\n                            <div class=\"name vx-fs-13 vx-label-txt\" [appTooltip]=\"list?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{list?.name}}</div>\n                        </div>\n                        <div class=\"vx-d-flex vx-align-center\" *ngIf=\"list?.withinData?.length\">\n                            <div class=\"vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">RESPONSIBILITY CENTER:</div>\n                            <div class=\"within-part vx-d-flex vx-align-center vx-pr-3\">\n                                <div class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">Within</div>\n                                <div class=\"within-value vx-fs-11 vx-paragraph-txt\" ><span *ngFor=\"let parent of list?.withinData; let last = last\" [appTooltip]=\"parent?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{parent?.name}} \n                                    <span *ngIf=\"!last\"> <\n                                    </span>\n                                </span></div>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n        <app-pagination *ngIf=\"dataList?.total_pages > 1\" [start]=\"dataList?.items_from\" [end]=\"dataList?.items_to\" [total]=\"dataList?.total_items\" [pageCount]=\"dataList?.total_pages\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-responsibility-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-responsibility-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row:hover .grc-responsibility-table-column.serial app-cs-checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row.active .grc-responsibility-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column{min-height:3.25rem;position:relative;width:100%}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:3.25rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:1.125rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star{color:#f1f1f1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star.active{color:#f4c84a}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner{width:calc(100% - 5rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 6rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .within-part{width:calc(100% - 8rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}.cursor-pointer{cursor:pointer}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "ngmodule", type: FormgroupModule }, { kind: "component", type: CsCheckboxComponentUI, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "component", type: CsCheckboxIndeterminateComponentUI, selector: "app-cs-checkbox-indeterminate", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "ngmodule", type: PaginationModule$1 }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "ngmodule", type: WorkflowPipesModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcResponsibilityListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-grc-responsibility-listing', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        FormgroupModule,
                        TooltipModule,
                        FloatingBarModule,
                        PaginationModule$1,
                        WorkflowPipesModule,
                    ], inputs: [
                        'tableCard',
                        'activeProgram',
                        'headerText',
                        'currentPage',
                        'perPageLimit',
                        'totalListData',
                        'totalPages',
                        'selectedListData',
                        'selectedListDataIds',
                        'MODE',
                        'allSelectedResponsibilityIds',
                    ], template: "<div class=\"grc-responsibility-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <app-cs-checkbox *ngIf=\"isAllSelected() || selectedListDataIds?.length === 0\"  [ngValue]=\"isAllSelected()\" (ngValueChange)=\"selectAll($event)\"></app-cs-checkbox>\n        <app-cs-checkbox-indeterminate *ngIf=\"!isAllSelected() && selectedListDataIds?.length\" [ngValue]=\"true\" (ngValueChange)=\"selectAll(false)\"></app-cs-checkbox-indeterminate>\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">{{headerText}}</div>\n    </div>\n    <div class=\"grc-responsibility-listing-inner\">\n        <div class=\"grc-responsibility-table-body\" [class.with-pagination]=\"dataList?.total_pages > 1\">\n            <div class=\"grc-responsibility-table-row\" *ngFor=\"let list of dataList?.data; let i = index\" [class.active]=\"allSelectedResponsibilityIds?.includes(list?._id)\">\n                <div class=\"grc-responsibility-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"(perPageLimit * (currentPage - 1)) + i + 1\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{(perPageLimit * (currentPage - 1)) + i + 1}}</div>\n                    <app-cs-checkbox [ngValue]=\"allSelectedResponsibilityIds?.includes(list?._id)\" (ngValueChange)=\"getSelectedData(list,$event)\"></app-cs-checkbox>\n                </div>\n                <div class=\"grc-responsibility-table-column vx-pr-1 vx-d-flex vx-align-center responsibility-name\">\n                    <div class=\"vx-avatar-group vx-mr-1\">\n                        <div class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedBy?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedBy?.profilePic === ''\" class=\"blue\">{{list.entrustedBy?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedBy?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedBy?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"list?.entrustedTo?.EntrustedToMembers?.length === 0\" class=\"vx-avatar md\" [appTooltip]=\"list?.entrustedTo?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                            <span *ngIf=\"list?.entrustedTo?.profilePic === ''\" class=\"blue\">{{list?.entrustedTo?.shortName}}</span>\n                            <img *ngIf=\"list?.entrustedTo?.profilePic !== ''\" src=\"{{profilePic + list?.entrustedTo?.profilePic}}\" alt=\"\">\n                        </div>\n                        <div *ngIf=\"list?.entrustedTo?.EntrustedToMembers?.length\" class=\"vx-avatar md counter\" appPopover (click)=\"multiUser.popover()\" placement=\"left\">\n                            <span class=\"green\">+{{list?.entrustedTo?.EntrustedToMembers?.length}}</span>\n                        </div>\n                        <app-popover #multiUser>\n                            <div class=\"wf-action-list\">\n                                <ul class=\"action-item\">\n                                    <li *ngFor=\"let user of list?.entrustedTo?.EntrustedToMembers\">\n                                        <div class=\"avatar-card\">\n                                            <div *ngIf=\"user?.profile_pic === ''\" class=\"avatar\">{{user?.member_short_name}}</div>\n                                            <div *ngIf=\"user?.profile_pic !== ''\" class=\"avatar\"><img src=\"{{profilePic + user?.profile_pic}}\" alt=\"\"></div>\n                                            <span class=\"value\" [appTooltip]=\"user.member_name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{user?.member_name}}</span>\n                                        </div>\n                                    </li>\n                                </ul>\n                            </div>\n                        </app-popover>\n                    </div>\n                    <!-- <i class=\"icons star vx-fs-10 vx-mr-1\" [class.active]=\"true\">&#xea70;</i> -->\n                    <div class=\"name-inner\">\n                        <div class=\"vx-d-flex vx-align-center\">\n                            <div class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">{{list?.controlId}}</div>\n                            <div class=\"name vx-fs-13 vx-label-txt\" [appTooltip]=\"list?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{list?.name}}</div>\n                        </div>\n                        <div class=\"vx-d-flex vx-align-center\" *ngIf=\"list?.withinData?.length\">\n                            <div class=\"vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">RESPONSIBILITY CENTER:</div>\n                            <div class=\"within-part vx-d-flex vx-align-center vx-pr-3\">\n                                <div class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">Within</div>\n                                <div class=\"within-value vx-fs-11 vx-paragraph-txt\" ><span *ngFor=\"let parent of list?.withinData; let last = last\" [appTooltip]=\"parent?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{parent?.name}} \n                                    <span *ngIf=\"!last\"> <\n                                    </span>\n                                </span></div>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n        <app-pagination *ngIf=\"dataList?.total_pages > 1\" [start]=\"dataList?.items_from\" [end]=\"dataList?.items_to\" [total]=\"dataList?.total_items\" [pageCount]=\"dataList?.total_pages\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-responsibility-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-responsibility-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-responsibility-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row:hover .grc-responsibility-table-column.serial app-cs-checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row.active .grc-responsibility-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column{min-height:3.25rem;position:relative;width:100%}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:3.25rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:1.125rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star{color:#f1f1f1}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .star.active{color:#f4c84a}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner{width:calc(100% - 5rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 6rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body .grc-responsibility-table-row .grc-responsibility-table-column.responsibility-name .name-inner .within-part{width:calc(100% - 8rem)}::ng-deep .grc-responsibility-listing-inner .grc-responsibility-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-responsibility-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}.cursor-pointer{cursor:pointer}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: Configurations, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { getResponsibilityList: [{
                type: Input,
                args: ['responsibilityData']
            }], getSelectedProgramAndResp: [{
                type: Input,
                args: ['selectedProgramAndResp']
            }], getUpdatedDataList: [{
                type: Output
            }], changeSelectedProgramAndResp: [{
                type: Output
            }] } });

class GrcSubCategoryListingComponent {
    set getActiveProgramSelectedCategoryIds(value) {
        this.selectedCategoryIds = value;
    }
    set categoryList(value) {
        this.categories = value;
        this.activeCategoryId = this.categories?.data[0]?.category_id;
        this.selectedCategory = this.categories?.data[0];
        // this.setPaginationData();
    }
    set getSelectedProgramAndResp(value) {
        this.getSelectedCategoryIds(value);
    }
    constructor() {
        this.activeCategoryId = '';
        this.currentPage = 1;
        this.nameDisplayKey = 'name';
        this.selectedCategoryIds = [];
        this.selectedProgramAndResp = [];
        this.activeSelectedCategory = new EventEmitter();
        this.onCategoryPageChange = new EventEmitter();
    }
    ngOnInit() { }
    onCategoryClick(category) {
        this.selectedCategory = category;
        this.activeSelectedCategory.emit({
            category: this.selectedCategory,
        });
        this.activeCategoryId = category?.category_id;
    }
    changePage(event) {
        this.currentPage = event;
        this.onCategoryPageChange.emit({
            pageNo: this.currentPage,
        });
    }
    getSelectedCategoryIds(selectedData) {
        this.selectedCategoryIds = [];
        let programIndex = -1;
        programIndex = selectedData.findIndex((cat) => cat?.program?.programId === this.activeProgram?.programId);
        if (programIndex !== -1) {
            this.selectedCategoryIds = selectedData[programIndex]?.category;
        }
        else {
            this.selectedCategoryIds = [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcSubCategoryListingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: GrcSubCategoryListingComponent, isStandalone: true, selector: "app-grc-sub-category-listing", inputs: { currentPage: "currentPage", nameDisplayKey: "nameDisplayKey", activeProgram: "activeProgram", getActiveProgramSelectedCategoryIds: ["selectedCategoryIds", "getActiveProgramSelectedCategoryIds"], categoryList: ["categories", "categoryList"], getSelectedProgramAndResp: ["selectedProgramAndResp", "getSelectedProgramAndResp"] }, outputs: { activeSelectedCategory: "activeSelectedCategory", onCategoryPageChange: "onCategoryPageChange" }, ngImport: i0, template: "<div class=\"grc-sub-category-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">PROGRAM CATEGORIES</div>\n    </div>\n    <div class=\"grc-sub-category-listing-inner\">\n        <div class=\"sub-category-table-body\" [class.with-pagination]=\"categories?.total_pages > 1\">\n            <div class=\"sub-category-table-row\" [class.select]=\"activeCategoryId === category?.category_id\" [class.active]=\"false\" *ngFor=\"let category of categories?.data; let i = index\" (click)=\"onCategoryClick(category)\">\n                <div class=\"sub-category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"categories?.items_from + i\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{categories?.items_from + i}}</div>\n                </div>\n                <div class=\"sub-category-table-column vx-pr-1 vx-d-flex vx-align-center category-name\">\n                    <div class=\"vx-d-block vx-w-100\">\n                        <div class=\"value vx-fs-12 vx-label-txt\" [appTooltip]=\"category[nameDisplayKey]\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{category[nameDisplayKey]}}</div>\n                        <div class=\"within-part vx-d-flex vx-align-center vx-pr-3\">\n                            <div class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">Within</div>\n                            <div class=\"within-value vx-fs-11 vx-paragraph-txt\" [appTooltip]=\"category?.category_name?.slice()?.reverse()?.join(' < ')\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\"><span *ngFor=\"let parent of category?.category_name?.slice()?.reverse(); let last = last\">{{parent}} \n                                <span *ngIf=\"!last\"> <\n                                </span>\n                            </span></div>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"sub-category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\">\n                    <i *ngIf=\"selectedCategoryIds?.includes(category?.category_id) || selectedCategoryIds?.includes(category?._id)\" class=\"icons grc-tick vx-fs-14\">&#xe93d;</i>\n                    <button class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe970;</i></button>\n                </div>\n            </div>\n        </div>\n\n        <app-pagination *ngIf=\"categories?.total_pages > 1\" [start]=\"categories?.items_from\" [end]=\"categories?.items_to\" [total]=\"categories?.total_items\" [pageCount]=\"categories?.total_pages\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-sub-category-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox,::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-sub-category-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row:hover .sub-category-table-column.serial app-cs-checkbox,::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.active .sub-category-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select{background:#161b2f}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.serial .sr-no{background:#ffffff30;color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.category-name .value{color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.category-name .within-part .within-value{color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.action button.arrow-btn{color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select.active .sub-category-table-column.serial .sr-no{background:transparent}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column{min-height:3rem;position:relative;width:100%}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:3rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:1rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.category-name{width:calc(100% - 3.5rem);min-width:calc(100% - 3.5rem)}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.action{width:1.5rem;max-width:1.5rem;justify-content:center;position:relative}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.action button.arrow-btn{background:transparent;border-radius:0;border:none;width:100%;height:100%}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.action .grc-tick{color:#34aa44;position:absolute;top:17px;left:-16px}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "ngmodule", type: FormgroupModule }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "ngmodule", type: PaginationModule$1 }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcSubCategoryListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-grc-sub-category-listing', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        FormgroupModule,
                        TooltipModule,
                        FloatingBarModule,
                        PaginationModule$1,
                    ], inputs: ['currentPage', 'nameDisplayKey', 'activeProgram'], template: "<div class=\"grc-sub-category-listing\">\n    <div class=\"top-heading vx-pl-2 vx-mb-2 vx-d-flex vx-align-center\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-lh-4\">PROGRAM CATEGORIES</div>\n    </div>\n    <div class=\"grc-sub-category-listing-inner\">\n        <div class=\"sub-category-table-body\" [class.with-pagination]=\"categories?.total_pages > 1\">\n            <div class=\"sub-category-table-row\" [class.select]=\"activeCategoryId === category?.category_id\" [class.active]=\"false\" *ngFor=\"let category of categories?.data; let i = index\" (click)=\"onCategoryClick(category)\">\n                <div class=\"sub-category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"categories?.items_from + i\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{categories?.items_from + i}}</div>\n                </div>\n                <div class=\"sub-category-table-column vx-pr-1 vx-d-flex vx-align-center category-name\">\n                    <div class=\"vx-d-block vx-w-100\">\n                        <div class=\"value vx-fs-12 vx-label-txt\" [appTooltip]=\"category[nameDisplayKey]\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{category[nameDisplayKey]}}</div>\n                        <div class=\"within-part vx-d-flex vx-align-center vx-pr-3\">\n                            <div class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">Within</div>\n                            <div class=\"within-value vx-fs-11 vx-paragraph-txt\" [appTooltip]=\"category?.category_name?.slice()?.reverse()?.join(' < ')\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\"><span *ngFor=\"let parent of category?.category_name?.slice()?.reverse(); let last = last\">{{parent}} \n                                <span *ngIf=\"!last\"> <\n                                </span>\n                            </span></div>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"sub-category-table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\">\n                    <i *ngIf=\"selectedCategoryIds?.includes(category?.category_id) || selectedCategoryIds?.includes(category?._id)\" class=\"icons grc-tick vx-fs-14\">&#xe93d;</i>\n                    <button class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe970;</i></button>\n                </div>\n            </div>\n        </div>\n\n        <app-pagination *ngIf=\"categories?.total_pages > 1\" [start]=\"categories?.items_from\" [end]=\"categories?.items_to\" [total]=\"categories?.total_items\" [pageCount]=\"categories?.total_pages\" [currentPage]=\"currentPage\" (selectedPage)=\"changePage($event)\"></app-pagination>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .grc-sub-category-listing .top-heading{border-left:1px solid transparent}::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox,::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox-indeterminate{width:1rem;height:1rem;position:relative}::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox .checkbox-item,::ng-deep .grc-sub-category-listing .top-heading app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0;width:1rem;height:1rem}::ng-deep .grc-sub-category-listing-inner{border-radius:.25rem;border:1px solid #f1f1f1;height:calc(100vh - 19rem);overflow:hidden}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body{overflow:hidden;overflow-y:auto;height:calc(100vh - 19rem)}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row{border-bottom:1px solid #f1f1f1;display:flex;justify-content:space-between;position:relative}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row:hover .sub-category-table-column.serial app-cs-checkbox,::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.active .sub-category-table-column.serial app-cs-checkbox{opacity:1}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select{background:#161b2f}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.serial .sr-no{background:#ffffff30;color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.category-name .value{color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.category-name .within-part .within-value{color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select .sub-category-table-column.action button.arrow-btn{color:#fff}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row.select.active .sub-category-table-column.serial .sr-no{background:transparent}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column{min-height:3rem;position:relative;width:100%}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:3rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:1rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox .checkbox-item{position:absolute!important}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.category-name{width:calc(100% - 3.5rem);min-width:calc(100% - 3.5rem)}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.action{width:1.5rem;max-width:1.5rem;justify-content:center;position:relative}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.action button.arrow-btn{background:transparent;border-radius:0;border:none;width:100%;height:100%}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body .sub-category-table-row .sub-category-table-column.action .grc-tick{color:#34aa44;position:absolute;top:17px;left:-16px}::ng-deep .grc-sub-category-listing-inner .sub-category-table-body.with-pagination{height:calc(100vh - 21.5rem)}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds{background:#fff;border-radius:0;box-shadow:0 -10px 20px #1e5dd31a;padding:.5rem;justify-content:unset}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds .right{order:1}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds .right .goto-page{display:none!important}::ng-deep .grc-sub-category-listing-inner app-pagination .wk-pagination-sec-ds .left{order:2;font-size:11px!important;color:#747576!important;text-transform:capitalize!important;margin-left:.75rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { getActiveProgramSelectedCategoryIds: [{
                type: Input,
                args: ['selectedCategoryIds']
            }], categoryList: [{
                type: Input,
                args: ['categories']
            }], getSelectedProgramAndResp: [{
                type: Input,
                args: ['selectedProgramAndResp']
            }], activeSelectedCategory: [{
                type: Output
            }], onCategoryPageChange: [{
                type: Output
            }] } });

const RESPONSIBILITY_TABLE_CARD = [
    {
        title: 'REGULATIONS',
        count: 0,
        selectedCount: 0,
        key: 'REGULATIONS',
        type: 1,
    },
    { title: 'STANDARDS', count: 0, selectedCount: 0, key: 'STANDARDS', type: 2 },
    {
        title: 'INTERNAL CONTROLS',
        count: 0,
        selectedCount: 0,
        key: 'INTERNAL_CONTROLS',
        type: 3,
    },
    { title: 'OTHERS', count: 0, selectedCount: 0, key: 'OTHERS', type: 0 },
];

class ProgramResponsibilityListingComponent {
    set getSelectedProgramAndResp(data) {
        this.selectedProgramAndResp = data || [];
        this.preSelectedProgramAndResp = JSON.parse(JSON.stringify(data));
        this.getSelectedProgramIds(this.selectedProgramAndResp);
        this.getAllSelectedResponsibilities(this.selectedProgramAndResp);
    }
    constructor(grcService) {
        this.grcService = grcService;
        this.programTypes = RESPONSIBILITY_TABLE_CARD;
        this.CDN_LINK = LINKS;
        this.selectedTab = 1;
        this.animation = false;
        this.programLoader = false;
        this.programCountLoader = false;
        this.responsibilityLoader = false;
        this.categoryLoader = false;
        this.selectedProgramAndResp = [];
        this.preSelectedProgramAndResp = [];
        this.searchString = '';
        this.programCurrentPage = 1;
        this.categoryCurrentPage = 1;
        this.responsibilityCurrentPage = 1;
        this.responsibilityData = {
            data: [],
        };
        this.selectedProgramIds = [];
        this.selectedCategoryIds = [];
        this.selectedResponsibilities = [];
        this.selectedRCIds = [];
        this.selectedRC = [];
        this.MODE = 'CREATE';
        this.closeList = new EventEmitter();
        this.currentBusinessCycle = this.grcService?.getBusinessCycle();
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.getProgramsList();
        this.getProgramsCount();
    }
    close() {
        this.closeList.emit(this.preSelectedProgramAndResp);
    }
    save() {
        this.closeList.emit(this.selectedProgramAndResp);
    }
    getProgramsList(event) {
        if (this.programCall) {
            this.programCall.unsubscribe();
        }
        this.programLoader = true;
        const request = {
            headers: {
                type: '',
                paginationType: 'small',
                a: '',
                searchText: this.searchString,
                filterData: {
                    appList: [],
                    riskIds: [],
                    reviewerId: [],
                    responsibilityCenter: this.getSelectedRCIds(this.selectedRC) ?? [],
                    entrustedBy: [],
                    entrustedTo: [],
                    responsibilityCategory: [],
                },
                pageNo: this.programCurrentPage || 1,
                sortObj: { sortBy: '', type: -1 },
                pageName: 'category',
                typeArr: [this.selectedTab],
                start_date: this.currentBusinessCycle?.start_date,
                end_date: this.currentBusinessCycle?.end_date,
                selected_cycle_arr: this.currentBusinessCycle?.selected_cycle_arr,
                selected_cycle: this.currentBusinessCycle?.selected_cycle,
                time_filter_type: '',
                state: [2, 3],
            },
        };
        this.programCall = this.grcService.getProgramsList(request).subscribe({
            next: (res) => {
                this.programLoader = false;
                // this.programData.data = res.data ?? [];
                this.programData = { ...res };
                this.onSelectedProgramChange();
                this.getCategoryByProgramId(res?.data[0]);
            },
            error: (err) => {
                this.programLoader = false;
            },
        });
    }
    onProgramPageChange(event) {
        this.programCurrentPage = event?.pageNo || 1;
        this.getProgramsList();
    }
    onSubCategoryPageChange(event) {
        this.categoryCurrentPage = event?.pageNo || 1;
        this.getCategoryByProgramId(this.selectedProgram);
    }
    deleteEvent(event) {
        this.responsibilityListingComponent.deleteSelectedResponsibility(event);
    }
    setSelectedTab(event) {
        this.programCurrentPage = 1;
        this.selectedTab = event?.type;
        this.getProgramsList();
    }
    handleSearch(event) {
        if (this.searchString != event) {
            this.programCurrentPage = 1;
            this.searchString = event;
            this.onSelectedProgramChange();
            this.getProgramsList();
            this.getProgramsCount();
        }
    }
    getProgramsCount(paramsObject) {
        this.programCountLoader = true;
        const request = {
            headers: {
                type: '',
                paginationType: 'small',
                a: '',
                searchText: this.searchString,
                filterData: {
                    appList: [],
                    riskIds: [],
                    reviewerId: [],
                    responsibilityCenter: this.getSelectedRCIds(this.selectedRC) ?? [],
                    entrustedBy: [],
                    entrustedTo: [],
                    responsibilityCategory: [],
                },
                pageNo: 1,
                sortObj: { sortBy: '', type: '' },
                pageName: 'category',
                typeArr: [1, 2, 3, 0],
                start_date: this.currentBusinessCycle?.start_date,
                end_date: this.currentBusinessCycle?.end_date,
                selected_cycle_arr: this.currentBusinessCycle?.selected_cycle_arr,
                selected_cycle: this.currentBusinessCycle?.selected_cycle,
                time_filter_type: '',
                state: [2, 3],
            },
        };
        this.grcService.getProgramsListCount(request).subscribe({
            next: (res) => {
                this.programCountLoader = false;
                this.programTypes[0].count =
                    res?.regulationCount?.active + res?.regulationCount?.completed;
                this.programTypes[1].count =
                    res?.standardCount?.active + res?.standardCount?.completed;
                this.programTypes[2].count =
                    res?.internalCount?.active + res?.internalCount?.completed;
                this.programTypes[3].count =
                    res?.otherCount?.active + res?.otherCount?.completed;
                // }
            },
        });
    }
    getCategoryByProgramId(program) {
        if (this.categoryCall) {
            this.categoryCall.unsubscribe();
        }
        this.selectedProgram = program;
        this.categoryLoader = true;
        // this.resetControlVariable();
        const headers = {
            id: program?._id,
            scopeType: 'risk',
            paginationType: 'small',
            searchText: this.searchString,
            filterData: {
                appList: [],
                riskIds: [],
                reviewerId: [],
                responsibilityCenter: this.getSelectedRCIds(this.selectedRC) ?? [],
                entrustedBy: [],
                entrustedTo: [],
                responsibilityCategory: [],
            },
            page: this.categoryCurrentPage || 1,
            // sortingCount: this.categorySortValue,
            name: 'name',
            businessCycle: {
                start_date: this.currentBusinessCycle?.start_date,
                end_date: this.currentBusinessCycle?.end_date,
                selected_cycle_arr: this.currentBusinessCycle?.selected_cycle_arr,
                selected_cycle: this.currentBusinessCycle?.selected_cycle,
                time_filter_type: '',
                // "scopeType": 'risk',
                type: 'risk',
                callFrom: 'grc',
                filterData: {
                    appList: [],
                    riskIds: [],
                    reviewerId: [],
                    responsibilityCenter: this.getSelectedRCIds(this.selectedRC) ?? [],
                    entrustedBy: [],
                    entrustedTo: [],
                    responsibilityCategory: [],
                },
            },
        };
        this.categoryCall = this.grcService.getSubCategoryList(headers).subscribe({
            next: (res) => {
                this.categoryLoader = false;
                this.categoryData = { ...res };
                this.selectedCategory = res?.data[0];
                this.responsibilityCurrentPage = 1;
                this.getResponsibilitiesList();
            },
            error: (err) => {
                console.error(err);
                this.categoryLoader = false;
            },
        });
    }
    activeSelectedProgram(event) {
        this.selectedProgram = event?.category;
        this.onSelectedProgramChange();
        this.getCategoryByProgramId(this.selectedProgram);
        // this.getSelectedCategoryIds(this.selectedProgramAndResp);
    }
    activeSelectedSubCategory(event) {
        this.selectedCategory = event?.category;
        this.getResponsibilitiesList();
    }
    getResponsibilitiesList(event) {
        if (this.responsibilityCall) {
            this.responsibilityCall.unsubscribe();
        }
        // this.respCount = event.sortValue;
        this.responsibilityLoader = true;
        let params = new HttpParams();
        params = params.append('isBusinessCycle', 'true');
        params = params.append('parentId', this.selectedProgram?.category_id);
        params = params.append('catId', this.selectedCategory?.category_id);
        params = params.append('pageNo', this.responsibilityCurrentPage ?? 1);
        // if ([1, -1].includes(this.controlSortValue)) {
        //   params = params.append('sortValue', this.controlSortValue);
        //   params = params.append('sortBy', 'Data.ReportName');
        // }
        params = params.append('paginationType', 'small');
        params = params.append('pageType', 'risk');
        params = params.append('callFrom', 'grc');
        let businessCycle = {
            start_date: this.currentBusinessCycle?.start_date,
            end_date: this.currentBusinessCycle?.end_date,
            selected_cycle_arr: this.currentBusinessCycle?.selected_cycle_arr,
            selected_cycle: this.currentBusinessCycle?.selected_cycle,
            time_filter_type: '',
            pageType: 'risk',
            callFrom: 'grc',
            filterData: {
                appList: [],
                riskIds: [],
                reviewerId: [],
                responsibilityCenter: this.getSelectedRCIds(this.selectedRC) ?? [],
                entrustedBy: [],
                entrustedTo: [],
                responsibilityCategory: [],
            },
        };
        this.responsibilityCall = this.grcService
            .getResponsibilityByCategoryId(params, businessCycle)
            .subscribe({
            next: (res) => {
                this.categoryLoader = false;
                this.responsibilityData = res;
                this.responsibilityData['data'] = this.setDataListStructure(res?.data);
                this.responsibilityLoader = false;
            },
            error: (err) => {
                this.responsibilityLoader = false;
            },
        });
    }
    getUpdatedDataList(event) {
        this.responsibilityCurrentPage = event?.pageNo;
        this.getResponsibilitiesList();
    }
    setDataListStructure(res) {
        const data = res?.map((responsibility) => {
            return {
                ...responsibility,
                name: responsibility?.ReportName,
                controlId: responsibility?.ControlId,
                _id: responsibility?.EncryptedReportId,
                entrustedBy: {
                    name: responsibility?.AssignBy,
                    email: responsibility?.AssignByEmail,
                    profilePic: responsibility?.member_pic ?? '',
                    shortName: responsibility?.member_short_name,
                },
                entrustedTo: {
                    name: responsibility?.AssignTo,
                    email: responsibility?.AssignTo,
                    profilePic: responsibility?.employee_pic ?? '',
                    shortName: responsibility?.employee_short_name,
                    EntrustedToMembers: responsibility?.EntrustedToMembers,
                },
                withinData: responsibility?.RC_details_array?.map((within) => {
                    return {
                        name: within?.rc_name,
                    };
                }),
                subCategoryId: this.selectedCategory?.category_id,
            };
        });
        return data;
    }
    onSelectedProgramChange() {
        this.categoryCurrentPage = 1;
        this.responsibilityCurrentPage = 1;
    }
    changeSelectedProgramAndResp(event) {
        this.selectedProgramAndResp = event;
        this.getSelectedProgramIds(this.selectedProgramAndResp);
        this.getAllSelectedResponsibilities(this.selectedProgramAndResp);
        this.getSelectedCategoryIds(this.selectedProgramAndResp);
    }
    getSelectedProgramIds(selectedData) {
        this.selectedProgramIds = [];
        selectedData?.forEach((selected) => {
            this.selectedProgramIds.push(selected?.program?.programId);
        });
    }
    getSelectedCategoryIds(selectedData) {
        this.selectedCategoryIds = [];
        let programIndex = -1;
        programIndex = selectedData.findIndex((cat) => cat?.program?.programId === this.selectedProgram?.programId);
        if (programIndex !== -1) {
            this.selectedCategoryIds = selectedData[programIndex]?.category;
        }
        else {
            this.selectedCategoryIds = [];
        }
    }
    getAllSelectedResponsibilities(selectedData) {
        this.selectedResponsibilities = [];
        selectedData.forEach((item) => {
            this.selectedResponsibilities.push(...item?.responsibility);
        });
    }
    getSelectedRCIds(selectedRC) {
        let selectedRCIds = [];
        selectedRCIds = selectedRC?.map((rc) => rc?.rc_id);
        return selectedRCIds;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ProgramResponsibilityListingComponent, deps: [{ token: GrcService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ProgramResponsibilityListingComponent, isStandalone: true, selector: "app-program-responsibility-listing", inputs: { getSelectedProgramAndResp: ["selectedProgramAndResp", "getSelectedProgramAndResp"], selectedRC: "selectedRC", MODE: "MODE" }, outputs: { closeList: "closeList" }, viewQueries: [{ propertyName: "responsibilityListingComponent", first: true, predicate: ["dataListing"], descendants: true }], ngImport: i0, template: "<div class=\"program-responsibility-listing\" [class.animate]=\"animation\">\n    <div class=\"program-responsibility-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\">\n        <h3 class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select Responsibilities</h3></div>\n    <div class=\"program-responsibility-listing-body\">\n        <app-table-card-loader *ngIf=\"programCountLoader\"></app-table-card-loader>\n        <app-table-card\n            *ngIf=\"!programCountLoader\"\n            class=\"vx-w-100\"\n            [tableCard]=\"programTypes\"\n            [singleSelectedText]=\"'Responsibility Selected'\"\n            [selectedTab]=\"selectedTab\"\n            [multipleSelectedText]=\"'Responsibilities Selected'\"\n            (setSelectedTab)=\"setSelectedTab($event)\">\n        </app-table-card>\n        <div class=\"search-block vx-mb-2\">\n          <i class=\"icons\">&#xe90b;</i>\n          <input type=\"text\"  #searchRiskCategory (keyup.enter)=\"handleSearch($event.target.value)\" placeholder=\"Search Programs\" />\n        </div>\n        <div class=\"program-responsibility-listing-body-inner vx-mb-2 vx-d-flex\" [class.vx-justify-center]=\"(!programLoader && !programData?.data?.length)\">\n            <ng-container *ngIf=\"(programLoader || programData?.data?.length)\">\n                <div class=\"inner-item-left vx-pr-2\">\n\n                    <app-grc-category-listing *ngIf=\"!programLoader\" [headerText]=\"'Programs'\" [programData]=\"programData\"  [selectedCatAndRisk]=\"selectedCatAndRisk\" [nameDisplayKey]=\"'item_name'\" [currentPage]=\"programCurrentPage\" [selectedTabIndex]=\"selectedTab\" [selectedCategoryIds]=\"selectedProgramIds\" (activeSelectedCategory)=\"activeSelectedProgram($event)\" (onCategoryPageChange)=\"onProgramPageChange($event)\"></app-grc-category-listing>\n                        \n                    <app-list-loader *ngIf=\"programLoader\"></app-list-loader>\n\n                </div>\n\n                <div class=\"inner-item-mid vx-pr-2\">\n                    <app-grc-sub-category-listing *ngIf=\"!categoryLoader && !programLoader\"  [headerText]=\"'Programs'\" [categories]=\"categoryData\"  [nameDisplayKey]=\"'item_name'\"  [currentPage]=\"categoryCurrentPage\" [selectedCategoryIds]=\"selectedCategoryIds\" [activeProgram]=\"selectedProgram\" [selectedProgramAndResp]=\"selectedProgramAndResp\" (activeSelectedCategory)=\"activeSelectedSubCategory($event)\" (onCategoryPageChange)=\"onSubCategoryPageChange($event)\"></app-grc-sub-category-listing>\n                    <app-list-loader *ngIf=\"categoryLoader || programLoader\"></app-list-loader>\n                </div>\n\n                <div class=\"inner-item-right\">\n                    <!-- <app-grc-responsibility-listing></app-grc-responsibility-listing> -->\n\n                    <app-grc-responsibility-listing #dataListing *ngIf=\"!responsibilityLoader && !categoryLoader && !programLoader && responsibilityData?.data?.length !== 0\" [headerText]=\"'Responsibilities'\" [MODE]=\"MODE\" [responsibilityData]=\"responsibilityData\" [activeProgram]=\"selectedProgram\" [activeCategory]=\"selectedCategory\" [selectedProgramAndResp]=\"selectedProgramAndResp\" [allSelectedResponsibilityIds]=\"selectedResponsibilities | uniqueResponsibilities\" (changeSelectedProgramAndResp)=\"changeSelectedProgramAndResp($event)\" [currentPage]=\"responsibilityCurrentPage\" [perPageLimit]=\"30\" [totalListData]=\"responsibilityData?.total_items\" [totalPages]=\"responsibilityData?.total_pages\" (getUpdatedDataList)=\"getUpdatedDataList($event)\" ></app-grc-responsibility-listing>\n                        \n                    <app-list-loader *ngIf=\"responsibilityLoader || categoryLoader || programLoader\"></app-list-loader>\n                    \n                    <app-no-data *ngIf=\"responsibilityData?.data?.length === 0 && !(responsibilityLoader || categoryLoader || programLoader)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n                </div>\n            </ng-container>\n            <app-no-data *ngIf=\"(!programLoader && !programData?.data?.length)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n        </div>\n        <app-floating-bar   [selectedData]=\"selectedResponsibilities?.length ? (selectedResponsibilities | uniqueResponsibilities : 'entireObject') : []\"  (closeList)=\"close()\" (closeEvent)=\"save()\"  [displayElementKey]=\"'ReportName'\" [singularText]=\"'Responsibility selected'\" [pluralText]=\"'Responsibilities selected'\" (deleteEvent)=\"deleteEvent($event)\"></app-floating-bar>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .program-responsibility-listing{position:fixed;inset:0 30px 0 0}::ng-deep .program-responsibility-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .program-responsibility-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .program-responsibility-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .program-responsibility-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .program-responsibility-listing-body .search-block{position:relative}::ng-deep .program-responsibility-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .program-responsibility-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .program-responsibility-listing-body .search-block input::placeholder{color:#747576}::ng-deep .program-responsibility-listing-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .program-responsibility-listing-body-inner{height:calc(100vh - 17.5rem)}::ng-deep .program-responsibility-listing-body-inner .inner-item-left{width:25%}::ng-deep .program-responsibility-listing-body-inner .inner-item-mid{width:25%}::ng-deep .program-responsibility-listing-body-inner .inner-item-right{width:50%}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "ngmodule", type: FormgroupModule }, { kind: "ngmodule", type: TooltipModule }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "ngmodule", type: PaginationModule$1 }, { kind: "component", type: TableCardComponent, selector: "app-table-card", inputs: ["singleSelectedText", "multipleSelectedText", "selectedTab", "tableCard"], outputs: ["setSelectedTab"] }, { kind: "component", type: GrcCategoryListingComponent, selector: "app-grc-category-listing", inputs: ["tableCard", "headerText", "currentPage", "selectedTabIndex", "selectedCatAndRisk", "selectedCategoryIds", "categories", "programData"], outputs: ["activeSelectedCategory", "onCategoryPageChange"] }, { kind: "component", type: GrcResponsibilityListingComponent, selector: "app-grc-responsibility-listing", inputs: ["tableCard", "activeProgram", "headerText", "currentPage", "perPageLimit", "totalListData", "totalPages", "selectedListData", "selectedListDataIds", "MODE", "allSelectedResponsibilityIds", "responsibilityData", "selectedProgramAndResp"], outputs: ["getUpdatedDataList", "changeSelectedProgramAndResp"] }, { kind: "component", type: GrcSubCategoryListingComponent, selector: "app-grc-sub-category-listing", inputs: ["currentPage", "nameDisplayKey", "activeProgram", "selectedCategoryIds", "categories", "selectedProgramAndResp"], outputs: ["activeSelectedCategory", "onCategoryPageChange"] }, { kind: "ngmodule", type: ListLoaderModule }, { kind: "component", type: ListLoaderComponent, selector: "app-list-loader" }, { kind: "ngmodule", type: NoDataModule }, { kind: "component", type: NoDataComponentUI, selector: "app-no-data", inputs: ["action", "secondaryAction", "noDataImage", "noDataText", "noDataButton", "secondaryButton", "noDataSecButton", "altText", "smallButton"], outputs: ["buttonAction", "secondaryActionButton"] }, { kind: "component", type: TableCardLoaderComponent, selector: "app-table-card-loader" }, { kind: "ngmodule", type: WorkflowPipesModule }, { kind: "pipe", type: UniqueResponsibilitiesPipe, name: "uniqueResponsibilities" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ProgramResponsibilityListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-program-responsibility-listing', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        FormgroupModule,
                        TooltipModule,
                        FloatingBarModule,
                        PaginationModule$1,
                        TableCardComponent,
                        GrcCategoryListingComponent,
                        GrcResponsibilityListingComponent,
                        GrcSubCategoryListingComponent,
                        ListLoaderModule,
                        NoDataModule,
                        TableCardLoaderComponent,
                        WorkflowPipesModule,
                    ], outputs: ['closeList'], template: "<div class=\"program-responsibility-listing\" [class.animate]=\"animation\">\n    <div class=\"program-responsibility-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\">\n        <h3 class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select Responsibilities</h3></div>\n    <div class=\"program-responsibility-listing-body\">\n        <app-table-card-loader *ngIf=\"programCountLoader\"></app-table-card-loader>\n        <app-table-card\n            *ngIf=\"!programCountLoader\"\n            class=\"vx-w-100\"\n            [tableCard]=\"programTypes\"\n            [singleSelectedText]=\"'Responsibility Selected'\"\n            [selectedTab]=\"selectedTab\"\n            [multipleSelectedText]=\"'Responsibilities Selected'\"\n            (setSelectedTab)=\"setSelectedTab($event)\">\n        </app-table-card>\n        <div class=\"search-block vx-mb-2\">\n          <i class=\"icons\">&#xe90b;</i>\n          <input type=\"text\"  #searchRiskCategory (keyup.enter)=\"handleSearch($event.target.value)\" placeholder=\"Search Programs\" />\n        </div>\n        <div class=\"program-responsibility-listing-body-inner vx-mb-2 vx-d-flex\" [class.vx-justify-center]=\"(!programLoader && !programData?.data?.length)\">\n            <ng-container *ngIf=\"(programLoader || programData?.data?.length)\">\n                <div class=\"inner-item-left vx-pr-2\">\n\n                    <app-grc-category-listing *ngIf=\"!programLoader\" [headerText]=\"'Programs'\" [programData]=\"programData\"  [selectedCatAndRisk]=\"selectedCatAndRisk\" [nameDisplayKey]=\"'item_name'\" [currentPage]=\"programCurrentPage\" [selectedTabIndex]=\"selectedTab\" [selectedCategoryIds]=\"selectedProgramIds\" (activeSelectedCategory)=\"activeSelectedProgram($event)\" (onCategoryPageChange)=\"onProgramPageChange($event)\"></app-grc-category-listing>\n                        \n                    <app-list-loader *ngIf=\"programLoader\"></app-list-loader>\n\n                </div>\n\n                <div class=\"inner-item-mid vx-pr-2\">\n                    <app-grc-sub-category-listing *ngIf=\"!categoryLoader && !programLoader\"  [headerText]=\"'Programs'\" [categories]=\"categoryData\"  [nameDisplayKey]=\"'item_name'\"  [currentPage]=\"categoryCurrentPage\" [selectedCategoryIds]=\"selectedCategoryIds\" [activeProgram]=\"selectedProgram\" [selectedProgramAndResp]=\"selectedProgramAndResp\" (activeSelectedCategory)=\"activeSelectedSubCategory($event)\" (onCategoryPageChange)=\"onSubCategoryPageChange($event)\"></app-grc-sub-category-listing>\n                    <app-list-loader *ngIf=\"categoryLoader || programLoader\"></app-list-loader>\n                </div>\n\n                <div class=\"inner-item-right\">\n                    <!-- <app-grc-responsibility-listing></app-grc-responsibility-listing> -->\n\n                    <app-grc-responsibility-listing #dataListing *ngIf=\"!responsibilityLoader && !categoryLoader && !programLoader && responsibilityData?.data?.length !== 0\" [headerText]=\"'Responsibilities'\" [MODE]=\"MODE\" [responsibilityData]=\"responsibilityData\" [activeProgram]=\"selectedProgram\" [activeCategory]=\"selectedCategory\" [selectedProgramAndResp]=\"selectedProgramAndResp\" [allSelectedResponsibilityIds]=\"selectedResponsibilities | uniqueResponsibilities\" (changeSelectedProgramAndResp)=\"changeSelectedProgramAndResp($event)\" [currentPage]=\"responsibilityCurrentPage\" [perPageLimit]=\"30\" [totalListData]=\"responsibilityData?.total_items\" [totalPages]=\"responsibilityData?.total_pages\" (getUpdatedDataList)=\"getUpdatedDataList($event)\" ></app-grc-responsibility-listing>\n                        \n                    <app-list-loader *ngIf=\"responsibilityLoader || categoryLoader || programLoader\"></app-list-loader>\n                    \n                    <app-no-data *ngIf=\"responsibilityData?.data?.length === 0 && !(responsibilityLoader || categoryLoader || programLoader)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n                </div>\n            </ng-container>\n            <app-no-data *ngIf=\"(!programLoader && !programData?.data?.length)\" [noDataImage]=\"CDN_LINK?.noData\" [noDataText]=\"'No data to display'\"></app-no-data>\n        </div>\n        <app-floating-bar   [selectedData]=\"selectedResponsibilities?.length ? (selectedResponsibilities | uniqueResponsibilities : 'entireObject') : []\"  (closeList)=\"close()\" (closeEvent)=\"save()\"  [displayElementKey]=\"'ReportName'\" [singularText]=\"'Responsibility selected'\" [pluralText]=\"'Responsibilities selected'\" (deleteEvent)=\"deleteEvent($event)\"></app-floating-bar>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .program-responsibility-listing{position:fixed;inset:0 30px 0 0}::ng-deep .program-responsibility-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .program-responsibility-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .program-responsibility-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .program-responsibility-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .program-responsibility-listing-body .search-block{position:relative}::ng-deep .program-responsibility-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .program-responsibility-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .program-responsibility-listing-body .search-block input::placeholder{color:#747576}::ng-deep .program-responsibility-listing-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .program-responsibility-listing-body-inner{height:calc(100vh - 17.5rem)}::ng-deep .program-responsibility-listing-body-inner .inner-item-left{width:25%}::ng-deep .program-responsibility-listing-body-inner .inner-item-mid{width:25%}::ng-deep .program-responsibility-listing-body-inner .inner-item-right{width:50%}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: GrcService }]; }, propDecorators: { getSelectedProgramAndResp: [{
                type: Input,
                args: ['selectedProgramAndResp']
            }], selectedRC: [{
                type: Input
            }], MODE: [{
                type: Input
            }], responsibilityListingComponent: [{
                type: ViewChild,
                args: ['dataListing']
            }] } });

// this component will open all list popup
class ListPopupComponent {
    constructor() {
        this.openedPopup = '';
        this.listObject = {
            RC: {
                isLoading: false,
                data: [],
                selectedData: [],
            },
            OWNER: {
                isLoading: false,
                data: [],
                selectedData: [],
            },
            OTHER_GRC_OBJECTS: {
                isLoading: false,
                data: {},
                selectedData: [],
            },
            RISK_CATEGORY: {
                isLoading: false,
                data: {},
                selectedData: [],
            },
            PROGRAM_RESPONSIBILITY: {
                isLoading: false,
                data: {},
                selectedData: [],
            },
        };
        this.tableCard = [];
        this.GRCSelectedTab = 0;
        this.otherGrcCardLoader = false;
        this.mode = 'CREATE';
        this.onEditGRCId = '';
        this.onSaveSelectedList = new EventEmitter();
        this.getOtherGRCObjects = new EventEmitter();
    }
    saveSelectedList(selectedData) {
        switch (this.openedPopup) {
            case 'RC':
                this.listObject[this.openedPopup].selectedData =
                    this.listObject.RC.data.filter((rc) => selectedData.includes(rc.item_id));
                break;
            case 'OWNER':
                this.listObject[this.openedPopup].selectedData = this.listObject[this.openedPopup].data.assigneesList.filter((user) => selectedData.includes(user.my_member_id));
                break;
            case 'RISK_CATEGORY':
                this.listObject[this.openedPopup].selectedData = selectedData ?? [];
                break;
            case 'PROGRAM_RESPONSIBILITY':
                this.listObject[this.openedPopup].selectedData = selectedData ?? [];
                break;
        }
        if (this.openedPopup === 'RC' || this.openedPopup === 'OWNER') {
        }
        if (this.openedPopup === 'OTHER_GRC_OBJECTS') {
            this.listObject[this.openedPopup].selectedData = selectedData;
        }
        this.onSaveSelectedList.emit(this.listObject);
    }
    activeDeSelector() {
        this.onSaveSelectedList.emit(this.listObject);
    }
    getOtherGRCObjectList(event) {
        this.getOtherGRCObjects.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListPopupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ListPopupComponent, isStandalone: true, selector: "lib-list-popup", inputs: { openedPopup: "openedPopup", listObject: "listObject", tableCard: "tableCard", GRCSelectedTab: "GRCSelectedTab", onEditGRCId: "onEditGRCId", mode: "mode" }, outputs: { onSaveSelectedList: "onSaveSelectedList", getOtherGRCObjects: "getOtherGRCObjects" }, ngImport: i0, template: `
    <app-responsibility-centers-list
      *ngIf="openedPopup === 'RC'"
      [responsibilityCentersList]="listObject[openedPopup]?.data"
      [selectedResponsibilityCenters]="listObject[openedPopup]?.selectedData"
      [rcIdKey]="'item_id'"
      (saveSelectedList)="saveSelectedList($event)"
      (closeRcList)="activeDeSelector()"
    ></app-responsibility-centers-list>
    <app-grc-object-list
      *ngIf="openedPopup === 'OTHER_GRC_OBJECTS'"
      [grcObject]="listObject[openedPopup]?.data"
      [selectedGRC]="listObject[openedPopup]?.selectedData"
      [loader]="listObject[openedPopup]?.isLoading"
      [tableCard]="tableCard"
      [selectedTab]="GRCSelectedTab"
      [cardLoader]="otherGrcCardLoader"
      [mode]="mode"
      [onEditGRCId]="onEditGRCId"
      (getOtherGRCObjects)="getOtherGRCObjectList($event)"
      (saveOtherGRC)="saveSelectedList($event)"
      (closeOtherGRC)="saveSelectedList($event)"
    ></app-grc-object-list>
    <app-group-users-list
      *ngIf="openedPopup === 'OWNER'"
      [usersList]="listObject[openedPopup]?.data?.assigneesList ?? []"
      [groupsList]="listObject[openedPopup]?.data?.groupsList ?? []"
      [selectedUsers]="listObject[openedPopup].selectedData"
      [loader]="listObject[openedPopup]?.isLoading"
      [userIdKey]="'member_id'"
      [isDisabledSelected]="true"
      [disabledId]="listObject[openedPopup]?.disabledIds"
      [fromResponsibility]="'Assignee'"
      (saveSelectedList)="saveSelectedList($event)"
      (closeUsersList)="activeDeSelector()"
    >
    </app-group-users-list>
    <app-risk-category-risk-listing
      *ngIf="openedPopup === 'RISK_CATEGORY'"
      [selectedRC]="listObject?.RC?.selectedData"
      [selectedCatAndRisk]="listObject[openedPopup]?.selectedData"
      (closeUsersList)="saveSelectedList($event)"
    ></app-risk-category-risk-listing>

    <app-program-responsibility-listing
      *ngIf="openedPopup === 'PROGRAM_RESPONSIBILITY'"
      [MODE]="mode"
      [selectedRC]="listObject?.RC?.selectedData"
      [selectedProgramAndResp]="listObject[openedPopup]?.selectedData"
      (closeList)="saveSelectedList($event)"
    ></app-program-responsibility-listing>
  `, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: RcListModule }, { kind: "component", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: ["responsibilityCentersList", "selectedResponsibilityCenters", "rcIdKey", "radioSelection", "pluralText", "singularText", "loaded"], outputs: ["saveSelectedList", "closeRcList"] }, { kind: "component", type: GrcObjectListComponent, selector: "app-grc-object-list", inputs: ["grcObject", "currentPage", "loader", "tableCard", "selectedTab", "cardLoader", "onEditGRCId", "mode", "selectedGRC"], outputs: ["saveOtherGRC", "closeOtherGRC", "getOtherGRCObjects"] }, { kind: "component", type: GroupUsersListComponent, selector: "app-group-users-list", inputs: ["groupsEnabled", "usersList", "groupsList", "selectedUsers", "userIdKey", "groupIdKey", "openedFrom", "selectedGroups", "assigneeGroupsList", "disabledId", "fromResponsibility", "reviewerIds", "overseerIds", "assignorId", "loader", "isDisabledSelected"], outputs: ["saveSelectedList", "closeUsersList"] }, { kind: "component", type: RiskCategoryRiskListingComponent, selector: "app-risk-category-risk-listing", inputs: ["selectedTab", "selectedCatAndRisk", "selectedRC"], outputs: ["closeUsersList"] }, { kind: "component", type: ProgramResponsibilityListingComponent, selector: "app-program-responsibility-listing", inputs: ["selectedProgramAndResp", "selectedRC", "MODE"], outputs: ["closeList"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListPopupComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'lib-list-popup',
                    standalone: true,
                    imports: [
                        CommonModule,
                        RcListModule,
                        GrcObjectListComponent,
                        GroupUsersListComponent,
                        RiskCategoryRiskListingComponent,
                        ProgramResponsibilityListingComponent,
                    ],
                    template: `
    <app-responsibility-centers-list
      *ngIf="openedPopup === 'RC'"
      [responsibilityCentersList]="listObject[openedPopup]?.data"
      [selectedResponsibilityCenters]="listObject[openedPopup]?.selectedData"
      [rcIdKey]="'item_id'"
      (saveSelectedList)="saveSelectedList($event)"
      (closeRcList)="activeDeSelector()"
    ></app-responsibility-centers-list>
    <app-grc-object-list
      *ngIf="openedPopup === 'OTHER_GRC_OBJECTS'"
      [grcObject]="listObject[openedPopup]?.data"
      [selectedGRC]="listObject[openedPopup]?.selectedData"
      [loader]="listObject[openedPopup]?.isLoading"
      [tableCard]="tableCard"
      [selectedTab]="GRCSelectedTab"
      [cardLoader]="otherGrcCardLoader"
      [mode]="mode"
      [onEditGRCId]="onEditGRCId"
      (getOtherGRCObjects)="getOtherGRCObjectList($event)"
      (saveOtherGRC)="saveSelectedList($event)"
      (closeOtherGRC)="saveSelectedList($event)"
    ></app-grc-object-list>
    <app-group-users-list
      *ngIf="openedPopup === 'OWNER'"
      [usersList]="listObject[openedPopup]?.data?.assigneesList ?? []"
      [groupsList]="listObject[openedPopup]?.data?.groupsList ?? []"
      [selectedUsers]="listObject[openedPopup].selectedData"
      [loader]="listObject[openedPopup]?.isLoading"
      [userIdKey]="'member_id'"
      [isDisabledSelected]="true"
      [disabledId]="listObject[openedPopup]?.disabledIds"
      [fromResponsibility]="'Assignee'"
      (saveSelectedList)="saveSelectedList($event)"
      (closeUsersList)="activeDeSelector()"
    >
    </app-group-users-list>
    <app-risk-category-risk-listing
      *ngIf="openedPopup === 'RISK_CATEGORY'"
      [selectedRC]="listObject?.RC?.selectedData"
      [selectedCatAndRisk]="listObject[openedPopup]?.selectedData"
      (closeUsersList)="saveSelectedList($event)"
    ></app-risk-category-risk-listing>

    <app-program-responsibility-listing
      *ngIf="openedPopup === 'PROGRAM_RESPONSIBILITY'"
      [MODE]="mode"
      [selectedRC]="listObject?.RC?.selectedData"
      [selectedProgramAndResp]="listObject[openedPopup]?.selectedData"
      (closeList)="saveSelectedList($event)"
    ></app-program-responsibility-listing>
  `,
                    inputs: [
                        'openedPopup',
                        'listObject',
                        'tableCard',
                        'GRCSelectedTab',
                        'onEditGRCId',
                        'mode',
                    ],
                    outputs: ['onSaveSelectedList', 'getOtherGRCObjects'],
                }]
        }], ctorParameters: function () { return []; } });

const SELECTOR_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => TabSelector),
    multi: true,
};
class TabSelector {
    constructor() {
        this.selectedItem = 1;
        this.onValueChanged = new EventEmitter();
        this.onChanged = (value) => { };
        this.onTouched = () => { };
    }
    writeValue(value) {
        this.selectedItem = value ?? 1;
    }
    registerOnChange(fn) {
        this.onChanged = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    valueChanged(value) {
        this.selectedItem = value;
        this.onChanged(this.selectedItem);
        this.onTouched();
        this.onValueChanged.emit(this.selectedItem);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TabSelector, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TabSelector, isStandalone: true, selector: "tab-selector", inputs: { disabled: "disabled", selectedItem: "selectedItem", displayArray: "displayArray" }, outputs: { onValueChanged: "onValueChanged" }, providers: [SELECTOR_VALUE_ACCESSOR], ngImport: i0, template: "<div class=\"type-field \"  [ngClass]=\"{'two': displayArray?.length === 2, 'four': displayArray?.length === 4}\">\n    <div class=\"type-item\" *ngFor=\"let item of displayArray\" [class.active]=\"selectedItem === item?.value\">\n        <button (click)=\"valueChanged(item?.value)\">{{item?.label}}</button>\n    </div>\n    <span class=\"background-glider\"></span>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";.type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;justify-content:space-between;padding:4px;position:relative;z-index:1}.type-field.four .type-item:first-of-type{width:6.25rem}.type-field.four .type-item:nth-child(2){width:5.75rem}.type-field.four .type-item:nth-child(2).active~.background-glider{transform:translate(6.4375rem);width:5.75rem}.type-field.four .type-item:nth-child(3){width:8.625rem}.type-field.four .type-item:nth-child(3).active~.background-glider{transform:translate(12.375rem);width:8.625rem}.type-field.four .type-item:last-of-type{width:5.25rem}.type-field.four .type-item:last-of-type.active~.background-glider{transform:translate(21.1875rem);width:5.25rem}.type-field.four .background-glider{width:6.25rem}.type-field.two .type-item{width:50%}.type-field.two .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}.type-field.two .background-glider{width:13rem}.type-field .type-item{position:relative}.type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:center}.type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none}.type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}.type-field .type-item.active button{color:#1e5dd3!important}.type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;height:32px;z-index:-1;transition:.25s ease-out}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TabSelector, decorators: [{
            type: Component,
            args: [{ selector: 'tab-selector', providers: [SELECTOR_VALUE_ACCESSOR], standalone: true, imports: [CommonModule], inputs: ['disabled', 'selectedItem', 'displayArray'], outputs: ['onValueChanged'], template: "<div class=\"type-field \"  [ngClass]=\"{'two': displayArray?.length === 2, 'four': displayArray?.length === 4}\">\n    <div class=\"type-item\" *ngFor=\"let item of displayArray\" [class.active]=\"selectedItem === item?.value\">\n        <button (click)=\"valueChanged(item?.value)\">{{item?.label}}</button>\n    </div>\n    <span class=\"background-glider\"></span>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";.type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;justify-content:space-between;padding:4px;position:relative;z-index:1}.type-field.four .type-item:first-of-type{width:6.25rem}.type-field.four .type-item:nth-child(2){width:5.75rem}.type-field.four .type-item:nth-child(2).active~.background-glider{transform:translate(6.4375rem);width:5.75rem}.type-field.four .type-item:nth-child(3){width:8.625rem}.type-field.four .type-item:nth-child(3).active~.background-glider{transform:translate(12.375rem);width:8.625rem}.type-field.four .type-item:last-of-type{width:5.25rem}.type-field.four .type-item:last-of-type.active~.background-glider{transform:translate(21.1875rem);width:5.25rem}.type-field.four .background-glider{width:6.25rem}.type-field.two .type-item{width:50%}.type-field.two .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}.type-field.two .background-glider{width:13rem}.type-field .type-item{position:relative}.type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:center}.type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none}.type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}.type-field .type-item.active button{color:#1e5dd3!important}.type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;height:32px;z-index:-1;transition:.25s ease-out}\n"] }]
        }] });

class EditModeComponent {
    constructor() {
        this.selectedData = [];
        this.type = '';
        this.nonRemovableIds = [];
        this.isMultiple = false;
        this.countColor = '';
        this.nameDisplayKey = '';
        this.isOnEdit = new EventEmitter();
        this.onRemoveData = new EventEmitter();
    }
    removeItem(index) {
        this.onRemoveData.emit({ index, data: this.selectedData[index] });
    }
    identify(index, item) {
        return item?.item_name ?? item?.name;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditModeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: EditModeComponent, isStandalone: true, selector: "lib-edit-mode", inputs: { selectedData: "selectedData", type: "type", nonRemovableIds: "nonRemovableIds", isMultiple: "isMultiple", countColor: "countColor", nameDisplayKey: "nameDisplayKey" }, outputs: { isOnEdit: "isOnEdit", onRemoveData: "onRemoveData" }, ngImport: i0, template: `
    <div
      *ngIf="selectedData?.length"
      class="selected"
      [class.vx-mb-2]="isMultiple"
    >
      <div class="chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2">
        <i
          *ngIf="
            type !== 'text' &&
            !nonRemovableIds.includes(selectedData[0]?.item_id)
          "
          (click)="removeItem(0)"
          class="icons cross vx-fs-10 vx-paragraph-txt vx-mr-1"
          >&#xe9ae;</i
        >
        <ng-content [select]="'GRC_TYPE'"></ng-content>

        <span
          class="chipName vx-fs-11 vx-label-txt"
          [appTooltip]="
            selectedData[0]?.item_name ??
            selectedData[0]?.name ??
            selectedData[0][nameDisplayKey]
          "
          placement="bottom-left"
          delay="0"
          type="black"
          [tooltipMandatory]="false"
          >{{
            selectedData[0]?.item_name ??
              selectedData[0]?.name ??
              selectedData[0][nameDisplayKey]
          }}</span
        >
        <button
          *ngIf="selectedData.length > 1"
          class="countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4"
          [ngClass]="countColor"
          appPopover
          (click)="selectedList.popover()"
          placement="right"
        >
          +{{ selectedData?.length - 1 }}
        </button>
      </div>
      <button class="edit" type="button" (click)="isOnEdit.emit()">
        <i class="icons">&#xe9ba;</i> Edit
      </button>
    </div>
    <app-popover #selectedList [dontCloseonClick]="true">
      <div class="wf-action-list">
        <ul class="action-item">
          <li
            *ngFor="
              let data of selectedData | slice : 1;
              let i = index;
              trackBy: identify
            "
          >
            <div class="avatar-card">
              <span
                class="value"
                [appTooltip]="
                  data?.item_name ?? data?.name ?? data[nameDisplayKey]
                "
                placement="bottom-left"
                delay="0"
                type="black"
                [tooltipMandatory]="false"
              >
                <i
                  *ngIf="!nonRemovableIds.includes(data?.item_id)"
                  (click)="removeItem(i + 1)"
                  class="icons"
                  >&#xe90d;</i
                >
                {{ data?.item_name ?? data?.name ?? data[nameDisplayKey] }}
              </span>
            </div>
          </li>
        </ul>
      </div>
    </app-popover>
  `, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "ngmodule", type: PopoverModule }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditModeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'lib-edit-mode',
                    standalone: true,
                    imports: [CommonModule, PopoverModule, TooltipModule],
                    inputs: [
                        'selectedData',
                        'type',
                        'nonRemovableIds',
                        'isMultiple',
                        'countColor',
                        'nameDisplayKey',
                    ],
                    outputs: ['isOnEdit', 'onRemoveData'],
                    template: `
    <div
      *ngIf="selectedData?.length"
      class="selected"
      [class.vx-mb-2]="isMultiple"
    >
      <div class="chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2">
        <i
          *ngIf="
            type !== 'text' &&
            !nonRemovableIds.includes(selectedData[0]?.item_id)
          "
          (click)="removeItem(0)"
          class="icons cross vx-fs-10 vx-paragraph-txt vx-mr-1"
          >&#xe9ae;</i
        >
        <ng-content [select]="'GRC_TYPE'"></ng-content>

        <span
          class="chipName vx-fs-11 vx-label-txt"
          [appTooltip]="
            selectedData[0]?.item_name ??
            selectedData[0]?.name ??
            selectedData[0][nameDisplayKey]
          "
          placement="bottom-left"
          delay="0"
          type="black"
          [tooltipMandatory]="false"
          >{{
            selectedData[0]?.item_name ??
              selectedData[0]?.name ??
              selectedData[0][nameDisplayKey]
          }}</span
        >
        <button
          *ngIf="selectedData.length > 1"
          class="countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4"
          [ngClass]="countColor"
          appPopover
          (click)="selectedList.popover()"
          placement="right"
        >
          +{{ selectedData?.length - 1 }}
        </button>
      </div>
      <button class="edit" type="button" (click)="isOnEdit.emit()">
        <i class="icons">&#xe9ba;</i> Edit
      </button>
    </div>
    <app-popover #selectedList [dontCloseonClick]="true">
      <div class="wf-action-list">
        <ul class="action-item">
          <li
            *ngFor="
              let data of selectedData | slice : 1;
              let i = index;
              trackBy: identify
            "
          >
            <div class="avatar-card">
              <span
                class="value"
                [appTooltip]="
                  data?.item_name ?? data?.name ?? data[nameDisplayKey]
                "
                placement="bottom-left"
                delay="0"
                type="black"
                [tooltipMandatory]="false"
              >
                <i
                  *ngIf="!nonRemovableIds.includes(data?.item_id)"
                  (click)="removeItem(i + 1)"
                  class="icons"
                  >&#xe90d;</i
                >
                {{ data?.item_name ?? data?.name ?? data[nameDisplayKey] }}
              </span>
            </div>
          </li>
        </ul>
      </div>
    </app-popover>
  `,
                }]
        }], ctorParameters: function () { return []; } });

class CommonService {
    constructor() {
        this.datePickerObject = {
            event: null,
            class: '',
            popup: null,
            component: null,
            overlay: false,
        };
    }
    handleDocumentClick(datePickerObject) {
        const { event, popup, class: className } = datePickerObject || {};
        const targetElement = event?.target;
        if (!targetElement)
            return false;
        const dateInputElement = document?.getElementById(className);
        const datePickerCalendarContainer = document?.querySelector('.dp-day-calendar-container');
        const monthYearElement = document?.querySelector('.dp-month-calendar-container');
        const isNotMonthYearElement = !monthYearElement?.contains(targetElement);
        const isOutsidePopup = !popup?.nativeElement?.contains(targetElement);
        const isOutsidePopup2 = !popup?.nativeElement?.className.includes('dp-calendar-month');
        const isNotDateInputElement = targetElement !== dateInputElement;
        const isNotInsideCalendar = !datePickerCalendarContainer?.contains(targetElement);
        const isNotCalendarMonth = !targetElement ||
            typeof targetElement?.className !== 'string' ||
            !targetElement?.className?.includes('dp-calendar-month');
        if (datePickerCalendarContainer &&
            isNotMonthYearElement &&
            isOutsidePopup &&
            isNotDateInputElement &&
            isNotInsideCalendar &&
            isNotCalendarMonth &&
            isOutsidePopup2) {
            this.closeDatePickerIfOpen(targetElement, popup, datePickerObject?.overlay, datePickerObject?.component);
            return true;
        }
        return false;
    }
    closeDatePickerIfOpen(target, openedElement, datePickerOverlay, DatePicker) {
        if (!openedElement?.nativeElement?.contains(target) &&
            DatePicker?.areCalendarsShown) {
            DatePicker?.api?.close();
            datePickerOverlay = false;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CommonService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CommonService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CommonService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

class VCDatePickerComponent {
    constructor(commonService) {
        this.commonService = commonService;
        this.value = new Date();
        this.datePickerOverlay = false;
        this.dateConfig = {
            disableKeypress: true,
            format: 'DD MMM YYYY',
            unSelectOnClick: true,
            openOnClick: false,
            openOnFocus: false,
        };
        this.openDatePicker = () => {
            this.datePicker?.api?.open();
            this.datePickerOverlay = true;
        };
        this.closeDatePicker = (event) => {
            this.valueDetails.choices[0].value = event?.date?.$d.toISOString();
            this.datePicker?.api?.close();
            this.datePickerOverlay = false;
        };
    }
    ngOnInit() { }
    removeError(field) { }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'date-picker',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datePickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VCDatePickerComponent, deps: [{ token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: VCDatePickerComponent, isStandalone: true, selector: "lib-date-picker", inputs: { valueDetails: "valueDetails" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: `
    <div class="vx-form-group">
      <label class="vx-control-panel">{{ valueDetails?.title }}</label>
      <div class="date-time-picker">
        <div class="picker-group">
          <input
            class="selectBoxEnable"
            type="text"
            readonly
            placeholder="Select a date"
            [value]="
              valueDetails?.choices[0].value !== ''
                ? (valueDetails?.choices[0].value | date : 'dd MMM yyyy')
                : 'Select a date'
            "
            (click)="openDatePicker()"
            id="date-picker"
          />
          <i class="icons">&#xe92d;</i>
          <dp-date-picker
            #datePicker
            (onSelect)="
              datePickerOverlay = false;
              closeDatePicker($event);
              removeError('issueDueDate')
            "
            [config]="dateConfig"
            [(ngModel)]="value"
          >
          </dp-date-picker>
          <div
            class="vx-overlay"
            (click)="closeDatePicker($event)"
            *ngIf="datePickerOverlay"
          ></div>
        </div>
      </div>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }, { kind: "ngmodule", type: DpDatePickerModule }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VCDatePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-date-picker', standalone: true, imports: [CommonModule, DpDatePickerModule, FormsModule], template: `
    <div class="vx-form-group">
      <label class="vx-control-panel">{{ valueDetails?.title }}</label>
      <div class="date-time-picker">
        <div class="picker-group">
          <input
            class="selectBoxEnable"
            type="text"
            readonly
            placeholder="Select a date"
            [value]="
              valueDetails?.choices[0].value !== ''
                ? (valueDetails?.choices[0].value | date : 'dd MMM yyyy')
                : 'Select a date'
            "
            (click)="openDatePicker()"
            id="date-picker"
          />
          <i class="icons">&#xe92d;</i>
          <dp-date-picker
            #datePicker
            (onSelect)="
              datePickerOverlay = false;
              closeDatePicker($event);
              removeError('issueDueDate')
            "
            [config]="dateConfig"
            [(ngModel)]="value"
          >
          </dp-date-picker>
          <div
            class="vx-overlay"
            (click)="closeDatePicker($event)"
            *ngIf="datePickerOverlay"
          ></div>
        </div>
      </div>
    </div>
  `, inputs: ['valueDetails'], styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: CommonService }]; }, propDecorators: { datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class AttributesTextBoxComponent {
    constructor() {
        this.inputValue = '';
        this.openedPopup = '';
        this.isValidationError = false;
        this.ALL_TEXT = FIELD_TEXT;
        this.CDN_LINK = LINKS;
        this.VALIDATION_MESSAGE = VALIDATION_MESSAGE;
        this.placeholderText = 'Enter the details';
        this.onValueChange = new EventEmitter();
        this.onTextChange = (event) => {
            this.inputValue = event;
            this.openedPopup = '';
            this.attributeInfo.choices[0].value = event;
            if (event) {
                this.attributeInfo.choices[0].is_selected = true;
            }
            else {
                this.attributeInfo.choices[0].is_selected = false;
            }
            this.onValueChange.emit(this.attributeInfo);
        };
        this.onPopupOpen = (event) => { };
        this.onEdit = (event) => {
            this.openedPopup = event;
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesTextBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AttributesTextBoxComponent, isStandalone: true, selector: "lib-attributes-text-box", inputs: { attributeInfo: "attributeInfo", inputValue: "inputValue", isValidationError: "isValidationError" }, outputs: { onValueChange: "onValueChange" }, ngImport: i0, template: `
    <lib-text-field
      [isEditMode]="inputValue && openedPopup == ''"
      [titleText]="attributeInfo?.title"
      [placeholderText]="placeholderText"
      [(textValue)]="this.attributeInfo.choices[0].value"
      (textValueChange)="onTextChange($event)"
      (onClick)="onPopupOpen('')"
    >
      <lib-text-field-icon
        [cdnLink]="CDN_LINK.customFields"
        [isChecked]="inputValue !== ''"
        field-icons
      >
      </lib-text-field-icon>
      <span *ngIf="attributeInfo?.isRequired" class="required" is-required
        >*</span
      >
      <lib-edit-mode
        *ngIf="inputValue && openedPopup == ''"
        [selectedData]="[{ name: inputValue }]"
        [type]="'text'"
        (isOnEdit)="onEdit('edit')"
        edit-mode
      ></lib-edit-mode>
      <p
        *ngIf="isValidationError"
        [appScrollInView]="true"
        class="error-message"
        error-message
      >
        {{ VALIDATION_MESSAGE.attributes }}
      </p>
    </lib-text-field>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: TextFieldComponent, selector: "lib-text-field", inputs: ["titleText", "placeholderText", "textValue", "isReadOnly", "isEditMode", "disabled", "active"], outputs: ["textValueChange", "onClick", "clickOutside"] }, { kind: "component", type: TextFieldIconComponent, selector: "lib-text-field-icon", inputs: ["cdnLink", "altName", "isChecked"] }, { kind: "component", type: EditModeComponent, selector: "lib-edit-mode", inputs: ["selectedData", "type", "nonRemovableIds", "isMultiple", "countColor", "nameDisplayKey"], outputs: ["isOnEdit", "onRemoveData"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesTextBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-attributes-text-box', standalone: true, imports: [
                        CommonModule,
                        TextFieldComponent,
                        TextFieldIconComponent,
                        EditModeComponent,
                    ], template: `
    <lib-text-field
      [isEditMode]="inputValue && openedPopup == ''"
      [titleText]="attributeInfo?.title"
      [placeholderText]="placeholderText"
      [(textValue)]="this.attributeInfo.choices[0].value"
      (textValueChange)="onTextChange($event)"
      (onClick)="onPopupOpen('')"
    >
      <lib-text-field-icon
        [cdnLink]="CDN_LINK.customFields"
        [isChecked]="inputValue !== ''"
        field-icons
      >
      </lib-text-field-icon>
      <span *ngIf="attributeInfo?.isRequired" class="required" is-required
        >*</span
      >
      <lib-edit-mode
        *ngIf="inputValue && openedPopup == ''"
        [selectedData]="[{ name: inputValue }]"
        [type]="'text'"
        (isOnEdit)="onEdit('edit')"
        edit-mode
      ></lib-edit-mode>
      <p
        *ngIf="isValidationError"
        [appScrollInView]="true"
        class="error-message"
        error-message
      >
        {{ VALIDATION_MESSAGE.attributes }}
      </p>
    </lib-text-field>
  `, inputs: ['attributeInfo', 'inputValue', 'isValidationError'], outputs: ['onValueChange'], styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }] });

class SelectService {
    constructor() {
        this.selectMap = {};
    }
    getData(name, value) {
        let obj = {
            placeholder: '',
            color: '',
        };
        if (name && value && this.selectMap.hasOwnProperty(name) && Array.isArray(this.selectMap[name])) {
            const values = this.selectMap[name];
            for (let i = 0; i < values.length; i++) {
                if (values[i][0] === value) {
                    obj = {
                        placeholder: values[i][1],
                        color: values[i][2] ?? '',
                    };
                    break;
                }
            }
        }
        return obj;
    }
    add(select) {
        let item = [select?.value, select?.placeholder];
        if (select?.color) {
            item.push(select?.color);
        }
        if (this.selectMap.hasOwnProperty(select.name)) {
            this.selectMap[select.name] = [...this.selectMap[select.name], item];
        }
        else {
            this.selectMap[select.name] = [item];
        }
    }
    remove(name) {
        delete this.selectMap[name];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: function () { return []; } });

class CsSelectComponent {
    set content(content) {
        if (content) {
            // initially setter gets called with undefined
            this.optionList = content;
        }
    }
    constructor(select) {
        this.select = select;
        this.valueChanged = new EventEmitter();
        this.onChange = () => { };
        this.onTouch = () => { };
        this.name = nanoid();
        this.valuePlaceholder = '';
    }
    set RadioVal(val) {
        if (val !== undefined && val !== null && this.val !== val) {
            this.val = val;
            const { placeholder, color } = this.select.getData(this.name, this.val);
            this.valuePlaceholder = placeholder;
            this.color = color;
            this.onChange(val);
            this.onTouch(val);
        }
    }
    writeValue(value, emit) {
        this.RadioVal = value;
        if (emit) {
            this.valueChanged.emit(this.RadioVal);
        }
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouch = fn;
    }
    openDropdown(event) {
        this.dropdownToggle = true;
        setTimeout(() => {
            const dropdown = event.target.getBoundingClientRect();
            const selectOption = this.optionList.nativeElement.offsetHeight;
            if (dropdown.top + selectOption * 2 > window.innerHeight) {
                this.getTop = dropdown.top - selectOption;
            }
            else {
                this.getTop = dropdown.top + dropdown.height;
            }
            this.getLeft = dropdown.left;
            this.getWidth = dropdown.width;
            if (this.setMaxWidth == true) {
                this.maxWidth = dropdown.width * 1.5;
            }
            else {
                this.maxWidth = dropdown.width;
            }
            this.showOptions = true;
        }, 10);
    }
    closeDropdown() {
        this.dropdownToggle = false;
    }
    ngOnDestroy() {
        this.select.remove(this.name);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSelectComponent, deps: [{ token: SelectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsSelectComponent, selector: "cs-select", inputs: { dropdownLabel: "dropdownLabel", dropdownSubLabel: "dropdownSubLabel", isRequired: "isRequired", placeholder: "placeholder", setMaxWidth: "setMaxWidth" }, outputs: { valueChanged: "valueChanged" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => CsSelectComponent),
                multi: true,
            },
        ], viewQueries: [{ propertyName: "content", first: true, predicate: ["optionList"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"selection-wrap\">\n  <div class=\"input-group\">\n    <input\n      type=\"text\"\n      readonly\n      class=\"value\"\n      (click)=\"openDropdown($event)\"\n      (keyup.enter)=\"openDropdown($event)\"\n      tabindex=\"0\"\n      [placeholder]=\"placeholder\"\n      [value]=\"valuePlaceholder\"\n      [style.color]=\"color\"\n    />\n    <!-- <i class=\"icons\">&#xe9e8;</i> -->\n  </div>\n  <div class=\"vx-overlay\" *ngIf=\"dropdownToggle === true\" (click)=\"closeDropdown()\"></div>\n  <div\n    class=\"select-options\"\n    *ngIf=\"dropdownToggle === true\"\n    #optionList\n    (keyup.Escape)=\"closeDropdown()\"\n    (keyup.enter)=\"closeDropdown()\"\n    (click)=\"closeDropdown()\"\n    [style.top.px]=\"getTop\"\n    [style.left.px]=\"getLeft\"\n    [style.maxWidth.px]=\"maxWidth\"\n    [style.minWidth.px]=\"getWidth\"\n    [class.active]=\"showOptions\"\n  >\n    <ng-content select=\"cs-option\"></ng-content>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.selection-wrap{display:block}.selection-wrap .input-group{background:#fff;display:flex;position:relative}.selection-wrap .input-group:before{border:1px solid #707070;border-top:none;border-left:none;content:\"\";display:inline-block;right:12px;position:absolute;top:12px;width:5px;height:5px;transform:rotate(45deg)}.selection-wrap .input-group input.value{height:40px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:transparent;border:1px solid #dbdbdb;border-radius:4px;width:100%;padding:8px 40px 8px 12px;display:block;outline:none;cursor:pointer;position:relative}.selection-wrap .select-options{position:fixed;overflow:auto;max-height:200px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:2147483002;background:#fff;border-radius:2px;opacity:0}.selection-wrap .select-options.hidden{opacity:0}.selection-wrap .select-options.active{opacity:1}.selection-wrap .select-options.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}.vx-overlay{display:block;position:fixed;inset:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cs-select', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => CsSelectComponent),
                            multi: true,
                        },
                    ], template: "<div class=\"selection-wrap\">\n  <div class=\"input-group\">\n    <input\n      type=\"text\"\n      readonly\n      class=\"value\"\n      (click)=\"openDropdown($event)\"\n      (keyup.enter)=\"openDropdown($event)\"\n      tabindex=\"0\"\n      [placeholder]=\"placeholder\"\n      [value]=\"valuePlaceholder\"\n      [style.color]=\"color\"\n    />\n    <!-- <i class=\"icons\">&#xe9e8;</i> -->\n  </div>\n  <div class=\"vx-overlay\" *ngIf=\"dropdownToggle === true\" (click)=\"closeDropdown()\"></div>\n  <div\n    class=\"select-options\"\n    *ngIf=\"dropdownToggle === true\"\n    #optionList\n    (keyup.Escape)=\"closeDropdown()\"\n    (keyup.enter)=\"closeDropdown()\"\n    (click)=\"closeDropdown()\"\n    [style.top.px]=\"getTop\"\n    [style.left.px]=\"getLeft\"\n    [style.maxWidth.px]=\"maxWidth\"\n    [style.minWidth.px]=\"getWidth\"\n    [class.active]=\"showOptions\"\n  >\n    <ng-content select=\"cs-option\"></ng-content>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.selection-wrap{display:block}.selection-wrap .input-group{background:#fff;display:flex;position:relative}.selection-wrap .input-group:before{border:1px solid #707070;border-top:none;border-left:none;content:\"\";display:inline-block;right:12px;position:absolute;top:12px;width:5px;height:5px;transform:rotate(45deg)}.selection-wrap .input-group input.value{height:40px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:transparent;border:1px solid #dbdbdb;border-radius:4px;width:100%;padding:8px 40px 8px 12px;display:block;outline:none;cursor:pointer;position:relative}.selection-wrap .select-options{position:fixed;overflow:auto;max-height:200px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:2147483002;background:#fff;border-radius:2px;opacity:0}.selection-wrap .select-options.hidden{opacity:0}.selection-wrap .select-options.active{opacity:1}.selection-wrap .select-options.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}.vx-overlay{display:block;position:fixed;inset:0}\n"] }]
        }], ctorParameters: function () { return [{ type: SelectService }]; }, propDecorators: { dropdownLabel: [{
                type: Input
            }], dropdownSubLabel: [{
                type: Input
            }], isRequired: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], valueChanged: [{
                type: Output
            }], setMaxWidth: [{
                type: Input
            }], content: [{
                type: ViewChild,
                args: ['optionList', { read: ElementRef, static: false }]
            }] } });

class CsOptionComponent {
    constructor(csSelect, select) {
        this.csSelect = csSelect;
        this.select = select;
        this.optionTooltip = '';
        this.value = '';
    }
    ngAfterViewInit() {
        this.select.add({
            name: this.csSelect.name,
            placeholder: this.option.nativeElement.innerHTML,
            value: this.value,
            color: this.color,
        });
    }
    change(event) {
        this.csSelect.writeValue(this.value, true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsOptionComponent, deps: [{ token: CsSelectComponent }, { token: SelectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsOptionComponent, selector: "cs-option", inputs: { value: "value", color: "color", backgroundColor: "backgroundColor", optionTooltip: "optionTooltip" }, viewQueries: [{ propertyName: "option", first: true, predicate: ["options"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"list\">\n  <label>\n    <input type=\"radio\" tabindex=\"0\" [value]=\"value\" [name]=\"csSelect.name\" (click)=\"change($event)\" [checked]=\"csSelect.val === value\"  [appTooltip]=\"optionTooltip\" placement=\"bottom-left\" delay=\"0\" [tooltipMandatory]=\"true\" />\n    <span class=\"value\" #options [style.color]=\"color\">\n      <ng-content></ng-content>\n    </span>\n  </label>\n</div>\n", styles: [".list label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}.list label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}.list label input[type=radio]:checked+span,.list label input[type=radio]:hover+span{background:#dcdcdc}.list label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}\n"], dependencies: [{ kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsOptionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cs-option', template: "<div class=\"list\">\n  <label>\n    <input type=\"radio\" tabindex=\"0\" [value]=\"value\" [name]=\"csSelect.name\" (click)=\"change($event)\" [checked]=\"csSelect.val === value\"  [appTooltip]=\"optionTooltip\" placement=\"bottom-left\" delay=\"0\" [tooltipMandatory]=\"true\" />\n    <span class=\"value\" #options [style.color]=\"color\">\n      <ng-content></ng-content>\n    </span>\n  </label>\n</div>\n", styles: [".list label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}.list label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}.list label input[type=radio]:checked+span,.list label input[type=radio]:hover+span{background:#dcdcdc}.list label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}\n"] }]
        }], ctorParameters: function () { return [{ type: CsSelectComponent }, { type: SelectService }]; }, propDecorators: { value: [{
                type: Input
            }], color: [{
                type: Input
            }], backgroundColor: [{
                type: Input
            }], optionTooltip: [{
                type: Input
            }], option: [{
                type: ViewChild,
                args: ['options', { read: ElementRef, static: false }]
            }] } });

class SelectModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SelectModule, declarations: [CsSelectComponent, CsOptionComponent], imports: [FormsModule, CommonModule, TooltipModule], exports: [CsSelectComponent, CsOptionComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectModule, imports: [FormsModule, CommonModule, TooltipModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CsSelectComponent, CsOptionComponent],
                    imports: [FormsModule, CommonModule, TooltipModule],
                    exports: [CsSelectComponent, CsOptionComponent],
                }]
        }] });

class AttributesDropdownComponent {
    constructor() {
        this.dropdownInfo = {
            title: 'HOSTING TYPE',
            choices: [],
        };
        this.isValidationError = false;
        this.VALIDATION_MESSAGE = VALIDATION_MESSAGE;
        this.onDataSelection = new EventEmitter();
    }
    onValueChanged(event, index) {
        if (event === 'Other') {
            this.dropdownInfo.is_other_selected = true;
            return;
        }
        this.dropdownInfo.choices.forEach((eachChoice, dataIndex) => {
            if (index === dataIndex) {
                eachChoice.is_selected = true;
                eachChoice.value = 1;
            }
            else {
                eachChoice.is_selected = false;
                eachChoice.value = 0;
            }
        });
        this.onDataSelection.emit(this.dropdownInfo.choices);
    }
    get placeholderText() {
        if (this.dropdownInfo.hasOther && this.dropdownInfo?.is_other_selected) {
            return this.dropdownInfo.otherValue;
        }
        const INDEX = this.dropdownInfo.choices.findIndex((choices) => choices.is_selected);
        if (INDEX > -1) {
            return this.dropdownInfo.choices[INDEX].title;
        }
        return 'Select the relevant option';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesDropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AttributesDropdownComponent, isStandalone: true, selector: "lib-attributes-dropdown", inputs: { dropdownInfo: "dropdownInfo", isValidationError: "isValidationError" }, outputs: { onDataSelection: "onDataSelection" }, ngImport: i0, template: `
    <div class="vx-form-group">
      <label class="vx-control-panel">
        {{ dropdownInfo?.title }}
        <span *ngIf="dropdownInfo?.isRequired" class="required">*</span></label
      >
      <cs-select [placeholder]="placeholderText">
        <cs-option
          *ngFor="let eachChoice of dropdownInfo?.choices; let i = index"
          [value]="eachChoice?.is_selected"
          (click)="onValueChanged(eachChoice?.title, i)"
          >{{ eachChoice?.title }}</cs-option
        >
        <cs-option
          *ngIf="dropdownInfo?.hasOther"
          [value]="dropdownInfo?.is_other_selected"
          (click)="onValueChanged(dropdownInfo?.otherValue, 0)"
          >{{ dropdownInfo?.otherValue }}</cs-option
        >
      </cs-select>
      <p *ngIf="isValidationError" class="error-message">
        {{ VALIDATION_MESSAGE.attributes }}
      </p>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormgroupModule }, { kind: "ngmodule", type: TooltipModule }, { kind: "ngmodule", type: PopoverModule }, { kind: "ngmodule", type: SelectModule }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-attributes-dropdown', standalone: true, imports: [
                        CommonModule,
                        FormgroupModule,
                        TooltipModule,
                        PopoverModule,
                        SelectModule,
                    ], template: `
    <div class="vx-form-group">
      <label class="vx-control-panel">
        {{ dropdownInfo?.title }}
        <span *ngIf="dropdownInfo?.isRequired" class="required">*</span></label
      >
      <cs-select [placeholder]="placeholderText">
        <cs-option
          *ngFor="let eachChoice of dropdownInfo?.choices; let i = index"
          [value]="eachChoice?.is_selected"
          (click)="onValueChanged(eachChoice?.title, i)"
          >{{ eachChoice?.title }}</cs-option
        >
        <cs-option
          *ngIf="dropdownInfo?.hasOther"
          [value]="dropdownInfo?.is_other_selected"
          (click)="onValueChanged(dropdownInfo?.otherValue, 0)"
          >{{ dropdownInfo?.otherValue }}</cs-option
        >
      </cs-select>
      <p *ngIf="isValidationError" class="error-message">
        {{ VALIDATION_MESSAGE.attributes }}
      </p>
    </div>
  `, inputs: ['dropdownInfo', 'isValidationError'], outputs: ['onDataSelection'], styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }] });

class AttributesCheckboxComponent {
    constructor() {
        this.animation = false;
        this.ASSETS = ASSETS;
        this.onSelectedAttributes = new EventEmitter();
        /* The `deleteEvent` function is used to remove a selected attribute choice from the
      `selectedAttribute` object. */
        this.deleteEvent = (event) => {
            const INDEX = this.selectedAttribute.choices.findIndex((eachChoice) => eachChoice.title === event.title);
            this.selectedAttribute.choices[INDEX].is_selected = false;
        };
        /* The `close` function is an arrow function that takes an optional `event` parameter. */
        this.close = (event) => {
            if (event) {
                this.onSelectedAttributes.emit(this.selectedAttribute);
            }
            else {
                this.onSelectedAttributes.emit();
            }
        };
        /* The `selectAttributes` function is a method that is used to toggle the `is_selected` property of a
       choice in the `selectedAttribute` object. It takes two parameters: `index`, which represents the
       index of the choice in the `selectedAttribute.choices` array, and `event`, which represents the
       event that triggered the selection (e.g., a checkbox click). */
        this.selectAttributes = (index, event) => {
            if (event) {
                this.selectedAttribute.choices[index].is_selected = true;
            }
            else {
                this.selectedAttribute.choices[index].is_selected = false;
            }
        };
    }
    ngOnInit() {
        this.animatePopup();
    }
    /**
     * The `animatePopup` function sets the `animation` property to true, waits for 300 milliseconds, and
     * then sets the `animation` property to false.
     */
    animatePopup() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    /**
     * The selectAll function sets the "is_selected" property to true for each choice in the
     * selectedAttribute.
     */
    selectAll() {
        const IS_SELECT_ALL = !this.isSelectAll;
        this.selectedAttribute.choices.forEach((eachChoice) => {
            eachChoice['is_selected'] = IS_SELECT_ALL;
        });
        if (this.selectedAttribute?.hasOther) {
            this.selectedAttribute['is_other_selected'] = IS_SELECT_ALL;
        }
    }
    /**
     * The function checks if all choices in the selectedAttribute have the "is_selected" property set to
     * true.
     * @returns The code is returning a boolean value indicating whether all choices in the
     * `selectedAttribute` have the `is_selected` property set to `true`.
     */
    get isSelectAll() {
        return (this.selectedAttribute.choices.every((eachChoice) => eachChoice['is_selected'] === true) &&
            ((this.selectedAttribute?.hasOther &&
                this.selectedAttribute['is_other_selected']) ||
                !this.selectedAttribute?.hasOther));
    }
    /**
     * The function returns the selected choices from a list of choices.
     * @returns The `getSelectedValue` method returns an array of choices from the `selectedAttribute`
     * object where the `is_selected` property is set to `true`.
     */
    get getSelectedValue() {
        return this.selectedAttribute.choices.filter((eachChoice) => eachChoice['is_selected'] === true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesCheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AttributesCheckboxComponent, isStandalone: true, selector: "lib-attributes-checkbox", inputs: { selectedAttribute: "selectedAttribute" }, outputs: { onSelectedAttributes: "onSelectedAttributes" }, ngImport: i0, template: "<div class=\"attributes-dialog\" [class.animate]=\"animation\">\n  <div\n    class=\"attributes-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div\n      class=\"vx-fs-14 vx-fw-500 vx-label-txt\"\n      [innerHTML]=\"selectedAttribute?.title\"\n    ></div>\n  </div>\n  <div class=\"attributes-dialog-body\">\n    <div class=\"body-top\" *ngIf=\"selectedAttribute?.choices?.length > 0\">\n      <app-cs-checkbox\n        [ngValue]=\"isSelectAll\"\n        (ngValueChange)=\"selectAll($event)\"\n        ><strong>{{ isSelectAll ? \"Deselect All\" : \"Select All\" }}</strong>\n      </app-cs-checkbox>\n    </div>\n\n    <ul class=\"attributes-dialog-list\">\n      <ng-container>\n        <li\n          *ngFor=\"let choice of selectedAttribute?.choices; let i = index\"\n          #ulElement\n        >\n          <app-cs-checkbox\n            [ngValue]=\"choice.is_selected\"\n            (ngValueChange)=\"selectAttributes(i, $event)\"\n          >\n            <ul class=\"attributes-dialog-name\" #listBlock>\n              <!-- [style.max-width.px]=\"blockWidth / rc.rc_name\" -->\n              <li\n                [appTooltip]=\"choice?.title\"\n                placement=\"bottom\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ choice?.title }}\n              </li>\n            </ul>\n          </app-cs-checkbox>\n        </li>\n\n        <li *ngIf=\"selectedAttribute?.hasOther\">\n          <app-cs-checkbox\n            [ngValue]=\"selectedAttribute.is_other_selected\"\n            (ngValueChange)=\"selectedAttribute['is_other_selected'] = $event\"\n          >\n            <ul class=\"attributes-dialog-name\" #listBlock>\n              <!-- [style.max-width.px]=\"blockWidth / rc.rc_name\" -->\n              <li\n                [appTooltip]=\"selectedAttribute?.otherValue\"\n                placement=\"bottom\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ selectedAttribute?.otherValue }}\n              </li>\n            </ul>\n          </app-cs-checkbox>\n        </li>\n      </ng-container>\n    </ul>\n    <app-no-data\n      *ngIf=\"!selectedAttribute?.choices?.length\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No data to display'\"\n    ></app-no-data>\n\n    <app-floating-bar\n      [selectedData]=\"getSelectedValue\"\n      [displayElementKey]=\"'title'\"\n      (closeEvent)=\"close(getSelectedValue)\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        (getSelectedValue?.length === 0 ||\n          selectedAttribute?.choices?.length === 0) &&\n        !selectedAttribute?.is_other_selected\n      \"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#fff;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .attributes-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .attributes-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .attributes-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .attributes-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .attributes-dialog-body .search-block{position:relative}::ng-deep .attributes-dialog-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .attributes-dialog-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .attributes-dialog-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .attributes-dialog-body .body-top{display:flex;justify-content:space-between}::ng-deep .attributes-dialog-body .body-top app-cs-checkbox{display:flex}::ng-deep .attributes-dialog-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .attributes-dialog-body ul{padding:0;margin:0}::ng-deep .attributes-dialog-body ul.attributes-dialog-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 12.75rem);overflow:auto;margin:1rem 0}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio{display:flex}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox label,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio label{width:100%}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox label span.value,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;line-height:18px!important}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox ul.attributes-dialog-name,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio ul.attributes-dialog-name{display:flex;justify-content:flex-start;width:auto;max-width:100%}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox ul.attributes-dialog-name li,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio ul.attributes-dialog-name li{list-style:none;color:#747576;font-size:12px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 .5rem 0 0;max-width:100%}::ng-deep .attributes-dialog-body app-no-data .no-data-wrapper{height:calc(100vh - 200px)}::ng-deep .attributes-dialog.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .attributes-dialog .message-footer{background:#1e5dd3;border-radius:5px;margin:0 0 0 30px;width:calc(100% - 60px);position:relative;bottom:0}::ng-deep .attributes-dialog .message-footer .message{padding:15px;display:flex;align-items:flex-start}::ng-deep .attributes-dialog .message-footer .message i{width:auto;font-size:16px;color:#fff}::ng-deep .attributes-dialog .message-footer .message span{color:#fff;font-size:12px;line-height:18px;padding-left:9px;font-weight:300}::ng-deep .attributes-dialog .message-footer .footer{border-top:1px solid #1483ef;display:flex;justify-content:space-between;align-items:center;padding:10px 15px}::ng-deep .attributes-dialog .message-footer .footer span{color:#fff;font-size:14px}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper{display:flex}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper button{width:60px;height:32px;display:flex;align-items:center;justify-content:center;cursor:pointer;font-size:11px;font-weight:500;border:1px solid #fff;text-transform:uppercase;border-radius:2px;outline:none;padding:0;margin:0}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper button.outline{background:#1e5dd3;color:#fff}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper button.fill{background:#fff;color:#1e5dd3}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: FloatingBarModule }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "ngmodule", type: FormgroupModule$1 }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-attributes-checkbox', standalone: true, imports: [CommonModule, FormsModule, FloatingBarModule, FormgroupModule$1], inputs: ['selectedAttribute'], outputs: ['onSelectedAttributes'], template: "<div class=\"attributes-dialog\" [class.animate]=\"animation\">\n  <div\n    class=\"attributes-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div\n      class=\"vx-fs-14 vx-fw-500 vx-label-txt\"\n      [innerHTML]=\"selectedAttribute?.title\"\n    ></div>\n  </div>\n  <div class=\"attributes-dialog-body\">\n    <div class=\"body-top\" *ngIf=\"selectedAttribute?.choices?.length > 0\">\n      <app-cs-checkbox\n        [ngValue]=\"isSelectAll\"\n        (ngValueChange)=\"selectAll($event)\"\n        ><strong>{{ isSelectAll ? \"Deselect All\" : \"Select All\" }}</strong>\n      </app-cs-checkbox>\n    </div>\n\n    <ul class=\"attributes-dialog-list\">\n      <ng-container>\n        <li\n          *ngFor=\"let choice of selectedAttribute?.choices; let i = index\"\n          #ulElement\n        >\n          <app-cs-checkbox\n            [ngValue]=\"choice.is_selected\"\n            (ngValueChange)=\"selectAttributes(i, $event)\"\n          >\n            <ul class=\"attributes-dialog-name\" #listBlock>\n              <!-- [style.max-width.px]=\"blockWidth / rc.rc_name\" -->\n              <li\n                [appTooltip]=\"choice?.title\"\n                placement=\"bottom\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ choice?.title }}\n              </li>\n            </ul>\n          </app-cs-checkbox>\n        </li>\n\n        <li *ngIf=\"selectedAttribute?.hasOther\">\n          <app-cs-checkbox\n            [ngValue]=\"selectedAttribute.is_other_selected\"\n            (ngValueChange)=\"selectedAttribute['is_other_selected'] = $event\"\n          >\n            <ul class=\"attributes-dialog-name\" #listBlock>\n              <!-- [style.max-width.px]=\"blockWidth / rc.rc_name\" -->\n              <li\n                [appTooltip]=\"selectedAttribute?.otherValue\"\n                placement=\"bottom\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ selectedAttribute?.otherValue }}\n              </li>\n            </ul>\n          </app-cs-checkbox>\n        </li>\n      </ng-container>\n    </ul>\n    <app-no-data\n      *ngIf=\"!selectedAttribute?.choices?.length\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No data to display'\"\n    ></app-no-data>\n\n    <app-floating-bar\n      [selectedData]=\"getSelectedValue\"\n      [displayElementKey]=\"'title'\"\n      (closeEvent)=\"close(getSelectedValue)\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        (getSelectedValue?.length === 0 ||\n          selectedAttribute?.choices?.length === 0) &&\n        !selectedAttribute?.is_other_selected\n      \"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#fff;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .attributes-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .attributes-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .attributes-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .attributes-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .attributes-dialog-body .search-block{position:relative}::ng-deep .attributes-dialog-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .attributes-dialog-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .attributes-dialog-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .attributes-dialog-body .body-top{display:flex;justify-content:space-between}::ng-deep .attributes-dialog-body .body-top app-cs-checkbox{display:flex}::ng-deep .attributes-dialog-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .attributes-dialog-body ul{padding:0;margin:0}::ng-deep .attributes-dialog-body ul.attributes-dialog-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 12.75rem);overflow:auto;margin:1rem 0}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio{display:flex}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox label,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio label{width:100%}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox label span.value,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;line-height:18px!important}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox ul.attributes-dialog-name,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio ul.attributes-dialog-name{display:flex;justify-content:flex-start;width:auto;max-width:100%}::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-checkbox ul.attributes-dialog-name li,::ng-deep .attributes-dialog-body ul.attributes-dialog-list li app-cs-radio ul.attributes-dialog-name li{list-style:none;color:#747576;font-size:12px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 .5rem 0 0;max-width:100%}::ng-deep .attributes-dialog-body app-no-data .no-data-wrapper{height:calc(100vh - 200px)}::ng-deep .attributes-dialog.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .attributes-dialog .message-footer{background:#1e5dd3;border-radius:5px;margin:0 0 0 30px;width:calc(100% - 60px);position:relative;bottom:0}::ng-deep .attributes-dialog .message-footer .message{padding:15px;display:flex;align-items:flex-start}::ng-deep .attributes-dialog .message-footer .message i{width:auto;font-size:16px;color:#fff}::ng-deep .attributes-dialog .message-footer .message span{color:#fff;font-size:12px;line-height:18px;padding-left:9px;font-weight:300}::ng-deep .attributes-dialog .message-footer .footer{border-top:1px solid #1483ef;display:flex;justify-content:space-between;align-items:center;padding:10px 15px}::ng-deep .attributes-dialog .message-footer .footer span{color:#fff;font-size:14px}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper{display:flex}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper button{width:60px;height:32px;display:flex;align-items:center;justify-content:center;cursor:pointer;font-size:11px;font-weight:500;border:1px solid #fff;text-transform:uppercase;border-radius:2px;outline:none;padding:0;margin:0}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper button.outline{background:#1e5dd3;color:#fff}::ng-deep .attributes-dialog .message-footer .footer .button-wrapper button.fill{background:#fff;color:#1e5dd3}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; } });

class AttributesComponent {
    constructor(grcService) {
        this.grcService = grcService;
        this.VALIDATION_MESSAGE = VALIDATION_MESSAGE;
        this.attributesInfo = {
            name: 'Assets',
            description: 'Credit was comes in, Debit what goes out',
            value: 1,
            attributes: [],
        };
        this.CDN_LINK = LINKS;
        this.openedPopup = '';
        this.currentIndex = -1;
        this.isFormSubmitted = false;
        this.disabled = false;
        this.multiPlaceholderText = 'Select the relevant option';
        this.onAttributesSelection = new EventEmitter();
        this.onClick = new EventEmitter();
        this.onDataSelection = (data, index) => {
            this.attributesInfo.attributes[index].choices = data;
            this.onAttributesSelection.emit(this.attributesInfo);
        };
        /* The `onPopupOpen` function is a method in the `AttributesComponent` class. It is used to handle the
      event when a popup is opened for a specific attribute. */
        this.onPopupOpen = (type, data, index) => {
            this.selectedAttribute = JSON.parse(JSON.stringify(data));
            this.openedPopup = type;
            this.currentIndex = index;
            if (['checkbox'].includes(type)) {
                this.onClick.emit(true);
            }
        };
    }
    ngOnInit() { }
    /**
     * The close function updates the attributesInfo, openedPopup, currentIndex, and selectedAttribute
     * properties.
     * @param {any} event - The event parameter is an object that represents the event that triggered the
     * close function. It could be any type of event, such as a mouse click or a keyboard event.
     */
    close(event) {
        if (event) {
            this.attributesInfo.attributes[this.currentIndex] = event;
        }
        this.openedPopup = '';
        this.currentIndex = -1;
        this.selectedAttribute = null;
        this.onClick.emit(false);
    }
    onRemoveData(removedInfo, index) {
        if (this.attributesInfo.attributes[index]?.hasOther &&
            removedInfo?.data?.item_name?.toLowerCase() === 'other') {
            this.attributesInfo.attributes[index].is_other_selected = false;
            return;
        }
        const INDEX = this.attributesInfo.attributes[index].choices.findIndex((choice) => choice.title === removedInfo.data.title);
        this.attributesInfo.attributes[index].choices[INDEX].is_selected = false;
        this.onAttributesSelection.emit(this.attributesInfo);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesComponent, deps: [{ token: GrcService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AttributesComponent, isStandalone: true, selector: "lib-attributes", inputs: { attributesInfo: "attributesInfo", isFormSubmitted: "isFormSubmitted", disabled: "disabled" }, outputs: { onAttributesSelection: "onAttributesSelection", onClick: "onClick" }, ngImport: i0, template: "<ng-container>\n  <div\n    class=\"custom-label vx-fs-10 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mb-5 vx-lh-4 vx-d-inline-block\"\n  >\n    Attributes\n  </div>\n  <ng-container\n    *ngFor=\"let eachAttributes of attributesInfo.attributes; let i = index\"\n  >\n    <div\n      *ngIf=\"eachAttributes?.type === 'single-textbox'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n    >\n      <div class=\"right\">\n        <lib-attributes-text-box\n          [attributeInfo]=\"eachAttributes\"\n          (onValueChange)=\"attributesInfo.attributes[i] = $event\"\n          [isValidationError]=\"\n            isFormSubmitted && !(eachAttributes | isAttributesValid)\n          \"\n        >\n        </lib-attributes-text-box>\n      </div>\n    </div>\n\n    <!-- Installation date -->\n    <div\n      *ngIf=\"eachAttributes?.type === 'date-time'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.customFields\"\n        [isChecked]=\"eachAttributes?.choices[0]?.value\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <div class=\"right\">\n        <lib-date-picker [valueDetails]=\"eachAttributes\"></lib-date-picker>\n        <p\n          *ngIf=\"isFormSubmitted && !(eachAttributes | isAttributesValid)\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n          error-message\n        >\n          {{ VALIDATION_MESSAGE.attributes }}\n        </p>\n      </div>\n    </div>\n\n    <!-- Hosting type -->\n    <div\n      *ngIf=\"eachAttributes?.type === 'dropdown'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.customFields\"\n        [isChecked]=\"(eachAttributes | getSelectedValue).length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <div class=\"right\">\n        <lib-attributes-dropdown\n          [dropdownInfo]=\"eachAttributes\"\n          (onDataSelection)=\"onDataSelection($event, i)\"\n          [isValidationError]=\"\n            isFormSubmitted && !(eachAttributes | isAttributesValid)\n          \"\n        ></lib-attributes-dropdown>\n      </div>\n    </div>\n\n    <!-- Hosting location -->\n    <div\n      *ngIf=\"eachAttributes?.type === 'checkbox'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n      [class.active]=\"false\"\n    >\n      <div class=\"right\">\n        <lib-text-field\n          [isEditMode]=\"\n            (eachAttributes | getSelectedValue).length && openedPopup == ''\n          \"\n          [titleText]=\"eachAttributes?.title\"\n          [placeholderText]=\"multiPlaceholderText\"\n          [isReadOnly]=\"true\"\n          (onClick)=\"onPopupOpen('checkbox', eachAttributes, i)\"\n        >\n          <lib-text-field-icon\n            [cdnLink]=\"CDN_LINK.customFields\"\n            [isChecked]=\"(eachAttributes | getSelectedValue).length > 0\"\n            field-icons\n          >\n          </lib-text-field-icon>\n          <span *ngIf=\"eachAttributes?.isRequired\" class=\"required\" is-required\n            >*</span\n          >\n\n          <lib-edit-mode\n            *ngIf=\"\n              (eachAttributes | getSelectedValue).length && openedPopup == ''\n            \"\n            (onRemoveData)=\"onRemoveData($event, i)\"\n            [selectedData]=\"eachAttributes | getSelectedValue\"\n            [type]=\"'list'\"\n            (isOnEdit)=\"onPopupOpen('checkbox', eachAttributes, i)\"\n            edit-mode\n          ></lib-edit-mode>\n          <p\n            *ngIf=\"isFormSubmitted && !(eachAttributes | isAttributesValid)\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n            error-message\n          >\n            {{ VALIDATION_MESSAGE.attributes }}\n          </p>\n        </lib-text-field>\n      </div>\n    </div>\n  </ng-container>\n  <!-- Technical security -->\n</ng-container>\n\n<lib-attributes-checkbox\n  *ngIf=\"openedPopup === 'checkbox'\"\n  [selectedAttribute]=\"selectedAttribute\"\n  (onSelectedAttributes)=\"close($event)\"\n></lib-attributes-checkbox>\n", styles: [".custom-label{background:#747576;border-radius:.125rem;position:relative;z-index:1}.custom-label:before{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:5.25rem;width:23.25rem;height:1px;z-index:-1}.custom-label:after{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:-2.5rem;width:2.5rem;height:1px;z-index:-1}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "ngmodule", type: TooltipModule }, { kind: "ngmodule", type: FormgroupModule }, { kind: "component", type: VCDatePickerComponent, selector: "lib-date-picker", inputs: ["valueDetails"] }, { kind: "component", type: AttributesTextBoxComponent, selector: "lib-attributes-text-box", inputs: ["attributeInfo", "inputValue", "isValidationError"], outputs: ["onValueChange"] }, { kind: "component", type: TextFieldIconComponent, selector: "lib-text-field-icon", inputs: ["cdnLink", "altName", "isChecked"] }, { kind: "component", type: AttributesDropdownComponent, selector: "lib-attributes-dropdown", inputs: ["dropdownInfo", "isValidationError"], outputs: ["onDataSelection"] }, { kind: "component", type: AttributesCheckboxComponent, selector: "lib-attributes-checkbox", inputs: ["selectedAttribute"], outputs: ["onSelectedAttributes"] }, { kind: "component", type: TextFieldComponent, selector: "lib-text-field", inputs: ["titleText", "placeholderText", "textValue", "isReadOnly", "isEditMode", "disabled", "active"], outputs: ["textValueChange", "onClick", "clickOutside"] }, { kind: "ngmodule", type: WorkflowPipesModule }, { kind: "pipe", type: GetSelectedValuePipe, name: "getSelectedValue" }, { kind: "pipe", type: IsAttributesValidPipe, name: "isAttributesValid" }, { kind: "component", type: EditModeComponent, selector: "lib-edit-mode", inputs: ["selectedData", "type", "nonRemovableIds", "isMultiple", "countColor", "nameDisplayKey"], outputs: ["isOnEdit", "onRemoveData"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AttributesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-attributes', standalone: true, imports: [
                        CommonModule,
                        PopoverModule,
                        TooltipModule,
                        FormgroupModule,
                        VCDatePickerComponent,
                        AttributesTextBoxComponent,
                        TextFieldIconComponent,
                        AttributesDropdownComponent,
                        AttributesCheckboxComponent,
                        TextFieldComponent,
                        WorkflowPipesModule,
                        EditModeComponent,
                    ], inputs: ['attributesInfo', 'isFormSubmitted', 'disabled'], outputs: ['onAttributesSelection', 'onClick'], template: "<ng-container>\n  <div\n    class=\"custom-label vx-fs-10 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mb-5 vx-lh-4 vx-d-inline-block\"\n  >\n    Attributes\n  </div>\n  <ng-container\n    *ngFor=\"let eachAttributes of attributesInfo.attributes; let i = index\"\n  >\n    <div\n      *ngIf=\"eachAttributes?.type === 'single-textbox'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n    >\n      <div class=\"right\">\n        <lib-attributes-text-box\n          [attributeInfo]=\"eachAttributes\"\n          (onValueChange)=\"attributesInfo.attributes[i] = $event\"\n          [isValidationError]=\"\n            isFormSubmitted && !(eachAttributes | isAttributesValid)\n          \"\n        >\n        </lib-attributes-text-box>\n      </div>\n    </div>\n\n    <!-- Installation date -->\n    <div\n      *ngIf=\"eachAttributes?.type === 'date-time'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.customFields\"\n        [isChecked]=\"eachAttributes?.choices[0]?.value\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <div class=\"right\">\n        <lib-date-picker [valueDetails]=\"eachAttributes\"></lib-date-picker>\n        <p\n          *ngIf=\"isFormSubmitted && !(eachAttributes | isAttributesValid)\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n          error-message\n        >\n          {{ VALIDATION_MESSAGE.attributes }}\n        </p>\n      </div>\n    </div>\n\n    <!-- Hosting type -->\n    <div\n      *ngIf=\"eachAttributes?.type === 'dropdown'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.customFields\"\n        [isChecked]=\"(eachAttributes | getSelectedValue).length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <div class=\"right\">\n        <lib-attributes-dropdown\n          [dropdownInfo]=\"eachAttributes\"\n          (onDataSelection)=\"onDataSelection($event, i)\"\n          [isValidationError]=\"\n            isFormSubmitted && !(eachAttributes | isAttributesValid)\n          \"\n        ></lib-attributes-dropdown>\n      </div>\n    </div>\n\n    <!-- Hosting location -->\n    <div\n      *ngIf=\"eachAttributes?.type === 'checkbox'\"\n      class=\"form-group-row\"\n      [class.disabled]=\"disabled\"\n      [class.active]=\"false\"\n    >\n      <div class=\"right\">\n        <lib-text-field\n          [isEditMode]=\"\n            (eachAttributes | getSelectedValue).length && openedPopup == ''\n          \"\n          [titleText]=\"eachAttributes?.title\"\n          [placeholderText]=\"multiPlaceholderText\"\n          [isReadOnly]=\"true\"\n          (onClick)=\"onPopupOpen('checkbox', eachAttributes, i)\"\n        >\n          <lib-text-field-icon\n            [cdnLink]=\"CDN_LINK.customFields\"\n            [isChecked]=\"(eachAttributes | getSelectedValue).length > 0\"\n            field-icons\n          >\n          </lib-text-field-icon>\n          <span *ngIf=\"eachAttributes?.isRequired\" class=\"required\" is-required\n            >*</span\n          >\n\n          <lib-edit-mode\n            *ngIf=\"\n              (eachAttributes | getSelectedValue).length && openedPopup == ''\n            \"\n            (onRemoveData)=\"onRemoveData($event, i)\"\n            [selectedData]=\"eachAttributes | getSelectedValue\"\n            [type]=\"'list'\"\n            (isOnEdit)=\"onPopupOpen('checkbox', eachAttributes, i)\"\n            edit-mode\n          ></lib-edit-mode>\n          <p\n            *ngIf=\"isFormSubmitted && !(eachAttributes | isAttributesValid)\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n            error-message\n          >\n            {{ VALIDATION_MESSAGE.attributes }}\n          </p>\n        </lib-text-field>\n      </div>\n    </div>\n  </ng-container>\n  <!-- Technical security -->\n</ng-container>\n\n<lib-attributes-checkbox\n  *ngIf=\"openedPopup === 'checkbox'\"\n  [selectedAttribute]=\"selectedAttribute\"\n  (onSelectedAttributes)=\"close($event)\"\n></lib-attributes-checkbox>\n", styles: [".custom-label{background:#747576;border-radius:.125rem;position:relative;z-index:1}.custom-label:before{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:5.25rem;width:23.25rem;height:1px;z-index:-1}.custom-label:after{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:-2.5rem;width:2.5rem;height:1px;z-index:-1}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: GrcService }]; } });

class SmileyDialogInlineComponent {
    handleKeyboardEvent(event) {
        if (event.key === 'Escape') {
            this.smileyCloseEmitter({});
        }
    }
    constructor() {
        this.action = new EventEmitter();
        this.closeSmiley = new EventEmitter();
    }
    ngOnInit() {
        setTimeout(() => {
            this.smileyCloseEmitter();
        }, 5000);
    }
    actionEmitter(event) {
        this.action.emit(event?.id);
    }
    smileyCloseEmitter(event) {
        this.closeSmiley.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogInlineComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: { message: "message", actionButtons: "actionButtons" }, outputs: { action: "action", closeSmiley: "closeSmiley" }, host: { listeners: { "window:keyup": "handleKeyboardEvent($event)" } }, ngImport: i0, template: "<div class=\"vx-smiley-popup\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"vx-smiley-container vx-text-center\">\n      <div class=\"vx-smiley\">\n          <div class=\"vx-smiley-circle happy\">\n              <div class=\"vx-smiley-circle-inner\">\n                  <div class=\"eyes\">\n                      <div class=\"eye\"></div>\n                      <div class=\"eye\"></div>\n                  </div>\n                  <div class=\"mouth\"></div>\n              </div>\n          </div>\n      </div>\n      <h3>{{ message }}</h3>\n      <div class=\"successSmilyButton\">\n        <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n          {{ button?.buttonText }}\n        </button>\n      </div>\n  </div>\n</div>\n<!-- active -->\n<!-- <div class=\"workflow-smiley-popup active\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"workflow-smiley-container\">\n    <div class=\"smiley-inner\">\n      <div class=\"smiley-circle active\">\n        <div class=\"smiley-circle-inner\">\n          <div class=\"eyes\">\n            <div class=\"eye\"></div>\n            <div class=\"eye\"></div>\n          </div>\n          <div class=\"mouth\"></div>\n        </div>\n      </div>\n    </div>\n    <h3>{{ message }}</h3>\n    <div class=\"successSmileyButton\">\n      <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n        {{ button?.buttonText }}\n      </button>\n    </div>\n  </div>\n</div> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";.vx-smiley-popup{position:absolute;inset:0;background:#fff;z-index:9;display:flex;justify-content:center;align-items:center}.vx-smiley-popup .close{color:#161b2f;font-size:22px;position:absolute;top:8px;right:8px;z-index:10;background:none;border:none;padding:0;cursor:pointer;width:auto!important;min-width:auto}button{background:#fff;border:1px solid #1e5dd3;color:#1e5dd3;font-size:11px;font-weight:500;margin:0 5px;border-radius:3px;padding:8px 12px;width:auto!important;height:32px;cursor:pointer;text-transform:uppercase;min-width:168px}button.blue-btn{background:#1e5dd3;color:#fff}.vx-smiley-container{width:550px;position:relative;z-index:10}.vx-smiley-container .vx-smiley{display:block;width:500px;height:250px;overflow:hidden;position:relative;animation:slide-fwd-center .45s cubic-bezier(.68,-.55,.265,1.55) both;margin:0 auto 24px}.vx-smiley-container .vx-smiley:before{position:absolute;background:#ffedc5;width:40px;height:40px;content:\"\";border-radius:50%;top:70px;right:135px}.vx-smiley-container .vx-smiley:after{position:absolute;background:#ffbf15;width:25px;height:25px;border-radius:50%;content:\"\";top:150px;left:130px}.vx-smiley-container .vx-smiley-circle{background:#ffd83d;border-radius:100%;padding:24px;position:relative;width:185px;height:185px;margin:0 auto;box-shadow:inset -16px -10px #f4c337}.vx-smiley-container .vx-smiley-circle:before{width:16px;height:4px;background:#ffbf15;position:absolute;content:\"\";top:85px;left:-46px}.vx-smiley-container .vx-smiley-circle:after{width:4px;height:16px;background:#ffbf15;position:absolute;content:\"\";top:79px;left:-40px}.vx-smiley-container .vx-smiley-circle-inner{height:105px;width:110px;margin:0 auto}.vx-smiley-container .vx-smiley-circle-inner .eyes{width:110px;margin:20px auto 0;box-sizing:border-box;padding:0 4px;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle-inner .eyes:before{width:4px;height:16px;background:#ffbf15;position:absolute;content:\"\";top:2px;right:-9px}.vx-smiley-container .vx-smiley-circle-inner .eyes:after{width:16px;height:4px;background:#ffbf15;position:absolute;content:\"\";top:8px;right:-15px}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye{width:30px;height:30px;background:#404549;float:left;border-radius:100%;overflow:hidden;position:relative}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye:before{position:absolute;width:8px;height:8px;content:\"\";background:#ffe9b0;border-radius:50%;top:6px;left:1px}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye:after{display:block;content:\"\";position:absolute;width:0;height:0;background:#fed800;transform:rotate(0);top:-16px;left:4px;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye:nth-of-type(2){float:right}.vx-smiley-container .vx-smiley-circle-inner .mouth{border-radius:100px;height:76px;width:150px;margin:0 auto;box-sizing:border-box;position:absolute;left:0;right:0;background:#404549;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle-inner .mouth:before{width:94px;height:94px;position:absolute;opacity:0;bottom:-508px;left:-6px;background:#ffd83d;content:\"\";border-radius:46px;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle.happy .eyes .eye{height:30px;margin-top:0;animation:wink 3s infinite}.vx-smiley-container .vx-smiley-circle.happy .mouth{animation:move-mouth-down .3s;animation-delay:.3s;animation-fill-mode:forwards}.vx-smiley-container .vx-smiley-circle.sad .eyes .eye{animation:wink2 3s infinite}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner{animation:move-angry-head .6s;animation-delay:.3s;animation-fill-mode:forwards}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .eyes:before{top:-42px;right:-48px}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .eyes:after{top:-36px;right:-54px}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .mouth{width:80px;height:38px;border-radius:100px 100px 0 0;top:50px}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .mouth:before{width:80px;height:70px;background:#ffd83d;content:\"\";bottom:-42px;left:0;opacity:1;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container h3{font-size:26px;color:#161b2f;font-weight:400;margin:0 0 40px;padding:0 40px}.vx-smiley-container .successSmilyButton{margin:0 auto;width:245px}.vx-smiley-container .successSmilyButton button{width:245px!important;height:36px;display:block;background:#fff;border:1px solid #F1F1F1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;text-transform:uppercase;margin-bottom:8px}.vx-smiley-container .successSmilyButton button.blue-btn{background:#1e5dd3;border:1px solid #1E5DD3;color:#fff}@keyframes slide-fwd-center{0%{transform:scale(0)}to{transform:scale(1)}}@keyframes move-mouth-down{0%{border-radius:100px;height:10%;width:40%;margin:0 auto;box-sizing:border-box;position:absolute;bottom:18%;left:0;right:0;background:#404549;transition:all .3s cubic-bezier(.645,.045,.355,1)}to{width:60%;height:30%;border-radius:0 0 100px 100px;box-sizing:border-box;position:absolute;bottom:18%;background:#404549;transition:all .3s cubic-bezier(.645,.045,.355,1)}}@keyframes wink{0%{height:30px;margin-top:0}10%{height:30px;margin-top:0}15%{height:4px;margin-top:18px}20%{height:30px;margin-top:0}to{height:30px;margin-top:0}}@keyframes wink2{0%{height:30px;margin-top:0}10%{height:30px;margin-top:0}15%{height:4px;margin-top:18px}20%{height:30px;margin-top:0}to{height:30px;margin-top:0}}@keyframes move-angry-head{0%{transform:translate(0)}20%{transform:translate(-20%)}40%{transform:translate(15%)}60%{transform:translate(-10%)}80%{transform:translate(5%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogInlineComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-smiley-dialog-inline', template: "<div class=\"vx-smiley-popup\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"vx-smiley-container vx-text-center\">\n      <div class=\"vx-smiley\">\n          <div class=\"vx-smiley-circle happy\">\n              <div class=\"vx-smiley-circle-inner\">\n                  <div class=\"eyes\">\n                      <div class=\"eye\"></div>\n                      <div class=\"eye\"></div>\n                  </div>\n                  <div class=\"mouth\"></div>\n              </div>\n          </div>\n      </div>\n      <h3>{{ message }}</h3>\n      <div class=\"successSmilyButton\">\n        <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n          {{ button?.buttonText }}\n        </button>\n      </div>\n  </div>\n</div>\n<!-- active -->\n<!-- <div class=\"workflow-smiley-popup active\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"workflow-smiley-container\">\n    <div class=\"smiley-inner\">\n      <div class=\"smiley-circle active\">\n        <div class=\"smiley-circle-inner\">\n          <div class=\"eyes\">\n            <div class=\"eye\"></div>\n            <div class=\"eye\"></div>\n          </div>\n          <div class=\"mouth\"></div>\n        </div>\n      </div>\n    </div>\n    <h3>{{ message }}</h3>\n    <div class=\"successSmileyButton\">\n      <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n        {{ button?.buttonText }}\n      </button>\n    </div>\n  </div>\n</div> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";.vx-smiley-popup{position:absolute;inset:0;background:#fff;z-index:9;display:flex;justify-content:center;align-items:center}.vx-smiley-popup .close{color:#161b2f;font-size:22px;position:absolute;top:8px;right:8px;z-index:10;background:none;border:none;padding:0;cursor:pointer;width:auto!important;min-width:auto}button{background:#fff;border:1px solid #1e5dd3;color:#1e5dd3;font-size:11px;font-weight:500;margin:0 5px;border-radius:3px;padding:8px 12px;width:auto!important;height:32px;cursor:pointer;text-transform:uppercase;min-width:168px}button.blue-btn{background:#1e5dd3;color:#fff}.vx-smiley-container{width:550px;position:relative;z-index:10}.vx-smiley-container .vx-smiley{display:block;width:500px;height:250px;overflow:hidden;position:relative;animation:slide-fwd-center .45s cubic-bezier(.68,-.55,.265,1.55) both;margin:0 auto 24px}.vx-smiley-container .vx-smiley:before{position:absolute;background:#ffedc5;width:40px;height:40px;content:\"\";border-radius:50%;top:70px;right:135px}.vx-smiley-container .vx-smiley:after{position:absolute;background:#ffbf15;width:25px;height:25px;border-radius:50%;content:\"\";top:150px;left:130px}.vx-smiley-container .vx-smiley-circle{background:#ffd83d;border-radius:100%;padding:24px;position:relative;width:185px;height:185px;margin:0 auto;box-shadow:inset -16px -10px #f4c337}.vx-smiley-container .vx-smiley-circle:before{width:16px;height:4px;background:#ffbf15;position:absolute;content:\"\";top:85px;left:-46px}.vx-smiley-container .vx-smiley-circle:after{width:4px;height:16px;background:#ffbf15;position:absolute;content:\"\";top:79px;left:-40px}.vx-smiley-container .vx-smiley-circle-inner{height:105px;width:110px;margin:0 auto}.vx-smiley-container .vx-smiley-circle-inner .eyes{width:110px;margin:20px auto 0;box-sizing:border-box;padding:0 4px;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle-inner .eyes:before{width:4px;height:16px;background:#ffbf15;position:absolute;content:\"\";top:2px;right:-9px}.vx-smiley-container .vx-smiley-circle-inner .eyes:after{width:16px;height:4px;background:#ffbf15;position:absolute;content:\"\";top:8px;right:-15px}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye{width:30px;height:30px;background:#404549;float:left;border-radius:100%;overflow:hidden;position:relative}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye:before{position:absolute;width:8px;height:8px;content:\"\";background:#ffe9b0;border-radius:50%;top:6px;left:1px}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye:after{display:block;content:\"\";position:absolute;width:0;height:0;background:#fed800;transform:rotate(0);top:-16px;left:4px;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle-inner .eyes .eye:nth-of-type(2){float:right}.vx-smiley-container .vx-smiley-circle-inner .mouth{border-radius:100px;height:76px;width:150px;margin:0 auto;box-sizing:border-box;position:absolute;left:0;right:0;background:#404549;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle-inner .mouth:before{width:94px;height:94px;position:absolute;opacity:0;bottom:-508px;left:-6px;background:#ffd83d;content:\"\";border-radius:46px;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container .vx-smiley-circle.happy .eyes .eye{height:30px;margin-top:0;animation:wink 3s infinite}.vx-smiley-container .vx-smiley-circle.happy .mouth{animation:move-mouth-down .3s;animation-delay:.3s;animation-fill-mode:forwards}.vx-smiley-container .vx-smiley-circle.sad .eyes .eye{animation:wink2 3s infinite}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner{animation:move-angry-head .6s;animation-delay:.3s;animation-fill-mode:forwards}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .eyes:before{top:-42px;right:-48px}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .eyes:after{top:-36px;right:-54px}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .mouth{width:80px;height:38px;border-radius:100px 100px 0 0;top:50px}.vx-smiley-container .vx-smiley-circle.sad .vx-smiley-circle-inner .mouth:before{width:80px;height:70px;background:#ffd83d;content:\"\";bottom:-42px;left:0;opacity:1;transition:all .3s cubic-bezier(.645,.045,.355,1)}.vx-smiley-container h3{font-size:26px;color:#161b2f;font-weight:400;margin:0 0 40px;padding:0 40px}.vx-smiley-container .successSmilyButton{margin:0 auto;width:245px}.vx-smiley-container .successSmilyButton button{width:245px!important;height:36px;display:block;background:#fff;border:1px solid #F1F1F1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;text-transform:uppercase;margin-bottom:8px}.vx-smiley-container .successSmilyButton button.blue-btn{background:#1e5dd3;border:1px solid #1E5DD3;color:#fff}@keyframes slide-fwd-center{0%{transform:scale(0)}to{transform:scale(1)}}@keyframes move-mouth-down{0%{border-radius:100px;height:10%;width:40%;margin:0 auto;box-sizing:border-box;position:absolute;bottom:18%;left:0;right:0;background:#404549;transition:all .3s cubic-bezier(.645,.045,.355,1)}to{width:60%;height:30%;border-radius:0 0 100px 100px;box-sizing:border-box;position:absolute;bottom:18%;background:#404549;transition:all .3s cubic-bezier(.645,.045,.355,1)}}@keyframes wink{0%{height:30px;margin-top:0}10%{height:30px;margin-top:0}15%{height:4px;margin-top:18px}20%{height:30px;margin-top:0}to{height:30px;margin-top:0}}@keyframes wink2{0%{height:30px;margin-top:0}10%{height:30px;margin-top:0}15%{height:4px;margin-top:18px}20%{height:30px;margin-top:0}to{height:30px;margin-top:0}}@keyframes move-angry-head{0%{transform:translate(0)}20%{transform:translate(-20%)}40%{transform:translate(15%)}60%{transform:translate(-10%)}80%{transform:translate(5%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { message: [{
                type: Input
            }], actionButtons: [{
                type: Input
            }], action: [{
                type: Output
            }], closeSmiley: [{
                type: Output
            }], handleKeyboardEvent: [{
                type: HostListener,
                args: ['window:keyup', ['$event']]
            }] } });

class GrcObjectContainerComponent {
    constructor(grcService, apiService, authService, uiKitService, complianceCommonService, organizationCommonService, iframeService) {
        this.grcService = grcService;
        this.apiService = apiService;
        this.authService = authService;
        this.uiKitService = uiKitService;
        this.complianceCommonService = complianceCommonService;
        this.organizationCommonService = organizationCommonService;
        this.iframeService = iframeService;
        this.MODE = 'CREATE';
        this.ID = '';
        this.ALL_TEXT = FIELD_TEXT;
        this.CDN_LINK = LINKS;
        this.VALIDATION_MESSAGE = VALIDATION_MESSAGE;
        this.GRC_TYPE_ARRAY = GRC_TYPE_ARRAY;
        this.EDITOR_CONFIG = GrcService.EDITOR_CONFIG;
        this.otherGRCCard = JSON.parse(JSON.stringify(OTHER_GRC_CARD));
        this.LIST_POPUP = ['RC'];
        this.smileyMessage = SUCCESS_MESSAGE.ADD_GRC_OBJECT;
        this.INPUT_TYPE = {
            name: 'NAME',
            owner: 'OWNER',
            RC: 'RC',
            riskCategory: 'RISK_CATEGORY',
            otherGrcObjects: 'OTHER_GRC_OBJECTS',
            programResponsibility: 'PROGRAM_RESPONSIBILITY',
        };
        this.dialogFields = [
            'RC',
            'OWNER',
            'OTHER_GRC_OBJECTS',
            'RISK_CATEGORY',
            'ATTRIBUTES',
            'PROGRAM_RESPONSIBILITY',
        ];
        this.scrollToBottom = false;
        this.grcType = 0;
        this.disabledIds = [];
        this.openedPopup = '';
        this.isLoading = true;
        this.additionalOption = {
            ATTRIBUTES: false,
            LINK_PROGRAM: false,
            LINK_RISK_CATEGORIES_RISKS: false,
            OTHER_GRC_OBJECTS: false,
        };
        this.grcForm = {
            grcObjectType: false,
            linkProgram: false,
            linkRisk: false,
            otherGrcObjects: false,
        };
        this.showSmiley = false;
        this.actionButtons = SMILEY_BUTTONS;
        this.grcDataWithTypes = {
            assets: [],
            processes: [],
            vendors: [],
            inventory: [],
        };
        this.GRCSelectedTab = 0;
        this.otherGRCTabIndex = OTHER_GRC_TAB_INDEX;
        this.isFormSubmitted = false;
        this.grcNameValidationError = '';
        this.isDuplicateName = false;
        this.detailsLoader = false;
        this.selectedCategories = [];
        this.selectedRisks = [];
        this.otherGRCSearch = '';
        this.grcTabLoader = false;
        this.selectedProgram = [];
        this.selectedResponsibility = [];
        this.submitLoader = false;
        this.populateOption = new EventEmitter();
        this.pickerChanged = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.resetForm = new EventEmitter();
        this.hideElementsFromMoreOptions = new EventEmitter();
        this.hideMoreOption = [];
    }
    ngOnDestroy() {
        this.resetGRCForm();
    }
    ngOnInit() {
        this.grcPayload = JSON.parse(JSON.stringify(this.grcService.GRC_PAYLOAD));
        this.grcPayload.type = this.grcType;
        this.listObject = this.grcService.LIST_OBJECT;
        this._initiateAPI();
        this.getSubscriptionDetails();
    }
    getSubscriptionDetails() {
        this.organizationCommonService?.getSubscriptionDetailsInfo()?.subscribe({
            next: (res) => {
                if (!res[0]?.risk_flag) {
                    this.hideMoreOption.push('LINK_RISK_CATEGORIES_RISKS');
                    this.hideElementsFromMoreOptions.emit(this.hideMoreOption);
                }
            },
            error: (err) => {
                console.error(err);
            }
        });
    }
    populateOptionalFields() {
        const activatedOptions = [];
        for (const key of Object.keys(this.additionalOption)) {
            if (this.additionalOption[key] === true) {
                activatedOptions.push(key);
            }
        }
        this.populateOption.emit(activatedOptions);
    }
    //TODO: implement this
    addMoreInfo(event) {
        switch (event?.code) {
            case 'ATTRIBUTES':
                this.grcForm.grcObjectType = event?.checked;
                break;
            case 'LINK_PROGRAM':
                this.grcForm.linkProgram = event?.checked;
                break;
            case 'LINK_RISK_CATEGORIES_RISKS':
                this.grcForm.linkRisk = event?.checked;
                break;
            case 'OTHER_GRC_OBJECTS':
                this.grcForm.otherGrcObjects = event?.checked;
                break;
        }
        this.scrollToBottom = true;
    }
    //TODO: implement this
    onTextChange(event) {
        this.grcPayload.name = event.trim();
        this.openedPopup = '';
        this.grcNameValidationError = '';
        this.isDuplicateName = false;
    }
    //TODO: implement this
    onPopupOpen(type) {
        switch (type) {
            case 'OWNER':
            case 'RC':
                this.openedPopup = type;
                this.pickerChanged.emit(true);
                break;
            case 'OTHER_GRC_OBJECTS':
                this.openedPopup = type;
                this.getOtherGRCObjects({ rc_ids: '' });
                this.getOtherGRCTabCount({ rc_ids: '' });
                this.pickerChanged.emit(true);
                break;
            case 'RISK_CATEGORY':
                this.openedPopup = type;
                this.authService.previewPanel.next(true);
                this.pickerChanged.emit(true);
                break;
            case 'PROGRAM_RESPONSIBILITY':
                this.openedPopup = type;
                this.authService.previewPanel.next(true);
                this.pickerChanged.emit(true);
                break;
            default:
        }
    }
    onSaveSelectedList(event) {
        this.listObject = event;
        if (this.openedPopup === 'OTHER_GRC_OBJECTS') {
            this.setOtherGRCTypesFormate();
        }
        this.setListPayload(this.openedPopup);
        this.openedPopup = '';
        this.pickerChanged.emit(false);
        this.authService.previewPanel.next(false);
    }
    getAttributeSelection(event) {
        if (event) {
            this.openedPopup = '';
            this.pickerChanged.emit(true);
        }
        else {
            this.openedPopup = '';
            this.pickerChanged.emit(false);
            this.authService.previewPanel.next(false);
        }
    }
    setListPayload(type) {
        if (type === 'OWNER') {
            this.grcPayload.owners = this.listObject.OWNER.selectedData.map((item) => item.member_id);
        }
        if (type === 'RC') {
            let previousRCIds = JSON.parse(JSON.stringify(this.grcPayload.rc_ids));
            this.grcPayload.rc_ids = this.listObject.RC.selectedData.map((item) => item?._id);
            if (!previousRCIds.every((id) => this.grcPayload.rc_ids.includes(id))) {
                this.resetDataOnRCChange();
            }
        }
        if (type === 'OTHER_GRC_OBJECTS') {
            this.grcPayload.linked_GRC_ids =
                this.listObject.OTHER_GRC_OBJECTS.selectedData.map((item) => item._id);
        }
        if (type === 'RISK_CATEGORY') {
            this.grcPayload.risk_category_ids = this.getRiskCategoryPayload(this.listObject?.RISK_CATEGORY?.selectedData);
        }
        if (type === 'PROGRAM_RESPONSIBILITY') {
            this.grcPayload.program_category_ids =
                this.getProgramResponsibilityPayload(this.listObject?.PROGRAM_RESPONSIBILITY?.selectedData);
        }
    }
    onClickOutside() {
        //this.openedPopup = '';
    }
    onEdit(event, subType) {
        this.openedPopup = event;
        if (event === 'OTHER_GRC_OBJECTS') {
            this.GRCSelectedTab = this.otherGRCTabIndex[subType] ?? 0;
            this.getOtherGRCObjects({ type: this.GRCSelectedTab, rc_ids: '' });
            this.getOtherGRCTabCount({ rc_ids: '' });
        }
        if (this.LIST_POPUP.includes(event)) {
            this.pickerChanged.emit(true);
            // this.authService.previewPanel.next(true);
        }
        if (event === 'RISK_CATEGORY' || event === 'PROGRAM_RESPONSIBILITY') {
            this.authService.previewPanel.next(true);
        }
    }
    onRemoveData(event, type) {
        switch (type) {
            case 'RC':
                this.listObject[type].selectedData.splice(event.index, 1);
                this.resetDataOnRCChange();
                break;
            case 'OWNER':
                this.listObject[type].selectedData.splice(event.index, 1);
                break;
            case 'OTHER_GRC_OBJECTS':
                this.removeOtherGRCObjects(event?.data);
                break;
            case 'RISK_CATEGORY':
                this.deleteSelectedRisk(event.data?.CategoryIds[0], event?.data);
                break;
            case 'PROGRAM_RESPONSIBILITY':
                this.deleteSelectedResponsibility(event?.data);
                break;
        }
        this.setListPayload(type);
    }
    changeAttributesType(event) {
        this.grcType = event;
        this.grcPayload.type = event;
        this.setDefaultGRCObjectType();
    }
    _initiateAPI() {
        if (this.MODE === 'EDIT') {
            this.getGRCObjectDetails(this.ID);
            this.smileyMessage = SUCCESS_MESSAGE.UPDATE_GRC_OBJECT;
        }
        else {
            this.detailsLoader = false;
            this._getGRCObjectType();
            this._getOwnerList();
            this._getRCList();
            this.getOtherGRCObjects({ rc_ids: '' });
            // this.getOtherGRCTabCount();
        }
    }
    _getOwnerList() {
        this.listObject.OWNER.isLoading = true;
        this.apiService.getGRCOwnerList().subscribe({
            next: (userList) => this.mapUserList(userList),
            error: (error) => { },
        });
    }
    /**
     * The function `mapUserList` maps the user list data and performs some additional operations on each
     * user object.
     * @param {any} userList - The `userList` parameter is an object that contains a `data` property. The
     * `data` property is an array of user objects.
     */
    mapUserList(userList) {
        this.listObject['OWNER']['data'] = {};
        this.listObject['OWNER'].selectedData = [];
        this.disabledIds = [];
        // Map will get remove once API change
        this.listObject['OWNER']['data']['assigneesList'] = userList?.data.map((user) => {
            user.item_name = user.member_name;
            user.employee_name = user.member_name;
            user.my_member_id = user.member_id;
            user.item_id = user.member_id;
            if (['ADMIN', 'KEY_ADMIN'].includes(user.user_role)) {
                this.disabledIds.push(user.member_id);
                this.listObject['OWNER'].selectedData.push(user);
            }
            return user;
        });
        if (this.MODE === 'EDIT') {
            this.listObject.OWNER.selectedData = this.listObject['OWNER']['data']['assigneesList'].filter((item) => this.grcPayload.owners.includes(item?.member_id));
            this.listObject['OWNER'].disabledIds = [...new Set(this.disabledIds)];
        }
        else {
            this.defaultSelectedUser();
        }
        this.listObject.OWNER.isLoading = false;
        this.checkIsDataLoaded();
    }
    /**
     * The function `defaultSelectedUser()` sets the default selected user based on the current user's role
     * and assigns it to the `OWNER` list object.
     */
    defaultSelectedUser() {
        if (!this.authService.isAdmin() && !this.authService.isKeyAdmin()) {
            const USER = this.listObject['OWNER']['data']['assigneesList'].find((user) => user.member_id === this.authService.getMemberId());
            this.listObject['OWNER'].selectedData.push(USER);
        }
        this.listObject['OWNER']['disabledIds'] = [...this.disabledIds];
        this.grcPayload.owners = this.listObject['OWNER'].selectedData.map((user) => user.member_id);
    }
    _getRCList() {
        this.listObject.RC.isLoading = true;
        this.complianceCommonService?.getRcListInfo()?.subscribe({
            next: (data) => {
                this.listObject['RC']['data'] = data;
                this.listObject.RC.isLoading = false;
                if (this.MODE === 'EDIT') {
                    this.listObject.RC.selectedData = data?.filter((item) => this.grcPayload?.rc_ids?.includes(item?._id));
                }
                this.checkIsDataLoaded();
            },
            error: (error) => {
                console.error(error);
            },
        });
    }
    _getGRCObjectType() {
        this.apiService.getObjectType().subscribe({
            next: (data) => {
                // this.setLinkRiskTab(data);
                const OBJECT_LABEL = {
                    ASSETS: 'Asset',
                    PROCESSES: 'Process',
                    VENDORS: 'Vendor',
                    INVENTORY: 'Inventory',
                };
                this.OBJECT_TYPE = data.map((item, index) => {
                    item.value = index;
                    item.label = OBJECT_LABEL[item?.label?.toUpperCase()] ?? item?.label;
                    return item;
                });
                this.ORIGINAL_GRC_ATTRIBUTES = JSON.parse(JSON.stringify(this.OBJECT_TYPE));
                if (this.MODE === 'EDIT') {
                    this.OBJECT_TYPE[this.grcType].attributes =
                        this.grcPayload.attributes;
                    if (this.grcService.checkAttributesSelected(this.OBJECT_TYPE[this.grcType].attributes)) {
                        this.grcForm.grcObjectType = true;
                        this.additionalOption.ATTRIBUTES = true;
                        this.populateOptionalFields();
                    }
                }
                this.setDefaultGRCObjectType();
                this.checkIsDataLoaded();
            },
            error: (error) => { },
        });
    }
    setDefaultGRCObjectType() {
        this.selectedAttributes =
            this.OBJECT_TYPE.find((ele) => ele.value === this.grcType) ??
                this.OBJECT_TYPE[0];
    }
    checkIsDataLoaded() {
        this.isLoading =
            this.listObject.OWNER.isLoading ||
                this.listObject.RC.isLoading ||
                this.listObject.OTHER_GRC_OBJECTS.isLoading ||
                (this.MODE === 'EDIT' && this.detailsLoader);
    }
    getOtherGRCObjects(event) {
        if (this.otherGRCSubscription) {
            this.otherGRCSubscription.unsubscribe();
        }
        if (event?.searchString && this.otherGRCSearch !== event?.searchString) {
            this.getOtherGRCTabCount(event);
        }
        this.otherGRCSearch = event?.searchString ?? '';
        this.listObject.OTHER_GRC_OBJECTS.isLoading = true;
        // event['rc_ids'] = this.listObject?.RC?.selectedData
        //   ?.map((rc: any) => rc?._id)
        //   .join(',');
        this.otherGRCSubscription = this.grcService
            .getGRCList(event)
            .subscribe((data) => {
            this.listObject.OTHER_GRC_OBJECTS.data = data;
            this.listObject.OTHER_GRC_OBJECTS.isLoading = false;
            if (this.MODE === 'EDIT') {
                // this.listObject.OTHER_GRC_OBJECTS.selectedData = data.filter(
                //   (item: any) => this.grcPayload.linked_GRC_ids.includes(item?._id)
                // );
                if (this.grcPayload.linked_GRC_ids?.length) {
                    this.grcForm.otherGrcObjects = true;
                    this.additionalOption.OTHER_GRC_OBJECTS = true;
                    this.populateOptionalFields();
                }
            }
            this.checkIsDataLoaded();
        });
    }
    getOtherGRCTabCount(event) {
        this.grcTabLoader = true;
        // event['rc_ids'] = this.listObject?.RC?.selectedData
        //   ?.map((rc: any) => rc?._id)
        //   .join(',');
        this.grcService.getGRCTabsCount(event).subscribe((data) => {
            this.grcTabLoader = false;
            this.otherGRCCard[0].count = data?.assets_type_count;
            this.otherGRCCard[1].count = data?.processes_type_count;
            this.otherGRCCard[2].count = data?.vendors_type_count;
            this.otherGRCCard[3].count = data?.inventory_type_count;
        });
    }
    getOtherGRCTabIndex(event, data) { }
    //Populate/Edit GRC Object
    getGRCObjectDetails(grcId) {
        this.apiService.getGRCObjectDetails(grcId).subscribe({
            next: (data) => {
                this.openedPopup = '';
                this.populatePayload(data);
                this.createGRCObject(data?.linkedGrcDetails);
                this.detailsLoader = false;
                this._getRCList();
                this._getOwnerList();
                this._getGRCObjectType();
                this.getOtherGRCObjects({ rc_ids: '' });
            },
            error: (error) => {
                console.error('error', error);
            },
        });
    }
    createGRCObject(data) {
        if (data?.length) {
            this.grcForm.otherGrcObjects = true;
            this.additionalOption.OTHER_GRC_OBJECTS = true;
            let GRCObject = {
                assets: [],
                processes: [],
                vendors: [],
                inventory: [],
            };
            this.listObject.OTHER_GRC_OBJECTS.selectedData = [...new Set(data)];
            const GRC_TYPE = GRC_TYPE_ARRAY;
            data.forEach((item) => {
                GRCObject[GRC_TYPE[item?.type ?? 1]].push(item);
                this.otherGRCCard[item?.type].selectedCount += 1;
            });
            this.grcDataWithTypes = GRCObject;
            this.updateOtherGRCObjectsPayload();
        }
    }
    populatePayload(data) {
        this.grcPayload.name = data?.name;
        this.grcPayload.type = data?.type;
        this.grcPayload.owners = data?.owners;
        this.grcPayload.rc_ids = data?.rc_ids;
        this.grcPayload.linked_GRC_ids = data?.linked_GRC_ids;
        this.grcPayload.risk_category_ids =
            this.populateLinkRisk(data?.risk_category_ids) ?? [];
        this.grcPayload.program_category_ids = data?.program_category_ids?.length
            ? this.populateLinkResponsibility(data?.program_category_ids)
            : [];
        this.grcPayload.attributes = data?.attributes;
        this.grcPayload.state = data?.state;
        this.grcPayload.description = data?.description;
        this.grcPayload.frequency = data?.frequency;
        this.grcPayload.parent_grc_ids = data?.parent_grc_ids;
        this.grcPayload.email_notification_member_ids =
            data?.email_notification_member_ids;
    }
    saveGRCObject() {
        this.isFormSubmitted = true;
        if (this.grcForm.grcObjectType) {
            this.grcPayload.attributes = this.selectedAttributes.attributes;
        }
        if (this.grcService.checkValidation(this.grcPayload, this.grcForm.grcObjectType)) {
            this.isLoading = true;
            this.uiKitService.isLoader = true;
            this.submitLoader = true;
            if (this.MODE === 'EDIT') {
                this.updateGRCObject();
                return;
            }
            let PAYLOAD = JSON.parse(JSON.stringify(this.grcPayload));
            PAYLOAD.owners = this.getOwnersExceptDefault(PAYLOAD.owners);
            this.apiService.addGRCObject(PAYLOAD).subscribe({
                next: (data) => {
                    this.showSmiley = true;
                    this.setMoreOptionsOnSubmit();
                    this.uiKitService.isSmileyOn = true;
                    this.addedGRC = data;
                },
                error: (error) => {
                    this.isLoading = false;
                    console.error('error', error, error.status);
                    this.submitLoader = false;
                    if (error.status === 409 || error.status === 403) {
                        this.isDuplicateName = true;
                        this.setMoreOptionsOnSubmit();
                        this.mapUserList({
                            data: this.listObject.OWNER.data.assigneesList,
                        });
                        this.grcNameValidationError = VALIDATION_MESSAGE.grc_exists;
                    }
                },
            });
        }
        else {
            return;
        }
    }
    resetGRCObject() {
        this.MODE = 'CREATE';
        this.smileyMessage = SUCCESS_MESSAGE.ADD_GRC_OBJECT;
        this.grcPayload = JSON.parse(JSON.stringify(this.grcService.GRC_PAYLOAD));
        this.grcPayload.type = this.grcType;
        this.isFormSubmitted = false;
        this.isDuplicateName = false;
        this.uiKitService.isSmileyOn = false;
        this.hideElementsFromMoreOptions.emit(this.hideMoreOption);
        this.OBJECT_TYPE = JSON.parse(JSON.stringify(this.ORIGINAL_GRC_ATTRIBUTES));
        this.otherGRCCard = JSON.parse(JSON.stringify(OTHER_GRC_CARD));
        this.resetOtherGRCCard();
        this.setDefaultGRCObjectType();
        this.resetGRCDataWithTypes();
        this.resetListObjectSelection();
        this.mapUserList({ data: this.listObject.OWNER.data.assigneesList });
    }
    resetListObjectSelection() {
        this.listObject.OWNER.selectedData = [];
        this.listObject.RC.selectedData = [];
        this.listObject.OTHER_GRC_OBJECTS.selectedData = [];
        this.listObject.RISK_CATEGORY.selectedData = [];
        this.listObject.PROGRAM_RESPONSIBILITY.selectedData = [];
    }
    smileyActions(event) {
        this.showSmiley = false;
        this.isLoading = false;
        if (event === 'addMore') {
            this.resetGRCForm();
        }
        else if (event === 'view') {
            this.resetGRCForm();
            this.viewGRC();
        }
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.isLoading = false;
        this.uiKitService.isSmileyOn = false;
        this.resetGRCForm();
        this.closeWorkflow.emit({ evt: this.addedGRC, confirm: false });
    }
    resetGRCForm() {
        this.MODE = 'CREATE';
        this.resetGRCObject();
        this.grcForm.otherGrcObjects = false;
        this.grcForm.linkRisk = false;
        this.grcForm.linkProgram = false;
        this.grcForm.grcObjectType = false;
        this.resetForm.emit(true);
    }
    viewGRC() {
        let url;
        this.disconnectRefresh.emit(false);
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host + '/#/manage-grc-objects';
        }
        else {
            url =
                'https://' +
                    window.location.host +
                    '/organization/#/manage-grc-objects';
        }
        this.iframeService.redirectIfInIframe(url, this.MODE !== 'EDIT');
        this.resetGRCForm();
        this.closeSmiley('');
        this.closeWorkflow.emit({ evt: this.addedGRC, confirm: false });
    }
    setOtherGRCTypesFormate() {
        const grcTypes = GRC_TYPE_ARRAY;
        this.resetGRCDataWithTypes();
        this.listObject?.OTHER_GRC_OBJECTS?.selectedData?.forEach((item) => {
            this.grcDataWithTypes[grcTypes[item?.type]]?.push(item);
        });
        this.updateOtherGRCObjectsPayload();
    }
    removeOtherGRCObjects(event) {
        const grcTypes = GRC_TYPE_ARRAY;
        this.listObject.OTHER_GRC_OBJECTS.selectedData =
            this.listObject.OTHER_GRC_OBJECTS.selectedData.filter((grc) => grc?._id !== event?._id);
        this.filterOtherGRCData(event, grcTypes[event?.type]);
        this.otherGRCCard[0].selectedCount
            ? (this.otherGRCCard[event?.type].selectedCount -= 1)
            : 0;
        this.updateOtherGRCObjectsPayload();
    }
    filterOtherGRCData(event, type) {
        this.grcDataWithTypes[type] = this.grcDataWithTypes[type]?.filter((grc) => grc?._id !== event?._id);
    }
    resetGRCDataWithTypes() {
        this.grcDataWithTypes = {
            assets: [],
            processes: [],
            vendors: [],
            inventory: [],
        };
    }
    get grcValidationCheck() {
        if (this.isFormSubmitted && !this.grcPayload.name) {
            this.grcNameValidationError = VALIDATION_MESSAGE.grcObjectName;
        }
        return (this.isFormSubmitted && !(this.grcPayload.name || this.isDuplicateName));
    }
    getRiskCategoryPayload(selectedData) {
        const riskCategoryPayload = [];
        this.selectedRisks = [];
        this.selectedCategories = [];
        selectedData.forEach((item) => {
            riskCategoryPayload.push({
                category_id: [item?.category?.category_id ?? []],
                risk_ids: item?.risks?.map((risk) => risk?.RiskId),
            });
            this.selectedRisks?.push(...item?.risks);
            this.selectedCategories.push(item?.category);
        });
        return riskCategoryPayload;
    }
    getProgramResponsibilityPayload(selectedData) {
        const riskResponsibilityPayload = [];
        this.selectedResponsibility = [];
        this.selectedProgram = [];
        selectedData.forEach((item) => {
            const parentId = item?.program?.programId;
            riskResponsibilityPayload.push({
                parentId: parentId,
                category_id: [...item?.category] || [],
                responsibility_ids: item?.responsibility?.map((resp) => resp?.ReportId),
            });
            this.selectedResponsibility?.push(...item?.responsibility);
            this.selectedProgram.push(item?.program);
        });
        return riskResponsibilityPayload;
    }
    updateGRCObject() {
        let PAYLOAD = JSON.parse(JSON.stringify(this.grcPayload));
        PAYLOAD.owners = this.getOwnersExceptDefault(PAYLOAD.owners);
        this.apiService.updateGRCObject(PAYLOAD, this.ID).subscribe({
            next: (data) => {
                this.showSmiley = true;
                this.setMoreOptionsOnSubmit();
                this.uiKitService.isSmileyOn = true;
                this.addedGRC = data;
            },
            error: (error) => {
                this.isLoading = false;
                console.error('error', error, error.status);
                if (error.status === 409) {
                    this.isDuplicateName = true;
                    this.setMoreOptionsOnSubmit();
                    this.grcNameValidationError = VALIDATION_MESSAGE.grc_exists;
                }
            },
        });
    }
    updateOtherGRCObjectsPayload() {
        this.grcPayload.linked_GRC_ids =
            this.listObject.OTHER_GRC_OBJECTS.selectedData.map((item) => item._id);
    }
    deleteSelectedRisk(categoryId, risk) {
        const categoryIndex = this.findCheckedCategoryIndex(categoryId);
        if (categoryIndex !== -1) {
            // Category exists, update risk value
            const riskIndex = this.listObject?.RISK_CATEGORY?.selectedData[categoryIndex]?.risks?.findIndex((item) => item?._id === risk?._id);
            if (riskIndex !== -1) {
                this.listObject?.RISK_CATEGORY?.selectedData[categoryIndex]?.risks.splice(riskIndex, 1);
            }
            if (this.listObject?.RISK_CATEGORY?.selectedData[categoryIndex]?.risks
                ?.length === 0) {
                // Remove category if selectedListData is empty
                this.listObject?.RISK_CATEGORY?.selectedData.splice(categoryIndex, 1);
            }
        }
        this.grcPayload.risk_category_ids = this.getRiskCategoryPayload(this.listObject?.RISK_CATEGORY?.selectedData);
    }
    deleteSelectedResponsibility(responsibility) {
        this.listObject.PROGRAM_RESPONSIBILITY.selectedData =
            this.listObject?.PROGRAM_RESPONSIBILITY?.selectedData?.map((data) => {
                let filteredResponsibility = data?.responsibility?.filter((resp) => resp?._id !== responsibility?._id);
                return {
                    ...data,
                    responsibility: filteredResponsibility,
                    category: [
                        ...(new Set(filteredResponsibility.map((obj) => data?.category)?.flat()) || []),
                    ],
                };
            });
        this.listObject.PROGRAM_RESPONSIBILITY.selectedData =
            this.listObject?.PROGRAM_RESPONSIBILITY?.selectedData.filter((data) => {
                return data?.responsibility?.length > 0;
            });
        this.grcPayload.program_category_ids = this.getProgramResponsibilityPayload(this.listObject?.PROGRAM_RESPONSIBILITY?.selectedData);
    }
    findCheckedCategoryIndex(categoryId) {
        let categoryIndex = -1;
        if (Array.isArray(categoryId) && categoryId?.length === 0) {
            // Handle empty categoryId array case
            const uncategorizedIndex = this.listObject?.RISK_CATEGORY?.selectedData.findIndex((cat) => cat?.category?._id === 'uncategorized');
            if (uncategorizedIndex !== -1) {
                return uncategorizedIndex;
            }
        }
        else {
            categoryIndex = this.listObject?.RISK_CATEGORY?.selectedData.findIndex((cat) => cat?.category?.category_id === categoryId);
        }
        return categoryIndex;
    }
    setLinkRiskTab(tabDetails) {
        this.otherGRCCard = tabDetails.map((tab, index) => {
            return {
                title: tab?.label,
                count: 0,
                selectedCount: 0,
                key: tab?.label?.toLowerCase(),
                type: index,
            };
        });
        this.getOtherGRCTabCount({ rc_ids: '' });
    }
    populateLinkRisk(selectedData) {
        let updatedData = selectedData?.map((data) => {
            if (data?.category_id && Object?.keys(data?.category_id)?.length === 0) {
                return {
                    ...data,
                    category: UNCATEGORIZED_LINK_CATEGORY,
                };
            }
            return {
                ...data,
                category: {
                    category_id: data?.category_id[0],
                },
            };
        });
        if (updatedData.length) {
            this.grcForm.linkRisk = true;
            this.additionalOption.LINK_RISK_CATEGORIES_RISKS = true;
            this.populateOptionalFields();
        }
        this.listObject.RISK_CATEGORY.selectedData = updatedData;
        return this.getRiskCategoryPayload(updatedData);
    }
    populateLinkResponsibility(selectedData) {
        let updatedData = selectedData?.map((data) => {
            return {
                program: {
                    programId: data?.parentId,
                },
                category: [data?.parentId].concat.apply([], Object.values(data?.category_id)),
                responsibility: data?.responsibility_ids || [],
            };
        });
        if (updatedData.length) {
            this.grcForm.linkProgram = true;
            this.additionalOption.LINK_PROGRAM = true;
            this.populateOptionalFields();
        }
        this.listObject.PROGRAM_RESPONSIBILITY.selectedData = updatedData;
        return this.getProgramResponsibilityPayload(updatedData);
    }
    getOwnersExceptDefault(users) {
        const usersId = users.filter((user) => !this.disabledIds.includes(user));
        return usersId || [];
    }
    setMoreOptionsOnSubmit() {
        this.isLoading = false;
        this.uiKitService.isLoader = false;
        this.submitLoader = false;
    }
    resetOtherGRCCard() {
        this.otherGRCCard.forEach((tab) => {
            tab.count = 0;
            tab.selectedCount = 0;
        });
    }
    resetDataOnRCChange() {
        this.listObject.PROGRAM_RESPONSIBILITY.selectedData = [];
        this.listObject.RISK_CATEGORY.selectedData = [];
        if (this.listObject.RC.selectedData.length === 0) {
            this.resetMoreOptionsOnRCChange();
        }
    }
    resetMoreOptionsOnRCChange() {
        this.grcForm.linkProgram = false;
        this.additionalOption.LINK_PROGRAM = false;
        this.grcForm.linkRisk = false;
        this.additionalOption.LINK_RISK_CATEGORIES_RISKS = false;
        this.populateOptionalFields();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectContainerComponent, deps: [{ token: GrcService }, { token: ResponsibilityService }, { token: AuthService$1 }, { token: UiKitService }, { token: ComplianceCommonService }, { token: OrganizationCommonService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: GrcObjectContainerComponent, selector: "lib-grc-object-container", inputs: { grcType: "grcType", MODE: "MODE", ID: "ID" }, outputs: { populateOption: "populateOption", pickerChanged: "pickerChanged", closeWorkflow: "closeWorkflow", disconnectRefresh: "disconnectRefresh", resetForm: "resetForm", hideElementsFromMoreOptions: "hideElementsFromMoreOptions" }, ngImport: i0, template: "<ng-container *ngIf=\"!showSmiley\">\n  <div class=\"workflow-grc\">\n    <div\n      class=\"form-group-row\"\n      [class.disabled]=\"openedPopup && dialogFields?.includes(openedPopup)\"\n      *ngIf=\"!isLoading\"\n    >\n      <lib-text-field-icon\n        [disabled]=\"openedPopup && dialogFields?.includes(openedPopup)\"\n        [cdnLink]=\"CDN_LINK.grcType\"\n        [isChecked]=\"true\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">\n            GRC OBJECT TYPE<span class=\"required\">*</span>\n          </label>\n          <div class=\"select\">\n            <tab-selector\n              [selectedItem]=\"grcPayload.type\"\n              [displayArray]=\"OBJECT_TYPE\"\n              (onValueChanged)=\"changeAttributesType($event)\"\n            ></tab-selector>\n          </div>\n        </div>\n      </div>\n    </div>\n    <!-- Object name field -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE.name &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [isEditMode]=\"grcPayload.name && openedPopup !== INPUT_TYPE.name\"\n      [titleText]=\"ALL_TEXT?.grcObjectName\"\n      [placeholderText]=\"ALL_TEXT?.grcObjectPlaceholder\"\n      [(textValue)]=\"grcPayload.name\"\n      (textValueChange)=\"onTextChange($event)\"\n      (clickOutside)=\"onClickOutside()\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.name)\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.grcObjectName\"\n        [isChecked]=\"grcPayload.name\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <span class=\"required\" is-required>*</span>\n      <lib-edit-mode\n        *ngIf=\"grcPayload.name && openedPopup !== INPUT_TYPE.name\"\n        [selectedData]=\"[grcPayload]\"\n        [type]=\"'text'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.name)\"\n        edit-mode\n      ></lib-edit-mode>\n      <p\n        *ngIf=\"grcValidationCheck || isDuplicateName\"\n        [appScrollInView]=\"true\"\n        class=\"error-message\"\n        error-message\n      >\n        {{ grcNameValidationError }}\n      </p>\n      <vcomply-editor\n        [editorConfig]=\"EDITOR_CONFIG\"\n        [(ngModel)]=\"grcPayload.description\"\n        rich-text-editor\n      ></vcomply-editor>\n    </lib-text-field>\n\n    <!-- Specify Owners -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE.owner &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE.owner\"\n      [isEditMode]=\"\n        listObject.OWNER?.selectedData?.length &&\n        openedPopup !== INPUT_TYPE.owner\n      \"\n      [titleText]=\"ALL_TEXT?.grcOwnersTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcOwnersPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.owner)\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.grcOwners\"\n        [isChecked]=\"listObject.OWNER?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <span class=\"required\" is-required>*</span>\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.OWNER?.selectedData?.length &&\n          openedPopup !== INPUT_TYPE.owner\n        \"\n        [nonRemovableIds]=\"disabledIds\"\n        [countColor]=\"'greenBg'\"\n        [selectedData]=\"listObject.OWNER?.selectedData\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.owner)\"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE.owner)\"\n        edit-mode\n      ></lib-edit-mode>\n    </lib-text-field>\n\n    <!-- Link Responsibility Centers (RC) -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE.RC &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE.RC\"\n      [isEditMode]=\"\n        listObject.RC?.selectedData?.length && openedPopup !== INPUT_TYPE.RC\n      \"\n      [titleText]=\"ALL_TEXT?.grcRCTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcRCPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.RC)\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.grcRC\"\n        [isChecked]=\"listObject.RC?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <span class=\"required\" is-required>*</span>\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.RC?.selectedData?.length && openedPopup !== INPUT_TYPE.RC\n        \"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE.RC)\"\n        [selectedData]=\"listObject.RC?.selectedData\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.RC)\"\n        edit-mode\n      ></lib-edit-mode>\n      <p\n        *ngIf=\"isFormSubmitted && !listObject.RC?.selectedData?.length\"\n        [appScrollInView]=\"true\"\n        class=\"error-message\"\n        error-message\n      >\n        {{ VALIDATION_MESSAGE.grcRC }}\n      </p>\n    </lib-text-field>\n\n    <!-- Link Program and Responsibility -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE?.programResponsibility &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE?.programResponsibility\"\n      *ngIf=\"grcForm?.linkProgram\"\n      [titleText]=\"ALL_TEXT?.grcProgramResponsibilityTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcProgramResponsibilityPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.programResponsibility)\"\n      [isEditMode]=\"\n        listObject?.PROGRAM_RESPONSIBILITY?.selectedData?.length &&\n        openedPopup !== INPUT_TYPE?.programResponsibility\n      \"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.linkOthers\"\n        [isChecked]=\"listObject.PROGRAM_RESPONSIBILITY?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.PROGRAM_RESPONSIBILITY?.selectedData?.length &&\n          openedPopup !== INPUT_TYPE?.PROGRAM_RESPONSIBILITY\n        \"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE?.programResponsibility)\"\n        [selectedData]=\"selectedResponsibility | uniqueResponsibilities : 'entireObject'\"\n        [nameDisplayKey]=\"'ReportName'\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.programResponsibility)\"\n        edit-mode\n      >\n      </lib-edit-mode>\n    </lib-text-field>\n\n    <!-- Link Risk Categories and Risk -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE?.riskCategory &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE?.riskCategory\"\n      *ngIf=\"grcForm?.linkRisk\"\n      [titleText]=\"ALL_TEXT?.grcRiskCategoryTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcRiskCategoryPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.riskCategory)\"\n      [isEditMode]=\"\n        listObject?.RISK_CATEGORY?.selectedData?.length &&\n        openedPopup !== INPUT_TYPE?.riskCategory\n      \"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.linkGRC\"\n        [isChecked]=\"listObject.RISK_CATEGORY?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.RISK_CATEGORY?.selectedData?.length &&\n          openedPopup !== INPUT_TYPE.RISK_CATEGORY\n        \"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE?.riskCategory)\"\n        [selectedData]=\"selectedRisks\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.riskCategory, data?.key)\"\n        edit-mode\n      >\n      </lib-edit-mode>\n    </lib-text-field>\n  </div>\n\n  <!-- Link Other GRC Objects -->\n  <lib-text-field\n    *ngIf=\"grcForm?.otherGrcObjects\"\n    [disabled]=\"\n      openedPopup &&\n      openedPopup !== INPUT_TYPE?.otherGrcObjects &&\n      dialogFields?.includes(openedPopup)\n    \"\n    [active]=\"openedPopup && openedPopup == INPUT_TYPE?.otherGrcObjects\"\n    [titleText]=\"ALL_TEXT?.otherGRCObjectsTitle\"\n    [placeholderText]=\"ALL_TEXT?.otherGRCObjectsPlaceholder\"\n    [isReadOnly]=\"true\"\n    (onClick)=\"onPopupOpen(INPUT_TYPE.otherGrcObjects)\"\n    [isEditMode]=\"\n      listObject?.OTHER_GRC_OBJECTS?.selectedData?.length &&\n      openedPopup !== INPUT_TYPE?.otherGrcObjects\n    \"\n  >\n    <lib-text-field-icon\n      [cdnLink]=\"CDN_LINK.linkOthers\"\n      [isChecked]=\"listObject?.OTHER_GRC_OBJECTS?.selectedData?.length > 0\"\n      field-icons\n    >\n    </lib-text-field-icon>\n\n    <lib-edit-mode\n      *ngFor=\"let data of GRC_TYPE_ARRAY\"\n      (onRemoveData)=\"onRemoveData($event, INPUT_TYPE?.otherGrcObjects)\"\n      [selectedData]=\"grcDataWithTypes[data]\"\n      [type]=\"'list'\"\n      [isMultiple]=\"true\"\n      (isOnEdit)=\"onEdit(INPUT_TYPE.otherGrcObjects, data)\"\n      edit-mode\n    >\n      <div\n        class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n      >\n        {{ data | titlecase }}\n      </div>\n    </lib-edit-mode>\n  </lib-text-field>\n  <lib-attributes\n    [disabled]=\"openedPopup && dialogFields?.includes(openedPopup)\"\n    *ngIf=\"selectedAttributes?.attributes?.length && this.grcForm.grcObjectType\"\n    [attributesInfo]=\"selectedAttributes\"\n    [isFormSubmitted]=\"isFormSubmitted\"\n    (onClick)=\"getAttributeSelection($event)\"\n  ></lib-attributes>\n  <lib-list-popup\n    [openedPopup]=\"openedPopup\"\n    [listObject]=\"listObject\"\n    [tableCard]=\"otherGRCCard\"\n    [otherGrcCardLoader]=\"grcTabLoader\"\n    [GRCSelectedTab]=\"GRCSelectedTab\"\n    [mode]=\"MODE\"\n    [onEditGRCId]=\"ID\"\n    (onSaveSelectedList)=\"onSaveSelectedList($event)\"\n    (getOtherGRCObjects)=\"getOtherGRCObjects($event)\"\n  ></lib-list-popup>\n</ng-container>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"smileyActions($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n<app-loader-inline *ngIf=\"isLoading\"></app-loader-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-grc{position:relative}.disabled{opacity:.5;pointer-events:none}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: TextFieldComponent, selector: "lib-text-field", inputs: ["titleText", "placeholderText", "textValue", "isReadOnly", "isEditMode", "disabled", "active"], outputs: ["textValueChange", "onClick", "clickOutside"] }, { kind: "component", type: TextFieldIconComponent, selector: "lib-text-field-icon", inputs: ["cdnLink", "altName", "isChecked"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "component", type: ListPopupComponent, selector: "lib-list-popup", inputs: ["openedPopup", "listObject", "tableCard", "GRCSelectedTab", "onEditGRCId", "mode"], outputs: ["onSaveSelectedList", "getOtherGRCObjects"] }, { kind: "component", type: TabSelector, selector: "tab-selector", inputs: ["disabled", "selectedItem", "displayArray"], outputs: ["onValueChanged"] }, { kind: "component", type: EditModeComponent, selector: "lib-edit-mode", inputs: ["selectedData", "type", "nonRemovableIds", "isMultiple", "countColor", "nameDisplayKey"], outputs: ["isOnEdit", "onRemoveData"] }, { kind: "component", type: AttributesComponent, selector: "lib-attributes", inputs: ["attributesInfo", "isFormSubmitted", "disabled"], outputs: ["onAttributesSelection", "onClick"] }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "pipe", type: i1$1.TitleCasePipe, name: "titlecase" }, { kind: "pipe", type: UniqueResponsibilitiesPipe, name: "uniqueResponsibilities" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-grc-object-container', outputs: [
                        'populateOption',
                        'pickerChanged',
                        'closeWorkflow',
                        'disconnectRefresh',
                        'resetForm',
                        'hideElementsFromMoreOptions',
                    ], inputs: ['grcType', 'MODE', 'ID'], template: "<ng-container *ngIf=\"!showSmiley\">\n  <div class=\"workflow-grc\">\n    <div\n      class=\"form-group-row\"\n      [class.disabled]=\"openedPopup && dialogFields?.includes(openedPopup)\"\n      *ngIf=\"!isLoading\"\n    >\n      <lib-text-field-icon\n        [disabled]=\"openedPopup && dialogFields?.includes(openedPopup)\"\n        [cdnLink]=\"CDN_LINK.grcType\"\n        [isChecked]=\"true\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">\n            GRC OBJECT TYPE<span class=\"required\">*</span>\n          </label>\n          <div class=\"select\">\n            <tab-selector\n              [selectedItem]=\"grcPayload.type\"\n              [displayArray]=\"OBJECT_TYPE\"\n              (onValueChanged)=\"changeAttributesType($event)\"\n            ></tab-selector>\n          </div>\n        </div>\n      </div>\n    </div>\n    <!-- Object name field -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE.name &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [isEditMode]=\"grcPayload.name && openedPopup !== INPUT_TYPE.name\"\n      [titleText]=\"ALL_TEXT?.grcObjectName\"\n      [placeholderText]=\"ALL_TEXT?.grcObjectPlaceholder\"\n      [(textValue)]=\"grcPayload.name\"\n      (textValueChange)=\"onTextChange($event)\"\n      (clickOutside)=\"onClickOutside()\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.name)\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.grcObjectName\"\n        [isChecked]=\"grcPayload.name\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <span class=\"required\" is-required>*</span>\n      <lib-edit-mode\n        *ngIf=\"grcPayload.name && openedPopup !== INPUT_TYPE.name\"\n        [selectedData]=\"[grcPayload]\"\n        [type]=\"'text'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.name)\"\n        edit-mode\n      ></lib-edit-mode>\n      <p\n        *ngIf=\"grcValidationCheck || isDuplicateName\"\n        [appScrollInView]=\"true\"\n        class=\"error-message\"\n        error-message\n      >\n        {{ grcNameValidationError }}\n      </p>\n      <vcomply-editor\n        [editorConfig]=\"EDITOR_CONFIG\"\n        [(ngModel)]=\"grcPayload.description\"\n        rich-text-editor\n      ></vcomply-editor>\n    </lib-text-field>\n\n    <!-- Specify Owners -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE.owner &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE.owner\"\n      [isEditMode]=\"\n        listObject.OWNER?.selectedData?.length &&\n        openedPopup !== INPUT_TYPE.owner\n      \"\n      [titleText]=\"ALL_TEXT?.grcOwnersTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcOwnersPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.owner)\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.grcOwners\"\n        [isChecked]=\"listObject.OWNER?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <span class=\"required\" is-required>*</span>\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.OWNER?.selectedData?.length &&\n          openedPopup !== INPUT_TYPE.owner\n        \"\n        [nonRemovableIds]=\"disabledIds\"\n        [countColor]=\"'greenBg'\"\n        [selectedData]=\"listObject.OWNER?.selectedData\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.owner)\"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE.owner)\"\n        edit-mode\n      ></lib-edit-mode>\n    </lib-text-field>\n\n    <!-- Link Responsibility Centers (RC) -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE.RC &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE.RC\"\n      [isEditMode]=\"\n        listObject.RC?.selectedData?.length && openedPopup !== INPUT_TYPE.RC\n      \"\n      [titleText]=\"ALL_TEXT?.grcRCTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcRCPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.RC)\"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.grcRC\"\n        [isChecked]=\"listObject.RC?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n      <span class=\"required\" is-required>*</span>\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.RC?.selectedData?.length && openedPopup !== INPUT_TYPE.RC\n        \"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE.RC)\"\n        [selectedData]=\"listObject.RC?.selectedData\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.RC)\"\n        edit-mode\n      ></lib-edit-mode>\n      <p\n        *ngIf=\"isFormSubmitted && !listObject.RC?.selectedData?.length\"\n        [appScrollInView]=\"true\"\n        class=\"error-message\"\n        error-message\n      >\n        {{ VALIDATION_MESSAGE.grcRC }}\n      </p>\n    </lib-text-field>\n\n    <!-- Link Program and Responsibility -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE?.programResponsibility &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE?.programResponsibility\"\n      *ngIf=\"grcForm?.linkProgram\"\n      [titleText]=\"ALL_TEXT?.grcProgramResponsibilityTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcProgramResponsibilityPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.programResponsibility)\"\n      [isEditMode]=\"\n        listObject?.PROGRAM_RESPONSIBILITY?.selectedData?.length &&\n        openedPopup !== INPUT_TYPE?.programResponsibility\n      \"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.linkOthers\"\n        [isChecked]=\"listObject.PROGRAM_RESPONSIBILITY?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.PROGRAM_RESPONSIBILITY?.selectedData?.length &&\n          openedPopup !== INPUT_TYPE?.PROGRAM_RESPONSIBILITY\n        \"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE?.programResponsibility)\"\n        [selectedData]=\"selectedResponsibility | uniqueResponsibilities : 'entireObject'\"\n        [nameDisplayKey]=\"'ReportName'\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.programResponsibility)\"\n        edit-mode\n      >\n      </lib-edit-mode>\n    </lib-text-field>\n\n    <!-- Link Risk Categories and Risk -->\n    <lib-text-field\n      [disabled]=\"\n        openedPopup &&\n        openedPopup !== INPUT_TYPE?.riskCategory &&\n        dialogFields?.includes(openedPopup)\n      \"\n      [active]=\"openedPopup && openedPopup == INPUT_TYPE?.riskCategory\"\n      *ngIf=\"grcForm?.linkRisk\"\n      [titleText]=\"ALL_TEXT?.grcRiskCategoryTitle\"\n      [placeholderText]=\"ALL_TEXT?.grcRiskCategoryPlaceholder\"\n      [isReadOnly]=\"true\"\n      (onClick)=\"onPopupOpen(INPUT_TYPE.riskCategory)\"\n      [isEditMode]=\"\n        listObject?.RISK_CATEGORY?.selectedData?.length &&\n        openedPopup !== INPUT_TYPE?.riskCategory\n      \"\n    >\n      <lib-text-field-icon\n        [cdnLink]=\"CDN_LINK.linkGRC\"\n        [isChecked]=\"listObject.RISK_CATEGORY?.selectedData?.length > 0\"\n        field-icons\n      >\n      </lib-text-field-icon>\n\n      <lib-edit-mode\n        *ngIf=\"\n          listObject.RISK_CATEGORY?.selectedData?.length &&\n          openedPopup !== INPUT_TYPE.RISK_CATEGORY\n        \"\n        (onRemoveData)=\"onRemoveData($event, INPUT_TYPE?.riskCategory)\"\n        [selectedData]=\"selectedRisks\"\n        [type]=\"'list'\"\n        (isOnEdit)=\"onEdit(INPUT_TYPE.riskCategory, data?.key)\"\n        edit-mode\n      >\n      </lib-edit-mode>\n    </lib-text-field>\n  </div>\n\n  <!-- Link Other GRC Objects -->\n  <lib-text-field\n    *ngIf=\"grcForm?.otherGrcObjects\"\n    [disabled]=\"\n      openedPopup &&\n      openedPopup !== INPUT_TYPE?.otherGrcObjects &&\n      dialogFields?.includes(openedPopup)\n    \"\n    [active]=\"openedPopup && openedPopup == INPUT_TYPE?.otherGrcObjects\"\n    [titleText]=\"ALL_TEXT?.otherGRCObjectsTitle\"\n    [placeholderText]=\"ALL_TEXT?.otherGRCObjectsPlaceholder\"\n    [isReadOnly]=\"true\"\n    (onClick)=\"onPopupOpen(INPUT_TYPE.otherGrcObjects)\"\n    [isEditMode]=\"\n      listObject?.OTHER_GRC_OBJECTS?.selectedData?.length &&\n      openedPopup !== INPUT_TYPE?.otherGrcObjects\n    \"\n  >\n    <lib-text-field-icon\n      [cdnLink]=\"CDN_LINK.linkOthers\"\n      [isChecked]=\"listObject?.OTHER_GRC_OBJECTS?.selectedData?.length > 0\"\n      field-icons\n    >\n    </lib-text-field-icon>\n\n    <lib-edit-mode\n      *ngFor=\"let data of GRC_TYPE_ARRAY\"\n      (onRemoveData)=\"onRemoveData($event, INPUT_TYPE?.otherGrcObjects)\"\n      [selectedData]=\"grcDataWithTypes[data]\"\n      [type]=\"'list'\"\n      [isMultiple]=\"true\"\n      (isOnEdit)=\"onEdit(INPUT_TYPE.otherGrcObjects, data)\"\n      edit-mode\n    >\n      <div\n        class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n      >\n        {{ data | titlecase }}\n      </div>\n    </lib-edit-mode>\n  </lib-text-field>\n  <lib-attributes\n    [disabled]=\"openedPopup && dialogFields?.includes(openedPopup)\"\n    *ngIf=\"selectedAttributes?.attributes?.length && this.grcForm.grcObjectType\"\n    [attributesInfo]=\"selectedAttributes\"\n    [isFormSubmitted]=\"isFormSubmitted\"\n    (onClick)=\"getAttributeSelection($event)\"\n  ></lib-attributes>\n  <lib-list-popup\n    [openedPopup]=\"openedPopup\"\n    [listObject]=\"listObject\"\n    [tableCard]=\"otherGRCCard\"\n    [otherGrcCardLoader]=\"grcTabLoader\"\n    [GRCSelectedTab]=\"GRCSelectedTab\"\n    [mode]=\"MODE\"\n    [onEditGRCId]=\"ID\"\n    (onSaveSelectedList)=\"onSaveSelectedList($event)\"\n    (getOtherGRCObjects)=\"getOtherGRCObjects($event)\"\n  ></lib-list-popup>\n</ng-container>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"smileyActions($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n<app-loader-inline *ngIf=\"isLoading\"></app-loader-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-grc{position:relative}.disabled{opacity:.5;pointer-events:none}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: GrcService }, { type: ResponsibilityService }, { type: AuthService$1 }, { type: UiKitService }, { type: ComplianceCommonService }, { type: OrganizationCommonService }, { type: IframeService }]; } });

const REPORT_CASE = {
    case_type: `CASE REPORTING TYPE`,
    report_case: `REPORT A CASE`,
    add_case: `REPORT & ADD CASE TO WORKFLOW`,
    default_flow: `VComply's Default Workflow`,
    receive_updates: `I WOULD LIKE TO RECEIVE UPDATES ABOUT THIS CASE`,
    case_details: {
        name: {
            title: `CASE NAME`,
            placeholder: `Enter a name for this case.`,
        },
        description: {
            title: `DESCRIPTION`,
            placeholder: `Add details about what happened.`,
        },
        rc: {
            title: `RESPONSIBILITY CENTER`,
            placeholder: `Select Responsibility Center that this case relates to`,
            singularText: `Responsibility Center selected`,
            pluralText: `Responsibility Centers selected`,
            mainRcPlaceholder: `Select the Main Responsibility Center`,
            separateRcText: `CREATE SEPARATE CASES FOR EACH RESPONSIBILITY CENTER`,
            separateRcTooltip: `If selected, separate cases will be created for each Responsibility Center.`,
            sameRcText: `DISPLAY THE SAME CASES FOR EACH RESPONSIBILITY CENTER`,
            sameRcTooltip: `If selected, the same case will be linked to each Responsibility Center.`,
        },
        case_type: {
            title: `CASE TYPE`,
            placeholder: `Select a Case Type`,
        },
        category: {
            title: `CASE CATEGORY`,
            placeholder: `Select a Case Category`,
        },
        additional_category: {
            title: `SELECT ADDITIONAL CASE CATEGORIES FOR REPORTING`,
            placeholder: `Select a Case Category`,
        },
        when: {
            title: `WHEN DID THIS OCCUR?`,
            placeholder: `Select a Date`,
        },
        priority: {
            title: `Case Priority`,
            placeholder: `Select a Case Priority`,
        },
        attachments: {
            title: `Attach Supporting Documents`,
            placeholder: `Add attachments`,
        },
        due_date: {
            title: `RESOLUTION DEADLINE & STAGE WORKFLOW`,
            placeholder: `Configure`,
            deadline_placeholder: `Select a Deadline`,
            disabledText: 'To modify this field, please configure all the mandatory information in this form first.',
            helpText: `This setting lets you specify the case resolution deadline and assign responsible users for each stage in the workflow.`,
        },
        assignees: {
            title: `CASE ASSIGNEE(S)`,
            placeholder: `Select Case Assignee(s)`,
            helpText: `Case Assignees are users responsible for handling specific stages. They can submit forms, complete tasks, and advance the case through the workflow.`,
        },
        owners: {
            title: `CASE OWNER(S)`,
            placeholder: `Select Case Owner(s)`,
            helpText: `Case Owners are users responsible for managing a case. They can edit the case details, manage workflow settings, link forms, and assign tasks to relevant stakeholders.`,
            disabledText: 'To modify this field, please configure the mandatory information in the Case Details section first.',
        },
    },
    tooltipMessage: {
        report_case: `This option lets you report a case and notify the case owners. The case owners will have the option to either assign a case workflow or flag it for a follow-up at a later date.`,
        add_case: `This option lets you directly report and assign a case workflow. Once the case is reported, the case owners and assignees will be notified via email to work on the case.`,
        receive_updates: `If this option is enabled, you will receive email notifications whenever the case is updated or resolved.`,
        rc: `Responsibility Centers represent the corporate and operational infrastructure of an organization. One or more Responsibility Centers can be exposed to a risk and accordingly, the risk must be assessed against each Responsibility Center.`,
        workflow: `A workflow defines the series of stages and actions required to manage a case from start to finish. The workflow for this case is automatically selected based on the Responsibility Center, Case Type, Case Priority, and Case Category.`,
    },
    errorMessage: {
        rc: `Select a Responsibility Center.`,
        name: `Enter a name for this case.`,
        description: `Add details about what happened.`,
        caseType: `Select the Case Type.`,
        reportDate: `Select the date on which this case occurred.`,
        priority: `Specify the case priority.`,
        mainRc: `Select a Main Responsibility Center.`,
        caseOwner: `Select a Case Owner.`,
        caseAssignee: `Select a Case Assignee.`,
        dueDate: `Select the date by which the case should be closed.`,
        stageAssignee: `Select the Assignee for all the Stages.`,
        caseResolutionDeadline: `Select the date by which the case should be closed.`,
    },
};
const DEFAULT_FORM_CONFIG = {
    placeholder: 'Select forms for this stage',
    isError: false,
    errorMessage: '',
    items: [],
    isMulti: false,
    showIndeterminateCheckbox: false,
    indeterminateCheckboxLabel: '',
    showChipCapsule: false,
    action: '',
};
var SelectionState$1;
(function (SelectionState) {
    SelectionState["EMPTY"] = "empty";
    SelectionState["SELECTED"] = "selected";
    SelectionState["DISABLED"] = "disabled";
})(SelectionState$1 || (SelectionState$1 = {}));
var SelectionPopupState;
(function (SelectionPopupState) {
    SelectionPopupState["DROP_DOWN"] = "drop-down";
    SelectionPopupState["SELECTION_DIALOG"] = "selection-dialog";
})(SelectionPopupState || (SelectionPopupState = {}));
var ACTION_CODE;
(function (ACTION_CODE) {
    ACTION_CODE["RC"] = "RC";
    ACTION_CODE["CC"] = "CC";
})(ACTION_CODE || (ACTION_CODE = {}));
const REPORT_CASE_PAYLOAD = {
    name: '',
    description: {
        text: '',
        attachments: [],
    },
    receive_updates: false,
    rc_details: {
        ids: [],
    },
    occurrence_date: '',
    case_type: {
        id: '',
        custom_fields: [],
    },
    priority: {
        id: '',
        custom_fields: [],
    },
    category: {
        ids: [],
        custom_fields: [],
    },
    supporting_documents: [],
    status: 'QUEUED',
    stage: 'REPORTED',
    risk_class: 1,
    caseToWorkflow: {},
    responsibilities_Linked: [],
    linked_assessment_issues: {
        resp_id: '',
        due_date_id: '',
        assessment_id: '',
        question_id: '',
        auditee_id: 0,
    },
    source: '',
};
const ADD_TO_CASE_WORKFLOW = {
    name: '',
    description: {
        text: '',
        attachments: [],
    },
    receive_updates: false,
    rc_details: {
        ids: [],
        separate_rc_cases: false,
        main_rc_id: '',
    },
    occurrence_date: '',
    case_type: {
        id: '',
        custom_fields: [],
    },
    priority: {
        id: '',
        custom_fields: [],
    },
    category: {
        ids: [],
        custom_fields: [],
    },
    additional_category: {
        ids: [],
        custom_fields: [],
    },
    supporting_documents: [],
    stage: 'REPORTED',
    risk_class: 1,
    caseToWorkflow: {
        workflow_id: '',
        owners: [],
        assignees: [],
        assignees_group: [],
        resolution_deadline: {
            due_date: '',
            stages_assignees: [],
            assignee_remind_before: 1,
            owner_remind_before: 2,
        },
        exception_type: '',
        associated_risks: {
            text: '',
            attachments: [],
        },
        oversights: {
            cc_ids: [],
            cc_failures_ids: [],
        },
        evidence_enabled: false,
        recommendations: {
            text: '',
            attachments: [],
        },
    },
    responsibilities_Linked: [],
    linked_assessment_issues: {
        resp_id: '',
        due_date_id: '',
        assessment_id: '',
        question_id: '',
        auditee_id: 0,
    },
    source: '',
};
const ADD_TO_WORKFLOW_PAYLOAD = {
    workflow_id: '',
    case_id: '',
    owners: [],
    assignees: [],
    assignees_group: [],
    resolution_deadline: {
        due_date: '',
        stages_assignees: [],
        assignee_remind_before: 1,
        owner_remind_before: 2,
    },
    exception_type: '',
    associated_risks: {
        text: '',
        attachments: [],
    },
    oversights: {
        cc_ids: [],
        cc_failures_ids: [],
    },
    evidence_enabled: false,
    recommendations: {
        text: '',
        attachments: [],
    },
};
const EXCEPTION_TYPE = {
    DESIGN_EXCEPTION: 'DESIGN_EXCEPTION',
    EFFECTIVENESS_EXCEPTION: 'EFFECTIVENESS_EXCEPTION',
};
const SELECTOR_CONFIG = {
    CASE_CATEGORY: {
        panelTitle: 'Select a Case Category',
        entitySingular: 'Category selected.',
        entityPlural: 'Categories selected.',
        displayKey: 'name',
        identifierKey: '_id',
        parentKey: 'parent_id',
        parentDisplayKey: 'name',
        searchPlaceholder: 'Search a Case Category.',
        noDataText: 'No case categories found.',
    },
};
const OVERSIGHT_SELECTOR_CONFIG = {
    panelTitle: 'Select user(s)',
    floatingTextSingular: 'User selected',
    searchPlaceholder: 'Search User',
    searchEnabled: true,
    selectAllEnabled: true,
    noDataText: 'No Users Found',
};
const HELPER_TEXT = {
    transition_status: `This setting defines the origin and final status for each stage as it transitions through the case workflow.`,
    assignee: `These are the users responsible for handling specific stages. They can submit forms, complete tasks, and advance the case through the workflow.`,
    deadline: `This is the date by which each stage must be completed.`,
};
const WORKFLOW_DETAILS_PARAMS = {
    rc_details: { id: '' },
    case_type: { id: '' },
    priority: { id: '' },
    category: { id: '' },
};
const SIDE_SELECTOR_ELEMENTS = [
    'CASE_CATEGORY',
    'CASE_RC',
    'CASE_CC',
    'CASE_FCC',
];
const RISK_CLASSIFICATION = [
    { name: 'LOW', value: 1, class: 'low' },
    { name: 'LOW-Medium', value: 2, class: 'low-med' },
    { name: 'Medium-High', value: 3, class: 'med-high' },
    { name: 'High', value: 4, class: 'high' },
];
const ADDITIONAL_OPTION_STATUS = {
    EXCEPTION_TYPE: false,
    EVIDENCE: false,
    PRIORITY: false,
    ISSUE_TYPE: false,
    ASSOCIATED_RISKS: false,
    OVERSIGHT: false,
    RECOMMENDED_ACTIONS: false,
    RISK_CLASSIFICATION: false,
};
const VALIDATION_ERROR = {
    name: { isError: false, message: '' },
    description: { isError: false, message: '' },
    reportDate: { isError: false, message: '' },
    caseType: { isError: false, message: '' },
    priority: { isError: false, message: '' },
    rc: { isError: false, message: '' },
    mainRc: { isError: false, message: '' },
    caseOwner: { isError: false, message: '' },
    caseAssignee: { isError: false, message: '' },
    caseResolutionDeadline: { isError: false, message: '' },
};
const ACTION_BUTTONS = [
    { buttonText: 'View Reported Case', class: 'white-btn', id: 'viewCase' },
    { buttonText: 'Report Another Case', class: 'blue-btn', id: 'reportCase' },
];
const SMILEY_MESSAGE = `You're all set!`;
const ADD_TO_WORKFLOW_MOCK = {
    workflow_id: '64ae7338c0f748d1953c1e57',
    owners: ['6389c5b6f857cb0008fdc61e'],
    assignees: [
        '65013e505a32770008d6c456',
        '65013e7280ea020008a24a60',
        '668be4220e572d000803870e',
        '65013e3a5a32770008d6c3cc',
    ],
    assignees_group: [
        '6764efc150a0eb0008439d46',
        '676437b528932d0008822426',
        '6762ab74b459790008e21e8e',
    ],
    resolution_deadline: {
        due_date: '2024-12-02T18:30:00.000Z',
        stages_assignees: [
            {
                stage_id: '6759372573628bf898a3ed0q',
                assignee_id: '65013e7280ea020008a24a60',
                due_date: '2024-12-20T06:23:01.076Z',
            },
            {
                stage_id: '6759372573628bf898a3ed0r',
                assignee_id: '65013e505a32770008d6c456',
                due_date: '2024-12-20T06:23:01.076Z',
            },
            {
                stage_id: '6759372573628bf898a3ed0s',
                assignee_id: '65013e7280ea020008a24a60',
                due_date: '2024-12-20T06:23:01.076Z',
            },
        ],
        assignee_remind_before: 5,
        owner_remind_before: 10,
    },
    exception_type: 'DESIGN_EXCEPTION',
    associated_risks: {
        text: 'efffffffffffffffffffffffffffffffffffffffffffffffffff&nbsp; &nbsp; &nbsp;bbbbbbbbb',
        attachments: [],
    },
    oversights: {
        cc_ids: ['65013e7280ea020008a24a60', '668be4220e572d000803870e'],
        cc_failures_ids: ['6389c5b6f857cb0008fdc61e', '65013dfe80ea020008a249a6'],
    },
    evidence_enabled: true,
    recommendations: {
        text: 'wwwwwwwwwwwwwwwwwwwwwwwwwwwjwjjjjj',
        attachments: [],
    },
};
const EMAIL_REMINDERS = {
    email_reminder: 1,
    escalation_email_reminder: 2,
};
const FIELD_SELECTOR = [
    'category',
    'RC',
    'additionalCategory',
    'CASE_CC',
    'CASE_FCC',
    'CASE_OWNER',
    'CASE_ASSIGNEE',
    'CASE_RESOLUTION_DEADLINE',
    'LINK_MORE_RESPONSIBILITY',
];
const MONTH_NAMES = [
    'Jan',
    'Feb',
    'Mar',
    'Apr',
    'May',
    'Jun',
    'Jul',
    'Aug',
    'Sep',
    'Oct',
    'Nov',
    'Dec',
];
const BANNER_CASE_RESOLUTION_DEADLINE_WARNING = 'Note: Please ensure that the case resolution deadline is not set before the associated task due date within this case.';

var report;
(function (report) {
    report["REPORT_CASE"] = "reportCase";
    report["ADD_CASE_TO_WORKFLOW"] = "addCaseToWorkflow";
})(report || (report = {}));
class CaseTypeComponent {
    constructor() {
        this.reportTexts = REPORT_CASE;
        this.caseType = report;
        this.caseSelected = report.REPORT_CASE;
        this.fieldSelector = FIELD_SELECTOR;
        this.fieldSelected = '';
        this.caseTypeChange = new EventEmitter();
    }
    ngOnInit() { }
    toggleCaseType(type) {
        this.caseSelected = type;
        this.caseTypeChange.emit(type);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseTypeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CaseTypeComponent, selector: "app-case-type", inputs: { fieldSelected: "fieldSelected" }, outputs: { caseTypeChange: "caseTypeChange" }, ngImport: i0, template: `
    <div
      class="form-group-row"
      [class.active]="false"
      [class.disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <div class="left checked">
        <svg
          class="checkIcon"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 52 52"
        >
          <circle
            class="checkIcon__circle"
            cx="26"
            cy="26"
            r="25"
            fill="none"
          />
          <path
            class="checkIcon__check"
            fill="none"
            d="M14.1 27.2l7.1 7.2 16.7-16.8"
          />
        </svg>
      </div>
      <div class="right">
        <div class="vx-form-group">
          <label class="vx-control-panel"
            >{{ reportTexts.case_type }} <span class="required">*</span></label
          >
          <div class="risk-type-field caseType">
            <div
              class="type-item"
              [class.active]="caseSelected === caseType.REPORT_CASE"
            >
              <button (click)="toggleCaseType(caseType.REPORT_CASE)">
                {{ reportTexts.report_case }}
              </button>
              <i
                class="icons info"
                [appTooltip]="reportTexts.tooltipMessage.report_case"
                placement="bottom-right"
                delay="0"
                type="white"
                [tooltipMandatory]="true"
                >&#xe932;</i
              >
            </div>
            <div
              class="type-item"
              [class.active]="caseSelected === caseType.ADD_CASE_TO_WORKFLOW"
            >
              <button (click)="toggleCaseType(caseType.ADD_CASE_TO_WORKFLOW)">
                {{ reportTexts.add_case }}
              </button>
              <i
                class="icons info"
                [appTooltip]="reportTexts.tooltipMessage.add_case"
                placement="bottom-right"
                delay="0"
                type="white"
                [tooltipMandatory]="true"
                >&#xe932;</i
              >
            </div>
            <span class="background-glider"></span>
          </div>
        </div>
      </div>
    </div>
  `, isInline: true, styles: ["::ng-deep .vx-form-group .risk-type-field.caseType .type-item button{line-height:.75rem}::ng-deep .vx-form-group .risk-type-field.caseType .background-glider{width:207px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseTypeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-type', template: `
    <div
      class="form-group-row"
      [class.active]="false"
      [class.disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <div class="left checked">
        <svg
          class="checkIcon"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 52 52"
        >
          <circle
            class="checkIcon__circle"
            cx="26"
            cy="26"
            r="25"
            fill="none"
          />
          <path
            class="checkIcon__check"
            fill="none"
            d="M14.1 27.2l7.1 7.2 16.7-16.8"
          />
        </svg>
      </div>
      <div class="right">
        <div class="vx-form-group">
          <label class="vx-control-panel"
            >{{ reportTexts.case_type }} <span class="required">*</span></label
          >
          <div class="risk-type-field caseType">
            <div
              class="type-item"
              [class.active]="caseSelected === caseType.REPORT_CASE"
            >
              <button (click)="toggleCaseType(caseType.REPORT_CASE)">
                {{ reportTexts.report_case }}
              </button>
              <i
                class="icons info"
                [appTooltip]="reportTexts.tooltipMessage.report_case"
                placement="bottom-right"
                delay="0"
                type="white"
                [tooltipMandatory]="true"
                >&#xe932;</i
              >
            </div>
            <div
              class="type-item"
              [class.active]="caseSelected === caseType.ADD_CASE_TO_WORKFLOW"
            >
              <button (click)="toggleCaseType(caseType.ADD_CASE_TO_WORKFLOW)">
                {{ reportTexts.add_case }}
              </button>
              <i
                class="icons info"
                [appTooltip]="reportTexts.tooltipMessage.add_case"
                placement="bottom-right"
                delay="0"
                type="white"
                [tooltipMandatory]="true"
                >&#xe932;</i
              >
            </div>
            <span class="background-glider"></span>
          </div>
        </div>
      </div>
    </div>
  `, styles: ["::ng-deep .vx-form-group .risk-type-field.caseType .type-item button{line-height:.75rem}::ng-deep .vx-form-group .risk-type-field.caseType .background-glider{width:207px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { fieldSelected: [{
                type: Input
            }], caseTypeChange: [{
                type: Output
            }] } });

class OrganizationUserService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.organizationUsers = new BehaviorSubject([] || null);
        this.permissions = [];
        if (config) {
            this.env = config.envConfig;
        }
    }
    getAllOrgUser() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'getAllUsers&type=all', {
            headers,
        })
            .pipe(map((res) => this.setOrganizationUsers(res)), catchError((error) => {
            console.error('Error fetching organization users:', error);
            return of([]);
        }));
    }
    setOrganizationUsers(data) {
        const res = this.dataMap(data);
        this.organizationUsers.next(res);
        return res;
    }
    dataMap(data) {
        return data.map((user) => ({
            ...user,
            employee_id: user?.member_id,
            employee_pic: user?.member_pic,
            employee_name: user?.member_name,
            employee_email: user?.member_email,
            employee_short_name: user?.short_name,
            my_member_id: user?.member_id,
            user_id: user?.member_id,
        }));
    }
    getOrganizationUsers() {
        const currentUsers = this.organizationUsers.getValue();
        if (currentUsers && currentUsers.length) {
            return of(this.organizationUsers.value);
        }
        return this.getAllOrgUser();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OrganizationUserService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OrganizationUserService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OrganizationUserService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

const FILE_SIZE = {
    MAX_SIZE: 200 * 1024 * 1024,
    ERROR: 'alert',
    MESSAGE: 'Maximum allowed size is 200 MB.'
};

const API_URLS = {
    fetchPolicyList: 'policy/fetchPolicyList&policyLink=true',
    LINKED_POLICIES: 'policy/linkedPolicies&policyId='
};

class PolicyService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.PolicyCategoryList = new BehaviorSubject(null);
        this.linkedPolicies$ = new BehaviorSubject(null);
        this.linkRelatePolicies = {};
        if (config) {
            this.env = config.envConfig;
        }
    }
    getCategoriesList() {
        if (this.PolicyCategoryList?.getValue()) {
            return of(this.PolicyCategoryList?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.policyGet + 'category/dropdownList&type=contract', {
            headers,
        })
            .pipe(map$1((res) => {
            this.PolicyCategoryList?.next(res);
            return res;
        }), catchError$1((error) => {
            console.error('Error fetching Policy Category', error);
            return of(null);
        }))
            .pipe(retry(2));
    }
    // https://devapi.v-comply.com/policy/?mode=category/detailAll
    getWorkflowList(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.policyPost + 'approvalworkflow/fetchall', { category_id: payload, source_page: 'WORKFLOW_ENGINE' }, { headers })
            .pipe(retry(2));
    }
    getPolicyList(req) {
        const url = this.env?.policyGet;
        let params = req.params || new HttpParams();
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        switch (req.method.toLowerCase()) {
            case 'get':
                return this.http
                    .get(url + req.mode, { headers, params })
                    .pipe(retry(2));
            default:
                return throwError(() => new Error('Unsupported request method'));
        }
    }
    submitPolicy(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.policyPost + 'policy/add', payload, { headers })
            .pipe(retry(2));
    }
    getReviewers(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.policyPost + 'category/detailAll', { categoryId: payload }, { headers })
            .pipe(retry(2));
    }
    getRCList() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.complianceGet + 'responsibilityCenterTree', {
            headers,
        })
            .pipe(retry(2));
    }
    // getOrganizationUsers() {
    //   const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
    //   return this.http
    //     .get<any[]>(this.env.organizationGet + 'organizationUsers&from=risk', {
    //       headers,
    //     })
    //     .pipe(retry(2));
    // }
    getOrganizationPeople() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'people', {
            headers,
        })
            .pipe(retry(2));
    }
    getCategoryWorkFlows(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.policyGet + 'approvalworkflow/fetchall&category_id=' + id, { headers })
            .pipe(retry(2));
    }
    fileUploadWorkroom(payload, des) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.fileUploadEndPoint + des, payload, {
            headers,
        });
    }
    saveUploadedFiles(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.policyPost + 'attachment/create', payload, { headers });
    }
    uploadFile(data, id, path) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.fileUpload + '?id=' + id + '&path=' + path, data, {
            headers,
        })
            .pipe(retry(2));
    }
    uploadDocxFile(data, id, path) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.docxUpload +
            '?id=' +
            id +
            '&path=' +
            path +
            '&bypass-token=true', data, { headers })
            .pipe(retry(2));
    }
    savePolicyDetails(uname, uid, id, name, html, isSendForApprove) {
        const payload = JSON.stringify({
            policyLogs: JSON.stringify([
                {
                    policyName: name,
                    policyDesc: html,
                    oldPolicyName: name,
                    type: 2,
                    active_flag: 1,
                    modified_member: [{ modifier_id: uid, modifier_name: uname }],
                    modified_by: uname,
                    modified_on: new Date(),
                },
            ]),
            policyDesc: JSON.stringify([
                {
                    policyName: name,
                    policyDesc: html,
                    oldPolicyName: name,
                    type: 2,
                    active_flag: 1,
                    modified_member: [{ modifier_id: uid, modifier_name: uname }],
                    modified_by: uname,
                    modified_on: new Date(),
                },
            ]),
            Is_approval: isSendForApprove,
        });
        let headers = new HttpHeaders().set('Content-Type', 'application/json');
        headers = headers.append('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.saveDoc + id, payload, { headers });
    }
    fileSizeLimit(file) {
        const sizeInMB = file?.size || 0;
        return sizeInMB <= FILE_SIZE.MAX_SIZE;
    }
    editPolicy(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.policyGet + 'policy/list&obj_id=' + id, { headers })
            .pipe(retry(2));
    }
    updatePolicy(payload, policyId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.put(this.env.policyPut + 'policy/update&contractId=' + policyId, payload, { headers });
    }
    extractFile(extension, path, id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        if (extension === 'pdf' || extension === 'PDF') {
            return this.http.get(this.env.linkPdf + '?filePath=' + path + '&id=' + id, { headers });
        }
        else {
            return this.http.post(this.env.linkDoc, { filePath: path, id }, { headers });
        }
    }
    createApprovalWorkflow(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.policyPost + 'approvalworkflow/create', payload, { headers });
    }
    editApprovalWorkflow(payload, id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.policyPost + 'approvalworkflow/update&workflowId=' + id, payload, { headers });
    }
    LinkedPoliciesList(policyId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env?.policyGet + API_URLS.LINKED_POLICIES + policyId, { headers });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class LineLoaderComponent {
    constructor() { }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LineLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LineLoaderComponent, selector: "app-line-loader", inputs: { loaderHeight: "loaderHeight" }, ngImport: i0, template: "<div class=\"line-loader\" [style.height.px]=\"loaderHeight\">\n  <div class=\"line-loader-bar\"></div>\n</div>\n", styles: [".line-loader{height:4px;width:100%;background:#f1f1f1;position:relative;margin-bottom:3px}.line-loader-bar{bottom:0;width:40%;background:#1e5dd3;border-radius:5px;display:inline-block;position:absolute;animation:linear infinite;animation-name:run;animation-duration:1s;top:0}@keyframes run{0%{left:0}50%{left:60%}to{left:0}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LineLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-line-loader', template: "<div class=\"line-loader\" [style.height.px]=\"loaderHeight\">\n  <div class=\"line-loader-bar\"></div>\n</div>\n", styles: [".line-loader{height:4px;width:100%;background:#f1f1f1;position:relative;margin-bottom:3px}.line-loader-bar{bottom:0;width:40%;background:#1e5dd3;border-radius:5px;display:inline-block;position:absolute;animation:linear infinite;animation-name:run;animation-duration:1s;top:0}@keyframes run{0%{left:0}50%{left:60%}to{left:0}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { loaderHeight: [{
                type: Input
            }] } });

class FormatAndEvidenceComponent {
    set formatEvidanceData(value) {
        if (value) {
            this.initializeData(value, 'not ng on init');
        }
    }
    constructor(responsibilityService, policyService, authService, snackbarService) {
        this.responsibilityService = responsibilityService;
        this.policyService = policyService;
        this.authService = authService;
        this.snackbarService = snackbarService;
        this.ASSETS = ASSETS;
        this.updateFiles = new EventEmitter();
        this.mode = '';
        this.categories = [];
        this.organization_id = '';
        this.isNewLinkDisabled = false;
        this.isEditDisabled = false;
        this.formate = {
            hasUploadFormate: false,
            formateType: 'FILE',
            isEvidenceRequired: false,
            links: [],
            files: [],
            uploadInProgress: {},
        };
        this.newLink = {
            link: '',
            containsError: false,
        };
        this.policyLinkSetList = [
            // 'Policy Charter',
            // 'Related Policy Documents/Other References',
            // 'Procedures Linked to this Policy',
            // 'Implementation Guidelines for this Policy',
            // 'Training Materials for this Policy'
            'Charter',
            'Related Documents',
            'Reference Materials',
            'Related procedures',
            'Implementation guidelines',
            'Training Materials',
            'Regulatory Documents',
            'Other',
        ];
    }
    ngOnInit() {
        if (this.formatEvidanceData) {
            this.initializeData(this.formatEvidanceData, 'ng on init');
        }
    }
    initializeData(settings, type) {
        this.formate.hasUploadFormate = settings?.formatRequired ?? false;
        this.formate.formateType =
            settings?.formatLinks?.length > 0 ? 'LINK' : 'FILE';
        this.formate.isEvidenceRequired = settings?.evidenceRequired ?? false;
        this.formate.links = this.arraytoLinkObject(settings?.formatLinks) ?? [];
        if (this.mode == 'reportACase') {
            this.formate.files = settings;
        }
        else {
            this.formate.files = settings?.formatFiles ?? [];
        }
    }
    toggleIsFormateUpload(status) {
        if (status === true) {
            this.formate.hasUploadFormate = true;
        }
        else {
            this.formate.hasUploadFormate = false;
        }
        this.emitValue();
    }
    toggleIsFormatRequired(status) {
        if (status === true) {
            this.formate.isEvidenceRequired = true;
        }
        else {
            this.formate.isEvidenceRequired = false;
        }
        this.emitValue();
    }
    toggleAttachmentType(type) {
        this.formate.formateType = type;
        if (type === 'LINK' && this.formate.links.length === 0) {
            // TODO
        }
        this.emitValue();
    }
    insertLink(mode, index = -1) {
        // const urlRegex = new RegExp('(https?://)?([\\da-z.-]+)\\.([a-z.]{2,6})[/\\w .-]*/?');
        const urlRegex = /(https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|www\.[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9]+\.[^\s]{2,}|www\.[a-zA-Z0-9]+\.[^\s]{2,})/gi;
        if (mode === 'CREATE') {
            if (this.newLink.link.length === 0) {
                this.resetNewLink();
                return;
            }
            const isValid = urlRegex.test(this.newLink.link);
            if (isValid) {
                this.newLink.containsError = false;
                this.formate.links.push(this.newLink);
                this.resetNewLink();
            }
            else {
                this.newLink.containsError = true;
            }
        }
        else if (mode === 'EDIT') {
            if (this.formate.links[index].link.length === 0) {
                this.formate.links.splice(index, 1);
                this.isEditEnabled();
                this.isNewLinkDisabled = false;
                this.emitValue();
                return;
            }
            const isValid = urlRegex.test(this.formate.links[index].link);
            if (isValid) {
                this.formate.links[index].isEditing = false;
                this.formate.links[index].containsError = false;
                this.formate.links[index].isEditing = false;
                this.isNewLinkDisabled = false;
                this.isEditEnabled();
            }
            else {
                this.formate.links[index].containsError = true;
            }
        }
        this.emitValue();
    }
    editLink(index) {
        this.formate.links[index].isEditing = true;
        this.isNewLinkDisabled = true;
        this.isEditEnabled();
    }
    deleteLink(index) {
        this.formate.links.splice(index, 1);
        this.isEditEnabled();
        this.emitValue();
    }
    resetNewLink() {
        this.newLink = {
            link: '',
            containsError: false,
        };
        this.emitValue();
    }
    fileProcessing(file, uid) {
        if (this.policyService.fileSizeLimit(file)) {
            this.uploadFile(file, uid);
        }
        else {
            this.snackbarService.show(FILE_SIZE.MESSAGE, FILE_SIZE.ERROR);
        }
    }
    onFileDropped(files) {
        Array.from(files).forEach((file) => {
            const uid = Math.random().toString(36).substring(2, 14);
            this.fileProcessing(file, uid);
        });
    }
    uploadFile(file, uid) {
        this.formate.uploadInProgress[uid] = file.name;
        const formData = new FormData();
        formData.append('file', file);
        if (this.mode == 'policy' || this.mode == 'policyReviewer') {
            const path = 'o/' + this.organization_id + '/policy/';
            this.policyService
                .fileUploadWorkroom(formData, path)
                .subscribe((data) => {
                this.formate.files.push({
                    filepath: path,
                    file_name: data.org_file,
                    filename: data.name,
                    original_filename: data.org_file,
                    linkSet: '',
                });
                delete this.formate.uploadInProgress[uid];
                this.emitValue();
            });
        }
        else {
            this.responsibilityService
                .uploadToNode(formData, 'uploadFormat' + '/')
                .subscribe((data) => {
                this.formate.files.push({
                    filepath: 'uploadFormat',
                    file_name: data.org_file,
                    filename: data.name,
                    original_filename: data.org_file,
                });
                delete this.formate.uploadInProgress[uid];
                this.emitValue();
            });
        }
    }
    deleteAttachment(index) {
        this.formate.files.splice(index, 1);
        this.emitValue();
    }
    emitValue() {
        if (this.mode == 'reportACase') {
            this.updateFiles.emit(this.formate);
            return;
        }
        if (this.mode == 'policy' || this.mode == 'policyReviewer') {
            const payload = {
                isFormateUploaded: this.formate.hasUploadFormate,
                links: this.formate.formateType === 'LINK'
                    ? this.getLinksArray(this.formate.links?.length ? [...this.formate.links] : [])
                    : [],
                files: this.formate.formateType === 'FILE' ? this.formate.files : [],
                formateType: this.formate.formateType,
                isEvidenceRequired: this.formate.isEvidenceRequired,
            };
            payload.links = payload.links.filter((ele) => ele !== undefined);
            this.updateFiles.emit(payload);
        }
        else {
            const payload = {
                isFormateUploaded: this.formate.hasUploadFormate,
                links: this.formate.hasUploadFormate && this.formate.formateType === 'LINK'
                    ? this.getLinksArray([...this.formate.links])
                    : [],
                files: this.formate.hasUploadFormate && this.formate.formateType === 'FILE'
                    ? this.formate.files
                    : [],
                formateType: this.formate.formateType,
                isEvidenceRequired: this.formate.isEvidenceRequired,
            };
            payload.links = payload.links.filter((ele) => ele !== undefined);
            this.updateFiles.emit(payload);
        }
    }
    getLinksArray(links) {
        const link = links.map((e) => {
            if (e.link && !e?.containsError && !e?.isEditing) {
                return e.link;
            }
        });
        if (link?.length <= 1 && link[0] === undefined) {
            return [];
        }
        else {
            return link;
        }
    }
    arraytoLinkObject(linksArray) {
        if (linksArray) {
            const links = linksArray.map((e) => {
                return { link: e, containsError: false, isEditing: false };
            });
            return links;
        }
        else {
            return [];
        }
    }
    isEditEnabled() {
        for (const item of this.formate.links) {
            if (item.isEditing === true) {
                this.isEditDisabled = true;
                return;
            }
            else {
                this.isEditDisabled = false;
            }
        }
    }
    selectedLinkSetChange(event, index) {
        this.formate.files[index].linkSet = event;
        if (event === 'Other' && !this.formate?.files[index]?.others) {
            this.formate.files[index].others = [''];
        }
        this.emitValue();
    }
    addMoreDocumentsDetails(index) {
        this.formate.files[index].others.push('');
    }
    uploadPolicyAttachments(formData) {
        const path = 'o/' + this.organization_id + '/policy/';
        this.policyService
            .fileUploadWorkroom(formData, path)
            .subscribe((data) => {
            const payload = {
                file_name: data.name,
                original_file_name: data.org_file,
                path: path,
                organisation_id: this.authService.getOrganizationId(),
                member_id: this.authService.getMemberId(),
                category_id: this.categories,
                clap_id: 0,
                contract_type: 4,
                folder_id: 0,
            };
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatAndEvidenceComponent, deps: [{ token: ResponsibilityService }, { token: PolicyService }, { token: AuthService$1 }, { token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FormatAndEvidenceComponent, selector: "app-format-and-evidence", inputs: { mode: "mode", categories: "categories", organization_id: "organization_id", formatEvidanceData: "formatEvidanceData" }, outputs: { updateFiles: "updateFiles" }, ngImport: i0, template: "<div\n  class=\"vx-form-group\"\n  [class.policy-upload-file]=\"['policy', 'reportACase']?.includes(mode)\"\n>\n  <label class=\"vx-control-panel\" *ngIf=\"mode == 'responsibility'\">\n    Format & Evidence\n  </label>\n  <div\n    class=\"upload-format\"\n    *ngIf=\"\n      mode != 'policy' && mode != 'policyReviewer' && mode != 'reportACase'\n    \"\n  >\n    <span class=\"text\"\n      >Do you want to upload a format for this responsibility?</span\n    >\n    <div class=\"radio-group\">\n      <app-cs-radio\n        [name]=\"'format_required'\"\n        [checked]=\"formate.hasUploadFormate === true\"\n        (checkedEvent)=\"toggleIsFormateUpload(true)\"\n        >Yes</app-cs-radio\n      >\n      <app-cs-radio\n        [name]=\"'format_required'\"\n        [checked]=\"formate.hasUploadFormate === false\"\n        (checkedEvent)=\"toggleIsFormateUpload(false)\"\n        >No\n      </app-cs-radio>\n    </div>\n  </div>\n  <div\n    class=\"form-tab\"\n    *ngIf=\"formate?.hasUploadFormate || mode == 'policyReviewer'\"\n  >\n    <button\n      type=\"button\"\n      [class.active]=\"formate?.formateType === 'FILE'\"\n      (click)=\"toggleAttachmentType('FILE')\"\n      [disabled]=\"formate.links?.length > 0\"\n    >\n      Insert File\n    </button>\n    <button\n      type=\"button\"\n      [class.active]=\"formate?.formateType === 'LINK'\"\n      (click)=\"toggleAttachmentType('LINK')\"\n      [disabled]=\"formate.files?.length > 0\"\n    >\n      Insert Link\n    </button>\n  </div>\n\n  <ng-container\n    *ngIf=\"\n      (formate?.hasUploadFormate && formate.formateType === 'FILE') ||\n      (mode == 'policy' && formate.formateType === 'FILE') ||\n      (mode == 'policyReviewer' && formate.formateType === 'FILE') ||\n      (mode == 'reportACase' && formate.formateType === 'FILE')\n    \"\n  >\n    <!-- -----------------------------file upload in progress ----------------------------------  -->\n    <ng-container *ngIf=\"(formate?.uploadInProgress | keyvalue).length > 0\">\n      <div\n        class=\"file-list\"\n        *ngFor=\"\n          let eachFile of formate?.uploadInProgress | keyvalue;\n          let i = index\n        \"\n      >\n        <div class=\"file-container\">\n          <span class=\"file-name\">{{ eachFile.value }} </span>\n        </div>\n        <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n      </div>\n    </ng-container>\n    <!-- --------------------------------file upload ends here -----------------------------------------  -->\n    <ng-container *ngIf=\"formate.files?.length > 0\">\n      <ng-container *ngIf=\"mode != 'policy'\">\n        <div\n          class=\"file-list\"\n          *ngFor=\"let eachFile of formate.files; let i = index\"\n        >\n          <div class=\"file-container\">\n            <span class=\"file-name\">{{ eachFile?.file_name }} </span>\n            <button (click)=\"deleteAttachment(i)\">\n              <i class=\"icons\">&#xe90d;</i>\n            </button>\n          </div>\n        </div>\n      </ng-container>\n\n      <div\n        *ngIf=\"mode == 'policy'\"\n        class=\"policy-related-document-field vx-p-3 vx-pt-2\"\n      >\n        <div\n          class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mb-2\"\n        >\n          LINK THE DOCUMENT AND SPECIFY THE RELATIONSHIP WITH THIS POLICY\n        </div>\n        <div\n          class=\"file-list policy\"\n          *ngFor=\"let eachFile of formate.files; let i = index\"\n        >\n          <div class=\"file-container\">\n            <span\n              class=\"file table {{\n                eachFile?.file_name.split('.')[\n                  eachFile?.file_name.split('.')?.length - 1\n                ]\n              }}\"\n            >\n              <i class=\"icons\">&#xe92e;</i>\n              <span\n                class=\"format {{\n                  eachFile?.file_name.split('.')[\n                    eachFile?.file_name.split('.')?.length - 1\n                  ]\n                }}\"\n                >{{\n                  eachFile?.file_name.split(\".\")[\n                    eachFile?.file_name.split(\".\")?.length - 1\n                  ]\n                }}\n              </span>\n            </span>\n            <span class=\"file-name\">{{ eachFile?.file_name }}</span>\n            <div class=\"button-group\">\n              <button (click)=\"deleteAttachment(i)\">\n                <i class=\"icons\">&#xe90d;</i>\n              </button>\n            </div>\n          </div>\n          <cs-select\n            [(ngModel)]=\"eachFile.linkSet\"\n            (ngModelChange)=\"selectedLinkSetChange($event, i)\"\n            [placeholder]=\"'Define the document\\'s relationship to this policy'\"\n            name=\"selected\"\n          >\n            <cs-option *ngFor=\"let data of policyLinkSetList\" [value]=\"data\">\n              {{ data }}\n            </cs-option>\n          </cs-select>\n          <!-- <ng-container *ngFor=\"let other of eachFile?.others; let j = index\">\n                        <input *ngIf=\"eachFile?.linkSet === 'Other (specify own)'\" [ngModel]=\"eachFile.others[j]\" (ngModelChange)=\"selectedLinkSetChange('Other (specify own)',i, $event, j)\" class=\"linkage-input\" type=\"text\" placeholder=\"Type the linkage details\" />\n                    </ng-container>\n                    <button *ngIf=\"eachFile?.linkSet === 'Other (specify own)'\" class=\"linkage-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-mt-2\" (click)=\"addMoreDocumentsDetails(i)\">+ ADD MORE</button> -->\n        </div>\n      </div>\n\n      <!-- <label class=\"vx-control-panel\" *ngIf=\"mode=='policy'\">\n                LINK THE DOCUMENT AND SPECIFY THE RELATIONSHIP WITH THIS POLICY\n            </label>\n            <ng-container *ngFor=\"let eachFile of formate.files; let i = index\">\n                <div class=\"file-list\" *ngIf=\"mode!='policy'\">\n                    <div class=\"file-container\">\n                        <span class=\"file-name\">{{ eachFile?.file_name }} </span>\n                        <button (click)=\"deleteAttachment(i)\">\n                            <i class=\"icons\">&#xe90d;</i>\n                        </button>\n                    </div>\n                </div>\n                <div class=\"file-list policy\" *ngIf=\"mode=='policy'\">\n                    <div class=\"file-container\">\n                        <span class=\"file-name\">{{eachFile?.file_name}}</span>\n                        <div class=\"button-group\">\n                            <!- - <button class=\"edit\">\n                                <i class=\"icons\">&#xe9ba;</i>\n                            </button> - ->\n                            <button (click)=\"deleteAttachment(i)\">\n                                <i class=\"icons\">&#xe90d;</i>\n                            </button>\n                        </div>\n                    </div>\n                    <cs-select [(ngModel)]=\"eachFile.linkSet\" (ngModelChange)=\"selectedLinkSetChange($event,i)\" [placeholder]=\"'Define the document\\'s relationship to this policy'\" name=\"selected\" >\n                        <cs-option *ngFor=\"let data of policyLinkSetList\" [value]=\"data\">\n                            {{data}}\n                        </cs-option>\n                    </cs-select>\n                </div>\n            </ng-container> -->\n    </ng-container>\n    <!-- -----------------------------------drag and drop ---------------------------------------------- -->\n    <div\n      class=\"tab-group\"\n      [class.uploaded]=\"formate.files?.length > 0\"\n      appDragDrop\n      (fileDropped)=\"onFileDropped($event)\"\n    >\n      <label class=\"upload-file\">\n        <img [src]=\"ASSETS.upload\" alt=\"\" class=\"image\" />\n        <div class=\"browse\">\n          <span>\n            <ng-container *ngIf=\"mode != 'policy' && mode != 'reportACase'\"\n              >Drop your files here /\n            </ng-container>\n            <ng-container *ngIf=\"mode == 'policy' || mode == 'reportACase'\"\n              >Drop your files here /\n            </ng-container>\n            <span class=\"label\"\n              >Browse\n              <input\n                type=\"file\"\n                multiple\n                (change)=\"onFileDropped($event.target.files)\"\n              />\n            </span>\n          </span>\n          <!-- <span *ngIf=\"mode!='policy'\">Drop your files here /</span>\n                    <span *ngIf=\"mode=='policy'\">Drag & drop to upload files associated with this policy /</span>\n                    <span class=\"label\">Browse\n                        <input type=\"file\" multiple (change)=\"onFileDropped($event.target.files)\">\n                    </span> -->\n        </div>\n      </label>\n    </div>\n    <!-- ------------------------------------------drag drop ends here -------------------------------------------- -->\n  </ng-container>\n\n  <ng-container\n    *ngIf=\"\n      (formate?.hasUploadFormate && formate.formateType === 'LINK') ||\n      (mode == 'policyReviewer' && formate.formateType === 'LINK')\n    \"\n  >\n    <ng-container *ngIf=\"formate.links.length > 0\">\n      <ng-container *ngFor=\"let link of formate.links; let i = index\">\n        <div class=\"file-list\" *ngIf=\"!link.isEditing\">\n          <div class=\"file-container\">\n            <span class=\"file-name\">{{ link.link }} </span>\n            <span class=\"button-group\">\n              <button\n                [class.disabled]=\"isEditDisabled\"\n                class=\"edit\"\n                (click)=\"editLink(i)\"\n              >\n                <i class=\"icons\">&#xe9ba;</i>\n              </button>\n              <button (click)=\"deleteLink(i)\">\n                <i class=\"icons\">&#xe90d;</i>\n              </button>\n            </span>\n          </div>\n        </div>\n        <ng-container *ngIf=\"link.isEditing\">\n          <input\n            type=\"text\"\n            class=\"edit-link\"\n            appAutofocus\n            placeholder=\"Enter the link here\"\n            [(ngModel)]=\"link.link\"\n            (focusout)=\"insertLink('EDIT', i)\"\n            (keydown.enter)=\"insertLink('EDIT', i)\"\n          />\n          <p class=\"error-message\" *ngIf=\"link.containsError\">\n            Please insert a valid link\n          </p>\n        </ng-container>\n      </ng-container>\n    </ng-container>\n    <input\n      [disabled]=\"isNewLinkDisabled\"\n      class=\"edit-link\"\n      type=\"text\"\n      [(ngModel)]=\"newLink.link\"\n      placeholder=\"Enter the link here\"\n      (focusout)=\"insertLink('CREATE')\"\n      (keydown.enter)=\"insertLink('CREATE')\"\n    />\n    <p class=\"error-message\" *ngIf=\"newLink.containsError\">\n      Please insert a valid link\n    </p>\n  </ng-container>\n  <div class=\"upload-format\" *ngIf=\"mode == 'responsibility'\">\n    <span class=\"text\"\n      >Do you want evidence of completion of the responsibility to be\n      uploaded?</span\n    >\n    <div class=\"radio-group\">\n      <app-cs-radio\n        [name]=\"'evidence_required'\"\n        [checked]=\"formate.isEvidenceRequired === true\"\n        (checkedEvent)=\"toggleIsFormatRequired(true)\"\n        >Yes</app-cs-radio\n      >\n      <app-cs-radio\n        [name]=\"'evidence_required'\"\n        [checked]=\"formate.isEvidenceRequired === false\"\n        (checkedEvent)=\"toggleIsFormatRequired(false)\"\n        >No\n      </app-cs-radio>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.edit-link{margin-top:4px}.disabled{opacity:.4;pointer-events:none}::ng-deep .policy-upload-file .policy-related-document-field{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .policy-upload-file .policy-related-document-field .file-list{background:transparent!important;border-radius:0;border:none;border-bottom:1px solid #dbdbdb;padding:.75rem 0;margin:0!important}::ng-deep .policy-upload-file .policy-related-document-field .file-list:only-child,::ng-deep .policy-upload-file .policy-related-document-field .file-list:last-of-type{border-bottom:none;padding-bottom:0}::ng-deep .policy-upload-file .policy-related-document-field .file-list .file-container{align-items:center;justify-content:unset}::ng-deep .policy-upload-file .policy-related-document-field .file-list .file-container span.file.table{margin-right:.25rem}::ng-deep .policy-upload-file .policy-related-document-field .file-list .file-container span.file-name{width:calc(100% - 2.125rem);padding-right:1.25rem}::ng-deep .policy-upload-file .policy-related-document-field .file-list cs-select{margin-top:.25rem}::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;color:#747576;font-size:13px;padding:0 .5rem;margin:.5rem 0 0;height:2rem;width:100%;transition:all .2s ease-in-out}::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input::placeholder{color:#747576;font-size:13px}::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input:hover,::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input:focus-within{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .policy-upload-file .policy-related-document-field .file-list button.linkage-btn{background:transparent;border-radius:0;border:none;color:#1e5dd3}::ng-deep .policy-upload-file .tab-group.uploaded{margin-top:.5rem}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: LineLoaderComponent, selector: "app-line-loader", inputs: ["loaderHeight"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }, { kind: "pipe", type: i1$1.KeyValuePipe, name: "keyvalue" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatAndEvidenceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-format-and-evidence', template: "<div\n  class=\"vx-form-group\"\n  [class.policy-upload-file]=\"['policy', 'reportACase']?.includes(mode)\"\n>\n  <label class=\"vx-control-panel\" *ngIf=\"mode == 'responsibility'\">\n    Format & Evidence\n  </label>\n  <div\n    class=\"upload-format\"\n    *ngIf=\"\n      mode != 'policy' && mode != 'policyReviewer' && mode != 'reportACase'\n    \"\n  >\n    <span class=\"text\"\n      >Do you want to upload a format for this responsibility?</span\n    >\n    <div class=\"radio-group\">\n      <app-cs-radio\n        [name]=\"'format_required'\"\n        [checked]=\"formate.hasUploadFormate === true\"\n        (checkedEvent)=\"toggleIsFormateUpload(true)\"\n        >Yes</app-cs-radio\n      >\n      <app-cs-radio\n        [name]=\"'format_required'\"\n        [checked]=\"formate.hasUploadFormate === false\"\n        (checkedEvent)=\"toggleIsFormateUpload(false)\"\n        >No\n      </app-cs-radio>\n    </div>\n  </div>\n  <div\n    class=\"form-tab\"\n    *ngIf=\"formate?.hasUploadFormate || mode == 'policyReviewer'\"\n  >\n    <button\n      type=\"button\"\n      [class.active]=\"formate?.formateType === 'FILE'\"\n      (click)=\"toggleAttachmentType('FILE')\"\n      [disabled]=\"formate.links?.length > 0\"\n    >\n      Insert File\n    </button>\n    <button\n      type=\"button\"\n      [class.active]=\"formate?.formateType === 'LINK'\"\n      (click)=\"toggleAttachmentType('LINK')\"\n      [disabled]=\"formate.files?.length > 0\"\n    >\n      Insert Link\n    </button>\n  </div>\n\n  <ng-container\n    *ngIf=\"\n      (formate?.hasUploadFormate && formate.formateType === 'FILE') ||\n      (mode == 'policy' && formate.formateType === 'FILE') ||\n      (mode == 'policyReviewer' && formate.formateType === 'FILE') ||\n      (mode == 'reportACase' && formate.formateType === 'FILE')\n    \"\n  >\n    <!-- -----------------------------file upload in progress ----------------------------------  -->\n    <ng-container *ngIf=\"(formate?.uploadInProgress | keyvalue).length > 0\">\n      <div\n        class=\"file-list\"\n        *ngFor=\"\n          let eachFile of formate?.uploadInProgress | keyvalue;\n          let i = index\n        \"\n      >\n        <div class=\"file-container\">\n          <span class=\"file-name\">{{ eachFile.value }} </span>\n        </div>\n        <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n      </div>\n    </ng-container>\n    <!-- --------------------------------file upload ends here -----------------------------------------  -->\n    <ng-container *ngIf=\"formate.files?.length > 0\">\n      <ng-container *ngIf=\"mode != 'policy'\">\n        <div\n          class=\"file-list\"\n          *ngFor=\"let eachFile of formate.files; let i = index\"\n        >\n          <div class=\"file-container\">\n            <span class=\"file-name\">{{ eachFile?.file_name }} </span>\n            <button (click)=\"deleteAttachment(i)\">\n              <i class=\"icons\">&#xe90d;</i>\n            </button>\n          </div>\n        </div>\n      </ng-container>\n\n      <div\n        *ngIf=\"mode == 'policy'\"\n        class=\"policy-related-document-field vx-p-3 vx-pt-2\"\n      >\n        <div\n          class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mb-2\"\n        >\n          LINK THE DOCUMENT AND SPECIFY THE RELATIONSHIP WITH THIS POLICY\n        </div>\n        <div\n          class=\"file-list policy\"\n          *ngFor=\"let eachFile of formate.files; let i = index\"\n        >\n          <div class=\"file-container\">\n            <span\n              class=\"file table {{\n                eachFile?.file_name.split('.')[\n                  eachFile?.file_name.split('.')?.length - 1\n                ]\n              }}\"\n            >\n              <i class=\"icons\">&#xe92e;</i>\n              <span\n                class=\"format {{\n                  eachFile?.file_name.split('.')[\n                    eachFile?.file_name.split('.')?.length - 1\n                  ]\n                }}\"\n                >{{\n                  eachFile?.file_name.split(\".\")[\n                    eachFile?.file_name.split(\".\")?.length - 1\n                  ]\n                }}\n              </span>\n            </span>\n            <span class=\"file-name\">{{ eachFile?.file_name }}</span>\n            <div class=\"button-group\">\n              <button (click)=\"deleteAttachment(i)\">\n                <i class=\"icons\">&#xe90d;</i>\n              </button>\n            </div>\n          </div>\n          <cs-select\n            [(ngModel)]=\"eachFile.linkSet\"\n            (ngModelChange)=\"selectedLinkSetChange($event, i)\"\n            [placeholder]=\"'Define the document\\'s relationship to this policy'\"\n            name=\"selected\"\n          >\n            <cs-option *ngFor=\"let data of policyLinkSetList\" [value]=\"data\">\n              {{ data }}\n            </cs-option>\n          </cs-select>\n          <!-- <ng-container *ngFor=\"let other of eachFile?.others; let j = index\">\n                        <input *ngIf=\"eachFile?.linkSet === 'Other (specify own)'\" [ngModel]=\"eachFile.others[j]\" (ngModelChange)=\"selectedLinkSetChange('Other (specify own)',i, $event, j)\" class=\"linkage-input\" type=\"text\" placeholder=\"Type the linkage details\" />\n                    </ng-container>\n                    <button *ngIf=\"eachFile?.linkSet === 'Other (specify own)'\" class=\"linkage-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-mt-2\" (click)=\"addMoreDocumentsDetails(i)\">+ ADD MORE</button> -->\n        </div>\n      </div>\n\n      <!-- <label class=\"vx-control-panel\" *ngIf=\"mode=='policy'\">\n                LINK THE DOCUMENT AND SPECIFY THE RELATIONSHIP WITH THIS POLICY\n            </label>\n            <ng-container *ngFor=\"let eachFile of formate.files; let i = index\">\n                <div class=\"file-list\" *ngIf=\"mode!='policy'\">\n                    <div class=\"file-container\">\n                        <span class=\"file-name\">{{ eachFile?.file_name }} </span>\n                        <button (click)=\"deleteAttachment(i)\">\n                            <i class=\"icons\">&#xe90d;</i>\n                        </button>\n                    </div>\n                </div>\n                <div class=\"file-list policy\" *ngIf=\"mode=='policy'\">\n                    <div class=\"file-container\">\n                        <span class=\"file-name\">{{eachFile?.file_name}}</span>\n                        <div class=\"button-group\">\n                            <!- - <button class=\"edit\">\n                                <i class=\"icons\">&#xe9ba;</i>\n                            </button> - ->\n                            <button (click)=\"deleteAttachment(i)\">\n                                <i class=\"icons\">&#xe90d;</i>\n                            </button>\n                        </div>\n                    </div>\n                    <cs-select [(ngModel)]=\"eachFile.linkSet\" (ngModelChange)=\"selectedLinkSetChange($event,i)\" [placeholder]=\"'Define the document\\'s relationship to this policy'\" name=\"selected\" >\n                        <cs-option *ngFor=\"let data of policyLinkSetList\" [value]=\"data\">\n                            {{data}}\n                        </cs-option>\n                    </cs-select>\n                </div>\n            </ng-container> -->\n    </ng-container>\n    <!-- -----------------------------------drag and drop ---------------------------------------------- -->\n    <div\n      class=\"tab-group\"\n      [class.uploaded]=\"formate.files?.length > 0\"\n      appDragDrop\n      (fileDropped)=\"onFileDropped($event)\"\n    >\n      <label class=\"upload-file\">\n        <img [src]=\"ASSETS.upload\" alt=\"\" class=\"image\" />\n        <div class=\"browse\">\n          <span>\n            <ng-container *ngIf=\"mode != 'policy' && mode != 'reportACase'\"\n              >Drop your files here /\n            </ng-container>\n            <ng-container *ngIf=\"mode == 'policy' || mode == 'reportACase'\"\n              >Drop your files here /\n            </ng-container>\n            <span class=\"label\"\n              >Browse\n              <input\n                type=\"file\"\n                multiple\n                (change)=\"onFileDropped($event.target.files)\"\n              />\n            </span>\n          </span>\n          <!-- <span *ngIf=\"mode!='policy'\">Drop your files here /</span>\n                    <span *ngIf=\"mode=='policy'\">Drag & drop to upload files associated with this policy /</span>\n                    <span class=\"label\">Browse\n                        <input type=\"file\" multiple (change)=\"onFileDropped($event.target.files)\">\n                    </span> -->\n        </div>\n      </label>\n    </div>\n    <!-- ------------------------------------------drag drop ends here -------------------------------------------- -->\n  </ng-container>\n\n  <ng-container\n    *ngIf=\"\n      (formate?.hasUploadFormate && formate.formateType === 'LINK') ||\n      (mode == 'policyReviewer' && formate.formateType === 'LINK')\n    \"\n  >\n    <ng-container *ngIf=\"formate.links.length > 0\">\n      <ng-container *ngFor=\"let link of formate.links; let i = index\">\n        <div class=\"file-list\" *ngIf=\"!link.isEditing\">\n          <div class=\"file-container\">\n            <span class=\"file-name\">{{ link.link }} </span>\n            <span class=\"button-group\">\n              <button\n                [class.disabled]=\"isEditDisabled\"\n                class=\"edit\"\n                (click)=\"editLink(i)\"\n              >\n                <i class=\"icons\">&#xe9ba;</i>\n              </button>\n              <button (click)=\"deleteLink(i)\">\n                <i class=\"icons\">&#xe90d;</i>\n              </button>\n            </span>\n          </div>\n        </div>\n        <ng-container *ngIf=\"link.isEditing\">\n          <input\n            type=\"text\"\n            class=\"edit-link\"\n            appAutofocus\n            placeholder=\"Enter the link here\"\n            [(ngModel)]=\"link.link\"\n            (focusout)=\"insertLink('EDIT', i)\"\n            (keydown.enter)=\"insertLink('EDIT', i)\"\n          />\n          <p class=\"error-message\" *ngIf=\"link.containsError\">\n            Please insert a valid link\n          </p>\n        </ng-container>\n      </ng-container>\n    </ng-container>\n    <input\n      [disabled]=\"isNewLinkDisabled\"\n      class=\"edit-link\"\n      type=\"text\"\n      [(ngModel)]=\"newLink.link\"\n      placeholder=\"Enter the link here\"\n      (focusout)=\"insertLink('CREATE')\"\n      (keydown.enter)=\"insertLink('CREATE')\"\n    />\n    <p class=\"error-message\" *ngIf=\"newLink.containsError\">\n      Please insert a valid link\n    </p>\n  </ng-container>\n  <div class=\"upload-format\" *ngIf=\"mode == 'responsibility'\">\n    <span class=\"text\"\n      >Do you want evidence of completion of the responsibility to be\n      uploaded?</span\n    >\n    <div class=\"radio-group\">\n      <app-cs-radio\n        [name]=\"'evidence_required'\"\n        [checked]=\"formate.isEvidenceRequired === true\"\n        (checkedEvent)=\"toggleIsFormatRequired(true)\"\n        >Yes</app-cs-radio\n      >\n      <app-cs-radio\n        [name]=\"'evidence_required'\"\n        [checked]=\"formate.isEvidenceRequired === false\"\n        (checkedEvent)=\"toggleIsFormatRequired(false)\"\n        >No\n      </app-cs-radio>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.edit-link{margin-top:4px}.disabled{opacity:.4;pointer-events:none}::ng-deep .policy-upload-file .policy-related-document-field{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .policy-upload-file .policy-related-document-field .file-list{background:transparent!important;border-radius:0;border:none;border-bottom:1px solid #dbdbdb;padding:.75rem 0;margin:0!important}::ng-deep .policy-upload-file .policy-related-document-field .file-list:only-child,::ng-deep .policy-upload-file .policy-related-document-field .file-list:last-of-type{border-bottom:none;padding-bottom:0}::ng-deep .policy-upload-file .policy-related-document-field .file-list .file-container{align-items:center;justify-content:unset}::ng-deep .policy-upload-file .policy-related-document-field .file-list .file-container span.file.table{margin-right:.25rem}::ng-deep .policy-upload-file .policy-related-document-field .file-list .file-container span.file-name{width:calc(100% - 2.125rem);padding-right:1.25rem}::ng-deep .policy-upload-file .policy-related-document-field .file-list cs-select{margin-top:.25rem}::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;color:#747576;font-size:13px;padding:0 .5rem;margin:.5rem 0 0;height:2rem;width:100%;transition:all .2s ease-in-out}::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input::placeholder{color:#747576;font-size:13px}::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input:hover,::ng-deep .policy-upload-file .policy-related-document-field .file-list input.linkage-input:focus-within{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .policy-upload-file .policy-related-document-field .file-list button.linkage-btn{background:transparent;border-radius:0;border:none;color:#1e5dd3}::ng-deep .policy-upload-file .tab-group.uploaded{margin-top:.5rem}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: ResponsibilityService }, { type: PolicyService }, { type: AuthService$1 }, { type: SnackBarService }]; }, propDecorators: { updateFiles: [{
                type: Output
            }], mode: [{
                type: Input
            }], categories: [{
                type: Input
            }], organization_id: [{
                type: Input
            }], formatEvidanceData: [{
                type: Input
            }] } });

class ScrollInViewDirective {
    constructor(el) {
        this.el = el;
        this.appScrollInView = false;
    }
    ngOnChanges(change) {
        if (change?.appScrollInView && change?.appScrollInView?.currentValue === true) {
            this.scroll();
        }
    }
    ngAfterViewInit() {
        // Otherwise Angular throws error: Expression has changed after it was checked.
        this.scroll();
    }
    scroll() {
        if (this.appScrollInView) {
            window.setTimeout(() => {
                this.el.nativeElement.scrollIntoView({ behavior: 'smooth', block: 'center' });
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ScrollInViewDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: ScrollInViewDirective, selector: "[appScrollInView]", inputs: { appScrollInView: "appScrollInView" }, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ScrollInViewDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appScrollInView]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { appScrollInView: [{
                type: Input
            }] } });

class CheckboxListComponent {
    constructor() {
        this.itemsList = [];
        this.selectedItems = [];
        this.identifierKey = '';
        this.displayKey = '';
        this.tooltipKey = '';
        this.twoColumn = false;
        this.loaded = true;
        this.closeList = new EventEmitter();
        this.saveList = new EventEmitter();
        this.searchItem = '';
        this.animation = true;
        this.ASSETS = ASSETS;
    }
    ngOnInit() {
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.selectedItems = this.arrayToId(this.selectedItems, this.identifierKey);
    }
    selectItem(item, checked) {
        if (checked) {
            this.selectedItems.push(item);
            this.selectedItems = Array.from(new Set(this.selectedItems));
        }
        else {
            const itemIndex = this.selectedItems.findIndex((el) => el === item);
            if (itemIndex !== -1) {
                this.selectedItems.splice(itemIndex, 1);
            }
        }
    }
    deleteItem(item) {
        const itemIndex = this.selectedItems.findIndex((el) => el === item[this.identifierKey]);
        if (itemIndex !== -1) {
            this.selectedItems.splice(itemIndex, 1);
        }
    }
    save() {
        this.saveList.emit(this.selectedItems);
    }
    close() {
        this.closeList.emit();
    }
    arrayToId(array, identifierKey) {
        return array.map((a) => a[identifierKey]);
    }
    selectAll(evt) {
        if (evt === true) {
            this.selectedItems = this.itemsList.map((e) => {
                return e[this.identifierKey];
            });
        }
        else {
            this.selectedItems = [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckboxListComponent, selector: "app-checkbox-list", inputs: { itemsList: "itemsList", selectedItems: "selectedItems", identifierKey: "identifierKey", displayKey: "displayKey", tooltipKey: "tooltipKey", config: "config", twoColumn: "twoColumn", loaded: "loaded" }, outputs: { closeList: "closeList", saveList: "saveList" }, ngImport: i0, template: "<div class=\"add-risk-rc\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-rc-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n    <!-- <button class=\"add-risk-rc-close\" (click)=close()>\n            <i class=\"icons\">&#xe90d;</i>\n        </button> -->\n  </div>\n  <div class=\"add-risk-rc-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        placeholder=\"{{ config?.searchPlaceholder }}\"\n        [(ngModel)]=\"searchItem\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"loaded\"></app-loader-inline>\n    <ng-container\n      *ngIf=\"itemsList | search : searchItem : displayKey as searchList\"\n    >\n      <div\n        class=\"body-top\"\n        *ngIf=\"\n          config?.selectAllEnabled &&\n          searchList?.length > 0 &&\n          searchItem?.trim()?.length === 0\n        \"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"\n            itemsList?.length === selectedItems?.length &&\n            selectedItems?.length > 0\n          \"\n          (ngValueChange)=\"selectAll($event)\"\n          ><strong>\n            {{\n              itemsList?.length === selectedItems?.length &&\n              selectedItems?.length > 0\n                ? \"Deselect All\"\n                : \"Select All\"\n            }}</strong\n          >\n        </app-cs-checkbox>\n      </div>\n      <div class=\"add-risk-rc-list\" *ngIf=\"searchList?.length > 0\">\n        <ul [class.two-column]=\"twoColumn\">\n          <li *ngFor=\"let item of searchList\" #ulElement>\n            <app-cs-checkbox\n              *ngIf=\"config.workflow !== 'policy'\"\n              [ngValue]=\"selectedItems.includes(item[identifierKey])\"\n              (ngValueChange)=\"selectItem(item[identifierKey], $event)\"\n              [appTooltip]=\"tooltipKey ? item[tooltipKey] : item[displayKey]\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ item[displayKey]\n              }}{{\n                item?.parent_items?.length && config.workflow === \"policy\"\n                  ? \" < \" + item?.parent_items?.join(\" < \")\n                  : \"\"\n              }}\n            </app-cs-checkbox>\n            <app-cs-checkbox\n              *ngIf=\"config.workflow === 'policy'\"\n              [ngValue]=\"selectedItems.includes(item[identifierKey])\"\n              (ngValueChange)=\"selectItem(item[identifierKey], $event)\"\n            >\n              <ul class=\"add-category-name\">\n                <li\n                  *ngFor=\"let data of item?.parent_items; let i = index\"\n                  [appTooltip]=\"data\"\n                  placement=\"bottom-left\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i *ngIf=\"i > 0\" class=\"icons\">&#xe910;</i>{{ data }}\n                </li>\n                <li\n                  [appTooltip]=\"item[displayKey]\"\n                  placement=\"bottom-left\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i *ngIf=\"item?.parent_items?.length > 0\" class=\"icons\"\n                    >&#xe910;</i\n                  >\n                  {{ item[displayKey] }}\n                </li>\n              </ul>\n            </app-cs-checkbox>\n          </li>\n        </ul>\n      </div>\n      <app-no-data\n        *ngIf=\"searchList?.length === 0 && !loaded\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"!loaded\"\n      [selectedData]=\"selectedItems | listMapper : itemsList : identifierKey\"\n      [displayElementKey]=\"displayKey\"\n      [singularText]=\"config?.floatingTextSingular\"\n      [pluralText]=\"\n        config?.floatingTextPlural\n          ? config?.floatingTextPlural\n          : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"selectedItems.length === 0 || itemsList.length === 0\"\n      (deleteEvent)=\"deleteItem($event)\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-rc{position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .add-risk-rc:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-rc-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-rc-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .add-risk-rc-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-rc-body .search-block{position:relative}::ng-deep .add-risk-rc-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-rc-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-rc-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .add-risk-rc-body .body-top{display:flex;justify-content:space-between;padding:.5rem 0 0}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-rc-body .add-risk-rc-list{margin:1rem 0;display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 16rem);overflow:hidden;overflow-y:auto}::ng-deep .add-risk-rc-body .add-risk-rc-list::-webkit-scrollbar-track{background-color:transparent}::ng-deep .add-risk-rc-body .add-risk-rc-list::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .add-risk-rc-body .add-risk-rc-list ul{padding:0;margin:0}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio{display:flex}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox label,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio label{width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox label span.value,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio label span.value{width:auto;justify-content:flex-start;line-height:18px!important;font-size:12px!important;color:#161b2f!important}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name{display:flex;justify-content:flex-start;width:auto;max-width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li{list-style:none;color:#747576;font-size:12px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 8px 0 0;max-width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li i,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li i{font-size:8px;padding-right:8px}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li:first-child,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li:first-child{color:#1e5dd3;max-width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li:last-of-type,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li:last-of-type{color:#34aa44}::ng-deep .add-risk-rc-body .add-risk-rc-list ul.two-column{display:flex;flex-wrap:wrap}::ng-deep .add-risk-rc-body .add-risk-rc-list ul.two-column li{width:50%;padding-right:20px}::ng-deep .add-risk-rc-body app-no-data .no-data-wrapper{height:calc(100vh - 200px)}::ng-deep .add-risk-rc.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .add-risk-rc .message-footer{background:#1e5dd3;border-radius:5px;margin:0 0 0 30px;width:calc(100% - 60px);position:relative;bottom:0}::ng-deep .add-risk-rc .message-footer .message{padding:15px;display:flex;align-items:flex-start}::ng-deep .add-risk-rc .message-footer .message i{width:auto;font-size:16px;color:#fff}::ng-deep .add-risk-rc .message-footer .message span{color:#fff;font-size:12px;line-height:18px;padding-left:9px;font-weight:300}::ng-deep .add-risk-rc .message-footer .footer{border-top:1px solid #1483ef;display:flex;justify-content:space-between;align-items:center;padding:10px 15px}::ng-deep .add-risk-rc .message-footer .footer span{color:#fff;font-size:14px}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper{display:flex}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button{width:60px;height:32px;display:flex;align-items:center;justify-content:center;cursor:pointer;font-size:11px;font-weight:500;border:1px solid #fff;text-transform:uppercase;border-radius:2px;outline:none;padding:0;margin:0}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.outline{background:#1e5dd3;color:#fff}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.fill{background:#fff;color:#1e5dd3}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "pipe", type: ListMapperPipe, name: "listMapper" }, { kind: "pipe", type: SearchPipe$1, name: "search" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkbox-list', template: "<div class=\"add-risk-rc\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-rc-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n    <!-- <button class=\"add-risk-rc-close\" (click)=close()>\n            <i class=\"icons\">&#xe90d;</i>\n        </button> -->\n  </div>\n  <div class=\"add-risk-rc-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        placeholder=\"{{ config?.searchPlaceholder }}\"\n        [(ngModel)]=\"searchItem\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"loaded\"></app-loader-inline>\n    <ng-container\n      *ngIf=\"itemsList | search : searchItem : displayKey as searchList\"\n    >\n      <div\n        class=\"body-top\"\n        *ngIf=\"\n          config?.selectAllEnabled &&\n          searchList?.length > 0 &&\n          searchItem?.trim()?.length === 0\n        \"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"\n            itemsList?.length === selectedItems?.length &&\n            selectedItems?.length > 0\n          \"\n          (ngValueChange)=\"selectAll($event)\"\n          ><strong>\n            {{\n              itemsList?.length === selectedItems?.length &&\n              selectedItems?.length > 0\n                ? \"Deselect All\"\n                : \"Select All\"\n            }}</strong\n          >\n        </app-cs-checkbox>\n      </div>\n      <div class=\"add-risk-rc-list\" *ngIf=\"searchList?.length > 0\">\n        <ul [class.two-column]=\"twoColumn\">\n          <li *ngFor=\"let item of searchList\" #ulElement>\n            <app-cs-checkbox\n              *ngIf=\"config.workflow !== 'policy'\"\n              [ngValue]=\"selectedItems.includes(item[identifierKey])\"\n              (ngValueChange)=\"selectItem(item[identifierKey], $event)\"\n              [appTooltip]=\"tooltipKey ? item[tooltipKey] : item[displayKey]\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ item[displayKey]\n              }}{{\n                item?.parent_items?.length && config.workflow === \"policy\"\n                  ? \" < \" + item?.parent_items?.join(\" < \")\n                  : \"\"\n              }}\n            </app-cs-checkbox>\n            <app-cs-checkbox\n              *ngIf=\"config.workflow === 'policy'\"\n              [ngValue]=\"selectedItems.includes(item[identifierKey])\"\n              (ngValueChange)=\"selectItem(item[identifierKey], $event)\"\n            >\n              <ul class=\"add-category-name\">\n                <li\n                  *ngFor=\"let data of item?.parent_items; let i = index\"\n                  [appTooltip]=\"data\"\n                  placement=\"bottom-left\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i *ngIf=\"i > 0\" class=\"icons\">&#xe910;</i>{{ data }}\n                </li>\n                <li\n                  [appTooltip]=\"item[displayKey]\"\n                  placement=\"bottom-left\"\n                  type=\"black\"\n                  delay=\"0\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  <i *ngIf=\"item?.parent_items?.length > 0\" class=\"icons\"\n                    >&#xe910;</i\n                  >\n                  {{ item[displayKey] }}\n                </li>\n              </ul>\n            </app-cs-checkbox>\n          </li>\n        </ul>\n      </div>\n      <app-no-data\n        *ngIf=\"searchList?.length === 0 && !loaded\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"!loaded\"\n      [selectedData]=\"selectedItems | listMapper : itemsList : identifierKey\"\n      [displayElementKey]=\"displayKey\"\n      [singularText]=\"config?.floatingTextSingular\"\n      [pluralText]=\"\n        config?.floatingTextPlural\n          ? config?.floatingTextPlural\n          : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"selectedItems.length === 0 || itemsList.length === 0\"\n      (deleteEvent)=\"deleteItem($event)\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-rc{position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .add-risk-rc:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-rc-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-rc-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .add-risk-rc-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-rc-body .search-block{position:relative}::ng-deep .add-risk-rc-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-rc-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-rc-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .add-risk-rc-body .body-top{display:flex;justify-content:space-between;padding:.5rem 0 0}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-rc-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-rc-body .add-risk-rc-list{margin:1rem 0;display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 16rem);overflow:hidden;overflow-y:auto}::ng-deep .add-risk-rc-body .add-risk-rc-list::-webkit-scrollbar-track{background-color:transparent}::ng-deep .add-risk-rc-body .add-risk-rc-list::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .add-risk-rc-body .add-risk-rc-list ul{padding:0;margin:0}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio{display:flex}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox label,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio label{width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox label span.value,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio label span.value{width:auto;justify-content:flex-start;line-height:18px!important;font-size:12px!important;color:#161b2f!important}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name{display:flex;justify-content:flex-start;width:auto;max-width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li{list-style:none;color:#747576;font-size:12px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 8px 0 0;max-width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li i,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li i{font-size:8px;padding-right:8px}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li:first-child,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li:first-child{color:#1e5dd3;max-width:100%}::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-checkbox ul.add-category-name li:last-of-type,::ng-deep .add-risk-rc-body .add-risk-rc-list ul li app-cs-radio ul.add-category-name li:last-of-type{color:#34aa44}::ng-deep .add-risk-rc-body .add-risk-rc-list ul.two-column{display:flex;flex-wrap:wrap}::ng-deep .add-risk-rc-body .add-risk-rc-list ul.two-column li{width:50%;padding-right:20px}::ng-deep .add-risk-rc-body app-no-data .no-data-wrapper{height:calc(100vh - 200px)}::ng-deep .add-risk-rc.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .add-risk-rc .message-footer{background:#1e5dd3;border-radius:5px;margin:0 0 0 30px;width:calc(100% - 60px);position:relative;bottom:0}::ng-deep .add-risk-rc .message-footer .message{padding:15px;display:flex;align-items:flex-start}::ng-deep .add-risk-rc .message-footer .message i{width:auto;font-size:16px;color:#fff}::ng-deep .add-risk-rc .message-footer .message span{color:#fff;font-size:12px;line-height:18px;padding-left:9px;font-weight:300}::ng-deep .add-risk-rc .message-footer .footer{border-top:1px solid #1483ef;display:flex;justify-content:space-between;align-items:center;padding:10px 15px}::ng-deep .add-risk-rc .message-footer .footer span{color:#fff;font-size:14px}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper{display:flex}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button{width:60px;height:32px;display:flex;align-items:center;justify-content:center;cursor:pointer;font-size:11px;font-weight:500;border:1px solid #fff;text-transform:uppercase;border-radius:2px;outline:none;padding:0;margin:0}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.outline{background:#1e5dd3;color:#fff}::ng-deep .add-risk-rc .message-footer .footer .button-wrapper button.fill{background:#fff;color:#1e5dd3}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { itemsList: [{
                type: Input
            }], selectedItems: [{
                type: Input
            }], identifierKey: [{
                type: Input
            }], displayKey: [{
                type: Input
            }], tooltipKey: [{
                type: Input
            }], config: [{
                type: Input
            }], twoColumn: [{
                type: Input
            }], loaded: [{
                type: Input
            }], closeList: [{
                type: Output
            }], saveList: [{
                type: Output
            }] } });

class InformationBlockComponent {
    constructor(reportACaseService) {
        this.reportACaseService = reportACaseService;
        this.workflowDetails = {};
        this.defaultFlow = REPORT_CASE.default_flow;
        this.reportText = REPORT_CASE;
        this.isDefaultFlow = true;
        this.getWorkflowDetails();
    }
    getWorkflowDetails() {
        this.reportACaseService.workflow$.subscribe((res) => {
            this.workflowDetails = res?.data?.workflow_details;
            if (res) {
                this.isDefaultFlow = res?.data?.workflow_details?.isDefault;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InformationBlockComponent, deps: [{ token: ReportACaseService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: InformationBlockComponent, selector: "app-information-block", ngImport: i0, template: "<div class=\"information-block vx-mb-3\" [class.warning]=\"!isDefaultFlow\">\n  <div class=\"vx-d-flex\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">\n      THIS WORKFLOW IS ASSIGNED TO THIS CASE BASED ON THE INFORMATION ADDED\n      WITHIN THE CASE DETAILS SECTION.\n    </div>\n    <i\n      class=\"icons info vx-fs-12 vx-txt-blue\"\n      [appTooltip]=\"reportText.tooltipMessage.workflow\"\n      placement=\"bottom-right\"\n      delay=\"0\"\n      type=\"white\"\n      [tooltipMandatory]=\"true\"\n      >&#xe91f;</i\n    >\n  </div>\n  <div\n    class=\"information-block-chip vx-d-inline-flex vx-align-center vx-pl-2 vx-pr-2\"\n  >\n    <div class=\"value vx-fs-11\">\n      {{\n        isDefaultFlow\n          ? defaultFlow\n          : workflowDetails?.workflow_name\n      }}\n    </div>\n    <!-- <div\n      class=\"preview-text vx-fs-11 vx-fw-500 vx-tt-uppercase vx-pl-2 vx-ml-2\"\n    >\n      PREVIEW\n    </div> -->\n  </div>\n  <div\n    class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-4 vx-mt-3 vx-d-flex\"\n  >\n    <i class=\"icons vx-fs-12 vx-mr-1\">&#xe933;</i>THE WORKFLOW HAS BEEN UPDATED\n    AS PER YOUR SELECTION\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .information-block{background:#f2f2f5;margin:-9px -40px 0;padding:1.5rem 2.5rem 1.25rem}::ng-deep .information-block.warning{background:#fcf2cf}::ng-deep .information-block .info{cursor:pointer;height:.75rem;margin:.125rem 0 0 1.5rem}::ng-deep .information-block-chip{background:#fff;border-radius:.125rem;border:1px solid #f4f8ff;box-shadow:0 0 2px #1e5dd326;height:1.5rem}::ng-deep .information-block-chip .value{color:#000;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .information-block-chip .preview-text{color:#000;position:relative}::ng-deep .information-block-chip .preview-text:before{background:#000;content:\"\";position:absolute;top:3px;left:0;width:1px;height:10px}\n"], dependencies: [{ kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InformationBlockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-information-block', template: "<div class=\"information-block vx-mb-3\" [class.warning]=\"!isDefaultFlow\">\n  <div class=\"vx-d-flex\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">\n      THIS WORKFLOW IS ASSIGNED TO THIS CASE BASED ON THE INFORMATION ADDED\n      WITHIN THE CASE DETAILS SECTION.\n    </div>\n    <i\n      class=\"icons info vx-fs-12 vx-txt-blue\"\n      [appTooltip]=\"reportText.tooltipMessage.workflow\"\n      placement=\"bottom-right\"\n      delay=\"0\"\n      type=\"white\"\n      [tooltipMandatory]=\"true\"\n      >&#xe91f;</i\n    >\n  </div>\n  <div\n    class=\"information-block-chip vx-d-inline-flex vx-align-center vx-pl-2 vx-pr-2\"\n  >\n    <div class=\"value vx-fs-11\">\n      {{\n        isDefaultFlow\n          ? defaultFlow\n          : workflowDetails?.workflow_name\n      }}\n    </div>\n    <!-- <div\n      class=\"preview-text vx-fs-11 vx-fw-500 vx-tt-uppercase vx-pl-2 vx-ml-2\"\n    >\n      PREVIEW\n    </div> -->\n  </div>\n  <div\n    class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-4 vx-mt-3 vx-d-flex\"\n  >\n    <i class=\"icons vx-fs-12 vx-mr-1\">&#xe933;</i>THE WORKFLOW HAS BEEN UPDATED\n    AS PER YOUR SELECTION\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .information-block{background:#f2f2f5;margin:-9px -40px 0;padding:1.5rem 2.5rem 1.25rem}::ng-deep .information-block.warning{background:#fcf2cf}::ng-deep .information-block .info{cursor:pointer;height:.75rem;margin:.125rem 0 0 1.5rem}::ng-deep .information-block-chip{background:#fff;border-radius:.125rem;border:1px solid #f4f8ff;box-shadow:0 0 2px #1e5dd326;height:1.5rem}::ng-deep .information-block-chip .value{color:#000;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .information-block-chip .preview-text{color:#000;position:relative}::ng-deep .information-block-chip .preview-text:before{background:#000;content:\"\";position:absolute;top:3px;left:0;width:1px;height:10px}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }]; } });

class VCInputComponent {
    constructor() {
        this.placeholder = 'Placeholder text';
        this.disabled = false;
        this.errorMessage = 'Please enter a valid value';
        this.hasError = false;
        this.inputId = '';
        this.errorId = '';
        this.value = '';
        this.remove = false;
        this.valueChange = new EventEmitter();
        this.removeReasonChange = new EventEmitter();
    }
    focus() {
        this.inputElement.nativeElement.focus();
    }
    ngOnInit() {
        this.hasError = false;
    }
    onValueChange(value) {
        this.valueChange.emit(value);
    }
    removeReason() {
        this.removeReasonChange.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VCInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: VCInputComponent, selector: "app-vc-input", inputs: { placeholder: "placeholder", disabled: "disabled", errorMessage: "errorMessage", hasError: "hasError", inputId: "inputId", errorId: "errorId", value: "value", remove: "remove" }, outputs: { valueChange: "valueChange", removeReasonChange: "removeReasonChange" }, viewQueries: [{ propertyName: "inputElement", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: `
    <ng-content select="[label]"></ng-content>
    <div class="workflow-form-input vx-mb-5" [class.with-cross]="remove">
      <input
        #input
        [id]="inputId"
        type="text"
        [placeholder]="placeholder"
        [class.disabled]="disabled"
        [class.error]="hasError"
        [(ngModel)]="value"
        (input)="onValueChange($event.target.value)"
      />
      <i *ngIf="remove" class="icons cross vx-fs-12" (click)="removeReason()"
        >&#xe90d;</i
      >
      <div
        *ngIf="hasError"
        [id]="errorId"
        class="errorMsg vx-fs-11 vx-lh-4 vx-mt-1"
        role="alert"
      >
        {{ errorMessage }}
      </div>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-form-input{position:relative}::ng-deep .workflow-form-input input{background:#fff;border-radius:.25rem;border:1px solid #cdced6;color:#565a6f;font-size:13px;height:2.5rem;padding:0 .75rem;width:100%;z-index:1;pointer-events:auto!important}::ng-deep .workflow-form-input input::placeholder{color:#a9aab6}::ng-deep .workflow-form-input input:hover{border-color:#343952}::ng-deep .workflow-form-input input:focus{outline:none;border-color:#1e5dd3;box-shadow:0 2px 4px #1e5dd326}::ng-deep .workflow-form-input input.disabled{background:#f2f2f5;color:#a9aab6;pointer-events:none!important;opacity:1!important}::ng-deep .workflow-form-input input.error{border-color:#a82a1d}::ng-deep .workflow-form-input.with-cross input{padding-right:2.25rem}::ng-deep .workflow-form-input.with-cross .cross{color:#565a6f;cursor:pointer;position:absolute;right:.75rem;top:.875rem}::ng-deep .workflow-form-input .errorMsg{color:#a82a1d}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VCInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-vc-input', template: `
    <ng-content select="[label]"></ng-content>
    <div class="workflow-form-input vx-mb-5" [class.with-cross]="remove">
      <input
        #input
        [id]="inputId"
        type="text"
        [placeholder]="placeholder"
        [class.disabled]="disabled"
        [class.error]="hasError"
        [(ngModel)]="value"
        (input)="onValueChange($event.target.value)"
      />
      <i *ngIf="remove" class="icons cross vx-fs-12" (click)="removeReason()"
        >&#xe90d;</i
      >
      <div
        *ngIf="hasError"
        [id]="errorId"
        class="errorMsg vx-fs-11 vx-lh-4 vx-mt-1"
        role="alert"
      >
        {{ errorMessage }}
      </div>
    </div>
  `, changeDetection: ChangeDetectionStrategy.OnPush, styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-form-input{position:relative}::ng-deep .workflow-form-input input{background:#fff;border-radius:.25rem;border:1px solid #cdced6;color:#565a6f;font-size:13px;height:2.5rem;padding:0 .75rem;width:100%;z-index:1;pointer-events:auto!important}::ng-deep .workflow-form-input input::placeholder{color:#a9aab6}::ng-deep .workflow-form-input input:hover{border-color:#343952}::ng-deep .workflow-form-input input:focus{outline:none;border-color:#1e5dd3;box-shadow:0 2px 4px #1e5dd326}::ng-deep .workflow-form-input input.disabled{background:#f2f2f5;color:#a9aab6;pointer-events:none!important;opacity:1!important}::ng-deep .workflow-form-input input.error{border-color:#a82a1d}::ng-deep .workflow-form-input.with-cross input{padding-right:2.25rem}::ng-deep .workflow-form-input.with-cross .cross{color:#565a6f;cursor:pointer;position:absolute;right:.75rem;top:.875rem}::ng-deep .workflow-form-input .errorMsg{color:#a82a1d}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], propDecorators: { placeholder: [{
                type: Input
            }], disabled: [{
                type: Input
            }], errorMessage: [{
                type: Input
            }], hasError: [{
                type: Input
            }], inputId: [{
                type: Input
            }], errorId: [{
                type: Input
            }], value: [{
                type: Input
            }], remove: [{
                type: Input
            }], valueChange: [{
                type: Output
            }], removeReasonChange: [{
                type: Output
            }], inputElement: [{
                type: ViewChild,
                args: ['input']
            }] } });

class VCFormLabelComponent {
    constructor() {
        this.labelText = '';
        this.details = '';
        this.required = false;
        this.showInfo = false;
        this.tooltipText = '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VCFormLabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: VCFormLabelComponent, selector: "app-vc-label", inputs: { labelText: "labelText", details: "details", required: "required", showInfo: "showInfo", tooltipText: "tooltipText" }, ngImport: i0, template: `
    <div class="workflow-form-label">
      <div
        class="label-name vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-lh-4 vx-align-center"
      >
          {{ labelText }}
        <i
          *ngIf="showInfo"
          class="icons info vx-fs-12 vx-txt-blue vx-m-0 vx-ml-1"
          [appTooltip]="tooltipText"
          placement="bottom-right"
          delay="0"
          type="white"
          [tooltipMandatory]="true"
          >&#xe91f;</i
        >
          <span
            *ngIf="required"
            class="required vx-fs-16 vx-fw-400 vx-ml-1 vx-d-inline-block"
            >*</span
          >
      </div>
      <div class="label-details vx-fs-11 vx-mt-1">
        {{ details }}
      </div>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-form-label .label-name{color:#000}::ng-deep .workflow-form-label .label-name .required{color:#c7381b}::ng-deep .workflow-form-label .label-name .info{cursor:pointer;margin:.125rem 0 0 1.5rem}::ng-deep .workflow-form-label .label-details{color:#787a8c;margin-bottom:10px!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VCFormLabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-vc-label', template: `
    <div class="workflow-form-label">
      <div
        class="label-name vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-lh-4 vx-align-center"
      >
          {{ labelText }}
        <i
          *ngIf="showInfo"
          class="icons info vx-fs-12 vx-txt-blue vx-m-0 vx-ml-1"
          [appTooltip]="tooltipText"
          placement="bottom-right"
          delay="0"
          type="white"
          [tooltipMandatory]="true"
          >&#xe91f;</i
        >
          <span
            *ngIf="required"
            class="required vx-fs-16 vx-fw-400 vx-ml-1 vx-d-inline-block"
            >*</span
          >
      </div>
      <div class="label-details vx-fs-11 vx-mt-1">
        {{ details }}
      </div>
    </div>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-form-label .label-name{color:#000}::ng-deep .workflow-form-label .label-name .required{color:#c7381b}::ng-deep .workflow-form-label .label-name .info{cursor:pointer;margin:.125rem 0 0 1.5rem}::ng-deep .workflow-form-label .label-details{color:#787a8c;margin-bottom:10px!important}\n"] }]
        }], propDecorators: { labelText: [{
                type: Input
            }], details: [{
                type: Input
            }], required: [{
                type: Input
            }], showInfo: [{
                type: Input
            }], tooltipText: [{
                type: Input
            }] } });

class FieldHolderComponent {
    constructor() {
        this.ASSETS = ASSETS;
        this.image = '';
        this.active = false;
        this.disabled = false;
        this.checked = false;
        this.scrollToBottom = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FieldHolderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FieldHolderComponent, selector: "app-field-holder", inputs: { image: "image", active: "active", disabled: "disabled", checked: "checked", scrollToBottom: "scrollToBottom" }, ngImport: i0, template: `
    <div
      [appScrollInView]="scrollToBottom"
      class="form-group-row"
      [class.active]="active"
      [class.disabled]="disabled"
    >
      <div class="left" [class.checked]="checked">
        <img *ngIf="!checked" [src]="image" alt="" />

        <svg
          *ngIf="checked"
          class="checkIcon"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 52 52"
        >
          <circle
            class="checkIcon__circle"
            cx="26"
            cy="26"
            r="25"
            fill="none"
          />
          <path
            class="checkIcon__check"
            fill="none"
            d="M14.1 27.2l7.1 7.2 16.7-16.8"
          />
        </svg>
      </div>
      <div class="right">
        <div class="vx-form-group">
          <ng-content select="[field]"></ng-content>
        </div>
      </div>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ScrollInViewDirective, selector: "[appScrollInView]", inputs: ["appScrollInView"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FieldHolderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-field-holder', template: `
    <div
      [appScrollInView]="scrollToBottom"
      class="form-group-row"
      [class.active]="active"
      [class.disabled]="disabled"
    >
      <div class="left" [class.checked]="checked">
        <img *ngIf="!checked" [src]="image" alt="" />

        <svg
          *ngIf="checked"
          class="checkIcon"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 52 52"
        >
          <circle
            class="checkIcon__circle"
            cx="26"
            cy="26"
            r="25"
            fill="none"
          />
          <path
            class="checkIcon__check"
            fill="none"
            d="M14.1 27.2l7.1 7.2 16.7-16.8"
          />
        </svg>
      </div>
      <div class="right">
        <div class="vx-form-group">
          <ng-content select="[field]"></ng-content>
        </div>
      </div>
    </div>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], propDecorators: { image: [{
                type: Input
            }], active: [{
                type: Input
            }], disabled: [{
                type: Input
            }], checked: [{
                type: Input
            }], scrollToBottom: [{
                type: Input
            }] } });

class CaseDetailsComponent {
    constructor() {
        this.reportTexts = REPORT_CASE;
        this.ASSETS = ASSETS;
        this.caseType = report;
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add details about what happened',
        };
        this.fieldSelector = FIELD_SELECTOR;
        this.fieldSelected = '';
        this.caseTypeSelected = '';
    }
    ngOnInit() { }
    onNameChange(event) {
        this.validationError.name.isError = false;
        this.validationError.name.message = '';
    }
    onDescriptionChange(event) {
        this.validationError.description.isError = false;
        this.validationError.description.message = '';
    }
    checkDescription() {
        if (this.payload.description.text == '<br>') {
            this.payload.description.text = '';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseDetailsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CaseDetailsComponent, selector: "app-case-details", inputs: { payload: "payload", fieldSelected: "fieldSelected", validationError: "validationError", caseTypeSelected: "caseTypeSelected" }, ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.what"
      [checked]="payload?.name?.trim()?.length > 0"
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <ng-container field>
        <app-vc-input
          [placeholder]="reportTexts.case_details.name.placeholder"
          [(value)]="payload.name"
          [hasError]="validationError.name.isError"
          [errorMessage]="validationError.name.message"
          (valueChange)="onNameChange($event)"
        >
          <app-vc-label
            label
            [labelText]="reportTexts.case_details.name.title"
            [required]="true"
          ></app-vc-label>
        </app-vc-input>
        <app-vc-label
          [labelText]="reportTexts.case_details.description.title"
          [required]="true"
        ></app-vc-label>
        <vcomply-editor
          [(ngModel)]="payload.description.text"
          [editorConfig]="description"
          (clickOutside)="checkDescription()"
          (ngModelChange)="onDescriptionChange($event)"
        ></vcomply-editor>
        <p *ngIf="validationError.description.isError" class="error-message">
          {{ validationError.description.message }}
        </p>
        <div
          *ngIf="caseTypeSelected === caseType.REPORT_CASE"
          class="switch-row align-right"
        >
          <app-cs-switch
            [ngValue]="payload?.receive_updates"
            (ngValueChange)="payload.receive_updates = $event"
          >
            <div class="toggle-text vx-fs-11 vx-fw-500 vx-tt-uppercase vx-lh-4">{{ reportTexts.receive_updates }}</div>
            <i
              class="icons info vx-fs-12 vx-txt-blue"
              [appTooltip]="reportTexts.tooltipMessage.receive_updates"
              placement="bottom-right"
              delay="0"
              type="white"
              [tooltipMandatory]="true"
              >&#xe91f;</i
            >
          </app-cs-switch>
        </div>
      </ng-container>
    </app-field-holder>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: VCInputComponent, selector: "app-vc-input", inputs: ["placeholder", "disabled", "errorMessage", "hasError", "inputId", "errorId", "value", "remove"], outputs: ["valueChange", "removeReasonChange"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseDetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-details', template: `
    <app-field-holder
      [image]="ASSETS.what"
      [checked]="payload?.name?.trim()?.length > 0"
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <ng-container field>
        <app-vc-input
          [placeholder]="reportTexts.case_details.name.placeholder"
          [(value)]="payload.name"
          [hasError]="validationError.name.isError"
          [errorMessage]="validationError.name.message"
          (valueChange)="onNameChange($event)"
        >
          <app-vc-label
            label
            [labelText]="reportTexts.case_details.name.title"
            [required]="true"
          ></app-vc-label>
        </app-vc-input>
        <app-vc-label
          [labelText]="reportTexts.case_details.description.title"
          [required]="true"
        ></app-vc-label>
        <vcomply-editor
          [(ngModel)]="payload.description.text"
          [editorConfig]="description"
          (clickOutside)="checkDescription()"
          (ngModelChange)="onDescriptionChange($event)"
        ></vcomply-editor>
        <p *ngIf="validationError.description.isError" class="error-message">
          {{ validationError.description.message }}
        </p>
        <div
          *ngIf="caseTypeSelected === caseType.REPORT_CASE"
          class="switch-row align-right"
        >
          <app-cs-switch
            [ngValue]="payload?.receive_updates"
            (ngValueChange)="payload.receive_updates = $event"
          >
            <div class="toggle-text vx-fs-11 vx-fw-500 vx-tt-uppercase vx-lh-4">{{ reportTexts.receive_updates }}</div>
            <i
              class="icons info vx-fs-12 vx-txt-blue"
              [appTooltip]="reportTexts.tooltipMessage.receive_updates"
              placement="bottom-right"
              delay="0"
              type="white"
              [tooltipMandatory]="true"
              >&#xe91f;</i
            >
          </app-cs-switch>
        </div>
      </ng-container>
    </app-field-holder>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { payload: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], validationError: [{
                type: Input
            }], caseTypeSelected: [{
                type: Input
            }] } });

let DropdownComponent$1 = class DropdownComponent {
    onSingleSelect(item) {
        if (!this.config.isMulti) {
            this.selectionChange.emit(item);
            this.isOpen = false;
        }
    }
    ngOnInit() {
        if (this.selectedList?.length) {
            this.selectedItems = [...new Set(this.selectedList)];
        }
        this.resetContainer();
    }
    constructor() {
        this.isOpen = false;
        this.selectedItems = [];
        this.selectedList = [];
        this.config = {
            items: [],
            isMulti: false,
            showIndeterminateCheckbox: false,
            indeterminateCheckboxLabel: '',
        };
        this.selectionChange = new EventEmitter();
    }
    ngOnChanges(changes) {
        if (changes['selectedList'] &&
            changes['selectedList'].currentValue.length) {
            this.selectedItems = [...new Set(this.selectedList)];
        }
    }
    resetContainer() {
    }
    toggleSelectAll(selected) {
        this.selectedItems = selected
            ? this.config.items?.map((item) => item?.id)
            : [];
        this.selectionChange.emit(this.selectedItems);
    }
    isAllSelected() {
        return (this.config.items?.length > 0 &&
            this.config.items?.every((item) => this.selectedItems?.includes(item?.id)));
    }
    toggleSelection(item, selected) {
        if (selected) {
            if (!this.selectedItems?.includes(item?.id)) {
                this.selectedItems?.push(item?.id);
            }
        }
        else {
            this.selectedItems = this.selectedItems?.filter((id) => id !== item?.id);
        }
        this.selectionChange.emit(this.selectedItems);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DropdownComponent, selector: "app-vc-dropdown", inputs: { selectedList: "selectedList", config: "config" }, outputs: { selectionChange: "selectionChange" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"wf-action-list selection-list\">\n  <ul class=\"action-item\">\n    <!-- single select -->\n    <div *ngIf=\"!config?.isMulti\">\n      <li *ngFor=\"let data of config.items\">\n        <div\n          [vuiTooltip]=\"data?.isDisabled ? data?.tooltipMsg || '' : ''\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"true\"\n        >\n          <button (click)=\"onSingleSelect(data)\" [disabled]=\"data?.isDisabled\">\n            <i *ngIf=\"data?.icon\" class=\"icons\" [innerHTML]=\"data?.icon\"></i\n            >{{ data?.name }}\n          </button>\n        </div>\n      </li>\n    </div>\n    <!-- multiple select with checkbox -->\n    <div *ngIf=\"config?.showIndeterminateCheckbox\">\n      <li>\n        <div class=\"avatar-card\">\n          <span class=\"value\">\n            <app-cs-checkbox\n              *ngIf=\"\n                selectedItems?.length === config?.items?.length ||\n                selectedItems?.length === 0\n              \"\n              [ngValue]=\"isAllSelected()\"\n              (ngValueChange)=\"toggleSelectAll($event)\"\n              >{{ config.indeterminateCheckboxLabel }}</app-cs-checkbox\n            >\n\n            <app-cs-checkbox-indeterminate\n              *ngIf=\"\n                selectedItems?.length !== 0 &&\n                selectedItems.length !== config?.items?.length\n              \"\n              [ngValue]=\"true\"\n              (ngValueChange)=\"toggleSelectAll(false)\"\n              >{{\n                config.indeterminateCheckboxLabel\n              }}</app-cs-checkbox-indeterminate\n            >\n          </span>\n        </div>\n      </li>\n      <li *ngFor=\"let data of config.items\">\n        <div class=\"avatar-card\">\n          <app-cs-checkbox\n            [ngValue]=\"selectedItems.includes(data?.id)\"\n            (ngValueChange)=\"toggleSelection(data, $event)\"\n            >{{ data?.name }}</app-cs-checkbox\n          >\n        </div>\n      </li>\n    </div>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.wf-action-list.selection-list{background:#fff;border-radius:.25rem;border:1px solid #e3e3e9;box-shadow:0 3px 6px #1c5bd140;overflow:hidden;width:15.5rem}.wf-action-list.selection-list ul{border-radius:unset;border:none;box-shadow:none}.wf-action-list.selection-list ul li .avatar-card app-cs-checkbox{display:flex;padding:.125rem 0;width:100%}.wf-action-list.selection-list .action-list-bottom{background:#fff;border-radius:0 0 .25rem .25rem;border-top:1px solid #f2f2f5}.wf-action-list.selection-list .action-list-bottom button{background:#fff;border-radius:.25rem;height:1.5rem;margin:0 .125rem!important}.wf-action-list.selection-list .action-list-bottom button.reset-btn{border:1px solid #cdced6}.wf-action-list.selection-list .action-list-bottom button.reset-btn:hover{background:#f9f9fa}.wf-action-list.selection-list .action-list-bottom button.reset-btn.disabled{background:#f9f9fa;border-color:#cdced6;color:#a9aab6;pointer-events:none}.wf-action-list.selection-list .action-list-bottom button.apply-btn{background:#1e5dd3;border:none}.wf-action-list.selection-list .action-list-bottom button.apply-btn.disabled{background:#e3e3e9;color:#a9aab6;pointer-events:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: CsCheckboxIndeterminateComponent, selector: "app-cs-checkbox-indeterminate", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DropdownComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'app-vc-dropdown', template: "<div class=\"wf-action-list selection-list\">\n  <ul class=\"action-item\">\n    <!-- single select -->\n    <div *ngIf=\"!config?.isMulti\">\n      <li *ngFor=\"let data of config.items\">\n        <div\n          [vuiTooltip]=\"data?.isDisabled ? data?.tooltipMsg || '' : ''\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"true\"\n        >\n          <button (click)=\"onSingleSelect(data)\" [disabled]=\"data?.isDisabled\">\n            <i *ngIf=\"data?.icon\" class=\"icons\" [innerHTML]=\"data?.icon\"></i\n            >{{ data?.name }}\n          </button>\n        </div>\n      </li>\n    </div>\n    <!-- multiple select with checkbox -->\n    <div *ngIf=\"config?.showIndeterminateCheckbox\">\n      <li>\n        <div class=\"avatar-card\">\n          <span class=\"value\">\n            <app-cs-checkbox\n              *ngIf=\"\n                selectedItems?.length === config?.items?.length ||\n                selectedItems?.length === 0\n              \"\n              [ngValue]=\"isAllSelected()\"\n              (ngValueChange)=\"toggleSelectAll($event)\"\n              >{{ config.indeterminateCheckboxLabel }}</app-cs-checkbox\n            >\n\n            <app-cs-checkbox-indeterminate\n              *ngIf=\"\n                selectedItems?.length !== 0 &&\n                selectedItems.length !== config?.items?.length\n              \"\n              [ngValue]=\"true\"\n              (ngValueChange)=\"toggleSelectAll(false)\"\n              >{{\n                config.indeterminateCheckboxLabel\n              }}</app-cs-checkbox-indeterminate\n            >\n          </span>\n        </div>\n      </li>\n      <li *ngFor=\"let data of config.items\">\n        <div class=\"avatar-card\">\n          <app-cs-checkbox\n            [ngValue]=\"selectedItems.includes(data?.id)\"\n            (ngValueChange)=\"toggleSelection(data, $event)\"\n            >{{ data?.name }}</app-cs-checkbox\n          >\n        </div>\n      </li>\n    </div>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.wf-action-list.selection-list{background:#fff;border-radius:.25rem;border:1px solid #e3e3e9;box-shadow:0 3px 6px #1c5bd140;overflow:hidden;width:15.5rem}.wf-action-list.selection-list ul{border-radius:unset;border:none;box-shadow:none}.wf-action-list.selection-list ul li .avatar-card app-cs-checkbox{display:flex;padding:.125rem 0;width:100%}.wf-action-list.selection-list .action-list-bottom{background:#fff;border-radius:0 0 .25rem .25rem;border-top:1px solid #f2f2f5}.wf-action-list.selection-list .action-list-bottom button{background:#fff;border-radius:.25rem;height:1.5rem;margin:0 .125rem!important}.wf-action-list.selection-list .action-list-bottom button.reset-btn{border:1px solid #cdced6}.wf-action-list.selection-list .action-list-bottom button.reset-btn:hover{background:#f9f9fa}.wf-action-list.selection-list .action-list-bottom button.reset-btn.disabled{background:#f9f9fa;border-color:#cdced6;color:#a9aab6;pointer-events:none}.wf-action-list.selection-list .action-list-bottom button.apply-btn{background:#1e5dd3;border:none}.wf-action-list.selection-list .action-list-bottom button.apply-btn.disabled{background:#e3e3e9;color:#a9aab6;pointer-events:none}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { selectedList: [{
                type: Input
            }], config: [{
                type: Input
            }], selectionChange: [{
                type: Output
            }] } });

class ChipCapsuleComponent {
    constructor() {
        this.items = [];
        this.removable = true;
        this.remove = new EventEmitter();
    }
    ngOnInit() {
    }
    ngOnChanges(changes) {
        if (changes['items']) {
            this.items = changes['items'].currentValue;
        }
    }
    onRemove(item) {
        this.remove.emit(item);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ChipCapsuleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ChipCapsuleComponent, selector: "app-chip-capsule", inputs: { items: "items", removable: "removable" }, outputs: { remove: "remove" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"chip-capsule vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n  <i\n    *ngIf=\"removable\"\n    (click)=\"onRemove(items[0])\"\n    class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n    >&#xe9ae;</i\n  >\n  <div\n    class=\"value vx-fs-11 vx-lh-4\"\n    [appTooltip]=\"items[0]?.label ?? ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"false\"\n  >\n    {{ items[0]?.label }}\n  </div>\n  <button\n    *ngIf=\"items.length > 1\"\n    class=\"chip-count vx-fs-9 vx-fw-500 vx-txt-white vx-lh-3 vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"\n    appPopover\n    (click)=\"chipCount.popover()\"\n    placement=\"right\"\n  >\n    +{{ items.length - 1 }}\n  </button>\n</div>\n<app-popover #chipCount [dontCloseonClick]=\"true\">\n  <div *ngIf=\"items.length > 1\" class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let item of items | slice : 1; let i = index\">\n        <div class=\"avatar-card\">\n          <span\n            class=\"value\"\n            [vuiTooltip]=\"item.label\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n          >\n            <i\n              *ngIf=\"removable\"\n              (click)=\"onRemove(item)\"\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              >&#xe9ae;</i\n            >\n            {{ item?.label }}\n          </span>\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .chip-capsule{background:#fff;border-radius:.125rem;border:1px solid #f4f8ff;box-shadow:0 0 2px #1e5dd326;height:1.5rem}::ng-deep .chip-capsule .cross{color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chip-capsule .cross:hover{background:#f1f1f1}::ng-deep .chip-capsule .value{color:#000;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:7rem}::ng-deep .chip-capsule button.chip-count{background:#1e5dd3;border-radius:1.25rem;border:none;height:1rem;min-width:1.5rem}::ng-deep app-popover .action-list .action-item .avatar-card .value{display:flex;align-items:center;justify-content:space-between}::ng-deep app-popover .action-list .action-item .avatar-card .value i{font-size:12px!important;color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep app-popover .action-list .action-item .avatar-card .value i:hover{background:#f1f1f1}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ChipCapsuleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-chip-capsule', template: "<div class=\"chip-capsule vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n  <i\n    *ngIf=\"removable\"\n    (click)=\"onRemove(items[0])\"\n    class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n    >&#xe9ae;</i\n  >\n  <div\n    class=\"value vx-fs-11 vx-lh-4\"\n    [appTooltip]=\"items[0]?.label ?? ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"false\"\n  >\n    {{ items[0]?.label }}\n  </div>\n  <button\n    *ngIf=\"items.length > 1\"\n    class=\"chip-count vx-fs-9 vx-fw-500 vx-txt-white vx-lh-3 vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"\n    appPopover\n    (click)=\"chipCount.popover()\"\n    placement=\"right\"\n  >\n    +{{ items.length - 1 }}\n  </button>\n</div>\n<app-popover #chipCount [dontCloseonClick]=\"true\">\n  <div *ngIf=\"items.length > 1\" class=\"wf-action-list\">\n    <ul class=\"action-item\">\n      <li *ngFor=\"let item of items | slice : 1; let i = index\">\n        <div class=\"avatar-card\">\n          <span\n            class=\"value\"\n            [vuiTooltip]=\"item.label\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n          >\n            <i\n              *ngIf=\"removable\"\n              (click)=\"onRemove(item)\"\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              >&#xe9ae;</i\n            >\n            {{ item?.label }}\n          </span>\n        </div>\n      </li>\n    </ul>\n  </div>\n</app-popover>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .chip-capsule{background:#fff;border-radius:.125rem;border:1px solid #f4f8ff;box-shadow:0 0 2px #1e5dd326;height:1.5rem}::ng-deep .chip-capsule .cross{color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chip-capsule .cross:hover{background:#f1f1f1}::ng-deep .chip-capsule .value{color:#000;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:7rem}::ng-deep .chip-capsule button.chip-count{background:#1e5dd3;border-radius:1.25rem;border:none;height:1rem;min-width:1.5rem}::ng-deep app-popover .action-list .action-item .avatar-card .value{display:flex;align-items:center;justify-content:space-between}::ng-deep app-popover .action-list .action-item .avatar-card .value i{font-size:12px!important;color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep app-popover .action-list .action-item .avatar-card .value i:hover{background:#f1f1f1}\n"] }]
        }], propDecorators: { items: [{
                type: Input
            }], removable: [{
                type: Input
            }], remove: [{
                type: Output
            }] } });

var SelectionState;
(function (SelectionState) {
    SelectionState["EMPTY"] = "EMPTY";
    SelectionState["SELECTED"] = "SELECTED";
    SelectionState["DISABLED"] = "DISABLED";
})(SelectionState || (SelectionState = {}));
class FormSelectBoxComponent {
    constructor() {
        this.subscriptions = [];
        this.SelectionPopupState = SelectionPopupState.DROP_DOWN;
        this.SelectionState = SelectionState.EMPTY;
        this._config = DEFAULT_FORM_CONFIG;
        this.title = '';
        this.key = '';
        this.action = '';
        this.state = SelectionState.EMPTY;
        this.popupState = SelectionPopupState.DROP_DOWN;
        this.isCaseTypeSelected = false;
        this.chipItems = [];
        this.chipGroupItems = [];
        this.isError = false;
        this.errorMessage = '';
        this.selectedData = [];
        this.removable = true;
        this.disabled = false;
        this.editDisabled = false;
        this.selectedItemListChange = new EventEmitter();
        this.selectedGroupItemListChange = new EventEmitter();
        this.fieldClicked = new EventEmitter();
    }
    set config(value) {
        this._config = { ...DEFAULT_FORM_CONFIG, ...value };
    }
    ngOnChanges(changes) {
        if (changes['config']) {
            this._config = changes['config'].currentValue;
        }
        if (changes['chipItems']) {
            this.chipItems = changes['chipItems'].currentValue;
        }
        if (changes['chipGroupItems']) {
            this.chipGroupItems = changes['chipGroupItems'].currentValue;
        }
    }
    openSelection() {
        this.fieldClicked.emit('true');
    }
    setDropdownList(event) {
        this.state = SelectionState.SELECTED;
        this.chipItems = [
            {
                label: event?.name,
                value: event?._id,
            },
        ];
        this.selectedItemListChange.emit(this.chipItems);
    }
    removeSelectedList(event) {
        this.chipItems = this.chipItems.filter((item) => item?.value !== event?.value);
        if (!this.chipItems?.length && !this.chipGroupItems?.length) {
            this.state = SelectionState.EMPTY;
        }
        this.selectedItemListChange.emit(this.chipItems);
    }
    removeGroupSelectedList(event) {
        this.chipGroupItems = this.chipGroupItems?.filter((item) => item?.value !== event?.value);
        if (!this.chipItems?.length && !this.chipGroupItems?.length) {
            this.state = SelectionState.EMPTY;
        }
        this.selectedGroupItemListChange.emit(this.chipGroupItems);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormSelectBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: { title: "title", key: "key", action: "action", state: "state", popupState: "popupState", isCaseTypeSelected: "isCaseTypeSelected", chipItems: "chipItems", chipGroupItems: "chipGroupItems", config: "config", isError: "isError", errorMessage: "errorMessage", selectedData: "selectedData", removable: "removable", disabled: "disabled", editDisabled: "editDisabled" }, outputs: { selectedItemListChange: "selectedItemListChange", selectedGroupItemListChange: "selectedGroupItemListChange", fieldClicked: "fieldClicked" }, usesOnChanges: true, ngImport: i0, template: "<ng-content select=\"[label]\"></ng-content>\n<div class=\"workflow-form-selectbox vx-mb-2\">\n  <!-- Before Selection -->\n  <div\n    [appTooltip]=\"disabled ? _config.disabledText : ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <div\n      *ngIf=\"state.toLowerCase() === 'empty'\"\n      class=\"before-selection vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\"\n      [class.error]=\"_config.isError\"\n      [class.disabled]=\"disabled\"\n      appPopover\n      (click)=\"\n        popupState === 'drop-down' ? selectionPopup.popover() : openSelection()\n      \"\n      placement=\"left\"\n    >\n      <div\n        class=\"selection-value vx-fs-13 vx-lh-5\"\n        [innerHTML]=\"_config.placeholder\"\n      ></div>\n      <i class=\"icons arrow vx-fs-12\">&#xe9e8;</i>\n    </div>\n  </div>\n\n  <app-popover #selectionPopup [dontCloseonClick]=\"_config?.isMulti\">\n    <app-vc-dropdown\n      [config]=\"_config\"\n      [selectedList]=\"selectedData\"\n      (selectionChange)=\"setDropdownList($event)\"\n    ></app-vc-dropdown>\n  </app-popover>\n  <!-- After Selection -->\n  <div\n    [appTooltip]=\"disabled ? _config.disabledText : ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <div\n      *ngIf=\"state.toLowerCase() === 'selected'\"\n      class=\"after-selection vx-d-flex vx-align-center vx-justify-between vx-pl-2 vx-pr-2\"\n      [class.disabled]=\"disabled ? 'disabled' : ''\"\n    >\n      <div class=\"vx-d-flex vx-align-center\">\n        <app-chip-capsule\n          *ngIf=\"chipItems?.length\"\n          [items]=\"chipItems\"\n          (remove)=\"removeSelectedList($event)\"\n          [removable]=\"removable\"\n        ></app-chip-capsule>\n        <span\n          class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n          *ngIf=\"chipItems?.length > 0 && chipGroupItems?.length > 0\"\n          >&</span\n        >\n        <app-chip-capsule\n          *ngIf=\"chipGroupItems?.length\"\n          [items]=\"chipGroupItems\"\n          (remove)=\"removeGroupSelectedList($event)\"\n        ></app-chip-capsule>\n      </div>\n      <button\n        *ngIf=\"!editDisabled\"\n        class=\"edit-btn vx-fs-11 vx-fw-500 vx-lh-4 vx-d-flex vx-align-center vx-p-0 vx-m-0 vx-tt-uppercase\"\n        appPopover\n        (click)=\"\n          popupState === 'drop-down'\n            ? selectionPopup.popover()\n            : openSelection()\n        \"\n        placement=\"right\"\n      >\n        <i class=\"icons vx-fs-12 vx-mr-1\">&#xe9ba;</i> EDIT\n      </button>\n    </div>\n  </div>\n  <!-- Disabled Selection -->\n  <div\n    *ngIf=\"state.toLowerCase() === 'disabled'\"\n    class=\"disabled-selection vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\"\n    [vuiTooltip]=\"_config.disabledText ? _config.disabledText : ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <div class=\"selection-value vx-fs-13 vx-lh-5\">\n      {{ _config?.placeholder }}\n    </div>\n    <i class=\"icons arrow vx-fs-12\">&#xe9e8;</i>\n  </div>\n  <!-- Error Message -->\n  <div *ngIf=\"isError\" class=\"errorMsg vx-fs-11 vx-lh-4 vx-mt-1\">\n    {{ errorMessage }}\n  </div>\n  <!--loader-->\n  <app-loader *ngIf=\"false\"></app-loader>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-form-selectbox .before-selection{background:#fff;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem;cursor:pointer}::ng-deep .workflow-form-selectbox .before-selection:hover{border-color:#343952}::ng-deep .workflow-form-selectbox .before-selection:focus{outline:none;border-color:#1e5dd3;box-shadow:0 2px 4px #1e5dd326}::ng-deep .workflow-form-selectbox .before-selection.error{border-color:#a82a1d}::ng-deep .workflow-form-selectbox .before-selection.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .workflow-form-selectbox .before-selection .selection-value{color:#565a6f}::ng-deep .workflow-form-selectbox .before-selection .arrow{color:#787a8c}::ng-deep .workflow-form-selectbox .after-selection{background:#f9f9fa;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem}::ng-deep .workflow-form-selectbox .after-selection button.edit-btn{background:transparent;border-radius:0;border:none;color:#565a6f}::ng-deep .workflow-form-selectbox .after-selection.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .workflow-form-selectbox .disabled-selection{background:#f2f2f5;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem}::ng-deep .workflow-form-selectbox .disabled-selection .selection-value{color:#a9aab6}::ng-deep .workflow-form-selectbox .disabled-selection .arrow{color:#cdced6}::ng-deep .workflow-form-selectbox .errorMsg{color:#a82a1d}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list{background:#fff;border-radius:.25rem;border:1px solid #e3e3e9;box-shadow:0 3px 6px #1c5bd140;overflow:hidden;width:878px}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list ul{border-radius:unset;border:none;box-shadow:none}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list ul li .avatar-card app-cs-checkbox{display:flex;padding:.125rem 0;width:100%}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom{background:#fff;border-radius:0 0 .25rem .25rem;border-top:1px solid #f2f2f5}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button{background:#fff;border-radius:.25rem;height:1.5rem;margin:0 .125rem!important}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.reset-btn{border:1px solid #cdced6}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.reset-btn:hover{background:#f9f9fa}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.reset-btn.disabled{background:#f9f9fa;border-color:#cdced6;color:#a9aab6;pointer-events:none}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.apply-btn{background:#1e5dd3;border:none}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.apply-btn.disabled{background:#e3e3e9;color:#a9aab6;pointer-events:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DropdownComponent$1, selector: "app-vc-dropdown", inputs: ["selectedList", "config"], outputs: ["selectionChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: LoaderComponent$1, selector: "app-loader" }, { kind: "component", type: ChipCapsuleComponent, selector: "app-chip-capsule", inputs: ["items", "removable"], outputs: ["remove"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormSelectBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-form-selectBox', template: "<ng-content select=\"[label]\"></ng-content>\n<div class=\"workflow-form-selectbox vx-mb-2\">\n  <!-- Before Selection -->\n  <div\n    [appTooltip]=\"disabled ? _config.disabledText : ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <div\n      *ngIf=\"state.toLowerCase() === 'empty'\"\n      class=\"before-selection vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\"\n      [class.error]=\"_config.isError\"\n      [class.disabled]=\"disabled\"\n      appPopover\n      (click)=\"\n        popupState === 'drop-down' ? selectionPopup.popover() : openSelection()\n      \"\n      placement=\"left\"\n    >\n      <div\n        class=\"selection-value vx-fs-13 vx-lh-5\"\n        [innerHTML]=\"_config.placeholder\"\n      ></div>\n      <i class=\"icons arrow vx-fs-12\">&#xe9e8;</i>\n    </div>\n  </div>\n\n  <app-popover #selectionPopup [dontCloseonClick]=\"_config?.isMulti\">\n    <app-vc-dropdown\n      [config]=\"_config\"\n      [selectedList]=\"selectedData\"\n      (selectionChange)=\"setDropdownList($event)\"\n    ></app-vc-dropdown>\n  </app-popover>\n  <!-- After Selection -->\n  <div\n    [appTooltip]=\"disabled ? _config.disabledText : ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <div\n      *ngIf=\"state.toLowerCase() === 'selected'\"\n      class=\"after-selection vx-d-flex vx-align-center vx-justify-between vx-pl-2 vx-pr-2\"\n      [class.disabled]=\"disabled ? 'disabled' : ''\"\n    >\n      <div class=\"vx-d-flex vx-align-center\">\n        <app-chip-capsule\n          *ngIf=\"chipItems?.length\"\n          [items]=\"chipItems\"\n          (remove)=\"removeSelectedList($event)\"\n          [removable]=\"removable\"\n        ></app-chip-capsule>\n        <span\n          class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n          *ngIf=\"chipItems?.length > 0 && chipGroupItems?.length > 0\"\n          >&</span\n        >\n        <app-chip-capsule\n          *ngIf=\"chipGroupItems?.length\"\n          [items]=\"chipGroupItems\"\n          (remove)=\"removeGroupSelectedList($event)\"\n        ></app-chip-capsule>\n      </div>\n      <button\n        *ngIf=\"!editDisabled\"\n        class=\"edit-btn vx-fs-11 vx-fw-500 vx-lh-4 vx-d-flex vx-align-center vx-p-0 vx-m-0 vx-tt-uppercase\"\n        appPopover\n        (click)=\"\n          popupState === 'drop-down'\n            ? selectionPopup.popover()\n            : openSelection()\n        \"\n        placement=\"right\"\n      >\n        <i class=\"icons vx-fs-12 vx-mr-1\">&#xe9ba;</i> EDIT\n      </button>\n    </div>\n  </div>\n  <!-- Disabled Selection -->\n  <div\n    *ngIf=\"state.toLowerCase() === 'disabled'\"\n    class=\"disabled-selection vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\"\n    [vuiTooltip]=\"_config.disabledText ? _config.disabledText : ''\"\n    placement=\"bottom-left\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <div class=\"selection-value vx-fs-13 vx-lh-5\">\n      {{ _config?.placeholder }}\n    </div>\n    <i class=\"icons arrow vx-fs-12\">&#xe9e8;</i>\n  </div>\n  <!-- Error Message -->\n  <div *ngIf=\"isError\" class=\"errorMsg vx-fs-11 vx-lh-4 vx-mt-1\">\n    {{ errorMessage }}\n  </div>\n  <!--loader-->\n  <app-loader *ngIf=\"false\"></app-loader>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-form-selectbox .before-selection{background:#fff;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem;cursor:pointer}::ng-deep .workflow-form-selectbox .before-selection:hover{border-color:#343952}::ng-deep .workflow-form-selectbox .before-selection:focus{outline:none;border-color:#1e5dd3;box-shadow:0 2px 4px #1e5dd326}::ng-deep .workflow-form-selectbox .before-selection.error{border-color:#a82a1d}::ng-deep .workflow-form-selectbox .before-selection.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .workflow-form-selectbox .before-selection .selection-value{color:#565a6f}::ng-deep .workflow-form-selectbox .before-selection .arrow{color:#787a8c}::ng-deep .workflow-form-selectbox .after-selection{background:#f9f9fa;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem}::ng-deep .workflow-form-selectbox .after-selection button.edit-btn{background:transparent;border-radius:0;border:none;color:#565a6f}::ng-deep .workflow-form-selectbox .after-selection.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .workflow-form-selectbox .disabled-selection{background:#f2f2f5;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem}::ng-deep .workflow-form-selectbox .disabled-selection .selection-value{color:#a9aab6}::ng-deep .workflow-form-selectbox .disabled-selection .arrow{color:#cdced6}::ng-deep .workflow-form-selectbox .errorMsg{color:#a82a1d}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list{background:#fff;border-radius:.25rem;border:1px solid #e3e3e9;box-shadow:0 3px 6px #1c5bd140;overflow:hidden;width:878px}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list ul{border-radius:unset;border:none;box-shadow:none}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list ul li .avatar-card app-cs-checkbox{display:flex;padding:.125rem 0;width:100%}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom{background:#fff;border-radius:0 0 .25rem .25rem;border-top:1px solid #f2f2f5}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button{background:#fff;border-radius:.25rem;height:1.5rem;margin:0 .125rem!important}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.reset-btn{border:1px solid #cdced6}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.reset-btn:hover{background:#f9f9fa}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.reset-btn.disabled{background:#f9f9fa;border-color:#cdced6;color:#a9aab6;pointer-events:none}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.apply-btn{background:#1e5dd3;border:none}::ng-deep .workflow-form-selectbox app-popover .action-list.selection-list .action-list-bottom button.apply-btn.disabled{background:#e3e3e9;color:#a9aab6;pointer-events:none}\n"] }]
        }], propDecorators: { title: [{
                type: Input
            }], key: [{
                type: Input
            }], action: [{
                type: Input
            }], state: [{
                type: Input
            }], popupState: [{
                type: Input
            }], isCaseTypeSelected: [{
                type: Input
            }], chipItems: [{
                type: Input
            }], chipGroupItems: [{
                type: Input
            }], config: [{
                type: Input
            }], isError: [{
                type: Input
            }], errorMessage: [{
                type: Input
            }], selectedData: [{
                type: Input
            }], removable: [{
                type: Input
            }], disabled: [{
                type: Input
            }], editDisabled: [{
                type: Input
            }], selectedItemListChange: [{
                type: Output
            }], selectedGroupItemListChange: [{
                type: Output
            }], fieldClicked: [{
                type: Output
            }] } });

class RcDetailsComponent {
    set initialSelection(value) {
        this.selectedItems = value?.ids;
        this.selectedMainRcItems = value?.main_rc_id;
        if (value?.main_rc_id) {
            this.mainRcState = SelectionState$1.SELECTED;
        }
    }
    constructor(complianceService) {
        this.complianceService = complianceService;
        this.ASSETS = ASSETS;
        this.rcTexts = REPORT_CASE;
        this.caseType = report;
        this.responsibilityCentersList = [];
        this.mainRcConfig = {
            ...DEFAULT_FORM_CONFIG,
            action: ACTION_CODE.RC,
            placeholder: this.rcTexts.case_details.rc.mainRcPlaceholder,
            items: [],
        };
        this.config = {
            ...DEFAULT_FORM_CONFIG,
            action: ACTION_CODE.RC,
            placeholder: this.rcTexts.case_details.rc.placeholder,
            items: [],
        };
        this.rcClicked = false;
        this.rcListLoader = false;
        this.SelectionState = SelectionState$1;
        this.SelectionPopupState = SelectionPopupState;
        this.state = SelectionState$1.EMPTY;
        this.mainRcState = SelectionState$1.EMPTY;
        this.selectedItems = [];
        this.selectedRcList = [];
        this.selectedMainRcItems = [];
        this.fieldSelector = FIELD_SELECTOR;
        this.currentSelector = 'RC';
        this.payload = {};
        this.fieldSelected = '';
        this.caseTypeSelected = report.REPORT_CASE;
        this.validationError = {};
        this.mode = '';
        this.workflowType = '';
        this.fieldClicked = new EventEmitter();
        this.onRcChange = new EventEmitter();
        this.filterDeselector = new EventEmitter();
    }
    ngOnDestroy() {
        this.selectedItems = [];
        this.selectedRcList = [];
        this.selectedMainRcItems = [];
        this.mainRcState = SelectionState$1.EMPTY;
        this.state = SelectionState$1.EMPTY;
        this.complianceService.rcList?.next(null);
        this.selectedItems = [];
        this.selectedRcList = [];
        this.selectedMainRcItems = [];
    }
    ngOnInit() {
        if (this.mode === 'EDIT') {
            this.getResponsibilityCentersList();
        }
    }
    ngOnChanges(changes) {
        if (changes['payload']) {
            if (!this.payload?.rc_details?.ids?.length) {
                this.state = SelectionState$1.EMPTY;
                this.selectedItems = [];
                this.selectedRcList = [];
            }
        }
        if (changes['caseTypeSelected']) {
            this.responsibilityCentersList = [];
        }
    }
    getResponsibilityCentersList() {
        this.rcListLoader = true;
        const allVisible = this.caseTypeSelected === 'reportCase' && this.workflowType === 'RAC' && this.mode !== 'EDIT' ? true : false;
        this.complianceService
            .getRcListInfo(undefined, allVisible)
            .subscribe((res) => {
            this.responsibilityCentersList = res;
            if (this.mode === 'EDIT') {
                this.populateSelectedItems();
            }
            this.rcListLoader = false;
        });
    }
    populateSelectedItems() {
        if (this.selectedItems?.length) {
            this.selectedItems = this.responsibilityCentersList
                ?.filter((rc) => this.selectedItems?.some((item) => item === rc?._id))
                ?.map((rc) => ({
                label: rc?.item_name,
                value: rc?.rc_id,
            }));
            this.selectedRcList = this.responsibilityCentersList?.filter((rc) => this.selectedItems?.some((item) => item?.value === rc?.rc_id));
            this.mainRcConfig.items = this.selectedRcList.map((rc) => ({
                name: rc?.item_name,
                _id: rc?._id,
            }));
            this.selectedMainRcItems = this.responsibilityCentersList
                ?.filter((rc) => this.selectedMainRcItems?.includes(rc?._id))
                ?.map((rc) => ({
                label: rc?.item_name,
                value: rc?._id,
            }));
            this.state = SelectionState$1.SELECTED;
        }
        else {
            this.mode === 'EDIT' && this.workflowType !== 'ACTW' && this.caseTypeSelected === this.caseType.ADD_CASE_TO_WORKFLOW
                ? ((this.state = SelectionState$1.DISABLED),
                    (this.config.disabledText = this.rcTexts.case_details.rc.placeholder))
                : (this.state = SelectionState$1.EMPTY);
        }
    }
    saveSelectedRCList(event) {
        this.rcClicked = false;
        this.setSelectedRcList(event);
        this.setMainRcList(event);
        this.selectedItems = this.responsibilityCentersList
            .filter((rc) => event.includes(rc?.rc_id))
            .map((rc) => ({
            label: rc?.item_name,
            value: rc?.rc_id,
        }));
        this.setPayload(event);
        this.state = SelectionState$1.SELECTED;
        this.fieldClicked.emit('');
        this.validationError.rc.isError = false;
        this.validationError.rc.message = '';
        this.filterDeselector.emit(false);
    }
    setMainRcList(event) {
        this.mainRcConfig.items = this.responsibilityCentersList
            .filter((rc) => event.includes(rc?.rc_id))
            .map((rc) => ({
            name: rc?.item_name,
            _id: rc?._id,
        }));
    }
    saveMainRcList(event) {
        this.mainRcState = SelectionState$1.SELECTED;
        this.payload.rc_details.main_rc_id = event[0]?.value;
        this.onRcChange.emit(this.payload.rc_details.main_rc_id);
        this.validationError.mainRc.isError = false;
        this.validationError.mainRc.message = '';
    }
    setPayload(event) {
        this.payload.rc_details.ids = this.responsibilityCentersList
            .filter((rc) => event.includes(rc?.rc_id))
            .map((rc) => rc?._id);
        if (this.payload.rc_details.ids.length === 1) {
            this.onRcChange.emit(this.payload.rc_details.ids[0]);
        }
    }
    setSelectedRcList(event) {
        this.selectedRcList = this.responsibilityCentersList.filter((rc) => event.includes(rc?.rc_id));
    }
    activateSelector(active) {
        this.rcClicked = active;
        if (this.mode !== 'EDIT') {
            this.getResponsibilityCentersList();
        }
        if (active) {
            this.fieldClicked.emit('RC');
            this.filterDeselector.emit(true);
        }
        else {
            this.fieldClicked.emit('');
            this.filterDeselector.emit(false);
        }
    }
    setRcList(event) {
        if (!event?.length) {
            this.resetRcList();
            return;
        }
        this.selectedRcList = this.responsibilityCentersList?.filter((rc) => event?.some((item) => item?.value === rc?.rc_id));
        this.payload.rc_details.ids = this.selectedRcList?.map((rc) => rc?._id);
        this.state = SelectionState$1.SELECTED;
    }
    resetRcList() {
        this.selectedRcList = [];
        this.payload.rc_details.ids = [];
        this.selectedItems = [];
        this.state = SelectionState$1.EMPTY;
    }
    onRcTypeChange(event) {
        this.payload.rc_details.separate_rc_cases = event;
    }
    get rcEditDisable() {
        return (this.mode === 'EDIT' &&
            this.caseTypeSelected === this.caseType.ADD_CASE_TO_WORKFLOW &&
            this.workflowType !== 'ACTW' &&
            this.payload?.rc_details?.ids?.length === 1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RcDetailsComponent, deps: [{ token: ComplianceCommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RcDetailsComponent, selector: "app-rc-details", inputs: { payload: "payload", fieldSelected: "fieldSelected", caseTypeSelected: "caseTypeSelected", validationError: "validationError", initialSelection: "initialSelection", mode: "mode", workflowType: "workflowType" }, outputs: { fieldClicked: "fieldClicked", onRcChange: "onRcChange", filterDeselector: "filterDeselector" }, usesOnChanges: true, ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.responsibility_center"
      [active]="rcClicked"
      [disabled]="
        fieldSelector?.includes(fieldSelected) &&
        fieldSelected !== currentSelector
      "
      [checked]="payload?.rc_details?.ids?.length"
    >

      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [isError]="validationError.rc.isError"
          [errorMessage]="validationError.rc.message"
          [editDisabled]="rcEditDisable"
          [removable]="!rcEditDisable"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setRcList($event)"
        >
          <app-vc-label
            label
            [labelText]="rcTexts.case_details.rc.title"
            [required]="
              caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW ||
              workflowType === 'ACTW'
            "
          ></app-vc-label>
        </app-form-selectBox>
        <ng-container
          *ngIf="
            (caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW ||
              workflowType === 'ACTW') &&
            payload?.rc_details?.ids?.length > 1
          "
        >
          <div class="switch-row switch-disabled align-right vx-d-flex vx-align-center">
            <div
              class="toggle-text vx-fs-11 vx-fw-500 vx-tt-uppercase vx-lh-4  vx-mr-2"
            >
              {{ rcTexts.case_details.rc.sameRcText }}
            </div>
            <app-cs-switch [ngValue]="true" [disabled]="true"> </app-cs-switch>
          </div>
          <!-- <app-cs-radio
            class="main-filed"
            [name]="'ff_responsibility_rc_link'"
            [checked]="payload?.rc_details?.separate_rc_cases"
            (checkedEvent)="onRcTypeChange(true)"
            ><div class="rc-radio-text">
              {{ rcTexts.case_details.rc.separateRcText }}
            </div>
            <i
              class="icons"
              [appTooltip]="rcTexts.case_details.rc.separateRcTooltip"
              placement="bottom-right"
              type="white"
              delay="0"
              [tooltipMandatory]="true"
              >&#xe91f;</i
            ></app-cs-radio
          >
          <app-cs-radio
            class="main-filed"
            [name]="'ff_responsibility_rc_link'"
            [checked]="!payload?.rc_details?.separate_rc_cases"
            (checkedEvent)="onRcTypeChange(false)"
            >{{ rcTexts.case_details.rc.sameRcText
            }}<i
              class="icons"
              [appTooltip]="rcTexts.case_details.rc.sameRcTooltip"
              placement="bottom-right"
              type="white"
              delay="0"
              [tooltipMandatory]="true"
              >&#xe91f;</i
            ></app-cs-radio
          > -->
          <p
            *ngIf="!payload?.rc_details?.separate_rc_cases"
            class="vx-fs-11 vx-lh-4 vx-fw-500 vx-txt-black vx-mb-2"
            [class.disabled]="fieldSelector?.includes(fieldSelected)"
          >
            SELECT THE MAIN RESPONSIBILITY CENTER BASED ON WHICH THE WORKFLOW
            FOR THIS CASE WILL BE DEFINED
          </p>
          <app-form-selectBox
            *ngIf="!payload?.rc_details?.separate_rc_cases"
            [config]="mainRcConfig"
            [state]="mainRcState"
            [popupState]="SelectionPopupState.DROP_DOWN"
            [chipItems]="selectedMainRcItems"
            [isError]="validationError.mainRc.isError"
            [errorMessage]="validationError.mainRc.message"
            [editDisabled]="
              mode === 'EDIT' &&
              caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW &&
              workflowType !== 'ACTW'
            "
            (fieldClicked)="activateSelector($event)"
            (selectedItemListChange)="saveMainRcList($event)"
          >
          </app-form-selectBox>
        </ng-container>
      </ng-container>
    </app-field-holder>
    <app-responsibility-centers-list
      *ngIf="rcClicked"
      [responsibilityCentersList]="responsibilityCentersList"
      [selectedResponsibilityCenters]="selectedRcList"
      [rcIdKey]="'rc_id'"
      (saveSelectedList)="saveSelectedRCList($event)"
      (closeRcList)="activateSelector(false)"
      [singularText]="rcTexts.case_details.rc.singularText"
      [pluralText]="rcTexts.case_details.rc.pluralText"
      [loaded]="!rcListLoader"
    >
    </app-responsibility-centers-list>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n", "::ng-deep .vx-form-group .switch-row .toggle-text{color:#707070}::ng-deep .vx-form-group .switch-row.switch-disabled app-cs-switch{margin-top:0!important}::ng-deep .vx-form-group .switch-row.switch-disabled app-cs-switch .cs-switch{pointer-events:none!important}::ng-deep .vx-form-group .switch-row.switch-disabled app-cs-switch .cs-switch .switch{opacity:.5!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "component", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: ["title", "key", "action", "state", "popupState", "isCaseTypeSelected", "chipItems", "chipGroupItems", "config", "isError", "errorMessage", "selectedData", "removable", "disabled", "editDisabled"], outputs: ["selectedItemListChange", "selectedGroupItemListChange", "fieldClicked"] }, { kind: "component", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: ["responsibilityCentersList", "selectedResponsibilityCenters", "rcIdKey", "radioSelection", "pluralText", "singularText", "loaded"], outputs: ["saveSelectedList", "closeRcList"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RcDetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-rc-details', template: `
    <app-field-holder
      [image]="ASSETS.responsibility_center"
      [active]="rcClicked"
      [disabled]="
        fieldSelector?.includes(fieldSelected) &&
        fieldSelected !== currentSelector
      "
      [checked]="payload?.rc_details?.ids?.length"
    >

      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [isError]="validationError.rc.isError"
          [errorMessage]="validationError.rc.message"
          [editDisabled]="rcEditDisable"
          [removable]="!rcEditDisable"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setRcList($event)"
        >
          <app-vc-label
            label
            [labelText]="rcTexts.case_details.rc.title"
            [required]="
              caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW ||
              workflowType === 'ACTW'
            "
          ></app-vc-label>
        </app-form-selectBox>
        <ng-container
          *ngIf="
            (caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW ||
              workflowType === 'ACTW') &&
            payload?.rc_details?.ids?.length > 1
          "
        >
          <div class="switch-row switch-disabled align-right vx-d-flex vx-align-center">
            <div
              class="toggle-text vx-fs-11 vx-fw-500 vx-tt-uppercase vx-lh-4  vx-mr-2"
            >
              {{ rcTexts.case_details.rc.sameRcText }}
            </div>
            <app-cs-switch [ngValue]="true" [disabled]="true"> </app-cs-switch>
          </div>
          <!-- <app-cs-radio
            class="main-filed"
            [name]="'ff_responsibility_rc_link'"
            [checked]="payload?.rc_details?.separate_rc_cases"
            (checkedEvent)="onRcTypeChange(true)"
            ><div class="rc-radio-text">
              {{ rcTexts.case_details.rc.separateRcText }}
            </div>
            <i
              class="icons"
              [appTooltip]="rcTexts.case_details.rc.separateRcTooltip"
              placement="bottom-right"
              type="white"
              delay="0"
              [tooltipMandatory]="true"
              >&#xe91f;</i
            ></app-cs-radio
          >
          <app-cs-radio
            class="main-filed"
            [name]="'ff_responsibility_rc_link'"
            [checked]="!payload?.rc_details?.separate_rc_cases"
            (checkedEvent)="onRcTypeChange(false)"
            >{{ rcTexts.case_details.rc.sameRcText
            }}<i
              class="icons"
              [appTooltip]="rcTexts.case_details.rc.sameRcTooltip"
              placement="bottom-right"
              type="white"
              delay="0"
              [tooltipMandatory]="true"
              >&#xe91f;</i
            ></app-cs-radio
          > -->
          <p
            *ngIf="!payload?.rc_details?.separate_rc_cases"
            class="vx-fs-11 vx-lh-4 vx-fw-500 vx-txt-black vx-mb-2"
            [class.disabled]="fieldSelector?.includes(fieldSelected)"
          >
            SELECT THE MAIN RESPONSIBILITY CENTER BASED ON WHICH THE WORKFLOW
            FOR THIS CASE WILL BE DEFINED
          </p>
          <app-form-selectBox
            *ngIf="!payload?.rc_details?.separate_rc_cases"
            [config]="mainRcConfig"
            [state]="mainRcState"
            [popupState]="SelectionPopupState.DROP_DOWN"
            [chipItems]="selectedMainRcItems"
            [isError]="validationError.mainRc.isError"
            [errorMessage]="validationError.mainRc.message"
            [editDisabled]="
              mode === 'EDIT' &&
              caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW &&
              workflowType !== 'ACTW'
            "
            (fieldClicked)="activateSelector($event)"
            (selectedItemListChange)="saveMainRcList($event)"
          >
          </app-form-selectBox>
        </ng-container>
      </ng-container>
    </app-field-holder>
    <app-responsibility-centers-list
      *ngIf="rcClicked"
      [responsibilityCentersList]="responsibilityCentersList"
      [selectedResponsibilityCenters]="selectedRcList"
      [rcIdKey]="'rc_id'"
      (saveSelectedList)="saveSelectedRCList($event)"
      (closeRcList)="activateSelector(false)"
      [singularText]="rcTexts.case_details.rc.singularText"
      [pluralText]="rcTexts.case_details.rc.pluralText"
      [loaded]="!rcListLoader"
    >
    </app-responsibility-centers-list>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n", "::ng-deep .vx-form-group .switch-row .toggle-text{color:#707070}::ng-deep .vx-form-group .switch-row.switch-disabled app-cs-switch{margin-top:0!important}::ng-deep .vx-form-group .switch-row.switch-disabled app-cs-switch .cs-switch{pointer-events:none!important}::ng-deep .vx-form-group .switch-row.switch-disabled app-cs-switch .cs-switch .switch{opacity:.5!important}\n"] }]
        }], ctorParameters: function () { return [{ type: ComplianceCommonService }]; }, propDecorators: { payload: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], caseTypeSelected: [{
                type: Input
            }], validationError: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], mode: [{
                type: Input
            }], workflowType: [{
                type: Input
            }], fieldClicked: [{
                type: Output
            }], onRcChange: [{
                type: Output
            }], filterDeselector: [{
                type: Output
            }] } });

class CaseDropdownComponent {
    set initialSelection(value) {
        this.initialType = value?.id;
    }
    constructor(reportACaseService) {
        this.reportACaseService = reportACaseService;
        this.reportTexts = REPORT_CASE;
        this.ASSETS = ASSETS;
        this.config = {
            ...DEFAULT_FORM_CONFIG,
            placeholder: this.reportTexts.case_details.case_type.placeholder,
            items: [],
        };
        this.chipItems = [];
        this.allTypes = [];
        this.selectionState = SelectionState$1;
        this.selectionPopupState = SelectionPopupState;
        this.isLoading = false;
        this.state = SelectionState$1.EMPTY;
        this.caseType = report;
        this.fieldSelector = FIELD_SELECTOR;
        this.customField = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add value',
        };
        this.fieldSelected = '';
        this.mode = '';
        this.caseTypeSelected = '';
        this.workflowType = '';
        this.onCaseTypeChange = new EventEmitter();
        this.onCaseTypeLoading = new EventEmitter();
    }
    ngOnInit() {
        this.getAllTypes();
    }
    ngOnChanges(changes) {
        if (changes['initialSelection']) {
            this.populateInitialType();
        }
        if (changes['payload']) {
            if (!this.payload?.case_type?.id) {
                this.state = SelectionState$1.EMPTY;
            }
        }
    }
    getAllTypes() {
        this.isLoading = true;
        this.onCaseTypeLoading.emit(true);
        this.reportACaseService.getAllTypes().subscribe({
            next: (res) => {
                this.allTypes = res?.data?.types;
                this.config.items = this.allTypes;
                this.config = JSON.parse(JSON.stringify(this.config));
                if (this.mode === 'EDIT') {
                    this.populateInitialType();
                }
                this.isLoading = false;
                this.onCaseTypeLoading.emit(false);
            },
            error: (err) => {
                this.isLoading = false;
                this.onCaseTypeLoading.emit(false);
            },
        });
    }
    populateInitialType() {
        if (this.initialType) {
            this.state = SelectionState$1.SELECTED;
            this.chipItems = this.allTypes
                ?.filter((type) => type?._id === this.initialType)
                ?.map((type) => ({
                label: type?.name,
                value: type?._id,
            }));
        }
    }
    onSelectedItemListChange(event) {
        this.validationError.caseType.isError = false;
        this.validationError.caseType.message = '';
        this.payload.case_type.id = event[0]?.value;
        this.payload.case_type.custom_fields = this.allTypes?.find((type) => type?._id === event[0]?.value)?.custom_fields;
        this.state = SelectionState$1.SELECTED;
        this.onCaseTypeChange.emit(this.payload.case_type.id);
    }
    get caseTypeEditDisable() {
        return (this.mode === 'EDIT' &&
            this.caseTypeSelected === this.caseType.ADD_CASE_TO_WORKFLOW &&
            this.workflowType !== 'ACTW');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseDropdownComponent, deps: [{ token: ReportACaseService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CaseDropdownComponent, selector: "app-case-type-dropdown", inputs: { fieldSelected: "fieldSelected", payload: "payload", validationError: "validationError", initialSelection: "initialSelection", mode: "mode", caseTypeSelected: "caseTypeSelected", workflowType: "workflowType" }, outputs: { onCaseTypeChange: "onCaseTypeChange", onCaseTypeLoading: "onCaseTypeLoading" }, usesOnChanges: true, ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.case_type"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.case_type?.id"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [chipItems]="chipItems"
          [state]="state"
          [popupState]="selectionPopupState.DROP_DOWN"
          [isError]="validationError.caseType.isError"
          [errorMessage]="validationError.caseType.message"
          [selectedData]="initialType"
          [editDisabled]="caseTypeEditDisable"
          [removable]="!caseTypeEditDisable"
          (selectedItemListChange)="onSelectedItemListChange($event)"
        >
          <app-vc-label
            label
            [labelText]="reportTexts.case_details.case_type.title"
            [required]="true"
          ></app-vc-label>
        </app-form-selectBox>
        <div
        class="vx-form-group"
        *ngFor="let tag of payload?.case_type?.custom_fields"
      >
        <label class="vx-control-panel">{{ tag?.name }}</label>
        <vcomply-editor
          [(ngModel)]="tag.value"
          [editorConfig]="customField"
        ></vcomply-editor>
      </div>
      </ng-container>
    </app-field-holder>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "component", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: ["title", "key", "action", "state", "popupState", "isCaseTypeSelected", "chipItems", "chipGroupItems", "config", "isError", "errorMessage", "selectedData", "removable", "disabled", "editDisabled"], outputs: ["selectedItemListChange", "selectedGroupItemListChange", "fieldClicked"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-type-dropdown', template: `
    <app-field-holder
      [image]="ASSETS.case_type"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.case_type?.id"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [chipItems]="chipItems"
          [state]="state"
          [popupState]="selectionPopupState.DROP_DOWN"
          [isError]="validationError.caseType.isError"
          [errorMessage]="validationError.caseType.message"
          [selectedData]="initialType"
          [editDisabled]="caseTypeEditDisable"
          [removable]="!caseTypeEditDisable"
          (selectedItemListChange)="onSelectedItemListChange($event)"
        >
          <app-vc-label
            label
            [labelText]="reportTexts.case_details.case_type.title"
            [required]="true"
          ></app-vc-label>
        </app-form-selectBox>
        <div
        class="vx-form-group"
        *ngFor="let tag of payload?.case_type?.custom_fields"
      >
        <label class="vx-control-panel">{{ tag?.name }}</label>
        <vcomply-editor
          [(ngModel)]="tag.value"
          [editorConfig]="customField"
        ></vcomply-editor>
      </div>
      </ng-container>
    </app-field-holder>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }]; }, propDecorators: { fieldSelected: [{
                type: Input
            }], payload: [{
                type: Input
            }], validationError: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], mode: [{
                type: Input
            }], caseTypeSelected: [{
                type: Input
            }], workflowType: [{
                type: Input
            }], onCaseTypeChange: [{
                type: Output
            }], onCaseTypeLoading: [{
                type: Output
            }] } });

class ReportDateComponent {
    constructor(commonService) {
        this.commonService = commonService;
        this.ASSETS = ASSETS;
        this.reportTexts = REPORT_CASE;
        this.datePickerOverlay = false;
        this.dateConfig = {
            disableKeypress: true,
            format: 'DD MM YYYY',
            unSelectOnClick: true,
            openOnClick: false,
            openOnFocus: false,
            max: moment(),
        };
        this.fieldSelector = FIELD_SELECTOR;
        this.fieldSelected = '';
    }
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datePickerOverlay = true;
    }
    closeDatePicker(evt) {
        this.datePickerOverlay = false;
        if (!evt) {
            return;
        }
        if (evt?.date?.$d) {
            let monthArray = [
                'Jan',
                'Feb',
                'Mar',
                'Apr',
                'May',
                'Jun',
                'Jul',
                'Aug',
                'Sep',
                'Oct',
                'Nov',
                'Dec',
            ];
            const dateValue = new Date(evt?.date?.$d).getDate();
            const monthValue = monthArray[new Date(evt?.date?.$d).getMonth()];
            const yearValue = new Date(evt?.date?.$d).getFullYear();
            const dateStr = `${dateValue} ${monthValue} ${yearValue}`;
        }
        if (evt?.date?.$d) {
            this.payload.occurrence_date = evt?.date?.$d;
        }
        this.datePicker?.api?.close();
        this.resetValidationErrors();
    }
    resetValidationErrors() {
        this.validationError.reportDate.isError = false;
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'effective-date',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datePickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportDateComponent, deps: [{ token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ReportDateComponent, selector: "app-report-date", inputs: { payload: "payload", fieldSelected: "fieldSelected", validationError: "validationError" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.when"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.occurrence_date"
    >
      <ng-container field>
        <app-vc-label
          label
          [labelText]="reportTexts.case_details.when.title"
          [required]="true"
        >
        </app-vc-label>
        <div class="date-time-picker">
          <div class="picker-group">
            <input
              type="text"
              readonly
              [placeholder]="reportTexts.case_details.when.placeholder"
              [value]="payload?.occurrence_date | date : 'dd MMM yyyy'"
              (click)="openDatePicker()"
              id="effective-date"
            />
            <i class="icons">&#xe92d;</i>
            <dp-date-picker
              #datePicker
              (onSelect)="datePickerOverlay = false; closeDatePicker($event)"
              [config]="dateConfig"
              [(ngModel)]="payload.occurrence_date"
            >
            </dp-date-picker>
            <div
              class="vx-overlay"
              (click)="closeDatePicker($event)"
              *ngIf="datePickerOverlay"
            ></div>
          </div>
        </div>
        <p *ngIf="validationError.reportDate.isError" class="error-message">
          {{ validationError.reportDate.message }}
        </p>
      </ng-container>
    </app-field-holder>
  `, isInline: true, styles: ["", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportDateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-report-date', template: `
    <app-field-holder
      [image]="ASSETS.when"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.occurrence_date"
    >
      <ng-container field>
        <app-vc-label
          label
          [labelText]="reportTexts.case_details.when.title"
          [required]="true"
        >
        </app-vc-label>
        <div class="date-time-picker">
          <div class="picker-group">
            <input
              type="text"
              readonly
              [placeholder]="reportTexts.case_details.when.placeholder"
              [value]="payload?.occurrence_date | date : 'dd MMM yyyy'"
              (click)="openDatePicker()"
              id="effective-date"
            />
            <i class="icons">&#xe92d;</i>
            <dp-date-picker
              #datePicker
              (onSelect)="datePickerOverlay = false; closeDatePicker($event)"
              [config]="dateConfig"
              [(ngModel)]="payload.occurrence_date"
            >
            </dp-date-picker>
            <div
              class="vx-overlay"
              (click)="closeDatePicker($event)"
              *ngIf="datePickerOverlay"
            ></div>
          </div>
        </div>
        <p *ngIf="validationError.reportDate.isError" class="error-message">
          {{ validationError.reportDate.message }}
        </p>
      </ng-container>
    </app-field-holder>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: CommonService }]; }, propDecorators: { payload: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], validationError: [{
                type: Input
            }], datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class CasePriorityComponent {
    set initialSelection(value) {
        this.initialPriority = value?.id;
    }
    constructor(reportACaseService) {
        this.reportACaseService = reportACaseService;
        this.reportTexts = REPORT_CASE;
        this.ASSETS = ASSETS;
        this.caseType = report;
        this.config = {
            ...DEFAULT_FORM_CONFIG,
            placeholder: this.reportTexts.case_details.priority.placeholder,
            items: [],
        };
        this.chipItems = [];
        this.allPriorities = [];
        this.selectionState = SelectionState$1;
        this.selectionPopupState = SelectionPopupState;
        this.state = SelectionState$1.EMPTY;
        this.isLoading = false;
        this.fieldSelector = FIELD_SELECTOR;
        this.fieldSelected = '';
        this.caseTypeSelected = '';
        this.validationError = {};
        this.mode = '';
        this.workflowType = '';
        this.onPriorityChange = new EventEmitter();
        this.onPriorityLoader = new EventEmitter();
    }
    ngOnInit() {
        this.getAllPriorities();
    }
    ngOnChanges(changes) {
        if (changes['initialSelection']) {
            this.populateInitialPriority();
        }
        if (changes['payload']) {
            if (!this.payload?.priority?.id) {
                this.state = SelectionState$1.EMPTY;
            }
        }
    }
    getAllPriorities() {
        this.isLoading = true;
        this.onPriorityLoader.emit(true);
        this.reportACaseService.getAllPriorities().subscribe({
            next: (res) => {
                this.allPriorities = res?.data?.priorities;
                this.config.items = this.allPriorities;
                this.config = JSON.parse(JSON.stringify(this.config));
                if (this.mode === 'EDIT') {
                    this.populateInitialPriority();
                }
                this.isLoading = false;
                this.onPriorityLoader.emit(false);
            },
            error: (err) => {
                this.isLoading = false;
                this.onPriorityLoader.emit(false);
            },
        });
    }
    populateInitialPriority() {
        if (this.initialPriority) {
            this.state = SelectionState$1.SELECTED;
            this.chipItems = this.allPriorities
                ?.filter((priority) => priority?._id === this.initialPriority)
                ?.map((priority) => ({
                label: priority?.name,
                value: priority?._id,
            }));
        }
    }
    onSelectedItemListChange(event) {
        this.payload.priority.id = event[0]?.value;
        this.validationError.priority.isError = false;
        this.validationError.priority.message = '';
        this.state = SelectionState$1.SELECTED;
        this.onPriorityChange.emit(this.payload.priority.id);
    }
    get priorityEditDisable() {
        return (this.caseTypeSelected === this.caseType.ADD_CASE_TO_WORKFLOW &&
            this.mode === 'EDIT' &&
            this.workflowType !== 'ACTW');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CasePriorityComponent, deps: [{ token: ReportACaseService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CasePriorityComponent, selector: "app-case-priority", inputs: { fieldSelected: "fieldSelected", payload: "payload", caseTypeSelected: "caseTypeSelected", validationError: "validationError", initialSelection: "initialSelection", mode: "mode", workflowType: "workflowType" }, outputs: { onPriorityChange: "onPriorityChange", onPriorityLoader: "onPriorityLoader" }, usesOnChanges: true, ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.case_type"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.priority?.id"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [chipItems]="chipItems"
          [state]="state"
          [popupState]="selectionPopupState.DROP_DOWN"
          [isError]="validationError.priority.isError"
          [errorMessage]="validationError.priority.message"
          [editDisabled]="priorityEditDisable"
          [removable]="!priorityEditDisable"
          (selectedItemListChange)="onSelectedItemListChange($event)"
        >
          <app-vc-label
            label
            [labelText]="reportTexts.case_details.priority.title"
            [required]="caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW"
          ></app-vc-label>
        </app-form-selectBox>
      </ng-container>
    </app-field-holder>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "component", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: ["title", "key", "action", "state", "popupState", "isCaseTypeSelected", "chipItems", "chipGroupItems", "config", "isError", "errorMessage", "selectedData", "removable", "disabled", "editDisabled"], outputs: ["selectedItemListChange", "selectedGroupItemListChange", "fieldClicked"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CasePriorityComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-priority', template: `
    <app-field-holder
      [image]="ASSETS.case_type"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.priority?.id"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [chipItems]="chipItems"
          [state]="state"
          [popupState]="selectionPopupState.DROP_DOWN"
          [isError]="validationError.priority.isError"
          [errorMessage]="validationError.priority.message"
          [editDisabled]="priorityEditDisable"
          [removable]="!priorityEditDisable"
          (selectedItemListChange)="onSelectedItemListChange($event)"
        >
          <app-vc-label
            label
            [labelText]="reportTexts.case_details.priority.title"
            [required]="caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW"
          ></app-vc-label>
        </app-form-selectBox>
      </ng-container>
    </app-field-holder>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }]; }, propDecorators: { fieldSelected: [{
                type: Input
            }], payload: [{
                type: Input
            }], caseTypeSelected: [{
                type: Input
            }], validationError: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], mode: [{
                type: Input
            }], workflowType: [{
                type: Input
            }], onPriorityChange: [{
                type: Output
            }], onPriorityLoader: [{
                type: Output
            }] } });

class LinkTreatmentLoaderComponent {
    constructor() { }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkTreatmentLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LinkTreatmentLoaderComponent, selector: "app-listline-loader", ngImport: i0, template: "<div class=\"link-treatment-loader-container\">\n  <!-- <div class=\"link-treatment-tab\">\n        <ul>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n        </ul>\n    </div> -->\n  <!-- <div class=\"link-treatment-create-btn\">\n        <div class=\"loader\"></div>\n    </div> -->\n  <div class=\"link-treatment-body\">\n    <!-- <div class=\"search-block\">\n            <div class=\"loader\"></div>\n        </div> -->\n    <div class=\"link-treatment-list\">\n      <ul>\n        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n          <div class=\"loader\"></div>\n        </li>\n      </ul>\n    </div>\n    <!-- <div class=\"link-treatment-footer\">\n            <div class=\"left\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"right\">\n                <div class=\"loader\"></div>\n            </div>\n        </div> -->\n  </div>\n</div>\n", styles: [".link-treatment-loader-container{background:#fff}.link-treatment-tab{background:#fff;padding:0 20px;position:relative;z-index:1}.link-treatment-tab:before{background:#dbdbdb;content:\"\";position:absolute;bottom:0;left:0;width:100%;height:1px;z-index:-1}.link-treatment-tab ul{display:flex;justify-content:space-between;list-style-type:none;margin:0;padding:0}.link-treatment-tab ul li{height:31px;display:flex;align-items:center}.link-treatment-tab ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:85px}.link-treatment-create-btn{background:#fff;padding:20px 20px 0;height:50px}.link-treatment-create-btn .loader{background:#f3f3f3;border-radius:3px;height:30px;width:500px}.link-treatment-body{background:#fff;width:100%;padding:10px 20px 20px;height:calc(100vh - 208px)}.link-treatment-body .search-block{position:relative}.link-treatment-body .search-block .loader{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:3px;height:45px;width:100%}.link-treatment-list{padding-top:10px;width:calc(100% + 20px)}.link-treatment-list ul{padding:0;margin:0;height:calc(100vh - 281px);overflow:auto}.link-treatment-list ul li{width:100%;padding:12px 0;list-style:none}.link-treatment-list ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:60%}.link-treatment-footer{height:50px;background:#f8f8f8;border-top:1px solid #f1f1f1;padding:0 20px 0 22px;display:flex;align-items:center;justify-content:space-between;width:500px;position:fixed;bottom:0;right:0;z-index:2}.link-treatment-footer .left{display:flex;align-items:center}.link-treatment-footer .left .loader{background:#eee;border-radius:20px;height:10px;width:170px}.link-treatment-footer .right{display:flex;align-items:center}.link-treatment-footer .right .loader{background:#eee;border-radius:5px;height:30px;width:90px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkTreatmentLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-listline-loader', template: "<div class=\"link-treatment-loader-container\">\n  <!-- <div class=\"link-treatment-tab\">\n        <ul>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n            <li><div class=\"loader\"></div></li>\n        </ul>\n    </div> -->\n  <!-- <div class=\"link-treatment-create-btn\">\n        <div class=\"loader\"></div>\n    </div> -->\n  <div class=\"link-treatment-body\">\n    <!-- <div class=\"search-block\">\n            <div class=\"loader\"></div>\n        </div> -->\n    <div class=\"link-treatment-list\">\n      <ul>\n        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n          <div class=\"loader\"></div>\n        </li>\n      </ul>\n    </div>\n    <!-- <div class=\"link-treatment-footer\">\n            <div class=\"left\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"right\">\n                <div class=\"loader\"></div>\n            </div>\n        </div> -->\n  </div>\n</div>\n", styles: [".link-treatment-loader-container{background:#fff}.link-treatment-tab{background:#fff;padding:0 20px;position:relative;z-index:1}.link-treatment-tab:before{background:#dbdbdb;content:\"\";position:absolute;bottom:0;left:0;width:100%;height:1px;z-index:-1}.link-treatment-tab ul{display:flex;justify-content:space-between;list-style-type:none;margin:0;padding:0}.link-treatment-tab ul li{height:31px;display:flex;align-items:center}.link-treatment-tab ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:85px}.link-treatment-create-btn{background:#fff;padding:20px 20px 0;height:50px}.link-treatment-create-btn .loader{background:#f3f3f3;border-radius:3px;height:30px;width:500px}.link-treatment-body{background:#fff;width:100%;padding:10px 20px 20px;height:calc(100vh - 208px)}.link-treatment-body .search-block{position:relative}.link-treatment-body .search-block .loader{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:3px;height:45px;width:100%}.link-treatment-list{padding-top:10px;width:calc(100% + 20px)}.link-treatment-list ul{padding:0;margin:0;height:calc(100vh - 281px);overflow:auto}.link-treatment-list ul li{width:100%;padding:12px 0;list-style:none}.link-treatment-list ul li .loader{background:#f3f3f3;border-radius:20px;height:10px;width:60%}.link-treatment-footer{height:50px;background:#f8f8f8;border-top:1px solid #f1f1f1;padding:0 20px 0 22px;display:flex;align-items:center;justify-content:space-between;width:500px;position:fixed;bottom:0;right:0;z-index:2}.link-treatment-footer .left{display:flex;align-items:center}.link-treatment-footer .left .loader{background:#eee;border-radius:20px;height:10px;width:170px}.link-treatment-footer .right{display:flex;align-items:center}.link-treatment-footer .right .loader{background:#eee;border-radius:5px;height:30px;width:90px}\n"] }]
        }], ctorParameters: function () { return []; } });

class CategoryListSelectionComponent {
    set setList(value) {
        this.list = value;
    }
    set setSelected(value) {
        if (value) {
            this.selectedList = [...value];
            this.setSelectedIds();
        }
    }
    constructor() {
        this.fetchData = new EventEmitter();
        this.back = new EventEmitter();
        this.next = new EventEmitter();
        this.cancel = new EventEmitter();
        this.ASSETS = ASSETS;
        this.list = [];
        this.searchKey = '';
        this.selectedList = [];
        this.currentPage = 1;
        this.recordStart = 1;
        this.recordEnd = 1;
        this.totalRecords = 1;
        this.totalPages = 1;
        this.loading = true;
        this.selectionMode = 'multiple';
        this.animation = true;
        this.selectedIds = [];
    }
    ngOnInit() { }
    //This method handles the page change
    pageChanged(page) {
        this.currentPage = page;
        this.fetchData.emit({ page: this.currentPage, searchKey: this.searchKey });
    }
    //This method handles the search
    search() {
        this.currentPage = 1;
        this.fetchData.emit({ page: this.currentPage, searchKey: this.searchKey });
    }
    itemSelected(event, item) {
        if (this.selectionMode === 'single') {
            this.selectedList = [item];
            this.setSelectedIds();
        }
        else {
            if (event) {
                this.selectedList.push(item);
                this.setSelectedIds();
            }
            else {
                let index = this.selectedList.findIndex((x) => x?._id === item?._id);
                if (index >= 0) {
                    this.selectedList = this.selectedList.filter((ele) => ele[this.config?.identifierKey] !==
                        item[this.config?.identifierKey]);
                    this.setSelectedIds();
                }
            }
        }
    }
    setSelectedIds() {
        this.selectedIds = this.selectedList.map((ele) => ele[this.config?.identifierKey]);
        this.selectedList = Array.from(new Set(this.selectedList.map((a) => a._id))).map((id) => {
            return this.selectedList.find((a) => a._id === id);
        });
    }
    deleteItem(evt) {
        this.selectedList = this.selectedList.filter((ele) => ele[this.config?.identifierKey] !== evt[this.config?.identifierKey]);
        this.setSelectedIds();
    }
    close() {
        this.cancel.emit();
    }
    save() {
        this.next.emit(this.selectedList);
    }
    selectAll(evt) {
        if (evt) {
            this.selectedList = [...this.selectedList, ...this.list];
            this.setSelectedIds();
        }
        else if (evt === false) {
            const currentPageList = this.list.map((ele) => ele._id);
            this.selectedList = this.selectedList.filter((ele) => !currentPageList.includes(ele?._id));
            this.setSelectedIds();
        }
    }
    checkSelectAll() {
        const data = this.list.every((rc) => this.selectedIds.includes(rc[this.config.identifierKey]));
        return data;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryListSelectionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CategoryListSelectionComponent, selector: "app-category-list-selection", inputs: { setList: ["categoryList", "setList"], config: "config", currentPage: "currentPage", recordStart: "recordStart", recordEnd: "recordEnd", totalRecords: "totalRecords", totalPages: "totalPages", loading: "loading", selectionMode: "selectionMode", setSelected: ["selectedList", "setSelected"] }, outputs: { fetchData: "fetchData", back: "back", next: "next", cancel: "cancel" }, ngImport: i0, template: "<div class=\"radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n  </div>\n\n  <div class=\"radio-list-body\">\n    <div class=\"search-block vx-mb-2\" *ngIf=\"true\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        (keydown.enter)=\"search()\"\n        type=\"text\"\n        [placeholder]=\"config?.searchPlaceholder\"\n        [(ngModel)]=\"searchKey\"\n      />\n    </div>\n\n    <app-pagination\n      *ngIf=\"totalPages > 1\"\n      [start]=\"recordStart\"\n      [end]=\"recordEnd\"\n      [total]=\"totalRecords\"\n      [pageCount]=\"totalPages\"\n      [currentPage]=\"currentPage\"\n      (selectedPage)=\"pageChanged($event)\"\n    ></app-pagination>\n\n    <!-- it is visible when list data is available -->\n    <ng-container *ngIf=\"!loading && list?.length\">\n      <div\n        class=\"categories vx-mb-4\"\n        [class.mt-2]=\"totalPages === 0\"\n        *ngIf=\"selectionMode === 'multiple'\"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n        >\n          <span class=\"vx-fw-600 vx-label-txt\">{{\n            checkSelectAll() ? \"Deselect All\" : \"Select All\"\n          }}</span>\n        </app-cs-checkbox>\n      </div>\n      <ul\n        class=\"categories-list vx-mb-4\"\n        [class.with-selectAll]=\"selectionMode === 'multiple'\"\n        [class.with-pagination]=\"totalPages > 1\"\n      >\n        <li *ngFor=\"let item of list | search : searchKey; let i = index\">\n          <app-cs-radio\n            *ngIf=\"selectionMode === 'single'\"\n            [checked]=\"selectedIds?.includes(item[config?.identifierKey])\"\n            (checkedEvent)=\"itemSelected($event, item)\"\n            [appTooltip]=\"item[config.displayKey]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          >\n            <div class=\"name\">{{ item[config.displayKey] }}</div>\n            <div\n              class=\"within vx-d-flex vx-align-center vx-justify-start vx-mt-1\"\n            >\n              <div\n                class=\"block vx-fs-9 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2\"\n                *ngIf=\"item[config?.parentKey] != ''\"\n              >\n                WITHIN\n              </div>\n              <div\n                class=\"data vx-fs-11 vx-paragraph-txt vx-lh-4 vx-pr-5\"\n                [appTooltip]=\"item[config?.parentKey] | within : list\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ item[config?.parentKey] | within : list }}\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-checkbox\n            *ngIf=\"selectionMode === 'multiple'\"\n            [ngValue]=\"selectedIds?.includes(item[config?.identifierKey])\"\n            (ngValueChange)=\"itemSelected($event, item)\"\n            [appTooltip]=\"item[config.displayKey]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          >\n            <div class=\"name\">{{ item[config.displayKey] }}</div>\n            <div\n              class=\"within vx-d-flex vx-align-center vx-justify-start vx-mt-1\"\n            >\n              <div\n                class=\"block vx-fs-9 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2\"\n                *ngIf=\"item[config?.parentKey] != ''\"\n              >\n                WITHIN\n              </div>\n              <div\n                class=\"data vx-fs-11 vx-paragraph-txt vx-lh-4 vx-pr-5\"\n                [appTooltip]=\"item[config?.parentKey] | within : list\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ item[config?.parentKey] | within : list }}\n              </div>\n            </div>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n    </ng-container>\n    <!-- It is visible when the list items are getting loaded -->\n    <app-listline-loader *ngIf=\"loading\"></app-listline-loader>\n    <ng-container *ngIf=\"!loading && list?.length === 0\">\n      <app-no-data\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedList\"\n      [displayElementKey]=\"config?.displayKey\"\n      [singularText]=\"config?.entitySingular\"\n      [pluralText]=\"\n        config?.entityPlural ? config?.entityPlural : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedList.length === 0 || list?.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .radio-list-body .search-block{position:relative}::ng-deep .radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .radio-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .radio-list-body app-pagination .wk-pagination-sec-ds{padding:0!important}::ng-deep .radio-list-body .categories{height:1rem}::ng-deep .radio-list-body .categories app-cs-radio .radio-item,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body .categories app-cs-radio .radio-item .radio,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .radio,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .radio,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .radio,::ng-deep .radio-list-body .categories app-cs-radio .radio-item .radiomark,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .radiomark,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .radiomark,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .radiomark,::ng-deep .radio-list-body .categories app-cs-radio .radio-item .checkbox,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .checkbox,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .checkbox,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body .categories app-cs-radio .radio-item .checkmark,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .checkmark,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .checkmark,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .radio-list-body .categories app-cs-radio .radio-item .value,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .value,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .value,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value{margin:0!important}::ng-deep .radio-list-body .categories app-cs-radio .radio-item .value span,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .value span,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .value span,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value span{color:#161b2f;font-weight:600;font-size:12px}::ng-deep .radio-list-body ul{padding:0;margin:0}::ng-deep .radio-list-body ul.categories-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 232px);overflow:auto;margin:16px 0 0}::ng-deep .radio-list-body ul.categories-list.with-pagination{height:calc(100vh - 260px)}::ng-deep .radio-list-body ul.categories-list.with-selectAll{height:calc(100vh - 256px)}::ng-deep .radio-list-body ul.categories-list.with-selectAll.with-pagination{height:calc(100vh - 284px)}::ng-deep .radio-list-body ul.categories-list li{padding:0 0 .5rem;list-style:none}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .checkmark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .checkmark,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .checkmark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin:0!important}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .name,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .name,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .name,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#161b2f}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .within,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .within,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .within,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within{display:flex;align-items:center;justify-content:flex-start;margin-top:4px}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .within .block,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .within .block,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .within .block,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .block{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;margin-right:8px}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .within .data,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .within .data,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .within .data,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;font-size:11px;color:#747576;line-height:16px;padding-right:20px}::ng-deep .radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 100px)!important}::ng-deep .radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .radio-list-footer{background:#fff}::ng-deep .radio-list-footer app-floating-bar .floating-bar{padding:0 16px 16px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.mt-2{margin-top:10px!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "component", type: LinkTreatmentLoaderComponent, selector: "app-listline-loader" }, { kind: "pipe", type: SearchPipe$1, name: "search" }, { kind: "pipe", type: WithinStructurePipe, name: "within" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryListSelectionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-category-list-selection', template: "<div class=\"radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n  </div>\n\n  <div class=\"radio-list-body\">\n    <div class=\"search-block vx-mb-2\" *ngIf=\"true\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        (keydown.enter)=\"search()\"\n        type=\"text\"\n        [placeholder]=\"config?.searchPlaceholder\"\n        [(ngModel)]=\"searchKey\"\n      />\n    </div>\n\n    <app-pagination\n      *ngIf=\"totalPages > 1\"\n      [start]=\"recordStart\"\n      [end]=\"recordEnd\"\n      [total]=\"totalRecords\"\n      [pageCount]=\"totalPages\"\n      [currentPage]=\"currentPage\"\n      (selectedPage)=\"pageChanged($event)\"\n    ></app-pagination>\n\n    <!-- it is visible when list data is available -->\n    <ng-container *ngIf=\"!loading && list?.length\">\n      <div\n        class=\"categories vx-mb-4\"\n        [class.mt-2]=\"totalPages === 0\"\n        *ngIf=\"selectionMode === 'multiple'\"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n        >\n          <span class=\"vx-fw-600 vx-label-txt\">{{\n            checkSelectAll() ? \"Deselect All\" : \"Select All\"\n          }}</span>\n        </app-cs-checkbox>\n      </div>\n      <ul\n        class=\"categories-list vx-mb-4\"\n        [class.with-selectAll]=\"selectionMode === 'multiple'\"\n        [class.with-pagination]=\"totalPages > 1\"\n      >\n        <li *ngFor=\"let item of list | search : searchKey; let i = index\">\n          <app-cs-radio\n            *ngIf=\"selectionMode === 'single'\"\n            [checked]=\"selectedIds?.includes(item[config?.identifierKey])\"\n            (checkedEvent)=\"itemSelected($event, item)\"\n            [appTooltip]=\"item[config.displayKey]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          >\n            <div class=\"name\">{{ item[config.displayKey] }}</div>\n            <div\n              class=\"within vx-d-flex vx-align-center vx-justify-start vx-mt-1\"\n            >\n              <div\n                class=\"block vx-fs-9 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2\"\n                *ngIf=\"item[config?.parentKey] != ''\"\n              >\n                WITHIN\n              </div>\n              <div\n                class=\"data vx-fs-11 vx-paragraph-txt vx-lh-4 vx-pr-5\"\n                [appTooltip]=\"item[config?.parentKey] | within : list\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ item[config?.parentKey] | within : list }}\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-checkbox\n            *ngIf=\"selectionMode === 'multiple'\"\n            [ngValue]=\"selectedIds?.includes(item[config?.identifierKey])\"\n            (ngValueChange)=\"itemSelected($event, item)\"\n            [appTooltip]=\"item[config.displayKey]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          >\n            <div class=\"name\">{{ item[config.displayKey] }}</div>\n            <div\n              class=\"within vx-d-flex vx-align-center vx-justify-start vx-mt-1\"\n            >\n              <div\n                class=\"block vx-fs-9 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2\"\n                *ngIf=\"item[config?.parentKey] != ''\"\n              >\n                WITHIN\n              </div>\n              <div\n                class=\"data vx-fs-11 vx-paragraph-txt vx-lh-4 vx-pr-5\"\n                [appTooltip]=\"item[config?.parentKey] | within : list\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ item[config?.parentKey] | within : list }}\n              </div>\n            </div>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n    </ng-container>\n    <!-- It is visible when the list items are getting loaded -->\n    <app-listline-loader *ngIf=\"loading\"></app-listline-loader>\n    <ng-container *ngIf=\"!loading && list?.length === 0\">\n      <app-no-data\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedList\"\n      [displayElementKey]=\"config?.displayKey\"\n      [singularText]=\"config?.entitySingular\"\n      [pluralText]=\"\n        config?.entityPlural ? config?.entityPlural : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedList.length === 0 || list?.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .radio-list-body .search-block{position:relative}::ng-deep .radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .radio-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .radio-list-body app-pagination .wk-pagination-sec-ds{padding:0!important}::ng-deep .radio-list-body .categories{height:1rem}::ng-deep .radio-list-body .categories app-cs-radio .radio-item,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body .categories app-cs-radio .radio-item .radio,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .radio,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .radio,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .radio,::ng-deep .radio-list-body .categories app-cs-radio .radio-item .radiomark,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .radiomark,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .radiomark,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .radiomark,::ng-deep .radio-list-body .categories app-cs-radio .radio-item .checkbox,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .checkbox,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .checkbox,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body .categories app-cs-radio .radio-item .checkmark,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .checkmark,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .checkmark,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .radio-list-body .categories app-cs-radio .radio-item .value,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .value,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .value,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value{margin:0!important}::ng-deep .radio-list-body .categories app-cs-radio .radio-item .value span,::ng-deep .radio-list-body .categories app-cs-checkbox .radio-item .value span,::ng-deep .radio-list-body .categories app-cs-radio .checkbox-item .value span,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value span{color:#161b2f;font-weight:600;font-size:12px}::ng-deep .radio-list-body ul{padding:0;margin:0}::ng-deep .radio-list-body ul.categories-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 232px);overflow:auto;margin:16px 0 0}::ng-deep .radio-list-body ul.categories-list.with-pagination{height:calc(100vh - 260px)}::ng-deep .radio-list-body ul.categories-list.with-selectAll{height:calc(100vh - 256px)}::ng-deep .radio-list-body ul.categories-list.with-selectAll.with-pagination{height:calc(100vh - 284px)}::ng-deep .radio-list-body ul.categories-list li{padding:0 0 .5rem;list-style:none}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .radio,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .radiomark,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .checkmark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .checkmark,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .checkmark,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin:0!important}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .name,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .name,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .name,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#161b2f}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .within,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .within,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .within,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within{display:flex;align-items:center;justify-content:flex-start;margin-top:4px}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .within .block,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .within .block,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .within .block,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .block{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;margin-right:8px}::ng-deep .radio-list-body ul.categories-list li app-cs-radio .radio-item .value .within .data,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .radio-item .value .within .data,::ng-deep .radio-list-body ul.categories-list li app-cs-radio .checkbox-item .value .within .data,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;font-size:11px;color:#747576;line-height:16px;padding-right:20px}::ng-deep .radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 100px)!important}::ng-deep .radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .radio-list-footer{background:#fff}::ng-deep .radio-list-footer app-floating-bar .floating-bar{padding:0 16px 16px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.mt-2{margin-top:10px!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { fetchData: [{
                type: Output
            }], back: [{
                type: Output
            }], next: [{
                type: Output
            }], cancel: [{
                type: Output
            }], setList: [{
                type: Input,
                args: ['categoryList']
            }], config: [{
                type: Input
            }], currentPage: [{
                type: Input
            }], recordStart: [{
                type: Input
            }], recordEnd: [{
                type: Input
            }], totalRecords: [{
                type: Input
            }], totalPages: [{
                type: Input
            }], loading: [{
                type: Input
            }], selectionMode: [{
                type: Input
            }], setSelected: [{
                type: Input,
                args: ['selectedList']
            }] } });

class CaseCategoryComponent {
    set initialSelection(value) {
        this.initialCategory = value?.ids;
    }
    set initialAdditionalSelection(value) {
        this.initialAdditionalCategory = value?.ids;
    }
    constructor(caseService) {
        this.caseService = caseService;
        this.ASSETS = ASSETS;
        this.categoryTexts = REPORT_CASE;
        this.caseCategoryList = [];
        this.config = {
            ...SELECTOR_CONFIG.CASE_CATEGORY,
            placeholder: this.categoryTexts.case_details.category.placeholder,
        };
        this.categoryClicked = false;
        this.additionalCategoryClicked = false;
        this.categoryListLoader = false;
        this.SelectionState = SelectionState$1;
        this.SelectionPopupState = SelectionPopupState;
        this.state = SelectionState$1.EMPTY;
        this.additionalCategoryState = SelectionState$1.EMPTY;
        this.selectedItems = [];
        this.selectedAdditionalItems = [];
        this.selectedCategoryList = [];
        this.selectedAdditionalCategoryList = [];
        this.caseType = report;
        this.fieldSelector = FIELD_SELECTOR;
        this.customField = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add value',
            id: 'customField'
        };
        this.filteredCaseCategoryList = [];
        this.payload = {};
        this.fieldSelected = '';
        this.mode = '';
        this.workflowType = '';
        this.onCategoryChange = new EventEmitter();
        this.fieldClicked = new EventEmitter();
        this.filterDeselector = new EventEmitter();
    }
    ngOnInit() {
        this.getAllCategories();
    }
    trackByIndex(index) {
        return index;
    }
    updateCustomField(value, index) {
        if (this.payload?.additional_category?.custom_fields) {
            this.payload.additional_category.custom_fields[index].value = value;
            this.payload.additional_category.custom_fields = [...this.payload.additional_category.custom_fields];
        }
    }
    ngOnChanges(changes) {
        if (changes['payload']) {
            if (!this.payload?.category?.ids?.length) {
                this.state = SelectionState$1.EMPTY;
                this.additionalCategoryState = SelectionState$1.EMPTY;
                this.selectedItems = [];
                this.selectedCategoryList = [];
                this.selectedAdditionalItems = [];
                this.selectedAdditionalCategoryList = [];
            }
            else {
                this.updateFilteredCategoryList();
            }
            this.populateInitialCategory();
        }
        if (changes['initialSelection'] || changes['initialAdditionalSelection']) {
            this.populateInitialCategory();
        }
    }
    getAllCategories() {
        this.categoryListLoader = true;
        this.caseService.getAllCategories().subscribe((res) => {
            this.caseCategoryList = res?.data;
            if (this.mode === 'EDIT') {
                this.populateInitialCategory();
                this.updateFilteredCategoryList();
            }
            this.categoryListLoader = false;
        });
    }
    populateInitialCategory() {
        if (this.isACTWWorkflow()) {
            this.updateACTWCategory();
            return;
        }
        if (this.isRACWorkflow()) {
            this.updateRACCategory();
            return;
        }
        this.handleDefaultCase();
    }
    isACTWWorkflow() {
        return ((this.initialCategory?.length || this.initialAdditionalCategory?.length) &&
            this.workflowType === 'ACTW');
    }
    isRACWorkflow() {
        return (this.initialCategory?.length || this.initialAdditionalCategory?.length) && this.workflowType === 'RAC';
    }
    handleDefaultCase() {
        const isEditModeWithRestrictions = this.mode === 'EDIT' &&
            this.workflowType !== 'ACTW' &&
            this.caseTypeSelected === this.caseType.ADD_CASE_TO_WORKFLOW;
        this.state = isEditModeWithRestrictions
            ? SelectionState$1.DISABLED
            : SelectionState$1.EMPTY;
        if (isEditModeWithRestrictions) {
            this.config.disabledText = this.categoryTexts.case_details.category.placeholder;
        }
    }
    updateRACCategory() {
        if (this.initialCategory?.length) {
            this.state = SelectionState$1.SELECTED;
            this.selectedCategoryList = this.caseCategoryList?.filter((category) => this.initialCategory?.some((id) => id === category?._id));
            this.selectedItems = this.caseCategoryList
                .filter((category) => this.initialCategory?.some((id) => id === category?._id))
                .map((category) => ({
                label: category?.name,
                value: category?._id,
            }));
        }
        if (this.initialAdditionalCategory?.length) {
            this.selectedAdditionalCategoryList = this.caseCategoryList?.filter((category) => this.initialAdditionalCategory?.some((id) => id === category?._id) || this.initialAdditionalCategory?.includes(category?._id));
            this.selectedAdditionalItems = this.selectedAdditionalCategoryList
                .map((category) => ({
                label: category?.name,
                value: category?._id,
            }));
            this.additionalCategoryState = SelectionState$1.SELECTED;
            if (!this.initialCategory?.length) {
                this.handleDefaultCase();
            }
        }
    }
    updateACTWCategory() {
        this.additionalCategoryState = SelectionState$1.SELECTED;
        this.selectedAdditionalCategoryList = this.caseCategoryList?.filter((category) => this.initialCategory.some((id) => id === category?._id) || this.initialAdditionalCategory.includes(category?._id));
        this.selectedAdditionalItems = this.selectedAdditionalCategoryList.map((category) => ({
            label: category?.name,
            value: category?._id,
        }));
    }
    saveSelectedCategoryList(event) {
        this.categoryClicked = false;
        this.setSelectedCategoryList(event);
        this.selectedItems = this.caseCategoryList
            .filter((category) => event.some((eventItem) => eventItem?._id === category?._id))
            .map((category) => ({
            label: category?.name,
            value: category?._id,
        }));
        this.payload.category.ids = event.map((item) => item?._id);
        this.updateFilteredCategoryList();
        this.payload.category.custom_fields = event.flatMap((item) => item?.custom_fields);
        this.onCategoryChange.emit(this.payload.category.ids);
        this.state = SelectionState$1.SELECTED;
        this.fieldClicked.emit('');
        this.filterDeselector.emit(false);
    }
    updateFilteredCategoryList() {
        if (this.caseTypeSelected === this.caseType.ADD_CASE_TO_WORKFLOW) {
            this.filteredCaseCategoryList = this.caseCategoryList.filter((category) => !this.payload.category.ids.includes(category._id));
        }
    }
    saveSelectedAdditionalCategoryList(event) {
        this.additionalCategoryClicked = false;
        this.setSelectedAdditionalCategoryList(event);
        this.selectedAdditionalItems = this.caseCategoryList
            .filter((category) => event.some((eventItem) => eventItem?._id === category?._id))
            .map((category) => ({
            label: category?.name,
            value: category?._id,
        }));
        if (!this.payload['additional_category']) {
            this.payload['additional_category'] = {};
        }
        this.payload['additional_category']['ids'] = event.map((item) => item?._id);
        this.payload['additional_category']['custom_fields'] = event.flatMap((item) => item?.custom_fields);
        this.additionalCategoryState = SelectionState$1.SELECTED;
        this.fieldClicked.emit('');
        this.filterDeselector.emit(false);
    }
    setSelectedAdditionalCategoryList(event) {
        this.selectedAdditionalCategoryList = this.caseCategoryList.filter((category) => event.some((eventItem) => eventItem?._id === category?._id));
    }
    setSelectedCategoryList(event) {
        this.selectedCategoryList = this.caseCategoryList.filter((category) => event.some((eventItem) => eventItem?._id === category?._id));
    }
    activateSelector(active) {
        this.categoryClicked = active;
        if (active) {
            this.fieldClicked.emit('category');
            this.filterDeselector.emit(true);
        }
        else {
            this.fieldClicked.emit('');
            this.filterDeselector.emit(false);
        }
    }
    activateAdditionalCategorySelector(active) {
        this.additionalCategoryClicked = active;
        if (active) {
            this.fieldClicked.emit('additionalCategory');
            this.filterDeselector.emit(true);
        }
        else {
            this.fieldClicked.emit('');
            this.filterDeselector.emit(false);
        }
    }
    setCategoryList(event) {
        if (!event?.length) {
            this.resetCategoryList();
            return;
        }
        this.selectedCategoryList = this.caseCategoryList.filter((category) => event.some((eventItem) => eventItem?.value === category?._id));
        this.payload.category.ids = this.selectedCategoryList?.map((category) => category?._id);
        this.onCategoryChange.emit(this.payload.category.ids);
    }
    setAdditionalCategoryList(event) {
        if (!event?.length) {
            this.resetAdditionalCategoryList();
            return;
        }
        this.selectedAdditionalCategoryList = this.caseCategoryList.filter((category) => event.some((eventItem) => eventItem?.value === category?._id));
        this.payload.additional_category.ids =
            this.selectedAdditionalCategoryList?.map((category) => category?._id);
    }
    get categoryEditDisable() {
        return (this.mode === 'EDIT' &&
            this.caseTypeSelected === this.caseType.ADD_CASE_TO_WORKFLOW &&
            this.workflowType !== 'ACTW');
    }
    resetCategoryList() {
        this.selectedCategoryList = [];
        this.payload.category.ids = [];
        this.state = SelectionState$1.EMPTY;
        this.filteredCaseCategoryList = [...this.caseCategoryList];
    }
    resetAdditionalCategoryList() {
        this.selectedAdditionalCategoryList = [];
        this.payload.additional_category.ids = [];
        this.additionalCategoryState = SelectionState$1.EMPTY;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseCategoryComponent, deps: [{ token: ReportACaseService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CaseCategoryComponent, selector: "app-case-category", inputs: { payload: "payload", fieldSelected: "fieldSelected", caseTypeSelected: "caseTypeSelected", initialSelection: "initialSelection", initialAdditionalSelection: "initialAdditionalSelection", mode: "mode", workflowType: "workflowType" }, outputs: { onCategoryChange: "onCategoryChange", fieldClicked: "fieldClicked", filterDeselector: "filterDeselector" }, usesOnChanges: true, ngImport: i0, template: `

    <app-field-holder
      [image]="ASSETS.case_category"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [active]="categoryClicked"
      [checked]="payload?.category?.ids?.length"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [editDisabled]="categoryEditDisable"
          [removable]="!categoryEditDisable"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setCategoryList($event)"
        >
          <app-vc-label
            label
            [labelText]="categoryTexts.case_details.category.title"
          ></app-vc-label>
        </app-form-selectBox>
        <div
          class="vx-form-group"
          *ngFor="let tag of payload?.category?.custom_fields"
        >
          <label class="vx-control-panel">{{ tag?.name }}</label>
          <vcomply-editor
            [(ngModel)]="tag.value"
            [editorConfig]="customField"
            [editorConfig]="(i | getEditorConfig: 'category') ?? customField"
          ></vcomply-editor>
        </div>
      </ng-container>
    </app-field-holder>
    <app-field-holder
      *ngIf="caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW"
      [disabled]="fieldSelected === 'RC'"
      [active]="categoryClicked"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="additionalCategoryState"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedAdditionalItems"
          (fieldClicked)="activateAdditionalCategorySelector($event)"
          (selectedItemListChange)="setAdditionalCategoryList($event)"
        >
          <app-vc-label
            label
            [labelText]="categoryTexts.case_details.additional_category.title"
          ></app-vc-label>
        </app-form-selectBox>
        <div
          class="vx-form-group"
          *ngFor="let tag of payload?.additional_category?.custom_fields; let i = index; trackBy: trackByIndex"
        >
          <label class="vx-control-panel">{{ tag?.name }}</label>
          <vcomply-editor
            [ngModel]="tag?.value || ''"
            (ngModelChange)="updateCustomField($event, i)"
            [editorConfig]="(i | getEditorConfig: 'additionalCategory') ?? customField"
          ></vcomply-editor>
        </div>
      </ng-container>
    </app-field-holder>
    <app-category-list-selection
      *ngIf="categoryClicked"
      [categoryList]="caseCategoryList"
      [config]="config"
      [loading]="categoryListLoader"
      [selectedList]="selectedCategoryList"
      [selectionMode]="
        caseTypeSelected === caseType.REPORT_CASE ? 'multiple' : 'single'
      "
      (cancel)="activateSelector(false)"
      (next)="saveSelectedCategoryList($event)"
    ></app-category-list-selection> 
    <app-category-list-selection
      *ngIf="additionalCategoryClicked"
      [categoryList]="
        caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW &&
        payload?.category?.ids?.length
          ? filteredCaseCategoryList
          : caseCategoryList
      "
      [config]="config"
      [loading]="categoryListLoader"
      [selectedList]="selectedAdditionalCategoryList"
      (cancel)="activateAdditionalCategorySelector(false)"
      (next)="saveSelectedAdditionalCategoryList($event)"
    ></app-category-list-selection>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "component", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: ["title", "key", "action", "state", "popupState", "isCaseTypeSelected", "chipItems", "chipGroupItems", "config", "isError", "errorMessage", "selectedData", "removable", "disabled", "editDisabled"], outputs: ["selectedItemListChange", "selectedGroupItemListChange", "fieldClicked"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CategoryListSelectionComponent, selector: "app-category-list-selection", inputs: ["categoryList", "config", "currentPage", "recordStart", "recordEnd", "totalRecords", "totalPages", "loading", "selectionMode", "selectedList"], outputs: ["fetchData", "back", "next", "cancel"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }, { kind: "pipe", type: GetEditorConfigPipe, name: "getEditorConfig" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseCategoryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-category', template: `

    <app-field-holder
      [image]="ASSETS.case_category"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [active]="categoryClicked"
      [checked]="payload?.category?.ids?.length"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [editDisabled]="categoryEditDisable"
          [removable]="!categoryEditDisable"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setCategoryList($event)"
        >
          <app-vc-label
            label
            [labelText]="categoryTexts.case_details.category.title"
          ></app-vc-label>
        </app-form-selectBox>
        <div
          class="vx-form-group"
          *ngFor="let tag of payload?.category?.custom_fields"
        >
          <label class="vx-control-panel">{{ tag?.name }}</label>
          <vcomply-editor
            [(ngModel)]="tag.value"
            [editorConfig]="customField"
            [editorConfig]="(i | getEditorConfig: 'category') ?? customField"
          ></vcomply-editor>
        </div>
      </ng-container>
    </app-field-holder>
    <app-field-holder
      *ngIf="caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW"
      [disabled]="fieldSelected === 'RC'"
      [active]="categoryClicked"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="additionalCategoryState"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedAdditionalItems"
          (fieldClicked)="activateAdditionalCategorySelector($event)"
          (selectedItemListChange)="setAdditionalCategoryList($event)"
        >
          <app-vc-label
            label
            [labelText]="categoryTexts.case_details.additional_category.title"
          ></app-vc-label>
        </app-form-selectBox>
        <div
          class="vx-form-group"
          *ngFor="let tag of payload?.additional_category?.custom_fields; let i = index; trackBy: trackByIndex"
        >
          <label class="vx-control-panel">{{ tag?.name }}</label>
          <vcomply-editor
            [ngModel]="tag?.value || ''"
            (ngModelChange)="updateCustomField($event, i)"
            [editorConfig]="(i | getEditorConfig: 'additionalCategory') ?? customField"
          ></vcomply-editor>
        </div>
      </ng-container>
    </app-field-holder>
    <app-category-list-selection
      *ngIf="categoryClicked"
      [categoryList]="caseCategoryList"
      [config]="config"
      [loading]="categoryListLoader"
      [selectedList]="selectedCategoryList"
      [selectionMode]="
        caseTypeSelected === caseType.REPORT_CASE ? 'multiple' : 'single'
      "
      (cancel)="activateSelector(false)"
      (next)="saveSelectedCategoryList($event)"
    ></app-category-list-selection> 
    <app-category-list-selection
      *ngIf="additionalCategoryClicked"
      [categoryList]="
        caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW &&
        payload?.category?.ids?.length
          ? filteredCaseCategoryList
          : caseCategoryList
      "
      [config]="config"
      [loading]="categoryListLoader"
      [selectedList]="selectedAdditionalCategoryList"
      (cancel)="activateAdditionalCategorySelector(false)"
      (next)="saveSelectedAdditionalCategoryList($event)"
    ></app-category-list-selection>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }]; }, propDecorators: { payload: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], caseTypeSelected: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], initialAdditionalSelection: [{
                type: Input
            }], mode: [{
                type: Input
            }], workflowType: [{
                type: Input
            }], onCategoryChange: [{
                type: Output
            }], fieldClicked: [{
                type: Output
            }], filterDeselector: [{
                type: Output
            }] } });

const DEFAULT_TIME = '11:30 PM';
const DEFAULT_24HR = '23:30:00';

class FrequencyService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.monthArray = [
            'January',
            'February',
            'March',
            'April',
            'May',
            'June',
            'July',
            'August',
            'September',
            'October',
            'November',
            'December',
        ];
        this.dayName = [
            'Monday',
            'Tuesday',
            'Wednesday',
            'Thursday',
            'Friday',
            'Saturday',
            'Sunday',
        ]; // full day name
        this.quarterlyMonth = [
            'January, April, July, October',
            'February, May, August, November',
            'March, June, September, December',
        ];
        this.dateConfig = {
            format: 'DD MM YYYY',
            showGoToCurrent: false,
        };
        this.frequencyInfo = {
            placeholder: '',
            pattern: '',
            case: '',
            failedAfter: 0,
            window: 0,
            timeIn12hr: '',
            timeIn24Hr: '',
            lifecycleDetails: '0000-00-00~~0',
            startFrom: Math.floor(Date.now() / 1000),
            reportId: 0,
            failed_time_utc: Math.floor(Date.now() / 1000),
            continuous_failed_days: 0,
            dateOfModified: 0,
            startDate: '',
        };
        this.frequencyDetails = {
            pattern: '',
            notificationPending: 0,
            dateOfModified: 0,
            deactivationValue: 0,
            selectedReport: 0,
            lifecycle: '0000-00-00~~0',
            startDate: Math.floor(new Date().getTime() / 1000),
            startOnTheDay: Math.floor(new Date().getTime() / 1000),
            window: 0,
            failed: 0,
            time: DEFAULT_TIME,
        };
        if (config) {
            this.env = config.envConfig;
        }
    }
    timeFrom12hTo24h(value) {
        if (value != undefined) {
            const time_arr = value.split(' ');
            const meridian = time_arr[1];
            const hr_min = time_arr[0].split(':').map(Number);
            const hr = hr_min[0];
            const min = hr_min[1];
            let return_time = '';
            if (meridian?.toLowerCase() == 'pm') {
                if (hr == 12) {
                    return_time = 12 + ':' + min + ':00';
                }
                else if (hr < 12) {
                    return_time = +hr + 12 + ':' + min + ':00';
                }
            }
            else {
                if (hr == 12) {
                    return_time = '00:' + min + ':00';
                }
                else if (hr < 12) {
                    return_time = hr + ':' + min + ':00';
                }
            }
            return return_time;
        }
        else {
            return '';
        }
    }
    timeIn12(value) {
        if (value != undefined) {
            let hr;
            let min;
            let meridian;
            if (value.split(':')[0] >= 12) {
                hr = value.split(':')[0] === '12' ? 12 : value.split(':')[0] - 12;
                min = value.split(':')[1];
                if (min.length < 2) {
                    min = '0' + min;
                }
                meridian = 'pm';
            }
            else {
                hr = value.split(':')[0] == '00' ? 12 : value.split(':')[0];
                min = value.split(':')[1];
                if (min.length < 2) {
                    min = '0' + min;
                }
                meridian = 'am';
            }
            return hr + ':' + min + ' ' + meridian;
        }
        else {
            return '';
        }
    }
    frameworkStartDate(row) {
        let calculatedDay = 0;
        const startDate = new Date(parseInt(row.start_date) * 1000).getDay();
        const getDate = new Date(parseInt(row.start_date) * 1000).getDate();
        const currentDate = new Date().getDay();
        const startMonth = new Date(parseInt(row.start_date) * 1000).getMonth();
        if (parseInt(row.start_date) < Date.now() / 1000 &&
            (row.frequency_template === 'every week' ||
                row.frequency_template === 'every 2 weeks' ||
                row.frequency_template === 'every 3 weeks')) {
            let daysToBeAdded = 0;
            for (let i = 0; i < 7; i++) {
                if ((currentDate + i) % 7 === startDate) {
                    daysToBeAdded = i;
                    break;
                }
            }
            const timestampToBeAdded = daysToBeAdded * 24 * 60 * 60 * 1000;
            calculatedDay = new Date(new Date().getTime() + timestampToBeAdded).getTime();
        }
        else if (parseInt(row.start_date) < Date.now() / 1000 &&
            !(row.frequency_template === 'every week' ||
                row.frequency_template === 'every 2 weeks' ||
                row.frequency_template === 'every 3 weeks') &&
            row.frequency_template !== 'every day') {
            const momentUnix = moment$1(getDate +
                '-' +
                (new Date().getMonth() + 1) +
                '-' +
                new Date().getFullYear() +
                ' 00:00', 'DD-MM-YYYY HH:mm').unix();
            calculatedDay = momentUnix * 1000;
        }
        else if (row.frequency_template === 'every day' &&
            parseInt(row.start_date) < Date.now() / 1000) {
            calculatedDay = Date.now();
        }
        else {
            calculatedDay = parseInt(row.start_date) * 1000;
        }
        return calculatedDay / 1000;
    }
    frameworkFrequency(frequency, start_date) {
        try {
            const startDate = new Date(start_date * 1000);
            const firstHalfMonth = ['1', '2', '3', '4', '5', '6'];
            const secondHalfMonth = ['7', '8', '9', '10', '11', '12'];
            const getDayData = startDate.getDay() === 0 ? 7 : startDate.getDay();
            const month = startDate.getMonth();
            let quarterPattern = '~1,4,7,10~0';
            switch (month) {
                case 0:
                case 3:
                case 6:
                case 9:
                    quarterPattern = '~1,4,7,10~0';
                    break;
                case 1:
                case 4:
                case 7:
                case 10:
                    quarterPattern = '~2,5,8,11~0';
                    break;
                case 2:
                case 5:
                case 8:
                case 11:
                    quarterPattern = '~3,6,9,12~0';
                    break;
            }
            // ];
            let frequency_pattern;
            frequency = frequency.toLowerCase();
            let continuous_failed_days = 0;
            // @ => day (1 to 7)
            // # => month (1 to 12)
            // ? => month % 2 == 0 ? "2,4,6,8,10,12" : "1,3,5,7,9,11"
            if (frequency === 'every week') {
                frequency_pattern = '2~' + getDayData + '~0~1';
                continuous_failed_days = 10;
            }
            else if (frequency === 'one time') {
                frequency_pattern =
                    '0~' +
                        startDate.getFullYear() +
                        '~' +
                        (startDate.getMonth() + 1) +
                        '~' +
                        startDate.getDate();
            }
            else if (frequency === 'every day') {
                frequency_pattern = '1~0~0~1';
                continuous_failed_days = 15;
            }
            else if (frequency === 'every alternate day') {
                frequency_pattern = '1~0~0~2';
                continuous_failed_days = 15;
            }
            else if (frequency === 'every 10 days') {
                frequency_pattern = '1~0~0~10';
                continuous_failed_days = 15;
            }
            else if (frequency === 'every 2 weeks') {
                frequency_pattern = '2~' + getDayData + '~0~2';
                continuous_failed_days = 10;
            }
            else if (frequency === 'every fortnight') {
                frequency_pattern = '1~' + getDayData + '~0~14';
                continuous_failed_days = 15;
            }
            else if (frequency === 'every 3 weeks') {
                frequency_pattern = '2~' + getDayData + '~0~3';
                continuous_failed_days = 10;
            }
            else if (frequency === 'every month') {
                frequency_pattern =
                    '3~' + startDate.getDate() + '~1,2,3,4,5,6,7,8,9,10,11,12~0';
                continuous_failed_days = 10;
            }
            else if (frequency === 'every 45 days') {
                frequency_pattern = '1~0~0~45';
                continuous_failed_days = 15;
            }
            else if (frequency === 'every alternate month') {
                frequency_pattern =
                    '3~' +
                        startDate.getDate() +
                        '~' +
                        ((startDate.getMonth() + 1) % 2 == 0
                            ? '2,4,6,8,10,12'
                            : '1,3,5,7,9,11') +
                        '~0';
                continuous_failed_days = 10;
            }
            else if (frequency === 'every quarter') {
                frequency_pattern = '7~' + startDate.getDate() + quarterPattern;
            }
            else if (frequency === 'every 120 days') {
                frequency_pattern = '1~0~0~120';
            }
            else if (frequency === 'half yearly') {
                const index1 = firstHalfMonth.indexOf((startDate.getMonth() + 1).toString());
                const index2 = secondHalfMonth.indexOf((startDate.getMonth() + 1).toString());
                const pattern = index1 > -1
                    ? '~' +
                        firstHalfMonth[index1] +
                        ',' +
                        secondHalfMonth[index1] +
                        '~0'
                    : '~' +
                        firstHalfMonth[index2] +
                        ',' +
                        secondHalfMonth[index2] +
                        '~0';
                frequency_pattern = '3~' + startDate.getDate() + pattern;
                continuous_failed_days = 10;
            }
            else if (frequency === 'yearly') {
                frequency_pattern =
                    '4~' + startDate.getDate() + '~' + (startDate.getMonth() + 1) + '~1';
            }
            else if (frequency === 'every 2 years') {
                frequency_pattern =
                    '4~' + startDate.getDate() + '~' + (startDate.getMonth() + 1) + '~2';
            }
            else if (frequency === 'every 3 years') {
                frequency_pattern =
                    '4~' + startDate.getDate() + '~' + (startDate.getMonth() + 1) + '~3';
            }
            else if (frequency === 'every 4 years') {
                frequency_pattern =
                    '4~' + startDate.getDate() + '~' + (startDate.getMonth() + 1) + '~4';
            }
            else if (frequency === 'every 5 years') {
                frequency_pattern =
                    '4~' + startDate.getDate() + '~' + (startDate.getMonth() + 1) + '~5';
            }
            else if (frequency === 'every 10 years') {
                frequency_pattern =
                    '4~' + startDate.getDate() + '~' + (startDate.getMonth() + 1) + '~10';
            }
            else if (frequency === 'to be decided later') {
                frequency_pattern = '';
            }
            else {
                frequency_pattern = '';
            }
            // this.editData.frequency_details = frequency_pattern;
            return { frequency_pattern, continuous_failed_days };
        }
        catch (e) {
            console.error(e);
            return { frequency_pattern: '', continuous_failed_days: 0 };
        }
    }
    shortHand_freqCal(frequency, day, month, year) {
        const monthNames = [
            { value: 1, month: 'Jan' },
            { value: 2, month: 'Feb' },
            { value: 3, month: 'Mar' },
            { value: 4, month: 'Apr' },
            { value: 5, month: 'May' },
            { value: 6, month: 'Jun' },
            { value: 7, month: 'Jul' },
            { value: 8, month: 'Aug' },
            { value: 9, month: 'Sep' },
            { value: 10, month: 'Oct' },
            { value: 11, month: 'Nov' },
            { value: 12, month: 'Dec' },
        ];
        let frequency_details;
        let continuous_failed_days = 0;
        const date_value = new Date();
        date_value.setMonth(typeof month !== 'number'
            ? monthNames.filter((x) => x.month === month?.substring(0, 3))[0]
                ?.value - 1
            : month);
        if (!year) {
            date_value.setFullYear(20 + month.split("'")[1]);
        }
        else {
            date_value.setFullYear(year);
        }
        date_value.setDate(day);
        let quarterPattern = '~1,4,7,10~0';
        const firstHalfMonth = ['1', '2', '3', '4', '5', '6'];
        const secondHalfMonth = ['7', '8', '9', '10', '11', '12'];
        frequency = frequency.toLowerCase();
        switch (date_value.getMonth()) {
            case 0:
            case 3:
            case 6:
            case 9:
                quarterPattern = '~1,4,7,10~0';
                break;
            case 1:
            case 4:
            case 7:
            case 10:
                quarterPattern = '~2,5,8,11~0';
                break;
            case 2:
            case 5:
            case 8:
            case 11:
                quarterPattern = '~3,6,9,12~0';
                break;
        }
        const getDay = date_value.getDay() === 0 ? 7 : date_value.getDay();
        switch (frequency) {
            case 'every week':
                frequency_details = '2~' + getDay + '~0~1';
                continuous_failed_days = 10;
                break;
            case 'one time':
                frequency_details =
                    '0~' +
                        '' +
                        date_value.getFullYear() +
                        '~' +
                        (date_value.getMonth() + 1) +
                        '~' +
                        date_value.getDate();
                break;
            case 'every day':
                frequency_details = '1~0~0~1';
                continuous_failed_days = 15;
                break;
            case 'every alternate day':
                frequency_details = '1~0~0~2';
                continuous_failed_days = 15;
                break;
            case 'every 10 days':
                frequency_details = '1~0~0~10';
                continuous_failed_days = 15;
                break;
            case 'every 2 weeks':
                frequency_details = '2~' + getDay + '~0~2';
                continuous_failed_days = 10;
                break;
            case 'every fortnight':
                frequency_details = '1~' + getDay + '~0~14';
                continuous_failed_days = 15;
                break;
            case 'every 3 weeks':
                frequency_details = '2~' + getDay + '~0~3';
                continuous_failed_days = 10;
                break;
            case 'every month':
                frequency_details =
                    '3~' + date_value.getDate() + '~1,2,3,4,5,6,7,8,9,10,11,12~0';
                continuous_failed_days = 10;
                break;
            case 'every 45 days':
                frequency_details = '1~0~0~45';
                continuous_failed_days = 15;
                break;
            case 'every alternate month':
                frequency_details =
                    '3~' +
                        date_value.getDate() +
                        '~' +
                        ((date_value.getMonth() + 1) % 2 === 0
                            ? '2,4,6,8,10,12'
                            : '1,3,5,7,9,11') +
                        '~0';
                continuous_failed_days = 10;
                break;
            case 'every quarter':
                frequency_details = '7~' + date_value.getDate() + quarterPattern;
                break;
            case 'every 120 days':
                frequency_details = '1~0~0~120';
                continuous_failed_days = 15;
                break;
            case 'half yearly':
                const index1 = firstHalfMonth.indexOf((date_value.getMonth() + 1).toString());
                const index2 = secondHalfMonth.indexOf((date_value.getMonth() + 1).toString());
                const pattern = index1 > -1
                    ? '~' +
                        firstHalfMonth[index1] +
                        ',' +
                        secondHalfMonth[index1] +
                        '~0'
                    : '~' +
                        firstHalfMonth[index2] +
                        ',' +
                        secondHalfMonth[index2] +
                        '~0';
                frequency_details = '3~' + date_value.getDate() + pattern;
                break;
            case 'annual':
            case 'yearly':
                frequency_details =
                    '4~' +
                        date_value.getDate() +
                        '~' +
                        (date_value.getMonth() + 1) +
                        '~1';
                break;
            case 'every 2 years':
                frequency_details =
                    '4~' +
                        date_value.getDate() +
                        '~' +
                        (date_value.getMonth() + 1) +
                        '~2';
                break;
            case 'every 3 years':
                frequency_details =
                    '4~' +
                        date_value.getDate() +
                        '~' +
                        (date_value.getMonth() + 1) +
                        '~3';
                break;
            case 'every 4 years':
                frequency_details =
                    '4~' +
                        date_value.getDate() +
                        '~' +
                        (date_value.getMonth() + 1) +
                        '~4';
                break;
            case 'every 5 years':
                frequency_details =
                    '4~' +
                        date_value.getDate() +
                        '~' +
                        (date_value.getMonth() + 1) +
                        '~5';
                break;
            case 'every 10 years':
                frequency_details =
                    '4~' +
                        date_value.getDate() +
                        '~' +
                        (date_value.getMonth() + 1) +
                        '~10';
                break;
            case 'ongoing':
                frequency_details = '10~0~0~0';
                break;
            case 'to be decided later':
            default:
                frequency_details = '5~0~0~0';
        }
        return {
            pattern: frequency_details,
            continuous_failed_days: continuous_failed_days,
        };
    }
    getOnCompletionOfResponsibility() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.complianceGet + 'reports/onCompletionOfReports', {
            headers,
        })
            .pipe(retry(2));
    }
    changeTimeZone(date) {
        if (typeof date === 'number') {
            date = new Date(date);
        }
        const invDate = new Date(date.toLocaleString('en-US', {
            timeZone: this.authService?.userDetails?.timezone,
        }));
        return invDate;
    }
    getResponsibilityList(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.responsibilityPost + 'manage_responsibilities_reports', payload, { headers })
            .pipe(retry(1));
    }
    getResponsibilitiesCount(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.responsibilityPost + 'manage_responsibilities_reports_count', payload, { headers })
            .pipe(retry(1));
    }
    formatDate() {
        const currentDate = new Date();
        const day = String(currentDate?.getDate()).padStart(2, '0');
        const month = String(currentDate?.getMonth() + 1).padStart(2, '0');
        const year = currentDate?.getFullYear();
        const formattedDate = `${day}-${month}-${year}`;
        return formattedDate;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class AssigneeComponent {
    constructor() {
        this.ASSETS = ASSETS;
        this.animation = true;
        this.search = '';
        this.selectedAssignees = [];
        this.assigneeList = [];
        this.activeAssignee = [];
        this.closeEvent = new EventEmitter();
        this.selectedAssigneeEvent = new EventEmitter();
    }
    ngOnInit() {
        if (this.activeAssignee?.length) {
            this.selectedAssignees = [...this.activeAssignee];
        }
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    closeList(event) {
        this.closeEvent.emit(event);
    }
    onSelectAssignee(assignee) {
        this.selectedAssignees = [assignee];
    }
    deleteAssignee(assignee) {
        this.selectedAssignees = [];
    }
    isSelected(assignee) {
        return this.selectedAssignees.some((item) => item?._id === assignee?._id);
    }
    selectedAssigneeData(event) {
        this.selectedAssigneeEvent.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssigneeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssigneeComponent, selector: "app-assignee", inputs: { assigneeList: "assigneeList", activeAssignee: "activeAssignee", payload: "payload" }, outputs: { closeEvent: "closeEvent", selectedAssigneeEvent: "selectedAssigneeEvent" }, ngImport: i0, template: "<div class=\"assignee-list\">\n  <div\n    class=\"assignee-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt vx-d-flex vx-align-center\">\n      <button\n        class=\"back-btn vx-fs-16 vx-p-0 vx-m-0 vx-mr-3 vx-d-flex vx-align-center\"\n        [appTooltip]=\"'Back'\"\n        placement=\"bottom\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"true\"\n        (click)=\"closeList()\"\n      >\n        <i class=\"icons\">&#xeb29;</i></button\n      >Select Assignee(s)\n    </div>\n  </div>\n  <div class=\"assignee-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input type=\"text\" [(ngModel)]=\"search\" placeholder=\"Search User\" />\n    </div>\n    <app-loader-inline *ngIf=\"false\"></app-loader-inline>\n    <div class=\"assignee-list-body-inner vx-mb-4\">\n      <ng-container>\n        <div class=\"assignee-list-area\">\n          <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n            <li\n              *ngFor=\"\n                let data of assigneeList | search : search as assigneeList\n              \"\n              class=\"vx-pr-5\"\n            >\n              <app-cs-radio\n                [value]=\"data?._id\"\n                [checked]=\"isSelected(data)\"\n                (checkedEvent)=\"onSelectAssignee(data)\"\n              >\n                <div\n                  class=\"assignee-name vx-fs-12\"\n                  [appTooltip]=\"data?.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.member_name }}\n                </div>\n                <div\n                  *ngIf=\"data?.usergroup_id?.length\"\n                  class=\"assignee-lable vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-3 vx-ml-2\"\n                  [appTooltip]=\"data?.associatedGroups[0]?.group_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.associatedGroups[0]?.group_name }}\n                </div>\n                <button\n                  *ngIf=\"data?.usergroup_id?.length > 1\"\n                  class=\"count-btn vx-fs-9 vx-fw-600 vx-txt-white vx-pl-1 vx-pr-1 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"\n                  appPopover\n                  (click)=\"assigneePopover.popover()\"\n                  placement=\"right\"\n                >\n                  +{{ data?.usergroup_id?.length - 1 }}\n                </button>\n                <app-popover #assigneePopover>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li\n                        *ngFor=\"\n                          let group of data?.associatedGroups | slice : 1;\n                          let i = index\n                        \"\n                      >\n                        <div class=\"avatar-card\">\n                          <span class=\"value\">{{ group?.group_name }}</span>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </app-cs-radio>\n            </li>\n          </ul>\n        </div>\n      </ng-container>\n      <app-no-data\n        *ngIf=\"false\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n    </div>\n    <app-floating-bar\n      [selectedData]=\"selectedAssignees\"\n      [elementId]=\"'_id'\"\n      [displayElementKey]=\"'member_name'\"\n      [singularText]=\"'Assignee selected'\"\n      (closeList)=\"closeList($event)\"\n      (closeEvent)=\"selectedAssigneeData($event)\"\n      (deleteEvent)=\"deleteAssignee($event)\"\n      [isDisabled]=\"!selectedAssignees?.length || !assigneeList?.length\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assignee-list{background:#fff;position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .assignee-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .assignee-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .assignee-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .assignee-list-head button.back-btn{background:transparent;border-radius:0;border:none;color:#000}::ng-deep .assignee-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .assignee-list-body .search-block{position:relative;margin-bottom:.5rem}::ng-deep .assignee-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .assignee-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .assignee-list-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .assignee-list-body-inner{height:calc(100% - 7.25rem)}::ng-deep .assignee-list-body-inner app-pagination .wk-pagination-sec-ds{padding-top:0}::ng-deep .assignee-list-area{height:calc(100% - 2rem);overflow-y:auto;padding-right:2rem;width:calc(100% + 2rem)}::ng-deep .assignee-list-area ul{list-style-type:none;flex-wrap:wrap}::ng-deep .assignee-list-area ul li{margin-bottom:1rem;width:50%}::ng-deep .assignee-list-area ul li app-cs-radio .radio-item .value .assignee-name{color:#161b2f;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assignee-list-area ul li app-cs-radio .radio-item .value .assignee-lable{background:#f1f1f1;border-radius:.125rem;color:#042e7d;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assignee-list-area ul li app-cs-radio .radio-item .value button.count-btn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: SearchPipe$1, name: "search" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssigneeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-assignee', template: "<div class=\"assignee-list\">\n  <div\n    class=\"assignee-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt vx-d-flex vx-align-center\">\n      <button\n        class=\"back-btn vx-fs-16 vx-p-0 vx-m-0 vx-mr-3 vx-d-flex vx-align-center\"\n        [appTooltip]=\"'Back'\"\n        placement=\"bottom\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"true\"\n        (click)=\"closeList()\"\n      >\n        <i class=\"icons\">&#xeb29;</i></button\n      >Select Assignee(s)\n    </div>\n  </div>\n  <div class=\"assignee-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input type=\"text\" [(ngModel)]=\"search\" placeholder=\"Search User\" />\n    </div>\n    <app-loader-inline *ngIf=\"false\"></app-loader-inline>\n    <div class=\"assignee-list-body-inner vx-mb-4\">\n      <ng-container>\n        <div class=\"assignee-list-area\">\n          <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n            <li\n              *ngFor=\"\n                let data of assigneeList | search : search as assigneeList\n              \"\n              class=\"vx-pr-5\"\n            >\n              <app-cs-radio\n                [value]=\"data?._id\"\n                [checked]=\"isSelected(data)\"\n                (checkedEvent)=\"onSelectAssignee(data)\"\n              >\n                <div\n                  class=\"assignee-name vx-fs-12\"\n                  [appTooltip]=\"data?.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.member_name }}\n                </div>\n                <div\n                  *ngIf=\"data?.usergroup_id?.length\"\n                  class=\"assignee-lable vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-3 vx-ml-2\"\n                  [appTooltip]=\"data?.associatedGroups[0]?.group_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.associatedGroups[0]?.group_name }}\n                </div>\n                <button\n                  *ngIf=\"data?.usergroup_id?.length > 1\"\n                  class=\"count-btn vx-fs-9 vx-fw-600 vx-txt-white vx-pl-1 vx-pr-1 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"\n                  appPopover\n                  (click)=\"assigneePopover.popover()\"\n                  placement=\"right\"\n                >\n                  +{{ data?.usergroup_id?.length - 1 }}\n                </button>\n                <app-popover #assigneePopover>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li\n                        *ngFor=\"\n                          let group of data?.associatedGroups | slice : 1;\n                          let i = index\n                        \"\n                      >\n                        <div class=\"avatar-card\">\n                          <span class=\"value\">{{ group?.group_name }}</span>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </app-cs-radio>\n            </li>\n          </ul>\n        </div>\n      </ng-container>\n      <app-no-data\n        *ngIf=\"false\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n    </div>\n    <app-floating-bar\n      [selectedData]=\"selectedAssignees\"\n      [elementId]=\"'_id'\"\n      [displayElementKey]=\"'member_name'\"\n      [singularText]=\"'Assignee selected'\"\n      (closeList)=\"closeList($event)\"\n      (closeEvent)=\"selectedAssigneeData($event)\"\n      (deleteEvent)=\"deleteAssignee($event)\"\n      [isDisabled]=\"!selectedAssignees?.length || !assigneeList?.length\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assignee-list{background:#fff;position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .assignee-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .assignee-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .assignee-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .assignee-list-head button.back-btn{background:transparent;border-radius:0;border:none;color:#000}::ng-deep .assignee-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .assignee-list-body .search-block{position:relative;margin-bottom:.5rem}::ng-deep .assignee-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .assignee-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .assignee-list-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .assignee-list-body-inner{height:calc(100% - 7.25rem)}::ng-deep .assignee-list-body-inner app-pagination .wk-pagination-sec-ds{padding-top:0}::ng-deep .assignee-list-area{height:calc(100% - 2rem);overflow-y:auto;padding-right:2rem;width:calc(100% + 2rem)}::ng-deep .assignee-list-area ul{list-style-type:none;flex-wrap:wrap}::ng-deep .assignee-list-area ul li{margin-bottom:1rem;width:50%}::ng-deep .assignee-list-area ul li app-cs-radio .radio-item .value .assignee-name{color:#161b2f;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assignee-list-area ul li app-cs-radio .radio-item .value .assignee-lable{background:#f1f1f1;border-radius:.125rem;color:#042e7d;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assignee-list-area ul li app-cs-radio .radio-item .value button.count-btn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], propDecorators: { assigneeList: [{
                type: Input
            }], activeAssignee: [{
                type: Input
            }], payload: [{
                type: Input
            }], closeEvent: [{
                type: Output
            }], selectedAssigneeEvent: [{
                type: Output
            }] } });

class BannerComponent {
    constructor() {
        this.icon = '&#xe931;'; // Default icon
        this.isCenter = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BannerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: BannerComponent, selector: "app-banner", inputs: { icon: "icon", bannerClass: "bannerClass", isCenter: "isCenter" }, ngImport: i0, template: `
    <div
      class="workflow-form-alert vx-d-flex vx-align-center vx-mb-2 vx-pl-4 vx-pr-4"
      [ngClass]="bannerClass"
      [class.banner-center]="isCenter"
    >
      <i *ngIf="icon" class="icons alert-icon vx-fs-16" [innerHTML]="icon"></i>
      <div class="alert-value vx-fs-11 vx-lh-4">
        <ng-content select="[banner]"></ng-content>
      </div>
    </div>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";::ng-deep .workflow-form-alert{background:#fcf2cf;border-radius:.25rem;height:2.5rem}::ng-deep .workflow-form-alert .alert-icon{color:#000;margin-right:.625rem}::ng-deep .workflow-form-alert .alert-value{color:#000}::ng-deep .workflow-form-alert.banner-center{display:flex;align-items:center;justify-content:center}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-banner', template: `
    <div
      class="workflow-form-alert vx-d-flex vx-align-center vx-mb-2 vx-pl-4 vx-pr-4"
      [ngClass]="bannerClass"
      [class.banner-center]="isCenter"
    >
      <i *ngIf="icon" class="icons alert-icon vx-fs-16" [innerHTML]="icon"></i>
      <div class="alert-value vx-fs-11 vx-lh-4">
        <ng-content select="[banner]"></ng-content>
      </div>
    </div>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";::ng-deep .workflow-form-alert{background:#fcf2cf;border-radius:.25rem;height:2.5rem}::ng-deep .workflow-form-alert .alert-icon{color:#000;margin-right:.625rem}::ng-deep .workflow-form-alert .alert-value{color:#000}::ng-deep .workflow-form-alert.banner-center{display:flex;align-items:center;justify-content:center}\n"] }]
        }], propDecorators: { icon: [{
                type: Input
            }], bannerClass: [{
                type: Input
            }], isCenter: [{
                type: Input
            }] } });

class DueDateComponent {
    set initialSelection(value) {
        this.dueDate = value?.resolution_deadline?.due_date;
        if (this.mode === 'EDIT') {
            this.emailReminder = value?.resolution_deadline?.assignee_remind_before;
            this.escalationEmail = value?.resolution_deadline?.owner_remind_before;
        }
    }
    constructor(commonDateService, frequencyService) {
        this.commonDateService = commonDateService;
        this.frequencyService = frequencyService;
        this.ASSETS = ASSETS;
        this.animation = true;
        this.datePickerOverlay = false;
        this.dateConfig = {
            disableKeypress: true,
            format: 'DD MM YYYY',
            unSelectOnClick: true,
            openOnClick: false,
            openOnFocus: false,
            min: '',
        };
        this.dueDateTexts = REPORT_CASE;
        this.helperText = HELPER_TEXT;
        this.assigneeClicked = false;
        this.assigneeList = [];
        this.assigneeData = {};
        this.currentStageIndex = -1;
        this.activeAssignee = [];
        this.emailReminder = EMAIL_REMINDERS.email_reminder;
        this.escalationEmail = EMAIL_REMINDERS.escalation_email_reminder;
        this.showError = false;
        this.showAssigneeError = false;
        this.CaseDeadlineWarning = BANNER_CASE_RESOLUTION_DEADLINE_WARNING;
        this.userList = [];
        this.groupList = [];
        this.mode = '';
        this.min = '';
        this.taskCount = 0;
        this.validDeadline = '';
        this.closeDueDateResolution = new EventEmitter();
        this.closeDueDateEvent = new EventEmitter();
    }
    ngOnInit() {
        this.setMinDate();
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.setAssigneeList();
        this.initializeEditMode();
    }
    initializeEditMode() {
        if (!this.payload?.caseToWorkflow?.resolution_deadline?.due_date)
            return;
        const deadline = this.payload.caseToWorkflow.resolution_deadline;
        this.initializeDeadlineValues(deadline);
        this.initializeStageAssignees(deadline);
    }
    initializeDeadlineValues(deadline) {
        this.dueDate = new Date(deadline?.due_date);
        this.emailReminder =
            deadline.assignee_remind_before || EMAIL_REMINDERS.email_reminder;
        this.escalationEmail =
            deadline.owner_remind_before || EMAIL_REMINDERS.escalation_email_reminder;
    }
    initializeStageAssignees(deadline) {
        if (!deadline?.stages_assignees?.length)
            return;
        const stageAssigneeMap = this.createStageAssigneeMap(deadline.stages_assignees);
        this.mapWorkflowStages(stageAssigneeMap);
    }
    setMinDate() {
        if (this.taskCount > 0 && this.validDeadline) {
            this.dateConfig.min = dayjs(this.validDeadline);
        }
        else {
            this.dateConfig.min = this.frequencyService.formatDate();
        }
    }
    createStageAssigneeMap(stagesAssignees) {
        return new Map(stagesAssignees.map((stage) => [stage?.stage_id, stage?.assignee_id]));
    }
    mapWorkflowStages(stageAssigneeMap) {
        this.workflowDetails?.stages_assignees?.forEach((workflowStage, index) => {
            const assigneeId = stageAssigneeMap?.get(workflowStage?.stage_id);
            if (!assigneeId)
                return;
            const assignee = this.assigneeList?.find((assignee) => assignee?._id === assigneeId);
            if (assignee) {
                this.assigneeData[index] = [assignee];
            }
        });
    }
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datePickerOverlay = true;
    }
    /**
     * closes the date picker from policy form
     */
    closeDatePicker(evt) {
        this.datePickerOverlay = false;
        if (!evt) {
            return;
        }
        if (evt?.date?.$d) {
            let monthArray = [
                'Jan',
                'Feb',
                'Mar',
                'Apr',
                'May',
                'Jun',
                'Jul',
                'Aug',
                'Sep',
                'Oct',
                'Nov',
                'Dec',
            ];
            const dateValue = new Date(evt?.date?.$d).getDate();
            const monthValue = monthArray[new Date(evt?.date?.$d).getMonth()];
            const yearValue = new Date(evt?.date?.$d).getFullYear();
            const dateStr = `${dateValue} ${monthValue} ${yearValue}`;
        }
        if (evt?.date?.$d) {
            this.dueDate = new Date(evt.date.$d);
            this.showError = false;
        }
        this.datePicker?.api?.close();
    }
    closeDueDate() {
        this.closeDueDateEvent.emit();
    }
    activateSelector(active, stageIndex) {
        this.assigneeClicked = active;
        if (active) {
            this.currentStageIndex = stageIndex ?? -1;
            this.activeAssignee =
                this.currentStageIndex !== -1
                    ? this.assigneeData[this.currentStageIndex]
                    : [];
        }
    }
    setAssigneeList() {
        const directAssignees = this.getAssignees();
        const groupAssignees = this.getGroupAssignees();
        this.assigneeList = this.getUniqueAssignees(directAssignees, groupAssignees);
    }
    getAssignees() {
        const assigneeIds = this.payload.caseToWorkflow?.assignees || [];
        return (this.userList
            ?.filter((user) => assigneeIds.includes(user?._id))
            ?.map((user) => {
            const userGroups = this.getUserGroups(user);
            return {
                ...user,
                associatedGroups: userGroups,
            };
        }) || []);
    }
    getUserGroups(user) {
        return this.groupList?.filter((group) => user?.usergroup_id?.includes(group?.group_id));
    }
    getGroupAssignees() {
        const assigneeGroupIds = this.payload.caseToWorkflow?.assignees_group || [];
        return (assigneeGroupIds.flatMap((groupId) => {
            const group = this.findGroupById(groupId);
            return this.getAssigneesFromGroup(group);
        }) || []);
    }
    findGroupById(groupId) {
        return this.groupList?.find((group) => group?._id === groupId);
    }
    getAssigneesFromGroup(group) {
        return (group?.associatedUsers
            ?.map((user) => {
            const userFromList = this.findUserById(user?.userId?._id);
            if (userFromList) {
                const userGroups = this.getUserGroups(userFromList);
                return {
                    ...userFromList,
                    associatedGroups: userGroups,
                };
            }
            return null;
        })
            .filter((user) => user !== null) || []);
    }
    findUserById(userId) {
        return this.userList?.find((user) => user?._id === userId);
    }
    getUniqueAssignees(directAssignees, groupAssignees) {
        return [...directAssignees, ...groupAssignees].reduce((acc, user) => {
            if (!acc.some((u) => u?._id === user?._id)) {
                acc.push(user);
            }
            return acc;
        }, []);
    }
    selectedAssignee(event) {
        if (this.currentStageIndex !== -1) {
            this.assigneeData[this.currentStageIndex] = event;
        }
        this.assigneeClicked = false;
        if (event?.length > 0) {
            this.showAssigneeError = false;
        }
    }
    saveCaseResolutionDeadline() {
        if (!this.isDueDateValid()) {
            this.showError = true;
            return;
        }
        else if (!this.areAssigneesValid()) {
            this.showAssigneeError = true;
            return;
        }
        this.showError = false;
        this.showAssigneeError = false;
        this.setPayload();
        this.closeDueDateResolution.emit();
    }
    isDueDateValid() {
        if (!this.dueDate)
            return false;
        if (this.taskCount > 0 && this.validDeadline) {
            const validDeadlineDate = dayjs(this.validDeadline);
            const selectedDate = dayjs(this.dueDate);
            return selectedDate.isValid() && selectedDate.isAfter(validDeadlineDate);
        }
        return dayjs(this.dueDate).isValid();
    }
    areAssigneesValid() {
        return this.workflowDetails?.stages_assignees?.every((stage, index) => this.assigneeData[index] && this.assigneeData[index]?.length > 0);
    }
    formatDueDate(date) {
        const localDate = new Date(date);
        // Add one day to the date
        localDate.setDate(localDate.getDate() + 1);
        // Set time to midnight
        localDate.setHours(0, 0, 0, 0);
        return localDate.toISOString();
    }
    setDeadlineReminders() {
        this.payload.caseToWorkflow.resolution_deadline.assignee_remind_before =
            this.emailReminder;
        this.payload.caseToWorkflow.resolution_deadline.owner_remind_before =
            this.escalationEmail;
    }
    setStagesAssignees() {
        return this.workflowDetails?.stages_assignees
            .map((stage, index) => {
            const assigneeData = this.assigneeData[index];
            return assigneeData
                ? this.createStageAssignee(stage, assigneeData)
                : null;
        })
            .filter(Boolean);
    }
    createStageAssignee(stage, assigneeData) {
        return {
            stage_id: stage?.stage_id || '',
            assignee_id: assigneeData[0]?._id || '',
            due_date: stage?.due_date || '',
        };
    }
    setPayload() {
        const formattedDate = this.dueDate;
        this.payload.caseToWorkflow.resolution_deadline.due_date = formattedDate;
        this.setDeadlineReminders();
        const stagesAssignees = this.setStagesAssignees();
        this.payload.caseToWorkflow.resolution_deadline.stages_assignees =
            stagesAssignees;
        this.payload.caseToWorkflow.workflow_id = this.workflowDetails?._id;
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'deadline-date',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datePickerOverlay,
        };
        this.commonDateService.handleDocumentClick(datePickerObject);
    }
    onInputChange() {
        if (this.emailReminder === 0) {
            this.emailReminder = EMAIL_REMINDERS.email_reminder;
        }
        if (this.escalationEmail === 0) {
            this.escalationEmail = EMAIL_REMINDERS.escalation_email_reminder;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DueDateComponent, deps: [{ token: CommonService }, { token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DueDateComponent, selector: "app-due-date", inputs: { payload: "payload", dueDate: "dueDate", workflowDetails: "workflowDetails", userList: "userList", groupList: "groupList", mode: "mode", initialSelection: "initialSelection", min: "min", taskCount: "taskCount", validDeadline: "validDeadline" }, outputs: { closeDueDateResolution: "closeDueDateResolution", closeDueDateEvent: "closeDueDateEvent" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["deadlineDatePicker"], descendants: true }, { propertyName: "ASSETS", first: true, predicate: ["deadlineDatePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"configure-resolution\">\n  <div\n    class=\"configure-resolution-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Configure Resolution Deadline & Stage Details\n    </div>\n  </div>\n  <div class=\"configure-resolution-body\">\n    <div class=\"configure-resolution-body-inner\">\n      <app-loader-inline *ngIf=\"false\"></app-loader-inline>\n      <app-no-data\n        *ngIf=\"false\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n\n      <ng-container>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          SPECIFY THE DEADLINE TO CLOSE THIS CASE\n          <span class=\"required vx-fs-16 vx-fw-400\">*</span>\n        </div>\n        <app-banner *ngIf=\"mode === 'EDIT' && taskCount > 0\">\n          <p banner>\n            {{ CaseDeadlineWarning }}\n          </p>\n        </app-banner>\n        <div class=\"case-calendar vx-mb-3\">\n          <div class=\"case-calendar-inner vx-d-flex vx-align-center\">\n            <input\n              type=\"text\"\n              readonly\n              placeholder=\"{{\n                dueDateTexts.case_details.due_date.deadline_placeholder\n              }}\"\n              (click)=\"openDatePicker()\"\n              [value]=\"dueDate | date : 'dd MMM yyyy'\"\n              id=\"deadline-date\"\n            />\n            <i class=\"icons\">&#xe92d;</i>\n            <dp-date-picker\n              #deadlineDatePicker\n              (onSelect)=\"datePickerOverlay = false; closeDatePicker($event)\"\n              [config]=\"dateConfig\"\n              [(ngModel)]=\"dueDate\"\n            >\n            </dp-date-picker>\n            <div\n              class=\"vx-overlay\"\n              (click)=\"closeDatePicker($event)\"\n              *ngIf=\"datePickerOverlay\"\n            ></div>\n          </div>\n          <div *ngIf=\"showError\" class=\"errorMsg vx-fs-11 vx-lh-4 vx-mt-1\">\n            {{ dueDateTexts.errorMessage.dueDate }}\n          </div>\n        </div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-1\">\n          <div\n            class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-tt-uppercase\"\n          >\n            CONFIGURE DEADLINE & ASSIGNEE FOR EACH STAGE IN THE WORKFLOW\n            <span class=\"required vx-fs-16 vx-fw-400\">*</span>\n          </div>\n          <!-- <div class=\"toggle-area vx-d-flex vx-align-center\">\n            <app-cs-switch>Allow Reopening of Previous Stage</app-cs-switch>\n            <i\n              class=\"icons info vx-fs-12 vx-txt-blue vx-ml-2\"\n              [appTooltip]=\"\n                'If enabled, this option allows the assignee to revisit and reopen a previously completed stage. The stage will be reset, and the assigned user will need to complete it again.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            >\n          </div> -->\n        </div>\n        <div class=\"configure-resolution-table\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center stage-name\"\n              >\n                STAGE NAME\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center status\"\n              >\n                TRANSITION STATUS\n                <i\n                  class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\"\n                  [appTooltip]=\"helperText.transition_status\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assignee\"\n              >\n                ASSIGNEE\n                <i\n                  class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\"\n                  [appTooltip]=\"helperText.assignee\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center deadline\"\n              >\n                DEADLINE\n                <i\n                  class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\"\n                  [appTooltip]=\"helperText.deadline\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-row\"\n              *ngFor=\"\n                let data of workflowDetails?.stages_assignees;\n                let i = index\n              \"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no vx-fs-13 vx-d-flex vx-align-center vx-justify-center\"\n                  [appTooltip]=\"i + 1\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + 1 }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center stage-name\"\n              >\n                <div\n                  class=\"value vx-fs-13 vx-pr-2\"\n                  [appTooltip]=\"data?.name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.name }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center status\"\n              >\n                <div class=\"value vx-fs-12\">\n                  {{ data?.status_transition?.fromName }}<br /><span\n                    class=\"vx-mr-1\"\n                    >To</span\n                  >{{ data?.status_transition?.toName }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assignee\"\n                (click)=\"activateSelector(true, i)\"\n              >\n                <div\n                  *ngIf=\"!assigneeData[i]?.length\"\n                  class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\"\n                >\n                  <div class=\"value vx-fs-13\">Select a User</div>\n                  <i class=\"icons arrow vx-fs-12\">&#xe9e8;</i>\n                </div>\n                <div\n                  *ngIf=\"assigneeData[i]?.length > 0\"\n                  class=\"after-select-box vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-2\"\n                >\n                  <div\n                    class=\"value-chip vx-fs-11 vx-pl-2 vx-pr-2 vx-lh-6\"\n                    [appTooltip]=\"assigneeData[i][0]?.member_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ assigneeData[i][0]?.member_name }}\n                  </div>\n                  <button\n                    (click)=\"activateSelector(true, i)\"\n                    class=\"edit-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                  >\n                    <i class=\"icons vx-fs-12 vx-txt-blue vx-mr-1\">&#xe9ba;</i\n                    >EDIT\n                  </button>\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-2 vx-d-flex vx-align-center deadline\"\n              >\n                <div\n                  class=\"case-calendar vx-d-flex vx-justify-between vx-pt-3 vx-pb-3\"\n                >\n                  <div\n                    class=\"case-calendar-inner vx-d-flex vx-align-center\"\n                    [class.disabled]=\"true\"\n                  >\n                    <input\n                      type=\"text\"\n                      readonly\n                      value=\"{{ dueDate | date : 'dd MMM yyyy' }}\"\n                      (click)=\"openDatePicker()\"\n                      id=\"stage-deadline-date\"\n                    />\n                    <i class=\"icons\">&#xe92d;</i>\n                    <dp-date-picker\n                      #datePicker\n                      (onSelect)=\"\n                        datePickerOverlay = false; closeDatePicker($event)\n                      \"\n                      [config]=\"dateConfig\"\n                    >\n                    </dp-date-picker>\n                    <div\n                      class=\"vx-overlay\"\n                      (click)=\"closeDatePicker($event)\"\n                      *ngIf=\"datePickerOverlay\"\n                    ></div>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n          <div\n            *ngIf=\"showAssigneeError\"\n            class=\"errorMsg vx-fs-11 vx-lh-4 vx-mt-1\"\n          >\n            {{ dueDateTexts.errorMessage.stageAssignee }}\n          </div>\n        </div>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          EMAIL REMINDER CONFIGURATION\n          <span class=\"required vx-fs-16 vx-fw-400\">*</span>\n        </div>\n        <div class=\"divider vx-mb-2\"></div>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          REMINDER EMAIL\n        </div>\n        <div\n          class=\"email-configure-box vx-d-flex vx-align-center vx-flex-wrap vx-p-2 vx-pl-3 vx-pr-3 vx-mb-2\"\n        >\n          <div class=\"vx-fs-13 vx-mr-1\">\n            Send regular email reminders to the assignee\n          </div>\n          <input\n            type=\"number\"\n            [(ngModel)]=\"emailReminder\"\n            onkeydown=\"return event.key !== '.'\"\n            oninput=\"this.value = Math.abs(this.value)\"\n            (change)=\"onInputChange()\"\n          />\n          <div class=\"vx-fs-13 vx-ml-1\">\n            <span class=\"black-text\">days</span> before the stage deadline.\n          </div>\n        </div>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          ESCALATION EMAIL\n        </div>\n        <div\n          class=\"email-configure-box vx-d-flex vx-align-center vx-flex-wrap vx-p-2 vx-pl-3 vx-pr-3 vx-mb-2\"\n        >\n          <div class=\"vx-fs-13 vx-mr-1\">\n            Send email escalation to the Case Owner\n          </div>\n          <input\n            type=\"number\"\n            [(ngModel)]=\"escalationEmail\"\n            onkeydown=\"return event.key !== '.'\"\n            oninput=\"this.value = Math.abs(this.value)\"\n            (change)=\"onInputChange()\"\n          />\n          <div class=\"vx-fs-13 vx-ml-1\">\n            <span class=\"black-text\">days</span> before the overall case\n            deadline, if the case is still open.\n          </div>\n        </div>\n      </ng-container>\n    </div>\n    <app-floating-bar\n      (closeList)=\"closeDueDate()\"\n      (closeEvent)=\"saveCaseResolutionDeadline()\"\n    ></app-floating-bar>\n  </div>\n</div>\n<app-assignee\n  *ngIf=\"assigneeClicked\"\n  [payload]=\"payload\"\n  [assigneeList]=\"assigneeList\"\n  [activeAssignee]=\"activeAssignee\"\n  (selectedAssigneeEvent)=\"selectedAssignee($event)\"\n  (closeEvent)=\"activateSelector(false)\"\n></app-assignee>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .configure-resolution{background:#fff;position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .configure-resolution:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .configure-resolution.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .configure-resolution-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .configure-resolution-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .configure-resolution-body-inner{height:calc(100% - 3rem);padding:0 2rem 1rem 0;width:calc(100% + 2rem);overflow-y:auto;scrollbar-width:thin}::ng-deep .configure-resolution-body-inner .divider{background:#e3e3e9;width:100%;height:1px}::ng-deep .configure-resolution-body .label-top .required{color:#c7381b}::ng-deep .configure-resolution-body .errorMsg{color:#a82a1d}::ng-deep .configure-resolution-body .toggle-area{cursor:pointer}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch{order:1;width:24px!important;min-width:24px!important;height:16px!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch .switch-box{background:#cdced6!important;border:1px solid #cdced6!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch .switch-ball{height:12px!important;width:12px!important;border:none!important;left:2px!important;top:2px!important;bottom:2px!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch input:checked+span.switch-box{background:#34aa44!important;border-color:#34aa44!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch input:checked+span.switch-box .switch-ball{left:10px!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .value{order:2;color:#000!important;cursor:pointer;font-size:11px!important;margin-left:.5rem;width:unset!important}::ng-deep .configure-resolution-body .toggle-area i.info{cursor:pointer}::ng-deep .configure-resolution-body .case-calendar{background:#fff;border-radius:.25rem}::ng-deep .configure-resolution-body .case-calendar-inner{position:relative;width:100%}::ng-deep .configure-resolution-body .case-calendar-inner input{background:transparent;border-radius:.25rem;border:1px solid #cdced6;color:#747576;font-size:13px;font-weight:400;height:2.5rem;line-height:2.5rem;padding:0 .75rem 0 2rem;outline:none;width:100%;transition:all .2s ease-in-out}::ng-deep .configure-resolution-body .case-calendar-inner input::placeholder{color:#a9aab6}::ng-deep .configure-resolution-body .case-calendar-inner input:hover,::ng-deep .configure-resolution-body .case-calendar-inner input:focus{border-color:#1e5dd3}::ng-deep .configure-resolution-body .case-calendar-inner i{display:flex;justify-content:center;align-items:center;height:.75rem;width:.75rem;position:absolute;left:.75rem;top:.75rem;color:#747576;font-size:12px;pointer-events:none}::ng-deep .configure-resolution-body .case-calendar-inner.disabled{background:#f2f2f5;pointer-events:none;opacity:1}::ng-deep .configure-resolution-body .case-calendar-inner.disabled input,::ng-deep .configure-resolution-body .case-calendar-inner.disabled i{color:#a9aab6}::ng-deep .configure-resolution-body .email-configure-box{border-radius:.25rem;border:1px solid #dbdbdb;color:#787a8c}::ng-deep .configure-resolution-body .email-configure-box input{-moz-appearance:textfield;border-radius:.25rem;border:1px solid #dbdbdb;color:#343952;display:inline-block;font-size:13px;text-align:center;width:2.25rem;height:1.75rem;padding:.125rem;outline:none}::ng-deep .configure-resolution-body .email-configure-box input::-webkit-inner-spin-button,::ng-deep .configure-resolution-body .email-configure-box input::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .configure-resolution-body .email-configure-box input::placeholder{color:#787a8c}::ng-deep .configure-resolution-body .email-configure-box .black-text{color:#000}::ng-deep .configure-resolution-table{margin-bottom:.75rem}::ng-deep .configure-resolution-table .table-header{background:#fff;border-radius:.25rem .25rem 0 0;border:1px solid #f2f2f5;border-bottom:1px solid #f2f2f5}::ng-deep .configure-resolution-table .table-header .table-column{color:#787a8c!important;line-height:.75rem!important;min-height:2rem!important}::ng-deep .configure-resolution-table .table-body{border-radius:0 0 .25rem .25rem;border:1px solid #f2f2f5;border-top:none}::ng-deep .configure-resolution-table .table-row{display:flex;justify-content:space-between;position:relative;border-bottom:1px solid #f2f2f5}::ng-deep .configure-resolution-table .table-row:last-of-type .table-column,::ng-deep .configure-resolution-table .table-row:only-child .table-column{border-bottom:none}::ng-deep .configure-resolution-table .table-row .table-column{border-bottom:1px solid #f2f2f5;color:#000;min-height:3.25rem;position:relative;width:100%}::ng-deep .configure-resolution-table .table-row .table-column i.info{cursor:pointer}::ng-deep .configure-resolution-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .configure-resolution-table .table-row .table-column.serial .sr-no{width:1rem;height:3.25rem}::ng-deep .configure-resolution-table .table-row .table-column.stage-name{width:calc(100% - 37rem);min-width:calc(100% - 37rem)}::ng-deep .configure-resolution-table .table-row .table-column.stage-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .configure-resolution-table .table-row .table-column.status{width:10rem;min-width:10rem}::ng-deep .configure-resolution-table .table-row .table-column.status .value span{color:#787a8c}::ng-deep .configure-resolution-table .table-row .table-column.assignee{width:15rem;min-width:15rem}::ng-deep .configure-resolution-table .table-row .table-column.assignee .select-box{border-radius:.25rem;border:1px solid #cdced6;cursor:pointer;height:2.5rem;width:100%}::ng-deep .configure-resolution-table .table-row .table-column.assignee .select-box .value{color:#a9aab6}::ng-deep .configure-resolution-table .table-row .table-column.assignee .select-box .arrow{color:#787a8c}::ng-deep .configure-resolution-table .table-row .table-column.assignee .after-select-box{background:#f9f9fa;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem;width:100%}::ng-deep .configure-resolution-table .table-row .table-column.assignee .after-select-box .value-chip{background:#fff;border-radius:.125rem;border:1px solid #f4f8ff;box-shadow:0 0 2px #1e5dd326;color:#000;height:1.5rem;max-width:9.5rem;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .configure-resolution-table .table-row .table-column.assignee .after-select-box button.edit-btn{background:transparent;border-radius:0;border:none}::ng-deep .configure-resolution-table .table-row .table-column.deadline{width:10rem;min-width:10rem}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: AssigneeComponent, selector: "app-assignee", inputs: ["assigneeList", "activeAssignee", "payload"], outputs: ["closeEvent", "selectedAssigneeEvent"] }, { kind: "component", type: BannerComponent, selector: "app-banner", inputs: ["icon", "bannerClass", "isCenter"] }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DueDateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-due-date', template: "<div class=\"configure-resolution\">\n  <div\n    class=\"configure-resolution-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Configure Resolution Deadline & Stage Details\n    </div>\n  </div>\n  <div class=\"configure-resolution-body\">\n    <div class=\"configure-resolution-body-inner\">\n      <app-loader-inline *ngIf=\"false\"></app-loader-inline>\n      <app-no-data\n        *ngIf=\"false\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n\n      <ng-container>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          SPECIFY THE DEADLINE TO CLOSE THIS CASE\n          <span class=\"required vx-fs-16 vx-fw-400\">*</span>\n        </div>\n        <app-banner *ngIf=\"mode === 'EDIT' && taskCount > 0\">\n          <p banner>\n            {{ CaseDeadlineWarning }}\n          </p>\n        </app-banner>\n        <div class=\"case-calendar vx-mb-3\">\n          <div class=\"case-calendar-inner vx-d-flex vx-align-center\">\n            <input\n              type=\"text\"\n              readonly\n              placeholder=\"{{\n                dueDateTexts.case_details.due_date.deadline_placeholder\n              }}\"\n              (click)=\"openDatePicker()\"\n              [value]=\"dueDate | date : 'dd MMM yyyy'\"\n              id=\"deadline-date\"\n            />\n            <i class=\"icons\">&#xe92d;</i>\n            <dp-date-picker\n              #deadlineDatePicker\n              (onSelect)=\"datePickerOverlay = false; closeDatePicker($event)\"\n              [config]=\"dateConfig\"\n              [(ngModel)]=\"dueDate\"\n            >\n            </dp-date-picker>\n            <div\n              class=\"vx-overlay\"\n              (click)=\"closeDatePicker($event)\"\n              *ngIf=\"datePickerOverlay\"\n            ></div>\n          </div>\n          <div *ngIf=\"showError\" class=\"errorMsg vx-fs-11 vx-lh-4 vx-mt-1\">\n            {{ dueDateTexts.errorMessage.dueDate }}\n          </div>\n        </div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-1\">\n          <div\n            class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-tt-uppercase\"\n          >\n            CONFIGURE DEADLINE & ASSIGNEE FOR EACH STAGE IN THE WORKFLOW\n            <span class=\"required vx-fs-16 vx-fw-400\">*</span>\n          </div>\n          <!-- <div class=\"toggle-area vx-d-flex vx-align-center\">\n            <app-cs-switch>Allow Reopening of Previous Stage</app-cs-switch>\n            <i\n              class=\"icons info vx-fs-12 vx-txt-blue vx-ml-2\"\n              [appTooltip]=\"\n                'If enabled, this option allows the assignee to revisit and reopen a previously completed stage. The stage will be reset, and the assigned user will need to complete it again.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            >\n          </div> -->\n        </div>\n        <div class=\"configure-resolution-table\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center stage-name\"\n              >\n                STAGE NAME\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center status\"\n              >\n                TRANSITION STATUS\n                <i\n                  class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\"\n                  [appTooltip]=\"helperText.transition_status\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assignee\"\n              >\n                ASSIGNEE\n                <i\n                  class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\"\n                  [appTooltip]=\"helperText.assignee\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center deadline\"\n              >\n                DEADLINE\n                <i\n                  class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\"\n                  [appTooltip]=\"helperText.deadline\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-row\"\n              *ngFor=\"\n                let data of workflowDetails?.stages_assignees;\n                let i = index\n              \"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no vx-fs-13 vx-d-flex vx-align-center vx-justify-center\"\n                  [appTooltip]=\"i + 1\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + 1 }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center stage-name\"\n              >\n                <div\n                  class=\"value vx-fs-13 vx-pr-2\"\n                  [appTooltip]=\"data?.name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.name }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center status\"\n              >\n                <div class=\"value vx-fs-12\">\n                  {{ data?.status_transition?.fromName }}<br /><span\n                    class=\"vx-mr-1\"\n                    >To</span\n                  >{{ data?.status_transition?.toName }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assignee\"\n                (click)=\"activateSelector(true, i)\"\n              >\n                <div\n                  *ngIf=\"!assigneeData[i]?.length\"\n                  class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\"\n                >\n                  <div class=\"value vx-fs-13\">Select a User</div>\n                  <i class=\"icons arrow vx-fs-12\">&#xe9e8;</i>\n                </div>\n                <div\n                  *ngIf=\"assigneeData[i]?.length > 0\"\n                  class=\"after-select-box vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-2\"\n                >\n                  <div\n                    class=\"value-chip vx-fs-11 vx-pl-2 vx-pr-2 vx-lh-6\"\n                    [appTooltip]=\"assigneeData[i][0]?.member_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ assigneeData[i][0]?.member_name }}\n                  </div>\n                  <button\n                    (click)=\"activateSelector(true, i)\"\n                    class=\"edit-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                  >\n                    <i class=\"icons vx-fs-12 vx-txt-blue vx-mr-1\">&#xe9ba;</i\n                    >EDIT\n                  </button>\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-2 vx-d-flex vx-align-center deadline\"\n              >\n                <div\n                  class=\"case-calendar vx-d-flex vx-justify-between vx-pt-3 vx-pb-3\"\n                >\n                  <div\n                    class=\"case-calendar-inner vx-d-flex vx-align-center\"\n                    [class.disabled]=\"true\"\n                  >\n                    <input\n                      type=\"text\"\n                      readonly\n                      value=\"{{ dueDate | date : 'dd MMM yyyy' }}\"\n                      (click)=\"openDatePicker()\"\n                      id=\"stage-deadline-date\"\n                    />\n                    <i class=\"icons\">&#xe92d;</i>\n                    <dp-date-picker\n                      #datePicker\n                      (onSelect)=\"\n                        datePickerOverlay = false; closeDatePicker($event)\n                      \"\n                      [config]=\"dateConfig\"\n                    >\n                    </dp-date-picker>\n                    <div\n                      class=\"vx-overlay\"\n                      (click)=\"closeDatePicker($event)\"\n                      *ngIf=\"datePickerOverlay\"\n                    ></div>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n          <div\n            *ngIf=\"showAssigneeError\"\n            class=\"errorMsg vx-fs-11 vx-lh-4 vx-mt-1\"\n          >\n            {{ dueDateTexts.errorMessage.stageAssignee }}\n          </div>\n        </div>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          EMAIL REMINDER CONFIGURATION\n          <span class=\"required vx-fs-16 vx-fw-400\">*</span>\n        </div>\n        <div class=\"divider vx-mb-2\"></div>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          REMINDER EMAIL\n        </div>\n        <div\n          class=\"email-configure-box vx-d-flex vx-align-center vx-flex-wrap vx-p-2 vx-pl-3 vx-pr-3 vx-mb-2\"\n        >\n          <div class=\"vx-fs-13 vx-mr-1\">\n            Send regular email reminders to the assignee\n          </div>\n          <input\n            type=\"number\"\n            [(ngModel)]=\"emailReminder\"\n            onkeydown=\"return event.key !== '.'\"\n            oninput=\"this.value = Math.abs(this.value)\"\n            (change)=\"onInputChange()\"\n          />\n          <div class=\"vx-fs-13 vx-ml-1\">\n            <span class=\"black-text\">days</span> before the stage deadline.\n          </div>\n        </div>\n        <div\n          class=\"label-top vx-fs-11 vx-fw-500 vx-label-txt vx-lh-4 vx-mb-1 vx-tt-uppercase\"\n        >\n          ESCALATION EMAIL\n        </div>\n        <div\n          class=\"email-configure-box vx-d-flex vx-align-center vx-flex-wrap vx-p-2 vx-pl-3 vx-pr-3 vx-mb-2\"\n        >\n          <div class=\"vx-fs-13 vx-mr-1\">\n            Send email escalation to the Case Owner\n          </div>\n          <input\n            type=\"number\"\n            [(ngModel)]=\"escalationEmail\"\n            onkeydown=\"return event.key !== '.'\"\n            oninput=\"this.value = Math.abs(this.value)\"\n            (change)=\"onInputChange()\"\n          />\n          <div class=\"vx-fs-13 vx-ml-1\">\n            <span class=\"black-text\">days</span> before the overall case\n            deadline, if the case is still open.\n          </div>\n        </div>\n      </ng-container>\n    </div>\n    <app-floating-bar\n      (closeList)=\"closeDueDate()\"\n      (closeEvent)=\"saveCaseResolutionDeadline()\"\n    ></app-floating-bar>\n  </div>\n</div>\n<app-assignee\n  *ngIf=\"assigneeClicked\"\n  [payload]=\"payload\"\n  [assigneeList]=\"assigneeList\"\n  [activeAssignee]=\"activeAssignee\"\n  (selectedAssigneeEvent)=\"selectedAssignee($event)\"\n  (closeEvent)=\"activateSelector(false)\"\n></app-assignee>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .configure-resolution{background:#fff;position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .configure-resolution:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .configure-resolution.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .configure-resolution-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .configure-resolution-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .configure-resolution-body-inner{height:calc(100% - 3rem);padding:0 2rem 1rem 0;width:calc(100% + 2rem);overflow-y:auto;scrollbar-width:thin}::ng-deep .configure-resolution-body-inner .divider{background:#e3e3e9;width:100%;height:1px}::ng-deep .configure-resolution-body .label-top .required{color:#c7381b}::ng-deep .configure-resolution-body .errorMsg{color:#a82a1d}::ng-deep .configure-resolution-body .toggle-area{cursor:pointer}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch{order:1;width:24px!important;min-width:24px!important;height:16px!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch .switch-box{background:#cdced6!important;border:1px solid #cdced6!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch .switch-ball{height:12px!important;width:12px!important;border:none!important;left:2px!important;top:2px!important;bottom:2px!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch input:checked+span.switch-box{background:#34aa44!important;border-color:#34aa44!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .switch input:checked+span.switch-box .switch-ball{left:10px!important}::ng-deep .configure-resolution-body .toggle-area app-cs-switch .cs-switch .value{order:2;color:#000!important;cursor:pointer;font-size:11px!important;margin-left:.5rem;width:unset!important}::ng-deep .configure-resolution-body .toggle-area i.info{cursor:pointer}::ng-deep .configure-resolution-body .case-calendar{background:#fff;border-radius:.25rem}::ng-deep .configure-resolution-body .case-calendar-inner{position:relative;width:100%}::ng-deep .configure-resolution-body .case-calendar-inner input{background:transparent;border-radius:.25rem;border:1px solid #cdced6;color:#747576;font-size:13px;font-weight:400;height:2.5rem;line-height:2.5rem;padding:0 .75rem 0 2rem;outline:none;width:100%;transition:all .2s ease-in-out}::ng-deep .configure-resolution-body .case-calendar-inner input::placeholder{color:#a9aab6}::ng-deep .configure-resolution-body .case-calendar-inner input:hover,::ng-deep .configure-resolution-body .case-calendar-inner input:focus{border-color:#1e5dd3}::ng-deep .configure-resolution-body .case-calendar-inner i{display:flex;justify-content:center;align-items:center;height:.75rem;width:.75rem;position:absolute;left:.75rem;top:.75rem;color:#747576;font-size:12px;pointer-events:none}::ng-deep .configure-resolution-body .case-calendar-inner.disabled{background:#f2f2f5;pointer-events:none;opacity:1}::ng-deep .configure-resolution-body .case-calendar-inner.disabled input,::ng-deep .configure-resolution-body .case-calendar-inner.disabled i{color:#a9aab6}::ng-deep .configure-resolution-body .email-configure-box{border-radius:.25rem;border:1px solid #dbdbdb;color:#787a8c}::ng-deep .configure-resolution-body .email-configure-box input{-moz-appearance:textfield;border-radius:.25rem;border:1px solid #dbdbdb;color:#343952;display:inline-block;font-size:13px;text-align:center;width:2.25rem;height:1.75rem;padding:.125rem;outline:none}::ng-deep .configure-resolution-body .email-configure-box input::-webkit-inner-spin-button,::ng-deep .configure-resolution-body .email-configure-box input::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .configure-resolution-body .email-configure-box input::placeholder{color:#787a8c}::ng-deep .configure-resolution-body .email-configure-box .black-text{color:#000}::ng-deep .configure-resolution-table{margin-bottom:.75rem}::ng-deep .configure-resolution-table .table-header{background:#fff;border-radius:.25rem .25rem 0 0;border:1px solid #f2f2f5;border-bottom:1px solid #f2f2f5}::ng-deep .configure-resolution-table .table-header .table-column{color:#787a8c!important;line-height:.75rem!important;min-height:2rem!important}::ng-deep .configure-resolution-table .table-body{border-radius:0 0 .25rem .25rem;border:1px solid #f2f2f5;border-top:none}::ng-deep .configure-resolution-table .table-row{display:flex;justify-content:space-between;position:relative;border-bottom:1px solid #f2f2f5}::ng-deep .configure-resolution-table .table-row:last-of-type .table-column,::ng-deep .configure-resolution-table .table-row:only-child .table-column{border-bottom:none}::ng-deep .configure-resolution-table .table-row .table-column{border-bottom:1px solid #f2f2f5;color:#000;min-height:3.25rem;position:relative;width:100%}::ng-deep .configure-resolution-table .table-row .table-column i.info{cursor:pointer}::ng-deep .configure-resolution-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .configure-resolution-table .table-row .table-column.serial .sr-no{width:1rem;height:3.25rem}::ng-deep .configure-resolution-table .table-row .table-column.stage-name{width:calc(100% - 37rem);min-width:calc(100% - 37rem)}::ng-deep .configure-resolution-table .table-row .table-column.stage-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .configure-resolution-table .table-row .table-column.status{width:10rem;min-width:10rem}::ng-deep .configure-resolution-table .table-row .table-column.status .value span{color:#787a8c}::ng-deep .configure-resolution-table .table-row .table-column.assignee{width:15rem;min-width:15rem}::ng-deep .configure-resolution-table .table-row .table-column.assignee .select-box{border-radius:.25rem;border:1px solid #cdced6;cursor:pointer;height:2.5rem;width:100%}::ng-deep .configure-resolution-table .table-row .table-column.assignee .select-box .value{color:#a9aab6}::ng-deep .configure-resolution-table .table-row .table-column.assignee .select-box .arrow{color:#787a8c}::ng-deep .configure-resolution-table .table-row .table-column.assignee .after-select-box{background:#f9f9fa;border-radius:.25rem;border:1px solid #cdced6;height:2.5rem;width:100%}::ng-deep .configure-resolution-table .table-row .table-column.assignee .after-select-box .value-chip{background:#fff;border-radius:.125rem;border:1px solid #f4f8ff;box-shadow:0 0 2px #1e5dd326;color:#000;height:1.5rem;max-width:9.5rem;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .configure-resolution-table .table-row .table-column.assignee .after-select-box button.edit-btn{background:transparent;border-radius:0;border:none}::ng-deep .configure-resolution-table .table-row .table-column.deadline{width:10rem;min-width:10rem}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: CommonService }, { type: FrequencyService }]; }, propDecorators: { datePicker: [{
                type: ViewChild,
                args: ['deadlineDatePicker']
            }], ASSETS: [{
                type: ViewChild,
                args: ['deadlineDatePicker', { read: ElementRef, static: false }]
            }], payload: [{
                type: Input
            }], dueDate: [{
                type: Input
            }], workflowDetails: [{
                type: Input
            }], userList: [{
                type: Input
            }], groupList: [{
                type: Input
            }], mode: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], min: [{
                type: Input
            }], taskCount: [{
                type: Input
            }], validDeadline: [{
                type: Input
            }], closeDueDateResolution: [{
                type: Output
            }], closeDueDateEvent: [{
                type: Output
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class CaseResolutionDeadlineComponent {
    set initialSelection(value) {
        this.initialResolutionDeadline = value;
        if (value?.resolution_deadline?.stages_assignees?.length) {
            this.selectedItems = [
                {
                    label: 'Configured',
                    value: 'configured',
                },
            ];
            this.state = SelectionState$1.SELECTED;
        }
    }
    constructor(reportACaseService) {
        this.reportACaseService = reportACaseService;
        this.ASSETS = ASSETS;
        this.dueDateTexts = REPORT_CASE;
        this.responsibilityCentersList = [];
        this.config = {
            ...DEFAULT_FORM_CONFIG,
            action: ACTION_CODE.RC,
            placeholder: this.dueDateTexts.case_details.due_date.placeholder,
            items: [],
            disabledText: this.dueDateTexts.case_details.due_date.disabledText,
        };
        this.dueDateClicked = false;
        this.rcListLoader = false;
        this.SelectionState = SelectionState$1;
        this.SelectionPopupState = SelectionPopupState;
        this.state = SelectionState$1.EMPTY;
        this.selectedItems = [];
        this.selectedRcList = [];
        this.workflowDetails = {};
        this.initialResolutionDeadline = {};
        this.fieldSelector = FIELD_SELECTOR;
        this.dueDateHelpText = this.dueDateTexts.case_details.due_date.helpText;
        this.latestValidDeadline = '';
        this.taskCount = 0;
        this.payload = {};
        this.userList = [];
        this.groupList = [];
        this.mode = '';
        this.caseId = '';
        this.fieldSelected = '';
        this.validationError = {};
        this.fieldClicked = new EventEmitter();
        this.filterDeselector = new EventEmitter();
        this.getWorkflowDetails();
    }
    ngOnInit() {
        if (this.caseId) {
            this.validateDeadline();
        }
    }
    validateDeadline() {
        this.reportACaseService.validateCaseDeadline(this.caseId).subscribe({
            next: (res) => {
                this.taskCount = res?.data?.totalOpenTask;
                if (res?.data?.totalOpenTask > 0 && res?.data?.latestValidDeadline) {
                    this.latestValidDeadline = res?.data?.latestValidDeadline;
                }
            }
        });
    }
    saveSelectedDueDate() {
        this.dueDateClicked = false;
        this.fieldClicked.emit('');
        this.filterDeselector.emit(false);
        this.selectedItems = [
            {
                label: 'Configured',
                value: 'configured',
            },
        ];
        this.state = SelectionState$1.SELECTED;
        this.validationError.caseResolutionDeadline.isError = false;
        this.validationError.caseResolutionDeadline.message = '';
    }
    setSelectedRcList(event) {
        this.selectedRcList = this.responsibilityCentersList.filter((rc) => event.includes(rc?.rc_id));
    }
    activateSelector(active) {
        this.dueDateClicked = active;
        this.fieldClicked.emit(active ? 'CASE_RESOLUTION_DEADLINE' : '');
        this.filterDeselector.emit(active ? true : false);
    }
    getWorkflowDetails() {
        this.reportACaseService.workflow$.subscribe((res) => {
            this.workflowDetails = res?.data?.workflow_details;
        });
    }
    isCaseResolutionDeadlineDisabled() {
        const hasAssignees = this.payload?.caseToWorkflow?.assignees?.length > 0;
        const hasAssigneeGroups = this.payload?.caseToWorkflow?.assignees_group?.length > 0;
        const hasValidRcDetails = this.payload?.rc_details?.ids?.length === 1 ||
            this.payload?.rc_details?.main_rc_id;
        return (!hasValidRcDetails ||
            !this.payload?.case_type?.id ||
            !this.payload?.priority?.id ||
            !(hasAssignees || hasAssigneeGroups) ||
            !this.payload?.caseToWorkflow?.owners?.length);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseResolutionDeadlineComponent, deps: [{ token: ReportACaseService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CaseResolutionDeadlineComponent, selector: "app-case-resolution-deadline", inputs: { payload: "payload", userList: "userList", groupList: "groupList", mode: "mode", caseId: "caseId", initialSelection: "initialSelection", fieldSelected: "fieldSelected", validationError: "validationError" }, outputs: { fieldClicked: "fieldClicked", filterDeselector: "filterDeselector" }, ngImport: i0, template: `<app-field-holder
      [image]="ASSETS.case_resolution_deadline"
      [checked]="(state === SelectionState.SELECTED)"
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
    
        <app-form-selectBox
           field
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [removable]="false"
          (fieldClicked)="activateSelector($event)"
          [isError]="validationError.caseResolutionDeadline.isError"
          [errorMessage]="validationError.caseResolutionDeadline.message"
          [disabled]="isCaseResolutionDeadlineDisabled()"
        >
          <app-vc-label
            label
            [labelText]="dueDateTexts.case_details.due_date.title"
            [required]="true"
            [showInfo]="true"
            [tooltipText]="dueDateHelpText"
          ></app-vc-label>
        </app-form-selectBox>
    </app-field-holder>
    <app-due-date
      *ngIf="dueDateClicked"
      (closeDueDateEvent)="activateSelector(false)"
      [payload]="payload"
      [workflowDetails]="workflowDetails"
      [userList]="userList"
      [groupList]="groupList"
      [initialSelection]="initialResolutionDeadline"
      [mode]="mode"
      [validDeadline]="latestValidDeadline"
      [taskCount]="taskCount"
      (closeDueDateResolution)="saveSelectedDueDate()"
    ></app-due-date>`, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: ["title", "key", "action", "state", "popupState", "isCaseTypeSelected", "chipItems", "chipGroupItems", "config", "isError", "errorMessage", "selectedData", "removable", "disabled", "editDisabled"], outputs: ["selectedItemListChange", "selectedGroupItemListChange", "fieldClicked"] }, { kind: "component", type: DueDateComponent, selector: "app-due-date", inputs: ["payload", "dueDate", "workflowDetails", "userList", "groupList", "mode", "initialSelection", "min", "taskCount", "validDeadline"], outputs: ["closeDueDateResolution", "closeDueDateEvent"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseResolutionDeadlineComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-resolution-deadline', template: `<app-field-holder
      [image]="ASSETS.case_resolution_deadline"
      [checked]="(state === SelectionState.SELECTED)"
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
    
        <app-form-selectBox
           field
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [removable]="false"
          (fieldClicked)="activateSelector($event)"
          [isError]="validationError.caseResolutionDeadline.isError"
          [errorMessage]="validationError.caseResolutionDeadline.message"
          [disabled]="isCaseResolutionDeadlineDisabled()"
        >
          <app-vc-label
            label
            [labelText]="dueDateTexts.case_details.due_date.title"
            [required]="true"
            [showInfo]="true"
            [tooltipText]="dueDateHelpText"
          ></app-vc-label>
        </app-form-selectBox>
    </app-field-holder>
    <app-due-date
      *ngIf="dueDateClicked"
      (closeDueDateEvent)="activateSelector(false)"
      [payload]="payload"
      [workflowDetails]="workflowDetails"
      [userList]="userList"
      [groupList]="groupList"
      [initialSelection]="initialResolutionDeadline"
      [mode]="mode"
      [validDeadline]="latestValidDeadline"
      [taskCount]="taskCount"
      (closeDueDateResolution)="saveSelectedDueDate()"
    ></app-due-date>`, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }]; }, propDecorators: { payload: [{
                type: Input
            }], userList: [{
                type: Input
            }], groupList: [{
                type: Input
            }], mode: [{
                type: Input
            }], caseId: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], validationError: [{
                type: Input
            }], fieldClicked: [{
                type: Output
            }], filterDeselector: [{
                type: Output
            }] } });

class CaseAssigneesComponent {
    constructor() {
        this.ASSETS = ASSETS;
        this.assigneesTexts = REPORT_CASE;
        this.responsibilityCentersList = [];
        this.config = {
            ...DEFAULT_FORM_CONFIG,
            placeholder: this.assigneesTexts.case_details.assignees.placeholder,
            items: [],
        };
        this.assigneesClicked = false;
        this.rcListLoader = false;
        this.SelectionState = SelectionState$1;
        this.SelectionPopupState = SelectionPopupState;
        this.state = SelectionState$1.EMPTY;
        this.selectedItems = [];
        this.selectedGroupItems = [];
        this.selectedAssigneesList = [];
        this.selectedAssigneeGroups = [];
        this.selectedGroupIds = [];
        this.userIds = [];
        this.initialAssignees = {};
        this.fieldSelector = FIELD_SELECTOR;
        this.assigneesHelpText = this.assigneesTexts.case_details.assignees.helpText;
        this.payload = {};
        this.fieldSelected = '';
        this.userList = [];
        this.groupList = [];
        this.validationError = {};
        this.fieldClicked = new EventEmitter();
        this.onRcChange = new EventEmitter();
        this.filterDeselector = new EventEmitter();
    }
    set initialSelection(value) {
        this.initialAssignees = value;
        if (value?.assignees?.length || value?.assignees_group?.length) {
            this.state = SelectionState$1.SELECTED;
            this.selectedItems = value?.assignees;
            this.selectedGroupItems = value?.assignees_group;
            this.populateAssigneesList(this.initialAssignees);
            this.populateGroupAssigneesList(this.initialAssignees);
        }
    }
    ngOnInit() { }
    ngOnChanges(changes) {
        if (changes['userList']) {
            this.populateAssigneesList(this.initialAssignees);
        }
        if (changes['groupList']) {
            this.populateGroupAssigneesList(this.initialAssignees);
        }
    }
    saveSelectedAssigneesList(event) {
        this.assigneesClicked = false;
        this.setSelectedAssigneesList(event);
        const users = event?.users ? event?.users : event;
        this.updateSelectedAssignees(users || []);
        this.updateSelectedAssigneeGroups(event?.groups || []);
        this.selectedGroupIds = this.getSelectedGroupIds(event?.groups || []);
        this.setPayload(users || [], this.selectedGroupIds);
        this.state = SelectionState$1.SELECTED;
        this.fieldClicked.emit('');
        this.validationError.caseAssignee.isError = false;
        this.validationError.caseAssignee.message = '';
        this.filterDeselector.emit(false);
    }
    populateAssigneesList(value) {
        this.selectedAssigneesList = this.userList?.filter((user) => value?.assignees?.includes(user?._id));
        this.selectedItems = this.userList
            ?.filter((user) => value?.assignees?.includes(user?._id))
            ?.map((user) => ({
            label: user?.member_name,
            value: user?._id,
        }));
    }
    populateGroupAssigneesList(value) {
        this.selectedAssigneeGroups = this.groupList.filter((group) => value?.assignees_group?.includes(group?._id));
        this.selectedGroupItems = this.groupList
            ?.filter((group) => value?.assignees_group?.includes(group?._id))
            ?.map((group) => ({
            label: group?.group_name,
            value: group?._id,
        }));
    }
    updateSelectedAssignees(usersIds) {
        this.selectedItems = this.userList
            ?.filter((user) => usersIds?.includes(user?._id))
            ?.map((user) => ({
            label: user?.member_name,
            value: user?._id,
        }));
    }
    updateSelectedAssigneeGroups(groupsIds) {
        this.selectedGroupItems = this.groupList
            ?.filter((group) => groupsIds?.includes(group?.group_id))
            ?.map((group) => ({
            label: group?.group_name,
            value: group?.group_id,
        }));
    }
    getSelectedGroupIds(groupIds) {
        return this.groupList
            ?.filter((group) => groupIds?.includes(group?.group_id))
            ?.map((group) => group?._id);
    }
    setSelectedAssigneesList(event) {
        this.selectedAssigneesList = this.userList?.filter((user) => event?.users?.includes(user?._id));
        this.selectedAssigneeGroups = this.groupList?.filter((group) => event?.groups?.includes(group?.group_id));
    }
    activateSelector(active) {
        this.assigneesClicked = active;
        this.fieldClicked.emit(active ? 'CASE_ASSIGNEE' : '');
        this.filterDeselector.emit(active ? true : false);
    }
    setAssigneesList(event) {
        this.selectedAssigneesList = this.userList?.filter((user) => event?.some((eventItem) => eventItem?.value === user?._id));
        this.userIds = this.selectedAssigneesList.map((user) => user?._id);
        this.setPayload(this.userIds, this.selectedGroupIds);
        this.state =
            this.userIds?.length || event?.length
                ? SelectionState$1.SELECTED
                : SelectionState$1.EMPTY;
    }
    setAssigneeGroupsList(event) {
        this.selectedAssigneeGroups = this.groupList?.filter((group) => event?.some((eventItem) => eventItem?.value === group?.group_id));
        const currentUserIds = this.payload.caseToWorkflow?.assignees || this.userIds;
        const groupIds = this.selectedAssigneeGroups.map((group) => group?.group_id);
        this.selectedGroupIds = this.getSelectedGroupIds(groupIds);
        this.setPayload(currentUserIds, this.selectedGroupIds);
        this.state =
            currentUserIds?.length || event?.length
                ? SelectionState$1.SELECTED
                : SelectionState$1.EMPTY;
    }
    setPayload(users, groups) {
        this.payload.caseToWorkflow = {
            ...this.payload.caseToWorkflow,
            assignees: users,
            assignees_group: groups,
        };
        this.resetStagePayload();
    }
    resetStagePayload() {
        this.payload?.caseToWorkflow?.resolution_deadline?.stages_assignees?.forEach((stage) => {
            stage.assignee_id = '';
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseAssigneesComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CaseAssigneesComponent, selector: "app-case-assignees", inputs: { payload: "payload", fieldSelected: "fieldSelected", userList: "userList", groupList: "groupList", initialSelection: "initialSelection", validationError: "validationError" }, outputs: { fieldClicked: "fieldClicked", onRcChange: "onRcChange", filterDeselector: "filterDeselector" }, usesOnChanges: true, ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.case_assignees"
      [checked]="
        payload?.caseToWorkflow?.assignees?.length ||
        payload?.caseToWorkflow?.assignees_group?.length
      "
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [chipGroupItems]="selectedGroupItems"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setAssigneesList($event)"
          (selectedGroupItemListChange)="setAssigneeGroupsList($event)"
          [isError]="validationError.caseAssignee.isError"
          [errorMessage]="validationError.caseAssignee.message"
        >
          <app-vc-label
            label
            [labelText]="assigneesTexts.case_details.assignees.title"
            [required]="true"
            [showInfo]="true"
            [tooltipText]="assigneesHelpText"
          ></app-vc-label>
        </app-form-selectBox>
      </ng-container>
    </app-field-holder>
    <app-group-users-list
      *ngIf="assigneesClicked"
      [usersList]="userList"
      [userIdKey]="'_id'"
      [selectedUsers]="selectedAssigneesList"
      [selectedGroups]="selectedAssigneeGroups"
      [groupsEnabled]="true"
      [assigneeGroupsList]="groupList"
      [groupIdKey]="'group_id'"
      (closeUsersList)="activateSelector(false)"
      (saveSelectedList)="saveSelectedAssigneesList($event)"
    >
    </app-group-users-list>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: ["title", "key", "action", "state", "popupState", "isCaseTypeSelected", "chipItems", "chipGroupItems", "config", "isError", "errorMessage", "selectedData", "removable", "disabled", "editDisabled"], outputs: ["selectedItemListChange", "selectedGroupItemListChange", "fieldClicked"] }, { kind: "component", type: GroupUsersListComponent, selector: "app-group-users-list", inputs: ["groupsEnabled", "usersList", "groupsList", "selectedUsers", "userIdKey", "groupIdKey", "openedFrom", "selectedGroups", "assigneeGroupsList", "disabledId", "fromResponsibility", "reviewerIds", "overseerIds", "assignorId", "loader", "isDisabledSelected"], outputs: ["saveSelectedList", "closeUsersList"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseAssigneesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-assignees', template: `
    <app-field-holder
      [image]="ASSETS.case_assignees"
      [checked]="
        payload?.caseToWorkflow?.assignees?.length ||
        payload?.caseToWorkflow?.assignees_group?.length
      "
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <ng-container field>
        <app-form-selectBox
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          [chipGroupItems]="selectedGroupItems"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setAssigneesList($event)"
          (selectedGroupItemListChange)="setAssigneeGroupsList($event)"
          [isError]="validationError.caseAssignee.isError"
          [errorMessage]="validationError.caseAssignee.message"
        >
          <app-vc-label
            label
            [labelText]="assigneesTexts.case_details.assignees.title"
            [required]="true"
            [showInfo]="true"
            [tooltipText]="assigneesHelpText"
          ></app-vc-label>
        </app-form-selectBox>
      </ng-container>
    </app-field-holder>
    <app-group-users-list
      *ngIf="assigneesClicked"
      [usersList]="userList"
      [userIdKey]="'_id'"
      [selectedUsers]="selectedAssigneesList"
      [selectedGroups]="selectedAssigneeGroups"
      [groupsEnabled]="true"
      [assigneeGroupsList]="groupList"
      [groupIdKey]="'group_id'"
      (closeUsersList)="activateSelector(false)"
      (saveSelectedList)="saveSelectedAssigneesList($event)"
    >
    </app-group-users-list>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], propDecorators: { payload: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], userList: [{
                type: Input
            }], groupList: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], validationError: [{
                type: Input
            }], fieldClicked: [{
                type: Output
            }], onRcChange: [{
                type: Output
            }], filterDeselector: [{
                type: Output
            }] } });

class CaseOwnersComponent {
    set initialSelection(value) {
        if (value?.length) {
            this.state = SelectionState$1.SELECTED;
            this.selectedItems = [...value];
            const isString = typeof value[0] === 'string';
            if (isString && (this.mode === 'CREATE' || this.isInternalChange)) {
                this.populateOwnerList();
            }
        }
    }
    constructor(reportACaseService) {
        this.reportACaseService = reportACaseService;
        this.ASSETS = ASSETS;
        this.ownerTexts = REPORT_CASE;
        this.caseOwnersList = [];
        this.config = {
            ...DEFAULT_FORM_CONFIG,
            placeholder: this.ownerTexts.case_details.owners.placeholder,
            items: [],
            disabledText: this.ownerTexts.case_details.owners.disabledText,
        };
        this.ownersHelpText = this.ownerTexts.case_details.owners.helpText;
        this.ownerClicked = false;
        this.ownerListLoader = false;
        this.SelectionState = SelectionState$1;
        this.SelectionPopupState = SelectionPopupState;
        this.state = SelectionState$1.EMPTY;
        this.selectedItems = [];
        this.selectedOwnerList = [];
        this.workflowDetails = {};
        this.fieldSelector = FIELD_SELECTOR;
        this.isInternalChange = false;
        this.payload = {};
        this.fieldSelected = '';
        this.workflowId = '';
        this.validationError = {};
        this.mode = '';
        this.fieldClicked = new EventEmitter();
        this.filterDeselector = new EventEmitter();
        this.getWorkflowDetails();
    }
    ngOnDestroy() {
        this.isInternalChange = false;
    }
    ngOnInit() {
        if (this.workflowId) {
            this.getCaseOwnersList(this.workflowId);
        }
    }
    getWorkflowDetails() {
        this.reportACaseService.workflow$.subscribe((res) => {
            this.workflowDetails = res?.data?.workflow_details;
            if (this.workflowDetails?._id) {
                this.getCaseOwnersList(this.workflowDetails?._id);
            }
        });
    }
    getCaseOwnersList(workflowId) {
        this.ownerListLoader = true;
        this.reportACaseService.getCaseOwners(workflowId).subscribe((res) => {
            this.caseOwnersList = res?.data?.map((owner) => ({
                ...owner,
                employee_name: owner?.member_name,
            }));
            if (this.mode === 'EDIT') {
                this.populateOwnerList();
            }
            else {
                this.setDefaultOwner();
            }
            this.ownerListLoader = false;
        });
    }
    populateOwnerList() {
        this.selectedOwnerList = this.caseOwnersList.filter((owner) => {
            const isString = typeof this.selectedItems[0] === 'string';
            if (isString) {
                return this.selectedItems.includes(owner?._id);
            }
            return this.selectedItems.some((item) => item?.value === owner?._id);
        });
        this.selectedItems = [...new Set(this.selectedOwnerList)]
            .map((owner) => ({
            label: owner?.employee_name,
            value: owner?._id,
        }));
    }
    setDefaultOwner() {
        const { created_by } = this.workflowDetails || {};
        if (!created_by)
            return;
        const defaultOwner = this.caseOwnersList?.find((owner) => owner?._id === created_by);
        if (!defaultOwner)
            return;
        const isOwnerAlreadySelected = this.selectedOwnerList.some((owner) => owner?._id === defaultOwner?._id);
        if (isOwnerAlreadySelected)
            return;
        this.selectedOwnerList.push(defaultOwner);
        this.selectedItems.push({
            label: defaultOwner?.employee_name,
            value: defaultOwner?._id,
        });
        this.setPayload([defaultOwner?._id]);
        this.validationError.caseOwner.isError = false;
        this.validationError.caseOwner.message = '';
        this.state = SelectionState$1.SELECTED;
    }
    saveSelectedOwnerList(event) {
        this.ownerClicked = false;
        this.setSelectedOwnersList(event);
        this.selectedItems = this.caseOwnersList
            ?.filter((owner) => event?.includes(owner?._id))
            .map((owner) => ({
            label: owner?.employee_name,
            value: owner?._id,
        }));
        this.setPayload(event);
        this.validationError.caseOwner.isError = false;
        this.validationError.caseOwner.message = '';
        this.state = SelectionState$1.SELECTED;
        this.fieldClicked.emit('');
        this.filterDeselector.emit(false);
        this.isInternalChange = true;
    }
    setSelectedOwnersList(event) {
        this.selectedOwnerList = this.caseOwnersList?.filter((owner) => event?.includes(owner?._id));
    }
    activateSelector(active) {
        this.ownerClicked = active;
        this.fieldClicked.emit(active ? 'CASE_OWNER' : '');
        this.filterDeselector.emit(active ? true : false);
    }
    setOwnerList(event) {
        this.selectedItems = event || [];
        this.selectedOwnerList = this.caseOwnersList?.filter((owner) => event?.some((eventItem) => eventItem?.value === owner?._id));
        const ownerIds = event?.map((item) => item?.value) || [];
        this.setPayload(ownerIds);
        this.state = event?.length ? SelectionState$1.SELECTED : SelectionState$1.EMPTY;
    }
    setPayload(event) {
        this.payload.caseToWorkflow = {
            ...this.payload.caseToWorkflow,
            owners: event,
        };
    }
    isCaseOwnerSelectionDisabled() {
        const hasValidRcDetails = this.payload?.rc_details?.ids?.length === 1 ||
            this.payload?.rc_details?.main_rc_id;
        return (!hasValidRcDetails ||
            !this.payload?.case_type?.id ||
            !this.payload?.priority?.id);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseOwnersComponent, deps: [{ token: ReportACaseService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CaseOwnersComponent, selector: "app-case-owners", inputs: { payload: "payload", fieldSelected: "fieldSelected", initialSelection: "initialSelection", workflowId: "workflowId", validationError: "validationError", mode: "mode" }, outputs: { fieldClicked: "fieldClicked", filterDeselector: "filterDeselector" }, ngImport: i0, template: `

    <app-field-holder
      [image]="ASSETS.case_owners"
      [active]="ownerClicked"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.caseToWorkflow?.owners?.length"
    >  
        <app-form-selectBox
        field
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setOwnerList($event)"
          [isError]="validationError.caseOwner.isError"
          [errorMessage]="validationError.caseOwner.message"
          [disabled]="isCaseOwnerSelectionDisabled()"
          class="case-owner-field"
        >
          <app-vc-label
            label
            [labelText]="ownerTexts.case_details.owners.title"
            [required]="true"
            [showInfo]="true"
            [tooltipText]="ownersHelpText"
          ></app-vc-label>
        </app-form-selectBox>
    </app-field-holder>
    <app-group-users-list
      *ngIf="ownerClicked"
      [usersList]="caseOwnersList"
      [userIdKey]="'_id'"
      [selectedUsers]="selectedOwnerList"
      (closeUsersList)="activateSelector(false)"
      (saveSelectedList)="saveSelectedOwnerList($event)"
    ></app-group-users-list>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: FormSelectBoxComponent, selector: "app-form-selectBox", inputs: ["title", "key", "action", "state", "popupState", "isCaseTypeSelected", "chipItems", "chipGroupItems", "config", "isError", "errorMessage", "selectedData", "removable", "disabled", "editDisabled"], outputs: ["selectedItemListChange", "selectedGroupItemListChange", "fieldClicked"] }, { kind: "component", type: GroupUsersListComponent, selector: "app-group-users-list", inputs: ["groupsEnabled", "usersList", "groupsList", "selectedUsers", "userIdKey", "groupIdKey", "openedFrom", "selectedGroups", "assigneeGroupsList", "disabledId", "fromResponsibility", "reviewerIds", "overseerIds", "assignorId", "loader", "isDisabledSelected"], outputs: ["saveSelectedList", "closeUsersList"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CaseOwnersComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-owners', template: `

    <app-field-holder
      [image]="ASSETS.case_owners"
      [active]="ownerClicked"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="payload?.caseToWorkflow?.owners?.length"
    >  
        <app-form-selectBox
        field
          [config]="config"
          [state]="state"
          [popupState]="SelectionPopupState.SELECTION_DIALOG"
          [chipItems]="selectedItems"
          (fieldClicked)="activateSelector($event)"
          (selectedItemListChange)="setOwnerList($event)"
          [isError]="validationError.caseOwner.isError"
          [errorMessage]="validationError.caseOwner.message"
          [disabled]="isCaseOwnerSelectionDisabled()"
          class="case-owner-field"
        >
          <app-vc-label
            label
            [labelText]="ownerTexts.case_details.owners.title"
            [required]="true"
            [showInfo]="true"
            [tooltipText]="ownersHelpText"
          ></app-vc-label>
        </app-form-selectBox>
    </app-field-holder>
    <app-group-users-list
      *ngIf="ownerClicked"
      [usersList]="caseOwnersList"
      [userIdKey]="'_id'"
      [selectedUsers]="selectedOwnerList"
      (closeUsersList)="activateSelector(false)"
      (saveSelectedList)="saveSelectedOwnerList($event)"
    ></app-group-users-list>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }]; }, propDecorators: { payload: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], workflowId: [{
                type: Input
            }], validationError: [{
                type: Input
            }], mode: [{
                type: Input
            }], fieldClicked: [{
                type: Output
            }], filterDeselector: [{
                type: Output
            }] } });

class LinkedAssessmentComponent {
    constructor() {
        this.reportTexts = REPORT_CASE;
        this.ASSETS = ASSETS;
        this.linkText = '';
        this.isLinkQuestionVisible = false;
        this.fieldSelector = FIELD_SELECTOR;
        this.openedFrom = '';
    }
    ngOnInit() {
        this.setLink();
    }
    setLink() {
        if (['ASSESSMENT'].includes(this.openedFrom) ||
            this.isLinkQuestionVisible) {
            this.linkText = 'Linked Responsibility';
        }
        else if (['COMPLIANCE_WORKROOM'].includes(this.openedFrom) ||
            this.payload?.responsibilityLinked?.length) {
            this.linkText = 'Linked Responsibilities';
        }
        else {
            this.linkText = 'Link Responsibilities';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkedAssessmentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LinkedAssessmentComponent, selector: "app-linked-assessment", inputs: { openedFrom: "openedFrom", payload: "payload", responsibilityData: "responsibilityData", assessmentQuestion: "assessmentQuestion", fieldSelected: "fieldSelected" }, ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.link_controls"
      [checked]="true"
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <ng-container field>
        <label class="vx-control-panel">Linked Assessment Question </label>
        <div
          class="selected"
          *ngIf="['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible"
        >
          <div class="chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2">
            <span
              *ngIf="
                (['ASSESSMENT'].includes(openedFrom) &&
                  assessmentQuestion?.questionName) ||
                isLinkQuestionVisible
              "
              class="chipName vx-fs-11 vx-label-txt full-width"
              appTooltip="{{
                assessmentQuestion?.questionNumber +
                  ': ' +
                  assessmentQuestion?.questionName
              }}"
              placement="bottom-left"
              delay="0"
              type="black"
              [tooltipMandatory]="false"
              [innerHTML]="assessmentQuestion?.questionNumber +
                  ': ' +
                  assessmentQuestion?.questionName"
              ></span
            >
          </div>
        </div>
      </ng-container>
    </app-field-holder>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkedAssessmentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-linked-assessment', template: `
    <app-field-holder
      [image]="ASSETS.link_controls"
      [checked]="true"
      [disabled]="fieldSelector?.includes(fieldSelected)"
    >
      <ng-container field>
        <label class="vx-control-panel">Linked Assessment Question </label>
        <div
          class="selected"
          *ngIf="['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible"
        >
          <div class="chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2">
            <span
              *ngIf="
                (['ASSESSMENT'].includes(openedFrom) &&
                  assessmentQuestion?.questionName) ||
                isLinkQuestionVisible
              "
              class="chipName vx-fs-11 vx-label-txt full-width"
              appTooltip="{{
                assessmentQuestion?.questionNumber +
                  ': ' +
                  assessmentQuestion?.questionName
              }}"
              placement="bottom-left"
              delay="0"
              type="black"
              [tooltipMandatory]="false"
              [innerHTML]="assessmentQuestion?.questionNumber +
                  ': ' +
                  assessmentQuestion?.questionName"
              ></span
            >
          </div>
        </div>
      </ng-container>
    </app-field-holder>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], propDecorators: { openedFrom: [{
                type: Input
            }], payload: [{
                type: Input
            }], responsibilityData: [{
                type: Input
            }], assessmentQuestion: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }] } });

const LINK_RESPONSIBILITY_CONSTANTS = {
    NO_DATA_MESSAGE: {
        NO_DATA: 'No data to display.',
    },
    NO_DATA: {
        IMAGE: ASSETS.search_data,
    },
};

class LinkResponsibilityListComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.respIdKey = '';
        this.selectedResponsibilityValues = [];
        this.radioSelection = false;
        this.closeButton = new EventEmitter();
        this.selectedResponsibility = new EventEmitter();
        this.animation = false;
        this.responsibilityLoader = false;
        this.isValidObj = false;
        this.isOnCompletionRc = false;
        this.responsibilitiesData = {};
        this.responsibilityTabCount = {
            regulationCount: 0,
            standardCount: 0,
            internalCount: 0,
            othersCount: 0,
        };
        this.typeToCountProperty = {
            0: 'othersCount',
            1: 'regulationCount',
            2: 'standardCount',
            3: 'internalCount',
        };
        this.responsibilityPayload = {
            type: 'all',
            paginationType: 'large',
            a: '',
            searchText: '',
            filterData: {
                appList: [],
                riskIds: [],
                reviewerId: [],
                responsibilityCenter: [],
                entrustedBy: [],
                entrustedTo: [],
                responsibilityCategory: [],
                complianceType: [1],
            },
            pageNo: 1,
            sortObj: {
                sortBy: '',
                type: '',
            },
            pageName: 'overview',
        };
        this.selectedResponsibilityId = [];
        this.responsibilityTabs = [
            { name: 'REGULATIONS', type: 1 },
            { name: 'STANDARDS', type: 2 },
            { name: 'INTERNAL CONTROLS', type: 3 },
            { name: 'OTHERS', type: 0 },
        ];
        this.currentTab = 1;
        this.responsibilityCurrentPage = 1;
        this.regulationCount = 0;
        this.standardsCount = 0;
        this.internalsCount = 0;
        this.othersCount = 0;
        this.responsibilitySearchText = '';
        this.noDataMessage = LINK_RESPONSIBILITY_CONSTANTS.NO_DATA_MESSAGE.NO_DATA;
        this.noDataImagePath = LINK_RESPONSIBILITY_CONSTANTS.NO_DATA.IMAGE;
    }
    ngOnInit() {
        this.getResponsibilityValues();
        this.getResponsibilityList();
        this.setResponsibilitiesCount();
    }
    back() {
        this.closeButton.emit();
    }
    getResponsibilityValues() {
        if (this.selectedResponsibilityValues) {
            this.selectedResponsibilityId = this.selectedResponsibilityValues.map((ele) => {
                if (ele[this.respIdKey]) {
                    return ele[this.respIdKey];
                }
            });
            this.selectedResponsibilityValues = Object.keys(this.selectedResponsibilityValues)?.length
                ? this.selectedResponsibilityValues
                : {};
            this.isValidObj = this.selectedResponsibilityValues
                ? Object.keys(this.selectedResponsibilityValues)?.length > 0
                : false;
        }
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    getResponsibilityList() {
        this.responsibilityLoader = true;
        this.frequencyService
            ?.getResponsibilityList(this.responsibilityPayload)
            .subscribe((res) => {
            this.responsibilitiesData = res[0];
            this.responsibilityLoader = false;
        }, (error) => {
            this.responsibilityLoader = false;
        });
    }
    responsibilityPageChange(pageNumber) {
        this.responsibilityCurrentPage = pageNumber;
        this.responsibilityPayload.pageNo = this.responsibilityCurrentPage;
        this.responsibilityPayload.searchText = this.responsibilitySearchText;
        this.getResponsibilityList();
    }
    deleteItem(item) {
        const index = this.selectedResponsibilityId.findIndex((element) => element == item[this.respIdKey]);
        this.selectedResponsibilityId.splice(index, 1);
        this.selectedResponsibilityValues = this.selectedResponsibilityValues.filter((ele) => ele[this.respIdKey] !== item[this.respIdKey]);
        this.isValidObj = false;
        this.setList();
    }
    save(event) {
        this.closeButton.emit();
        this.selectedResponsibility.emit(this.selectedResponsibilityValues);
    }
    onClickTabChange(tab) {
        this.currentTab = tab?.type;
        this.responsibilityPayload.filterData.complianceType = [this.currentTab];
        this.responsibilityCurrentPage = 1;
        this.responsibilityPayload.pageNo = this.responsibilityCurrentPage;
        this.responsibilityPayload.searchText = this.responsibilitySearchText;
        this.selectedResponsibilityValues = this.selectedResponsibilityValues;
        this.getResponsibilityList();
    }
    search() {
        this.responsibilityPayload.searchText = this.responsibilitySearchText;
        this.responsibilityCurrentPage = 1;
        this.responsibilityPayload.pageNo = this.responsibilityCurrentPage;
        this.getResponsibilityList();
        this.setResponsibilitiesCount();
    }
    setResponsibilitiesCount() {
        const payload = JSON.parse(JSON.stringify(this.responsibilityPayload));
        payload.filterData.complianceType = [0, 1, 2, 3];
        this.frequencyService
            ?.getResponsibilitiesCount(payload)
            .subscribe((res) => {
            this.responsibilityTabCount.regulationCount = res?.regulation_count;
            this.responsibilityTabCount.standardCount = res?.standard_count;
            this.responsibilityTabCount.internalCount = res?.internal_count;
            this.responsibilityTabCount.othersCount = res?.others_count;
        });
    }
    // This function is used to initialize all the Feature flag based variables
    featureFlagInitialization() {
        this.featureFlag_on_completion_of = this.feature.isFeatureEnabled('ff_frequency_on_completion_of');
        this.isOnCompletionRc = this.feature.isFeatureEnabled('ff_on_completion_rc');
    }
    selectResp(resp, mode) {
        const index = this.selectedResponsibilityId.findIndex((element) => element == resp);
        if (index === -1 && mode) {
            this.selectedResponsibilityId.push(resp);
            this.setList();
        }
        else {
            this.selectedResponsibilityId.splice(index, 1);
            this.selectedResponsibilityValues = this.selectedResponsibilityValues.filter((ele) => ele[this.respIdKey] !== resp);
            this.setList();
        }
    }
    setList() {
        const data = [];
        const respValues = cloneDeep(this.selectedResponsibilityValues);
        const respList = cloneDeep(this.responsibilitiesData.data);
        const selectedResponsibilityId = cloneDeep(this.selectedResponsibilityId);
        selectedResponsibilityId.forEach((element) => {
            const foundResponsibility = respList.find((ele) => ele[this.respIdKey] === element);
            if (foundResponsibility) {
                data.push(foundResponsibility);
            }
        });
        if (this.selectedResponsibilityValues?.length > 0) {
            const newData = data.filter(element => !respValues.some((value) => value[this.respIdKey] === element[this.respIdKey]));
            this.selectedResponsibilityValues = [...respValues, ...newData];
        }
        else {
            this.selectedResponsibilityValues = data;
        }
        this.isValidObj = this.selectedResponsibilityValues
            ? Object.keys(this.selectedResponsibilityValues)?.length > 0
            : false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkResponsibilityListComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LinkResponsibilityListComponent, selector: "app-link-responsibility-list", inputs: { onCompletionOfResponsibility: "onCompletionOfResponsibility", feature: "feature", respIdKey: "respIdKey", selectedResponsibilityValues: "selectedResponsibilityValues", radioSelection: "radioSelection" }, outputs: { closeButton: "closeButton", selectedResponsibility: "selectedResponsibility" }, ngImport: i0, template: "<div class=\"frequency-responsibility-list\" [class.animate]=\"animation\">\n  <div\n    class=\"frequency-responsibility-list-head vx-p-3 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div class=\"vx-d-flex vx-align-center\">\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Responsibility</div>\n    </div>\n  </div>\n  <div class=\"frequency-responsibility-list-body\">\n    <div\n      *ngIf=\"responsibilitiesData?.allResponsibilityCount > 0\"\n      class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n    >\n      <ng-container *ngFor=\"let tab of responsibilityTabs; let i = index\">\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"currentTab === i + 1 || (currentTab === 0 && i === 3)\"\n          (click)=\"onClickTabChange(tab)\"\n          [class.pointer-none]=\"responsibilityLoader\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >{{ tab.name }}</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{\n                responsibilityTabCount[typeToCountProperty[tab.type]] || 0\n              }}</span\n            >\n          </div>\n        </div>\n      </ng-container>\n    </div>\n\n    <div class=\"frequency-responsibility-list-search vx-mb-2\">\n      <i class=\"icons vx-fs-12\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"responsibilitySearchText\"\n        (keyup.enter)=\"search()\"\n        placeholder=\"Search Responsibilities\"\n      />\n    </div>\n    <app-pagination\n      *ngIf=\"!responsibilityLoader && responsibilitiesData?.total_pages > 1\"\n      [start]=\"responsibilitiesData?.responsibilities_from\"\n      [end]=\"responsibilitiesData?.responsibilities_to\"\n      [total]=\"responsibilitiesData?.total_responsibilities\"\n      [pageCount]=\"responsibilitiesData?.total_pages\"\n      [currentPage]=\"responsibilityCurrentPage\"\n      (selectedPage)=\"responsibilityPageChange($event)\"\n    >\n    </app-pagination>\n    <app-loader-inline *ngIf=\"responsibilityLoader\"></app-loader-inline>\n    <div\n      class=\"frequency-responsibility-list-mid vx-mb-4\"\n      [class.with-pagination]=\"\n        !responsibilityLoader && responsibilitiesData?.total_pages > 1\n      \"\n    >\n      <app-no-data\n        *ngIf=\"\n          responsibilitiesData?.data?.length === 0 && !responsibilityLoader\n        \"\n        [noDataImage]=\"noDataImagePath\"\n        [noDataText]=\"noDataMessage\"\n      ></app-no-data>\n      <ng-container\n        *ngIf=\"responsibilitiesData?.data?.length > 0 && !responsibilityLoader\"\n      >\n        <div class=\"table-header\">\n          <div class=\"table-row\">\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              #\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITIES\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              *ngIf=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITY CENTER\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              PROGRAMS\n            </div>\n          </div>\n        </div>\n        <div class=\"table-body\">\n          <div\n            class=\"table-row\"\n            [class.active]=\"\n              selectedResponsibilityId?.includes(responsibility?.ReportId)\n            \"\n            *ngFor=\"\n              let responsibility of responsibilitiesData?.data;\n              let i = index\n            \"\n          >\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"responsibilitiesData?.responsibilities_from + i\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibilitiesData?.responsibilities_from + i }}\n              </div>\n              <app-cs-checkbox\n                [ngValue]=\"\n                  selectedResponsibilityId?.includes(responsibility?.ReportId)\n                \"\n                (ngValueChange)=\"selectResp(responsibility?.ReportId, $event)\"\n              >\n              </app-cs-checkbox>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              <div\n                class=\"value vx-fs-12 vx-label-txt vx-pr-5\"\n                [appTooltip]=\"responsibility?.ReportName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibility?.ControlId }} {{ responsibility?.ReportName }}\n              </div>\n            </div>\n\n            <div\n              *ngIf=\"\n                responsibility?.category_details_array[0]\n                  ?.category_name as categoryName\n              \"\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              <div class=\"program-inner vx-d-block\">\n                <div\n                  class=\"program-value vx-fs-11 vx-label-txt vx-pr-5\"\n                  [appTooltip]=\"\n                    responsibility?.category_details_array[0]?.category_name ??\n                    '--'\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ categoryName ?? \"--\" }}\n                </div>\n                <div\n                  *ngIf=\"\n                    responsibility?.category_details_array[0]\n                      ?.parent_category_name?.length\n                  \"\n                  class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                >\n                  <div\n                    class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                  >\n                    Within\n                  </div>\n                  <div\n                    *ngIf=\"\n                      responsibility?.category_details_array[0]?.parent_category_name\n                        ?.slice()\n                        ?.reverse()\n                        ?.join(' < ') as parent_category\n                    \"\n                    class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                    [appTooltip]=\"parent_category\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{ parent_category }}\n                  </div>\n                </div>\n              </div>\n              <button\n                *ngIf=\"responsibility?.category_details_array?.length >= 2\"\n                appPopover\n                (click)=\"programPopup.popover()\"\n                placement=\"right\"\n                class=\"program-count vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                +{{ responsibility?.category_details_array?.length - 1 }}\n              </button>\n              <app-popover #programPopup>\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li\n                      *ngFor=\"\n                        let subCategory of responsibility?.category_details_array\n                          | slice : 1\n                      \"\n                    >\n                      <div class=\"avatar-card\">\n                        <div class=\"vx-d-block vx-w-100\">\n                          <span\n                            class=\"value\"\n                            [appTooltip]=\"subCategory?.category_name\"\n                            placement=\"bottom-left\"\n                            delay=\"0\"\n                            type=\"black\"\n                            [tooltipMandatory]=\"true\"\n                            >{{ subCategory?.category_name }}</span\n                          >\n                          <div\n                            *ngIf=\"\n                              responsibility?.category_details_array[0]\n                                ?.parent_category_name?.length\n                            \"\n                            class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                          >\n                            <div\n                              class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                            >\n                              Within\n                            </div>\n                            <div\n                              *ngIf=\"\n                                responsibility?.category_details_array[0]?.parent_category_name\n                                  ?.slice()\n                                  ?.reverse()\n                                  ?.join(' < ') as parent_category\n                              \"\n                              class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                              [appTooltip]=\"parent_category\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"true\"\n                            >\n                              {{ parent_category }}\n                            </div>\n                          </div>\n                        </div>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n    <app-floating-bar\n      *ngIf=\"!responsibilityLoader\"\n      [selectedData]=\"isValidObj ? selectedResponsibilityValues : []\"\n      [displayElementKey]=\"'ReportName'\"\n      (closeList)=\"back()\"\n      (closeEvent)=\"save($event)\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"!isValidObj\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .frequency-responsibility-list{border-top:3px solid #1e5dd3;position:fixed;top:0;right:31.25rem;bottom:0;left:0}::ng-deep .frequency-responsibility-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .frequency-responsibility-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-responsibility-list-head .arrow{cursor:pointer}::ng-deep .frequency-responsibility-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:1.5rem .75rem 1.5rem 2rem}::ng-deep .frequency-responsibility-list-body app-pagination .wk-pagination-sec-ds{border-radius:0;padding:0 0 .5rem}::ng-deep .frequency-responsibility-list-body app-floating-bar .floating-bar{padding:0;position:relative;left:-1rem;width:calc(100% + 2rem)}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar{padding-left:0!important;padding-right:0!important}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar .userGroup-floating-bar-container .left .chip span{max-width:240px}::ng-deep .frequency-responsibility-list-search{position:relative}::ng-deep .frequency-responsibility-list-search input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .frequency-responsibility-list-search input::placeholder{color:#747576;opacity:1}::ng-deep .frequency-responsibility-list-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .frequency-responsibility-list-mid{height:calc(100vh - 17.5rem);overflow:auto}::ng-deep .frequency-responsibility-list-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .frequency-responsibility-list-mid.with-pagination{height:calc(100vh - 19.5rem)}::ng-deep .frequency-responsibility-list-mid .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .frequency-responsibility-list-mid .table-header .table-column{color:#161b2f!important;line-height:.75rem!important;min-height:1.875rem!important}::ng-deep .frequency-responsibility-list-mid .table-body{position:relative}::ng-deep .frequency-responsibility-list-mid .table-body .table-row{background:#fff;border-radius:.25rem;border:1px solid #f1f1f1;margin-bottom:.25rem}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial .sr-no,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial .sr-no{opacity:0}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .frequency-responsibility-list-mid .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .frequency-responsibility-list-mid .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-checkbox{position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-checkbox .radio-item{position:absolute}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-checkbox{display:flex}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility{width:calc(100% - 15.5rem);min-width:calc(100% - 15.5rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility.with-rc{width:calc(100% - 31rem);min-width:calc(100% - 31rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center{width:15.5rem;min-width:15.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program{width:13.5rem;min-width:13.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}@keyframes animate-right{0%{transform:translate(5px);opacity:0}to{transform:translate(0);opacity:1}}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkResponsibilityListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-link-responsibility-list', template: "<div class=\"frequency-responsibility-list\" [class.animate]=\"animation\">\n  <div\n    class=\"frequency-responsibility-list-head vx-p-3 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div class=\"vx-d-flex vx-align-center\">\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Responsibility</div>\n    </div>\n  </div>\n  <div class=\"frequency-responsibility-list-body\">\n    <div\n      *ngIf=\"responsibilitiesData?.allResponsibilityCount > 0\"\n      class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n    >\n      <ng-container *ngFor=\"let tab of responsibilityTabs; let i = index\">\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"currentTab === i + 1 || (currentTab === 0 && i === 3)\"\n          (click)=\"onClickTabChange(tab)\"\n          [class.pointer-none]=\"responsibilityLoader\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >{{ tab.name }}</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{\n                responsibilityTabCount[typeToCountProperty[tab.type]] || 0\n              }}</span\n            >\n          </div>\n        </div>\n      </ng-container>\n    </div>\n\n    <div class=\"frequency-responsibility-list-search vx-mb-2\">\n      <i class=\"icons vx-fs-12\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"responsibilitySearchText\"\n        (keyup.enter)=\"search()\"\n        placeholder=\"Search Responsibilities\"\n      />\n    </div>\n    <app-pagination\n      *ngIf=\"!responsibilityLoader && responsibilitiesData?.total_pages > 1\"\n      [start]=\"responsibilitiesData?.responsibilities_from\"\n      [end]=\"responsibilitiesData?.responsibilities_to\"\n      [total]=\"responsibilitiesData?.total_responsibilities\"\n      [pageCount]=\"responsibilitiesData?.total_pages\"\n      [currentPage]=\"responsibilityCurrentPage\"\n      (selectedPage)=\"responsibilityPageChange($event)\"\n    >\n    </app-pagination>\n    <app-loader-inline *ngIf=\"responsibilityLoader\"></app-loader-inline>\n    <div\n      class=\"frequency-responsibility-list-mid vx-mb-4\"\n      [class.with-pagination]=\"\n        !responsibilityLoader && responsibilitiesData?.total_pages > 1\n      \"\n    >\n      <app-no-data\n        *ngIf=\"\n          responsibilitiesData?.data?.length === 0 && !responsibilityLoader\n        \"\n        [noDataImage]=\"noDataImagePath\"\n        [noDataText]=\"noDataMessage\"\n      ></app-no-data>\n      <ng-container\n        *ngIf=\"responsibilitiesData?.data?.length > 0 && !responsibilityLoader\"\n      >\n        <div class=\"table-header\">\n          <div class=\"table-row\">\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              #\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITIES\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              *ngIf=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITY CENTER\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              PROGRAMS\n            </div>\n          </div>\n        </div>\n        <div class=\"table-body\">\n          <div\n            class=\"table-row\"\n            [class.active]=\"\n              selectedResponsibilityId?.includes(responsibility?.ReportId)\n            \"\n            *ngFor=\"\n              let responsibility of responsibilitiesData?.data;\n              let i = index\n            \"\n          >\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"responsibilitiesData?.responsibilities_from + i\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibilitiesData?.responsibilities_from + i }}\n              </div>\n              <app-cs-checkbox\n                [ngValue]=\"\n                  selectedResponsibilityId?.includes(responsibility?.ReportId)\n                \"\n                (ngValueChange)=\"selectResp(responsibility?.ReportId, $event)\"\n              >\n              </app-cs-checkbox>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              <div\n                class=\"value vx-fs-12 vx-label-txt vx-pr-5\"\n                [appTooltip]=\"responsibility?.ReportName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibility?.ControlId }} {{ responsibility?.ReportName }}\n              </div>\n            </div>\n\n            <div\n              *ngIf=\"\n                responsibility?.category_details_array[0]\n                  ?.category_name as categoryName\n              \"\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              <div class=\"program-inner vx-d-block\">\n                <div\n                  class=\"program-value vx-fs-11 vx-label-txt vx-pr-5\"\n                  [appTooltip]=\"\n                    responsibility?.category_details_array[0]?.category_name ??\n                    '--'\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ categoryName ?? \"--\" }}\n                </div>\n                <div\n                  *ngIf=\"\n                    responsibility?.category_details_array[0]\n                      ?.parent_category_name?.length\n                  \"\n                  class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                >\n                  <div\n                    class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                  >\n                    Within\n                  </div>\n                  <div\n                    *ngIf=\"\n                      responsibility?.category_details_array[0]?.parent_category_name\n                        ?.slice()\n                        ?.reverse()\n                        ?.join(' < ') as parent_category\n                    \"\n                    class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                    [appTooltip]=\"parent_category\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{ parent_category }}\n                  </div>\n                </div>\n              </div>\n              <button\n                *ngIf=\"responsibility?.category_details_array?.length >= 2\"\n                appPopover\n                (click)=\"programPopup.popover()\"\n                placement=\"right\"\n                class=\"program-count vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                +{{ responsibility?.category_details_array?.length - 1 }}\n              </button>\n              <app-popover #programPopup>\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li\n                      *ngFor=\"\n                        let subCategory of responsibility?.category_details_array\n                          | slice : 1\n                      \"\n                    >\n                      <div class=\"avatar-card\">\n                        <div class=\"vx-d-block vx-w-100\">\n                          <span\n                            class=\"value\"\n                            [appTooltip]=\"subCategory?.category_name\"\n                            placement=\"bottom-left\"\n                            delay=\"0\"\n                            type=\"black\"\n                            [tooltipMandatory]=\"true\"\n                            >{{ subCategory?.category_name }}</span\n                          >\n                          <div\n                            *ngIf=\"\n                              responsibility?.category_details_array[0]\n                                ?.parent_category_name?.length\n                            \"\n                            class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                          >\n                            <div\n                              class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                            >\n                              Within\n                            </div>\n                            <div\n                              *ngIf=\"\n                                responsibility?.category_details_array[0]?.parent_category_name\n                                  ?.slice()\n                                  ?.reverse()\n                                  ?.join(' < ') as parent_category\n                              \"\n                              class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                              [appTooltip]=\"parent_category\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"true\"\n                            >\n                              {{ parent_category }}\n                            </div>\n                          </div>\n                        </div>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n    <app-floating-bar\n      *ngIf=\"!responsibilityLoader\"\n      [selectedData]=\"isValidObj ? selectedResponsibilityValues : []\"\n      [displayElementKey]=\"'ReportName'\"\n      (closeList)=\"back()\"\n      (closeEvent)=\"save($event)\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"!isValidObj\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .frequency-responsibility-list{border-top:3px solid #1e5dd3;position:fixed;top:0;right:31.25rem;bottom:0;left:0}::ng-deep .frequency-responsibility-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .frequency-responsibility-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-responsibility-list-head .arrow{cursor:pointer}::ng-deep .frequency-responsibility-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:1.5rem .75rem 1.5rem 2rem}::ng-deep .frequency-responsibility-list-body app-pagination .wk-pagination-sec-ds{border-radius:0;padding:0 0 .5rem}::ng-deep .frequency-responsibility-list-body app-floating-bar .floating-bar{padding:0;position:relative;left:-1rem;width:calc(100% + 2rem)}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar{padding-left:0!important;padding-right:0!important}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar .userGroup-floating-bar-container .left .chip span{max-width:240px}::ng-deep .frequency-responsibility-list-search{position:relative}::ng-deep .frequency-responsibility-list-search input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .frequency-responsibility-list-search input::placeholder{color:#747576;opacity:1}::ng-deep .frequency-responsibility-list-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .frequency-responsibility-list-mid{height:calc(100vh - 17.5rem);overflow:auto}::ng-deep .frequency-responsibility-list-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .frequency-responsibility-list-mid.with-pagination{height:calc(100vh - 19.5rem)}::ng-deep .frequency-responsibility-list-mid .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .frequency-responsibility-list-mid .table-header .table-column{color:#161b2f!important;line-height:.75rem!important;min-height:1.875rem!important}::ng-deep .frequency-responsibility-list-mid .table-body{position:relative}::ng-deep .frequency-responsibility-list-mid .table-body .table-row{background:#fff;border-radius:.25rem;border:1px solid #f1f1f1;margin-bottom:.25rem}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial .sr-no,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial .sr-no{opacity:0}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .frequency-responsibility-list-mid .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .frequency-responsibility-list-mid .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-checkbox{position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-checkbox .radio-item{position:absolute}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-checkbox{display:flex}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility{width:calc(100% - 15.5rem);min-width:calc(100% - 15.5rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility.with-rc{width:calc(100% - 31rem);min-width:calc(100% - 31rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center{width:15.5rem;min-width:15.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program{width:13.5rem;min-width:13.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}@keyframes animate-right{0%{transform:translate(5px);opacity:0}to{transform:translate(0);opacity:1}}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { onCompletionOfResponsibility: [{
                type: Input
            }], feature: [{
                type: Input
            }], respIdKey: [{
                type: Input
            }], selectedResponsibilityValues: [{
                type: Input
            }], radioSelection: [{
                type: Input
            }], closeButton: [{
                type: Output
            }], selectedResponsibility: [{
                type: Output
            }] } });

class LinkedResponsibilitiesComponent {
    constructor() {
        this.ASSETS = ASSETS;
        this.reportTexts = REPORT_CASE;
        this.linkText = '';
        this.respSelected = false;
        this.fieldSelector = FIELD_SELECTOR;
        this.openedFrom = '';
        this.isLinkQuestionVisible = false;
        this.fieldSelected = '';
        this.fieldClicked = new EventEmitter();
    }
    ngOnInit() {
        this.setLink();
    }
    setLink() {
        if (['ASSESSMENT'].includes(this.openedFrom) ||
            this.isLinkQuestionVisible) {
            this.linkText = 'Linked Responsibility';
        }
        else if (['COMPLIANCE_WORKROOM'].includes(this.openedFrom) ||
            this.payload?.responsibilityLinked?.length) {
            this.linkText = 'Linked Responsibilities';
        }
        else {
            this.linkText = 'Link Responsibilities';
        }
    }
    activateSelector(active) {
        this.respSelected = active;
        if (active) {
            this.fieldClicked.emit('LINK_MORE_RESPONSIBILITY');
        }
        else {
            this.fieldClicked.emit('');
        }
    }
    selectResponsibility(resp) {
        this.payload.responsibilities_Linked = resp;
    }
    deleteItem(element) {
        const itemIndex = this.payload?.responsibilities_Linked?.findIndex((item) => item?.ReportId === element?.ReportId);
        if (itemIndex > -1) {
            this.payload?.responsibilities_Linked?.splice(itemIndex, 1);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkedResponsibilitiesComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LinkedResponsibilitiesComponent, selector: "app-linked-responsibilities", inputs: { openedFrom: "openedFrom", isLinkQuestionVisible: "isLinkQuestionVisible", payload: "payload", fieldSelected: "fieldSelected", responsibilityData: "responsibilityData" }, outputs: { fieldClicked: "fieldClicked" }, ngImport: i0, template: `
    <app-field-holder
      [image]="ASSETS.link_items"
      [active]="respSelected"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="true"
    >
      <ng-container field>
        <label class="vx-control-panel"
          >{{ linkText }}
          <button
            class="button"
            *ngIf="['COMPLIANCE_WORKROOM'].includes(openedFrom)"
            (click)="activateSelector(true)"
          >
            Link More Responsibilities
          </button>
        </label>
        <input
          type="text"
          placeholder="Select responsibilities that are linked to this issue"
          readonly
          *ngIf="
            !['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) &&
            !payload?.responsibilities_Linked?.length
          "
          (click)="activateSelector(true)"
        />
        <div
          class="selected"
          *ngIf="
            ['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) ||
            payload?.responsibilities_Linked?.length
          "
        >
          <div class="chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2">
            <span
              *ngIf="
                ['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) &&
                responsibilityData?.responsibilityName
              "
              class="chipName vx-fs-11 vx-label-txt full-width"
              [appTooltip]="responsibilityData?.responsibilityName"
              placement="bottom-left"
              delay="0"
              type="black"
              [tooltipMandatory]="false"
              >{{ responsibilityData?.responsibilityName }}</span
            >
            <i
              class="icons cross vx-fs-10 vx-paragraph-txt vx-mr-1"
              *ngIf="!['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom)"
              (click)="
                deleteItem(
                  'LINK_MORE_RESPONSIBILITY',
                  payload?.responsibilityLinked[0]
                )
              "
              >&#xe9ae;</i
            >
            <span
              *ngIf="
                !['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) &&
                payload?.responsibilities_Linked?.length
              "
              class="chipName vx-fs-11 vx-label-txt"
              [appTooltip]="payload?.responsibilities_Linked[0]?.ReportName"
              placement="bottom-left"
              delay="0"
              type="black"
              [tooltipMandatory]="false"
              >{{ payload?.responsibilities_Linked[0]?.ReportName }}</span
            >
            <button
              *ngIf="
                (['COMPLIANCE_WORKROOM'].includes(openedFrom) &&
                  payload?.responsibilities_Linked?.length) ||
                payload?.responsibilities_Linked?.length > 1
              "
              class="countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4"
              appPopover
              (click)="linkResp.popover()"
              placement="right"
            >
              +{{
                !['COMPLIANCE_WORKROOM'].includes(openedFrom)
                  ? payload?.responsibilities_Linked?.length - 1
                  : payload?.responsibilities_Linked?.length
              }}
            </button>
          </div>
          <button
            *ngIf="
              activeField !== 'LINK_MORE_RESPONSIBILITY' &&
              payload?.responsibilities_Linked?.length
            "
            class="edit"
            type="button"
            (click)="activateSelector(true)"
          >
            <i class="icons">&#xe9ba;</i>Edit
          </button>
        </div>
        <app-popover #linkResp [dontCloseonClick]="true">
          <div class="wf-action-list">
            <ul class="action-item">
              <li
                *ngFor="
                  let resp of payload?.responsibilities_Linked
                    | slice
                      : (!['COMPLIANCE_WORKROOM'].includes(openedFrom) ? 1 : 0)
                "
              >
                <div class="avatar-card">
                  <span class="value">
                    <i class="icons" (click)="deleteItem(resp)">&#xe90d;</i>
                    {{ resp?.ReportName }}
                  </span>
                </div>
              </li>
            </ul>
          </div>
        </app-popover>
      </ng-container>
    </app-field-holder>
    <app-link-responsibility-list
      *ngIf="respSelected"
      [selectedResponsibilityValues]="payload?.responsibilities_Linked"
      (closeButton)="activateSelector(false)"
      [respIdKey]="'ReportId'"
      [radioSelection]="false"
      (selectedResponsibility)="selectResponsibility($event)"
    ></app-link-responsibility-list>
  `, isInline: true, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: LinkResponsibilityListComponent, selector: "app-link-responsibility-list", inputs: ["onCompletionOfResponsibility", "feature", "respIdKey", "selectedResponsibilityValues", "radioSelection"], outputs: ["closeButton", "selectedResponsibility"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkedResponsibilitiesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-linked-responsibilities', template: `
    <app-field-holder
      [image]="ASSETS.link_items"
      [active]="respSelected"
      [disabled]="fieldSelector?.includes(fieldSelected)"
      [checked]="true"
    >
      <ng-container field>
        <label class="vx-control-panel"
          >{{ linkText }}
          <button
            class="button"
            *ngIf="['COMPLIANCE_WORKROOM'].includes(openedFrom)"
            (click)="activateSelector(true)"
          >
            Link More Responsibilities
          </button>
        </label>
        <input
          type="text"
          placeholder="Select responsibilities that are linked to this issue"
          readonly
          *ngIf="
            !['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) &&
            !payload?.responsibilities_Linked?.length
          "
          (click)="activateSelector(true)"
        />
        <div
          class="selected"
          *ngIf="
            ['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) ||
            payload?.responsibilities_Linked?.length
          "
        >
          <div class="chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2">
            <span
              *ngIf="
                ['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) &&
                responsibilityData?.responsibilityName
              "
              class="chipName vx-fs-11 vx-label-txt full-width"
              [appTooltip]="responsibilityData?.responsibilityName"
              placement="bottom-left"
              delay="0"
              type="black"
              [tooltipMandatory]="false"
              >{{ responsibilityData?.responsibilityName }}</span
            >
            <i
              class="icons cross vx-fs-10 vx-paragraph-txt vx-mr-1"
              *ngIf="!['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom)"
              (click)="
                deleteItem(
                  'LINK_MORE_RESPONSIBILITY',
                  payload?.responsibilityLinked[0]
                )
              "
              >&#xe9ae;</i
            >
            <span
              *ngIf="
                !['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom) &&
                payload?.responsibilities_Linked?.length
              "
              class="chipName vx-fs-11 vx-label-txt"
              [appTooltip]="payload?.responsibilities_Linked[0]?.ReportName"
              placement="bottom-left"
              delay="0"
              type="black"
              [tooltipMandatory]="false"
              >{{ payload?.responsibilities_Linked[0]?.ReportName }}</span
            >
            <button
              *ngIf="
                (['COMPLIANCE_WORKROOM'].includes(openedFrom) &&
                  payload?.responsibilities_Linked?.length) ||
                payload?.responsibilities_Linked?.length > 1
              "
              class="countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4"
              appPopover
              (click)="linkResp.popover()"
              placement="right"
            >
              +{{
                !['COMPLIANCE_WORKROOM'].includes(openedFrom)
                  ? payload?.responsibilities_Linked?.length - 1
                  : payload?.responsibilities_Linked?.length
              }}
            </button>
          </div>
          <button
            *ngIf="
              activeField !== 'LINK_MORE_RESPONSIBILITY' &&
              payload?.responsibilities_Linked?.length
            "
            class="edit"
            type="button"
            (click)="activateSelector(true)"
          >
            <i class="icons">&#xe9ba;</i>Edit
          </button>
        </div>
        <app-popover #linkResp [dontCloseonClick]="true">
          <div class="wf-action-list">
            <ul class="action-item">
              <li
                *ngFor="
                  let resp of payload?.responsibilities_Linked
                    | slice
                      : (!['COMPLIANCE_WORKROOM'].includes(openedFrom) ? 1 : 0)
                "
              >
                <div class="avatar-card">
                  <span class="value">
                    <i class="icons" (click)="deleteItem(resp)">&#xe90d;</i>
                    {{ resp?.ReportName }}
                  </span>
                </div>
              </li>
            </ul>
          </div>
        </app-popover>
      </ng-container>
    </app-field-holder>
    <app-link-responsibility-list
      *ngIf="respSelected"
      [selectedResponsibilityValues]="payload?.responsibilities_Linked"
      (closeButton)="activateSelector(false)"
      [respIdKey]="'ReportId'"
      [radioSelection]="false"
      (selectedResponsibility)="selectResponsibility($event)"
    ></app-link-responsibility-list>
  `, styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], propDecorators: { openedFrom: [{
                type: Input
            }], isLinkQuestionVisible: [{
                type: Input
            }], payload: [{
                type: Input
            }], fieldSelected: [{
                type: Input
            }], responsibilityData: [{
                type: Input
            }], fieldClicked: [{
                type: Output
            }] } });

class WorkflowCaseComponent {
    constructor(reportACaseService, uiKitService, organizationUserService, responsibilityService, complianceCommonService, iframeService) {
        this.reportACaseService = reportACaseService;
        this.uiKitService = uiKitService;
        this.organizationUserService = organizationUserService;
        this.responsibilityService = responsibilityService;
        this.complianceCommonService = complianceCommonService;
        this.iframeService = iframeService;
        this.reportTexts = REPORT_CASE;
        this.ASSETS = ASSETS;
        this.caseType = report;
        this.caseTypeSelected = report.REPORT_CASE;
        this.payload = JSON.parse(JSON.stringify(REPORT_CASE_PAYLOAD));
        this.params = WORKFLOW_DETAILS_PARAMS;
        this.validationError = VALIDATION_ERROR;
        this.riskClassification = RISK_CLASSIFICATION;
        this.addToCasePayload = JSON.parse(JSON.stringify(ADD_TO_CASE_WORKFLOW));
        this.exceptionType = EXCEPTION_TYPE;
        this.oversight_config = OVERSIGHT_SELECTOR_CONFIG;
        this.smileyMessage = SMILEY_MESSAGE;
        this.actionButtons = ACTION_BUTTONS;
        this.sideSelectorElements = SIDE_SELECTOR_ELEMENTS;
        this.additionalOptionStatus = ADDITIONAL_OPTION_STATUS;
        this.fieldSelector = FIELD_SELECTOR;
        this.fieldClicked = '';
        this.activeField = '';
        this.activeSelector = '';
        this.showSmiley = false;
        this.scrollToBottom = false;
        this.groupList = [];
        this.userList = [];
        this.selectedOversights = {
            cc_list: [],
            cc_failures_list: [],
        };
        this.loader = {
            userListLoader: false,
            typeLoader: false,
            priorityLoader: false,
            caseLoader: false,
            groupListLoader: false,
            reportCaseLoader: false,
            permissionLoader: false,
        };
        this.caseTypePermission = false;
        this.closeWorkflow = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.caseReportedBy = new EventEmitter();
        this.userListEmitter = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.pickerChanged = new EventEmitter();
        this.permissionLoader();
    }
    ngOnDestroy() {
        this.resetForm();
    }
    ngOnInit() {
        this.getUserList();
        this.getGroupList();
        if (this.workflowType === 'ACTW') {
            this.additionalOptionStatus = { ...ADDITIONAL_OPTION_STATUS };
        }
        if (this.mode === 'EDIT') {
            this.getCaseDetails();
        }
        this.pickerChanged.emit(false);
    }
    permissionLoader() {
        this.reportACaseService.caseTypeLoader.subscribe((res) => {
            this.loader.permissionLoader = res;
        });
    }
    getUserList() {
        this.loader.userListLoader = true;
        this.organizationUserService.getOrganizationUsers().subscribe((res) => {
            this.userList = res;
            this.userListEmitter.emit(res);
            if (this.mode === 'EDIT' &&
                this.caseTypeSelected === report.ADD_CASE_TO_WORKFLOW) {
                this.populateOversights();
            }
            this.loader.userListLoader = false;
        });
    }
    getGroupList() {
        this.loader.groupListLoader = true;
        this.responsibilityService.getOrganizationGroups().subscribe((res) => {
            this.groupList = res;
            this.loader.groupListLoader = false;
        });
    }
    getCaseDetails() {
        this.loader.caseLoader = true;
        this.reportACaseService
            .getCaseDetails(this.caseId)
            .subscribe((res) => {
            this.caseReportedBy.emit(res?.data?.created_by);
            this.setCaseDetails(res);
            this.loader.caseLoader = false;
        });
    }
    setCaseDetails(res) {
        if (res?.data?.added_to_workflow || this.workflowType === 'ACTW') {
            this.caseTypeSelected = report.ADD_CASE_TO_WORKFLOW;
            this.populateAddCasePayload(res?.data);
            this.getWorkflowDetails(res?.data);
        }
        else {
            this.caseTypeSelected = report.REPORT_CASE;
            this.populateReportCasePayload(res?.data);
        }
    }
    // edit case
    getWorkflowDetails(data) {
        this.params.case_type.id = data?.case_type?.id;
        this.params.priority.id = data?.priority?.id;
        this.params.rc_details.id =
            data?.rc_details?.main_rc_id || data?.rc_details?.ids?.[0];
        this.params.category.id = data?.category?.ids[0];
        this.reportACaseService.getWorkflowDetails(this.params);
    }
    populateReportCasePayload(data) {
        this.payload.name = data?.name;
        this.payload.description = data?.description;
        this.payload.occurrence_date = new Date(data?.occurrence_date);
        this.payload.priority = data?.priority;
        this.payload.case_type = data?.case_type;
        this.payload.rc_details = data?.rc_details;
        this.payload.receive_updates = data?.receive_updates;
        this.payload.supporting_documents = data?.supporting_documents;
        this.payload.category = data?.category;
    }
    populateAddCasePayload(data) {
        this.reportACaseService.workflowCode.next('ACW');
        this.addToCasePayload.name = data?.name;
        this.addToCasePayload.description = data?.description;
        this.addToCasePayload.priority = data?.priority;
        this.addToCasePayload.occurrence_date = new Date(data?.occurrence_date);
        this.addToCasePayload.case_type = data?.case_type;
        this.addToCasePayload.rc_details = data?.rc_details;
        this.addToCasePayload.risk_class = data?.risk_class;
        if (this.workflowType === 'ACTW') {
            this.addToCasePayload.additional_category = data?.category;
        }
        else {
            this.addToCasePayload.category = data?.category;
            this.addToCasePayload.additional_category = data?.additional_category;
        }
        if (data?.caseToWorkflow) {
            this.populateAdditionalFields(data?.caseToWorkflow);
            this.populateResolutionDeadline(data?.caseToWorkflow);
            this.populateUserDetails(data?.caseToWorkflow);
            this.setOptionalField(data?.caseToWorkflow, data?.risk_class);
        }
    }
    populateUserDetails(data) {
        this.addToCasePayload.caseToWorkflow.assignees_group =
            data?.assignees_group;
        this.addToCasePayload.caseToWorkflow.owners = data?.owners;
        this.addToCasePayload.caseToWorkflow.assignees = data?.assignees;
        this.addToCasePayload.caseToWorkflow.workflow_id = data?.workflow_id;
        this.addToCasePayload.caseToWorkflow.assignees_group =
            data?.assignees_group;
    }
    populateResolutionDeadline(data) {
        this.addToCasePayload.caseToWorkflow.resolution_deadline =
            data?.resolution_deadline;
        const date = new Date(data?.resolution_deadline?.due_date);
        date.setDate(date.getDate() - 1);
        date.setHours(0, 0, 0, 0);
        this.addToCasePayload.caseToWorkflow.resolution_deadline.due_date =
            date.toISOString();
        this.addToCasePayload?.caseToWorkflow?.resolution_deadline?.stages_assignees?.forEach((stage) => {
            stage.due_date = date.toISOString();
        });
    }
    populateAdditionalFields(data) {
        this.addToCasePayload.caseToWorkflow.exception_type = data?.exception_type;
        this.addToCasePayload.caseToWorkflow.associated_risks =
            data?.associated_risks;
        this.addToCasePayload.caseToWorkflow.evidence_enabled =
            data?.evidence_enabled;
        this.addToCasePayload.caseToWorkflow.recommendations =
            data?.recommendations;
        this.addToCasePayload.caseToWorkflow.oversights.cc_ids =
            data?.oversights?.cc_ids;
        this.addToCasePayload.caseToWorkflow.oversights.cc_failures_ids =
            data?.oversights?.cc_failures_ids;
        this.populateOversights();
    }
    populateOversights() {
        this.selectedOversights.cc_list = this.userList?.filter((user) => this.addToCasePayload.caseToWorkflow.oversights.cc_ids?.includes(user?._id));
        this.selectedOversights.cc_failures_list = this.userList?.filter((user) => this.addToCasePayload.caseToWorkflow.oversights.cc_failures_ids?.includes(user?._id));
    }
    setOptionalField(data, riskClass) {
        this.additionalOptionStatus = {
            EXCEPTION_TYPE: data?.exception_type ? true : false,
            EVIDENCE: data?.evidence_enabled ? true : false,
            ASSOCIATED_RISKS: data?.associated_risks?.text?.length ? true : false,
            OVERSIGHT: data?.oversights?.cc_ids?.length > 0 ||
                data?.oversights?.cc_failures_ids?.length > 0
                ? true
                : false,
            RECOMMENDED_ACTIONS: data?.recommendations?.text?.length > 0 ? true : false,
            RISK_CLASSIFICATION: riskClass ? true : false,
        };
        this.populateOptionalFields();
    }
    populateOptionalFields() {
        const activatedOptions = [];
        for (const key of Object.keys(this.additionalOptionStatus)) {
            if (this.additionalOptionStatus[key] === true) {
                activatedOptions.push(key);
            }
        }
        this.populateOption.emit(activatedOptions);
    }
    // Change in case type
    onCaseTypeChange(caseType) {
        this.caseTypeSelected = caseType;
        this.complianceCommonService.rcList?.next(null);
        if (caseType === report.REPORT_CASE) {
            this.resetForm();
            this.reportACaseService.workflowCode.next('RAC');
        }
        else if (caseType === report.ADD_CASE_TO_WORKFLOW) {
            this.resetForm();
            this.reportACaseService.workflowCode.next('ACW');
        }
        this.additionalOptionStatus = { ...ADDITIONAL_OPTION_STATUS };
        this.reportACaseService.resetMoreOption.next(true);
    }
    saveSupportingDocument(event) {
        const document = event?.files;
        this.payload.supporting_documents = [...document];
    }
    onCategoryChange(event) {
        this.params.category.id = event[0];
        if (this.caseTypeSelected === report.ADD_CASE_TO_WORKFLOW) {
            this.reportACaseService.getWorkflowDetails(this.params);
        }
    }
    onPriorityChange(event) {
        this.params.priority.id = event;
        if (this.caseTypeSelected === report.ADD_CASE_TO_WORKFLOW) {
            this.reportACaseService.getWorkflowDetails(this.params);
        }
    }
    onRcChange(event) {
        this.params.rc_details.id = event;
        if (this.caseTypeSelected === report.ADD_CASE_TO_WORKFLOW) {
            this.reportACaseService.getWorkflowDetails(this.params);
        }
        this.pickerToggle(false);
    }
    onCaseTypeDropdownChange(event) {
        this.params.case_type.id = event;
        if (this.caseTypeSelected === report.ADD_CASE_TO_WORKFLOW) {
            this.reportACaseService.getWorkflowDetails(this.params);
        }
    }
    reportCase() {
        if (this.openedFrom === 'COMPLIANCE_WORKROOM' || this.openedFrom === 'ASSESSMENT') {
            this.filterResponsibilities(this.payload);
            this.filterAssessment(this.payload);
        }
        const isValid = this.checkValidation(this.payload);
        if (!isValid)
            return;
        if (this.mode === 'EDIT') {
            this.updateCase();
        }
        else {
            this.loader.reportCaseLoader = true;
            this.reportACaseService.reportACase(this.payload).subscribe({
                next: (res) => {
                    this.caseData = { ...res?.data, source: this.source };
                    this.showSmiley = true;
                    this.uiKitService.isSmileyOn = true;
                    this.loader.reportCaseLoader = false;
                },
                error: (err) => {
                    console.log(err, 'err');
                    this.loader.reportCaseLoader = false;
                },
            });
        }
    }
    updateCase() {
        this.loader.reportCaseLoader = true;
        this.reportACaseService.updateCase(this.payload, this.caseId).subscribe({
            next: (res) => {
                this.caseData = { ...res?.data, source: this.source };
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.loader.reportCaseLoader = false;
            },
            error: (err) => {
                this.loader.reportCaseLoader = false;
            },
        });
    }
    // Check validation for report a case
    checkValidation(payload) {
        return (this.validateName(payload.name) &&
            this.validateDescription(payload.description.text) &&
            this.validateCaseType(payload.case_type.id) &&
            this.validateReportDate(payload.occurrence_date));
    }
    checkAddToCaseValidation(payload) {
        return (this.validateName(payload?.name) &&
            this.validateDescription(payload?.description?.text) &&
            this.validateRc(payload) &&
            this.validateCaseType(payload?.case_type?.id) &&
            this.validateCasePriority(payload?.priority?.id) &&
            this.validateCaseOwner(payload?.caseToWorkflow?.owners) &&
            (this.validateCaseAssignee(payload?.caseToWorkflow?.assignees) ||
                this.validateCaseAssigneeGroup(payload?.caseToWorkflow?.assignees_group)) &&
            this.validateCaseResolutionDeadline(payload?.caseToWorkflow?.resolution_deadline));
    }
    validateName(name) {
        if (!name) {
            this.validationError.name.isError = true;
            this.validationError.name.message = this.reportTexts.errorMessage.name;
            return false;
        }
        return true;
    }
    validateDescription(description) {
        if (!description) {
            this.validationError.description.isError = true;
            this.validationError.description.message =
                this.reportTexts.errorMessage.description;
            return false;
        }
        return true;
    }
    validateCaseType(caseType) {
        if (!caseType) {
            this.validationError.caseType.isError = true;
            this.validationError.caseType.message =
                this.reportTexts.errorMessage.caseType;
            return false;
        }
        return true;
    }
    validateReportDate(reportDate) {
        if (!reportDate) {
            this.validationError.reportDate.isError = true;
            this.validationError.reportDate.message =
                this.reportTexts.errorMessage.reportDate;
            return false;
        }
        return true;
    }
    validateCasePriority(priority) {
        if (!priority) {
            this.validationError.priority.isError = true;
            this.validationError.priority.message =
                this.reportTexts.errorMessage.priority;
            return false;
        }
        return true;
    }
    validateRc(payload) {
        if (!payload?.rc_details?.ids?.length) {
            this.validationError.rc.isError = true;
            this.validationError.rc.message = this.reportTexts.errorMessage.rc;
            return false;
        }
        if (payload?.rc_details?.ids?.length > 1 &&
            !payload?.rc_details?.separate_rc_cases &&
            !payload?.rc_details?.main_rc_id) {
            this.validationError.mainRc.isError = true;
            this.validationError.mainRc.message =
                this.reportTexts.errorMessage.mainRc;
            return false;
        }
        return true;
    }
    validateCaseOwner(owners) {
        if (!owners?.length) {
            this.validationError.caseOwner.isError = true;
            this.validationError.caseOwner.message =
                this.reportTexts.errorMessage.caseOwner;
            return false;
        }
        return true;
    }
    validateCaseAssignee(assignees) {
        if (!assignees?.length) {
            if (!this.addToCasePayload?.caseToWorkflow?.assignees_group?.length) {
                this.validationError.caseAssignee.isError = true;
                this.validationError.caseAssignee.message =
                    this.reportTexts.errorMessage.caseAssignee;
                return false;
            }
        }
        return true;
    }
    validateCaseAssigneeGroup(assignees_group) {
        if (!assignees_group?.length) {
            if (!this.addToCasePayload?.caseToWorkflow?.assignees?.length) {
                this.validationError.caseAssignee.isError = true;
                this.validationError.caseAssignee.message =
                    this.reportTexts.errorMessage.caseAssignee;
                return false;
            }
        }
        return true;
    }
    validateCaseResolutionDeadline(resolutionDeadline) {
        let caseAssignee = true;
        resolutionDeadline?.stages_assignees?.forEach((stage) => {
            if (!stage?.assignee_id) {
                caseAssignee = false;
            }
        });
        if (!resolutionDeadline?.due_date || !caseAssignee) {
            this.validationError.caseResolutionDeadline.isError = true;
            this.validationError.caseResolutionDeadline.message =
                this.reportTexts.errorMessage.caseResolutionDeadline;
            return false;
        }
        return true;
    }
    // field selector and de-selector
    onFieldClicked(event) {
        this.fieldClicked = event;
        this.pickerToggle(event ? true : false);
    }
    addMoreInfo(event) {
        this.additionalOptionStatus[event.code] = event.checked;
        this.scrollToBottom = true;
    }
    setActiveFieldSelector(field, type) {
        this.activeField = field;
        this.activeSelector = type;
        this.fieldClicked = field;
        this.pickerToggle(true);
    }
    fieldDeselector(type) {
        this.activeSelector = '';
        this.activeField = '';
        this.fieldClicked = '';
        this.pickerToggle(false);
    }
    pickerToggle(type) {
        this.pickerChanged.emit(type);
    }
    // Add Case to workflow
    setException(type) {
        this.addToCasePayload.caseToWorkflow.exception_type = type;
    }
    checkDescription() {
        console.log(this.addToCasePayload?.caseToWorkflow?.associated_risks?.text, 'text');
    }
    selectFile(type, files) {
        switch (type) {
            case 'ASSOCIATED_RISKS': {
                for (let i = 0; i <= files.length - 1; i++) {
                    const name = files[i].file.name ?? '';
                    // this.addToCasePayload.associated_risks.attachments.push(name);
                    this.uploadFile(files[i].file, type);
                }
                break;
            }
        }
    }
    uploadFile(file, type) {
        console.log(file, type, 'file');
    }
    setEvidence(value) {
        this.addToCasePayload.caseToWorkflow.evidence_enabled = value;
    }
    deleteItem(type, element) {
        switch (type) {
            case 'CASE_CC': {
                const itemIndex = this.selectedOversights.cc_list?.findIndex((item) => item?.employee_email === element?.employee_email);
                if (itemIndex !== -1) {
                    this.selectedOversights.cc_list?.splice(itemIndex, 1);
                }
                break;
            }
            case 'CASE_FCC': {
                const itemIndex = this.selectedOversights.cc_failures_list?.findIndex((item) => item?.employee_email === element?.employee_email);
                if (itemIndex !== -1) {
                    this.selectedOversights.cc_failures_list?.splice(itemIndex, 1);
                }
                break;
            }
        }
    }
    selectorAction(evt, type) {
        switch (type) {
            case 'CASE_CC': {
                this.selectedOversights.cc_list = evt;
                this.getCcUsers(evt, 'cc');
                this.fieldDeselector(type);
                break;
            }
            case 'CASE_FCC': {
                this.selectedOversights.cc_failures_list = evt;
                this.getCcUsers(evt, 'fcc');
                this.fieldDeselector(type);
                break;
            }
        }
        this.activeSelector = '';
        this.fieldClicked = '';
        this.pickerToggle(false);
    }
    getCcUsers(evt, type) {
        const userList = this.userList?.filter((user) => evt?.includes(user?.employee_email));
        if (type === 'cc') {
            this.selectedOversights.cc_list = userList;
        }
        else {
            this.selectedOversights.cc_failures_list = userList;
        }
    }
    filterOversights() {
        this.addToCasePayload.caseToWorkflow.oversights.cc_ids =
            this.selectedOversights.cc_list
                ?.map((item) => item?._id)
                ?.filter(Boolean);
        this.addToCasePayload.caseToWorkflow.oversights.cc_failures_ids =
            this.selectedOversights.cc_failures_list
                ?.map((item) => item?._id)
                ?.filter(Boolean);
    }
    filterResponsibilities(payload) {
        if (this.openedFrom === 'COMPLIANCE_WORKROOM') {
            this.payload.source = this.source;
            payload.responsibilities_Linked = payload?.responsibilities_Linked?.map((item) => {
                return item?.EncryptedReportId;
            });
            payload.responsibilities_Linked.push(this.responsibilityData?.responsibilityObjectId);
        }
    }
    filterAssessment(payload) {
        if (this.openedFrom === 'ASSESSMENT' ||
            this.openedFrom === 'COMPLIANCE_WORKROOM') {
            this.payload.source = this.source;
            payload.linked_assessment_issues.resp_id = this.source
                ? this.responsibilityData?.responsibilityObjectId
                : '';
            payload.linked_assessment_issues.due_date_id =
                this.assessmentQuestion?.dueDateId;
            payload.linked_assessment_issues.assessment_id =
                this.assessmentQuestion?.assessmentId;
            payload.linked_assessment_issues.question_id =
                this.assessmentQuestion?.questionId;
            payload.linked_assessment_issues.auditee_id =
                this.assessmentQuestion?.auditeeId;
            payload.responsibilities_Linked = [
                this.responsibilityData?.responsibilityObjectId,
            ];
            payload.source = this.source;
        }
    }
    formatDueDate(date) {
        const localDate = new Date(date);
        // Add one day to the date
        localDate.setDate(localDate.getDate() + 1);
        // Set time to midnight
        localDate.setHours(0, 0, 0, 0);
        return localDate.toISOString();
    }
    updateDate() {
        const date = this.formatDueDate(this.addToCasePayload?.caseToWorkflow?.resolution_deadline?.due_date);
        this.addToCasePayload.caseToWorkflow.resolution_deadline.due_date = date;
        this.addToCasePayload?.caseToWorkflow?.resolution_deadline?.stages_assignees?.forEach((stage) => {
            stage.due_date = date;
        });
    }
    addToCase() {
        this.filterOversights();
        const isValid = this.checkAddToCaseValidation(this.addToCasePayload);
        if (!isValid)
            return;
        this.updateDate();
        if (this.workflowType === 'ACTW') {
            this.addCaseToWorkflow();
        }
        else if (this.mode === 'EDIT' && this.workflowType !== 'ACTW') {
            this.filterResponsibilities(this.addToCasePayload);
            this.filterAssessment(this.addToCasePayload);
            this.updateAddToCase();
        }
        else {
            this.filterResponsibilities(this.addToCasePayload);
            this.filterAssessment(this.addToCasePayload);
            this.loader.reportCaseLoader = true;
            this.reportACaseService.reportACase(this.addToCasePayload).subscribe({
                next: (res) => {
                    this.caseData = { ...res?.data, source: this.source };
                    this.showSmiley = true;
                    this.uiKitService.isSmileyOn = true;
                    this.loader.reportCaseLoader = false;
                },
                error: (err) => {
                    this.loader.reportCaseLoader = false;
                },
            });
        }
    }
    addCaseToWorkflow() {
        this.loader.reportCaseLoader = true;
        let payload = { ...this.addToCasePayload };
        const workflowPayload = {
            ...payload,
            case_id: this.caseId,
        };
        this.reportACaseService.addCaseToWorkflow(workflowPayload).subscribe({
            next: (res) => {
                this.caseData = { ...res?.data, source: this.source };
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.loader.reportCaseLoader = false;
            },
            error: (err) => {
                this.loader.reportCaseLoader = false;
            },
        });
    }
    updateAddToCase() {
        this.loader.reportCaseLoader = true;
        this.reportACaseService
            .updateCase(this.addToCasePayload, this.caseId)
            .subscribe({
            next: (res) => {
                this.caseData = { ...res?.data, source: this.source };
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.loader.reportCaseLoader = false;
            },
            error: (err) => {
                this.loader.reportCaseLoader = false;
            },
        });
    }
    // Smiley actions
    smileyActions(evt) {
        if (evt === 'reportCase') {
            this.resetForm();
            this.showSmiley = false;
            this.uiKitService.isSmileyOn = false;
        }
        else if (evt === 'viewCase') {
            this.showSmiley = false;
            this.uiKitService.isSmileyOn = false;
            this.viewCase();
        }
    }
    viewCase() {
        let url;
        let urlSubstring = '';
        this.disconnectRefresh.emit(false);
        if (this.caseTypePermission) {
            urlSubstring = '/case/reported-cases';
        }
        else {
            urlSubstring = '/case/reported-cases/reported-by-me';
        }
        url = 'https://' + window.location.host + urlSubstring;
        this.iframeService.redirectIfInIframe(url, true);
        this.resetForm();
        this.closeSmiley();
    }
    resetForm() {
        this.reportACaseReset();
        this.addToCaseReset();
    }
    reportACaseReset() {
        this.payload = JSON.parse(JSON.stringify(REPORT_CASE_PAYLOAD));
    }
    addToCaseReset() {
        this.addToCasePayload.name = '';
        this.addToCasePayload.description = { text: '', attachments: [] };
        this.addToCasePayload.priority = { id: '', custom_fields: [] };
        this.addToCasePayload.case_type = { id: '', custom_fields: [] };
        this.addToCasePayload.rc_details = {
            ids: [],
            separate_rc_cases: false,
            main_rc_id: '',
        };
        this.addToCasePayload.category = { ids: [], custom_fields: [] };
        this.addToCasePayload.additional_category = { ids: [], custom_fields: [] };
        this.addToCasePayload.risk_class = 0;
        this.addToCasePayload.caseToWorkflow.assignees_group = [];
        this.addToCasePayload.caseToWorkflow.owners = [];
        this.addToCasePayload.caseToWorkflow.assignees = [];
        this.addToCasePayload.caseToWorkflow.workflow_id = '';
        this.addToCasePayload.caseToWorkflow.resolution_deadline = {
            due_date: '',
            stages_assignees: [],
            assignee_remind_before: 0,
            owner_remind_before: 0,
        };
        this.addToCasePayload.caseToWorkflow.exception_type = '';
        this.addToCasePayload.caseToWorkflow.associated_risks = {
            text: '',
            attachments: [],
        };
        this.addToCasePayload.caseToWorkflow.evidence_enabled = false;
        this.addToCasePayload.caseToWorkflow.recommendations = {
            text: '',
            attachments: [],
        };
        this.addToCasePayload.caseToWorkflow.oversights = {
            cc_ids: [],
            cc_failures_ids: [],
        };
        this.selectedOversights.cc_list = [];
        this.selectedOversights.cc_failures_list = [];
        this.additionalOptionStatus = { ...ADDITIONAL_OPTION_STATUS };
    }
    closeSmiley(evt) {
        this.resetForm();
        this.showSmiley = false;
        this.uiKitService.isSmileyOn = false;
        this.closeWorkFlow(this.caseData, false);
    }
    closeWorkFlow(evt, confirm) {
        this.closeWorkflow.emit({ evt, confirm });
    }
    onCaseLoader(event, type) {
        switch (type) {
            case 'type': {
                this.loader.typeLoader = event;
                break;
            }
            case 'priority': {
                this.loader.priorityLoader = event;
                break;
            }
        }
    }
    get displayAdditionalOptions() {
        return (this.additionalOptionStatus.EXCEPTION_TYPE ||
            this.additionalOptionStatus.EVIDENCE ||
            this.additionalOptionStatus.PRIORITY ||
            this.additionalOptionStatus.ISSUE_TYPE ||
            this.additionalOptionStatus.ASSOCIATED_RISKS ||
            this.additionalOptionStatus.OVERSIGHT ||
            this.additionalOptionStatus.RECOMMENDED_ACTIONS);
    }
    get checkloader() {
        if (this.mode === 'EDIT') {
            return (this.loader.typeLoader &&
                this.loader.priorityLoader &&
                this.loader.caseLoader &&
                this.loader.groupListLoader &&
                this.loader.userListLoader);
        }
        return ((this.loader.typeLoader && this.loader.priorityLoader) ||
            (this.loader.permissionLoader && this.workflowType === 'ACTW') ||
            this.loader.reportCaseLoader);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowCaseComponent, deps: [{ token: ReportACaseService }, { token: UiKitService }, { token: OrganizationUserService }, { token: ResponsibilityService }, { token: ComplianceCommonService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowCaseComponent, selector: "app-workflow-case", inputs: { openedFrom: "openedFrom", source: "source", caseId: "caseId", mode: "mode", workflowType: "workflowType", responsibilityData: "responsibilityData", assessmentQuestion: "assessmentQuestion", caseTypePermission: "caseTypePermission" }, outputs: { closeWorkflow: "closeWorkflow", populateOption: "populateOption", caseReportedBy: "caseReportedBy", userListEmitter: "userListEmitter", disconnectRefresh: "disconnectRefresh", pickerChanged: "pickerChanged" }, ngImport: i0, template: "<div *ngIf=\"!showSmiley\" class=\"workflow-case\">\n  <app-case-type\n    *ngIf=\"mode !== 'EDIT' && caseTypePermission\"\n    [fieldSelected]=\"fieldClicked\"\n    (caseTypeChange)=\"onCaseTypeChange($event)\"\n  ></app-case-type>\n  <app-linked-responsibilities\n    *ngIf=\"['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom)\"\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [openedFrom]=\"openedFrom\"\n    [fieldSelected]=\"fieldClicked\"\n    [responsibilityData]=\"responsibilityData\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n  ></app-linked-responsibilities>\n  <app-linked-assessment\n    *ngIf=\"openedFrom === 'ASSESSMENT'\"\n    [payload]=\"payload\"\n    [openedFrom]=\"openedFrom\"\n    [fieldSelected]=\"fieldClicked\"\n    [responsibilityData]=\"responsibilityData\"\n    [assessmentQuestion]=\"assessmentQuestion\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n  ></app-linked-assessment>\n  <app-case-details\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n  ></app-case-details>\n  <span\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n  >\n    CASE DETAILS\n  </span>\n  <app-information-block\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n  ></app-information-block>\n  <app-rc-details\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [validationError]=\"validationError\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.rc_details\n        : addToCasePayload?.rc_details\n    \"\n    [mode]=\"mode\"\n    [workflowType]=\"workflowType\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (onRcChange)=\"onRcChange($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-rc-details>\n  <app-case-type-dropdown\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.case_type\n        : addToCasePayload?.case_type\n    \"\n    [mode]=\"mode\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [workflowType]=\"workflowType\"\n    (onCaseTypeChange)=\"onCaseTypeDropdownChange($event)\"\n    (onCaseTypeLoading)=\"onCaseLoader($event, 'type')\"\n  ></app-case-type-dropdown>\n  <app-case-category\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.category\n        : addToCasePayload?.category\n    \"\n    [initialAdditionalSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.additional_category\n        : addToCasePayload?.additional_category\n    \"\n    [mode]=\"mode\"\n    [workflowType]=\"workflowType\"\n    (onCategoryChange)=\"onCategoryChange($event)\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-category>\n  <app-report-date\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n  ></app-report-date>\n  <app-case-priority\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [validationError]=\"validationError\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.priority\n        : addToCasePayload?.priority\n    \"\n    [mode]=\"mode\"\n    [workflowType]=\"workflowType\"\n    (onPriorityChange)=\"onPriorityChange($event)\"\n    (onPriorityLoader)=\"onCaseLoader($event, 'priority')\"\n  ></app-case-priority>\n  <span\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n  >\n    USER DETAILS\n  </span>\n  <app-case-owners\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    [payload]=\"addToCasePayload\"\n    [initialSelection]=\"addToCasePayload?.caseToWorkflow?.owners\"\n    [workflowId]=\"addToCasePayload?.caseToWorkflow?.workflow_id\"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    [mode]=\"mode\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-owners>\n  <app-case-assignees\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    [payload]=\"addToCasePayload\"\n    [fieldSelected]=\"fieldClicked\"\n    [initialSelection]=\"addToCasePayload?.caseToWorkflow\"\n    [userList]=\"userList\"\n    [groupList]=\"groupList\"\n    [validationError]=\"validationError\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-assignees>\n  <app-field-holder\n    *ngIf=\"caseTypeSelected === caseType.REPORT_CASE\"\n    [image]=\"ASSETS.format_evidence\"\n    [disabled]=\"fieldSelector?.includes(fieldClicked)\"\n    [checked]=\"payload?.supporting_documents?.length\"\n  >\n    <ng-container field>\n      <app-vc-label\n        label\n        [labelText]=\"reportTexts.case_details.attachments.title\"\n      ></app-vc-label>\n      <app-format-and-evidence\n        (updateFiles)=\"saveSupportingDocument($event)\"\n        [mode]=\"'reportACase'\"\n        [formatEvidanceData]=\"payload?.supporting_documents\"\n      ></app-format-and-evidence>\n    </ng-container>\n  </app-field-holder>\n  <span\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4 vx-mb-4\"\n  >\n    CASE RESOLUTION DETAILS\n  </span>\n  <app-case-resolution-deadline\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    [payload]=\"addToCasePayload\"\n    [userList]=\"userList\"\n    [groupList]=\"groupList\"\n    [initialSelection]=\"addToCasePayload?.caseToWorkflow\"\n    [fieldSelected]=\"fieldClicked\"\n    [mode]=\"mode\"\n    [caseId]=\"caseId\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    [validationError]=\"validationError\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-resolution-deadline>\n  <span\n    *ngIf=\"\n      caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW &&\n      displayAdditionalOptions\n    \"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n  >\n    ADDITIONAL OPTIONS\n  </span>\n  <!-- Exception Type -->\n  <app-field-holder\n    *ngIf=\"\n      additionalOptionStatus.EXCEPTION_TYPE &&\n      caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\n    \"\n    [scrollToBottom]=\"scrollToBottom\"\n    [active]=\"false\"\n    [disabled]=\"fieldSelector?.includes(fieldClicked)\"\n    [checked]=\"addToCasePayload?.caseToWorkflow?.exception_type\"\n    [image]=\"ASSETS.objectives\"\n  >\n    <ng-container field>\n      <label class=\"vx-control-panel\">Exception Type</label>\n      <app-cs-radio\n        class=\"main-filed\"\n        [value]=\"exceptionType.DESIGN_EXCEPTION\"\n        name=\"exception-type\"\n        [checked]=\"\n          addToCasePayload?.caseToWorkflow?.exception_type ===\n          exceptionType.DESIGN_EXCEPTION\n        \"\n        (checkedEvent)=\"setException(exceptionType.DESIGN_EXCEPTION)\"\n        >Design Exception\n      </app-cs-radio>\n      <app-cs-radio\n        class=\"main-filed\"\n        [value]=\"exceptionType.EFFECTIVENESS_EXCEPTION\"\n        name=\"exception-type\"\n        [checked]=\"\n          addToCasePayload?.caseToWorkflow?.exception_type ===\n          exceptionType.EFFECTIVENESS_EXCEPTION\n        \"\n        (checkedEvent)=\"setException(exceptionType.EFFECTIVENESS_EXCEPTION)\"\n        >Effectiveness Exception\n      </app-cs-radio>\n    </ng-container>\n  </app-field-holder>\n\n  <!-- Associated Risks -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.ASSOCIATED_RISKS\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"addToCasePayload?.caseToWorkflow?.associated_risks?.text\"\n    >\n      <img\n        [src]=\"ASSETS.associated_risks\"\n        alt=\"im\"\n        *ngIf=\"\n          !addToCasePayload?.caseToWorkflow?.associated_risks?.text?.trim()\n            ?.length\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          addToCasePayload?.caseToWorkflow?.associated_risks?.text?.trim()\n            .length\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Associated Risks </label>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.associated_risks?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let uploadingFile of addToCasePayload?.caseToWorkflow\n                ?.associated_risks?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n            </div>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.associated_risks?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let file of addToCasePayload?.caseToWorkflow?.associated_risks\n                ?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i class=\"icons\" (click)=\"deleteFile(file, 'ASSOCIATED_RISKS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"addToCasePayload.caseToWorkflow.associated_risks.text\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: false,\n            placeholder: 'Associated Risks'\n          }\"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('ASSOCIATED_RISKS', $event)\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    *ngIf=\"additionalOptionStatus.OVERSIGHT\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        addToCasePayload?.caseToWorkflow?.oversights?.cc_ids?.length ||\n        addToCasePayload?.caseToWorkflow?.oversights?.cc_failures_ids?.length\n      \"\n    >\n      <img\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n        *ngIf=\"\n          !(\n            addToCasePayload?.caseToWorkflow?.oversights?.cc_ids?.length ||\n            addToCasePayload?.caseToWorkflow?.oversights?.cc_failures_ids\n              ?.length\n          )\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          addToCasePayload?.caseToWorkflow?.oversights?.cc_ids?.length ||\n          addToCasePayload?.caseToWorkflow?.oversights?.cc_failures_ids?.length\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Oversight</label>\n        <div class=\"select\" *ngIf=\"!selectedOversights?.cc_list?.length\">\n          <input\n            type=\"text\"\n            (click)=\"setActiveFieldSelector('CASE_CC', 'CASE_CC')\"\n            placeholder=\"Who should have oversight of this case?\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\" *ngIf=\"selectedOversights?.cc_list?.length\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('CASE_CC', selectedOversights?.cc_list[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedOversights?.cc_list[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedOversights?.cc_list[0]?.employee_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"CC.popover()\"\n              placement=\"right\"\n              *ngIf=\"selectedOversights?.cc_list?.length > 1\"\n            >\n              +{{ selectedOversights?.cc_list?.slice(1).length }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"activeField !== 'CASE_CC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('CASE_CC', 'CASE_CC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !selectedOversights?.cc_failures_list ||\n            selectedOversights?.cc_failures_list?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('CASE_FCC', 'CASE_FCC')\"\n            type=\"text\"\n            placeholder=\"Who should be notified if the case is not resolved?\"\n            readonly\n          />\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"selectedOversights?.cc_failures_list?.length\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                deleteItem('CASE_FCC', selectedOversights?.cc_failures_list[0])\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                selectedOversights?.cc_failures_list[0]?.employee_name\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                selectedOversights?.cc_failures_list[0]?.employee_name\n              }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"FCC.popover()\"\n              placement=\"right\"\n              *ngIf=\"selectedOversights?.cc_failures_list?.length > 1\"\n            >\n              +{{ selectedOversights?.cc_failures_list?.slice(1)?.length }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"activeField !== 'CASE_FCC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('CASE_FCC', 'CASE_FCC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #CC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let cc of selectedOversights?.cc_list | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('CASE_CC', cc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ cc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #FCC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let fcc of selectedOversights?.cc_failures_list | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('CASE_FCC', fcc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ fcc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Evidence -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.EVIDENCE\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div class=\"left\" [class.checked]=\"true\">\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Evidence</label>\n        <div class=\"upload-format\">\n          <span class=\"text\"\n            >Do you want evidence of completion of the case to be\n            uploaded?</span\n          >\n          <div class=\"radio-group\">\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"1\"\n              [checked]=\"addToCasePayload?.caseToWorkflow?.evidence_enabled\"\n              (checkedEvent)=\"setEvidence(true)\"\n              >Yes\n            </app-cs-radio>\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"0\"\n              [checked]=\"!addToCasePayload?.caseToWorkflow?.evidence_enabled\"\n              (checkedEvent)=\"setEvidence(false)\"\n              >No\n            </app-cs-radio>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <!-- Recommended Actions -->\n  <div\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.RECOMMENDED_ACTIONS\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"addToCasePayload?.caseToWorkflow?.recommendations?.text\"\n    >\n      <img\n        [src]=\"ASSETS.recommended_action\"\n        alt=\"im\"\n        *ngIf=\"\n          !(\n            addToCasePayload?.caseToWorkflow?.recommendations?.text\n            | spaceBreaker\n          )?.length\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          (\n            addToCasePayload?.caseToWorkflow?.recommendations?.text\n            | spaceBreaker\n          )?.length > 0\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Recommended Actions</label>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.recommendations?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let uploadingFile of addToCasePayload?.caseToWorkflow\n                ?.recommendations?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n            </div>\n            <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.recommendations?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let file of addToCasePayload?.caseToWorkflow?.recommendations\n                ?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i\n                  class=\"icons\"\n                  (click)=\"deleteFile(file, 'RECOMMENDED_ACTIONS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"addToCasePayload.caseToWorkflow.recommendations.text\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: true,\n            placeholder: 'Recommended actions'\n          }\"\n          (ngModelChange)=\"\n            addToCasePayload?.caseToWorkflow?.recommendations?.text?.trim()\n              ?.length > 0\n              ? removeError('issueRecommendation')\n              : null\n          \"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('RECOMMENDED_ACTIONS', $event)\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n  <!-- Risk Classification -->\n  <div\n    *ngIf=\"additionalOptionStatus.RISK_CLASSIFICATION\"\n    class=\"form-group-row\"\n    id=\"risk_classification\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div class=\"left\" [class.checked]=\"addToCasePayload.risk_class\">\n      <img [src]=\"ASSETS.risks\" alt=\"im\" *ngIf=\"!addToCasePayload.risk_class\" />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"addToCasePayload.risk_class\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Risk Classification</label>\n        <div class=\"classification\">\n          <label\n            class=\"low\"\n            *ngFor=\"let class of riskClassification\"\n            [ngClass]=\"[class.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification\"\n              [value]=\"class.value\"\n              [checked]=\"addToCasePayload.risk_class === class.value\"\n              [(ngModel)]=\"addToCasePayload.risk_class\"\n            />\n            <span>{{ class.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n<app-loader-inline *ngIf=\"checkloader\"></app-loader-inline>\n<app-checkbox-list\n  [config]=\"oversight_config\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"userList\"\n  [selectedItems]=\"selectedOversights?.cc_list\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'CASE_CC'\"\n  (saveList)=\"selectorAction($event, 'CASE_CC')\"\n  (closeList)=\"fieldDeselector('CASE_CC')\"\n  [loaded]=\"loader.userListLoader\"\n></app-checkbox-list>\n\n<app-checkbox-list\n  [config]=\"oversight_config\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"userList\"\n  [selectedItems]=\"selectedOversights?.cc_failures_list\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'CASE_FCC'\"\n  (saveList)=\"selectorAction($event, 'CASE_FCC')\"\n  (closeList)=\"fieldDeselector('CASE_FCC')\"\n  [loaded]=\"loader.userListLoader\"\n></app-checkbox-list>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"smileyActions($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-case{display:block;position:relative}::ng-deep .workflow-case app-case-type{cursor:pointer}::ng-deep .workflow-case app-case-details app-field-holder app-vc-input input{cursor:text;z-index:1000}::ng-deep .workflow-case app-report-date .date-time-picker{pointer-events:auto!important;z-index:1}::ng-deep .workflow-case app-rc-details app-cs-switch .cs-switch .switch{pointer-events:none!important;opacity:.5!important}::ng-deep .workflow-case .head-label{background:#565a6f;border-radius:.125rem;height:1rem;position:relative}::ng-deep .workflow-case .head-label:before{background:#e3e3e9;content:\"\";position:absolute;top:7px;left:-40px;width:500px;height:1px;z-index:-1}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: FormatAndEvidenceComponent, selector: "app-format-and-evidence", inputs: ["mode", "categories", "organization_id", "formatEvidanceData"], outputs: ["updateFiles"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "directive", type: ScrollInViewDirective, selector: "[appScrollInView]", inputs: ["appScrollInView"] }, { kind: "component", type: CheckboxListComponent, selector: "app-checkbox-list", inputs: ["itemsList", "selectedItems", "identifierKey", "displayKey", "tooltipKey", "config", "twoColumn", "loaded"], outputs: ["closeList", "saveList"] }, { kind: "component", type: CaseTypeComponent, selector: "app-case-type", inputs: ["fieldSelected"], outputs: ["caseTypeChange"] }, { kind: "component", type: InformationBlockComponent, selector: "app-information-block" }, { kind: "component", type: CaseDetailsComponent, selector: "app-case-details", inputs: ["payload", "fieldSelected", "validationError", "caseTypeSelected"] }, { kind: "component", type: VCFormLabelComponent, selector: "app-vc-label", inputs: ["labelText", "details", "required", "showInfo", "tooltipText"] }, { kind: "component", type: FieldHolderComponent, selector: "app-field-holder", inputs: ["image", "active", "disabled", "checked", "scrollToBottom"] }, { kind: "component", type: RcDetailsComponent, selector: "app-rc-details", inputs: ["payload", "fieldSelected", "caseTypeSelected", "validationError", "initialSelection", "mode", "workflowType"], outputs: ["fieldClicked", "onRcChange", "filterDeselector"] }, { kind: "component", type: CaseDropdownComponent, selector: "app-case-type-dropdown", inputs: ["fieldSelected", "payload", "validationError", "initialSelection", "mode", "caseTypeSelected", "workflowType"], outputs: ["onCaseTypeChange", "onCaseTypeLoading"] }, { kind: "component", type: ReportDateComponent, selector: "app-report-date", inputs: ["payload", "fieldSelected", "validationError"] }, { kind: "component", type: CasePriorityComponent, selector: "app-case-priority", inputs: ["fieldSelected", "payload", "caseTypeSelected", "validationError", "initialSelection", "mode", "workflowType"], outputs: ["onPriorityChange", "onPriorityLoader"] }, { kind: "component", type: CaseCategoryComponent, selector: "app-case-category", inputs: ["payload", "fieldSelected", "caseTypeSelected", "initialSelection", "initialAdditionalSelection", "mode", "workflowType"], outputs: ["onCategoryChange", "fieldClicked", "filterDeselector"] }, { kind: "component", type: CaseResolutionDeadlineComponent, selector: "app-case-resolution-deadline", inputs: ["payload", "userList", "groupList", "mode", "caseId", "initialSelection", "fieldSelected", "validationError"], outputs: ["fieldClicked", "filterDeselector"] }, { kind: "component", type: CaseAssigneesComponent, selector: "app-case-assignees", inputs: ["payload", "fieldSelected", "userList", "groupList", "initialSelection", "validationError"], outputs: ["fieldClicked", "onRcChange", "filterDeselector"] }, { kind: "component", type: CaseOwnersComponent, selector: "app-case-owners", inputs: ["payload", "fieldSelected", "initialSelection", "workflowId", "validationError", "mode"], outputs: ["fieldClicked", "filterDeselector"] }, { kind: "component", type: LinkedAssessmentComponent, selector: "app-linked-assessment", inputs: ["openedFrom", "payload", "responsibilityData", "assessmentQuestion", "fieldSelected"] }, { kind: "component", type: LinkedResponsibilitiesComponent, selector: "app-linked-responsibilities", inputs: ["openedFrom", "isLinkQuestionVisible", "payload", "fieldSelected", "responsibilityData"], outputs: ["fieldClicked"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: SpaceBreakerPipe, name: "spaceBreaker" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowCaseComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-case', template: "<div *ngIf=\"!showSmiley\" class=\"workflow-case\">\n  <app-case-type\n    *ngIf=\"mode !== 'EDIT' && caseTypePermission\"\n    [fieldSelected]=\"fieldClicked\"\n    (caseTypeChange)=\"onCaseTypeChange($event)\"\n  ></app-case-type>\n  <app-linked-responsibilities\n    *ngIf=\"['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(openedFrom)\"\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [openedFrom]=\"openedFrom\"\n    [fieldSelected]=\"fieldClicked\"\n    [responsibilityData]=\"responsibilityData\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n  ></app-linked-responsibilities>\n  <app-linked-assessment\n    *ngIf=\"openedFrom === 'ASSESSMENT'\"\n    [payload]=\"payload\"\n    [openedFrom]=\"openedFrom\"\n    [fieldSelected]=\"fieldClicked\"\n    [responsibilityData]=\"responsibilityData\"\n    [assessmentQuestion]=\"assessmentQuestion\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n  ></app-linked-assessment>\n  <app-case-details\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n  ></app-case-details>\n  <span\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n  >\n    CASE DETAILS\n  </span>\n  <app-information-block\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n  ></app-information-block>\n  <app-rc-details\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [validationError]=\"validationError\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.rc_details\n        : addToCasePayload?.rc_details\n    \"\n    [mode]=\"mode\"\n    [workflowType]=\"workflowType\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (onRcChange)=\"onRcChange($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-rc-details>\n  <app-case-type-dropdown\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.case_type\n        : addToCasePayload?.case_type\n    \"\n    [mode]=\"mode\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [workflowType]=\"workflowType\"\n    (onCaseTypeChange)=\"onCaseTypeDropdownChange($event)\"\n    (onCaseTypeLoading)=\"onCaseLoader($event, 'type')\"\n  ></app-case-type-dropdown>\n  <app-case-category\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.category\n        : addToCasePayload?.category\n    \"\n    [initialAdditionalSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.additional_category\n        : addToCasePayload?.additional_category\n    \"\n    [mode]=\"mode\"\n    [workflowType]=\"workflowType\"\n    (onCategoryChange)=\"onCategoryChange($event)\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-category>\n  <app-report-date\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n  ></app-report-date>\n  <app-case-priority\n    [payload]=\"\n      caseTypeSelected === caseType.REPORT_CASE ? payload : addToCasePayload\n    \"\n    [fieldSelected]=\"fieldClicked\"\n    [caseTypeSelected]=\"caseTypeSelected\"\n    [validationError]=\"validationError\"\n    [initialSelection]=\"\n      caseTypeSelected === caseType.REPORT_CASE\n        ? payload?.priority\n        : addToCasePayload?.priority\n    \"\n    [mode]=\"mode\"\n    [workflowType]=\"workflowType\"\n    (onPriorityChange)=\"onPriorityChange($event)\"\n    (onPriorityLoader)=\"onCaseLoader($event, 'priority')\"\n  ></app-case-priority>\n  <span\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n  >\n    USER DETAILS\n  </span>\n  <app-case-owners\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    [payload]=\"addToCasePayload\"\n    [initialSelection]=\"addToCasePayload?.caseToWorkflow?.owners\"\n    [workflowId]=\"addToCasePayload?.caseToWorkflow?.workflow_id\"\n    [fieldSelected]=\"fieldClicked\"\n    [validationError]=\"validationError\"\n    [mode]=\"mode\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-owners>\n  <app-case-assignees\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    [payload]=\"addToCasePayload\"\n    [fieldSelected]=\"fieldClicked\"\n    [initialSelection]=\"addToCasePayload?.caseToWorkflow\"\n    [userList]=\"userList\"\n    [groupList]=\"groupList\"\n    [validationError]=\"validationError\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-assignees>\n  <app-field-holder\n    *ngIf=\"caseTypeSelected === caseType.REPORT_CASE\"\n    [image]=\"ASSETS.format_evidence\"\n    [disabled]=\"fieldSelector?.includes(fieldClicked)\"\n    [checked]=\"payload?.supporting_documents?.length\"\n  >\n    <ng-container field>\n      <app-vc-label\n        label\n        [labelText]=\"reportTexts.case_details.attachments.title\"\n      ></app-vc-label>\n      <app-format-and-evidence\n        (updateFiles)=\"saveSupportingDocument($event)\"\n        [mode]=\"'reportACase'\"\n        [formatEvidanceData]=\"payload?.supporting_documents\"\n      ></app-format-and-evidence>\n    </ng-container>\n  </app-field-holder>\n  <span\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4 vx-mb-4\"\n  >\n    CASE RESOLUTION DETAILS\n  </span>\n  <app-case-resolution-deadline\n    *ngIf=\"caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\"\n    [payload]=\"addToCasePayload\"\n    [userList]=\"userList\"\n    [groupList]=\"groupList\"\n    [initialSelection]=\"addToCasePayload?.caseToWorkflow\"\n    [fieldSelected]=\"fieldClicked\"\n    [mode]=\"mode\"\n    [caseId]=\"caseId\"\n    (fieldClicked)=\"onFieldClicked($event)\"\n    [validationError]=\"validationError\"\n    (filterDeselector)=\"pickerToggle($event)\"\n  ></app-case-resolution-deadline>\n  <span\n    *ngIf=\"\n      caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW &&\n      displayAdditionalOptions\n    \"\n    class=\"head-label vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n  >\n    ADDITIONAL OPTIONS\n  </span>\n  <!-- Exception Type -->\n  <app-field-holder\n    *ngIf=\"\n      additionalOptionStatus.EXCEPTION_TYPE &&\n      caseTypeSelected === caseType.ADD_CASE_TO_WORKFLOW\n    \"\n    [scrollToBottom]=\"scrollToBottom\"\n    [active]=\"false\"\n    [disabled]=\"fieldSelector?.includes(fieldClicked)\"\n    [checked]=\"addToCasePayload?.caseToWorkflow?.exception_type\"\n    [image]=\"ASSETS.objectives\"\n  >\n    <ng-container field>\n      <label class=\"vx-control-panel\">Exception Type</label>\n      <app-cs-radio\n        class=\"main-filed\"\n        [value]=\"exceptionType.DESIGN_EXCEPTION\"\n        name=\"exception-type\"\n        [checked]=\"\n          addToCasePayload?.caseToWorkflow?.exception_type ===\n          exceptionType.DESIGN_EXCEPTION\n        \"\n        (checkedEvent)=\"setException(exceptionType.DESIGN_EXCEPTION)\"\n        >Design Exception\n      </app-cs-radio>\n      <app-cs-radio\n        class=\"main-filed\"\n        [value]=\"exceptionType.EFFECTIVENESS_EXCEPTION\"\n        name=\"exception-type\"\n        [checked]=\"\n          addToCasePayload?.caseToWorkflow?.exception_type ===\n          exceptionType.EFFECTIVENESS_EXCEPTION\n        \"\n        (checkedEvent)=\"setException(exceptionType.EFFECTIVENESS_EXCEPTION)\"\n        >Effectiveness Exception\n      </app-cs-radio>\n    </ng-container>\n  </app-field-holder>\n\n  <!-- Associated Risks -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.ASSOCIATED_RISKS\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"addToCasePayload?.caseToWorkflow?.associated_risks?.text\"\n    >\n      <img\n        [src]=\"ASSETS.associated_risks\"\n        alt=\"im\"\n        *ngIf=\"\n          !addToCasePayload?.caseToWorkflow?.associated_risks?.text?.trim()\n            ?.length\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          addToCasePayload?.caseToWorkflow?.associated_risks?.text?.trim()\n            .length\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Associated Risks </label>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.associated_risks?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let uploadingFile of addToCasePayload?.caseToWorkflow\n                ?.associated_risks?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n            </div>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.associated_risks?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let file of addToCasePayload?.caseToWorkflow?.associated_risks\n                ?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i class=\"icons\" (click)=\"deleteFile(file, 'ASSOCIATED_RISKS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"addToCasePayload.caseToWorkflow.associated_risks.text\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: false,\n            placeholder: 'Associated Risks'\n          }\"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('ASSOCIATED_RISKS', $event)\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    *ngIf=\"additionalOptionStatus.OVERSIGHT\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        addToCasePayload?.caseToWorkflow?.oversights?.cc_ids?.length ||\n        addToCasePayload?.caseToWorkflow?.oversights?.cc_failures_ids?.length\n      \"\n    >\n      <img\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n        *ngIf=\"\n          !(\n            addToCasePayload?.caseToWorkflow?.oversights?.cc_ids?.length ||\n            addToCasePayload?.caseToWorkflow?.oversights?.cc_failures_ids\n              ?.length\n          )\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          addToCasePayload?.caseToWorkflow?.oversights?.cc_ids?.length ||\n          addToCasePayload?.caseToWorkflow?.oversights?.cc_failures_ids?.length\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Oversight</label>\n        <div class=\"select\" *ngIf=\"!selectedOversights?.cc_list?.length\">\n          <input\n            type=\"text\"\n            (click)=\"setActiveFieldSelector('CASE_CC', 'CASE_CC')\"\n            placeholder=\"Who should have oversight of this case?\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\" *ngIf=\"selectedOversights?.cc_list?.length\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('CASE_CC', selectedOversights?.cc_list[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedOversights?.cc_list[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedOversights?.cc_list[0]?.employee_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"CC.popover()\"\n              placement=\"right\"\n              *ngIf=\"selectedOversights?.cc_list?.length > 1\"\n            >\n              +{{ selectedOversights?.cc_list?.slice(1).length }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"activeField !== 'CASE_CC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('CASE_CC', 'CASE_CC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !selectedOversights?.cc_failures_list ||\n            selectedOversights?.cc_failures_list?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('CASE_FCC', 'CASE_FCC')\"\n            type=\"text\"\n            placeholder=\"Who should be notified if the case is not resolved?\"\n            readonly\n          />\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"selectedOversights?.cc_failures_list?.length\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                deleteItem('CASE_FCC', selectedOversights?.cc_failures_list[0])\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                selectedOversights?.cc_failures_list[0]?.employee_name\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                selectedOversights?.cc_failures_list[0]?.employee_name\n              }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"FCC.popover()\"\n              placement=\"right\"\n              *ngIf=\"selectedOversights?.cc_failures_list?.length > 1\"\n            >\n              +{{ selectedOversights?.cc_failures_list?.slice(1)?.length }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"activeField !== 'CASE_FCC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('CASE_FCC', 'CASE_FCC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #CC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let cc of selectedOversights?.cc_list | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('CASE_CC', cc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ cc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #FCC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let fcc of selectedOversights?.cc_failures_list | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('CASE_FCC', fcc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ fcc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Evidence -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.EVIDENCE\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div class=\"left\" [class.checked]=\"true\">\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Evidence</label>\n        <div class=\"upload-format\">\n          <span class=\"text\"\n            >Do you want evidence of completion of the case to be\n            uploaded?</span\n          >\n          <div class=\"radio-group\">\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"1\"\n              [checked]=\"addToCasePayload?.caseToWorkflow?.evidence_enabled\"\n              (checkedEvent)=\"setEvidence(true)\"\n              >Yes\n            </app-cs-radio>\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"0\"\n              [checked]=\"!addToCasePayload?.caseToWorkflow?.evidence_enabled\"\n              (checkedEvent)=\"setEvidence(false)\"\n              >No\n            </app-cs-radio>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <!-- Recommended Actions -->\n  <div\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.RECOMMENDED_ACTIONS\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"addToCasePayload?.caseToWorkflow?.recommendations?.text\"\n    >\n      <img\n        [src]=\"ASSETS.recommended_action\"\n        alt=\"im\"\n        *ngIf=\"\n          !(\n            addToCasePayload?.caseToWorkflow?.recommendations?.text\n            | spaceBreaker\n          )?.length\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          (\n            addToCasePayload?.caseToWorkflow?.recommendations?.text\n            | spaceBreaker\n          )?.length > 0\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Recommended Actions</label>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.recommendations?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let uploadingFile of addToCasePayload?.caseToWorkflow\n                ?.recommendations?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n            </div>\n            <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"\n            addToCasePayload?.caseToWorkflow?.recommendations?.attachments\n              ?.length > 0\n          \"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"\n              let file of addToCasePayload?.caseToWorkflow?.recommendations\n                ?.attachments\n            \"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i\n                  class=\"icons\"\n                  (click)=\"deleteFile(file, 'RECOMMENDED_ACTIONS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"addToCasePayload.caseToWorkflow.recommendations.text\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: true,\n            placeholder: 'Recommended actions'\n          }\"\n          (ngModelChange)=\"\n            addToCasePayload?.caseToWorkflow?.recommendations?.text?.trim()\n              ?.length > 0\n              ? removeError('issueRecommendation')\n              : null\n          \"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('RECOMMENDED_ACTIONS', $event)\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n  <!-- Risk Classification -->\n  <div\n    *ngIf=\"additionalOptionStatus.RISK_CLASSIFICATION\"\n    class=\"form-group-row\"\n    id=\"risk_classification\"\n    [class.disabled]=\"fieldSelector?.includes(fieldClicked)\"\n  >\n    <div class=\"left\" [class.checked]=\"addToCasePayload.risk_class\">\n      <img [src]=\"ASSETS.risks\" alt=\"im\" *ngIf=\"!addToCasePayload.risk_class\" />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"addToCasePayload.risk_class\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Risk Classification</label>\n        <div class=\"classification\">\n          <label\n            class=\"low\"\n            *ngFor=\"let class of riskClassification\"\n            [ngClass]=\"[class.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification\"\n              [value]=\"class.value\"\n              [checked]=\"addToCasePayload.risk_class === class.value\"\n              [(ngModel)]=\"addToCasePayload.risk_class\"\n            />\n            <span>{{ class.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n<app-loader-inline *ngIf=\"checkloader\"></app-loader-inline>\n<app-checkbox-list\n  [config]=\"oversight_config\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"userList\"\n  [selectedItems]=\"selectedOversights?.cc_list\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'CASE_CC'\"\n  (saveList)=\"selectorAction($event, 'CASE_CC')\"\n  (closeList)=\"fieldDeselector('CASE_CC')\"\n  [loaded]=\"loader.userListLoader\"\n></app-checkbox-list>\n\n<app-checkbox-list\n  [config]=\"oversight_config\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"userList\"\n  [selectedItems]=\"selectedOversights?.cc_failures_list\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'CASE_FCC'\"\n  (saveList)=\"selectorAction($event, 'CASE_FCC')\"\n  (closeList)=\"fieldDeselector('CASE_FCC')\"\n  [loaded]=\"loader.userListLoader\"\n></app-checkbox-list>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"smileyActions($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-case{display:block;position:relative}::ng-deep .workflow-case app-case-type{cursor:pointer}::ng-deep .workflow-case app-case-details app-field-holder app-vc-input input{cursor:text;z-index:1000}::ng-deep .workflow-case app-report-date .date-time-picker{pointer-events:auto!important;z-index:1}::ng-deep .workflow-case app-rc-details app-cs-switch .cs-switch .switch{pointer-events:none!important;opacity:.5!important}::ng-deep .workflow-case .head-label{background:#565a6f;border-radius:.125rem;height:1rem;position:relative}::ng-deep .workflow-case .head-label:before{background:#e3e3e9;content:\"\";position:absolute;top:7px;left:-40px;width:500px;height:1px;z-index:-1}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }, { type: UiKitService }, { type: OrganizationUserService }, { type: ResponsibilityService }, { type: ComplianceCommonService }, { type: IframeService }]; }, propDecorators: { openedFrom: [{
                type: Input
            }], source: [{
                type: Input
            }], caseId: [{
                type: Input
            }], mode: [{
                type: Input
            }], workflowType: [{
                type: Input
            }], responsibilityData: [{
                type: Input
            }], assessmentQuestion: [{
                type: Input
            }], caseTypePermission: [{
                type: Input
            }], closeWorkflow: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], caseReportedBy: [{
                type: Output
            }], userListEmitter: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], pickerChanged: [{
                type: Output
            }] } });

class RiskCommonService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.riskCategory = new BehaviorSubject(null);
        this.riskSettings = new BehaviorSubject(null);
        if (config) {
            this.env = config?.envConfig;
        }
    }
    getRiskCategory(params, headers) {
        return this.http
            ?.get(this.env?.riskGet + 'category/list', {
            params,
            headers,
        })
            .pipe(map((res) => this.setRiskCategory(res)), catchError((error) => {
            console.error('Error fetching Risk Category List', error);
            return of(null);
        }));
    }
    setRiskCategory(data) {
        this.riskCategory?.next(data);
        return data;
    }
    getRiskCategoryInfo(params, headers) {
        if (this.riskCategory?.getValue()) {
            return of(this.riskCategory?.value);
        }
        return this.getRiskCategory(params, headers);
    }
    getRiskSettings(headers) {
        return this.http
            ?.get(this.env?.riskGet + 'settings/GetRiskSettingsDetails', {
            headers,
        })
            .pipe(map((res) => this.setRiskSettings(res)), catchError((error) => {
            console.error('Error fetching Risk Settings', error);
            return of(null);
        }));
    }
    setRiskSettings(data) {
        this.riskSettings?.next(data);
        return data;
    }
    getRiskSettingsInfo(headers) {
        if (this.riskSettings?.getValue()) {
            return of(this.riskSettings?.value);
        }
        return this.getRiskSettings(headers);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskCommonService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskCommonService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskCommonService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class AddRiskService {
    constructor(http, authService, riskCommonService, config) {
        this.http = http;
        this.authService = authService;
        this.riskCommonService = riskCommonService;
        this.orgUserRisk = new BehaviorSubject(null);
        this.rcList = new BehaviorSubject(null);
        this.groupList = new BehaviorSubject(null);
        this.adminList = new BehaviorSubject(null);
        if (config) {
            this.env = config.envConfig;
        }
    }
    getAdminKeyAdminList() {
        if (this.adminList?.getValue()) {
            return of(this.adminList?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'organisationUsersList&type=admin_keyadmin', { headers })
            .pipe(map((res) => {
            this.adminList?.next(res);
            return res;
        }), catchError$1((error) => {
            return of(null);
        }))
            .pipe(retry(2));
    }
    getCategoryList() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.riskCommonService?.getRiskCategoryInfo({}, headers);
    }
    getOrganizationUsers() {
        if (this.orgUserRisk?.getValue()) {
            return of(this.orgUserRisk?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'organizationUsers&from=risk', {
            headers,
        })
            .pipe(map((res) => {
            this.orgUserRisk?.next(res);
            return res;
        }), catchError$1((error) => {
            return of(null);
        }))
            .pipe(retry(2));
    }
    getResponsibilityCenterList(rcArray, riskId) {
        if (this.rcList?.getValue()) {
            return of(this.rcList?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        if (riskId?.length > 0) {
            return this.http
                .post(this.env.riskPost +
                'risk/responsibilityCenterList' +
                '&risk_id=' +
                riskId, { rc_id_arr: rcArray ?? [] }, { headers })
                .pipe(retry(2));
        }
        else {
            return this.http
                .post(this.env.riskPost + 'risk/responsibilityCenterList', { rc_id_arr: rcArray ?? [] }, { headers })
                .pipe(map((res) => {
                this.rcList?.next(res);
                return res;
            }), catchError$1((error) => {
                return of(null);
            }))
                .pipe(retry(2));
        }
    }
    getRiskSettingDetails() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.riskCommonService?.getRiskSettingsInfo(headers);
    }
    downLoadFile(data, type, filename) {
        if (window.navigator && window.navigator?.msSaveOrOpenBlob) {
            const blob = new Blob([this.base64ToArrayBuffer(data)], { type });
            window.navigator?.msSaveOrOpenBlob(blob, filename);
        }
        else {
            const url = 'data:' + type.toString() + ';base64,' + data;
            const a = document.createElement('a');
            a.setAttribute('href', url);
            a.setAttribute('download', filename);
            a.style.visibility = 'hidden';
            document.body.appendChild(a);
            a.click();
            document.body.removeChild(a);
        }
        return 'DOWNLOADED';
    }
    base64ToArrayBuffer(base64) {
        const binaryString = window.atob(base64);
        const len = binaryString.length;
        const bytes = new Uint8Array(len);
        for (let i = 0; i < len; i++) {
            bytes[i] = binaryString.charCodeAt(i);
        }
        return bytes.buffer;
    }
    downloadTemplate(categoryId) {
        const headers = new HttpHeaders({
            token: this.authService.getAuthorizationToken(),
        });
        return this.http.get(this.env?.riskGet + 'template/riskBulkUpload&catgeory_id=' + categoryId, { headers, observe: 'events', reportProgress: true });
    }
    downloadResponsibilityTemplate(version) {
        const headers = new HttpHeaders({
            token: this.authService.getAuthorizationToken(),
        });
        return this.http.get(this.env.complianceGet +
            'template/report' +
            (version === 'v2' ? '/v2' : ''), { headers, observe: 'events', reportProgress: true });
    }
    addRisk(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.risk + 'risk/CreateRisk', payload, { headers })
            .pipe(retry(2));
    }
    addBulkRisk(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.riskPost + 'risk/BulkUpload', payload, { headers })
            .pipe(retry(2));
    }
    getRiskDetail(riskId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.riskPost +
            'risk/RiskDetailsById&RiskId=' +
            riskId +
            '&callFrom=RISK_EDIT', {}, { headers })
            .pipe(retry(2));
    }
    updateRisk(riskId, payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.risk + 'risk/CreateRisk&RiskId=' + riskId, payload, {
            headers,
        })
            .pipe(retry(2));
    }
    //To get groupList
    getGroupsList() {
        if (this.groupList?.getValue()) {
            return of(this.groupList?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet +
            'groupsList&permType=managerisks&fetch_all=true', {
            headers,
        })
            .pipe(map((res) => {
            this.groupList?.next(res);
            return res;
        }), catchError$1((error) => {
            return of(null);
        }))
            .pipe(retry(2));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddRiskService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: RiskCommonService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddRiskService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddRiskService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: RiskCommonService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class SearchPipe {
    transform(value, ...args) {
        const key = args[1];
        if (value && value?.length) {
            const searchTerm = args[0]?.toLowerCase()?.trim();
            return value?.filter((ele) => { return ele[key]?.toLowerCase().includes(searchTerm?.toLowerCase()) || ele[key]?.toString()?.toLowerCase()?.includes(searchTerm); });
        }
        else {
            return [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SearchPipe, name: "search" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'search'
                }]
        }] });

class PaginationComponent {
    constructor() {
        this.ASSETS = ASSETS;
        this.currPage = 1;
        this.from = 1;
        this.to = 30;
        this.total = 100;
        this.showPageDetail = true;
        this.totalPage = 15;
        this.pageInSingleView = 5;
        this.pageChanged = new EventEmitter();
        this.displayArray = [];
        this.enterPressed = false;
        this.isInvalidInput = false;
    }
    set setPage(page) {
        this.currPage = page;
        this.displayArrayUpdate(page);
    }
    set setTotalPage(page) {
        this.totalPage = page;
        this.displayArrayUpdate(page);
        this.startArray();
    }
    //Function responsible to generate the array to display the pagination at the beginning
    startArray() {
        this.displayArray = [];
        if (this.totalPage <= this.pageInSingleView) {
            for (let i = 1; i <= this.totalPage; ++i) {
                this.displayArray.push(i);
            }
        }
        else if (this.pageInSingleView < this.totalPage) {
            for (let i = 1; i <= this.pageInSingleView; ++i) {
                this.displayArray.push(i);
            }
        }
    }
    //Function responsible for update the current page while clicking prev or next button
    currentIndexUpdate(value) {
        this.currPage += value;
        if (this.currPage <= this.totalPage &&
            this.currPage >
                this.pageInSingleView - Math.floor(this.pageInSingleView / 2) &&
            this.totalPage > this.pageInSingleView) {
            this.displayArrayUpdate(this.currPage);
        }
        else if (this.currPage <= this.pageInSingleView) {
            this.displayArray = [];
            this.startArray();
        }
        this.pageChanged.emit(this.currPage);
        this.enterPageNo = null;
        this.enterPressed = false;
    }
    //Function responsible for updating the current page while clicking on any page number
    currentIndexAssign(value) {
        this.currPage = value;
        if (this.currPage <= this.totalPage &&
            this.currPage >
                this.pageInSingleView - Math.floor(this.pageInSingleView / 2) &&
            this.totalPage > this.pageInSingleView) {
            this.displayArrayUpdate(this.currPage);
        }
        else if (this.currPage <= this.pageInSingleView) {
            this.displayArray = [];
            this.startArray();
        }
        this.pageChanged.emit(this.currPage);
        this.enterPageNo = null;
        this.enterPressed = false;
    }
    //Number validation check
    validateNumber(e) {
        const pattern = /^-?(0|[1-9]\d*)?$/;
        return pattern.test(e);
    }
    //Function responsible for updating the current page while entering the page number
    onEnterPress(event) {
        if (event.key.toLowerCase() === 'enter') {
            this.enterPressed = true;
            if (this.enterPageNo <= this.totalPage &&
                this.enterPageNo > 0 &&
                this.enterPageNo &&
                this.validateNumber(this.enterPageNo)) {
                this.currPage = this.enterPageNo;
                if (this.currPage <= this.totalPage &&
                    this.currPage >
                        this.pageInSingleView - Math.floor(this.pageInSingleView / 2) &&
                    this.totalPage > this.pageInSingleView) {
                    this.displayArrayUpdate(this.currPage);
                }
                else if (this.currPage <= this.pageInSingleView) {
                    this.displayArray = [];
                    this.startArray();
                }
                this.pageChanged.emit(this.currPage);
            }
        }
    }
    //Function responsible for manipulating the displayArray
    displayArrayUpdate(index) {
        if (this.currPage >
            this.pageInSingleView - Math.floor(this.pageInSingleView / 2) &&
            this.currPage <= this.totalPage - Math.floor(this.pageInSingleView / 2) &&
            this.totalPage > this.pageInSingleView) {
            if (this.pageInSingleView % 2 != 0) {
                let appendElement = this.pageInSingleView / 2;
                appendElement = Math.floor(appendElement);
                let startIndex = this.currPage - appendElement;
                let endIndex = this.currPage + appendElement;
                this.displayArray = [];
                for (let i = startIndex; i <= endIndex; ++i) {
                    this.displayArray.push(i);
                }
            }
            else if (this.pageInSingleView % 2 === 0) {
                let appendElement = this.pageInSingleView / 2;
                let startIndex = this.currPage - appendElement;
                let endIndex = this.currPage + appendElement - 1;
                this.displayArray = [];
                for (let i = startIndex; i <= endIndex; ++i) {
                    this.displayArray.push(i);
                }
            }
        }
        else if (this.currPage >
            this.totalPage - Math.floor(this.pageInSingleView / 2)) {
            this.displayArray = [];
            for (let i = this.totalPage - this.pageInSingleView + 1; i <= this.totalPage; ++i) {
                this.displayArray.push(i);
            }
        }
        this.displayArray = this.displayArray.filter((ele) => ele > 0);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PaginationComponent, selector: "vui-pagination", inputs: { from: "from", to: "to", total: "total", showPageDetail: "showPageDetail", totalPage: "totalPage", setPage: ["currentPage", "setPage"], setTotalPage: ["totalPage", "setTotalPage"], pageInSingleView: "pageInSingleView" }, outputs: { pageChanged: "pageChanged" }, ngImport: i0, template: "<div\n  class=\"pagination-sec-ds vx-d-flex vx-align-center vx-pb-2\"\n  [class.right-align]=\"false\"\n>\n  <div class=\"left vx-label-txt vx-fs-12 vx-fw-400 vx-tt-uppercase vx-lh-6\">\n    <ng-container *ngIf=\"showPageDetail\"\n      >SHOWING {{ from }} - {{ to }} OF {{ total }} RECORDS</ng-container\n    >\n    <div class=\"pagination-box\" *ngIf=\"false\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-fs-11 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"true\"\n          >\n            All\n          </button>\n        </li>\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-fs-11 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"false\"\n          >\n            A\n          </button>\n        </li>\n      </ul>\n    </div>\n  </div>\n\n  <div class=\"right vx-d-flex vx-align-center\" *ngIf=\"totalPage > 1\">\n    <div class=\"pagination-box\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex vx-mr-1\">\n          <button\n            class=\"vx-m-0\"\n            [class.disabled]=\"currPage === 1\"\n            (click)=\"currentIndexUpdate(-1)\"\n          >\n            <i class=\"icons vx-fs-10\">&#xe96b;</i>\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex\" *ngFor=\"let page of displayArray; let i = index\">\n          <button\n            (click)=\"currentIndexAssign(page)\"\n            class=\"vx-label-txt vx-fs-11 vx-fw-400 vx-pl-1 vx-pr-1 vx-d-inline-flex vx-align-center vx-justify-center vx-m-0 vx-ml-1\"\n            [class.active]=\"currPage == page\"\n          >\n            {{ page }}\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex vx-ml-2\">\n          <button\n            class=\"vx-m-0\"\n            [class.disabled]=\"currPage === totalPage\"\n            (click)=\"currentIndexUpdate(1)\"\n          >\n            <i class=\"icons vx-fs-10\">&#xe970;</i>\n          </button>\n        </li>\n      </ul>\n    </div>\n\n    <div class=\"goto-page vx-d-flex vx-align-center vx-ml-2\">\n      <div\n        class=\"goto-page-text vx-label-txt vx-fs-11 vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        GO TO\n      </div>\n      <div class=\"goto-page-input\">\n        <input\n          (ngModelChange)=\"enterPressed = false\"\n          [class.invalid]=\"enterPageNo > totalPage && enterPressed\"\n          type=\"number\"\n          [(ngModel)]=\"enterPageNo\"\n          (keyup)=\"onEnterPress($event)\"\n          placeholder=\"Page No.\"\n        />\n        <button>\n          <img [src]=\"ASSETS.enter_icon\" alt=\"\" />\n        </button>\n      </div>\n      <div\n        class=\"goto-page-text vx-label-txt vx-fs-11 vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        OF {{ totalPage }}\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";.pagination-sec-ds{border-radius:.125rem .125rem 0 0;justify-content:space-between}.pagination-sec-ds.right-align{justify-content:flex-end}.pagination-sec-ds .left{width:auto}.pagination-sec-ds .left .pagination-box ul li{list-style:none}.pagination-sec-ds .left .pagination-box ul li+li{margin-left:1rem}.pagination-sec-ds .left .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:.125rem;height:1.25rem;min-width:1.25rem;outline:none;cursor:pointer;line-height:1.125rem}.pagination-sec-ds .left .pagination-box ul li button.active,.pagination-sec-ds .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.pagination-sec-ds .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #BCBCBC}.pagination-sec-ds .left .pagination-box ul li button i{font-size:.5rem;width:.8125rem;height:.8125rem;line-height:.8125rem}.pagination-sec-ds .right{width:auto}.pagination-sec-ds .right .pagination-box ul li{list-style:none}.pagination-sec-ds .right .pagination-box ul li:first-child{height:1.5rem}.pagination-sec-ds .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.pagination-sec-ds .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.pagination-sec-ds .right .pagination-box ul li:last-child{height:1.5rem}.pagination-sec-ds .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.pagination-sec-ds .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.pagination-sec-ds .right .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:.125rem;height:1.5rem;min-width:1.5rem;outline:none;cursor:pointer;line-height:.75rem}.pagination-sec-ds .right .pagination-box ul li button.active,.pagination-sec-ds .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.pagination-sec-ds .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #BCBCBC}.pagination-sec-ds .right .pagination-box ul li button.disable{pointer-events:none}.pagination-sec-ds .right .goto-page{background:#fff;border:1px solid #BCBCBC;border-radius:.125rem;height:1.5625rem}.pagination-sec-ds .right .goto-page .goto-page-text{border-right:1px solid #BCBCBC;height:1.4375rem;line-height:1.4375rem}.pagination-sec-ds .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #BCBCBC}.pagination-sec-ds .right .goto-page .goto-page-input{position:relative}.pagination-sec-ds .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:.6875rem;text-transform:uppercase;padding:0 1.5625rem 0 .3125rem;width:5.9375rem;height:1.4375rem;position:relative;top:-.0625rem}.pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.pagination-sec-ds .right .goto-page .goto-page-input input:focus{outline:none}.pagination-sec-ds .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41;position:relative;top:-1px;height:1.5625rem}.pagination-sec-ds .right .goto-page .goto-page-input button{background:transparent;border:none;position:absolute;right:.1875rem;top:.25rem;cursor:pointer;padding:0;height:1.125rem;width:1.1875rem;line-height:1.375rem}.pagination-sec-ds .right .goto-page .goto-page-input button img{width:.75rem;height:.75rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'vui-pagination', template: "<div\n  class=\"pagination-sec-ds vx-d-flex vx-align-center vx-pb-2\"\n  [class.right-align]=\"false\"\n>\n  <div class=\"left vx-label-txt vx-fs-12 vx-fw-400 vx-tt-uppercase vx-lh-6\">\n    <ng-container *ngIf=\"showPageDetail\"\n      >SHOWING {{ from }} - {{ to }} OF {{ total }} RECORDS</ng-container\n    >\n    <div class=\"pagination-box\" *ngIf=\"false\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-fs-11 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"true\"\n          >\n            All\n          </button>\n        </li>\n        <li class=\"vx-d-flex\">\n          <button\n            class=\"vx-d-inline-flex vx-align-center vx-justify-center vx-label-txt vx-fw-400 vx-fs-11 vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0\"\n            [class.active]=\"false\"\n          >\n            A\n          </button>\n        </li>\n      </ul>\n    </div>\n  </div>\n\n  <div class=\"right vx-d-flex vx-align-center\" *ngIf=\"totalPage > 1\">\n    <div class=\"pagination-box\">\n      <ul class=\"vx-d-flex vx-align-center vx-m-0 vx-p-0\">\n        <li class=\"vx-d-flex vx-mr-1\">\n          <button\n            class=\"vx-m-0\"\n            [class.disabled]=\"currPage === 1\"\n            (click)=\"currentIndexUpdate(-1)\"\n          >\n            <i class=\"icons vx-fs-10\">&#xe96b;</i>\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex\" *ngFor=\"let page of displayArray; let i = index\">\n          <button\n            (click)=\"currentIndexAssign(page)\"\n            class=\"vx-label-txt vx-fs-11 vx-fw-400 vx-pl-1 vx-pr-1 vx-d-inline-flex vx-align-center vx-justify-center vx-m-0 vx-ml-1\"\n            [class.active]=\"currPage == page\"\n          >\n            {{ page }}\n          </button>\n        </li>\n\n        <li class=\"vx-d-flex vx-ml-2\">\n          <button\n            class=\"vx-m-0\"\n            [class.disabled]=\"currPage === totalPage\"\n            (click)=\"currentIndexUpdate(1)\"\n          >\n            <i class=\"icons vx-fs-10\">&#xe970;</i>\n          </button>\n        </li>\n      </ul>\n    </div>\n\n    <div class=\"goto-page vx-d-flex vx-align-center vx-ml-2\">\n      <div\n        class=\"goto-page-text vx-label-txt vx-fs-11 vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        GO TO\n      </div>\n      <div class=\"goto-page-input\">\n        <input\n          (ngModelChange)=\"enterPressed = false\"\n          [class.invalid]=\"enterPageNo > totalPage && enterPressed\"\n          type=\"number\"\n          [(ngModel)]=\"enterPageNo\"\n          (keyup)=\"onEnterPress($event)\"\n          placeholder=\"Page No.\"\n        />\n        <button>\n          <img [src]=\"ASSETS.enter_icon\" alt=\"\" />\n        </button>\n      </div>\n      <div\n        class=\"goto-page-text vx-label-txt vx-fs-11 vx-tt-uppercase vx-d-block vx-pl-2 vx-pr-2\"\n      >\n        OF {{ totalPage }}\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";.pagination-sec-ds{border-radius:.125rem .125rem 0 0;justify-content:space-between}.pagination-sec-ds.right-align{justify-content:flex-end}.pagination-sec-ds .left{width:auto}.pagination-sec-ds .left .pagination-box ul li{list-style:none}.pagination-sec-ds .left .pagination-box ul li+li{margin-left:1rem}.pagination-sec-ds .left .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:.125rem;height:1.25rem;min-width:1.25rem;outline:none;cursor:pointer;line-height:1.125rem}.pagination-sec-ds .left .pagination-box ul li button.active,.pagination-sec-ds .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.pagination-sec-ds .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #BCBCBC}.pagination-sec-ds .left .pagination-box ul li button i{font-size:.5rem;width:.8125rem;height:.8125rem;line-height:.8125rem}.pagination-sec-ds .right{width:auto}.pagination-sec-ds .right .pagination-box ul li{list-style:none}.pagination-sec-ds .right .pagination-box ul li:first-child{height:1.5rem}.pagination-sec-ds .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.pagination-sec-ds .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.pagination-sec-ds .right .pagination-box ul li:last-child{height:1.5rem}.pagination-sec-ds .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.pagination-sec-ds .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.pagination-sec-ds .right .pagination-box ul li button{border:1px solid #BCBCBC;background:#fff;border-radius:.125rem;height:1.5rem;min-width:1.5rem;outline:none;cursor:pointer;line-height:.75rem}.pagination-sec-ds .right .pagination-box ul li button.active,.pagination-sec-ds .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.pagination-sec-ds .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #BCBCBC}.pagination-sec-ds .right .pagination-box ul li button.disable{pointer-events:none}.pagination-sec-ds .right .goto-page{background:#fff;border:1px solid #BCBCBC;border-radius:.125rem;height:1.5625rem}.pagination-sec-ds .right .goto-page .goto-page-text{border-right:1px solid #BCBCBC;height:1.4375rem;line-height:1.4375rem}.pagination-sec-ds .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #BCBCBC}.pagination-sec-ds .right .goto-page .goto-page-input{position:relative}.pagination-sec-ds .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:.6875rem;text-transform:uppercase;padding:0 1.5625rem 0 .3125rem;width:5.9375rem;height:1.4375rem;position:relative;top:-.0625rem}.pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.pagination-sec-ds .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.pagination-sec-ds .right .goto-page .goto-page-input input:focus{outline:none}.pagination-sec-ds .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41;position:relative;top:-1px;height:1.5625rem}.pagination-sec-ds .right .goto-page .goto-page-input button{background:transparent;border:none;position:absolute;right:.1875rem;top:.25rem;cursor:pointer;padding:0;height:1.125rem;width:1.1875rem;line-height:1.375rem}.pagination-sec-ds .right .goto-page .goto-page-input button img{width:.75rem;height:.75rem}\n"] }]
        }], propDecorators: { from: [{
                type: Input
            }], to: [{
                type: Input
            }], total: [{
                type: Input
            }], showPageDetail: [{
                type: Input
            }], totalPage: [{
                type: Input
            }], setPage: [{
                type: Input,
                args: ['currentPage']
            }], setTotalPage: [{
                type: Input,
                args: ['totalPage']
            }], pageInSingleView: [{
                type: Input
            }], pageChanged: [{
                type: Output
            }] } });

const CHECKBOX_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => CheckboxComponent$1),
    multi: true,
};
let CheckboxComponent$1 = class CheckboxComponent {
    constructor() {
        this.onChanged = (value) => { };
        this.onTouched = () => { };
    }
    writeValue(value) {
        this.checked = value ?? false;
    }
    registerOnChange(fn) {
        this.onChanged = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    valueChanged() {
        this.checked = !this.checked;
        this.onChanged(this.checked);
        this.onTouched();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckboxComponent, selector: "vui-checkbox", inputs: { disabled: "disabled", checked: "checked", indeterminateEnabled: "indeterminateEnabled" }, providers: [CHECKBOX_VALUE_ACCESSOR], ngImport: i0, template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\">\n    <input type=\"checkbox\" [checked]=\"checked\" [disabled]=\"disabled\" (change)=\"valueChanged()\"/>\n    <span class=\"checkbox\">\n      <span class=\"inner\"></span>\n    </span>\n    <!-- svg for checkmark -->\n    <ng-container *ngIf=\"!indeterminateEnabled\">\n        <svg  class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n            <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n            <path class=\"checkmark__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n          </svg>\n    </ng-container>\n   \n    <ng-container *ngIf=\"indeterminateEnabled\">\n        <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n            <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n            <path fill=\"none\" d=\"M37.9,27H14v-2h23.9V27z\"/>\n          </svg>\n    </ng-container>\n \n    <span class=\"value\"><ng-content></ng-content></span>\n  </label>\n  ", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;width:100%;position:relative;padding:0 0 0 16px}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:absolute;top:0;left:0;padding:2px;margin-top:0}label.checkbox-item span.value{color:#4e4e4e;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px);-webkit-user-select:none;user-select:none}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7;pointer-events:none}label.disabled .checkbox,label.disabled .checkmark{opacity:.4!important}label.disabled .checkbox{background:#dbdbdb!important}.disabled{opacity:1!important;pointer-events:none;filter:unset!important}.checkmark{width:16px;height:16px;border-radius:2px;position:absolute;top:0;left:0;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'vui-checkbox', providers: [CHECKBOX_VALUE_ACCESSOR], inputs: ['disabled', 'checked', 'indeterminateEnabled'], template: "<label class=\"checkbox-item\" [class.disabled]=\"disabled\">\n    <input type=\"checkbox\" [checked]=\"checked\" [disabled]=\"disabled\" (change)=\"valueChanged()\"/>\n    <span class=\"checkbox\">\n      <span class=\"inner\"></span>\n    </span>\n    <!-- svg for checkmark -->\n    <ng-container *ngIf=\"!indeterminateEnabled\">\n        <svg  class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n            <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n            <path class=\"checkmark__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n          </svg>\n    </ng-container>\n   \n    <ng-container *ngIf=\"indeterminateEnabled\">\n        <svg class=\"checkmark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n            <circle class=\"checkmark__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n            <path fill=\"none\" d=\"M37.9,27H14v-2h23.9V27z\"/>\n          </svg>\n    </ng-container>\n \n    <span class=\"value\"><ng-content></ng-content></span>\n  </label>\n  ", styles: ["label.checkbox-item{display:inline-flex;align-items:center;cursor:pointer;margin:0;width:100%;position:relative;padding:0 0 0 16px}label.checkbox-item span{display:inline-flex;align-items:center;justify-content:center}label.checkbox-item span.checkbox{height:16px;width:16px;border-radius:2px;border:1px solid #dbdbdb;position:absolute;top:0;left:0;padding:2px;margin-top:0}label.checkbox-item span.value{color:#4e4e4e;font-size:14px;line-height:16px;font-weight:400;margin-left:10px;max-width:calc(100% - 26px);-webkit-user-select:none;user-select:none}label.checkbox-item span.value:empty{display:none}label.checkbox-item svg{display:none;margin-top:0}label.checkbox-item input[type=checkbox]{display:none}label.checkbox-item input[type=checkbox]:checked~svg{display:block}label.checkbox-item input[type=checkbox]:checked+.checkbox{display:none}label.checkbox-item input[type=checkbox]:disabled~*{opacity:.7;pointer-events:none}label.disabled .checkbox,label.disabled .checkmark{opacity:.4!important}label.disabled .checkbox{background:#dbdbdb!important}.disabled{opacity:1!important;pointer-events:none;filter:unset!important}.checkmark{width:16px;height:16px;border-radius:2px;position:absolute;top:0;left:0;stroke-width:4;stroke:#fff;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fill .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}.checkmark__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:stroke .6s cubic-bezier(.65,0,.45,1) forwards}.checkmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:stroke .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes stroke{to{stroke-dashoffset:0}}@keyframes scale{0%,to{transform:none}50%{transform:scale3d(1.1,1.1,1)}}@keyframes fill{to{box-shadow:inset 0 0 0 30px #34aa44}}\n"] }]
        }] });

class VuiFloatingBarComponent {
    constructor() {
        this.displayElementKey = '';
        this.elementId = '';
        this.singularText = '';
        this.pluralText = '';
        this.showNextButton = true;
        this.showFrequencyText = false;
        this.showWorkflow = false;
        this.workflowText = '';
        this.currentFrequency = '';
        this.isDisabled = false;
        this.workflowList = [
            'SEQUENTIAL',
            'ANY REVIEWER CAN MARK THIS AS REVIEWED',
        ];
        this.mode = 'CREATE';
        this.nextDisabled = false;
        this.nonRemovableUsersList = [];
        this.closeEvent = new EventEmitter();
        this.deleteEvent = new EventEmitter();
        this.closeList = new EventEmitter();
        this.workflowTypeChanged = new EventEmitter();
        this.selectedData = [];
    }
    ngOnChanges() {
        if (this.groupSelected?.length) {
            this.selectedWorkflow = 'ANY REVIEWER CAN MARK THIS AS REVIEWED';
        }
    }
    ngOnInit() { }
    next() {
        this.closeEvent.emit(this.selectedData);
    }
    deleteSelected(index) {
        this.deleteEvent.emit(index);
    }
    close() {
        this.closeList.emit();
    }
    selectedWorkflowType(event) {
        // debugger
    }
    selectedWorkflowChange(event) {
        this.workflowTypeChanged.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VuiFloatingBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: VuiFloatingBarComponent, selector: "vui-floating-bar", inputs: { selectedData: "selectedData", groupSelected: "groupSelected", displayElementKey: "displayElementKey", elementId: "elementId", singularText: "singularText", pluralText: "pluralText", showNextButton: "showNextButton", showFrequencyText: "showFrequencyText", showWorkflow: "showWorkflow", workflowText: "workflowText", currentFrequency: "currentFrequency", isDisabled: "isDisabled", workflowList: "workflowList", selectedWorkflow: "selectedWorkflow", workflowPlaceHolder: "workflowPlaceHolder", mode: "mode", nextDisabled: "nextDisabled", nonRemovableUsersList: "nonRemovableUsersList", removePosition: "removePosition" }, outputs: { closeEvent: "closeEvent", deleteEvent: "deleteEvent", closeList: "closeList", workflowTypeChanged: "workflowTypeChanged" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"reviewer-floating-bar\">\n  <div class=\"reviewer-floating-bar-container\">\n    <div class=\"left\">\n      <!-- <ng-container *ngIf=\"selectedData.length > 0\">\n        <div class=\"counter\" *ngIf=\"selectedData?.length\"\n          placement=\"left\">{{selectedData?.length}}</div>\n        <div class=\"name\" *ngIf=\"selectedData?.length>1\">\n          <span *ngIf=\"selectedData?.slice(1).length === 1\">{{singularText}}</span>\n          <span *ngIf=\"selectedData?.slice(1).length > 1\">{{pluralText}}</span>\n        </div>\n      </ng-container> -->\n      <ng-content> </ng-content>\n    </div>\n    <div\n      class=\"center\"\n      *ngIf=\"showWorkflow && (mode === 'CREATE' || mode === 'EDIT')\"\n    >\n      <label>REVIEWER<br />WORKFLOW</label>\n      <cs-select\n        [(ngModel)]=\"selectedWorkflow\"\n        (ngModelChange)=\"selectedWorkflowChange($event)\"\n        [placeholder]=\"selectedWorkflow\"\n        [class.disabled]=\"\n          groupSelected.length &&\n          selectedWorkflow === 'ANY REVIEWER CAN MARK THIS AS REVIEWED'\n        \"\n      >\n        <cs-option *ngFor=\"let data of workflowList\" [value]=\"data\">\n          {{ data }}\n        </cs-option>\n      </cs-select>\n    </div>\n\n    <div class=\"right\">\n      <button appRipple class=\"cancel\" (click)=\"close()\">Cancel</button>\n      <button\n        *ngIf=\"showNextButton\"\n        [disabled]=\"nextDisabled\"\n        (click)=\"next()\"\n        appRipple\n      >\n        Next <i class=\"icons\">&#xe91e;</i>\n      </button>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .reviewer-floating-bar-container{height:48px;border-radius:4px;box-shadow:0 6px 12px #4681ef40;border:1px solid #f8f8f8;padding:8px 12px;display:flex;justify-content:space-between;position:relative;align-items:center;background:#fff}::ng-deep .reviewer-floating-bar-container .left{display:flex;align-items:center;width:60%}::ng-deep .reviewer-floating-bar-container .left .chip{padding:0 5px;height:24px;display:inline-flex;color:#1e5dd3;border-radius:2px;align-items:center;background:#fff;max-width:100%;box-shadow:0 2px 6px #4681ef20}::ng-deep .reviewer-floating-bar-container .left .chip i{margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex;margin-left:4px}::ng-deep .reviewer-floating-bar-container .left .chip span{width:auto;font-size:12px;font-weight:500;display:block;text-overflow:ellipsis;white-space:nowrap;max-width:112px;overflow:hidden}::ng-deep .reviewer-floating-bar-container .left .chip span.no-action{max-width:100%}::ng-deep .reviewer-floating-bar-container .left .chip span+i{margin-left:8px;margin-right:0}::ng-deep .reviewer-floating-bar-container .left .chip+.chip{margin-left:5px}::ng-deep .reviewer-floating-bar-container .left .counter{border-radius:20px;background:#34aa44;border:none;color:#fff;font-size:9px;font-weight:600;cursor:pointer;display:inline-flex;align-items:center;margin:0 0 0 8px;padding:0 4px;justify-content:center;line-height:16px;min-width:24px}::ng-deep .reviewer-floating-bar-container .left .counter.group{background:#1e5dd3}::ng-deep .reviewer-floating-bar-container .left .name{margin-right:4px;color:#707070;font-size:12px;line-height:18px;white-space:nowrap}::ng-deep .reviewer-floating-bar-container .left .name b{text-transform:lowercase}::ng-deep .reviewer-floating-bar-container .left .user-group-chip{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem;display:inline-flex;align-items:center;padding:0 8px;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;margin-right:8px}::ng-deep .reviewer-floating-bar-container .left .user-group-chip .cross{color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .reviewer-floating-bar-container .left .user-group-chip .cross:hover{background:#f1f1f1}::ng-deep .reviewer-floating-bar-container .left .user-group-chip .user-group-name{color:#161b2f;font-size:11px;display:block;width:auto;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;max-width:7.5rem}::ng-deep .reviewer-floating-bar-container .left .userGroup-text{margin-right:4px}::ng-deep .reviewer-floating-bar-container .center{width:30%;display:flex;justify-content:flex-start;align-items:center}::ng-deep .reviewer-floating-bar-container .center label{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:0;display:block;text-transform:uppercase;width:auto;margin-right:8px;text-align:left;white-space:nowrap}::ng-deep .reviewer-floating-bar-container .center label .icon i{color:#1e5dd3}::ng-deep .reviewer-floating-bar-container .center cs-select.disabled{pointer-events:none;opacity:.6}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .input-group input.value{height:32px!important;padding:8px 20px 8px 8px!important;border-radius:2px!important}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .select-options cs-option .list label span.value{font-size:13px!important}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .select-options cs-option.disabled{pointer-events:none}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .select-options cs-option.disabled .list label span.value{opacity:.5}::ng-deep .reviewer-floating-bar-container .right{display:flex;align-items:center}::ng-deep .reviewer-floating-bar-container .right .name{margin-left:15px;color:#707070;font-size:12px;font-weight:500;line-height:18px;display:flex;align-items:center;white-space:nowrap}::ng-deep .reviewer-floating-bar-container .right .name span.required{color:#eb2424;font-size:14px}::ng-deep .reviewer-floating-bar-container .right .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}::ng-deep .reviewer-floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}::ng-deep .reviewer-floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}::ng-deep .reviewer-floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}::ng-deep .reviewer-floating-bar-container .right button{border-radius:2px;height:24px;background:#1e5dd3!important;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:none!important;padding:0 8px;margin:0 0 0 8px}::ng-deep .reviewer-floating-bar-container .right button i{margin-left:8px;font-size:11px}::ng-deep .reviewer-floating-bar-container .right button:disabled{background:#f1f1f1!important;color:#747576!important;opacity:1}::ng-deep .reviewer-floating-bar-container .right button.cancel{background:transparent!important;color:#eb2424!important}::ng-deep span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}.vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block}.vx-info-card-head{font-size:13px;border-bottom:1px solid #dcdcdc;padding:8px 12px;font-weight:500;text-transform:none;color:#161b2f}.vx-info-card-body{font-size:11px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VuiFloatingBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'vui-floating-bar', template: "<div class=\"reviewer-floating-bar\">\n  <div class=\"reviewer-floating-bar-container\">\n    <div class=\"left\">\n      <!-- <ng-container *ngIf=\"selectedData.length > 0\">\n        <div class=\"counter\" *ngIf=\"selectedData?.length\"\n          placement=\"left\">{{selectedData?.length}}</div>\n        <div class=\"name\" *ngIf=\"selectedData?.length>1\">\n          <span *ngIf=\"selectedData?.slice(1).length === 1\">{{singularText}}</span>\n          <span *ngIf=\"selectedData?.slice(1).length > 1\">{{pluralText}}</span>\n        </div>\n      </ng-container> -->\n      <ng-content> </ng-content>\n    </div>\n    <div\n      class=\"center\"\n      *ngIf=\"showWorkflow && (mode === 'CREATE' || mode === 'EDIT')\"\n    >\n      <label>REVIEWER<br />WORKFLOW</label>\n      <cs-select\n        [(ngModel)]=\"selectedWorkflow\"\n        (ngModelChange)=\"selectedWorkflowChange($event)\"\n        [placeholder]=\"selectedWorkflow\"\n        [class.disabled]=\"\n          groupSelected.length &&\n          selectedWorkflow === 'ANY REVIEWER CAN MARK THIS AS REVIEWED'\n        \"\n      >\n        <cs-option *ngFor=\"let data of workflowList\" [value]=\"data\">\n          {{ data }}\n        </cs-option>\n      </cs-select>\n    </div>\n\n    <div class=\"right\">\n      <button appRipple class=\"cancel\" (click)=\"close()\">Cancel</button>\n      <button\n        *ngIf=\"showNextButton\"\n        [disabled]=\"nextDisabled\"\n        (click)=\"next()\"\n        appRipple\n      >\n        Next <i class=\"icons\">&#xe91e;</i>\n      </button>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .reviewer-floating-bar-container{height:48px;border-radius:4px;box-shadow:0 6px 12px #4681ef40;border:1px solid #f8f8f8;padding:8px 12px;display:flex;justify-content:space-between;position:relative;align-items:center;background:#fff}::ng-deep .reviewer-floating-bar-container .left{display:flex;align-items:center;width:60%}::ng-deep .reviewer-floating-bar-container .left .chip{padding:0 5px;height:24px;display:inline-flex;color:#1e5dd3;border-radius:2px;align-items:center;background:#fff;max-width:100%;box-shadow:0 2px 6px #4681ef20}::ng-deep .reviewer-floating-bar-container .left .chip i{margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex;margin-left:4px}::ng-deep .reviewer-floating-bar-container .left .chip span{width:auto;font-size:12px;font-weight:500;display:block;text-overflow:ellipsis;white-space:nowrap;max-width:112px;overflow:hidden}::ng-deep .reviewer-floating-bar-container .left .chip span.no-action{max-width:100%}::ng-deep .reviewer-floating-bar-container .left .chip span+i{margin-left:8px;margin-right:0}::ng-deep .reviewer-floating-bar-container .left .chip+.chip{margin-left:5px}::ng-deep .reviewer-floating-bar-container .left .counter{border-radius:20px;background:#34aa44;border:none;color:#fff;font-size:9px;font-weight:600;cursor:pointer;display:inline-flex;align-items:center;margin:0 0 0 8px;padding:0 4px;justify-content:center;line-height:16px;min-width:24px}::ng-deep .reviewer-floating-bar-container .left .counter.group{background:#1e5dd3}::ng-deep .reviewer-floating-bar-container .left .name{margin-right:4px;color:#707070;font-size:12px;line-height:18px;white-space:nowrap}::ng-deep .reviewer-floating-bar-container .left .name b{text-transform:lowercase}::ng-deep .reviewer-floating-bar-container .left .user-group-chip{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem;display:inline-flex;align-items:center;padding:0 8px;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;margin-right:8px}::ng-deep .reviewer-floating-bar-container .left .user-group-chip .cross{color:#747576;font-size:10px;margin-right:4px;cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .reviewer-floating-bar-container .left .user-group-chip .cross:hover{background:#f1f1f1}::ng-deep .reviewer-floating-bar-container .left .user-group-chip .user-group-name{color:#161b2f;font-size:11px;display:block;width:auto;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;max-width:7.5rem}::ng-deep .reviewer-floating-bar-container .left .userGroup-text{margin-right:4px}::ng-deep .reviewer-floating-bar-container .center{width:30%;display:flex;justify-content:flex-start;align-items:center}::ng-deep .reviewer-floating-bar-container .center label{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:0;display:block;text-transform:uppercase;width:auto;margin-right:8px;text-align:left;white-space:nowrap}::ng-deep .reviewer-floating-bar-container .center label .icon i{color:#1e5dd3}::ng-deep .reviewer-floating-bar-container .center cs-select.disabled{pointer-events:none;opacity:.6}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .input-group input.value{height:32px!important;padding:8px 20px 8px 8px!important;border-radius:2px!important}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .select-options cs-option .list label span.value{font-size:13px!important}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .select-options cs-option.disabled{pointer-events:none}::ng-deep .reviewer-floating-bar-container .center cs-select .selection-wrap .select-options cs-option.disabled .list label span.value{opacity:.5}::ng-deep .reviewer-floating-bar-container .right{display:flex;align-items:center}::ng-deep .reviewer-floating-bar-container .right .name{margin-left:15px;color:#707070;font-size:12px;font-weight:500;line-height:18px;display:flex;align-items:center;white-space:nowrap}::ng-deep .reviewer-floating-bar-container .right .name span.required{color:#eb2424;font-size:14px}::ng-deep .reviewer-floating-bar-container .right .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}::ng-deep .reviewer-floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}::ng-deep .reviewer-floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}::ng-deep .reviewer-floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}::ng-deep .reviewer-floating-bar-container .right button{border-radius:2px;height:24px;background:#1e5dd3!important;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:none!important;padding:0 8px;margin:0 0 0 8px}::ng-deep .reviewer-floating-bar-container .right button i{margin-left:8px;font-size:11px}::ng-deep .reviewer-floating-bar-container .right button:disabled{background:#f1f1f1!important;color:#747576!important;opacity:1}::ng-deep .reviewer-floating-bar-container .right button.cancel{background:transparent!important;color:#eb2424!important}::ng-deep span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}.vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block}.vx-info-card-head{font-size:13px;border-bottom:1px solid #dcdcdc;padding:8px 12px;font-weight:500;text-transform:none;color:#161b2f}.vx-info-card-body{font-size:11px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { selectedData: [{
                type: Input
            }], groupSelected: [{
                type: Input
            }], displayElementKey: [{
                type: Input
            }], elementId: [{
                type: Input
            }], singularText: [{
                type: Input
            }], pluralText: [{
                type: Input
            }], showNextButton: [{
                type: Input
            }], showFrequencyText: [{
                type: Input
            }], showWorkflow: [{
                type: Input
            }], workflowText: [{
                type: Input
            }], currentFrequency: [{
                type: Input
            }], isDisabled: [{
                type: Input
            }], workflowList: [{
                type: Input
            }], selectedWorkflow: [{
                type: Input
            }], workflowPlaceHolder: [{
                type: Input
            }], mode: [{
                type: Input
            }], nextDisabled: [{
                type: Input
            }], nonRemovableUsersList: [{
                type: Input
            }], removePosition: [{
                type: Input
            }], closeEvent: [{
                type: Output
            }], deleteEvent: [{
                type: Output
            }], closeList: [{
                type: Output
            }], workflowTypeChanged: [{
                type: Output
            }] } });

let FilterPipe$1 = class FilterPipe {
    transform(items, searchText) {
        if (!items) {
            return [];
        }
        if (!searchText) {
            return items;
        }
        searchText = searchText.toLowerCase();
        if (items?.length) {
            return items.filter((it) => {
                return JSON.stringify(it).toLowerCase().includes(searchText);
            });
        }
        else {
            return [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe, name: "filter" }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe$1, decorators: [{
            type: Pipe,
            args: [{
                    name: 'filter',
                }]
        }] });

class UserGroupListComponent {
    set approvalType(value) {
        this.approvalWorkflowType = value;
    }
    set setUserList(value) {
        if (value && value?.length) {
            this.usersList = [...value];
            this.allUsersIds = this.usersList.map((ele) => ele?.member_id);
            this.allUserSelectedStatus();
            this.setUserListInit();
        }
    }
    set setSelectedUser(value) {
        if (value?.length) {
            this.selectedUsers = this.uniqueByProp([...this.selectedUsers, ...value], 'member_id');
            this.selectedUserIds = this.selectedUsers.map((ele) => ele?.member_id);
            this.allUserSelectedStatus();
            this.setUserListInit();
        }
    }
    set setDefaultSelectedUsers(value) {
        this.defaultSelectedUsers = this.uniqueByProp([...this.defaultSelectedUsers, ...value], 'member_id');
        this.defaultSelectedUserIds = this.defaultSelectedUsers.map((ele) => ele?.member_id);
    }
    setUserListInit() {
        if (this.userCurrentPage === 1) {
            const selected = this.selectedUsers;
            const otherUser = this.usersList.filter((ele) => !this.selectedUserIds.includes(ele?.member_id));
            this.usersList = this.uniqueByProp([...selected?.sort(), ...otherUser?.sort()], 'member_id');
        }
    }
    allUserSelectedStatus() {
        this.allUserSelected =
            this.allUsersIds.sort().toString() ===
                this.selectedUserIds.sort()?.toString();
        this.allUserSelectedDisabled =
            this.allUsersIds.sort().toString() ===
                this.selectedUserIds.sort()?.toString() &&
                this.allUsersIds.sort().toString() ===
                    this.nonRemovableUserIds.sort()?.toString();
    }
    set setGroupList(value) {
        if (value && value?.length) {
            this.groupsList = [...value];
            this.allGroupsIds = this.groupsList.map((ele) => ele?.group_id);
            this.allGroupSelectedStatus();
            this.setGroupListInit();
        }
    }
    set setSelectedGroup(value) {
        this.selectedGroups = this.uniqueByProp([...this.selectedGroups, ...value], 'group_id');
        this.selectedGroupIds = this.selectedGroups.map((ele) => ele?.group_id);
        this.allGroupSelectedStatus();
        this.setGroupListInit();
    }
    setGroupListInit() {
        if (this.userCurrentPage === 1) {
            const selected = this.selectedGroups;
            const otherGroup = this.groupsList.filter((ele) => !this.selectedGroupIds.includes(ele?.group_id));
            this.groupsList = this.uniqueByProp([...selected?.sort(), ...otherGroup?.sort()], 'group_id');
        }
    }
    allGroupSelectedStatus() {
        this.allGroupSelected =
            this.allGroupsIds?.sort()?.toString() ===
                this.selectedGroupIds?.sort()?.toString();
        this.allGroupSelectedDisabled =
            this.allGroupsIds.sort().toString() ===
                this.selectedGroupIds.sort()?.toString() &&
                this.allGroupsIds.sort().toString() ===
                    this.nonRemovableGroupIds.sort()?.toString();
    }
    userPageChange(page) {
        this.userCurrentPage = page;
        this.fetchUserData.emit({ page, searchKey: this.searchKey });
    }
    /**
     * #### Description
     * Selects item or deselect a itme
     * @param evt
     * @param payload
     */
    selectItem(evt, payload) {
        evt?.target?.checked === true
            ? this.manipulateSelectedUser('ADD', payload)
            : this.manipulateSelectedUser('DELETE', payload);
    }
    selectItemRadio(evt, payload) {
        if (evt?.target?.checked) {
            this.selectedUsers = [];
            this.manipulateSelectedUser('ADD', payload);
        }
    }
    /**
     * #### Description
     *
     * Manipulates selected items in role list
     * @param action :'ADD' | 'DELETE'
     * @param payload
     */
    manipulateSelectedUser(action, payload) {
        if (action === 'ADD') {
            this.selectedUsers = this.uniqueByProp([...this.selectedUsers, ...[payload]], 'member_id');
            this.selectedUserIds = this.selectedUsers.map((ele) => ele?.member_id);
        }
        else if (action === 'DELETE') {
            let index = this.selectedUsers.findIndex((ele) => ele?.member_id === payload?.member_id);
            if (index > -1) {
                this.selectedUsers = this.selectedUsers.filter((ele) => ele?.member_id !== payload?.member_id);
                this.selectedUserIds = this.selectedUserIds.filter((ele) => ele !== payload?.member_id);
            }
        }
        this.allUserSelectedStatus();
    }
    selectAllUser(evt) {
        const isChecked = evt?.target?.checked === true;
        const sourceUsers = this.fromResponsibility ? this.disableUsers() : this.usersList;
        if (isChecked) {
            this.selectedUsers = sourceUsers;
            this.selectedUserIds = this.selectedUsers.map((user) => user?.member_id);
        }
        else {
            this.selectedUsers = this.usersList.filter((user) => this.nonRemovableUserIds.includes(user?.member_id));
            this.selectedUserIds = this.selectedUsers.map((user) => user?.member_id);
        }
        this.allUserSelectedStatus();
    }
    /**
     * #### Description
     * Selects item or deselect a itme
     * @param evt
     * @param payload
     */
    selectGroup(evt, payload) {
        evt?.target?.checked === true
            ? this.manipulateSelectedGroup('ADD', payload)
            : this.manipulateSelectedGroup('DELETE', payload);
    }
    /**
     * #### Description
     *
     * Manipulates selected items in role list
     * @param action :'ADD' | 'DELETE'
     * @param payload
     */
    manipulateSelectedGroup(action, payload) {
        if (action === 'ADD') {
            this.selectedGroups = this.uniqueByProp([...this.selectedGroups, ...[payload]], 'group_id');
            this.selectedGroupIds = this.selectedGroups.map((ele) => ele?.group_id);
        }
        else if (action === 'DELETE') {
            let index = this.selectedGroups.findIndex((ele) => ele?.group_id === payload?.group_id);
            if (index > -1) {
                this.selectedGroups = this.selectedGroups.filter((ele) => ele?.group_id !== payload?.group_id);
                this.selectedGroupIds = this.selectedGroupIds.filter((ele) => ele !== payload?.group_id);
            }
        }
        this.allGroupSelectedStatus();
    }
    selectAllGroup(evt) {
        const groupData = this.searchPipe.transform(this.groupsList, this.searchKey, 'group_name');
        if (evt?.target?.checked === true) {
            this.selectedGroups = groupData;
            this.selectedGroupIds = groupData.map((ele) => ele?.group_id);
        }
        else {
            this.selectedGroups = this.groupsList.filter((ele) => this.nonRemovableGroupIds.includes(ele?.group_id));
            this.selectedGroupIds = this.selectedGroups.map((ele) => ele?.group_id);
        }
        this.allGroupSelectedStatus();
    }
    constructor() {
        this.ASSETS = ASSETS;
        this.save = new EventEmitter();
        this.cancel = new EventEmitter();
        this.panelTitle = 'Select User(s)';
        this.singleSelect = false;
        this.selectedReviewer = false;
        this.featureflag = false;
        this.reviewerWorkflowType = 'SEQUENTIAL';
        this.reviewerWorkflowTypeChange = new EventEmitter();
        this.mode = 'CREATE';
        this.fieldType = '';
        this.searchKey = '';
        this.approvalWorkflowType = 'SEQUENTIAL';
        this.usersList = [];
        this.groupsList = [];
        this.assignorId = [];
        this.assigneeIds = [];
        this.reviewerIds = [];
        this.overseerIds = [];
        this.FromProgram = false;
        this.fromApprovalWorkflow = false;
        this.showFutureUsersSwitch = false;
        this.futureUsersWillSelect = false;
        this.isAllDisabled = false;
        this.isGroupTabShow = true;
        this.fetchUserData = new EventEmitter();
        this.disabledIds = [];
        this.nonRemovableUserIds = [];
        this.allUserSelectedDisabled = false;
        this.selectedUsers = [];
        this.selectedUserIds = [];
        this.allUsersIds = [];
        this.allUserSelected = false;
        this.nonRemovableGroupIds = [];
        this.selectedGroups = [];
        this.selectedGroupIds = [];
        this.allGroupsIds = [];
        this.allGroupSelected = false;
        this.allGroupSelectedDisabled = false;
        this.searchPipe = new SearchPipe();
        this.userCurrentPage = 1;
        this.groupCurrentPage = 1;
        this.loading = false;
        this.nonDisabledUsers = [];
        this.defaultSelectedUsers = [];
        this.defaultSelectedUserIds = [];
        this.userType = 'assignees';
        this.showConfirmation = false;
        this.animation = true;
        this.currentTab = 'USER';
    }
    ngOnInit() {
        let disabledIds = [...this.disabledIds, ...this.nonRemovableUserIds];
        this.disabledIds = [...new Set(disabledIds)];
        this.paginationVisible();
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    switchTab(tab) {
        this.currentTab = tab;
        this.searchKey = '';
    }
    saveList() {
        if (this.defaultSelectedUserIds &&
            this.defaultSelectedUserIds?.length &&
            this.selectedUserIds &&
            this.selectedUserIds?.length) {
            this.defaultSelectedUserIds?.forEach((id) => {
                if (!this.selectedUserIds?.includes(id)) {
                    this.showConfirmation = true;
                }
            });
        }
        else {
            this.showConfirmation = false;
        }
        if (!this.showConfirmation)
            this.save.emit({
                users: this.selectedUsers,
                groups: this.selectedGroups,
                futureUsersWillSelect: this.futureUsersWillSelect,
            });
    }
    confirmAction(evt) {
        if (evt === 'YES') {
            this.save.emit({
                users: this.selectedUsers,
                groups: this.selectedGroups,
                futureUsersWillSelect: this.futureUsersWillSelect,
            });
        }
        else if (evt === 'NO') {
            this.showConfirmation = false;
        }
    }
    closeList() {
        this.cancel.emit();
    }
    //
    /**
     * #### Description
     *
     * Returns the unique array of object based on unique key
     * @param array
     * @param key
     * @returns
     */
    uniqueByProp(array, key) {
        return Array.from(array
            .reduce((acc, item) => (item && item[key] && acc.set(item[key], item), acc), new Map())
            .values());
    }
    paginationVisible() {
        if (this.userListInfo?.total_pages > 1) {
            this.isPagination = true;
        }
        else {
            this.isPagination = false;
        }
    }
    workflowTypeChanged(event) {
        this.reviewerWorkflowType = event;
        this.reviewerWorkflowTypeChange.emit(event);
    }
    disableUsers() {
        switch (this.fromResponsibility) {
            case 'Assignee':
                this.nonDisabledUsers = this.usersList.filter((user) => !(this.reviewerIds?.includes(user?.member_id) ||
                    this.overseerIds?.includes(user?.member_id)));
                break;
            case 'Reviewer':
                this.nonDisabledUsers = this.usersList.filter((user) => !(this.overseerIds?.includes(user?.member_id) ||
                    this.assigneeIds?.includes(user?.member_id)));
                break;
            case 'Overseer':
                this.nonDisabledUsers = this.usersList.filter((user) => !(this.assignorId?.includes(user?.member_id) ||
                    this.reviewerIds?.includes(user?.member_id) ||
                    this.assigneeIds?.includes(user?.member_id)));
                break;
            case 'collaborator':
                this.nonDisabledUsers = this.usersList.filter((user) => !(this.disabledIds?.includes(user?.member_id)));
                break;
            default:
        }
        return this.nonDisabledUsers;
    }
    setAllUsersSelected(event) {
        this.futureUsersWillSelect = event;
        if (event) {
            this.selectedUsers = [];
            this.selectedGroups = [];
            this.selectedUserIds = [];
            this.selectedGroupIds = [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserGroupListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: UserGroupListComponent, selector: "user-group-list", inputs: { groupEnabled: "groupEnabled", panelTitle: "panelTitle", singleSelect: "singleSelect", selectedReviewer: "selectedReviewer", featureflag: "featureflag", reviewerWorkflowType: "reviewerWorkflowType", mode: "mode", fieldType: "fieldType", fromResponsibility: "fromResponsibility", assignorId: "assignorId", assigneeIds: "assigneeIds", reviewerIds: "reviewerIds", overseerIds: "overseerIds", FromProgram: "FromProgram", userListInfo: "userListInfo", groupListInfo: "groupListInfo", fromApprovalWorkflow: "fromApprovalWorkflow", approvalType: "approvalType", showFutureUsersSwitch: "showFutureUsersSwitch", futureUsersWillSelect: "futureUsersWillSelect", isAllDisabled: "isAllDisabled", isGroupTabShow: "isGroupTabShow", disabledIds: "disabledIds", nonRemovableUserIds: "nonRemovableUserIds", allUserSelectedDisabled: "allUserSelectedDisabled", nonRemovableGroupIds: "nonRemovableGroupIds", loading: "loading", setUserList: ["userlist", "setUserList"], setSelectedUser: ["selectedUsers", "setSelectedUser"], setDefaultSelectedUsers: ["defaultSelectedUsers", "setDefaultSelectedUsers"], userType: "userType", setGroupList: ["groupList", "setGroupList"], setSelectedGroup: ["selectedGroups", "setSelectedGroup"] }, outputs: { save: "save", cancel: "cancel", reviewerWorkflowTypeChange: "reviewerWorkflowTypeChange", fetchUserData: "fetchUserData" }, ngImport: i0, template: "<div class=\"user-group-list\" [class.animate]=\"animation\">\n  <div class=\"user-group-list-head\">\n    <h3 class=\"user-group-list-title\">{{ panelTitle }}</h3>\n  </div>\n  <div class=\"user-group-list-body\">\n    <div class=\"user-group-list-body-inner\">\n      <app-loader-inline *ngIf=\"loading\"></app-loader-inline>\n      <div\n        class=\"user-group-list-tab vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n        *ngIf=\"groupEnabled\"\n      >\n        <div class=\"vx-d-flex vx-align-center\">\n          <button\n            (click)=\"switchTab('USER')\"\n            class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n            [class.active]=\"currentTab === 'USER'\"\n          >\n            USERS\n            <span\n              class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n              >{{\n                searchKey?.length && currentTab === \"USER\"\n                  ? (usersList | filter : searchKey)?.length\n                  : usersList?.length || userListInfo?.total_items\n              }}</span\n            >\n          </button>\n          <button\n            *ngIf=\"isGroupTabShow\"\n            (click)=\"switchTab('GROUP')\"\n            class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n            [class.active]=\"currentTab === 'GROUP'\"\n          >\n            {{ featureflag ? \"USER GROUPS\" : \"GROUPS\" }}\n            <span\n              class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n              >{{\n                searchKey?.length && currentTab === \"GROUP\"\n                  ? (groupsList | search : searchKey : \"group_name\")?.length\n                  : groupsList?.length || groupListInfo?.total_items\n              }}</span\n            >\n          </button>\n        </div>\n\n        <div\n          class=\"future-user vx-d-flex vx-align-center\"\n          *ngIf=\"showFutureUsersSwitch\"\n        >\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">\n            Visible to All Current & Future Users\n          </div>\n          <i\n            class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1 vx-mr-1\"\n            [appTooltip]=\"\n              'If selected, this policy will be visible to all users that are currently active in your VComply account and users that might be added in the future.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n          <app-cs-switch\n            [ngValue]=\"futureUsersWillSelect\"\n            (ngValueChange)=\"setAllUsersSelected($event)\"\n          >\n          </app-cs-switch>\n        </div>\n      </div>\n\n      <div class=\"search-block vx-mb-2\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          *ngIf=\"!featureflag\"\n          [(ngModel)]=\"searchKey\"\n          type=\"text\"\n          placeholder=\"{{\n            currentTab === 'USER' ? 'Search User' : 'Search Group'\n          }}\"\n        />\n        <input\n          *ngIf=\"featureflag\"\n          [(ngModel)]=\"searchKey\"\n          type=\"text\"\n          placeholder=\"{{\n            currentTab === 'USER' ? 'Search User' : 'Search User Group'\n          }}\"\n        />\n      </div>\n\n      <ng-container *ngIf=\"currentTab === 'USER' && !loading\">\n        <ng-container *ngIf=\"usersList | filter : searchKey as users\">\n          <vui-pagination\n            *ngIf=\"\n              userListInfo?.total_pages > 1 &&\n              usersList?.length !== userListInfo?.total_items\n            \"\n            [currentPage]=\"userCurrentPage\"\n            [totalPage]=\"userListInfo?.total_pages\"\n            (pageChanged)=\"userPageChange($event)\"\n          ></vui-pagination>\n          <div\n            class=\"user-group-list-mid\"\n            [class.with-pagination]=\"isPagination\"\n          >\n            <ng-container *ngIf=\"users?.length > 0; else nouser\">\n              <div class=\"user-list-select vx-mb-2\">\n                <vui-checkbox\n                  *ngIf=\"!singleSelect\"\n                  #user\n                  [checked]=\"allUserSelected || futureUsersWillSelect\"\n                  [disabled]=\"\n                    allUserSelectedDisabled ||\n                    futureUsersWillSelect ||\n                    isAllDisabled\n                  \"\n                  (change)=\"selectAllUser($event)\"\n                >\n                  <div\n                    class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt vx-tt-none\"\n                  >\n                    {{ !user?.checked ? \"Select All\" : \"Deselect All\" }}\n                  </div>\n                </vui-checkbox>\n              </div>\n              <div class=\"user-list-item\">\n                <ul class=\"vx-m-0 vx-p-0 vx-d-flex\">\n                  <ng-container *ngFor=\"let user of users\">\n                    <li\n                      class=\"vx-mb-3\"\n                      *ngIf=\"!singleSelect\"\n                      [appTooltip]=\"\n                        user\n                          | tooltipMessage\n                            : fromResponsibility\n                            : reviewerIds\n                            : overseerIds\n                            : assignorId\n                            : assigneeIds\n                            : 'member_id'\n                            : disabledIds?.includes(user?.member_id)\n                            : FromProgram\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"true\"\n                    >\n                      <vui-checkbox\n                        (change)=\"selectItem($event, user)\"\n                        [disabled]=\"\n                          disabledIds?.includes(user?.member_id) ||\n                          futureUsersWillSelect ||\n                          isAllDisabled\n                        \"\n                        [checked]=\"\n                          selectedUserIds?.includes(user?.member_id) ||\n                          futureUsersWillSelect\n                        \"\n                        ><div class=\"user-name\">\n                          {{ user?.member_name }}\n                        </div></vui-checkbox\n                      >\n                    </li>\n                    <li class=\"vx-mb-3\" *ngIf=\"singleSelect\">\n                      <app-cs-radio\n                        [name]=\"'radio-selector'\"\n                        (checkedEvent)=\"selectItemRadio($event, user)\"\n                        [name]=\"'rx-category'\"\n                        [checked]=\"selectedUserIds?.includes(user?.member_id)\"\n                        [appTooltip]=\"user?.member_email\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        [tooltipMandatory]=\"true\"\n                      >\n                        {{ user?.member_name }}\n                      </app-cs-radio>\n                    </li>\n                  </ng-container>\n                </ul>\n              </div>\n            </ng-container>\n            <ng-template #nouser>\n              <app-no-data\n                *ngIf=\"!loading\"\n                [noDataImage]=\"ASSETS.search_data\"\n                [noDataText]=\"\n                  searchKey?.length > 0 ? 'No match found.' : 'No Users found.'\n                \"\n              ></app-no-data>\n            </ng-template>\n          </div>\n        </ng-container>\n      </ng-container>\n\n      <ng-container *ngIf=\"currentTab === 'GROUP'\">\n        <ng-container\n          *ngIf=\"groupsList | search : searchKey : 'group_name' as groups\"\n        >\n          <div\n            class=\"user-group-list-mid\"\n            [class.with-pagination]=\"isPagination\"\n          >\n            <ng-container *ngIf=\"groups?.length > 0; else nogroup\">\n              <div class=\"user-list-select vx-mb-2\">\n                <vui-checkbox\n                  #group\n                  [checked]=\"allGroupSelected\"\n                  [disabled]=\"allGroupSelectedDisabled\"\n                  (change)=\"selectAllGroup($event)\"\n                >\n                  <div\n                    class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt vx-tt-none\"\n                  >\n                    {{ !group?.checked ? \"Select All\" : \"Deselect All\" }}\n                  </div>\n                </vui-checkbox>\n              </div>\n              <div class=\"user-list-item\">\n                <ul class=\"vx-m-0 vx-p-0 vx-d-flex\">\n                  <li class=\"vx-mb-3\" *ngFor=\"let group of groups\">\n                    <vui-checkbox\n                      (change)=\"selectGroup($event, group)\"\n                      [disabled]=\"\n                        nonRemovableGroupIds?.includes(group?.group_id)\n                      \"\n                      [checked]=\"selectedGroupIds?.includes(group?.group_id)\"\n                    >\n                      <div\n                        class=\"user-name vx-d-flex vx-align-center vx-w-100\"\n                        [appTooltip]=\"group?.group_name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        [tooltipMandatory]=\"true\"\n                      >\n                        <div class=\"group-name\">{{ group?.group_name }}</div>\n                        <span\n                          class=\"counter vx-fs-9 vx-fw-600 vx-pl-1 vx-pr-1 vx-lh-3 vx-tt-uppercase\"\n                          >{{ group?.member_count }}\n                          {{ group?.member_count > 1 ? \"USERS\" : \"USER\" }}</span\n                        >\n                      </div>\n                    </vui-checkbox>\n                  </li>\n                </ul>\n              </div>\n            </ng-container>\n            <ng-template #nogroup>\n              <app-no-data\n                *ngIf=\"!loading\"\n                [noDataImage]=\"ASSETS.search_data\"\n                [noDataText]=\"\n                  searchKey?.length > 0\n                    ? 'No match found.'\n                    : 'No data to display.'\n                \"\n              ></app-no-data>\n            </ng-template>\n          </div>\n        </ng-container>\n      </ng-container>\n    </div>\n\n    <div class=\"user-group-list-footer\">\n      <vui-floating-bar\n        *ngIf=\"\n          (!singleSelect || (!singleSelect && selectedReviewer)) && !loading\n        \"\n        (closeEvent)=\"saveList()\"\n        (closeList)=\"closeList()\"\n        (workflowTypeChanged)=\"workflowTypeChanged($event)\"\n        [selectedWorkflow]=\"reviewerWorkflowType\"\n        [showWorkflow]=\"selectedReviewer\"\n        [groupSelected]=\"selectedGroups\"\n        [mode]=\"mode\"\n        [nextDisabled]=\"fromApprovalWorkflow && selectedUsers?.length === 0\"\n      >\n        <ng-container *ngIf=\"!groupEnabled\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n            *ngFor=\"let element of selectedUsers?.slice(0, 1); let i = index\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\"\n              (click)=\"selectItem({ target: { checked: false } }, element)\"\n              >&#xe9ae;</i\n            >\n            <div\n              *ngIf=\"\n                fromApprovalWorkflow &&\n                approvalWorkflowType.toLowerCase() === 'sequential'\n              \"\n              class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n            >\n              {{ 1 == selectedUsers?.length ? \"Final\" : 1 }}\n            </div>\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"element?.member_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ element?.member_name }}</span\n            >\n            <button\n              *ngIf=\"selectedUsers?.length > 1\"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n              appPopover\n              (click)=\"groupDisable.popover()\"\n              placement=\"left\"\n            >\n              +{{ selectedUsers?.slice(1)?.length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip\" *ngFor=\"let element of selectedUsers?.slice(0,1);let i = index\"><i *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\" (click)=\"selectItem({target:{checked:false}},element)\" class=\"icons\">&#xe90d;</i> <span>{{element?.member_name}}</span></div>\n              <div class=\"counter\" *ngIf=\"selectedUsers?.length>1\" appPopover (click)=\"groupDisable.popover()\"\n              placement=\"left\">+{{selectedUsers?.slice(1)?.length}}</div> -->\n        </ng-container>\n        <div\n          class=\"user-group-chip\"\n          *ngIf=\"selectedUsers?.length && groupEnabled\"\n        >\n          <i\n            class=\"icons cross\"\n            *ngIf=\"!nonRemovableUserIds?.includes(selectedUsers[0]?.member_id)\"\n            (click)=\"\n              selectItem({ target: { checked: false } }, selectedUsers[0])\n            \"\n            >&#xe9ae;</i\n          >\n          <div class=\"user-group-name\">{{ selectedUsers[0]?.member_name }}</div>\n          <ng-container *ngIf=\"groupEnabled\">\n            <div\n              class=\"counter\"\n              *ngIf=\"selectedUsers?.length > 1\"\n              appPopover\n              (click)=\"userCount.popover()\"\n              placement=\"left\"\n            >\n              +{{ selectedUsers?.length - 1 }}\n            </div>\n          </ng-container>\n        </div>\n        <div class=\"name userGroup-name\">\n          <!-- {{selectedGroups && selectedGroups?.length > 0 ?' & ':''}} -->\n          <span class=\"userGroup-text\" *ngIf=\"selectedUsers?.length === 1\"\n            >User {{ selectedGroups?.length > 0 ? \" & \" : \" selected\" }}</span\n          >\n          <span class=\"userGroup-text\" *ngIf=\"selectedUsers?.length > 1\"\n            >Users {{ selectedGroups?.length > 0 ? \" & \" : \"selected\" }}</span\n          >\n        </div>\n\n        <div class=\"user-group-chip\" *ngIf=\"selectedGroups?.length\">\n          <i\n            class=\"icons cross\"\n            *ngIf=\"!nonRemovableGroupIds?.includes(selectedGroups[0]?.group_id)\"\n            (click)=\"\n              selectGroup({ target: { checked: false } }, selectedGroups[0])\n            \"\n            >&#xe9ae;</i\n          >\n          <div class=\"user-group-name\">{{ selectedGroups[0]?.group_name }}</div>\n          <div\n            class=\"counter group\"\n            *ngIf=\"selectedGroups?.length > 1\"\n            appPopover\n            (click)=\"groupCount.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedGroups?.length - 1 }}\n          </div>\n        </div>\n        <div class=\"name userGroup-name\">\n          <span *ngIf=\"selectedGroups?.length === 1\">{{\n            featureflag ? \"User Group selected\" : \"Group selected\"\n          }}</span>\n          <span *ngIf=\"selectedGroups?.length > 1\">{{\n            featureflag ? \"User Groups selected\" : \"Groups selected\"\n          }}</span>\n        </div>\n\n        <app-popover #userCount [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"let element of selectedUsers | slice : 1; let i = index\"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\"\n                      (click)=\"\n                        selectItem({ target: { checked: false } }, element)\n                      \"\n                      >&#xe90d;</i\n                    >\n                    {{ element?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <app-popover #groupDisable [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let element of selectedUsers.slice(1); let i = index\">\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\"\n                      (click)=\"\n                        selectItem({ target: { checked: false } }, element)\n                      \"\n                      >&#xe90d;</i\n                    >\n                    <span\n                      *ngIf=\"\n                        fromApprovalWorkflow &&\n                        approvalWorkflowType.toLowerCase() === 'sequential'\n                      \"\n                      class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                      >{{\n                        i + 1 === selectedUsers?.length - 1 ? \"Final\" : i + 2\n                      }}</span\n                    >\n                    {{ element?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <app-popover #groupCount [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let element of selectedGroups | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      *ngIf=\"!nonRemovableGroupIds?.includes(element?.group_id)\"\n                      (click)=\"\n                        selectGroup({ target: { checked: false } }, element)\n                      \"\n                      >&#xe90d;</i\n                    >\n                    {{ element?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </vui-floating-bar>\n      <vui-floating-bar\n        *ngIf=\"singleSelect && !loading\"\n        (closeEvent)=\"saveList()\"\n        (closeList)=\"closeList()\"\n        [nextDisabled]=\"fromApprovalWorkflow && selectedUsers?.length === 0\"\n      >\n        <div class=\"chip\" *ngIf=\"selectedUsers?.length\">\n          <ng-container>\n            <i\n              class=\"icons\"\n              (click)=\"\n                selectItem({ target: { checked: false } }, selectedUsers[0])\n              \"\n              >&#xe90d;</i\n            >\n            <span class=\"value\"> {{ selectedUsers[0]?.member_name }}</span>\n          </ng-container>\n        </div>\n      </vui-floating-bar>\n    </div>\n  </div>\n\n  <div class=\"user-group-list-confirmation\" *ngIf=\"showConfirmation\">\n    <div class=\"confirmation-top\">\n      <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n      <div class=\"text\">\n        This action will reset the default {{ userType }} selected for the\n        Program.\n      </div>\n    </div>\n    <div class=\"confirmation-bottom\">\n      <div class=\"message\">Are you sure you would like to proceed?</div>\n      <div class=\"button-group\">\n        <button class=\"no-btn\" (click)=\"confirmAction('NO')\">NO</button>\n        <button class=\"yes-btn\" (click)=\"confirmAction('YES')\">YES</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";::ng-deep .user-group-list{background:#fff;position:fixed;inset:0 500px 0 0}::ng-deep .user-group-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .user-group-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .user-group-list-head{background:#fbfbfb;height:44px;padding:0 16px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .user-group-list-title{color:#161b2f;font-size:14px;font-weight:500;margin:0!important;padding:0}::ng-deep .user-group-list-body{padding:32px 32px 0;height:calc(100vh - 124px)}::ng-deep .user-group-list-body .search-block{position:relative}::ng-deep .user-group-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763F;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .user-group-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .user-group-list-body .search-block input::placeholder{font-size:14px;color:#747576}::ng-deep .user-group-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .user-group-list-mid{width:calc(100% + .75rem);height:calc(100vh - 15.75rem);overflow:hidden;overflow-y:auto;margin-bottom:.5rem;padding-right:.75rem}::ng-deep .user-group-list-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .user-group-list-mid.with-pagination{height:calc(100vh - 17.5rem)}::ng-deep .user-group-list-mid .selected-owners{border-bottom:1px solid #dbdbdb}::ng-deep .user-group-list-mid .user-list-select{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item .checkbox,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item .checkbox{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item .checkmark,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item span,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item span{justify-content:unset!important;margin:0!important}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item span.value,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item span.value{color:#161b2f!important;font-size:11px!important;font-weight:600!important;text-transform:uppercase!important;width:100%}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item span.value .user-name,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item span.value .user-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .user-group-list-mid .user-list-item ul{list-style-type:none;align-items:flex-start;flex-wrap:wrap}::ng-deep .user-group-list-mid .user-list-item ul li{width:50%}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox{width:calc(100% - 4.5rem)}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item .checkbox{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item .checkmark{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span{justify-content:unset!important;margin:0!important}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value{color:#161b2f!important;font-size:12px!important;width:100%}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value .user-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value .user-name .group-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 2.5rem)}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value .counter{background:#f1f1f1;border-radius:.125rem;color:#042e7d;margin-left:.5rem!important}::ng-deep .user-group-list-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.1875rem solid transparent;margin-right:1.75rem!important}::ng-deep .user-group-list-tab button.tab-btn span{border-radius:1.25rem;color:#74757680;min-width:1.5rem}::ng-deep .user-group-list-tab button.active{pointer-events:none}::ng-deep .user-group-list-tab button.active.tab-btn{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .user-group-list-tab button.active.tab-btn span{background:#1e5dd3;color:#fff;font-weight:500}::ng-deep .user-group-list-tab .future-user{margin-top:-.75rem}::ng-deep .user-group-list-tab .future-user .info{cursor:pointer}::ng-deep .user-group-list-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:1rem;right:1rem;bottom:1.75rem;z-index:1}::ng-deep .user-group-list-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .user-group-list-confirmation .confirmation-top .icon-block{height:2.25rem;width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .user-group-list-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .user-group-list-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .user-group-list-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .user-group-list-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}.group{background:#1e5dd3!important;border-color:#1e5dd3!important}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PaginationComponent, selector: "vui-pagination", inputs: ["from", "to", "total", "showPageDetail", "totalPage", "currentPage", "pageInSingleView"], outputs: ["pageChanged"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponentUI, selector: "app-no-data", inputs: ["action", "secondaryAction", "noDataImage", "noDataText", "noDataButton", "secondaryButton", "noDataSecButton", "altText", "smallButton"], outputs: ["buttonAction", "secondaryActionButton"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }, { kind: "component", type: CsSwitchComponentUI, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: CheckboxComponent$1, selector: "vui-checkbox", inputs: ["disabled", "checked", "indeterminateEnabled"] }, { kind: "component", type: VuiFloatingBarComponent, selector: "vui-floating-bar", inputs: ["selectedData", "groupSelected", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "nextDisabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "workflowTypeChanged"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: TooltipMessagePipe, name: "tooltipMessage" }, { kind: "pipe", type: SearchPipe, name: "search" }, { kind: "pipe", type: FilterPipe$1, name: "filter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserGroupListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'user-group-list', template: "<div class=\"user-group-list\" [class.animate]=\"animation\">\n  <div class=\"user-group-list-head\">\n    <h3 class=\"user-group-list-title\">{{ panelTitle }}</h3>\n  </div>\n  <div class=\"user-group-list-body\">\n    <div class=\"user-group-list-body-inner\">\n      <app-loader-inline *ngIf=\"loading\"></app-loader-inline>\n      <div\n        class=\"user-group-list-tab vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n        *ngIf=\"groupEnabled\"\n      >\n        <div class=\"vx-d-flex vx-align-center\">\n          <button\n            (click)=\"switchTab('USER')\"\n            class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n            [class.active]=\"currentTab === 'USER'\"\n          >\n            USERS\n            <span\n              class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n              >{{\n                searchKey?.length && currentTab === \"USER\"\n                  ? (usersList | filter : searchKey)?.length\n                  : usersList?.length || userListInfo?.total_items\n              }}</span\n            >\n          </button>\n          <button\n            *ngIf=\"isGroupTabShow\"\n            (click)=\"switchTab('GROUP')\"\n            class=\"tab-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n            [class.active]=\"currentTab === 'GROUP'\"\n          >\n            {{ featureflag ? \"USER GROUPS\" : \"GROUPS\" }}\n            <span\n              class=\"vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n              >{{\n                searchKey?.length && currentTab === \"GROUP\"\n                  ? (groupsList | search : searchKey : \"group_name\")?.length\n                  : groupsList?.length || groupListInfo?.total_items\n              }}</span\n            >\n          </button>\n        </div>\n\n        <div\n          class=\"future-user vx-d-flex vx-align-center\"\n          *ngIf=\"showFutureUsersSwitch\"\n        >\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">\n            Visible to All Current & Future Users\n          </div>\n          <i\n            class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1 vx-mr-1\"\n            [appTooltip]=\"\n              'If selected, this policy will be visible to all users that are currently active in your VComply account and users that might be added in the future.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n          <app-cs-switch\n            [ngValue]=\"futureUsersWillSelect\"\n            (ngValueChange)=\"setAllUsersSelected($event)\"\n          >\n          </app-cs-switch>\n        </div>\n      </div>\n\n      <div class=\"search-block vx-mb-2\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          *ngIf=\"!featureflag\"\n          [(ngModel)]=\"searchKey\"\n          type=\"text\"\n          placeholder=\"{{\n            currentTab === 'USER' ? 'Search User' : 'Search Group'\n          }}\"\n        />\n        <input\n          *ngIf=\"featureflag\"\n          [(ngModel)]=\"searchKey\"\n          type=\"text\"\n          placeholder=\"{{\n            currentTab === 'USER' ? 'Search User' : 'Search User Group'\n          }}\"\n        />\n      </div>\n\n      <ng-container *ngIf=\"currentTab === 'USER' && !loading\">\n        <ng-container *ngIf=\"usersList | filter : searchKey as users\">\n          <vui-pagination\n            *ngIf=\"\n              userListInfo?.total_pages > 1 &&\n              usersList?.length !== userListInfo?.total_items\n            \"\n            [currentPage]=\"userCurrentPage\"\n            [totalPage]=\"userListInfo?.total_pages\"\n            (pageChanged)=\"userPageChange($event)\"\n          ></vui-pagination>\n          <div\n            class=\"user-group-list-mid\"\n            [class.with-pagination]=\"isPagination\"\n          >\n            <ng-container *ngIf=\"users?.length > 0; else nouser\">\n              <div class=\"user-list-select vx-mb-2\">\n                <vui-checkbox\n                  *ngIf=\"!singleSelect\"\n                  #user\n                  [checked]=\"allUserSelected || futureUsersWillSelect\"\n                  [disabled]=\"\n                    allUserSelectedDisabled ||\n                    futureUsersWillSelect ||\n                    isAllDisabled\n                  \"\n                  (change)=\"selectAllUser($event)\"\n                >\n                  <div\n                    class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt vx-tt-none\"\n                  >\n                    {{ !user?.checked ? \"Select All\" : \"Deselect All\" }}\n                  </div>\n                </vui-checkbox>\n              </div>\n              <div class=\"user-list-item\">\n                <ul class=\"vx-m-0 vx-p-0 vx-d-flex\">\n                  <ng-container *ngFor=\"let user of users\">\n                    <li\n                      class=\"vx-mb-3\"\n                      *ngIf=\"!singleSelect\"\n                      [appTooltip]=\"\n                        user\n                          | tooltipMessage\n                            : fromResponsibility\n                            : reviewerIds\n                            : overseerIds\n                            : assignorId\n                            : assigneeIds\n                            : 'member_id'\n                            : disabledIds?.includes(user?.member_id)\n                            : FromProgram\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"true\"\n                    >\n                      <vui-checkbox\n                        (change)=\"selectItem($event, user)\"\n                        [disabled]=\"\n                          disabledIds?.includes(user?.member_id) ||\n                          futureUsersWillSelect ||\n                          isAllDisabled\n                        \"\n                        [checked]=\"\n                          selectedUserIds?.includes(user?.member_id) ||\n                          futureUsersWillSelect\n                        \"\n                        ><div class=\"user-name\">\n                          {{ user?.member_name }}\n                        </div></vui-checkbox\n                      >\n                    </li>\n                    <li class=\"vx-mb-3\" *ngIf=\"singleSelect\">\n                      <app-cs-radio\n                        [name]=\"'radio-selector'\"\n                        (checkedEvent)=\"selectItemRadio($event, user)\"\n                        [name]=\"'rx-category'\"\n                        [checked]=\"selectedUserIds?.includes(user?.member_id)\"\n                        [appTooltip]=\"user?.member_email\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        [tooltipMandatory]=\"true\"\n                      >\n                        {{ user?.member_name }}\n                      </app-cs-radio>\n                    </li>\n                  </ng-container>\n                </ul>\n              </div>\n            </ng-container>\n            <ng-template #nouser>\n              <app-no-data\n                *ngIf=\"!loading\"\n                [noDataImage]=\"ASSETS.search_data\"\n                [noDataText]=\"\n                  searchKey?.length > 0 ? 'No match found.' : 'No Users found.'\n                \"\n              ></app-no-data>\n            </ng-template>\n          </div>\n        </ng-container>\n      </ng-container>\n\n      <ng-container *ngIf=\"currentTab === 'GROUP'\">\n        <ng-container\n          *ngIf=\"groupsList | search : searchKey : 'group_name' as groups\"\n        >\n          <div\n            class=\"user-group-list-mid\"\n            [class.with-pagination]=\"isPagination\"\n          >\n            <ng-container *ngIf=\"groups?.length > 0; else nogroup\">\n              <div class=\"user-list-select vx-mb-2\">\n                <vui-checkbox\n                  #group\n                  [checked]=\"allGroupSelected\"\n                  [disabled]=\"allGroupSelectedDisabled\"\n                  (change)=\"selectAllGroup($event)\"\n                >\n                  <div\n                    class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt vx-tt-none\"\n                  >\n                    {{ !group?.checked ? \"Select All\" : \"Deselect All\" }}\n                  </div>\n                </vui-checkbox>\n              </div>\n              <div class=\"user-list-item\">\n                <ul class=\"vx-m-0 vx-p-0 vx-d-flex\">\n                  <li class=\"vx-mb-3\" *ngFor=\"let group of groups\">\n                    <vui-checkbox\n                      (change)=\"selectGroup($event, group)\"\n                      [disabled]=\"\n                        nonRemovableGroupIds?.includes(group?.group_id)\n                      \"\n                      [checked]=\"selectedGroupIds?.includes(group?.group_id)\"\n                    >\n                      <div\n                        class=\"user-name vx-d-flex vx-align-center vx-w-100\"\n                        [appTooltip]=\"group?.group_name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        [tooltipMandatory]=\"true\"\n                      >\n                        <div class=\"group-name\">{{ group?.group_name }}</div>\n                        <span\n                          class=\"counter vx-fs-9 vx-fw-600 vx-pl-1 vx-pr-1 vx-lh-3 vx-tt-uppercase\"\n                          >{{ group?.member_count }}\n                          {{ group?.member_count > 1 ? \"USERS\" : \"USER\" }}</span\n                        >\n                      </div>\n                    </vui-checkbox>\n                  </li>\n                </ul>\n              </div>\n            </ng-container>\n            <ng-template #nogroup>\n              <app-no-data\n                *ngIf=\"!loading\"\n                [noDataImage]=\"ASSETS.search_data\"\n                [noDataText]=\"\n                  searchKey?.length > 0\n                    ? 'No match found.'\n                    : 'No data to display.'\n                \"\n              ></app-no-data>\n            </ng-template>\n          </div>\n        </ng-container>\n      </ng-container>\n    </div>\n\n    <div class=\"user-group-list-footer\">\n      <vui-floating-bar\n        *ngIf=\"\n          (!singleSelect || (!singleSelect && selectedReviewer)) && !loading\n        \"\n        (closeEvent)=\"saveList()\"\n        (closeList)=\"closeList()\"\n        (workflowTypeChanged)=\"workflowTypeChanged($event)\"\n        [selectedWorkflow]=\"reviewerWorkflowType\"\n        [showWorkflow]=\"selectedReviewer\"\n        [groupSelected]=\"selectedGroups\"\n        [mode]=\"mode\"\n        [nextDisabled]=\"fromApprovalWorkflow && selectedUsers?.length === 0\"\n      >\n        <ng-container *ngIf=\"!groupEnabled\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n            *ngFor=\"let element of selectedUsers?.slice(0, 1); let i = index\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\"\n              (click)=\"selectItem({ target: { checked: false } }, element)\"\n              >&#xe9ae;</i\n            >\n            <div\n              *ngIf=\"\n                fromApprovalWorkflow &&\n                approvalWorkflowType.toLowerCase() === 'sequential'\n              \"\n              class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n            >\n              {{ 1 == selectedUsers?.length ? \"Final\" : 1 }}\n            </div>\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"element?.member_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ element?.member_name }}</span\n            >\n            <button\n              *ngIf=\"selectedUsers?.length > 1\"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n              appPopover\n              (click)=\"groupDisable.popover()\"\n              placement=\"left\"\n            >\n              +{{ selectedUsers?.slice(1)?.length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip\" *ngFor=\"let element of selectedUsers?.slice(0,1);let i = index\"><i *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\" (click)=\"selectItem({target:{checked:false}},element)\" class=\"icons\">&#xe90d;</i> <span>{{element?.member_name}}</span></div>\n              <div class=\"counter\" *ngIf=\"selectedUsers?.length>1\" appPopover (click)=\"groupDisable.popover()\"\n              placement=\"left\">+{{selectedUsers?.slice(1)?.length}}</div> -->\n        </ng-container>\n        <div\n          class=\"user-group-chip\"\n          *ngIf=\"selectedUsers?.length && groupEnabled\"\n        >\n          <i\n            class=\"icons cross\"\n            *ngIf=\"!nonRemovableUserIds?.includes(selectedUsers[0]?.member_id)\"\n            (click)=\"\n              selectItem({ target: { checked: false } }, selectedUsers[0])\n            \"\n            >&#xe9ae;</i\n          >\n          <div class=\"user-group-name\">{{ selectedUsers[0]?.member_name }}</div>\n          <ng-container *ngIf=\"groupEnabled\">\n            <div\n              class=\"counter\"\n              *ngIf=\"selectedUsers?.length > 1\"\n              appPopover\n              (click)=\"userCount.popover()\"\n              placement=\"left\"\n            >\n              +{{ selectedUsers?.length - 1 }}\n            </div>\n          </ng-container>\n        </div>\n        <div class=\"name userGroup-name\">\n          <!-- {{selectedGroups && selectedGroups?.length > 0 ?' & ':''}} -->\n          <span class=\"userGroup-text\" *ngIf=\"selectedUsers?.length === 1\"\n            >User {{ selectedGroups?.length > 0 ? \" & \" : \" selected\" }}</span\n          >\n          <span class=\"userGroup-text\" *ngIf=\"selectedUsers?.length > 1\"\n            >Users {{ selectedGroups?.length > 0 ? \" & \" : \"selected\" }}</span\n          >\n        </div>\n\n        <div class=\"user-group-chip\" *ngIf=\"selectedGroups?.length\">\n          <i\n            class=\"icons cross\"\n            *ngIf=\"!nonRemovableGroupIds?.includes(selectedGroups[0]?.group_id)\"\n            (click)=\"\n              selectGroup({ target: { checked: false } }, selectedGroups[0])\n            \"\n            >&#xe9ae;</i\n          >\n          <div class=\"user-group-name\">{{ selectedGroups[0]?.group_name }}</div>\n          <div\n            class=\"counter group\"\n            *ngIf=\"selectedGroups?.length > 1\"\n            appPopover\n            (click)=\"groupCount.popover()\"\n            placement=\"left\"\n          >\n            +{{ selectedGroups?.length - 1 }}\n          </div>\n        </div>\n        <div class=\"name userGroup-name\">\n          <span *ngIf=\"selectedGroups?.length === 1\">{{\n            featureflag ? \"User Group selected\" : \"Group selected\"\n          }}</span>\n          <span *ngIf=\"selectedGroups?.length > 1\">{{\n            featureflag ? \"User Groups selected\" : \"Groups selected\"\n          }}</span>\n        </div>\n\n        <app-popover #userCount [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"let element of selectedUsers | slice : 1; let i = index\"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\"\n                      (click)=\"\n                        selectItem({ target: { checked: false } }, element)\n                      \"\n                      >&#xe90d;</i\n                    >\n                    {{ element?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <app-popover #groupDisable [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let element of selectedUsers.slice(1); let i = index\">\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      *ngIf=\"!nonRemovableUserIds?.includes(element?.member_id)\"\n                      (click)=\"\n                        selectItem({ target: { checked: false } }, element)\n                      \"\n                      >&#xe90d;</i\n                    >\n                    <span\n                      *ngIf=\"\n                        fromApprovalWorkflow &&\n                        approvalWorkflowType.toLowerCase() === 'sequential'\n                      \"\n                      class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                      >{{\n                        i + 1 === selectedUsers?.length - 1 ? \"Final\" : i + 2\n                      }}</span\n                    >\n                    {{ element?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <app-popover #groupCount [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let element of selectedGroups | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      *ngIf=\"!nonRemovableGroupIds?.includes(element?.group_id)\"\n                      (click)=\"\n                        selectGroup({ target: { checked: false } }, element)\n                      \"\n                      >&#xe90d;</i\n                    >\n                    {{ element?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </vui-floating-bar>\n      <vui-floating-bar\n        *ngIf=\"singleSelect && !loading\"\n        (closeEvent)=\"saveList()\"\n        (closeList)=\"closeList()\"\n        [nextDisabled]=\"fromApprovalWorkflow && selectedUsers?.length === 0\"\n      >\n        <div class=\"chip\" *ngIf=\"selectedUsers?.length\">\n          <ng-container>\n            <i\n              class=\"icons\"\n              (click)=\"\n                selectItem({ target: { checked: false } }, selectedUsers[0])\n              \"\n              >&#xe90d;</i\n            >\n            <span class=\"value\"> {{ selectedUsers[0]?.member_name }}</span>\n          </ng-container>\n        </div>\n      </vui-floating-bar>\n    </div>\n  </div>\n\n  <div class=\"user-group-list-confirmation\" *ngIf=\"showConfirmation\">\n    <div class=\"confirmation-top\">\n      <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n      <div class=\"text\">\n        This action will reset the default {{ userType }} selected for the\n        Program.\n      </div>\n    </div>\n    <div class=\"confirmation-bottom\">\n      <div class=\"message\">Are you sure you would like to proceed?</div>\n      <div class=\"button-group\">\n        <button class=\"no-btn\" (click)=\"confirmAction('NO')\">NO</button>\n        <button class=\"yes-btn\" (click)=\"confirmAction('YES')\">YES</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";::ng-deep .user-group-list{background:#fff;position:fixed;inset:0 500px 0 0}::ng-deep .user-group-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .user-group-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .user-group-list-head{background:#fbfbfb;height:44px;padding:0 16px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .user-group-list-title{color:#161b2f;font-size:14px;font-weight:500;margin:0!important;padding:0}::ng-deep .user-group-list-body{padding:32px 32px 0;height:calc(100vh - 124px)}::ng-deep .user-group-list-body .search-block{position:relative}::ng-deep .user-group-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763F;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .user-group-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .user-group-list-body .search-block input::placeholder{font-size:14px;color:#747576}::ng-deep .user-group-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .user-group-list-mid{width:calc(100% + .75rem);height:calc(100vh - 15.75rem);overflow:hidden;overflow-y:auto;margin-bottom:.5rem;padding-right:.75rem}::ng-deep .user-group-list-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .user-group-list-mid.with-pagination{height:calc(100vh - 17.5rem)}::ng-deep .user-group-list-mid .selected-owners{border-bottom:1px solid #dbdbdb}::ng-deep .user-group-list-mid .user-list-select{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item .checkbox,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item .checkbox{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item .checkmark,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item span,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item span{justify-content:unset!important;margin:0!important}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item span.value,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item span.value{color:#161b2f!important;font-size:11px!important;font-weight:600!important;text-transform:uppercase!important;width:100%}::ng-deep .user-group-list-mid .user-list-select vui-checkbox .checkbox-item span.value .user-name,::ng-deep .user-group-list-mid .user-list-select vui-checkbox-indeterminate .checkbox-item span.value .user-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .user-group-list-mid .user-list-item ul{list-style-type:none;align-items:flex-start;flex-wrap:wrap}::ng-deep .user-group-list-mid .user-list-item ul li{width:50%}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox{width:calc(100% - 4.5rem)}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item .checkbox{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item .checkmark{position:absolute!important;left:0;top:0}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span{justify-content:unset!important;margin:0!important}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value{color:#161b2f!important;font-size:12px!important;width:100%}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value .user-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value .user-name .group-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 2.5rem)}::ng-deep .user-group-list-mid .user-list-item ul li vui-checkbox .checkbox-item span.value .counter{background:#f1f1f1;border-radius:.125rem;color:#042e7d;margin-left:.5rem!important}::ng-deep .user-group-list-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.1875rem solid transparent;margin-right:1.75rem!important}::ng-deep .user-group-list-tab button.tab-btn span{border-radius:1.25rem;color:#74757680;min-width:1.5rem}::ng-deep .user-group-list-tab button.active{pointer-events:none}::ng-deep .user-group-list-tab button.active.tab-btn{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .user-group-list-tab button.active.tab-btn span{background:#1e5dd3;color:#fff;font-weight:500}::ng-deep .user-group-list-tab .future-user{margin-top:-.75rem}::ng-deep .user-group-list-tab .future-user .info{cursor:pointer}::ng-deep .user-group-list-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:1rem;right:1rem;bottom:1.75rem;z-index:1}::ng-deep .user-group-list-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .user-group-list-confirmation .confirmation-top .icon-block{height:2.25rem;width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .user-group-list-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .user-group-list-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .user-group-list-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .user-group-list-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .user-group-list-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}.group{background:#1e5dd3!important;border-color:#1e5dd3!important}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { save: [{
                type: Output
            }], cancel: [{
                type: Output
            }], groupEnabled: [{
                type: Input
            }], panelTitle: [{
                type: Input
            }], singleSelect: [{
                type: Input
            }], selectedReviewer: [{
                type: Input
            }], featureflag: [{
                type: Input
            }], reviewerWorkflowType: [{
                type: Input
            }], reviewerWorkflowTypeChange: [{
                type: Output
            }], mode: [{
                type: Input
            }], fieldType: [{
                type: Input
            }], fromResponsibility: [{
                type: Input
            }], assignorId: [{
                type: Input
            }], assigneeIds: [{
                type: Input
            }], reviewerIds: [{
                type: Input
            }], overseerIds: [{
                type: Input
            }], FromProgram: [{
                type: Input
            }], userListInfo: [{
                type: Input
            }], groupListInfo: [{
                type: Input
            }], fromApprovalWorkflow: [{
                type: Input
            }], approvalType: [{
                type: Input
            }], showFutureUsersSwitch: [{
                type: Input
            }], futureUsersWillSelect: [{
                type: Input
            }], isAllDisabled: [{
                type: Input
            }], isGroupTabShow: [{
                type: Input
            }], fetchUserData: [{
                type: Output
            }], disabledIds: [{
                type: Input
            }], nonRemovableUserIds: [{
                type: Input
            }], allUserSelectedDisabled: [{
                type: Input
            }], nonRemovableGroupIds: [{
                type: Input
            }], loading: [{
                type: Input
            }], setUserList: [{
                type: Input,
                args: ['userlist']
            }], setSelectedUser: [{
                type: Input,
                args: ['selectedUsers']
            }], setDefaultSelectedUsers: [{
                type: Input,
                args: ['defaultSelectedUsers']
            }], userType: [{
                type: Input
            }], setGroupList: [{
                type: Input,
                args: ['groupList']
            }], setSelectedGroup: [{
                type: Input,
                args: ['selectedGroups']
            }] } });

class FilterPipe {
    transform(items, searchText) {
        if (!items) {
            return [];
        }
        if (!searchText) {
            return items;
        }
        searchText = searchText.toLowerCase();
        if (items?.length) {
            return items.filter((it) => {
                return JSON.stringify(it).toLowerCase().includes(searchText);
            });
        }
        else {
            return [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe, name: "filter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'filter',
                }]
        }] });

class ShortMergePipe {
    transform(value, ...args) {
        if (args[0] && args[0].length > 0) {
            let primaryEntries = value.filter((e) => args[0].includes(e?.member_id));
            let secondaryEntries = value.filter((e) => !args[0].includes(e?.member_id));
            return [...primaryEntries, ...secondaryEntries];
        }
        else {
            return value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ShortMergePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ShortMergePipe, name: "shortMerge", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ShortMergePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'shortMerge',
                    pure: false
                }]
        }] });

class OwnerListComponent {
    constructor() {
        this.usersList = [];
        this.selectedUsers = [];
        this.userIdKey = '';
        this.itemNameKey = '';
        this.itemEmailKey = '';
        this.listHeading = 'Select User(s)';
        this.searchPlaceholder = 'Search User';
        this.pluralText = '';
        this.singularText = '';
        this.reviewerWorkflowType = 'SEQUENTIAL';
        this.mode = 'CREATE';
        this.noDataText = '';
        this.workflowList = [
            'SEQUENTIAL',
            'ANY REVIEWER CAN MARK THIS AS REVIEWED',
        ];
        this.workflowText = 'Reviewer Workflow';
        this.disabledIds = [];
        this.nonRemovableUsersList = [];
        this.saveSelectedList = new EventEmitter();
        this.closeUsersList = new EventEmitter();
        this.reviewerWorkflowTypeChange = new EventEmitter();
        this.assignorId = [];
        this.assigneeIds = [];
        this.reviewerIds = [];
        this.overseerIds = [];
        this.ASSETS = ASSETS;
        this.search = '';
        this.selectedIds = [];
        this.animation = false;
    }
    ngOnChanges() {
        this.selectedIds = this.selectedUsers.map((ele) => {
            if (ele[this.userIdKey]) {
                return ele[this.userIdKey];
            }
        });
    }
    ngOnInit() {
        let disabledIds = [...this.disabledIds, ...this.nonRemovableUsersList];
        this.disabledIds = [...new Set(disabledIds)];
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    selectUser(user, mode) {
        if (mode) {
            this.selectedIds.push(user);
        }
        else {
            const index = this.selectedIds.findIndex((element) => element == user);
            this.selectedIds.splice(index, 1);
        }
        this.setList();
    }
    deleteEvent(event) {
        const index = this.selectedIds.findIndex((element) => element == event[this.userIdKey]);
        this.selectedIds.splice(index, 1);
        this.setList();
    }
    selectAll(mode) {
        if (mode) {
            let list = [...this.usersList];
            this.selectedIds = [];
            list.forEach((element) => {
                this.selectedIds.push(element[this.userIdKey]);
            });
        }
        else {
            this.selectedIds = [...this.nonRemovableUsersList];
        }
        this.setList();
    }
    setList() {
        const data = [];
        const userList = cloneDeep(this.usersList);
        const selectedIds = cloneDeep(this.selectedIds);
        selectedIds.forEach((element) => {
            const index = userList.findIndex((user) => user[this.userIdKey] == element);
            if (index !== -1) {
                data.push(userList[index]);
            }
        });
        // userList.forEach((element: any) => {
        //   if (selectedIds.includes(element[this.userIdKey])) {
        //     data.push(element);
        //   }
        // });
        this.selectedUsers = data;
    }
    checkSelectAll() {
        const data = this.usersList.every((user) => this.selectedIds.includes(user[this.userIdKey]));
        return data;
    }
    save(selectedIds) {
        this.saveSelectedList.emit(selectedIds);
    }
    close() {
        this.closeUsersList.emit();
    }
    workflowTypeChanged(event) {
        this.reviewerWorkflowType = event;
        this.reviewerWorkflowTypeChange.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OwnerListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: OwnerListComponent, selector: "app-owner-list", inputs: { usersList: "usersList", selectedUsers: "selectedUsers", userIdKey: "userIdKey", itemNameKey: "itemNameKey", itemEmailKey: "itemEmailKey", showWorkflow: "showWorkflow", listHeading: "listHeading", searchPlaceholder: "searchPlaceholder", pluralText: "pluralText", singularText: "singularText", reviewerWorkflowType: "reviewerWorkflowType", mode: "mode", noDataText: "noDataText", workflowList: "workflowList", workflowText: "workflowText", disabledIds: "disabledIds", nonRemovableUsersList: "nonRemovableUsersList", fromResponsibility: "fromResponsibility", assignorId: "assignorId", assigneeIds: "assigneeIds", reviewerIds: "reviewerIds", overseerIds: "overseerIds" }, outputs: { saveSelectedList: "saveSelectedList", closeUsersList: "closeUsersList", reviewerWorkflowTypeChange: "reviewerWorkflowTypeChange" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"add-risk-owner-list\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-owner-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ listHeading }}</div>\n  </div>\n  <div class=\"add-risk-owner-list-body\">\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        [attr.placeholder]=\"searchPlaceholder\"\n      />\n    </div>\n    <ng-container *ngIf=\"usersList | filter : search as searchList\">\n      <div\n        class=\"body-top vx-pb-4\"\n        *ngIf=\"searchList?.length > 0 && search?.trim()?.length === 0\"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n        >\n          <strong>{{\n            checkSelectAll(activeTab) ? \"Deselect All\" : \"Select All\"\n          }}</strong>\n        </app-cs-checkbox>\n      </div>\n      <ul class=\"owner-list vx-mb-4\" *ngIf=\"searchList.length > 0\">\n        <li\n          *ngFor=\"let user of searchList\"\n          [appTooltip]=\"\n            user\n              | tooltipMessage\n                : fromResponsibility\n                : reviewerIds\n                : overseerIds\n                : assignorId\n                : assigneeIds\n                : 'my_member_id'\n                : disabledIds?.includes(user[userIdKey])\n          \"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n        >\n          <app-cs-checkbox\n            [disabled]=\"disabledIds?.includes(user[userIdKey])\"\n            [ngValue]=\"selectedIds?.includes(user[userIdKey])\"\n            (ngValueChange)=\"selectUser(user[userIdKey], $event)\"\n          >\n            <span class=\"name\">{{ user[itemNameKey] }}</span>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList.length === 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"noDataText?.length > 0 ? noDataText : 'No Users Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUsers | shortMerge : nonRemovableUsersList\"\n      [displayElementKey]=\"itemNameKey\"\n      [elementId]=\"userIdKey\"\n      [nonRemovableUsersList]=\"nonRemovableUsersList\"\n      [singularText]=\"singularText\"\n      [pluralText]=\"pluralText\"\n      (closeEvent)=\"save(selectedIds)\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (workflowTypeChanged)=\"workflowTypeChanged($event)\"\n      [showWorkflow]=\"showWorkflow\"\n      [workflowText]=\"workflowText\"\n      [selectedWorkflow]=\"reviewerWorkflowType\"\n      [workflowList]=\"workflowList\"\n      [mode]=\"mode\"\n      [workflowPlaceHolder]=\"''\"\n      [isDisabled]=\"selectedUsers?.length === 0 || usersList?.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-owner-list{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-owner-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-owner-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-owner-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-owner-list-body .search-block{position:relative}::ng-deep .add-risk-owner-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-owner-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-owner-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .add-risk-owner-list-body .body-top{display:flex;justify-content:space-between}::ng-deep .add-risk-owner-list-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-owner-list-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-owner-list-body ul{padding:0;margin:0}::ng-deep .add-risk-owner-list-body ul.owner-list{height:calc(100vh - 256px);overflow:auto;scrollbar-width:thin}::ng-deep .add-risk-owner-list-body ul.owner-list li{float:left;width:50%;padding:0 20px 12px 0;list-style:none}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio{display:flex}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label{width:100%}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;flex-wrap:wrap}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.name,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.name{color:#161b2f;font-weight:400;line-height:20px;display:block;width:100%;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:24px}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position{border-radius:2px;display:inline-flex;height:12px;align-items:center;padding:0 2px;text-transform:uppercase;font-size:9px;line-height:12px;font-weight:500}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.admin,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.admin{background:#fff9e6;color:#f2bf19}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.key-admin,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.key-admin{background:#dff2e1;color:#34aa44}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.manager,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.manager{color:#4681ef;background:#d4e2fc}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.executive,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.executive{color:#747576;background:#f1f1f1}::ng-deep .add-risk-owner-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .add-risk-owner-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: TooltipMessagePipe, name: "tooltipMessage" }, { kind: "pipe", type: FilterPipe, name: "filter" }, { kind: "pipe", type: ShortMergePipe, name: "shortMerge" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: OwnerListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-owner-list', template: "<div class=\"add-risk-owner-list\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-owner-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ listHeading }}</div>\n  </div>\n  <div class=\"add-risk-owner-list-body\">\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        [attr.placeholder]=\"searchPlaceholder\"\n      />\n    </div>\n    <ng-container *ngIf=\"usersList | filter : search as searchList\">\n      <div\n        class=\"body-top vx-pb-4\"\n        *ngIf=\"searchList?.length > 0 && search?.trim()?.length === 0\"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n        >\n          <strong>{{\n            checkSelectAll(activeTab) ? \"Deselect All\" : \"Select All\"\n          }}</strong>\n        </app-cs-checkbox>\n      </div>\n      <ul class=\"owner-list vx-mb-4\" *ngIf=\"searchList.length > 0\">\n        <li\n          *ngFor=\"let user of searchList\"\n          [appTooltip]=\"\n            user\n              | tooltipMessage\n                : fromResponsibility\n                : reviewerIds\n                : overseerIds\n                : assignorId\n                : assigneeIds\n                : 'my_member_id'\n                : disabledIds?.includes(user[userIdKey])\n          \"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n        >\n          <app-cs-checkbox\n            [disabled]=\"disabledIds?.includes(user[userIdKey])\"\n            [ngValue]=\"selectedIds?.includes(user[userIdKey])\"\n            (ngValueChange)=\"selectUser(user[userIdKey], $event)\"\n          >\n            <span class=\"name\">{{ user[itemNameKey] }}</span>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList.length === 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"noDataText?.length > 0 ? noDataText : 'No Users Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUsers | shortMerge : nonRemovableUsersList\"\n      [displayElementKey]=\"itemNameKey\"\n      [elementId]=\"userIdKey\"\n      [nonRemovableUsersList]=\"nonRemovableUsersList\"\n      [singularText]=\"singularText\"\n      [pluralText]=\"pluralText\"\n      (closeEvent)=\"save(selectedIds)\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (workflowTypeChanged)=\"workflowTypeChanged($event)\"\n      [showWorkflow]=\"showWorkflow\"\n      [workflowText]=\"workflowText\"\n      [selectedWorkflow]=\"reviewerWorkflowType\"\n      [workflowList]=\"workflowList\"\n      [mode]=\"mode\"\n      [workflowPlaceHolder]=\"''\"\n      [isDisabled]=\"selectedUsers?.length === 0 || usersList?.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-owner-list{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-owner-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-owner-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-owner-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-owner-list-body .search-block{position:relative}::ng-deep .add-risk-owner-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-owner-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-owner-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .add-risk-owner-list-body .body-top{display:flex;justify-content:space-between}::ng-deep .add-risk-owner-list-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-owner-list-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-owner-list-body ul{padding:0;margin:0}::ng-deep .add-risk-owner-list-body ul.owner-list{height:calc(100vh - 256px);overflow:auto;scrollbar-width:thin}::ng-deep .add-risk-owner-list-body ul.owner-list li{float:left;width:50%;padding:0 20px 12px 0;list-style:none}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio{display:flex}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label{width:100%}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;flex-wrap:wrap}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.name,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.name{color:#161b2f;font-weight:400;line-height:20px;display:block;width:100%;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:24px}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position{border-radius:2px;display:inline-flex;height:12px;align-items:center;padding:0 2px;text-transform:uppercase;font-size:9px;line-height:12px;font-weight:500}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.admin,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.admin{background:#fff9e6;color:#f2bf19}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.key-admin,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.key-admin{background:#dff2e1;color:#34aa44}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.manager,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.manager{color:#4681ef;background:#d4e2fc}::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-checkbox label span.value span.position.executive,::ng-deep .add-risk-owner-list-body ul.owner-list li app-cs-radio label span.value span.position.executive{color:#747576;background:#f1f1f1}::ng-deep .add-risk-owner-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .add-risk-owner-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { usersList: [{
                type: Input
            }], selectedUsers: [{
                type: Input
            }], userIdKey: [{
                type: Input
            }], itemNameKey: [{
                type: Input
            }], itemEmailKey: [{
                type: Input
            }], showWorkflow: [{
                type: Input
            }], listHeading: [{
                type: Input
            }], searchPlaceholder: [{
                type: Input
            }], pluralText: [{
                type: Input
            }], singularText: [{
                type: Input
            }], reviewerWorkflowType: [{
                type: Input
            }], mode: [{
                type: Input
            }], noDataText: [{
                type: Input
            }], workflowList: [{
                type: Input
            }], workflowText: [{
                type: Input
            }], disabledIds: [{
                type: Input
            }], nonRemovableUsersList: [{
                type: Input
            }], saveSelectedList: [{
                type: Output
            }], closeUsersList: [{
                type: Output
            }], reviewerWorkflowTypeChange: [{
                type: Output
            }], fromResponsibility: [{
                type: Input
            }], assignorId: [{
                type: Input
            }], assigneeIds: [{
                type: Input
            }], reviewerIds: [{
                type: Input
            }], overseerIds: [{
                type: Input
            }] } });

// import isEqual from 'lodash-es/isEqual';
class CategoryListComponent {
    constructor() {
        this.selectedCategory = {
            type: 'strategic',
            selectedCategory: '',
        };
        this.search = '';
        this.activeTab = 'strategic';
        this.ASSETS = ASSETS;
        this.animation = false;
        this.saveSelectedCategory = new EventEmitter();
        this.closeList = new EventEmitter();
        this.closeCategoriesList = new EventEmitter();
        this.loaded = true;
        this.categoryList = {
            strategic: {
                name: 'STRATEGIC',
                data: [],
            },
            operational: {
                name: 'OPERATIONAL',
                data: [],
            },
            compliance: {
                name: 'COMPLIANCE',
                data: [],
            },
            others: {
                name: 'OTHERS',
                data: [],
            },
        };
    }
    ngOnChanges(changes) {
        this.activeTab = this.selectedCategory?.type ?? '';
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.selectedCategory = cloneDeep$1(this.selectedCategory);
    }
    selectCategory(type, category) {
        this.selectedCategory.type = type;
        this.selectedCategory.selectedCategory = category;
    }
    save() {
        this.saveSelectedCategory.emit(this.selectedCategory);
    }
    deleteEvent(event) {
        this.selectedCategory.selectedCategory = '';
        this.selectedCategory.type = '';
    }
    close() {
        this.closeCategoriesList.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CategoryListComponent, selector: "app-category-list", inputs: { categoryList: "categoryList", selectedCategory: "selectedCategory", loaded: "loaded" }, outputs: { saveSelectedCategory: "saveSelectedCategory", closeList: "closeList", closeCategoriesList: "closeCategoriesList" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"category-list\" [class.animate]=\"animation\">\n  <div\n    class=\"category-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Risk Category</div>\n  </div>\n  <div class=\"category-list-body\">\n    <div\n      class=\"filter-card-row vx-d-flex vx-align-center vx-justify-between vx-pb-2\"\n    >\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'strategic'\"\n        (click)=\"activeTab = 'strategic'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.strategic?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'strategic' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.strategic?.data?.length }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'operational'\"\n        (click)=\"activeTab = 'operational'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.operational?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'operational' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.operational?.data?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'compliance'\"\n        (click)=\"activeTab = 'compliance'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.compliance?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'compliance' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.compliance?.data?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"activeTab = 'others'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.others?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'others' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.others?.data?.length }}</span>\n      </div>\n    </div>\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"Search Risk Category\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"!loaded\"></app-loader-inline>\n    <ng-container\n      *ngIf=\"categoryList[activeTab]?.data | filter : search as searchList\"\n    >\n      <ul class=\"categories vx-mb-4\" *ngIf=\"searchList.length > 0\">\n        <li *ngFor=\"let category of searchList\">\n          <app-cs-radio\n            (checkedEvent)=\"selectCategory(activeTab, category)\"\n            [name]=\"'category'\"\n            [checked]=\"\n              selectedCategory?.selectedCategory?.category_id ===\n              category?.category_id\n            \"\n          >\n            <span\n              class=\"name\"\n              [appTooltip]=\"category.category_name\"\n              placement=\"bottom-left\"\n              type=\"black\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ category?.category_name }}</span\n            >\n          </app-cs-radio>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList.length === 0 && loaded\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Categories Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"loaded\"\n      [selectedData]=\"\n        selectedCategory?.selectedCategory?.category_name\n          ? [selectedCategory.selectedCategory]\n          : []\n      \"\n      [displayElementKey]=\"'category_name'\"\n      [singularText]=\"'Risk Category selected'\"\n      [pluralText]=\"'Risk Categories selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        categoryList.length === 0 || !selectedCategory?.selectedCategory\n      \"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .category-list{position:fixed;inset:0 500px 0 0}::ng-deep .category-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .category-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .category-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .category-list-body .filter-card{box-shadow:0 0 3px #1e5dd345;border-radius:.25rem;height:55px;cursor:pointer}::ng-deep .category-list-body .filter-card.active{pointer-events:none;box-shadow:0 3px 12px #1e5dd350;z-index:1}::ng-deep .category-list-body .filter-card.active span.counter{background:#f1f1f1;color:#042e7d}::ng-deep .category-list-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .category-list-body .filter-card span.counter{display:flex;height:28px;min-width:28px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:500;justify-content:center;align-items:center;padding:0 4px}::ng-deep .category-list-body .filter-card+.filter-card{margin-left:4px}::ng-deep .category-list-body .search-block{position:relative}::ng-deep .category-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .category-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .category-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .category-list-body ul{padding:0;margin:0}::ng-deep .category-list-body ul.categories{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 288px);overflow:hidden;overflow-y:auto}::ng-deep .category-list-body ul.categories li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .category-list-body ul.categories li app-cs-radio{display:flex}::ng-deep .category-list-body ul.categories li app-cs-radio label.radio-item{width:100%}::ng-deep .category-list-body ul.categories li app-cs-radio label.radio-item span.value{width:auto;color:#161b2f;font-size:12px;font-weight:400;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical}::ng-deep .category-list-body app-no-data .no-data-wrapper{height:calc(100% - 164px)!important}::ng-deep .category-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: FilterPipe, name: "filter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-category-list', template: "<div class=\"category-list\" [class.animate]=\"animation\">\n  <div\n    class=\"category-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Risk Category</div>\n  </div>\n  <div class=\"category-list-body\">\n    <div\n      class=\"filter-card-row vx-d-flex vx-align-center vx-justify-between vx-pb-2\"\n    >\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'strategic'\"\n        (click)=\"activeTab = 'strategic'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.strategic?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'strategic' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.strategic?.data?.length }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'operational'\"\n        (click)=\"activeTab = 'operational'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.operational?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'operational' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.operational?.data?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'compliance'\"\n        (click)=\"activeTab = 'compliance'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.compliance?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'compliance' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.compliance?.data?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"activeTab = 'others'\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >{{ categoryList?.others?.name }}</label\n          >\n          <p\n            *ngIf=\"\n              selectedCategory.type == 'others' &&\n              selectedCategory.selectedCategory.length != 0\n            \"\n          >\n            1 Category selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.others?.data?.length }}</span>\n      </div>\n    </div>\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"Search Risk Category\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"!loaded\"></app-loader-inline>\n    <ng-container\n      *ngIf=\"categoryList[activeTab]?.data | filter : search as searchList\"\n    >\n      <ul class=\"categories vx-mb-4\" *ngIf=\"searchList.length > 0\">\n        <li *ngFor=\"let category of searchList\">\n          <app-cs-radio\n            (checkedEvent)=\"selectCategory(activeTab, category)\"\n            [name]=\"'category'\"\n            [checked]=\"\n              selectedCategory?.selectedCategory?.category_id ===\n              category?.category_id\n            \"\n          >\n            <span\n              class=\"name\"\n              [appTooltip]=\"category.category_name\"\n              placement=\"bottom-left\"\n              type=\"black\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ category?.category_name }}</span\n            >\n          </app-cs-radio>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList.length === 0 && loaded\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Categories Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"loaded\"\n      [selectedData]=\"\n        selectedCategory?.selectedCategory?.category_name\n          ? [selectedCategory.selectedCategory]\n          : []\n      \"\n      [displayElementKey]=\"'category_name'\"\n      [singularText]=\"'Risk Category selected'\"\n      [pluralText]=\"'Risk Categories selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        categoryList.length === 0 || !selectedCategory?.selectedCategory\n      \"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .category-list{position:fixed;inset:0 500px 0 0}::ng-deep .category-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .category-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .category-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .category-list-body .filter-card{box-shadow:0 0 3px #1e5dd345;border-radius:.25rem;height:55px;cursor:pointer}::ng-deep .category-list-body .filter-card.active{pointer-events:none;box-shadow:0 3px 12px #1e5dd350;z-index:1}::ng-deep .category-list-body .filter-card.active span.counter{background:#f1f1f1;color:#042e7d}::ng-deep .category-list-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .category-list-body .filter-card span.counter{display:flex;height:28px;min-width:28px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:500;justify-content:center;align-items:center;padding:0 4px}::ng-deep .category-list-body .filter-card+.filter-card{margin-left:4px}::ng-deep .category-list-body .search-block{position:relative}::ng-deep .category-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .category-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .category-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .category-list-body ul{padding:0;margin:0}::ng-deep .category-list-body ul.categories{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 288px);overflow:hidden;overflow-y:auto}::ng-deep .category-list-body ul.categories li{width:100%;padding:0 0 1rem;list-style:none}::ng-deep .category-list-body ul.categories li app-cs-radio{display:flex}::ng-deep .category-list-body ul.categories li app-cs-radio label.radio-item{width:100%}::ng-deep .category-list-body ul.categories li app-cs-radio label.radio-item span.value{width:auto;color:#161b2f;font-size:12px;font-weight:400;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical}::ng-deep .category-list-body app-no-data .no-data-wrapper{height:calc(100% - 164px)!important}::ng-deep .category-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { categoryList: [{
                type: Input
            }], selectedCategory: [{
                type: Input
            }], saveSelectedCategory: [{
                type: Output
            }], closeList: [{
                type: Output
            }], closeCategoriesList: [{
                type: Output
            }], loaded: [{
                type: Input
            }] } });

const HOURS = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12];
const MINUTES = ['', '', '00', '30', ''];
const AM_PM = ['', '', 'AM', 'PM', ''];
const TIME_VARIABLE = ['HOURS', 'MINUTES', 'MERIDIEM'];

class TimePickerComponent {
    set defaultTime(inputTime) {
        if (!inputTime) {
            inputTime = DEFAULT_TIME;
        }
        this.defaultSelectedTime = inputTime;
        const timeDetails = inputTime.split(' ');
        let time = timeDetails[0].split(':');
        if (!['00', '30'].includes(time[1])) {
            time[1] = '00';
        }
        this.selectedTime = {
            HOURS: parseInt(time[0]),
            MINUTES: time[1],
            MERIDIEM: timeDetails[1]?.toUpperCase(),
        };
        this.setDefault();
    }
    constructor() {
        this.MINUTES = MINUTES;
        this.AM_PM = AM_PM;
        this.hourArray = [9, 10, 11, 12, 13];
        this.TIME_VARIABLE = TIME_VARIABLE; //['HOURS', 'MINUTES', 'MERIDIEM']
        this.defaultSelectedTime = '';
        this.onTimeSelection = new EventEmitter();
    }
    onScroll(event, type) {
        const scrollStatus = this.getScrollDirection(event);
        switch (type) {
            case this.TIME_VARIABLE[0]:
                this.hourArray = this.getNextValuesOnMouseWheel(this.hourArray, scrollStatus);
                break;
            case this.TIME_VARIABLE[1]:
                this.setMinutes(scrollStatus);
                break;
            case this.TIME_VARIABLE[2]:
                this.setMeridiem(scrollStatus);
                break;
        }
    }
    onValueSelect(value, type) {
        if (value) {
            this.selectedTime[type] = value;
            this.setDefault();
        }
    }
    /**
     * The function `handleMouseWheelEvent` takes an array of current values and a direction ('up' or
     * 'down') as input, and returns an array of next values based on the direction and the maximum and
     * minimum values.
     * @param {number[]} currentValues - An array of numbers representing the current values.
     * @param {'up' | 'down'} direction - The direction parameter is a string that can have two possible
     * values: 'up' or 'down'. It indicates the direction of the mouse wheel event, whether it is
     * scrolling up or scrolling down.
     * @returns an array of numbers representing the next values based on the current values and the
     * direction of the mouse wheel event.
     */
    getNextValuesOnMouseWheel(currentValues, direction) {
        // Define the maximum and minimum values
        const maxValue = 12;
        const minValue = 1;
        // Define the maximum number of elements in the returned array
        const maxElements = 5;
        if (direction === 'up') {
            let nextValues = [];
            for (let i = 0; i < maxElements; i++) {
                // Calculate the next value by subtracting 1 from the current value
                let nextValue = currentValues[i] - 1;
                // Wrap around if the next value is less than the minimum value
                if (nextValue < minValue) {
                    // Calculate the wrapped value using modulo operator (%)
                    nextValue =
                        maxValue - ((minValue - nextValue - 1) % (maxValue - minValue + 1));
                }
                // Add the next value to the array
                nextValues.push(nextValue);
            }
            // Return the array with the next values
            return nextValues;
        }
        if (direction === 'down') {
            let nextValues = [];
            for (let i = 0; i < maxElements; i++) {
                // Calculate the next value by adding 1 and the index
                let nextValue = currentValues[0] + 1 + i;
                // Wrap around if the next value exceeds the maximum value
                if (nextValue > maxValue) {
                    nextValue = minValue + ((nextValue - maxValue) % maxValue) - 1;
                }
                // Add the next value to the array
                nextValues.push(nextValue);
            }
            // Return the array with the next values
            return nextValues;
        }
        // If the direction is neither 'up' nor 'down', return the current values unchanged
        return currentValues;
    }
    onCloseTimePicker(actionType) {
        const time = this.selectedTime.HOURS +
            ':' +
            this.selectedTime.MINUTES +
            ' ' +
            this.selectedTime.MERIDIEM;
        this.onTimeSelection.emit({
            actionType: actionType,
            selectedValue: actionType === 'ok' ? time : this.defaultSelectedTime,
        });
    }
    getScrollDirection(event) {
        if (event.deltaY < 0) {
            return 'up';
        }
        else {
            return 'down';
        }
    }
    setMinutes(type) {
        if (type === 'up') {
            const index = this.MINUTES.indexOf('00');
            if (index === 1) {
                this.MINUTES.unshift('');
                this.MINUTES.pop();
            }
        }
        else {
            const index = this.MINUTES.indexOf('00');
            if (index === 2) {
                this.MINUTES.shift();
                this.MINUTES.push('');
            }
        }
        this.findSelectedValue(TIME_VARIABLE[1], this.MINUTES);
    }
    setMeridiem(type) {
        if (type === 'up') {
            const index = this.AM_PM.indexOf('AM');
            if (index === 1) {
                this.AM_PM.unshift('');
                this.AM_PM.pop();
            }
        }
        else {
            const index = this.AM_PM.indexOf('AM');
            if (index === 2) {
                this.AM_PM.shift();
                this.AM_PM.push('');
            }
        }
        this.findSelectedValue(TIME_VARIABLE[2], this.AM_PM);
    }
    findSelectedValue(type, array) {
        this.selectedTime[type] = array[2];
    }
    setDefault() {
        const defaultHours = this.selectedTime.HOURS;
        const defaultMinutes = this.selectedTime.MINUTES;
        const defaultMeridiem = this.selectedTime.MERIDIEM;
        this.hourArray[2] = defaultHours;
        this.setHoursToDefault(defaultHours);
        if (defaultMinutes === '30') {
            this.MINUTES[2] = defaultMinutes;
            this.MINUTES[1] = '00';
            this.MINUTES[3] = '';
        }
        else {
            this.MINUTES[1] = '';
            this.MINUTES[2] = '00';
            this.MINUTES[3] = '30';
        }
        if (defaultMeridiem === 'PM') {
            this.AM_PM[2] = defaultMeridiem;
            this.AM_PM[1] = 'AM';
            this.AM_PM[3] = '';
            // this.setMeridiem('up');
        }
        else {
            this.AM_PM[1] = '';
            this.AM_PM[2] = 'AM';
            this.AM_PM[3] = 'PM';
        }
    }
    setHoursToDefault(defaultHours) {
        let prevIndex = 2;
        let nextIndex = 1;
        this.hourArray = this.hourArray.map((value, index) => {
            value = defaultHours;
            if (index < 2) {
                value = value - prevIndex;
                if (value < 1) {
                    value = 12 + value;
                }
                prevIndex--;
            }
            else if (index > 2) {
                value = value + nextIndex;
                if (value > 12) {
                    value = value - 12;
                }
                nextIndex++;
            }
            return value;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TimePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TimePickerComponent, selector: "app-time-picker", inputs: { defaultTime: ["time", "defaultTime"] }, outputs: { onTimeSelection: "onTimeSelection" }, ngImport: i0, template: "<div class=\"timePicker\">\n  <div class=\"vx-d-flex vx-align-center vx-justify-center\">\n    <div class=\"timePicker-inner vx-d-flex vx-align-center vx-p-3\">\n      <div class=\"timePicker-column\" #hour_column>\n        <div\n          *ngFor=\"let eachHour of hourArray; let i = index\"\n          class=\"timePicker-no vx-paragraph-txt vx-fs-14 vx-fw-500 vx-ml-1 vx-mr-1\"\n          [class.active]=\"i === 2\"\n          (mousewheel)=\"onScroll($event, TIME_VARIABLE[0])\"\n          [id]=\"'hour_column_' + (i + 1)\"\n          (click)=\"onValueSelect(eachHour, TIME_VARIABLE[0])\"\n        >\n          <ng-container *ngIf=\"eachHour > 0 && eachHour < 13\">\n            {{ eachHour }}\n          </ng-container>\n        </div>\n      </div>\n      <div class=\"timePicker-column\" #minutes_column>\n        <div\n          *ngFor=\"let eachMinutes of MINUTES; let i = index\"\n          class=\"timePicker-no vx-paragraph-txt vx-fs-14 vx-fw-500 vx-ml-1 vx-mr-1\"\n          [class.active]=\"i === 2\"\n          [id]=\"'minutes_column_' + (i + 1)\"\n          (mousewheel)=\"onScroll($event, TIME_VARIABLE[1])\"\n          (click)=\"onValueSelect(eachMinutes, TIME_VARIABLE[1])\"\n        >\n          {{ eachMinutes }}\n        </div>\n      </div>\n      <div class=\"timePicker-column\" #meridiem_column>\n        <div\n          *ngFor=\"let eachMeridiem of AM_PM; let i = index\"\n          class=\"timePicker-no vx-paragraph-txt vx-fs-14 vx-fw-500 vx-ml-1 vx-mr-1 vx-tt-uppercase\"\n          [class.active]=\"i === 2\"\n          [id]=\"'meridiem_column_' + (i + 1)\"\n          (mousewheel)=\"onScroll($event, TIME_VARIABLE[2])\"\n          (click)=\"onValueSelect(eachMeridiem, TIME_VARIABLE[2])\"\n        >\n          {{ eachMeridiem }}\n        </div>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"timePicker-bottom vx-d-flex vx-align-center vx-justify-between vx-p-2\"\n  >\n    <button\n      (click)=\"onCloseTimePicker('cancel')\"\n      class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-6\"\n    >\n      CANCEL\n    </button>\n    <button\n      (click)=\"onCloseTimePicker('ok')\"\n      class=\"ok-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-6\"\n    >\n      OK\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .timePicker{background:#fff;border-radius:.25rem;box-shadow:0 1px 6px #1c5bd140;width:11.25rem}::ng-deep .timePicker-column{display:flex;flex-flow:column nowrap;justify-content:space-between;align-items:center;max-height:12rem;overflow:hidden;overflow-y:auto}::ng-deep .timePicker-column::-webkit-scrollbar{display:none}::ng-deep .timePicker-no{cursor:pointer;display:flex;justify-content:center;align-items:center;width:2.5rem;min-height:2rem}::ng-deep .timePicker-no.active{background:#f1f1f1;border-radius:.125rem;color:#1e5dd3}::ng-deep .timePicker-bottom{background:#f8f8f8;border-top:1px solid #f1f1f1}::ng-deep .timePicker-bottom button{border-radius:.125rem;height:1.5rem;width:calc(50% - .125rem)}::ng-deep .timePicker-bottom button.cancel-btn{background:#fff;border:1px solid #dbdbdb}::ng-deep .timePicker-bottom button.ok-btn{background:#1e5dd3;border:1px solid #1e5dd3}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TimePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-time-picker', outputs: ['onTimeSelection'], template: "<div class=\"timePicker\">\n  <div class=\"vx-d-flex vx-align-center vx-justify-center\">\n    <div class=\"timePicker-inner vx-d-flex vx-align-center vx-p-3\">\n      <div class=\"timePicker-column\" #hour_column>\n        <div\n          *ngFor=\"let eachHour of hourArray; let i = index\"\n          class=\"timePicker-no vx-paragraph-txt vx-fs-14 vx-fw-500 vx-ml-1 vx-mr-1\"\n          [class.active]=\"i === 2\"\n          (mousewheel)=\"onScroll($event, TIME_VARIABLE[0])\"\n          [id]=\"'hour_column_' + (i + 1)\"\n          (click)=\"onValueSelect(eachHour, TIME_VARIABLE[0])\"\n        >\n          <ng-container *ngIf=\"eachHour > 0 && eachHour < 13\">\n            {{ eachHour }}\n          </ng-container>\n        </div>\n      </div>\n      <div class=\"timePicker-column\" #minutes_column>\n        <div\n          *ngFor=\"let eachMinutes of MINUTES; let i = index\"\n          class=\"timePicker-no vx-paragraph-txt vx-fs-14 vx-fw-500 vx-ml-1 vx-mr-1\"\n          [class.active]=\"i === 2\"\n          [id]=\"'minutes_column_' + (i + 1)\"\n          (mousewheel)=\"onScroll($event, TIME_VARIABLE[1])\"\n          (click)=\"onValueSelect(eachMinutes, TIME_VARIABLE[1])\"\n        >\n          {{ eachMinutes }}\n        </div>\n      </div>\n      <div class=\"timePicker-column\" #meridiem_column>\n        <div\n          *ngFor=\"let eachMeridiem of AM_PM; let i = index\"\n          class=\"timePicker-no vx-paragraph-txt vx-fs-14 vx-fw-500 vx-ml-1 vx-mr-1 vx-tt-uppercase\"\n          [class.active]=\"i === 2\"\n          [id]=\"'meridiem_column_' + (i + 1)\"\n          (mousewheel)=\"onScroll($event, TIME_VARIABLE[2])\"\n          (click)=\"onValueSelect(eachMeridiem, TIME_VARIABLE[2])\"\n        >\n          {{ eachMeridiem }}\n        </div>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"timePicker-bottom vx-d-flex vx-align-center vx-justify-between vx-p-2\"\n  >\n    <button\n      (click)=\"onCloseTimePicker('cancel')\"\n      class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-6\"\n    >\n      CANCEL\n    </button>\n    <button\n      (click)=\"onCloseTimePicker('ok')\"\n      class=\"ok-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-6\"\n    >\n      OK\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .timePicker{background:#fff;border-radius:.25rem;box-shadow:0 1px 6px #1c5bd140;width:11.25rem}::ng-deep .timePicker-column{display:flex;flex-flow:column nowrap;justify-content:space-between;align-items:center;max-height:12rem;overflow:hidden;overflow-y:auto}::ng-deep .timePicker-column::-webkit-scrollbar{display:none}::ng-deep .timePicker-no{cursor:pointer;display:flex;justify-content:center;align-items:center;width:2.5rem;min-height:2rem}::ng-deep .timePicker-no.active{background:#f1f1f1;border-radius:.125rem;color:#1e5dd3}::ng-deep .timePicker-bottom{background:#f8f8f8;border-top:1px solid #f1f1f1}::ng-deep .timePicker-bottom button{border-radius:.125rem;height:1.5rem;width:calc(50% - .125rem)}::ng-deep .timePicker-bottom button.cancel-btn{background:#fff;border:1px solid #dbdbdb}::ng-deep .timePicker-bottom button.ok-btn{background:#1e5dd3;border:1px solid #1e5dd3}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { defaultTime: [{
                type: Input,
                args: ['time']
            }] } });

class FrequencyDialogTopComponent {
    constructor() {
        this.occurrenceFirst = 0;
        this.id = 0; // 0 = Daily, 1: weekly, 5: Annually
        this.inputTime = '11:00 pm';
        this.frequencyType = 0; // 0 = days, 1 = weeks & 2 = years
        this.yearlyDay = new Date().getDate();
        this.valueChangedFirst = new EventEmitter();
        this.nextDisable = new EventEmitter();
        this.timeChanged = new EventEmitter();
        this.yearlyDateChanged = new EventEmitter();
        this.todayDate = new Date();
        this.dateObjectData = new Date();
        this.timeData = '11:00 pm';
        this.DEFAULT_TIME = DEFAULT_TIME;
    }
    ngOnInit() { }
    enterValueFirst(event, actionType) {
        if (this.id !== 0 && this.id !== 1 && this.id !== 5) {
            this.enterValue(this.occurrenceFirst, actionType);
            return;
        }
        if (!Number.isNaN(Number(this.occurrenceFirst)) &&
            this.occurrenceFirst !== 0 &&
            Number(this.occurrenceFirst) > 0) {
            this.occurrenceFirst = Number(this.occurrenceFirst);
            this.valueChangedFirst.emit({
                type: actionType,
                value: Number(this.occurrenceFirst),
                pageName: '',
            });
        }
        else {
            this.occurrenceFirst = 1;
        }
    }
    enterValue(event, actionType) {
        if (!Number.isNaN(Number(event)) &&
            event !== 0 &&
            Number(event) > 0 &&
            Number(event) < 32) {
            this.occurrenceFirst = Number(event);
            this.valueChangedFirst.emit({
                type: actionType,
                value: Number(event),
                pageName: '',
            });
        }
        else {
            this.occurrenceFirst = new Date().getDate();
        }
    }
    getToday() {
        return moment$1(Date.now()).format('YYYY-MM-DD HH:mm:ss')?.split(' ')[0];
    }
    onTimeChanged(event) {
        try {
            event = event.selectedValue;
            this.timeData = event;
            if (typeof this.dateObjectData == 'object') {
                this.dateObjectData = moment$1(this.dateObjectData)?.toDate();
            }
            let timeStamp = moment$1(this.dateObjectData.getDate() +
                '-' +
                (this.dateObjectData.getMonth() + 1) +
                '-' +
                this.dateObjectData.getFullYear() +
                ' ' +
                this.timeData, 'DD-MM-YYYY hh:mm a').unix();
            if (Date.now() / 1000 > timeStamp) {
                this.nextDisable.emit(true);
            }
            else {
                this.nextDisable.emit(false);
            }
            this.timeChanged.emit(event);
        }
        catch (e) {
            console.error(e);
        }
    }
    enterYearDay(event) {
        if (!Number.isNaN(Number(this.yearlyDay)) &&
            this.yearlyDay !== 0 &&
            Number(this.yearlyDay) > 0 &&
            Number(this.yearlyDay) < 32) {
            //this.yearlyDay = Number(event.target.value);
            this.yearlyDateChanged.emit(this.yearlyDay);
        }
        else {
            this.yearlyDay = new Date().getDate();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogTopComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogTopComponent, selector: "app-frequency-dialog-top", inputs: { occurrenceFirst: "occurrenceFirst", id: "id", inputTime: "inputTime", frequencyType: "frequencyType", yearlyDay: "yearlyDay" }, outputs: { valueChangedFirst: "valueChangedFirst", nextDisable: "nextDisable", timeChanged: "timeChanged", yearlyDateChanged: "yearlyDateChanged" }, ngImport: i0, template: "<div class=\"frequency-dialog-top vx-p-3 vx-d-flex vx-align-center\">\n  <div class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n    {{ id === 0 || id === 1 || id === 5 ? \"Every\" : \"Day\" }}\n  </div>\n  <input\n    type=\"number\"\n    [id]=\"'occurrence' + id\"\n    [(ngModel)]=\"occurrenceFirst\"\n    class=\"day-counter\"\n    onkeydown=\"return event.keyCode !== 190\"\n    min=\"0\"\n    oninput=\"this.value = Math.abs(this.value)\"\n    (focusout)=\"enterValueFirst($event, 'occurrenceFirst')\"\n  />\n  <div\n    *ngIf=\"frequencyType === 1\"\n    class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\"\n  >\n    {{ occurrenceFirst > 1 ? \"weeks\" : \"week\" }} by\n  </div>\n  <div\n    class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\"\n    *ngIf=\"id !== 0 && id !== 1 && id !== 5\"\n  >\n    by\n  </div>\n  <ng-container *ngIf=\"frequencyType === 2\">\n    <div class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"years\" : \"year\" }} on day\n    </div>\n    <input\n      type=\"number\"\n      type=\"number\"\n      [id]=\"'occurrence-day' + id\"\n      [(ngModel)]=\"yearlyDay\"\n      (focusout)=\"enterYearDay($event)\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <div class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\">by</div>\n  </ng-container>\n  <div\n    class=\"time-picker vx-d-flex vx-align-center vx-justify-end vx-pr-3\"\n    appPopover\n    (click)=\"timePicker.popover()\"\n    placement=\"right\"\n  >\n    <input\n      type=\"text\"\n      [id]=\"'time-picker-input-top' + id\"\n      [(ngModel)]=\"inputTime\"\n      readonly\n      [placeholder]=\"DEFAULT_TIME\"\n    />\n    <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n      <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n    </div>\n  </div>\n  <app-popover #timePicker [dontCloseonClick]=\"true\">\n    <app-time-picker\n      [time]=\"inputTime\"\n      (onTimeSelection)=\"onTimeChanged($event); timePicker.closePopover('top')\"\n    ></app-time-picker>\n  </app-popover>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-top input[type=number]{background:transparent;border-radius:0;border:none;border-bottom:1px solid #dbdbdb;color:#161b2f;font-size:13px;height:1.5rem;width:3rem;text-align:center;outline:none}::ng-deep .frequency-dialog-top input[type=number]::-webkit-outer-spin-button,::ng-deep .frequency-dialog-top input[type=number]::-webkit-inner-spin-button{-moz-appearance:none;-webkit-appearance:none;margin:0}::ng-deep .frequency-dialog-top .time-picker{border-radius:.25rem;border:1px solid #dbdbdb;height:2rem;width:6.25rem;position:relative}::ng-deep .frequency-dialog-top .time-picker input{background:transparent;border-radius:0;border:none;color:#161b2f;font-size:13px;margin:0!important;padding:0 0 0 .75rem;position:absolute;top:0;left:0;height:100%;width:100%;cursor:pointer}::ng-deep .frequency-dialog-top .time-picker input::placeholder{color:#161b2f}::ng-deep .frequency-dialog-top .time-picker input:focus{outline:none}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: TimePickerComponent, selector: "app-time-picker", inputs: ["time"], outputs: ["onTimeSelection"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogTopComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-top', template: "<div class=\"frequency-dialog-top vx-p-3 vx-d-flex vx-align-center\">\n  <div class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n    {{ id === 0 || id === 1 || id === 5 ? \"Every\" : \"Day\" }}\n  </div>\n  <input\n    type=\"number\"\n    [id]=\"'occurrence' + id\"\n    [(ngModel)]=\"occurrenceFirst\"\n    class=\"day-counter\"\n    onkeydown=\"return event.keyCode !== 190\"\n    min=\"0\"\n    oninput=\"this.value = Math.abs(this.value)\"\n    (focusout)=\"enterValueFirst($event, 'occurrenceFirst')\"\n  />\n  <div\n    *ngIf=\"frequencyType === 1\"\n    class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\"\n  >\n    {{ occurrenceFirst > 1 ? \"weeks\" : \"week\" }} by\n  </div>\n  <div\n    class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\"\n    *ngIf=\"id !== 0 && id !== 1 && id !== 5\"\n  >\n    by\n  </div>\n  <ng-container *ngIf=\"frequencyType === 2\">\n    <div class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"years\" : \"year\" }} on day\n    </div>\n    <input\n      type=\"number\"\n      type=\"number\"\n      [id]=\"'occurrence-day' + id\"\n      [(ngModel)]=\"yearlyDay\"\n      (focusout)=\"enterYearDay($event)\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <div class=\"vx-fs-13 vx-paragraph-txt vx-ml-3 vx-mr-3\">by</div>\n  </ng-container>\n  <div\n    class=\"time-picker vx-d-flex vx-align-center vx-justify-end vx-pr-3\"\n    appPopover\n    (click)=\"timePicker.popover()\"\n    placement=\"right\"\n  >\n    <input\n      type=\"text\"\n      [id]=\"'time-picker-input-top' + id\"\n      [(ngModel)]=\"inputTime\"\n      readonly\n      [placeholder]=\"DEFAULT_TIME\"\n    />\n    <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n      <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n    </div>\n  </div>\n  <app-popover #timePicker [dontCloseonClick]=\"true\">\n    <app-time-picker\n      [time]=\"inputTime\"\n      (onTimeSelection)=\"onTimeChanged($event); timePicker.closePopover('top')\"\n    ></app-time-picker>\n  </app-popover>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-top input[type=number]{background:transparent;border-radius:0;border:none;border-bottom:1px solid #dbdbdb;color:#161b2f;font-size:13px;height:1.5rem;width:3rem;text-align:center;outline:none}::ng-deep .frequency-dialog-top input[type=number]::-webkit-outer-spin-button,::ng-deep .frequency-dialog-top input[type=number]::-webkit-inner-spin-button{-moz-appearance:none;-webkit-appearance:none;margin:0}::ng-deep .frequency-dialog-top .time-picker{border-radius:.25rem;border:1px solid #dbdbdb;height:2rem;width:6.25rem;position:relative}::ng-deep .frequency-dialog-top .time-picker input{background:transparent;border-radius:0;border:none;color:#161b2f;font-size:13px;margin:0!important;padding:0 0 0 .75rem;position:absolute;top:0;left:0;height:100%;width:100%;cursor:pointer}::ng-deep .frequency-dialog-top .time-picker input::placeholder{color:#161b2f}::ng-deep .frequency-dialog-top .time-picker input:focus{outline:none}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { occurrenceFirst: [{
                type: Input
            }], id: [{
                type: Input
            }], inputTime: [{
                type: Input
            }], frequencyType: [{
                type: Input
            }], yearlyDay: [{
                type: Input
            }], valueChangedFirst: [{
                type: Output
            }], nextDisable: [{
                type: Output
            }], timeChanged: [{
                type: Output
            }], yearlyDateChanged: [{
                type: Output
            }] } });

class FrequencyDialogDueDateComponent {
    constructor() {
        this.defaultWindow = 1;
        this.defaultFailed = 0;
        this.defaultDeactivate = 0;
        this.mode = '';
        this.completedValue = 5; // take input for completed
        this.deactivateValue = 15;
        this.isDeactivated = false;
        this.id = 0;
        this.pageName = '';
        this.windowCloses = 2;
        this.valueChange = new EventEmitter();
        this.windowOpenChange = new EventEmitter();
        this.extensionValueChange = new EventEmitter();
    }
    ngOnInit() { }
    onValueChange(event, actionType) {
        if (!Number.isNaN(Number(event?.target?.value)) &&
            parseInt(event?.target?.value) > 0) {
            this.valueChange.emit({
                type: actionType,
                value: Number(event?.target?.value),
                pageName: this.pageName,
            });
        }
        else {
            if (actionType === 'completed') {
                this.completedValue = this.defaultWindow;
                this.valueChange.emit({
                    type: actionType,
                    value: this.defaultWindow,
                    pageName: this.pageName,
                });
            }
        }
    }
    onWindowOpenChange(event, actionType) {
        if (!Number.isNaN(Number(event?.target?.value)) &&
            parseInt(event?.target?.value) > 0) {
            this.windowOpenChange.emit({
                type: actionType,
                value: Number(event?.target?.value),
                pageName: this.pageName,
            });
        }
        else {
            if (actionType === 'window open') {
                this.completedValue = this.defaultWindow;
                this.windowOpenChange.emit({
                    type: actionType,
                    value: this.defaultWindow,
                    pageName: this.pageName,
                });
            }
        }
    }
    onExtensionValueChange(event, actionType) {
        if (!Number.isNaN(Number(event?.target?.value)) &&
            parseInt(event?.target?.value) > 0) {
            this.extensionValueChange.emit({
                type: actionType,
                value: Number(event?.target?.value),
                pageName: this.pageName,
            });
        }
        else {
            if (actionType === 'extension') {
                this.completedValue = this.defaultWindow;
                this.extensionValueChange.emit({
                    type: actionType,
                    value: this.defaultWindow,
                    pageName: this.pageName,
                });
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogDueDateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogDueDateComponent, selector: "app-frequency-dialog-due-date", inputs: { mode: "mode", completedValue: "completedValue", deactivateValue: "deactivateValue", isDeactivated: "isDeactivated", id: "id", pageName: "pageName", windowCloses: "windowCloses", assessWindowOpen: "assessWindowOpen" }, outputs: { valueChange: "valueChange", windowOpenChange: "windowOpenChange", extensionValueChange: "extensionValueChange" }, ngImport: i0, template: "<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    Assessment window opens\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n    The risk can be assessed on the assessment due date and\n    <input\n      class=\"countNum\"\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"assessWindowOpen\"\n      (change)=\"onWindowOpenChange($event, 'window open')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    {{ assessWindowOpen < 2 ? 'day' : 'days' }} before the assessment due date.\n  </div>\n</div>\n\n<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    Extension\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n  The risk can be assessed\n    <input\n      class=\"countNum\"\n      type=\"number\"\n      [id]=\"'not-completed-' + id\"\n      [(ngModel)]=\"windowCloses\"\n      (change)=\"onExtensionValueChange($event, 'extension')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    {{ windowCloses < 2 ? 'day' : 'days' }} after the assessment due date.\n  </div>\n</div>\n\n<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    Assessment window closes:\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n    The risk cannot be assessed\n    <span class=\"vx-fw-500 vx-label-txt\">{{windowCloses}}</span>\n    {{ windowCloses < 2 ? 'day' : 'days' }} after the assessment due date.\n  </div>\n</div>\n\n<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    REASSESSMENT EMAIL NOTIFICATION:\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n    VComply will send an email reminder\n    <input\n      class=\"countNum\"\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"completedValue\"\n      (change)=\"onValueChange($event, 'completed')\"\n      onkeydown=\"return event.keyCode !== 190\" min=\"0\" oninput=\"this.value = Math.abs(this.value)\" />\n      {{ completedValue < 2 ? 'day' : 'days' }} before the risk assessment due date if it is not done.\n  </div>\n</div>\n\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-bottom-item-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-bottom-item-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-bottom-item-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-bottom-item-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-bottom-item-box .completed-text{color:#34aa44}::ng-deep .frequency-bottom-item-box .delay-text{color:#f0b819}::ng-deep .frequency-bottom-item-box .notcompleted-text{color:#d93b41}::ng-deep .frequency-dialog-due-date-item{border-top:1px solid #f1f1f1;height:3.5rem}::ng-deep .frequency-dialog-due-date-item:first-of-type,::ng-deep .frequency-dialog-due-date-item:only-child{border-top:none}::ng-deep .frequency-dialog-due-date-item input[type=number]{background:transparent;border-radius:0;border:none;border-bottom:1px solid #dbdbdb;color:#161b2f;font-size:13px;height:1.5rem;width:3rem;text-align:center;outline:none}::ng-deep .frequency-dialog-due-date-item input[type=number]::-webkit-outer-spin-button,::ng-deep .frequency-dialog-due-date-item input[type=number]::-webkit-inner-spin-button{-moz-appearance:none;-webkit-appearance:none;margin:0}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogDueDateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-due-date', template: "<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    Assessment window opens\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n    The risk can be assessed on the assessment due date and\n    <input\n      class=\"countNum\"\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"assessWindowOpen\"\n      (change)=\"onWindowOpenChange($event, 'window open')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    {{ assessWindowOpen < 2 ? 'day' : 'days' }} before the assessment due date.\n  </div>\n</div>\n\n<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    Extension\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n  The risk can be assessed\n    <input\n      class=\"countNum\"\n      type=\"number\"\n      [id]=\"'not-completed-' + id\"\n      [(ngModel)]=\"windowCloses\"\n      (change)=\"onExtensionValueChange($event, 'extension')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    {{ windowCloses < 2 ? 'day' : 'days' }} after the assessment due date.\n  </div>\n</div>\n\n<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    Assessment window closes:\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n    The risk cannot be assessed\n    <span class=\"vx-fw-500 vx-label-txt\">{{windowCloses}}</span>\n    {{ windowCloses < 2 ? 'day' : 'days' }} after the assessment due date.\n  </div>\n</div>\n\n<div class=\"frequency-bottom-item vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    REASSESSMENT EMAIL NOTIFICATION:\n  </div>\n  <div\n    class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n  >\n    VComply will send an email reminder\n    <input\n      class=\"countNum\"\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"completedValue\"\n      (change)=\"onValueChange($event, 'completed')\"\n      onkeydown=\"return event.keyCode !== 190\" min=\"0\" oninput=\"this.value = Math.abs(this.value)\" />\n      {{ completedValue < 2 ? 'day' : 'days' }} before the risk assessment due date if it is not done.\n  </div>\n</div>\n\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-bottom-item-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-bottom-item-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-bottom-item-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-bottom-item-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-bottom-item-box .completed-text{color:#34aa44}::ng-deep .frequency-bottom-item-box .delay-text{color:#f0b819}::ng-deep .frequency-bottom-item-box .notcompleted-text{color:#d93b41}::ng-deep .frequency-dialog-due-date-item{border-top:1px solid #f1f1f1;height:3.5rem}::ng-deep .frequency-dialog-due-date-item:first-of-type,::ng-deep .frequency-dialog-due-date-item:only-child{border-top:none}::ng-deep .frequency-dialog-due-date-item input[type=number]{background:transparent;border-radius:0;border:none;border-bottom:1px solid #dbdbdb;color:#161b2f;font-size:13px;height:1.5rem;width:3rem;text-align:center;outline:none}::ng-deep .frequency-dialog-due-date-item input[type=number]::-webkit-outer-spin-button,::ng-deep .frequency-dialog-due-date-item input[type=number]::-webkit-inner-spin-button{-moz-appearance:none;-webkit-appearance:none;margin:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { mode: [{
                type: Input
            }], completedValue: [{
                type: Input
            }], deactivateValue: [{
                type: Input
            }], isDeactivated: [{
                type: Input
            }], id: [{
                type: Input
            }], pageName: [{
                type: Input
            }], windowCloses: [{
                type: Input
            }], assessWindowOpen: [{
                type: Input
            }], valueChange: [{
                type: Output
            }], windowOpenChange: [{
                type: Output
            }], extensionValueChange: [{
                type: Output
            }] } });

class FrequencyDialogCheckboxListComponent {
    constructor() {
        this.id = -1;
        this.listArray = [];
        this.selectedIndex = [];
        this.selectedCheckbox = new EventEmitter();
    }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogCheckboxListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogCheckboxListComponent, selector: "app-frequency-dialog-checkbox-list", inputs: { id: "id", listArray: "listArray", selectedIndex: "selectedIndex" }, outputs: { selectedCheckbox: "selectedCheckbox" }, ngImport: i0, template: "<div class=\"frequency-dialog-checkbox-list vx-d-flex\" [class.week]=\"id === 1\" [class.vx-align-center]=\"id === 1\" [class.month]=\"id === 2 || id === 4\" [class.vx-flex-wrap]=\"id === 2 || id === 4\">\n    <!-- <div class=\"frequency-dialog-checkbox-list vx-d-flex vx-align-center week\"> -->\n    <!-- <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Monday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Tuesday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Wednesday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Thursday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Friday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Saturday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Sunday</div></app-cs-checkbox> -->\n\n    <app-cs-checkbox \n        *ngFor=\"let eachList of listArray; let i = index;\"\n        [id]=\"i\" [value]=\"i\" [ngValue]=\"selectedIndex.includes(i)\" \n        (ngValueChange)=\"selectedCheckbox.emit({checked:$event, index:i})\"\n        [disabled]=\"id === 4 && selectedIndex.length == 2 && !selectedIndex.includes(i)\"\n        >\n        <div class=\"vx-fs-12 vx-label-txt\">{{eachList}}</div>\n    </app-cs-checkbox>\n</div>\n\n<div *ngIf=\"false\" class=\"frequency-dialog-checkbox-list vx-d-flex vx-flex-wrap month\">\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">January</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">February</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">March</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">April</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">May</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">August</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">September</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">October</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">November</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">December</div></app-cs-checkbox>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-checkbox-list{border-top:1px solid #f1f1f1}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox{border-right:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem}@media screen and (max-width: 1366px){::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox{padding:.75rem .625rem!important}}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox:last-of-type{border-right:none}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item{padding-left:1.5rem!important;position:relative;top:-6px}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item .checkbox,::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item .value{max-width:100%!important;margin:0!important}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox{border-right:1px solid #f1f1f1;border-bottom:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem;width:16.66%}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(6){border-right:none}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(7),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(8),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(9),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(10),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(11),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(12){border-bottom:none}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(12){border-right:none}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item{padding-left:1.5rem!important;position:relative;top:-6px}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item .checkbox,::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item .value{max-width:100%!important;margin:0!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogCheckboxListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-checkbox-list', template: "<div class=\"frequency-dialog-checkbox-list vx-d-flex\" [class.week]=\"id === 1\" [class.vx-align-center]=\"id === 1\" [class.month]=\"id === 2 || id === 4\" [class.vx-flex-wrap]=\"id === 2 || id === 4\">\n    <!-- <div class=\"frequency-dialog-checkbox-list vx-d-flex vx-align-center week\"> -->\n    <!-- <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Monday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Tuesday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Wednesday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Thursday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Friday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Saturday</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">Sunday</div></app-cs-checkbox> -->\n\n    <app-cs-checkbox \n        *ngFor=\"let eachList of listArray; let i = index;\"\n        [id]=\"i\" [value]=\"i\" [ngValue]=\"selectedIndex.includes(i)\" \n        (ngValueChange)=\"selectedCheckbox.emit({checked:$event, index:i})\"\n        [disabled]=\"id === 4 && selectedIndex.length == 2 && !selectedIndex.includes(i)\"\n        >\n        <div class=\"vx-fs-12 vx-label-txt\">{{eachList}}</div>\n    </app-cs-checkbox>\n</div>\n\n<div *ngIf=\"false\" class=\"frequency-dialog-checkbox-list vx-d-flex vx-flex-wrap month\">\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">January</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">February</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">March</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">April</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">May</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">August</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">September</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">October</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">November</div></app-cs-checkbox>\n    <app-cs-checkbox><div class=\"vx-fs-12 vx-label-txt\">December</div></app-cs-checkbox>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-checkbox-list{border-top:1px solid #f1f1f1}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox{border-right:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem}@media screen and (max-width: 1366px){::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox{padding:.75rem .625rem!important}}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox:last-of-type{border-right:none}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item{padding-left:1.5rem!important;position:relative;top:-6px}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item .checkbox,::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .frequency-dialog-checkbox-list.week app-cs-checkbox .checkbox-item .value{max-width:100%!important;margin:0!important}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox{border-right:1px solid #f1f1f1;border-bottom:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem;width:16.66%}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(6){border-right:none}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(7),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(8),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(9),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(10),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(11),::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(12){border-bottom:none}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox:nth-child(12){border-right:none}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item{padding-left:1.5rem!important;position:relative;top:-6px}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item .checkbox,::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .frequency-dialog-checkbox-list.month app-cs-checkbox .checkbox-item .value{max-width:100%!important;margin:0!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { id: [{
                type: Input
            }], listArray: [{
                type: Input
            }], selectedIndex: [{
                type: Input
            }], selectedCheckbox: [{
                type: Output
            }] } });

class FrequencyDialogWeeklyComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.weeklyInterval = '11:00 pm';
        this.weeklyInput = 1;
        this.weeklyWindow = 2;
        this.weeklyLifeCycleStart = this.frequencyService.changeTimeZone(new Date());
        this.weeklyLifeCycleEndTime = new Date(this.weeklyLifeCycleStart.getTime() + 86400000);
        this.weeklyLifecycleOccurance = 10;
        this.selectedWeekly = [
            this.frequencyService.changeTimeZone(new Date())?.getDay() == 0
                ? 6
                : this.frequencyService.changeTimeZone(new Date())?.getDay() - 1,
        ];
        this.weeklyDeactivatedValue = 10;
        this.dayArray = [];
        this.lifecycleDetails = '0000-00-00~~0';
        this.weeklyExtension = 2;
        this.weeklyWindowOpen = 2;
        this.mode = '';
        this.startDate = Math.floor(Date.now() / 1000);
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.dayArray = [...new Set(this.frequencyService.dayName)];
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        if (this.frequencyData?.pattern != '' &&
            parseInt(this.frequencyData?.pattern?.split('~')[0]) === 2) {
            this.populateFrequency();
        }
        this.getWeeklyFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData?.pattern.split('~');
        this.selectedWeekly = patternInfo[1]
            .split(',')
            .map((ele) => Number(ele) - 1);
        this.weeklyInterval = this.frequencyData?.failedTime;
        this.weeklyWindow = this.frequencyData?.window;
        this.weeklyInput = patternInfo[3];
        this.weeklyLifecycleOccurance = Number(patternInfo[3]);
        this.startDate =
            this.frequencyData?.startFrom ?? this.frequencyData?.startDate;
        this.weeklyLifeCycleStart = new Date((this.frequencyData?.startDate ?? this.frequencyData?.startDate) * 1000);
        this.weeklyDeactivatedValue = this.frequencyData?.continuous_failed_days;
        this.weeklyWindowOpen = this.frequencyData?.can_assess_before_days;
        this.weeklyExtension = this.frequencyData?.failed_after_days;
    }
    onTimeChanged(event) {
        this.weeklyInterval = event;
        this.getWeeklyFrequency();
    }
    valueChangedFirst(event) {
        this.weeklyInput = event.value;
        this.getWeeklyFrequency();
    }
    onDaySelected(event) {
        if (event.checked) {
            this.selectedWeekly.push(event.index);
        }
        else {
            this.selectedWeekly = this.selectedWeekly.filter((ele) => ele !== event.index);
        }
        this.getWeeklyFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(this.frequencyService.changeTimeZone(new Date())?.getTime() / 1000 +
            86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.weeklyLifeCycleStart = new Date(this.startDate * 1000);
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getWeeklyFrequency();
    }
    onValueChange(event) {
        if (event.type === 'deactivated') {
            this.weeklyDeactivatedValue = event.value;
        }
        else if (event.type === 'completed') {
            this.weeklyWindow = event.value;
        }
        else {
            // this.weeklyFailed = event.value;
        }
        this.getWeeklyFrequency();
    }
    onWindowOpenChange(event) {
        if (event?.type?.toLowerCase() === 'window open') {
            this.weeklyWindowOpen = event?.value;
        }
        this.getWeeklyFrequency();
    }
    onExtensionChange(event) {
        if (event?.type?.toLowerCase() === 'extension') {
            this.weeklyExtension = event.value;
        }
        this.getWeeklyFrequency();
    }
    getWeeklyFrequency() {
        this.selectedWeekly = this.selectedWeekly.sort((n1, n2) => n1 - n2);
        this.frequencyInfo.placeholder = this.getPlaceholder(Number(this.weeklyInput));
        this.frequencyInfo.pattern =
            2 +
                '~' +
                this.selectedWeekly.map((ele) => ele + 1).join(',') +
                '~' +
                '0' +
                '~' +
                this.weeklyInput;
        this.frequencyInfo.case = 'week';
        this.frequencyInfo.window = this.weeklyWindow;
        this.frequencyInfo.timeIn12hr = this.weeklyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.weeklyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom =
            this.startDate ?? Math.floor(Date.now() / 1000);
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.continuous_failed_days = this.weeklyDeactivatedValue;
        this.frequencyInfo.failed_after_days = this.weeklyExtension;
        this.frequencyInfo.can_assess_before_days = this.weeklyWindowOpen;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getPlaceholder(weeklyInput) {
        let placeholder = '';
        weeklyInput = Number(weeklyInput);
        const selectedDay = this.selectedWeekly.map((ele) => {
            return this.frequencyService.dayName[ele];
        });
        if (weeklyInput === 1) {
            placeholder =
                'Every ' + selectedDay.join(', ') + ' by ' + this.weeklyInterval;
        }
        if (weeklyInput === 2) {
            placeholder =
                'Every alternate ' +
                    selectedDay.join(', ') +
                    ' by ' +
                    this.weeklyInterval;
        }
        if (weeklyInput === 3) {
            placeholder =
                'Every 3rd ' + selectedDay.join(', ') + ' by ' + this.weeklyInterval;
        }
        if (weeklyInput > 3) {
            placeholder =
                'Every ' +
                    this.weeklyInput +
                    'th ' +
                    selectedDay.join(', ') +
                    ' by ' +
                    this.weeklyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogWeeklyComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogWeeklyComponent, selector: "app-frequency-dialog-weekly", inputs: { mode: "mode", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<div class=\"frequency-dialog-weekly\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-weekly-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"1\"\n            [inputTime]=\"weeklyInterval\"\n            [occurrenceFirst]=\"weeklyInput\"\n            [frequencyType]=\"1\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n        ></app-frequency-dialog-top>\n        <app-frequency-dialog-checkbox-list\n            [id]=\"1\"\n            [listArray]=\"dayArray\"\n            [selectedIndex]=\"selectedWeekly\"\n            (selectedCheckbox)=\"onDaySelected($event)\"\n        ></app-frequency-dialog-checkbox-list>\n    </div>\n    <app-frequency-dialog-due-date\n        [id] = '1'\n        [mode]=\"mode\"\n        [pageName]=\"'weekly'\"\n        [deactivateValue]=\"weeklyDeactivatedValue\"\n        [isDeactivated]=\"true\"\n        [assessWindowOpen]=\"weeklyWindowOpen\"\n        [windowCloses]=\"weeklyExtension\"\n        [completedValue]=\"weeklyWindow\"\n        (valueChange)=\"onValueChange($event)\"\n        (windowOpenChange)=\"onWindowOpenChange($event)\"\n        (extensionValueChange)=\"onExtensionChange($event)\"\n    ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-weekly-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"], dependencies: [{ kind: "component", type: FrequencyDialogTopComponent, selector: "app-frequency-dialog-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyDialogDueDateComponent, selector: "app-frequency-dialog-due-date", inputs: ["mode", "completedValue", "deactivateValue", "isDeactivated", "id", "pageName", "windowCloses", "assessWindowOpen"], outputs: ["valueChange", "windowOpenChange", "extensionValueChange"] }, { kind: "component", type: FrequencyDialogCheckboxListComponent, selector: "app-frequency-dialog-checkbox-list", inputs: ["id", "listArray", "selectedIndex"], outputs: ["selectedCheckbox"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogWeeklyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-weekly', template: "<div class=\"frequency-dialog-weekly\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-weekly-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"1\"\n            [inputTime]=\"weeklyInterval\"\n            [occurrenceFirst]=\"weeklyInput\"\n            [frequencyType]=\"1\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n        ></app-frequency-dialog-top>\n        <app-frequency-dialog-checkbox-list\n            [id]=\"1\"\n            [listArray]=\"dayArray\"\n            [selectedIndex]=\"selectedWeekly\"\n            (selectedCheckbox)=\"onDaySelected($event)\"\n        ></app-frequency-dialog-checkbox-list>\n    </div>\n    <app-frequency-dialog-due-date\n        [id] = '1'\n        [mode]=\"mode\"\n        [pageName]=\"'weekly'\"\n        [deactivateValue]=\"weeklyDeactivatedValue\"\n        [isDeactivated]=\"true\"\n        [assessWindowOpen]=\"weeklyWindowOpen\"\n        [windowCloses]=\"weeklyExtension\"\n        [completedValue]=\"weeklyWindow\"\n        (valueChange)=\"onValueChange($event)\"\n        (windowOpenChange)=\"onWindowOpenChange($event)\"\n        (extensionValueChange)=\"onExtensionChange($event)\"\n    ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-weekly-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyDialogMonthlyComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.monthlyInterval = '11:00 pm';
        this.monthlyInput = this.frequencyService.changeTimeZone(new Date())?.getDate();
        this.monthlyFailed = 5;
        this.monthlyWindow = 7;
        this.monthlyLifeCycleStart = this.frequencyService.changeTimeZone(new Date());
        this.monthlyLifeCycleEndTime = new Date(this.monthlyLifeCycleStart.getTime() + 86400000);
        this.monthlyLifecycleOccurance = 10;
        this.monthlySeletedLifecycleType = 2;
        this.selectedMonthly = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11];
        this.monthlyDeactivatedValue = 10;
        this.monthNameArray = [];
        this.shortMonth = [];
        this.lifecycleDetails = '0000-00-00~~0';
        this.monthlyExtension = 5;
        this.monthlyWindowOpen = 7;
        this.mode = '';
        this.startDate = Math.floor(Date.now() / 1000);
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService?.frequencyInfo);
        this.monthNameArray = [...new Set(this.frequencyService?.monthArray)];
        this.shortMonth = this.frequencyService?.monthArray.map((month) => month.substring(0, 3));
        if (this.frequencyData?.pattern != '' &&
            parseInt(this.frequencyData?.pattern.split('~')[0]) === 3) {
            this.populateFrequency();
        }
        this.getMonthlyFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData?.pattern.split('~');
        this.selectedMonthly = patternInfo[2]
            .split(',')
            .map((ele) => Number(ele) - 1);
        this.monthlyInterval = this.frequencyData?.failedTime;
        this.monthlyWindow = this.frequencyData?.window;
        this.monthlyInput = Number(patternInfo[1]);
        this.monthlyLifecycleOccurance = Number(patternInfo[1]);
        this.startDate = this.frequencyData?.startDate;
        this.monthlyLifeCycleStart = new Date(this.frequencyData?.startDate * 1000);
        this.monthlyFailed = this.frequencyData?.failed;
        this.monthlyDeactivatedValue = this.frequencyData?.continuous_failed_days;
        this.lifecycleDetails = this.frequencyData?.lifecycle;
        this.monthlyWindowOpen = this.frequencyData?.can_assess_before_days;
        this.monthlyExtension = this.frequencyData?.failed_after_days;
        if (this.frequencyData?.lifecycle == '0000-00-00~~0') {
            this.monthlySeletedLifecycleType = 2;
        }
        else {
            this.monthlySeletedLifecycleType = 1;
        }
    }
    valueChangedFirst(event) {
        this.monthlyInput = event.value;
        this.getMonthlyFrequency();
    }
    onTimeChanged(event) {
        this.monthlyInterval = event;
        this.getMonthlyFrequency();
    }
    onMonthSelected(event) {
        if (event.checked) {
            this.selectedMonthly.push(event.index);
        }
        else {
            this.selectedMonthly = this.selectedMonthly.filter((ele) => ele !== event.index);
        }
        this.getMonthlyFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(this.frequencyService.changeTimeZone(new Date())?.getTime() / 1000 +
            86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.monthlyLifeCycleStart = new Date(this.startDate * 1000);
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getMonthlyFrequency();
    }
    onValueChange(event) {
        if (event.type === 'deactivated') {
            this.monthlyDeactivatedValue = event.value;
        }
        else if (event.type === 'completed') {
            this.monthlyWindow = event.value;
        }
        else {
            this.monthlyFailed = event.value;
        }
        this.getMonthlyFrequency();
    }
    onWindowOpenChange(event) {
        if (event?.type?.toLowerCase() === 'window open') {
            this.monthlyWindowOpen = event?.value;
        }
        this.getMonthlyFrequency();
    }
    onExtensionChange(event) {
        if (event?.type?.toLowerCase() === 'extension') {
            this.monthlyExtension = event.value;
        }
        this.getMonthlyFrequency();
    }
    getMonthlyFrequency() {
        this.selectedMonthly = this.selectedMonthly.sort((n1, n2) => n1 - n2);
        const monthIndex = this.selectedMonthly.map((ele) => ele + 1);
        this.frequencyInfo.placeholder = this.getFrequencyPlaceholder(Number(this.monthlyInput));
        this.frequencyInfo.pattern =
            3 + '~' + this.monthlyInput + '~' + monthIndex + '~' + '0';
        this.frequencyInfo.case = 'month';
        this.frequencyInfo.failedAfter = this.monthlyFailed;
        this.frequencyInfo.window = this.monthlyWindow;
        this.frequencyInfo.timeIn12hr = this.monthlyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.monthlyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = Math.floor(this.monthlyLifeCycleStart.getTime() / 1000);
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.continuous_failed_days = this.monthlyDeactivatedValue;
        this.frequencyInfo.failed_after_days = this.monthlyExtension;
        this.frequencyInfo.can_assess_before_days = this.monthlyWindowOpen;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getFrequencyPlaceholder(monthlyInput) {
        const selectedMonth = this.selectedMonthly.map((ele) => {
            return this.shortMonth[ele];
        });
        let placeholder = '';
        if (monthlyInput === 1) {
            placeholder =
                '1st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 2) {
            placeholder =
                '2nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 3) {
            placeholder =
                '3rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 21 || monthlyInput === 31) {
            placeholder =
                monthlyInput +
                    'st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 22) {
            placeholder =
                monthlyInput +
                    'nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 23) {
            placeholder =
                monthlyInput +
                    'rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput > 3) {
            placeholder =
                monthlyInput +
                    'th of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogMonthlyComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogMonthlyComponent, selector: "app-frequency-dialog-monthly", inputs: { mode: "mode", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "\n<div class=\"frequency-dialog-monthly\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-monthly-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"2\"\n            [inputTime]=\"monthlyInterval\"\n            [occurrenceFirst]=\"monthlyInput\"\n            [frequencyType]=\"3\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\">\n        </app-frequency-dialog-top>\n        <app-frequency-dialog-checkbox-list\n            [id]=\"2\"\n            [listArray]=\"monthNameArray\"\n            [selectedIndex]=\"selectedMonthly\"\n            (selectedCheckbox)=\"onMonthSelected($event)\">\n        </app-frequency-dialog-checkbox-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [id] = '2'\n      [mode]=\"mode\"\n      [pageName]=\"'monthly'\"\n      [deactivateValue]=\"monthlyDeactivatedValue\"\n      [isDeactivated]=\"true\"\n      [completedValue]=\"monthlyWindow\"\n      [windowCloses]=\"monthlyExtension\"\n      [assessWindowOpen]=\"monthlyWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n   ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-monthly-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"], dependencies: [{ kind: "component", type: FrequencyDialogTopComponent, selector: "app-frequency-dialog-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyDialogDueDateComponent, selector: "app-frequency-dialog-due-date", inputs: ["mode", "completedValue", "deactivateValue", "isDeactivated", "id", "pageName", "windowCloses", "assessWindowOpen"], outputs: ["valueChange", "windowOpenChange", "extensionValueChange"] }, { kind: "component", type: FrequencyDialogCheckboxListComponent, selector: "app-frequency-dialog-checkbox-list", inputs: ["id", "listArray", "selectedIndex"], outputs: ["selectedCheckbox"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogMonthlyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-monthly', template: "\n<div class=\"frequency-dialog-monthly\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-monthly-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"2\"\n            [inputTime]=\"monthlyInterval\"\n            [occurrenceFirst]=\"monthlyInput\"\n            [frequencyType]=\"3\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\">\n        </app-frequency-dialog-top>\n        <app-frequency-dialog-checkbox-list\n            [id]=\"2\"\n            [listArray]=\"monthNameArray\"\n            [selectedIndex]=\"selectedMonthly\"\n            (selectedCheckbox)=\"onMonthSelected($event)\">\n        </app-frequency-dialog-checkbox-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [id] = '2'\n      [mode]=\"mode\"\n      [pageName]=\"'monthly'\"\n      [deactivateValue]=\"monthlyDeactivatedValue\"\n      [isDeactivated]=\"true\"\n      [completedValue]=\"monthlyWindow\"\n      [windowCloses]=\"monthlyExtension\"\n      [assessWindowOpen]=\"monthlyWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n   ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-monthly-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyDialogRadioListComponent {
    constructor() {
        this.radioList = [];
        this.selectedIndex = -1;
        this.name = '';
        this.noAnimation = true;
        this.selectedRadio = new EventEmitter();
    }
    ngOnInit() {
        setTimeout(() => {
            this.noAnimation = false;
        }, 1000);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogRadioListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogRadioListComponent, selector: "app-frequency-dialog-radio-list", inputs: { radioList: "radioList", selectedIndex: "selectedIndex", name: "name" }, outputs: { selectedRadio: "selectedRadio" }, ngImport: i0, template: "<!-- <div class=\"frequency-dialog-radio-list vx-d-flex vx-align-center quarterly\">\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">January, April, July, October</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">February, May, August, November</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">March, June, September, December</div></app-cs-radio>\n</div>\n\n<div *ngIf=\"false\" class=\"frequency-dialog-radio-list vx-d-flex vx-flex-wrap yearly\">\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">January</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">February</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">March</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">April</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">May</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">August</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">September</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">October</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">November</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">December</div></app-cs-radio>\n</div> -->\n\n<div class=\"frequency-dialog-radio-list vx-d-flex \" [class.vx-align-center]=\"name === 'quarter'\" [class.quarterly]=\"name === 'quarter'\" [class.vx-flex-wrap]=\"name === 'annual'\" [class.yearly]=\"name === 'annual'\">\n    <app-cs-radio \n        *ngFor=\"let eachList of radioList; let i = index;\" \n        [id]=\"i\" \n        [value]=\"i\" \n        [name]=\"name\"\n        [checked]=\"(selectedIndex === i)\" \n        (checkedEvent)=\"selectedRadio.emit($event)\">\n        <div class=\"vx-fs-12 vx-label-txt\">{{eachList}}</div>\n    </app-cs-radio>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-radio-list{border-top:1px solid #f1f1f1}::ng-deep .frequency-dialog-radio-list.quarterly app-cs-radio{border-right:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem}::ng-deep .frequency-dialog-radio-list.quarterly app-cs-radio:last-of-type{border-right:none}::ng-deep .frequency-dialog-radio-list.quarterly app-cs-radio .radio-item{position:relative;top:-2px}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio{border-right:1px solid #f1f1f1;border-bottom:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem;width:16.66%}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(6){border-right:none}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(7),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(8),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(9),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(10),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(11),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(12){border-bottom:none}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(12){border-right:none}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio .radio-item{position:relative;top:-2px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogRadioListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-radio-list', template: "<!-- <div class=\"frequency-dialog-radio-list vx-d-flex vx-align-center quarterly\">\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">January, April, July, October</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">February, May, August, November</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">March, June, September, December</div></app-cs-radio>\n</div>\n\n<div *ngIf=\"false\" class=\"frequency-dialog-radio-list vx-d-flex vx-flex-wrap yearly\">\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">January</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">February</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">March</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">April</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">May</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">June</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">August</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">September</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">October</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">November</div></app-cs-radio>\n    <app-cs-radio><div class=\"vx-fs-12 vx-label-txt\">December</div></app-cs-radio>\n</div> -->\n\n<div class=\"frequency-dialog-radio-list vx-d-flex \" [class.vx-align-center]=\"name === 'quarter'\" [class.quarterly]=\"name === 'quarter'\" [class.vx-flex-wrap]=\"name === 'annual'\" [class.yearly]=\"name === 'annual'\">\n    <app-cs-radio \n        *ngFor=\"let eachList of radioList; let i = index;\" \n        [id]=\"i\" \n        [value]=\"i\" \n        [name]=\"name\"\n        [checked]=\"(selectedIndex === i)\" \n        (checkedEvent)=\"selectedRadio.emit($event)\">\n        <div class=\"vx-fs-12 vx-label-txt\">{{eachList}}</div>\n    </app-cs-radio>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-radio-list{border-top:1px solid #f1f1f1}::ng-deep .frequency-dialog-radio-list.quarterly app-cs-radio{border-right:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem}::ng-deep .frequency-dialog-radio-list.quarterly app-cs-radio:last-of-type{border-right:none}::ng-deep .frequency-dialog-radio-list.quarterly app-cs-radio .radio-item{position:relative;top:-2px}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio{border-right:1px solid #f1f1f1;border-bottom:1px solid #f1f1f1;padding:.75rem 1rem .75rem .75rem;height:2.5rem;width:16.66%}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(6){border-right:none}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(7),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(8),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(9),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(10),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(11),::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(12){border-bottom:none}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio:nth-child(12){border-right:none}::ng-deep .frequency-dialog-radio-list.yearly app-cs-radio .radio-item{position:relative;top:-2px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { radioList: [{
                type: Input
            }], selectedIndex: [{
                type: Input
            }], name: [{
                type: Input
            }], selectedRadio: [{
                type: Output
            }] } });

class FrequencyDialogQuarterlyComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.quarterlyInterval = '11:00 pm';
        this.quarterlyInput = this.frequencyService.changeTimeZone(new Date())?.getDate();
        this.quarterlyFailed = 5;
        this.quarterlyWindow = 7;
        this.selectedQuarterly = 1;
        this.quarterlyLifeCycleStart = this.frequencyService.changeTimeZone(new Date());
        this.quarterlyLifeCycleEndTime = new Date(this.quarterlyLifeCycleStart.getTime() + 86400000);
        this.quarterlyLifecycleOccurance = 10;
        this.quarterlySeletedLifecycleType = 2;
        this.quarterlyGroup = [0, 3, 6, 9, 1, 4, 7, 10, 2, 5, 8, 11];
        this.quarterlyArray = [];
        this.quarterlyExtension = 5;
        this.quarterlyWindowOpen = 7;
        this.mode = '';
        this.startDate = Math.floor(Date.now() / 1000);
        this.lifecycleDetails = '0000-00-00~~0';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService?.frequencyInfo);
        this.quarterlyArray = [...new Set(this.frequencyService.quarterlyMonth)];
        const indexOfMonth = this.quarterlyGroup.indexOf(this.frequencyService.changeTimeZone(new Date())?.getMonth());
        this.selectedQuarterly =
            indexOfMonth < 4 ? 0 : indexOfMonth > 3 && indexOfMonth < 8 ? 1 : 2;
        if (this.frequencyData?.pattern != '' &&
            parseInt(this.frequencyData?.pattern?.split('~')[0]) === 7) {
            this.populateFrequency();
        }
        this.getQuarterlyFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData?.pattern.split('~');
        const month = parseInt(patternInfo[2].split(',').map(Number)[0]);
        const index = this.quarterlyGroup.indexOf(month - 1);
        this.selectedQuarterly = index < 4 ? 0 : index > 3 && index < 8 ? 1 : 2;
        this.quarterlyInterval = this.frequencyData?.failedTime;
        this.quarterlyWindow = this.frequencyData?.window;
        this.quarterlyInput = patternInfo[1];
        this.quarterlyLifecycleOccurance = Number(patternInfo[1]);
        this.startDate = this.frequencyData?.startDate;
        this.quarterlyLifeCycleStart = new Date(this.frequencyData?.startDate * 1000);
        this.quarterlyFailed = this.frequencyData?.failed;
        this.lifecycleDetails = this.frequencyData?.lifecycle;
        this.quarterlyWindowOpen = this.frequencyData?.can_assess_before_days;
        this.quarterlyExtension = this.frequencyData?.failed_after_days;
    }
    valueChangedFirst(event) {
        this.quarterlyInput = event.value;
        this.getQuarterlyFrequency();
    }
    onTimeChanged(event) {
        this.quarterlyInterval = event;
        this.getQuarterlyFrequency();
    }
    selectedMonth(event) {
        this.selectedQuarterly = parseInt(event.target.value);
        this.getQuarterlyFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(this.frequencyService.changeTimeZone(new Date())?.getTime() / 1000 +
            86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getQuarterlyFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.quarterlyWindow = event.value;
        }
        else {
            this.quarterlyFailed = event.value;
        }
        this.getQuarterlyFrequency();
    }
    onWindowOpenChange(event) {
        if (event?.type?.toLowerCase() === 'window open') {
            this.quarterlyWindowOpen = event?.value;
        }
        this.getQuarterlyFrequency();
    }
    onExtensionChange(event) {
        if (event?.type?.toLowerCase() === 'extension') {
            this.quarterlyExtension = event.value;
        }
        this.getQuarterlyFrequency();
    }
    getQuarterlyFrequency() {
        let monthSequence = this.selectedQuarterly === 0
            ? this.quarterlyGroup.slice(0, 4)
            : this.selectedQuarterly === 1
                ? this.quarterlyGroup.slice(4, 8)
                : this.quarterlyGroup.slice(8);
        monthSequence = monthSequence.map((ele) => ele + 1);
        this.frequencyInfo.pattern =
            7 + '~' + this.quarterlyInput + '~' + monthSequence + '~' + '0';
        this.frequencyInfo.case = 'quarterly';
        this.frequencyInfo.failedAfter = this.quarterlyFailed;
        this.frequencyInfo.window = this.quarterlyWindow;
        this.frequencyInfo.timeIn12hr = this.quarterlyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.quarterlyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.placeholder = this.getPlaceholder(Number(this.quarterlyInput));
        this.frequencyInfo.failed_after_days = this.quarterlyExtension;
        this.frequencyInfo.can_assess_before_days = this.quarterlyWindowOpen;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getPlaceholder(quarterlyInput) {
        let placeholder = '';
        if (quarterlyInput === 1) {
            placeholder =
                '1st of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 2) {
            placeholder =
                '2nd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 3) {
            placeholder =
                '3rd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 21 || quarterlyInput === 31) {
            placeholder =
                quarterlyInput +
                    'st of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 22) {
            placeholder =
                quarterlyInput +
                    'nd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 23) {
            placeholder =
                quarterlyInput +
                    'rd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput > 3) {
            placeholder =
                quarterlyInput +
                    'th of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogQuarterlyComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogQuarterlyComponent, selector: "app-frequency-dialog-quarterly", inputs: { mode: "mode", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "\n<div class=\"frequency-dialog-quarterly\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-quarterly-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"3\"\n            [inputTime]=\"quarterlyInterval\"\n            [occurrenceFirst]=\"quarterlyInput\"\n            [frequencyType]=\"3\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n        ></app-frequency-dialog-top>\n        <app-frequency-dialog-radio-list></app-frequency-dialog-radio-list>\n        <app-frequency-dialog-radio-list\n            [radioList]=\"quarterlyArray\"\n            [selectedIndex]=\"selectedQuarterly\"\n            (selectedRadio)=\"selectedMonth($event)\"\n            [name]=\"'quarter'\">\n        </app-frequency-dialog-radio-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [id] = '3'\n      [mode]=\"mode\"\n      [pageName]=\"'quarterly'\"\n      [isDeactivated]=\"false\"\n      [completedValue]=\"quarterlyWindow\"\n      [windowCloses]=\"quarterlyExtension\"\n      [assessWindowOpen]=\"quarterlyWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n      ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-quarterly-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"], dependencies: [{ kind: "component", type: FrequencyDialogTopComponent, selector: "app-frequency-dialog-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyDialogDueDateComponent, selector: "app-frequency-dialog-due-date", inputs: ["mode", "completedValue", "deactivateValue", "isDeactivated", "id", "pageName", "windowCloses", "assessWindowOpen"], outputs: ["valueChange", "windowOpenChange", "extensionValueChange"] }, { kind: "component", type: FrequencyDialogRadioListComponent, selector: "app-frequency-dialog-radio-list", inputs: ["radioList", "selectedIndex", "name"], outputs: ["selectedRadio"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogQuarterlyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-quarterly', template: "\n<div class=\"frequency-dialog-quarterly\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-quarterly-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"3\"\n            [inputTime]=\"quarterlyInterval\"\n            [occurrenceFirst]=\"quarterlyInput\"\n            [frequencyType]=\"3\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n        ></app-frequency-dialog-top>\n        <app-frequency-dialog-radio-list></app-frequency-dialog-radio-list>\n        <app-frequency-dialog-radio-list\n            [radioList]=\"quarterlyArray\"\n            [selectedIndex]=\"selectedQuarterly\"\n            (selectedRadio)=\"selectedMonth($event)\"\n            [name]=\"'quarter'\">\n        </app-frequency-dialog-radio-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [id] = '3'\n      [mode]=\"mode\"\n      [pageName]=\"'quarterly'\"\n      [isDeactivated]=\"false\"\n      [completedValue]=\"quarterlyWindow\"\n      [windowCloses]=\"quarterlyExtension\"\n      [assessWindowOpen]=\"quarterlyWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n      ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-quarterly-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyDialogBiannualComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.biannualInterval = '11:00 pm';
        this.biannualInput = this.frequencyService.changeTimeZone(new Date())?.getDate();
        this.biannualFailed = 5;
        this.biannualWindow = 30;
        this.biannualDay = this.frequencyService.changeTimeZone(new Date())?.getDate();
        this.biannualLifeCycleStart = this.frequencyService.changeTimeZone(new Date());
        this.biannualLifeCycleEndTime = new Date(this.biannualLifeCycleStart.getTime() + 86400000);
        this.biannualLifecycleOccurance = 10;
        this.biannualSeletedLifecycleType = 2;
        this.biannualSelected = [];
        this.biannualLifecycle = false;
        this.monthNameArray = [];
        this.shortMonth = [];
        this.selectedMonthly = [];
        this.biannuallyExtension = 5;
        this.biannualWindowOpen = 30;
        this.mode = '';
        this.startDate = Math.floor(Date.now() / 1000);
        this.lifecycleDetails = '0000-00-00~~0';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.monthNameArray = [...new Set(this.frequencyService.monthArray)];
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        if (this.frequencyData?.pattern != '' &&
            parseInt(this.frequencyData?.pattern.split('~')[0]) === 9) {
            this.populateFrequency();
        }
        this.getBiannualFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData?.pattern.split('~');
        this.biannualSelected = patternInfo[2]
            .split(',')
            .map((ele) => Number(ele) - 1);
        this.biannualInterval = this.frequencyData?.failedTime;
        this.biannualWindow = this.frequencyData?.window;
        this.biannualInput = patternInfo[1];
        this.biannualLifecycleOccurance = Number(patternInfo[1]);
        this.biannualLifeCycleStart = new Date(this.frequencyData?.startDate * 1000);
        this.biannualFailed = this.frequencyData?.failed;
        this.lifecycleDetails = this.frequencyData?.lifecycle;
        this.biannualWindowOpen = this.frequencyData?.can_assess_before_days;
        this.biannuallyExtension = this.frequencyData?.failed_after_days;
    }
    onMonthSelected(event) {
        if (event.checked) {
            this.biannualSelected.push(event.index);
        }
        else {
            this.biannualSelected = this.biannualSelected.filter((ele) => ele !== event.index);
        }
        this.getBiannualFrequency();
    }
    valueChangedFirst(event) {
        this.biannualInput = event.value;
        this.getBiannualFrequency();
    }
    onTimeChanged(event) {
        this.biannualInterval = event;
        this.getBiannualFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.biannualWindow = event.value;
        }
        else {
            this.biannualFailed = event.value;
        }
        this.getBiannualFrequency();
    }
    onWindowOpenChange(event) {
        if (event?.type?.toLowerCase() === 'window open') {
            this.biannualWindowOpen = event?.value;
        }
        this.getBiannualFrequency();
    }
    onExtensionChange(event) {
        if (event?.type?.toLowerCase() === 'extension') {
            this.biannuallyExtension = event.value;
        }
        this.getBiannualFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(this.frequencyService.changeTimeZone(new Date())?.getTime() / 1000 +
            86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getBiannualFrequency();
    }
    getBiannualFrequency() {
        this.biannualSelected = this.biannualSelected.sort((n1, n2) => n1 - n2);
        const monthIndex = this.biannualSelected.map((ele) => ele + 1);
        this.frequencyInfo.pattern =
            9 + '~' + this.biannualInput + '~' + monthIndex.join(',') + '~0';
        this.frequencyInfo.case = 'biannual';
        this.frequencyInfo.failedAfter = this.biannualFailed;
        this.frequencyInfo.window = this.biannualWindow;
        this.frequencyInfo.timeIn12hr = this.biannualInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.biannualInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.placeholder = this.getFrequencyPlaceholder(Number(this.biannualInput));
        this.frequencyInfo.failed_after_days = this.biannuallyExtension;
        this.frequencyInfo.can_assess_before_days = this.biannualWindowOpen;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getFrequencyPlaceholder(biannualInput) {
        let placeholder = '';
        const selectedMonth = this.biannualSelected.map((ele) => {
            return this.shortMonth[ele];
        });
        if (biannualInput === 1) {
            placeholder =
                '1st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 2) {
            placeholder =
                '2nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 3) {
            placeholder =
                '3rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 21 || biannualInput === 31) {
            placeholder =
                biannualInput +
                    'st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 22) {
            placeholder =
                biannualInput +
                    'nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 23) {
            placeholder =
                biannualInput +
                    'rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput > 3) {
            placeholder =
                biannualInput +
                    'th of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogBiannualComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogBiannualComponent, selector: "app-frequency-dialog-biannual", inputs: { mode: "mode", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "\n<div class=\"frequency-dialog-biannual\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-biannual-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"4\"\n            [inputTime]=\"biannualInterval\"\n            [occurrenceFirst]=\"biannualInput\"\n            [frequencyType]=\"4\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n        ></app-frequency-dialog-top>\n        <app-frequency-dialog-checkbox-list\n            [id]=\"4\"\n            [listArray]=\"monthNameArray\"\n            [selectedIndex]=\"biannualSelected\"\n            (selectedCheckbox)=\"onMonthSelected($event)\">\n        </app-frequency-dialog-checkbox-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [pageName]=\"'biannual'\"\n      [mode]=\"mode\"\n      [id]=\"4\"\n      [completedValue]=\"biannualWindow\"\n      [windowCloses]=\"biannuallyExtension\"\n      [assessWindowOpen]=\"biannualWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n    ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-biannual-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"], dependencies: [{ kind: "component", type: FrequencyDialogTopComponent, selector: "app-frequency-dialog-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyDialogDueDateComponent, selector: "app-frequency-dialog-due-date", inputs: ["mode", "completedValue", "deactivateValue", "isDeactivated", "id", "pageName", "windowCloses", "assessWindowOpen"], outputs: ["valueChange", "windowOpenChange", "extensionValueChange"] }, { kind: "component", type: FrequencyDialogCheckboxListComponent, selector: "app-frequency-dialog-checkbox-list", inputs: ["id", "listArray", "selectedIndex"], outputs: ["selectedCheckbox"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogBiannualComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-biannual', template: "\n<div class=\"frequency-dialog-biannual\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-biannual-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"4\"\n            [inputTime]=\"biannualInterval\"\n            [occurrenceFirst]=\"biannualInput\"\n            [frequencyType]=\"4\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n        ></app-frequency-dialog-top>\n        <app-frequency-dialog-checkbox-list\n            [id]=\"4\"\n            [listArray]=\"monthNameArray\"\n            [selectedIndex]=\"biannualSelected\"\n            (selectedCheckbox)=\"onMonthSelected($event)\">\n        </app-frequency-dialog-checkbox-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [pageName]=\"'biannual'\"\n      [mode]=\"mode\"\n      [id]=\"4\"\n      [completedValue]=\"biannualWindow\"\n      [windowCloses]=\"biannuallyExtension\"\n      [assessWindowOpen]=\"biannualWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n    ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-biannual-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyDialogAnnualComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.monthList = [];
        this.yearlyInterval = '11:00 pm';
        this.yearlyInput = 1;
        this.yearlyFailed = 5;
        this.yearlyWindow = 30;
        this.yearlyDay = this.frequencyService.changeTimeZone(new Date())?.getDate();
        this.yearlyLifeCycleStart = this.frequencyService.changeTimeZone(new Date());
        this.yearlyLifeCycleEndTime = new Date(this.yearlyLifeCycleStart.getTime() + 86400000);
        this.yearlyLifecycleOccurance = 10;
        this.yearlySeletedLifecycleType = 2;
        this.yearlySelected = this.frequencyService.changeTimeZone(new Date())?.getMonth();
        this.lifecycleDetails = '0000-00-00~~0';
        this.previousStartDate = Math.floor(Date.now() / 1000);
        this.shortMonth = [];
        this.annuallyExtension = 5;
        this.annualWindowOpen = 30;
        this.mode = '';
        this.startDate = Math.floor(Date.now() / 1000);
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.monthList = this.frequencyService.monthArray;
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        if (this.frequencyData?.pattern != '' &&
            parseInt(this.frequencyData?.pattern.split('~')[0]) === 4) {
            this.populateFrequency();
        }
        this.getAnnualFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData?.pattern.split('~').map(Number);
        this.yearlySelected = patternInfo[2] - 1;
        this.yearlyInterval = this.frequencyData?.failedTime;
        this.yearlyWindow = this.frequencyData?.window;
        this.yearlyInput = patternInfo[3];
        this.yearlyDay = patternInfo[1];
        this.yearlyLifecycleOccurance = Number(patternInfo[1]);
        this.yearlyLifeCycleStart = new Date(this.frequencyData?.startDate * 1000);
        this.startDate =
            this.frequencyData?.startFrom ?? this.frequencyData?.startDate;
        this.yearlyFailed = this.frequencyData?.failed;
        this.lifecycleDetails = this.frequencyData?.lifecycle;
        this.annualWindowOpen = this.frequencyData?.can_assess_before_days;
        this.annuallyExtension = this.frequencyData?.failed_after_days;
    }
    onTimeChanged(event) {
        this.yearlyInterval = event;
        this.getAnnualFrequency();
    }
    dateChange(event) {
        this.yearlyDay = event;
        this.getAnnualFrequency();
    }
    valueChangedFirst(event) {
        this.yearlyInput = event.value;
        this.getAnnualFrequency();
    }
    selectedMonth(event) {
        this.yearlySelected = parseInt(event.target.value);
        this.getAnnualFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(this.frequencyService.changeTimeZone(new Date())?.getTime() / 1000 +
            86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getAnnualFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.yearlyWindow = event.value;
        }
        else {
            this.yearlyFailed = event.value;
        }
        this.getAnnualFrequency();
    }
    onWindowOpenChange(event) {
        if (event?.type?.toLowerCase() === 'window open') {
            this.annualWindowOpen = event?.value;
        }
        this.getAnnualFrequency();
    }
    onExtensionChange(event) {
        if (event?.type?.toLowerCase() === 'extension') {
            this.annuallyExtension = event.value;
        }
        this.getAnnualFrequency();
    }
    // frequency pattern and details info
    getAnnualFrequency() {
        this.frequencyInfo.placeholder = this.getFrequencyPlaceholder(Number(this.yearlyInput));
        this.frequencyInfo.pattern =
            4 +
                '~' +
                this.yearlyDay +
                '~' +
                (this.yearlySelected + 1) +
                '~' +
                this.yearlyInput;
        this.frequencyInfo.case = 'yearly';
        this.frequencyInfo.failedAfter = this.yearlyFailed;
        this.frequencyInfo.window = this.yearlyWindow;
        this.frequencyInfo.timeIn12hr = this.yearlyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.yearlyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.failed_after_days = this.annuallyExtension;
        this.frequencyInfo.can_assess_before_days = this.annualWindowOpen;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getFrequencyPlaceholder(yearlyInput) {
        let placeholder = '';
        if (yearlyInput === 1) {
            placeholder = this.getPlaceholderForSt2();
        }
        else {
            placeholder = this.getPlaceholderForGt1();
        }
        return placeholder;
    }
    // if yearlyInput is smaller than 2 then this function will called
    getPlaceholderForSt2() {
        let placeholder = '';
        if (this.yearlyDay === 1) {
            placeholder =
                '1st of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 2) {
            placeholder =
                '2nd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 3) {
            placeholder =
                '3rd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay > 3) {
            placeholder =
                this.yearlyDay +
                    'th of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 31 || this.yearlyDay === 21) {
            placeholder =
                this.yearlyDay +
                    'st of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 22) {
            placeholder =
                this.yearlyDay +
                    'nd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 23) {
            placeholder =
                this.yearlyDay +
                    'rd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        return placeholder;
    }
    // if yearlyInput is greater than 1 then this function will called
    getPlaceholderForGt1() {
        let placeholder = '';
        if (this.yearlyDay === 1) {
            placeholder =
                '1st of ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 2) {
            placeholder =
                '2nd of ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 3) {
            placeholder =
                '3rd of ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay > 3) {
            placeholder =
                this.yearlyDay +
                    'th of ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 31 || this.yearlyDay === 21) {
            placeholder =
                this.yearlyDay +
                    'st of ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 22) {
            placeholder =
                this.yearlyDay +
                    'nd of ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 23) {
            placeholder =
                this.yearlyDay +
                    'rd of ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogAnnualComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogAnnualComponent, selector: "app-frequency-dialog-annual", inputs: { frequencyData: "frequencyData", mode: "mode", startDate: "startDate" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "\n<div class=\"frequency-dialog-annual\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-annual-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"5\"\n            [inputTime]=\"yearlyInterval\"\n            [occurrenceFirst]=\"yearlyInput\"\n            [yearlyDay]=\"yearlyDay\"\n            [frequencyType]=\"2\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n            (yearlyDateChanged)=\"dateChange($event)\">\n        </app-frequency-dialog-top>\n        <app-frequency-dialog-radio-list\n            [radioList]=\"monthList\"\n            [selectedIndex]=\"yearlySelected\"\n            (selectedRadio)=\"selectedMonth($event)\"\n            [name]=\"'annual'\">\n        </app-frequency-dialog-radio-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [pageName]=\"'yearly'\"\n      [mode]=\"mode\"\n      [id]=\"5\"\n      [completedValue]=\"yearlyWindow\"\n      [windowCloses]=\"annuallyExtension\"\n      [assessWindowOpen]=\"annualWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n      >\n    </app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-annual-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"], dependencies: [{ kind: "component", type: FrequencyDialogTopComponent, selector: "app-frequency-dialog-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyDialogDueDateComponent, selector: "app-frequency-dialog-due-date", inputs: ["mode", "completedValue", "deactivateValue", "isDeactivated", "id", "pageName", "windowCloses", "assessWindowOpen"], outputs: ["valueChange", "windowOpenChange", "extensionValueChange"] }, { kind: "component", type: FrequencyDialogRadioListComponent, selector: "app-frequency-dialog-radio-list", inputs: ["radioList", "selectedIndex", "name"], outputs: ["selectedRadio"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogAnnualComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-annual', template: "\n<div class=\"frequency-dialog-annual\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">REASSESSMENT FREQUENCY:</div>\n    <div class=\"frequency-dialog-annual-item vx-mb-5\">\n        <app-frequency-dialog-top\n            [id]=\"5\"\n            [inputTime]=\"yearlyInterval\"\n            [occurrenceFirst]=\"yearlyInput\"\n            [yearlyDay]=\"yearlyDay\"\n            [frequencyType]=\"2\"\n            (timeChanged)=\"onTimeChanged($event)\"\n            (valueChangedFirst)=\"valueChangedFirst($event)\"\n            (yearlyDateChanged)=\"dateChange($event)\">\n        </app-frequency-dialog-top>\n        <app-frequency-dialog-radio-list\n            [radioList]=\"monthList\"\n            [selectedIndex]=\"yearlySelected\"\n            (selectedRadio)=\"selectedMonth($event)\"\n            [name]=\"'annual'\">\n        </app-frequency-dialog-radio-list>\n    </div>\n    <app-frequency-dialog-due-date\n      [pageName]=\"'yearly'\"\n      [mode]=\"mode\"\n      [id]=\"5\"\n      [completedValue]=\"yearlyWindow\"\n      [windowCloses]=\"annuallyExtension\"\n      [assessWindowOpen]=\"annualWindowOpen\"\n      (valueChange)=\"onValueChange($event)\"\n      (windowOpenChange)=\"onWindowOpenChange($event)\"\n      (extensionValueChange)=\"onExtensionChange($event)\"\n      >\n    </app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-annual-item{border-radius:.25rem;border:1px solid #f1f1f1}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { frequencyData: [{
                type: Input
            }], mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyDialogOneTimeComponent {
    constructor(frequencyService, commonService) {
        this.frequencyService = frequencyService;
        this.commonService = commonService;
        this.datepickerOverlay = false;
        this.showDateError = false;
        this.oneTimeFailed = 5;
        this.oneTimeWindow = 15;
        this.oneTimeStartTime = '11:00 pm';
        this.oneTimeSelected = '';
        this.dateConfig = {
            min: '',
        };
        this.todayDate = this.frequencyService.changeTimeZone(new Date()?.setDate(new Date()?.getDate() + 1));
        this.shortMonth = [];
        this.dateObjectData = this.frequencyService.changeTimeZone(new Date()?.setDate(new Date()?.getDate() + 1));
        this.minDate = moment$1(Date.now()).format('YYYY-MM-DD HH:mm:ss')?.split(' ')[0];
        this.oneTimeExtension = 5;
        this.oneTimeWindowOpen = 15;
        this.mode = '';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.dateConfig = this.frequencyService.dateConfig;
        this.dateConfig['min'] = this.formatDate();
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        this.selectedDate = moment$1(this.todayDate);
        if (this.frequencyData?.pattern != '' &&
            this.frequencyData?.pattern.split('~')[0] === '0') {
            this.populateFrequency();
        }
        else {
            this.getOneTimeFrequency();
        }
    }
    formatDate() {
        const newDate = new Date(this.frequencyService.changeTimeZone(new Date().setDate(new Date().getDate() + 1)));
        const day = String(newDate.getDate()).padStart(2, '0');
        const month = String(newDate.getMonth() + 1).padStart(2, '0');
        const year = newDate.getFullYear();
        const formattedDate = `${day}-${month}-${year}`;
        return formattedDate;
    }
    populateFrequency() {
        const patternInfo = this.frequencyData?.pattern.split('~');
        const timeStamp = moment$1(`${patternInfo[3]}-${patternInfo[2]}-${patternInfo[1]} ${this.frequencyData?.failedTime}`, 'DD-MM-YYYY HH:mm a').unix();
        this.todayDate = new Date(timeStamp * 1000);
        this.selectedDate = moment$1(this.todayDate);
        this.oneTimeFailed = this.frequencyData?.failed;
        this.oneTimeWindow = this.frequencyData?.window;
        this.oneTimeStartTime = this.frequencyData?.failedTime;
        this.oneTimeSelected =
            patternInfo[1] + '~' + patternInfo[2] + '~' + patternInfo[3];
        this.dateObjectData = new Date(moment$1(this.oneTimeSelected + ' ' + this.oneTimeStartTime, 'YYYY~MM~DD HH:mm:ss').unix() * 1000);
        this.oneTimeWindowOpen = this.frequencyData?.can_assess_before_days;
        this.oneTimeExtension = this.frequencyData?.failed_after_days;
        this.getOneTimeFrequency();
    }
    openDatePicker() {
        const newDate = dayjs(this.todayDate);
        this.datePicker?.api?.moveCalendarTo(newDate);
        this.datePicker?.api?.open();
        this.datepickerOverlay = true;
    }
    closeDatepicker() {
        this.datePicker?.api?.close();
        this.datepickerOverlay = false;
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.oneTimeWindow = event.value;
        }
        else {
            this.oneTimeFailed = event.value;
        }
        this.closeDatepicker();
        this.getOneTimeFrequency();
    }
    onWindowOpenChange(event) {
        if (event?.type?.toLowerCase() === 'window open') {
            this.oneTimeWindowOpen = event?.value;
        }
        this.getOneTimeFrequency();
    }
    onExtensionChange(event) {
        if (event?.type?.toLowerCase() === 'extension') {
            this.oneTimeExtension = event.value;
        }
        this.getOneTimeFrequency();
    }
    onTimeChanged(event) {
        this.oneTimeStartTime = event.selectedValue;
        if (typeof this.dateObjectData == 'object') {
            this.dateObjectData = moment$1(this.dateObjectData)?.toDate();
        }
        let timeStamp = moment$1(this.dateObjectData.getDate() +
            '-' +
            (this.dateObjectData.getMonth() + 1) +
            '-' +
            this.dateObjectData.getFullYear() +
            ' ' +
            this.oneTimeStartTime, 'DD-MM-YYYY hh:mm a').unix();
        this.oneTimeSelected = moment$1(timeStamp * 1000)
            .format('YYYY~MM~DDTHH:mm:ssZ')
            .split('T')[0];
        this.getOneTimeFrequency();
    }
    dateChange(event) {
        this.selectedDate = event?.date?.$d;
        const newDate = moment$1(this.selectedDate).unix();
        this.dateObjectData = new Date(newDate * 1000);
        this.todayDate = this.dateObjectData;
        let timeStamp = moment$1(this.dateObjectData.getDate() +
            '-' +
            (this.dateObjectData.getMonth() + 1) +
            '-' +
            this.dateObjectData.getFullYear() +
            ' ' +
            this.oneTimeStartTime, 'DD-MM-YYYY hh:mm a').unix();
        const momentDate = moment$1(event?.date?.$d);
        this.oneTimeSelected = momentDate
            .format('YYYY~MM~DDTHH:mm:ssZ')
            .split('T')[0];
        this.getOneTimeFrequency();
    }
    getOneTimeFrequency() {
        if (this.oneTimeSelected !== '') {
            this.todayDate = moment$1(this.todayDate)?.toDate();
        }
        this.selectedDate = moment$1(this.todayDate);
        this.frequencyInfo.placeholder =
            'One Time ' +
                this.todayDate.getDate() +
                ' ' +
                this.shortMonth[this.todayDate.getMonth()] +
                ' ' +
                this.todayDate.getFullYear() +
                ' by ' +
                this.oneTimeStartTime;
        this.frequencyInfo.pattern =
            0 +
                '~' +
                (this.oneTimeSelected === ''
                    ? this.frequencyService
                        .changeTimeZone(new Date()?.setDate(new Date()?.getDate() + 1))
                        ?.getFullYear() +
                        '~' +
                        (this.frequencyService
                            .changeTimeZone(new Date()?.setDate(new Date()?.getDate() + 1))
                            ?.getMonth() +
                            1) +
                        '~' +
                        this.frequencyService
                            .changeTimeZone(new Date()?.setDate(new Date()?.getDate() + 1))
                            ?.getDate()
                    : this.oneTimeSelected);
        this.frequencyInfo.case = 'oneTime';
        this.frequencyInfo.failedAfter = this.oneTimeFailed;
        this.frequencyInfo.window = this.oneTimeWindow;
        this.frequencyInfo.timeIn12hr = this.oneTimeStartTime;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.oneTimeStartTime);
        this.frequencyInfo.failed_time_utc = 0;
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.failed_after_days = this.oneTimeExtension;
        this.frequencyInfo.can_assess_before_days = this.oneTimeWindowOpen;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'frequency-date',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datepickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogOneTimeComponent, deps: [{ token: FrequencyService }, { token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogOneTimeComponent, selector: "app-frequency-dialog-one-time", inputs: { frequencyData: "frequencyData", mode: "mode" }, outputs: { frequencyDetails: "frequencyDetails" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"frequency-dialog-one-time\" *ngIf=\"true\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    REASSESSMENT FREQUENCY:\n  </div>\n  <div\n    class=\"frequency-dialog-one-time-item vx-p-3 vx-d-flex vx-align-center vx-justify-between vx-mb-5\"\n  >\n    <div class=\"date-picker\">\n      <i class=\"icons calendar-icon vx-fs-14 vx-txt-blue\">&#xe92d;</i>\n      <!-- <input class=\"datePicker\" (click)=\"openDatePicker()\" placeholder=\"Select Date\"> -->\n      <input\n        class=\"datePicker\"\n        type=\"text\"\n        [value]=\"todayDate | date : 'dd MMM yyyy'\"\n        [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n        (click)=\"openDatePicker()\"\n        readonly\n        id=\"frequency-date\"\n      />\n      <!-- <dp-date-picker #datePicker placeholder='Select Date' (click)=\"openDatePicker()\" (click)=\"closeDatepicker()\"></dp-date-picker> -->\n      <dp-date-picker\n        #datePicker\n        [id]=\"'start-date-' + 6\"\n        [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n        [(ngModel)]=\"selectedDate\"\n        [config]=\"dateConfig\"\n        (onSelect)=\"\n          openDatePicker();\n          dateChange($event);\n          showDateError = false;\n          datepickerOverlay = false\n        \"\n      >\n      </dp-date-picker>\n      <div\n        class=\"overlay\"\n        (click)=\"closeDatepicker()\"\n        *ngIf=\"datepickerOverlay\"\n      ></div>\n    </div>\n    <div\n      class=\"time-picker vx-d-flex vx-align-center vx-justify-end vx-pr-3\"\n      appPopover\n      (click)=\"timePicker.popover()\"\n      placement=\"right\"\n    >\n      <input\n        type=\"text\"\n        readonly\n        [(ngModel)]=\"oneTimeStartTime\"\n        placeholder=\"Select Time\"\n      />\n      <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n        <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n      </div>\n    </div>\n    <app-popover #timePicker [dontCloseonClick]=\"true\">\n      <app-time-picker\n        [time]=\"oneTimeStartTime\"\n        (onTimeSelection)=\"\n          onTimeChanged($event); timePicker.closePopover('top')\n        \"\n      ></app-time-picker>\n    </app-popover>\n  </div>\n  <app-frequency-dialog-due-date\n    [id]=\"6\"\n    [mode]=\"mode\"\n    [pageName]=\"'one-time'\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"oneTimeWindow\"\n    [windowCloses]=\"oneTimeExtension\"\n    [assessWindowOpen]=\"oneTimeWindowOpen\"\n    (valueChange)=\"onValueChange($event)\"\n    (windowOpenChange)=\"onWindowOpenChange($event)\"\n    (extensionValueChange)=\"onExtensionChange($event)\"\n  ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-one-time-item{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-dialog-one-time-item .date-picker{position:relative;width:calc(100% - 6.75rem)}::ng-deep .frequency-dialog-one-time-item .date-picker .calendar-icon{position:absolute;left:.75rem;top:9px;pointer-events:none;z-index:1}::ng-deep .frequency-dialog-one-time-item .date-picker input{border-radius:.25rem;border:1px solid #dbdbdb;color:#161b2f;font-size:13px;font-weight:400;padding:0 .5rem 0 2.25rem;height:2rem;width:100%;cursor:pointer;outline:none}::ng-deep .frequency-dialog-one-time-item .date-picker input::placeholder{color:#161b2f}::ng-deep .frequency-dialog-one-time-item .time-picker{border-radius:.25rem;border:1px solid #dbdbdb;height:2rem;width:6.25rem;position:relative}::ng-deep .frequency-dialog-one-time-item .time-picker input{background:transparent;border-radius:0;border:none;color:#161b2f;font-size:13px;margin:0!important;padding:0 0 0 .75rem;position:absolute;top:0;left:0;height:100%;width:100%;cursor:pointer}::ng-deep .frequency-dialog-one-time-item .time-picker input::placeholder{color:#161b2f}::ng-deep .frequency-dialog-one-time-item .time-picker input:focus{outline:none}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "component", type: TimePickerComponent, selector: "app-time-picker", inputs: ["time"], outputs: ["onTimeSelection"] }, { kind: "component", type: FrequencyDialogDueDateComponent, selector: "app-frequency-dialog-due-date", inputs: ["mode", "completedValue", "deactivateValue", "isDeactivated", "id", "pageName", "windowCloses", "assessWindowOpen"], outputs: ["valueChange", "windowOpenChange", "extensionValueChange"] }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogOneTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-one-time', template: "<div class=\"frequency-dialog-one-time\" *ngIf=\"true\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    REASSESSMENT FREQUENCY:\n  </div>\n  <div\n    class=\"frequency-dialog-one-time-item vx-p-3 vx-d-flex vx-align-center vx-justify-between vx-mb-5\"\n  >\n    <div class=\"date-picker\">\n      <i class=\"icons calendar-icon vx-fs-14 vx-txt-blue\">&#xe92d;</i>\n      <!-- <input class=\"datePicker\" (click)=\"openDatePicker()\" placeholder=\"Select Date\"> -->\n      <input\n        class=\"datePicker\"\n        type=\"text\"\n        [value]=\"todayDate | date : 'dd MMM yyyy'\"\n        [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n        (click)=\"openDatePicker()\"\n        readonly\n        id=\"frequency-date\"\n      />\n      <!-- <dp-date-picker #datePicker placeholder='Select Date' (click)=\"openDatePicker()\" (click)=\"closeDatepicker()\"></dp-date-picker> -->\n      <dp-date-picker\n        #datePicker\n        [id]=\"'start-date-' + 6\"\n        [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n        [(ngModel)]=\"selectedDate\"\n        [config]=\"dateConfig\"\n        (onSelect)=\"\n          openDatePicker();\n          dateChange($event);\n          showDateError = false;\n          datepickerOverlay = false\n        \"\n      >\n      </dp-date-picker>\n      <div\n        class=\"overlay\"\n        (click)=\"closeDatepicker()\"\n        *ngIf=\"datepickerOverlay\"\n      ></div>\n    </div>\n    <div\n      class=\"time-picker vx-d-flex vx-align-center vx-justify-end vx-pr-3\"\n      appPopover\n      (click)=\"timePicker.popover()\"\n      placement=\"right\"\n    >\n      <input\n        type=\"text\"\n        readonly\n        [(ngModel)]=\"oneTimeStartTime\"\n        placeholder=\"Select Time\"\n      />\n      <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n        <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n      </div>\n    </div>\n    <app-popover #timePicker [dontCloseonClick]=\"true\">\n      <app-time-picker\n        [time]=\"oneTimeStartTime\"\n        (onTimeSelection)=\"\n          onTimeChanged($event); timePicker.closePopover('top')\n        \"\n      ></app-time-picker>\n    </app-popover>\n  </div>\n  <app-frequency-dialog-due-date\n    [id]=\"6\"\n    [mode]=\"mode\"\n    [pageName]=\"'one-time'\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"oneTimeWindow\"\n    [windowCloses]=\"oneTimeExtension\"\n    [assessWindowOpen]=\"oneTimeWindowOpen\"\n    (valueChange)=\"onValueChange($event)\"\n    (windowOpenChange)=\"onWindowOpenChange($event)\"\n    (extensionValueChange)=\"onExtensionChange($event)\"\n  ></app-frequency-dialog-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog-one-time-item{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-dialog-one-time-item .date-picker{position:relative;width:calc(100% - 6.75rem)}::ng-deep .frequency-dialog-one-time-item .date-picker .calendar-icon{position:absolute;left:.75rem;top:9px;pointer-events:none;z-index:1}::ng-deep .frequency-dialog-one-time-item .date-picker input{border-radius:.25rem;border:1px solid #dbdbdb;color:#161b2f;font-size:13px;font-weight:400;padding:0 .5rem 0 2.25rem;height:2rem;width:100%;cursor:pointer;outline:none}::ng-deep .frequency-dialog-one-time-item .date-picker input::placeholder{color:#161b2f}::ng-deep .frequency-dialog-one-time-item .time-picker{border-radius:.25rem;border:1px solid #dbdbdb;height:2rem;width:6.25rem;position:relative}::ng-deep .frequency-dialog-one-time-item .time-picker input{background:transparent;border-radius:0;border:none;color:#161b2f;font-size:13px;margin:0!important;padding:0 0 0 .75rem;position:absolute;top:0;left:0;height:100%;width:100%;cursor:pointer}::ng-deep .frequency-dialog-one-time-item .time-picker input::placeholder{color:#161b2f}::ng-deep .frequency-dialog-one-time-item .time-picker input:focus{outline:none}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }, { type: CommonService }]; }, propDecorators: { datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], frequencyData: [{
                type: Input
            }], mode: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class FrequencyDialogContainerComponent {
    set getFrequencyDetails(frequency) {
        this.frequencyDetails['pattern'] = frequency?.frequency;
        this.frequencyDetails['window'] = frequency?.remind_before_days;
        this.frequencyDetails['failedTime'] = frequency?.frequency_time;
        this.frequencyDetails['failed_after_days'] = frequency?.failed_after_days;
        this.frequencyDetails['can_assess_before_days'] =
            frequency?.can_assess_before_days;
    }
    constructor(frequencyService, snackbar) {
        this.frequencyService = frequencyService;
        this.snackbar = snackbar;
        this.currentTab = 'WEEKLY';
        this.frequencyDetails = {
            pattern: '',
            window: 0,
            timeIn12hr: '',
            can_assess_before_days: 0,
            failed_after_days: 0,
        };
        this.isNextDisabled = false;
        this.frequencyTab = 'weekly';
        this.currentTabName = 'a weekly';
        this.frequencyList = [
            {
                name: 'Daily',
                type: 'daily',
            },
            {
                name: 'Weekly',
                type: 'weekly',
            },
            {
                name: 'Monthly',
                type: 'monthly',
            },
            {
                name: 'Quarterly',
                type: 'quarterly',
            },
            {
                name: 'Biannual',
                type: 'biannual',
            },
            {
                name: 'Annual',
                type: 'annual',
            },
            {
                name: 'One Time',
                type: 'oneTime',
            },
            {
                name: 'Random',
                type: 'random',
            },
            {
                name: 'On Completion Of',
                type: 'onCompletionOf',
            },
            {
                name: 'Ongoing',
                type: 'ongoing',
            },
        ];
        this.mode = '';
        this.selectedFrequency = new EventEmitter();
        this.closeFrequency = new EventEmitter();
    }
    ngOnInit() {
        if (this.frequencyDetails?.pattern != '') {
            this.populateFrequency();
        }
    }
    ngOnChanges() {
        this.selectedFrequencyData = Object.assign({ ...this.frequencyDetails });
        this.frequencyData = Object.assign({ ...this.frequencyDetails });
    }
    close() {
        this.closeFrequency.emit();
    }
    onFrequencySelected(event) {
        this.frequencyData = event;
        this.isNextDisabled = this.isInvalid();
    }
    populateFrequency() {
        const frequencyPattern = parseInt(this.frequencyDetails?.pattern.split('~')[0]);
        switch (frequencyPattern) {
            case 0:
                this.frequencyTab = 'oneTime';
                this.currentTabName = 'a one time';
                break;
            case 1:
                this.frequencyTab = 'daily';
                this.currentTabName = 'a daily';
                break;
            case 2:
                this.frequencyTab = 'weekly';
                this.currentTabName = 'a weekly';
                break;
            case 3:
                this.frequencyTab = 'monthly';
                this.currentTabName = 'a monthly';
                break;
            case 4:
                this.frequencyTab = 'annual';
                this.currentTabName = 'an annual ';
                break;
            case 5:
                this.frequencyTab = 'daily';
                this.currentTabName = 'a daily';
                break;
            case 6:
                this.frequencyTab = 'onCompletionOf';
                this.currentTabName = 'an on completion of';
                this.frequencyData.report_id = this.frequencyDetails.selectedReport;
                break;
            case 7:
                this.frequencyTab = 'quarterly';
                this.currentTabName = 'a quarterly';
                break;
            case 8:
                this.frequencyTab = 'random';
                this.currentTabName = 'a random';
                break;
            case 9:
                this.frequencyTab = 'biannual';
                this.currentTabName = 'a biannual';
                break;
            case 10:
                this.frequencyTab = 'ongoing';
                this.currentTabName = 'an ongoing';
                break;
        }
        this.isNextDisabled = false;
    }
    switchTab(frequency) {
        this.frequencyTab = frequency;
        if (frequency == 'oneTime') {
            this.currentTabName = 'a one time';
        }
        else {
            this.currentTabName =
                frequency.startsWith('On') || frequency.toLowerCase() === 'annual'
                    ? 'an ' + frequency
                    : 'a ' + frequency;
        }
    }
    isInvalid() {
        let isInvalid = false;
        const frequencyDetails = this.frequencyData?.pattern?.split('~');
        switch (this.frequencyTab) {
            case 'daily':
                if (this.frequencyData.continuous_failed_days < 2) {
                    this.snackbar.show('Input value should be greater than 1.', 'alert');
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                    this.isNextDisabled = false;
                }
                break;
            case 'weekly':
                if (this.frequencyData.continuous_failed_days < 2) {
                    this.snackbar.show('Input value should be greater than 1.', 'alert');
                    isInvalid = true;
                    break;
                }
                else {
                    isInvalid = false;
                    this.isNextDisabled = false;
                }
                if (frequencyDetails[1] == '' ||
                    !frequencyDetails[1] ||
                    frequencyDetails.length < 4) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            case 'monthly':
                if (this.frequencyData.continuous_failed_days < 2) {
                    this.snackbar.show('Input value should be greater than 1.', 'alert');
                    isInvalid = true;
                    break;
                }
                else {
                    isInvalid = false;
                    this.isNextDisabled = false;
                }
                if (frequencyDetails[2] == '' ||
                    !frequencyDetails[2] ||
                    frequencyDetails.length < 4) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            case 'biannual':
                if (frequencyDetails.length === 0 ||
                    frequencyDetails[2] === '' ||
                    frequencyDetails[2].split(',')?.length < 2) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            case 'oneTime':
                if (frequencyDetails?.length > 0) {
                    const selectedTime = moment$1(`${frequencyDetails[3]}-${frequencyDetails[2]}-${frequencyDetails[1]} ${this.frequencyData.timeIn12hr}`, 'DD-MM-YYYY HH:mm a').unix();
                    if (this.frequencyService.changeTimeZone(new Date())?.getTime() / 1000 >
                        selectedTime) {
                        this.snackbar.show('Please set a future date.', 'alert');
                        isInvalid = true;
                        break;
                    }
                    else {
                        isInvalid = false;
                        this.isNextDisabled = false;
                    }
                }
                else {
                    isInvalid = true;
                }
                break;
            case 'onCompletionOf':
                if (this.frequencyData.reportId > 0) {
                    isInvalid = false;
                }
                else {
                    isInvalid = true;
                }
                break;
            case 'random':
                if (parseInt(frequencyDetails[1]) == 2 &&
                    (frequencyDetails[2] == '' ||
                        !frequencyDetails[2] ||
                        frequencyDetails.length < 4)) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            default:
                isInvalid = false;
        }
        return isInvalid;
    }
    save() {
        let frequency_details = {
            frequency: this.frequencyData?.pattern,
            started_at: this.frequencyService?.changeTimeZone(new Date())
                ? moment$1(this.frequencyService?.changeTimeZone(new Date()))?.format('YYYY-MM-DD')
                : moment$1().format('YYYY-MM-DD'),
            frequency_time: this.frequencyData?.timeIn12hr,
            remind_before_days: this.frequencyData?.window,
            placeholder: this.frequencyData?.placeholder,
            failed_after_days: this.frequencyData?.failed_after_days,
            can_assess_before_days: this.frequencyData?.can_assess_before_days,
        };
        this.selectedFrequency.emit(frequency_details);
        this.closeFrequency.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogContainerComponent, deps: [{ token: FrequencyService }, { token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDialogContainerComponent, selector: "app-frequency-dialog-container", inputs: { mode: "mode", getFrequencyDetails: ["frequencyDetails", "getFrequencyDetails"] }, outputs: { selectedFrequency: "selectedFrequency", closeFrequency: "closeFrequency" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"risk-frequency-dialog\">\n    <div class=\"risk-frequency-dialog-head vx-p-3 vx-mb-4 vx-d-flex vx-align-center vx-justify-between\">\n        <div class=\"risk-frequency-dialog-title vx-fs-14 vx-fw-500 vx-label-txt\">Set a Reassessment Frequency</div>\n    </div>\n    <div class=\"risk-frequency-dialog-body vx-pl-4 vx-pr-4\">\n        <div class=\"risk-frequency-dialog-body-inner\">\n            <div class=\"risk-frequency-dialog-tab vx-d-flex vx-align-center\">\n                <button (click)=\"switchTab('weekly')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'weekly'\">WEEKLY</button>\n                <button (click)=\"switchTab('monthly')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'monthly'\">MONTHLY</button>\n                <button (click)=\"switchTab('quarterly')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'quarterly'\">QUARTERLY</button>\n                <button (click)=\"switchTab('biannual')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'biannual'\">BIANNUAL</button>\n                <button (click)=\"switchTab('annual')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'annual'\">ANNUAL</button>\n                <button (click)=\"switchTab('oneTime')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'oneTime'\">ONE TIME</button>\n            </div>\n\n            <div class=\"risk-frequency-dialog-container vx-pl-4 vx-pr-4\">\n                <!-- <app-frequency-dialog-weekly *ngIf=\"frequencyTab === 'WEEKLY'\"></app-frequency-dialog-weekly> -->\n                <app-frequency-dialog-weekly *ngIf=\"frequencyTab === 'weekly'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\"\n                ></app-frequency-dialog-weekly>\n                <!-- <app-frequency-dialog-monthly *ngIf=\"frequencyTab === 'MONTHLY'\"></app-frequency-dialog-monthly> -->\n                <app-frequency-dialog-monthly *ngIf=\"frequencyTab === 'monthly'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-monthly>\n                <!-- <app-frequency-dialog-quarterly *ngIf=\"frequencyTab === 'QUARTERLY'\"></app-frequency-dialog-quarterly>\n                <app-frequency-dialog-biannual *ngIf=\"frequencyTab === 'BIANNUAL'\"></app-frequency-dialog-biannual>\n                <app-frequency-dialog-annual *ngIf=\"frequencyTab === 'ANNUAL'\"></app-frequency-dialog-annual>\n                <app-frequency-dialog-one-time *ngIf=\"frequencyTab === 'ONETIME'\"></app-frequency-dialog-one-time> -->\n                <app-frequency-dialog-quarterly \n                    *ngIf=\"frequencyTab === 'quarterly'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-quarterly>\n                <app-frequency-dialog-biannual \n                    *ngIf=\"frequencyTab === 'biannual'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-biannual>\n                <app-frequency-dialog-annual \n                    *ngIf=\"frequencyTab === 'annual'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-annual>\n                <app-frequency-dialog-one-time \n                    *ngIf=\"frequencyTab === 'oneTime'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-one-time>\n            </div>\n        </div>\n    </div>\n    <div class=\"risk-frequency-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\">\n        <div class=\"vx-fs-12 vx-paragraph-txt\">You have selected <span class=\"vx-fw-500 vx-label-txt\">{{currentTabName}}</span> frequency.</div>\n        <div class=\"vx-d-flex vx-align-center\">\n            <button class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" (click)=\"close()\">CANCEL</button>\n            <button class=\"next-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-3 vx-d-flex vx-align-center vx-lh-6\" [class.disabled]=\"isNextDisabled\" (click)=\"save()\">NEXT <i class=\"icons vx-fs-11 vx-ml-2\">&#xe91e;</i></button>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .risk-frequency-dialog{position:fixed;top:0;right:31.25rem;bottom:0;left:0;z-index:11}::ng-deep .risk-frequency-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}@media screen and (max-width: 1280px){::ng-deep .risk-frequency-dialog{right:30px}}::ng-deep .risk-frequency-dialog-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .risk-frequency-dialog-body{height:calc(100vh - 9.75rem);margin:0 auto 1rem;overflow:hidden;overflow-y:auto;width:calc(100% - 2.5rem)}::ng-deep .risk-frequency-dialog-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .risk-frequency-dialog-body-inner{width:54.5rem;margin:0 auto}@media screen and (min-width: 1366px){::ng-deep .risk-frequency-dialog-body-inner{width:auto}}::ng-deep .risk-frequency-dialog-tab{border-bottom:1px solid #f1f1f1;margin-bottom:1.5rem}::ng-deep .risk-frequency-dialog-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.125rem solid transparent;margin-right:1.75rem!important}::ng-deep .risk-frequency-dialog-tab button.active.tab-btn{color:#1e5dd3;border-color:#1e5dd3}::ng-deep .risk-frequency-dialog-footer{background:#fff;border-radius:.25rem;box-shadow:0 6px 12px #4681ef26;height:3rem;margin:0 2rem}::ng-deep .risk-frequency-dialog-footer button{border-radius:.125rem;border:none}::ng-deep .risk-frequency-dialog-footer button.cancel-btn{background:transparent}::ng-deep .risk-frequency-dialog-footer button.next-btn{background:#1e5dd3}::ng-deep .risk-frequency-dialog-footer button.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: FrequencyDialogWeeklyComponent, selector: "app-frequency-dialog-weekly", inputs: ["mode", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyDialogMonthlyComponent, selector: "app-frequency-dialog-monthly", inputs: ["mode", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyDialogQuarterlyComponent, selector: "app-frequency-dialog-quarterly", inputs: ["mode", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyDialogBiannualComponent, selector: "app-frequency-dialog-biannual", inputs: ["mode", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyDialogAnnualComponent, selector: "app-frequency-dialog-annual", inputs: ["frequencyData", "mode", "startDate"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyDialogOneTimeComponent, selector: "app-frequency-dialog-one-time", inputs: ["frequencyData", "mode"], outputs: ["frequencyDetails"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDialogContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-dialog-container', template: "<div class=\"risk-frequency-dialog\">\n    <div class=\"risk-frequency-dialog-head vx-p-3 vx-mb-4 vx-d-flex vx-align-center vx-justify-between\">\n        <div class=\"risk-frequency-dialog-title vx-fs-14 vx-fw-500 vx-label-txt\">Set a Reassessment Frequency</div>\n    </div>\n    <div class=\"risk-frequency-dialog-body vx-pl-4 vx-pr-4\">\n        <div class=\"risk-frequency-dialog-body-inner\">\n            <div class=\"risk-frequency-dialog-tab vx-d-flex vx-align-center\">\n                <button (click)=\"switchTab('weekly')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'weekly'\">WEEKLY</button>\n                <button (click)=\"switchTab('monthly')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'monthly'\">MONTHLY</button>\n                <button (click)=\"switchTab('quarterly')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'quarterly'\">QUARTERLY</button>\n                <button (click)=\"switchTab('biannual')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'biannual'\">BIANNUAL</button>\n                <button (click)=\"switchTab('annual')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'annual'\">ANNUAL</button>\n                <button (click)=\"switchTab('oneTime')\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" [class.active]=\"frequencyTab === 'oneTime'\">ONE TIME</button>\n            </div>\n\n            <div class=\"risk-frequency-dialog-container vx-pl-4 vx-pr-4\">\n                <!-- <app-frequency-dialog-weekly *ngIf=\"frequencyTab === 'WEEKLY'\"></app-frequency-dialog-weekly> -->\n                <app-frequency-dialog-weekly *ngIf=\"frequencyTab === 'weekly'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\"\n                ></app-frequency-dialog-weekly>\n                <!-- <app-frequency-dialog-monthly *ngIf=\"frequencyTab === 'MONTHLY'\"></app-frequency-dialog-monthly> -->\n                <app-frequency-dialog-monthly *ngIf=\"frequencyTab === 'monthly'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-monthly>\n                <!-- <app-frequency-dialog-quarterly *ngIf=\"frequencyTab === 'QUARTERLY'\"></app-frequency-dialog-quarterly>\n                <app-frequency-dialog-biannual *ngIf=\"frequencyTab === 'BIANNUAL'\"></app-frequency-dialog-biannual>\n                <app-frequency-dialog-annual *ngIf=\"frequencyTab === 'ANNUAL'\"></app-frequency-dialog-annual>\n                <app-frequency-dialog-one-time *ngIf=\"frequencyTab === 'ONETIME'\"></app-frequency-dialog-one-time> -->\n                <app-frequency-dialog-quarterly \n                    *ngIf=\"frequencyTab === 'quarterly'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-quarterly>\n                <app-frequency-dialog-biannual \n                    *ngIf=\"frequencyTab === 'biannual'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-biannual>\n                <app-frequency-dialog-annual \n                    *ngIf=\"frequencyTab === 'annual'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-annual>\n                <app-frequency-dialog-one-time \n                    *ngIf=\"frequencyTab === 'oneTime'\"\n                    [mode]=\"mode\"\n                    (frequencyDetails)=\"onFrequencySelected($event)\"\n                    [frequencyData]=\"frequencyDetails\">\n                </app-frequency-dialog-one-time>\n            </div>\n        </div>\n    </div>\n    <div class=\"risk-frequency-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\">\n        <div class=\"vx-fs-12 vx-paragraph-txt\">You have selected <span class=\"vx-fw-500 vx-label-txt\">{{currentTabName}}</span> frequency.</div>\n        <div class=\"vx-d-flex vx-align-center\">\n            <button class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-lh-6\" (click)=\"close()\">CANCEL</button>\n            <button class=\"next-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-3 vx-d-flex vx-align-center vx-lh-6\" [class.disabled]=\"isNextDisabled\" (click)=\"save()\">NEXT <i class=\"icons vx-fs-11 vx-ml-2\">&#xe91e;</i></button>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .risk-frequency-dialog{position:fixed;top:0;right:31.25rem;bottom:0;left:0;z-index:11}::ng-deep .risk-frequency-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}@media screen and (max-width: 1280px){::ng-deep .risk-frequency-dialog{right:30px}}::ng-deep .risk-frequency-dialog-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .risk-frequency-dialog-body{height:calc(100vh - 9.75rem);margin:0 auto 1rem;overflow:hidden;overflow-y:auto;width:calc(100% - 2.5rem)}::ng-deep .risk-frequency-dialog-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .risk-frequency-dialog-body-inner{width:54.5rem;margin:0 auto}@media screen and (min-width: 1366px){::ng-deep .risk-frequency-dialog-body-inner{width:auto}}::ng-deep .risk-frequency-dialog-tab{border-bottom:1px solid #f1f1f1;margin-bottom:1.5rem}::ng-deep .risk-frequency-dialog-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.125rem solid transparent;margin-right:1.75rem!important}::ng-deep .risk-frequency-dialog-tab button.active.tab-btn{color:#1e5dd3;border-color:#1e5dd3}::ng-deep .risk-frequency-dialog-footer{background:#fff;border-radius:.25rem;box-shadow:0 6px 12px #4681ef26;height:3rem;margin:0 2rem}::ng-deep .risk-frequency-dialog-footer button{border-radius:.125rem;border:none}::ng-deep .risk-frequency-dialog-footer button.cancel-btn{background:transparent}::ng-deep .risk-frequency-dialog-footer button.next-btn{background:#1e5dd3}::ng-deep .risk-frequency-dialog-footer button.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }, { type: SnackBarService }]; }, propDecorators: { mode: [{
                type: Input
            }], getFrequencyDetails: [{
                type: Input,
                args: ['frequencyDetails']
            }], selectedFrequency: [{
                type: Output
            }], closeFrequency: [{
                type: Output
            }] } });

class RefDisconnectPipe {
    transform(value, ...args) {
        return cloneDeep(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RefDisconnectPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: RefDisconnectPipe, name: "refDisconnect" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RefDisconnectPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'refDisconnect'
                }]
        }] });

class SpaceTrimPipe {
    transform(value, ...args) {
        let text = value;
        return text?.replace(/\&nbsp;/g, '').trim();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SpaceTrimPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SpaceTrimPipe, name: "spaceTrim", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SpaceTrimPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'spaceTrim',
                    pure: false
                }]
        }] });

class WorkflowRiskComponent {
    constructor(riskService, authService, uiKitService, snackBar, frequencyService, grcService, organizationCommonService, iframeService, config) {
        this.riskService = riskService;
        this.authService = authService;
        this.uiKitService = uiKitService;
        this.snackBar = snackBar;
        this.frequencyService = frequencyService;
        this.grcService = grcService;
        this.organizationCommonService = organizationCommonService;
        this.iframeService = iframeService;
        this.ASSETS = ASSETS;
        this.GRC_TYPE_ARRAY = GRC_TYPE_ARRAY;
        this.responsibilityCentersList = [];
        this.selectedResponsibilityCenters = [];
        this.mitigationDetails = [];
        this.ownersList = [];
        this.nonRemovableUsersList = [];
        this.smileyMessage = `You're All Set!`;
        this.actionButtons = [
            { buttonText: 'Add More Risks', class: 'white-btn', id: 'addMore' },
            { buttonText: 'View Risk', class: 'blue-btn', id: 'viewRisks' },
        ];
        this.sideSelectorElements = [
            'rc',
            'owner',
            'overseer',
            'category',
            'frequency',
        ];
        this.showSmiley = false;
        this.mode = 'EDIT';
        this.riskId = '';
        this.defaultRiskType = 'NORMAL';
        this.moveToRegisterMode = '';
        this.secondaryOpenPortal = '';
        this.showConfirmationAlert = new EventEmitter();
        this.pickerChanged = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.refreshForm = new EventEmitter();
        this.hideElementsFromMoreOptions = new EventEmitter();
        this.rcSelected = new EventEmitter();
        this.openedFrom = '';
        this.scrollToBottom = false;
        this.categoryList = {
            strategic: {
                name: 'STRATEGIC',
                data: [],
            },
            operational: {
                name: 'OPERATIONAL',
                data: [],
            },
            compliance: {
                name: 'COMPLIANCE',
                data: [],
            },
            others: {
                name: 'OTHERS',
                data: [],
            },
        };
        this.overseersList = [];
        this.overseersGroupList = [];
        this.adminsList = [];
        this.overseersIdList = [];
        this.riskNameFocus = false;
        this.assessmentFocus = false;
        this.riskTypeChangeAllowed = false;
        this.riskForm = {
            riskType: 'NORMAL',
            title: '',
            description: '',
            responsibilityCentersList: [],
            ownersList: [],
            groupsList: [],
            category: {
                type: 'strategic',
                selectedCategory: '',
            },
            categoryCustomTags: [],
            overseersList: [],
            overseersGroupList: [],
            mitigation: 0,
            assessment_deadline_days: 0,
            head_ids: [],
            addRiskOwner: false,
            addOverseer: false,
            addMitigation: false,
            addMitigationPlan: false,
            mitigationDescriptionPlan: '',
            frequency_details: {
                frequency: '',
                started_at: '',
                frequency_time: '',
                remind_before_days: 0,
            },
            addRiskLabel: false,
            riskLabelValue: 1,
            enableAllFutureBusinessCycle: true,
            GRC: false,
            selectedGRCObjects: [],
            risk_owner: '',
        };
        this.apiUrl = '';
        this.memberId = 0;
        this.organizationId = 0;
        this.usersListLoaded = false;
        this.adminsListLoaded = false;
        this.categoryListLoaded = false;
        this.rcListLoaded = false;
        this.submitted = false;
        this.frequencyDetails = {
            frequency: '',
            started_at: '',
            frequency_time: '',
            remind_before_days: 0,
            failed_after_days: 0,
            can_assess_before_days: 0,
        };
        this.frequencyPlaceholder = 'Set a Reassessment Frequency';
        this.shortMonth = [];
        this.loader = false;
        this.activeSelector = '';
        this.currentTimeStamp = Math.round(Date.now() / 1000);
        this.featureflag_groups = false;
        this.groupsList = [];
        this.otherGRCCard = JSON.parse(JSON.stringify(OTHER_GRC_CARD));
        /* Creating an array for risk label with it's value. */
        this.riskLabelList = [
            { name: 'Newly Identified Risk', value: 1 },
            { name: 'Rapidly Changing Risk', value: 2 },
        ];
        this.grcLoader = false;
        this.selectedGRCTab = 0;
        this.grcDataWithTypes = {
            assets: [],
            processes: [],
            vendors: [],
            inventory: [],
        };
        this.grcSearchString = '';
        this.grcTabLoader = false;
        this.settingLoader = false;
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add a description for this risk',
        };
        this.mitigationDescriptionPlan = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Describe the recommended mitigation plans',
        };
        this.timezone = this.authService.getUserTimeZone();
    }
    ngOnInit() {
        this._initiateAPIs();
    }
    _initiateAPIs() {
        this.featureflag_groups = this.feature.isFeatureEnabled('ff_risk_groups');
        this.pickerChanged.emit(false);
        this.loader = true;
        this.uiKitService.isLoader = true;
        this.getSettingsInfo();
        if (this.mode === 'EDIT') {
            this.initiateEditAPI();
        }
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        if (this.mode === 'CREATE') {
            this.organizationId = this.authService.getOrganizationId();
        }
        this.memberId = this.authService.getMemberId();
        this.addCurrentUser();
        this.checkWhetherAllListsLoaded();
        this.initializeRiskType();
    }
    initiateEditAPI() {
        if (this.featureflag_groups) {
            this.getGroupList();
        }
        this.getOwnersList();
        this.getAdminsList();
        this.getCategoryList();
        this.getRCList();
    }
    addCurrentUser() {
        const user = this.authService?.getUserDetails()?.user;
        if (this.secondaryOpenPortal !== 'OTHER' && this.mode !== 'EDIT') {
            this.nonRemovableUsersList.push(this.memberId);
            this.riskForm.ownersList.push({
                member_id: this.memberId,
                member_name: user?.name,
                member_email: user?.email,
            });
        }
    }
    initializeRiskType() {
        if (this.openedFrom === 'REPORTED_RISK') {
            this.riskForm.riskType = 'REPORTED';
            this.riskTypeChangeAllowed = false;
        }
        else if (this.openedFrom === 'MOVE_TO_REGISTER') {
            this.riskForm.riskType = 'NORMAL';
            this.riskTypeChangeAllowed = false;
        }
        else {
            this.setRiskTypeBasedOnSubscription();
        }
    }
    //TO get groupList data
    getGroupList() {
        this.riskService.getGroupsList().subscribe((res) => {
            this.groupsList = res?.data;
        }, (err) => {
            console.error(err);
        });
    }
    setRiskTypeBasedOnSubscription() {
        if (this.openedFrom === 'REPORTED_RISK') {
            this.riskForm.riskType = 'REPORTED';
        }
        this.organizationCommonService?.getOrgUserInfo()?.subscribe({
            next: (res) => {
                if (res && res?.permission) {
                    const permission = JSON.parse(res?.permission);
                    if (this.authService?.isAdmin() || this.authService?.isKeyAdmin()) {
                        this.riskTypeChangeAllowed = true;
                    }
                    else if (this.authService.isManager()) {
                        if (permission?.MRISK === 1) {
                            this.riskTypeChangeAllowed = true;
                        }
                        else {
                            this.riskTypeChangeAllowed = false;
                            this.riskForm.riskType = 'REPORTED';
                        }
                    }
                    else if (this.authService.isUser()) {
                        this.riskTypeChangeAllowed = false;
                        this.riskForm.riskType = 'REPORTED';
                    }
                }
                else {
                    this.riskTypeChangeAllowed = false;
                    this.riskForm.riskType = 'REPORTED';
                }
                if (res && res?.roleActions) {
                    const moduleIndex = res.roleActions.findIndex((element) => element.moduleName == 'risk');
                    const riskPermissions = res.roleActions[moduleIndex].subModule[1].permissions;
                    riskPermissions.forEach((permission) => {
                        if (permission.name == 'manage risks' && permission.enable) {
                            this.riskTypeChangeAllowed = true;
                            this.riskForm.riskType = 'NORMAL';
                        }
                    });
                }
                if (this.mode === 'EDIT') {
                    this.riskForm.riskType = 'NORMAL';
                    this.riskTypeChangeAllowed = false;
                }
            },
        });
    }
    changeRisk(type) {
        this.riskForm = { ...this.riskForm, ...{ riskType: type } };
        this.setPopupButtons();
        if (type === 'REPORTED') {
            this.riskForm.assessment_deadline_days = 0;
        }
    }
    getCurrentlyLoggedInUser() {
        if (this.mode === 'EDIT') {
            const ownersList = this.setList(this.ownersList, this.editDetails?.owner, 'member_id')?.map((ele) => ele?.member_id);
            if (ownersList.includes(this.memberId)) {
                return [this.authService.getMemberId()];
            }
            else {
                return [];
            }
        }
        else {
            return [this.authService.getMemberId()];
        }
    }
    setPopupButtons() {
        if (this.riskForm.riskType === 'REPORTED') {
            this.actionButtons = [
                { buttonText: 'Add More Risks', class: 'white-btn', id: 'addMore' },
                {
                    buttonText: 'View Reported Risks',
                    class: 'blue-btn',
                    id: 'manageReportedRisk',
                },
            ];
        }
        else {
            this.actionButtons = [
                { buttonText: 'Add More Risks', class: 'white-btn', id: 'addMore' },
                { buttonText: 'View Risk', class: 'blue-btn', id: 'viewRisks' },
            ];
        }
    }
    getRiskDetails(riskId) {
        this.riskService.getRiskDetail(riskId).subscribe((res) => {
            this.loader = false;
            this.uiKitService.isLoader = false;
            this.editDetails = cloneDeep(res);
            this.riskForm.title = res.title;
            if (this.openedFrom === 'MOVE_TO_REGISTER') {
                this.riskForm.riskType = 'NORMAL';
                this.riskTypeChangeAllowed = false;
            }
            else {
                this.riskForm.riskType = res?.risk_type ?? 'REPORTED';
            }
            this.riskForm.description = res.description;
            this.riskForm.responsibilityCentersList = this.setList(this.responsibilityCentersList, res.rc_id, 'item_id');
            this.riskForm.ownersList = this.setList(this.ownersList, res.owner, 'member_id');
            this.riskForm.groupsList = this.setList(this.groupsList, res?.usergroup_ids, '_id');
            this.riskForm.mitigationDescriptionPlan = res.mitigationDescriptionPlan;
            const type = this.setCategoryType(res.category_type[0]);
            const categoryIndex = this.categoryList[type]?.data?.findIndex((element) => element.category_id == res.category[0]);
            if (categoryIndex != -1) {
                this.riskForm.category = {
                    type,
                    selectedCategory: this.categoryList[type]?.data[categoryIndex],
                };
                this.riskForm.categoryCustomTags = res.category_custom_tag;
            }
            this.riskForm.risk_owner = res.risk_owner;
            this.riskForm.overseersList = this.setList(this.ownersList, res.manage_oversight, 'member_id');
            this.riskForm.overseersGroupList = this.setList(this.groupsList, res?.overseergroup_ids, '_id');
            this.riskForm.mitigation = res?.mitigation
                ? res?.mitigation
                : this.riskForm?.mitigation;
            this.riskForm.assessment_deadline_days = res.assessment_deadline_days;
            this.riskForm.addRiskOwner = res.risk_owner ? true : false;
            this.riskForm.addOverseer =
                res.manage_oversight.length > 0 || res?.overseergroup_ids?.length > 0
                    ? true
                    : false;
            this.riskForm.addMitigation = res.mitigation ? true : false;
            this.organizationId = res.organisation_id;
            this.riskForm.head_ids = res?.head_ids ? res?.head_ids : [];
            this.riskForm.mitigationDescriptionPlan =
                res?.mitigation_plan_recommendation ?? '';
            this.riskForm.addMitigationPlan =
                res?.mitigation_plan_recommendation.trim()?.length ? true : false;
            this.riskForm.addRiskLabel = res.risk_label ? true : false;
            if (res.assessment_date_timestamp) {
                this.date = new Date(res.assessment_date);
            }
            if (res.IfAssessmentDone > 0) {
                res.all_owner_arr.forEach((element) => {
                    if (element.assessment_done > 0) {
                        this.nonRemovableUsersList.push(element.member_id);
                    }
                });
            }
            if (this.secondaryOpenPortal === 'OTHER' && this.mode === 'EDIT') {
                this.nonRemovableUsersList = Array.from(new Set([...this.nonRemovableUsersList, ...res?.owner]));
            }
            if (this.secondaryOpenPortal !== 'OTHER' && this.mode === 'EDIT') {
                this.nonRemovableUsersList = Array.from(new Set([
                    ...this.nonRemovableUsersList,
                    ...this.getCurrentlyLoggedInUser(),
                ]));
            }
            if (res?.risk_type === 'NORMAL') {
                this.nonRemovableUsersList = Array.from(new Set([
                    ...this.nonRemovableUsersList,
                    ...this.getCurrentlyLoggedInUser(),
                ]));
            }
            this.rcSelected.emit(1);
            this.saveSelectedList(res.linkedGrcDetails);
            this.getOtherGRCTabCount({ rc_ids: '' });
            this.getOtherGRCObjects({ rc_ids: '' });
            this.riskForm.enableAllFutureBusinessCycle =
                res?.future_businesscycle_visibility;
            this.populateOptionalFields();
            this.frequencyDataPopulate(res?.frequency_details);
            this.riskForm.frequency_details = res?.frequency_details;
            this.getFrequencyPlaceholder(res.frequency_details);
            this.setOverseersList();
        }, (err) => {
            console.log(err);
            this.loader = false;
            this.uiKitService.isLoader = false;
        });
    }
    populateOptionalFields() {
        const activatedOptions = [];
        if (this.riskForm.addMitigation) {
            activatedOptions.push('MITIGATION');
        }
        if (this.riskForm.addRiskOwner) {
            activatedOptions.push('RISK_OWNER');
        }
        if (this.riskForm.addOverseer) {
            activatedOptions.push('OVERSEER');
        }
        if (this.riskForm.addMitigationPlan) {
            activatedOptions.push('MITIGATION_PLAN');
        }
        if (this.riskForm.addRiskLabel) {
            activatedOptions.push('RISK_LABEL');
        }
        if (this.riskForm.selectedGRCObjects?.length) {
            activatedOptions.push('GRC_OBJECTS');
            this.riskForm.GRC = true;
        }
        this.populateOption.emit(activatedOptions);
    }
    setCategoryType(type) {
        if (type === 1) {
            return 'strategic';
        }
        else if (type === 2) {
            return 'operational';
        }
        else if (type === 3) {
            return 'compliance';
        }
        else if (type === 0) {
            return 'others';
        }
        else {
            return 'strategic';
        }
    }
    getRCList() {
        const rcArray = [];
        this.riskService
            .getResponsibilityCenterList(rcArray, this.mode === 'EDIT' ? this.riskId : '')
            .subscribe((res) => {
            this.responsibilityCentersList = res;
            this.rcListLoaded = true;
        }, (err) => {
            console.error(err);
            this.rcListLoaded = true;
        });
    }
    getCategoryList() {
        this.riskService.getCategoryList().subscribe((res) => {
            this.categoryList.strategic.data = res.strategic_arr;
            this.categoryList.operational.data = res.operational_arr;
            this.categoryList.compliance.data = res.compliance_arr;
            this.categoryList.others.data = res.others_arr;
            this.categoryListLoaded = true;
        }, (err) => {
            console.error(err);
            this.categoryListLoaded = true;
        });
    }
    getOwnersList() {
        this.riskService.getOrganizationUsers().subscribe((res) => {
            this.ownersList = res;
            this.usersListLoaded = true;
            this.setOverseersList();
        }, (err) => {
            console.error(err);
            this.usersListLoaded = true;
        });
    }
    getAdminsList() {
        this.riskService.getAdminKeyAdminList().subscribe((res) => {
            this.adminsList = res;
            this.adminsListLoaded = true;
        }, (err) => {
            console.error(err);
            this.adminsListLoaded = true;
        });
    }
    getSettingsInfo() {
        this.settingLoader = false;
        this.riskService.getRiskSettingDetails().subscribe((res) => {
            this.settingsInfo = res;
            this.settingLoader = true;
            this.hideOptionalFields(res);
            this.mitigationDetails = res?.risk_mitigation_priority?.mitigation_data;
            let defaultMitigation = this.mitigationDetails?.filter((ele) => ele?.mitigation_name === 'LOW');
            if (defaultMitigation?.length) {
                this.riskForm.mitigation = defaultMitigation[0]?.mitigation_id;
            }
        }, (err) => {
            console.error(err);
            this.settingLoader = true;
        });
    }
    hideOptionalFields(res) {
        if (res?.risk_automation_enable === 1) {
            this.hideElementsFromMoreOptions.emit(['MITIGATION']);
        }
    }
    checkWhetherAllListsLoaded() {
        const editLoader = this.mode === 'EDIT'
            ? this.usersListLoaded &&
                this.categoryListLoaded &&
                this.rcListLoaded &&
                this.adminsListLoaded
            : true;
        if (this.settingLoader && editLoader) {
            if (this.mode === 'EDIT') {
                this.getRiskDetails(this.riskId);
            }
            else {
                this.loader = false;
                this.uiKitService.isLoader = false;
            }
        }
        else {
            setTimeout(() => {
                this.checkWhetherAllListsLoaded();
            }, 300);
        }
    }
    setOverseersList() {
        let ids = [];
        let rcOwnerIds = [];
        const users = cloneDeep(this.riskForm.ownersList);
        const responsibilityCenters = cloneDeep(this.riskForm.responsibilityCentersList);
        const admins = cloneDeep(this.adminsList);
        const allUsers = cloneDeep(this.ownersList);
        users.forEach((user) => {
            ids.push(user.member_id);
        });
        admins.forEach((user) => {
            ids.push(user.member_id);
        });
        responsibilityCenters.forEach((rc) => {
            const ary = [...rc.owner, ...rc.parent_owners];
            ids = [...ids, ...ary];
            rcOwnerIds = [...rcOwnerIds, ...ary];
        });
        ids = [...new Set(ids)];
        rcOwnerIds = [...new Set(rcOwnerIds)];
        this.riskForm.head_ids = rcOwnerIds;
        this.overseersList = allUsers.filter((user) => !ids.includes(user.member_id));
        this.riskForm.overseersList = this.riskForm.overseersList.filter((user) => !ids.includes(user.member_id));
        //Groups which are selected in Owners field should not be visible Overseer
        let groupids = [];
        const groups = cloneDeep(this.riskForm.groupsList);
        const allgroups = cloneDeep(this.groupsList);
        groups.forEach((group) => {
            groupids.push(group.group_id);
        });
        groupids = [...new Set(groupids)];
        this.overseersGroupList = allgroups.filter((group) => !groupids.includes(group.group_id));
        this.riskForm.overseersGroupList =
            this.riskForm?.overseersGroupList?.filter((user) => !groupids.includes(user.group_id));
    }
    activateSelector(type, event) {
        this.activeSelector = event ? type : '';
        if (['rc', 'owner', 'overseer', 'category', 'frequency', 'GRC'].includes(type)) {
            this.pickerChanged.emit(event);
        }
        if (event) {
            switch (type) {
                case 'category':
                    this.getCategoryList();
                    break;
                case 'owner':
                case 'overseer':
                    if (this.featureflag_groups) {
                        this.getGroupList();
                    }
                    this.getOwnersList();
                    this.getAdminsList();
                    break;
                case 'rc':
                    this.getRCList();
                    break;
            }
        }
        if (type === 'GRC' && event) {
            this.grcSearchString = '';
            this.getOtherGRCObjects();
            this.getOtherGRCTabCount({ rc_ids: '' });
        }
    }
    activeDeselector() {
        this.activeSelector = '';
        this.pickerChanged.emit(false);
    }
    remove(type, event, index) {
        switch (type) {
            case 'rc':
                const rcIndex = this.riskForm.responsibilityCentersList.findIndex((rc) => rc.rc_id == event.rc_id);
                this.riskForm.responsibilityCentersList.splice(rcIndex, 1);
                this.saveSelectedList([]);
                this.getOtherGRCTabCount({ rc_ids: '' });
                this.getOtherGRCObjects({ rc_ids: '', type: this.selectedGRCTab });
                break;
            case 'owner':
                const ownerIndex = this.riskForm.ownersList.findIndex((owner) => owner.member_id == event.member_id);
                this.riskForm.ownersList.splice(ownerIndex, 1);
                this.setOverseersList();
                break;
            case 'Ownergroup':
                const groupIndex = this.riskForm?.groupsList.findIndex((owner) => owner.group_id == event.group_id);
                this.riskForm.groupsList.splice(groupIndex, 1);
                break;
            case 'overseer':
                const overseerIndex = this.riskForm.overseersList.findIndex((overseer) => overseer.member_id == event.member_id);
                this.riskForm.overseersList.splice(overseerIndex, 1);
                break;
            case 'overseergroup':
                const overseergroupIndex = this.riskForm?.overseersGroupList.findIndex((overseer) => overseer.group_id == event.group_id);
                this.riskForm.overseersGroupList.splice(overseergroupIndex, 1);
                break;
            case 'category':
                this.riskForm.category = {
                    type: 'strategic',
                    selectedCategory: '',
                };
                this.riskForm.categoryCustomTags = [];
                break;
            case 'GRC':
                this.removeOtherGRCObjects(event);
                // this.riskForm.selectedGRCObjects.splice(index, 1);
                // this.saveSelectedList(this.riskForm.selectedGRCObjects);
                break;
        }
    }
    saveSelectedRCList(rcIds) {
        this.saveSelectedList([]);
        this.activeDeselector();
        const selectedRC = this.setList(this.responsibilityCentersList, rcIds, 'item_id');
        this.rcSelected.emit(selectedRC?.length);
        this.riskForm.responsibilityCentersList = selectedRC;
        this.getOtherGRCTabCount({ rc_ids: '' });
        this.getOtherGRCObjects({ rc_ids: '', type: this.selectedGRCTab });
        this.setOverseersList();
        this.pickerChanged.emit(false);
    }
    saveSelectedCategory(category) {
        this.activeDeselector();
        this.riskForm.category = category;
        const customTags = [];
        category.selectedCategory.custom_tag.forEach((element) => {
            const tag = {
                custom_tag_name: element.tagName,
                custom_tag_value: '',
            };
            customTags.push(tag);
        });
        this.riskForm.categoryCustomTags = customTags;
        this.pickerChanged.emit(false);
    }
    saveSelectedOwnersList(ids) {
        this.activeDeselector();
        if (this.featureflag_groups) {
            let ownerids;
            let groupIds;
            ownerids = this.returnIds(ids.users, 'member_id');
            groupIds = this.returnIds(ids.groups, 'group_id');
            const selectedOwners = this.setList(this.ownersList, ownerids, 'member_id');
            const selectedGroups = this.setList(this.groupsList, groupIds, 'group_id');
            this.setList(this.groupsList, groupIds, 'group_id');
            this.riskForm.ownersList = selectedOwners;
            this.riskForm.groupsList = selectedGroups;
        }
        else {
            const selectedOwners = this.setList(this.ownersList, ids, 'member_id');
            this.riskForm.ownersList = selectedOwners;
        }
        this.setOverseersList();
        this.pickerChanged.emit(false);
    }
    saveSelectedOverseersList(ids) {
        this.activeDeselector();
        if (!this.featureflag_groups) {
            const selectedOverseers = this.setList(this.overseersList, ids, 'member_id');
            this.riskForm.overseersList = selectedOverseers;
        }
        else {
            let overseerids;
            let overseerGroupIds;
            overseerids = this.returnIds(ids.users, 'member_id');
            overseerGroupIds = this.returnIds(ids.groups, 'group_id');
            const selectedOverseers = this.setList(this.overseersList, overseerids, 'member_id');
            const selectedOverseerGroups = this.setList(this.overseersGroupList, overseerGroupIds, 'group_id');
            this.riskForm.overseersList = selectedOverseers;
            this.riskForm.overseersGroupList = selectedOverseerGroups;
        }
        this.pickerChanged.emit(false);
    }
    changeRiskAssessment(name) {
        switch (name) {
            case 'subtract':
                if (this.riskForm.assessment_deadline_days > 1) {
                    this.riskForm.assessment_deadline_days -= 1;
                    this.setDate(this.riskForm.assessment_deadline_days);
                }
                break;
            case 'add':
                this.riskForm.assessment_deadline_days += 1;
                this.setDate(this.riskForm.assessment_deadline_days);
                break;
        }
    }
    setDate(days) {
        if (days >= 0) {
            const miliseconds = days * 86400 * 1000;
            const d = new Date(new Date(Date.now()).toLocaleString('en-US', {
                timeZone: this.timezone,
            })).getTime();
            this.date = new Date(d + miliseconds);
        }
    }
    changeRiskAssessmentDeadline(event) {
        if (!isNaN(event)) {
            this.setDate(event);
        }
    }
    setList(list, ids, key) {
        const data = [];
        list.forEach((element) => {
            if (ids.includes(element[key])) {
                data.push(element);
            }
        });
        return data;
    }
    returnIds(list, key) {
        return list.map((ele) => {
            if (ele[key]) {
                return ele[key];
            }
        });
    }
    submitRisk() {
        this.setPopupButtons();
        const valid = this.validateRisk();
        if (!valid) {
            return false;
        }
        else if (this.mode === 'EDIT' && this.editDetails.IfAssessmentDone > 0) {
            const prevRCArr = this.editDetails.rc_id;
            const currRCArr = this.returnIds(this.riskForm.responsibilityCentersList, 'rc_id');
            if (prevRCArr.length === currRCArr.length &&
                prevRCArr
                    .sort()
                    .every((value, index) => value === currRCArr.sort()[index])) {
                this.createRisk(this.riskForm);
            }
            else {
                const confirmationDetails = {
                    isVisible: true,
                    message: `The Responsibility Center(s) associated with this risk has been modified.
               Hence, this risk needs to be reassessed. Once you confirm, the current due date will be closed and a new risk assessment due date will be generated.`,
                    action: 'EDIT_RISK',
                };
                this.showConfirmationAlert.emit(confirmationDetails);
            }
        }
        else {
            this.createRisk(this.riskForm);
        }
    }
    addMoreInfo(event) {
        switch (event.code) {
            case 'RISK_OWNER':
                this.riskForm.addRiskOwner = event?.checked;
                break;
            case 'OVERSEER':
                this.riskForm.addOverseer = event?.checked;
                break;
            case 'MITIGATION':
                this.riskForm.addMitigation = event?.checked;
                break;
            case 'MITIGATION_PLAN':
                this.riskForm.addMitigationPlan = event?.checked;
                break;
            case 'RISK_LABEL':
                this.riskForm.addRiskLabel = event?.checked;
                break;
            case 'GRC_OBJECTS':
                this.riskForm.GRC = event?.checked;
                break;
        }
        this.scrollToBottom = true;
    }
    validateRisk() {
        this.submitted = true;
        const event = this.riskForm.title;
        const re = /&nbsp;|<br>/g;
        this.riskForm.title = event.replace(re, '').trim();
        // ((!this.settingsInfo.assessment_deadline_enable) && (this.riskForm?.assessment_deadline_days < 1) && this.riskForm?.riskType !== 'REPORTED') ||
        if (!this.riskForm.title ||
            this.riskForm.responsibilityCentersList.length == 0 ||
            this.riskForm.ownersList.length == 0 ||
            (this.riskForm.riskType === 'REPORTED' &&
                !this.riskForm?.description?.trim()?.length) ||
            (this.riskForm?.riskType !== 'REPORTED' &&
                (!this.riskForm?.frequency_details?.frequency ||
                    this.riskForm?.frequency_details?.frequency === ''))) {
            return false;
        }
        else {
            return true;
        }
    }
    createRisk(riskForm) {
        this.loader = true;
        this.uiKitService.isLoader = false;
        const payload = {
            title: riskForm.title,
            description: riskForm.description,
            category_custom_tag: riskForm.categoryCustomTags,
            assessment_deadline_enable: this.settingsInfo?.assessment_deadline_enable,
            owner: this.returnIds(riskForm.ownersList, 'member_id'),
            category: riskForm.category?.selectedCategory?.category_id
                ? [riskForm.category.selectedCategory.category_id]
                : [],
            manage_oversight: riskForm.addOverseer
                ? this.returnIds(riskForm.overseersList, 'member_id')
                : [],
            rc_id: this.returnIds(riskForm.responsibilityCentersList, 'item_id'),
            head_ids: riskForm.head_ids,
            rating_arr: [],
            member_id: this.memberId,
            organisation_id: this.organizationId,
            risk_progress_flag: this.mode === 'EDIT' ? this.editDetails.risk_progress_flag : 1,
            IfAssessmentDone: this.mode == 'EDIT' ? this.editDetails.IfAssessmentDone : 0,
            workshop_id: this.mode == 'EDIT' ? this.editDetails.workshop_id : 0,
            complete_assessment: 0,
            mitigation: riskForm.addMitigation ? riskForm.mitigation : 0,
            weightage_enable: this.settingsInfo?.weightage_enable,
            treatment_type: this.settingsInfo?.treatment_criteria,
            weightage_details: this.settingsInfo?.weightage_details,
            weightage_set_by: this.settingsInfo?.weightage_set_by,
            weightage_str: [
                this.settingsInfo?.weightage_details?.impact?.value,
                this.settingsInfo?.weightage_details?.likelihood?.value,
                this.settingsInfo?.weightage_details?.velocity?.value,
                this.settingsInfo?.weightage_details?.vulnerability?.value,
            ],
            assessment_deadline_set_by: this.settingsInfo?.assessment_deadline_set_by,
            // assessment_deadline_days: (this.settingsInfo.assessment_deadline_enable) ? this.settingsInfo.assessment_deadline_days : riskForm.assessment_deadline_days,
            risk_type: this.riskForm?.riskType ?? 'NORMAL',
            risk_owner: riskForm.addRiskOwner ? riskForm.risk_owner ?? '' : '',
            mitigation_plan_recommendation: this.riskForm?.mitigationDescriptionPlan,
            frequency_details: this.riskForm?.frequency_details,
            risk_label: riskForm?.addRiskLabel ? riskForm?.riskLabelValue : 1,
            future_businesscycle_visibility: riskForm?.enableAllFutureBusinessCycle ?? true,
            linked_GRC_ids: this.riskForm.GRC
                ? this.riskForm.selectedGRCObjects.map((grc) => grc?._id)
                : [],
        };
        if (this.featureflag_groups) {
            payload['usergroup_ids'] = this.returnIds(riskForm.groupsList, '_id');
            payload['overseergroup_ids'] = riskForm.addOverseer
                ? this.returnIds(riskForm.overseersGroupList, '_id')
                : [];
        }
        if (this.mode == 'CREATE') {
            this.riskService.addRisk(payload).subscribe((res) => {
                this.riskData = res;
                this.riskId = res._id;
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
            }, (err) => {
                console.log(err);
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
        if (this.mode == 'EDIT' && this.openedFrom !== 'MOVE_TO_REGISTER') {
            this.smileyMessage = `The risk has been modified.`;
            this.riskService.updateRisk(this.riskId, payload).subscribe((res) => {
                this.riskData = res;
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.loader = false;
                this.uiKitService.isLoader = false;
            }, (err) => {
                console.log(err);
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
        if (this.openedFrom === 'MOVE_TO_REGISTER') {
            this.closeWorkflow.emit({
                evt: { action: 'MOVE_TO_REGISTER', payload },
                confirm: false,
            });
        }
    }
    resetForm() {
        this.scrollToBottom = false;
        this.showSmiley = false;
        this.uiKitService.isSmileyOn = false;
        this.riskForm = {
            title: '',
            description: '',
            riskType: this.riskForm?.riskType,
            addMitigationPlan: false,
            mitigationDescriptionPlan: '',
            responsibilityCentersList: [],
            ownersList: [],
            groupsList: [],
            category: {
                type: 'strategic',
                selectedCategory: '',
            },
            categoryCustomTags: [],
            overseersList: [],
            mitigation: 0,
            assessment_deadline_days: 0,
            head_ids: [],
            risk_owner: '',
            addRiskOwner: false,
            addOverseer: false,
            addMitigation: false,
            frequency_details: {
                frequency: '',
                started_at: '',
                frequency_time: '',
                remind_before_days: 0,
            },
            riskLabelValue: 1,
            addRiskLabel: false,
            GRC: false,
            selectedGRCObjects: [],
            enableAllFutureBusinessCycle: true,
        };
        this.nonRemovableUsersList = [];
        this.organizationId = this.authService.getOrganizationId();
        this.memberId = this.authService.getMemberId();
        this.nonRemovableUsersList = this.getCurrentlyLoggedInUser();
        this.date = new Date();
        this.submitted = false;
        this.refreshForm.emit(true);
        this.rcSelected.emit(false);
        this.frequencyDetails = {
            frequency: '',
            started_at: '',
            frequency_time: '',
            remind_before_days: 0,
            failed_after_days: 0,
            can_assess_before_days: 0,
        };
        this.frequencyPlaceholder = 'Set a Reassessment Frequency';
        this.populateOptionalFields();
        this.addCurrentUser();
        this.getOwnersList();
    }
    action(event) {
        switch (event) {
            case 'addMore':
                this.resetForm();
                this.populateOptionalFields();
                break;
            case 'viewRisks':
                this.viewRisks();
                break;
            case 'manageReportedRisk':
                this.redirectToReported();
                break;
        }
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.uiKitService.isSmileyOn = false;
        this.closeWorkflow.emit({ evt: this.riskData, confirm: false });
    }
    viewRisks() {
        this.disconnectRefresh.emit(false);
        let url;
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host;
        }
        else {
            url = 'https://' + window.location.host;
        }
        if (window.location.host.startsWith('localhost')) {
            url += '/risk-workroom/' + this.riskId;
        }
        else {
            if (window.location.href.includes('/riskv2')) {
                url += '/riskv2/risk-workroom/' + this.riskId;
            }
            else {
                url += '/risk/risk-workroom/' + this.riskId;
            }
        }
        this.iframeService.redirectIfInIframe(url, true);
        //this.resetForm();
    }
    redirectToReported() {
        this.disconnectRefresh.emit(false);
        let url;
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host;
        }
        else {
            url = 'https://' + window.location.host;
        }
        if (window.location.host.startsWith('localhost')) {
            url += '/reported-risk';
        }
        else {
            if (window.location.href.includes('/riskv2')) {
                url += '/riskv2/reported-risk';
            }
            else {
                url += '/risk/reported-risk';
            }
        }
        this.iframeService.redirectIfInIframe(url, true);
        //this.resetForm();
    }
    checkDescription() {
        if (this.riskForm.description == '<br>') {
            this.riskForm.description = '';
        }
    }
    checkMitigationPlan() {
        if (this.riskForm.mitigationDescriptionPlan == '<br>') {
            this.riskForm.mitigationDescriptionPlan = '';
        }
    }
    frequencyData(event) {
        this.activeDeselector();
        this.frequencyDataPopulate(event);
        this.riskForm.frequency_details = {
            frequency: event?.frequency,
            started_at: event?.started_at,
            frequency_time: event?.frequency_time,
            remind_before_days: event?.remind_before_days,
            can_assess_before_days: event?.can_assess_before_days,
            failed_after_days: event?.failed_after_days,
        };
        this.frequencyPlaceholder = event?.placeholder;
        this.pickerChanged.emit(false);
    }
    getFrequencyPlaceholder(res) {
        try {
            if (res?.frequency) {
                const frequencyDetails = res?.frequency.split('~');
                const frequencyTime = res?.frequency_time === '00:00:00' ? '12:00 am' : res?.frequency_time;
                switch (parseInt(frequencyDetails[0])) {
                    case 2:
                        this.getWeeklyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 3:
                        this.getMonthlyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 4:
                        this.getYearlyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 7:
                        this.getQuarterlyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 9:
                        this.getBiannualPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 0:
                        {
                            const dateObject = new Date(moment$1(frequencyDetails[1] +
                                '-' +
                                frequencyDetails[2] +
                                '-' +
                                frequencyDetails[3] +
                                ' 00:00:00', 'YYYY-MM-DD HH:mm:ss').unix() * 1000);
                            // tslint:disable-next-line: max-line-length
                            this.frequencyPlaceholder =
                                'One Time ' +
                                    dateObject.getDate() +
                                    ' ' +
                                    this.shortMonth[dateObject.getMonth()] +
                                    ' ' +
                                    dateObject.getFullYear() +
                                    ' by ' +
                                    frequencyTime;
                        }
                        break;
                }
            }
        }
        catch (e) {
            // tslint:disable-next-line: no-console
            console.log(e);
        }
    }
    /**
     * It takes a frequencyDetails array and a frequencyTime string and returns a frequencyPlaceholder
     * string.
     * @param {any} frequencyDetails - ["1", "1,2,3,4,5", "1", "1", "1", "1", "1", "1", "1", "1", "1",
     * "1", "1", "1", "1", "1", "1", "
     * @param {any} frequencyTime - "10:00 AM"
     */
    getWeeklyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const selectedDay = frequencyDetails[1].split(',').map((ele) => {
                return this.frequencyService.dayName[parseInt(ele) - 1];
            });
            if (parseInt(frequencyDetails[3]) === 1) {
                this.frequencyPlaceholder =
                    'Every ' + selectedDay.join() + ' by ' + frequencyTime;
            }
            if (parseInt(frequencyDetails[3]) === 2) {
                this.frequencyPlaceholder =
                    'Every alternate ' + selectedDay.join() + ' by ' + frequencyTime;
            }
            if (parseInt(frequencyDetails[3]) === 3) {
                this.frequencyPlaceholder =
                    'Every 3rd ' + selectedDay.join() + ' by ' + frequencyTime;
            }
            if (parseInt(frequencyDetails[3]) > 3) {
                this.frequencyPlaceholder =
                    'Every ' +
                        parseInt(frequencyDetails[3]) +
                        'th ' +
                        selectedDay.join() +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * It takes a string of comma separated numbers and returns a string of comma separated month names.
     * @param {any} frequencyDetails - ["1", "1", "1,2,3,4,5,6,7,8,9,10,11,12"]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getMonthlyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const selectedMonth = frequencyDetails[2].split(',').map((ele) => {
                return this.shortMonth[parseInt(ele) - 1];
            });
            if (parseInt(frequencyDetails[1]) === 1) {
                this.frequencyPlaceholder =
                    '1st of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 2) {
                this.frequencyPlaceholder =
                    '2nd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 3) {
                this.frequencyPlaceholder =
                    '3rd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 21 ||
                parseInt(frequencyDetails[1]) === 31) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'st of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 22) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'nd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 23) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'rd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) > 3) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'th of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * If the frequencyDetails[1] is less than 2, then the frequencyPlaceholder is set to the 1st, 2nd,
     * 3rd, or nth of every month by frequencyTime.
     *
     * If the frequencyDetails[1] is greater than 1, then the frequencyPlaceholder is set to the 1st,
     * 2nd, 3rd, or nth of every month, Interval: every yearSequence years by frequencyTime.
     *
     * I'm trying to write a test that will test the above function.
     *
     * Here's what I have so far:
     * @param {any} frequencyDetails - [0] = "Yearly"
     * @param {any} frequencyTime - "10:00 AM"
     */
    getYearlyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const yearSequence = parseInt(frequencyDetails[3]) > 0 ? parseInt(frequencyDetails[3]) : 1;
            if (yearSequence < 2) {
                if (parseInt(frequencyDetails[1]) === 1) {
                    this.frequencyPlaceholder =
                        '1st of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 2) {
                    this.frequencyPlaceholder =
                        '2nd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 3) {
                    this.frequencyPlaceholder =
                        '3rd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) > 3) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'th of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 31 ||
                    parseInt(frequencyDetails[1]) === 21) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'st of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 22) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'nd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 23) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'rd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
            }
            if (yearSequence > 1) {
                if (parseInt(frequencyDetails[1]) === 1) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        '1st of ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 2) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        '2nd of' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 3) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        '3rd of ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) > 3) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'th of ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 31 ||
                    parseInt(frequencyDetails[1]) === 21) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'st of ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 22) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'nd of ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 23) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'rd of ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
            }
        }
    }
    /**
     * If the frequencyDetails[1] is 1, 2, 3, 21, 22, 23, or greater than 3, then set the
     * frequencyPlaceholder to a string that includes the frequencyDetails[1] and the frequencyTime.
     * @param {any} frequencyDetails - ["3", "1", "1,2,3"]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getQuarterlyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const quarterly = [
                'January, April, July, October',
                'February, May, August, November',
                ' March, June, September, December',
            ];
            if (parseInt(frequencyDetails[1]) === 1) {
                this.frequencyPlaceholder =
                    '1st of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 2) {
                this.frequencyPlaceholder =
                    '2nd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 3) {
                this.frequencyPlaceholder =
                    '3rd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 21 ||
                parseInt(frequencyDetails[1]) === 31) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'st of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 22) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'nd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 23) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'rd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) > 3) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'th of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * It takes a string of comma separated numbers and returns a string of comma separated month names.
     * @param {any} frequencyDetails - ["1", "1", "1,2,3,4,5,6,7,8,9,10,11,12"]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getBiannualPlaceholder(frequencyDetails, frequencyTime) {
        {
            const selectedMonth = frequencyDetails[2].split(',').map((ele) => {
                return this.shortMonth[parseInt(ele) - 1];
            });
            if (parseInt(frequencyDetails[1]) === 1) {
                this.frequencyPlaceholder =
                    '1st of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 2) {
                this.frequencyPlaceholder =
                    '2nd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 3) {
                this.frequencyPlaceholder =
                    '3rd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 21 ||
                parseInt(frequencyDetails[1]) === 31) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'st of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 22) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'nd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 23) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'rd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) > 3) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'th of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * It takes an event object, and if it exists, it creates a new object with the same properties as
     * the event object, and assigns it to the frequencyDetails property.
     *
     * If the event object is undefined, then the frequencyDetails property will be undefined.
     *
     * If the event object is null, then the frequencyDetails property will be null.
     *
     * If the event object is an empty object, then the frequencyDetails property will be an empty
     * object.
     *
     * If the event object is an object with properties, then the frequencyDetails property will be an
     * object with the same properties.
     *
     * If the event object is an object with properties, but some of those properties are undefined, then
     * the frequencyDetails property will be an object with the same properties, but some of those
     * properties will be undefined.
     *
     * If the event object is an object with properties, but some of those properties are null, then the
     * @param {any} event - any = {
     */
    frequencyDataPopulate(event) {
        let data = {
            frequency: event?.frequency,
            started_at: event?.started_at,
            frequency_time: event?.frequency_time,
            remind_before_days: event?.remind_before_days,
            failed_after_days: event?.failed_after_days,
            can_assess_before_days: event?.can_assess_before_days,
        };
        this.frequencyDetails = data;
    }
    /**
     * The function `getOtherGRCTabCount` retrieves the count of different types of items (assets,
     * processes, vendors, inventory) and updates the corresponding tabs with the count.
     * @param {any} [event] - The "event" parameter is an optional parameter that can be passed to the
     * "getOtherGRCTabCount" function. It is of type "any", which means it can accept any data type.
     */
    getOtherGRCTabCount(event) {
        event['rc_ids'] = this.getAllRCIds(this.riskForm.responsibilityCentersList);
        this.grcTabLoader = true;
        this.grcService.getGRCTabsCount(event).subscribe((data) => {
            this.otherGRCCard.forEach((tab, index) => {
                const OBJECT_LABEL = {
                    ASSET: 'Assets',
                    PROCESS: 'Processes',
                    VENDOR: 'Vendors',
                    INVENTORY: 'Inventory',
                };
                this.grcTabLoader = false;
                const TAB_NAME = OBJECT_LABEL[tab?.title?.toUpperCase()];
                if (TAB_NAME) {
                    tab.title = TAB_NAME;
                    tab.value = index;
                    tab.selectedCount = 0;
                    tab.key = TAB_NAME?.toLowerCase();
                }
                const key = `${tab.key}_type_count`;
                if (data.hasOwnProperty(key)) {
                    tab.count = data[key];
                }
            });
        });
    }
    getAllRCIds(rcIds) {
        const allIds = rcIds.flatMap((rc) => [
            ...rc.item_parent_ids.map(Number),
            ...rc.item_child_ids.map(Number),
            Number(rc.rc_id),
        ]);
        return this.responsibilityCentersList
            .filter((rc) => allIds.includes(rc?.rc_id))
            .map((ele) => ele._id)
            .join(',');
    }
    getOtherGRCObjects(event) {
        if (this.otherGRCSubscription) {
            this.otherGRCSubscription.unsubscribe();
        }
        if (!event) {
            event = {
                rc_ids: '',
                type: this.selectedGRCTab,
                state: 1,
                page: 1,
            };
        }
        if (event?.searchString && this.grcSearchString !== event?.searchString) {
            this.grcSearchString = event?.searchString;
            this.getOtherGRCTabCount({
                rc_ids: '',
                searchString: this.grcSearchString,
            });
        }
        this.grcLoader = true;
        event['rc_ids'] = this.getAllRCIds(this.riskForm.responsibilityCentersList);
        event['grcType'] = this.selectedGRCTab;
        this.otherGRCSubscription = this.grcService
            .getGRCList(event)
            .subscribe((data) => {
            this.grcList = data;
            this.grcLoader = false;
            // if (this.MODE === 'EDIT') {
            //   // this.listObject.OTHER_GRC_OBJECTS.selectedData = data.filter(
            //   //   (item: any) => this.grcPayload.linked_GRC_ids.includes(item?._id)
            //   // );
            //   if (this.grcPayload.linked_GRC_ids?.length) {
            //     this.grcForm.otherGrcObjects = true;
            //     this.additionalOption.OTHER_GRC_OBJECTS = true;
            //     this.populateOptionalFields();
            //   }
            // }
        });
    }
    saveSelectedList(event) {
        this.riskForm.selectedGRCObjects = event;
        this.activateSelector('GRC', false);
        this.setOtherGRCTypesFormate();
    }
    setOtherGRCTypesFormate() {
        const grcTypes = GRC_TYPE_ARRAY;
        this.resetGRCDataWithTypes();
        if (this.riskForm?.selectedGRCObjects?.length > 0) {
            this.riskForm?.selectedGRCObjects?.forEach((item) => {
                this.grcDataWithTypes[grcTypes[item?.type]]?.push(item);
            });
        }
    }
    removeOtherGRCObjects(event) {
        const grcTypes = GRC_TYPE_ARRAY;
        this.riskForm.selectedGRCObjects = this.riskForm?.selectedGRCObjects.filter((grc) => grc?._id !== event?._id);
        this.filterOtherGRCData(event, grcTypes[event?.type]);
        this.otherGRCCard[0].selectedCount
            ? (this.otherGRCCard[event?.type].selectedCount -= 1)
            : 0;
    }
    filterOtherGRCData(event, type) {
        this.grcDataWithTypes[type] = this.grcDataWithTypes[type]?.filter((grc) => grc?._id !== event?._id);
    }
    resetGRCDataWithTypes() {
        this.grcDataWithTypes = {
            assets: [],
            processes: [],
            vendors: [],
            inventory: [],
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowRiskComponent, deps: [{ token: AddRiskService }, { token: AuthService$1 }, { token: UiKitService }, { token: SnackBarService }, { token: FrequencyService }, { token: GrcService }, { token: OrganizationCommonService }, { token: IframeService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowRiskComponent, selector: "app-workflow-risk", inputs: { feature: "feature", mode: "mode", riskId: "riskId", defaultRiskType: "defaultRiskType", moveToRegisterMode: "moveToRegisterMode", secondaryOpenPortal: "secondaryOpenPortal", openedFrom: "openedFrom" }, outputs: { showConfirmationAlert: "showConfirmationAlert", pickerChanged: "pickerChanged", populateOption: "populateOption", closeWorkflow: "closeWorkflow", disconnectRefresh: "disconnectRefresh", refreshForm: "refreshForm", hideElementsFromMoreOptions: "hideElementsFromMoreOptions", rcSelected: "rcSelected" }, ngImport: i0, template: "<div class=\"workflw-risk\" *ngIf=\"!showSmiley\">\n  <!-- Risk Type -->\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left checked\">\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Type <span class=\"required\">*</span></label\n        >\n        <div class=\"risk-type-field\">\n          <div\n            class=\"type-item\"\n            [class.active]=\"riskForm?.riskType === 'NORMAL'\"\n          >\n            <button\n              [class.disabled]=\"!riskTypeChangeAllowed\"\n              (click)=\"changeRisk('NORMAL')\"\n            >\n              ADD TO RISK REGISTER\n            </button>\n            <i\n              class=\"icons info\"\n              [appTooltip]=\"\n                'This option lets you add a risk directly to the Risk Register. The risk owners will receive an alert and they can begin the the risk assessment process.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <div\n            class=\"type-item\"\n            [class.active]=\"riskForm?.riskType === 'REPORTED'\"\n          >\n            <button\n              [class.disabled]=\"!riskTypeChangeAllowed\"\n              (click)=\"changeRisk('REPORTED')\"\n            >\n              REPORT A RISK\n            </button>\n            <i\n              class=\"icons info\"\n              [appTooltip]=\"\n                'This options lets you report a risk and assign it to the risk owners. The risk owners will have the option to either add the risk to the Risk Register or flag it for a follow-up at a later date.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <span class=\"background-glider\"></span>\n        </div>\n        <p *ngIf=\"false\" class=\"error-message\">Add a risk type</p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Name -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'name' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm.title\">\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"im\"\n        *ngIf=\"\n          riskForm?.title?.trim()?.length === 0 || activeSelector === 'name'\n        \"\n      />\n\n      <svg\n        *ngIf=\"riskForm?.title?.trim()?.length > 0 && activeSelector !== 'name'\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >WHAT RISK WOULD YOU LIKE TO MANAGE?\n          <span class=\"required\">*</span></label\n        >\n        <input\n          spaceTrim\n          type=\"text\"\n          (keydown)=\"activeSelector = 'name'\"\n          (focusin)=\"activateSelector('name', true)\"\n          (focusout)=\"activateSelector('name', false)\"\n          [(ngModel)]=\"riskForm.title\"\n          placeholder=\"Add a risk name\"\n          *ngIf=\"riskForm?.title?.trim() == '' || activeSelector === 'name'\"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"riskForm?.title?.trim() != '' && activeSelector !== 'name'\"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ riskForm.title }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"activateSelector('name', true)\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p *ngIf=\"submitted && !riskForm.title\" class=\"error-message\">\n          Add a risk name\n        </p>\n        <vcomply-editor\n          [(ngModel)]=\"riskForm.description\"\n          [editorConfig]=\"description\"\n          (clickOutside)=\"checkDescription()\"\n        ></vcomply-editor>\n        <p\n          *ngIf=\"\n            submitted &&\n            riskForm.riskType === 'REPORTED' &&\n            !riskForm?.description?.trim()?.length\n          \"\n          class=\"error-message\"\n        >\n          Add a risk description\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Manager -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'owner'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'owner' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.ownersList?.length > 0\">\n      <img\n        *ngIf=\"riskForm?.ownersList?.length == 0 || activeSelector === 'owner'\"\n        [src]=\"ASSETS.im_creating\"\n        alt=\"\"\n      />\n\n      <svg\n        *ngIf=\"riskForm?.ownersList?.length > 0 && activeSelector !== 'owner'\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >WHO IS RESPONSIBLE FOR MANAGING THIS RISK?\n          <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This is the person that is responsible for managing the risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <div class=\"select\" *ngIf=\"riskForm?.ownersList?.length == 0\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('owner', true)\"\n            placeholder=\"Select Risk Manager(s)\"\n            readonly\n          />\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            riskForm?.ownersList?.length > 0 || riskForm?.groupsList.length > 0\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureflag_groups\"\n          >\n            <ng-container\n              *ngIf=\"\n                riskForm?.ownersList\n                  | shortMerge : nonRemovableUsersList as ownerList\n              \"\n            >\n              <ng-container *ngFor=\"let owner of ownerList?.slice(0, 1)\">\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  *ngIf=\"!nonRemovableUsersList.includes(owner?.member_id)\"\n                  (click)=\"remove('owner', owner)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"owner?.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ owner?.member_name }}</span\n                >\n              </ng-container>\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"popoverOwner.popover()\"\n              placement=\"left\"\n              *ngIf=\"riskForm?.ownersList?.length > 1\"\n            >\n              +{{ riskForm?.ownersList?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"!featureflag_groups\" [class.more-one]=\"riskForm?.ownersList?.length>1\" [class.plus]=\"riskForm?.ownersList?.length>2\">\n                      <ng-container *ngIf=\"(riskForm?.ownersList|shortMerge : nonRemovableUsersList) as ownerList\">\n                          <span class=\"chip\" *ngFor=\"let owner of ownerList?.slice(0,2)\"><i class=\"icons\" *ngIf=\"!nonRemovableUsersList.includes(owner?.member_id)\" (click)=\"remove('owner',owner)\">&#xe90d;</i> {{owner?.member_name}}</span>\n                          <button class=\"count\" *ngIf=\"riskForm?.ownersList?.length > 2\" type=\"button\" appPopover (click)=\"popoverOwner.popover()\" placement=\"right\">+{{riskForm?.ownersList?.slice(2).length}}</button>\n                      </ng-container>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureflag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"\n                  !nonRemovableUsersList.includes(\n                    riskForm?.ownersList[0]?.member_id\n                  )\n                \"\n                (click)=\"remove('owner', riskForm?.ownersList[0])\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.ownersList[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ riskForm?.ownersList[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"popoverUser.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.ownersList.length > 1\"\n              >\n                +{{ riskForm?.ownersList.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"riskForm?.groupsList.length > 0\"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"riskForm?.groupsList.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('Ownergroup', riskForm?.groupsList[0])\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.groupsList[0]?.group_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ riskForm?.groupsList[0]?.group_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.groupsList?.length > 1\"\n              >\n                +{{ riskForm?.groupsList?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureflag_groups\">\n                      <div class=\"chip-inner\" >\n                        <i class=\"icons cross vx-mr-1\" *ngIf=\"!nonRemovableUsersList.includes(riskForm?.ownersList[0]?.member_id)\" (click)=\"remove('owner',riskForm?.ownersList[0])\" >&#xe90d;</i>\n                          <span class=\"chip\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{riskForm?.ownersList[0]?.member_name}}</span></span>\n                          <button *ngIf=\"riskForm?.ownersList.length > 1\" class=\"count user\" appPopover (click)=\"popoverUser.popover()\" placement=\"right\">+{{riskForm?.ownersList.length - 1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"riskForm?.groupsList.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"riskForm?.groupsList.length > 0\" >\n                        <i class=\"icons cross vx-mr-1\" (click)=\"remove('Ownergroup', riskForm?.groupsList[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"riskForm?.groupsList[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{riskForm?.groupsList[0]?.group_name}}</span></span>\n                          <button *ngIf=\"riskForm?.groupsList?.length > 1\" class=\"count\" appPopover (click)=\"group.popover()\" placement=\"right\">+{{riskForm?.groupsList?.length -1}}</button>\n                      </div>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'owner'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('owner', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && riskForm?.ownersList?.length === 0\"\n          class=\"error-message\"\n        >\n          Select Owner(s) for this risk.\n        </p>\n        <app-popover #popoverOwner [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ng-container\n              *ngIf=\"\n                riskForm?.ownersList\n                  | shortMerge : nonRemovableUsersList as ownerPop\n              \"\n            >\n              <ul class=\"action-item\">\n                <li *ngFor=\"let owner of ownerPop | slice : 1; let j = index\">\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        *ngIf=\"\n                          !nonRemovableUsersList.includes(owner?.member_id)\n                        \"\n                        class=\"icons\"\n                        (click)=\"remove('owner', owner)\"\n                        >&#xe90d;</i\n                      >\n                      {{ owner.member_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </ng-container>\n          </div>\n        </app-popover>\n        <app-popover #popoverUser [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ng-container\n              *ngIf=\"\n                riskForm?.ownersList\n                  | shortMerge : nonRemovableUsersList as ownerPop\n              \"\n            >\n              <ul class=\"action-item\">\n                <li *ngFor=\"let owner of ownerPop | slice : 1; let j = index\">\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        *ngIf=\"\n                          !nonRemovableUsersList.includes(owner?.member_id)\n                        \"\n                        class=\"icons\"\n                        (click)=\"remove('owner', owner)\"\n                        >&#xe90d;</i\n                      >\n                      {{ owner.member_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </ng-container>\n          </div>\n        </app-popover>\n        <app-popover #group [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let data of riskForm?.groupsList | slice : 1\">\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('Ownergroup', data)\"\n                      >&#xe90d;</i\n                    >\n                    {{ data.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Responsibility Center -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'rc'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'rc' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"riskForm?.responsibilityCentersList?.length > 0\"\n    >\n      <img\n        *ngIf=\"\n          riskForm?.responsibilityCentersList?.length == 0 ||\n          activeSelector === 'rc'\n        \"\n        [src]=\"ASSETS.responsibility_center\"\n        alt=\"\"\n      />\n\n      <svg\n        *ngIf=\"\n          riskForm?.responsibilityCentersList?.length > 0 &&\n          activeSelector !== 'rc'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Responsibility Center <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'Responsibility Centers represent the corporate and operational infrastructure of an organization. One or more Responsibility Centers can be exposed to a risk and accordingly, the risk must be assessed against each Responsibility Center.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <div\n          class=\"select\"\n          *ngIf=\"riskForm?.responsibilityCentersList?.length == 0\"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('rc', true)\"\n            placeholder=\"Select Responsibility Center(s)\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"riskForm?.responsibilityCentersList?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let rcName of riskForm?.responsibilityCentersList?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('rc', rcName)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"rcName.item_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ rcName.item_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"popoverRC.popover()\"\n              placement=\"left\"\n              *ngIf=\"riskForm?.responsibilityCentersList?.length > 1\"\n            >\n              +{{ riskForm?.responsibilityCentersList?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"riskForm?.responsibilityCentersList?.length>1\" [class.plus]=\"riskForm?.responsibilityCentersList?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let rcName of riskForm?.responsibilityCentersList?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('rc',rcName)\">&#xe90d;</i> {{rcName.item_name}}</span>\n                      <button class=\"count\" *ngIf=\"riskForm?.responsibilityCentersList?.length > 2\" type=\"button\" appPopover (click)=\"popoverRC.popover()\" placement=\"right\">+{{riskForm?.responsibilityCentersList?.slice(2).length}}</button>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'rc'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('rc', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && riskForm?.responsibilityCentersList?.length == 0\"\n          class=\"error-message\"\n        >\n          Assign this risk to a Responsibility Center(s)\n        </p>\n        <app-popover #popoverRC [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let rcName of riskForm?.responsibilityCentersList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('rc', rcName)\">&#xe90d;</i>\n                    {{ rcName.item_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Frequency -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'frequency'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'frequency' &&\n      sideSelectorElements?.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm?.riskType !== 'REPORTED'\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.category?.selectedCategory\">\n      <img\n        *ngIf=\"\n          !riskForm?.frequency_details?.frequency ||\n          riskForm?.frequency_details?.frequency === '' ||\n          activeSelector === 'frequency'\n        \"\n        [src]=\"ASSETS.when\"\n        alt=\"\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          (riskForm?.frequency_details?.frequency &&\n            riskForm?.frequency_details?.frequency !== '') ||\n          activeSelector !== 'frequency'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >HOW OFTEN DOES THIS RISK NEED TO BE REASSESSED?\n          <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The option lets you specify the risk reassessment frequency.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div\n          class=\"select\"\n          *ngIf=\"!riskForm?.frequency_details?.frequency\"\n          (click)=\"activateSelector('frequency', true)\"\n        >\n          <input\n            type=\"text\"\n            placeholder=\"Set a Reassessment Frequency\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected button-sec\"\n          *ngIf=\"riskForm?.frequency_details?.frequency\"\n        >\n          <span\n            class=\"chip\"\n            [appTooltip]=\"frequencyPlaceholder\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            >{{ frequencyPlaceholder }}</span\n          >\n          <button\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('frequency', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <div class=\"vx-mt-1\">\n          <app-cs-switch\n            [ngValue]=\"riskForm?.enableAllFutureBusinessCycle\"\n            (ngValueChange)=\"riskForm.enableAllFutureBusinessCycle = $event\"\n            >DO YOU WANT THIS TO SHOW IN ALL FUTURE BUSINESS CYCLES?\n          </app-cs-switch>\n        </div>\n        <p\n          *ngIf=\"\n            submitted &&\n            (!riskForm?.frequency_details?.frequency ||\n              riskForm?.frequency_details?.frequency === '')\n          \"\n          class=\"error-message\"\n        >\n          Please select the frequency of occurrence for this risk.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Category -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'category'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'category' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.category?.selectedCategory\">\n      <img\n        *ngIf=\"\n          !riskForm?.category?.selectedCategory || activeSelector === 'category'\n        \"\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          riskForm?.category?.selectedCategory && activeSelector !== 'category'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Category\n          <i\n            class=\"icons\"\n            [appTooltip]=\"'Risk Categories are used to group similar risks.'\"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div class=\"select\" *ngIf=\"!riskForm?.category?.selectedCategory\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('category', true)\"\n            placeholder=\"Select Risk Category\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"riskForm?.category?.selectedCategory\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('category', riskForm.category.selectedCategory)\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"riskForm?.category?.selectedCategory?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ riskForm?.category?.selectedCategory?.category_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"remove('category',riskForm.category.selectedCategory)\">&#xe90d;</i>{{riskForm?.category?.selectedCategory?.category_name}}</span>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'category'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('category', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <ng-container *ngIf=\"riskForm?.categoryCustomTags?.length > 0\">\n        <div\n          class=\"vx-form-group\"\n          *ngFor=\"let tag of riskForm.categoryCustomTags\"\n        >\n          <label class=\"vx-control-panel\">{{ tag.custom_tag_name }}</label>\n          <input\n            type=\"text\"\n            [(ngModel)]=\"tag.custom_tag_value\"\n            [placeholder]=\"tag.custom_tag_name\"\n          />\n        </div>\n      </ng-container>\n    </div>\n  </div>\n\n  <!-- Recommended Mitigation Plan -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'mitigation' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      id=\"riskSpace\"\n      class=\"left\"\n      [class.checked]=\"(riskForm.mitigationDescriptionPlan | spaceTrim) !== ''\"\n    >\n      <img\n        *ngIf=\"(riskForm.mitigationDescriptionPlan | spaceTrim) === ''\"\n        [src]=\"ASSETS.objectives\"\n        alt=\"\"\n      />\n      <svg\n        *ngIf=\"(riskForm.mitigationDescriptionPlan | spaceTrim) !== ''\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label for=\"\" class=\"vx-control-panel\"\n          >Recommended Mitigation Plans<link\n            rel=\"manifest\"\n            href=\"./manifest.json\"\n          />\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'Specify the mitigation plan that can be undertaken to mitigate the risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <vcomply-editor\n          [(ngModel)]=\"riskForm.mitigationDescriptionPlan\"\n          [editorConfig]=\"mitigationDescriptionPlan\"\n          (clickOutside)=\"checkMitigationPlan()\"\n        >\n        </vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Assessment Deadline -->\n  <!-- !settingsInfo?.assessment_deadline_enable && riskForm?.riskType !== 'REPORTED' && ((currentTimeStamp < editDetails?.assessment_date_timestamp) || !editDetails?.IfAssessmentDone ) -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'assessment'\"\n    id=\"deadline\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assessment' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"false\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.assessment_deadline_days >= 1\">\n      <img\n        [src]=\"ASSETS.when\"\n        *ngIf=\"\n          riskForm?.assessment_deadline_days < 1 ||\n          activeSelector === 'assessment'\n        \"\n        alt=\"\"\n      />\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          riskForm?.assessment_deadline_days >= 1 &&\n          activeSelector !== 'assessment'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Assessment Deadline <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This is the date that the inherent risk assessment must be completed by.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div class=\"input\">\n          <span class=\"text\">Set Number of days</span>\n          <div class=\"input-group counter\">\n            <button (click)=\"changeRiskAssessment('subtract')\">\n              <i class=\"icons\">&#xea53;</i>\n            </button>\n            <input\n              type=\"number\"\n              [(ngModel)]=\"riskForm.assessment_deadline_days\"\n              (focusin)=\"activateSelector('assessment', true)\"\n              (focusout)=\"activateSelector('assessment', false)\"\n              name=\"riskAssessmentDeadline\"\n              validateAssessment\n              #deadline=\"ngModel\"\n              (ngModelChange)=\"changeRiskAssessmentDeadline($event)\"\n              onkeydown=\"return event.keyCode !== 190\"\n              min=\"0\"\n              oninput=\"this.value = Math.abs(this.value)\"\n            />\n            <button (click)=\"changeRiskAssessment('add')\">\n              <i class=\"icons\">&#xe915;</i>\n            </button>\n          </div>\n        </div>\n        <p\n          *ngIf=\"submitted && riskForm?.assessment_deadline_days < 1\"\n          class=\"error-message\"\n        >\n          Enter a value greater than 0.\n        </p>\n        <label\n          class=\"vx-control-panel\"\n          *ngIf=\"riskForm?.assessment_deadline_days >= 1\"\n        >\n          This risk assessment needs to be completed by\n          {{ date | date : \"dd MMM yyyy\" }}\n        </label>\n      </div>\n    </div>\n  </div>\n\n  <!--Risk Owner-->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'riskowner' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm.addRiskOwner\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm.risk_owner\">\n      <img\n        [src]=\"ASSETS.case_owners\"\n        alt=\"im\"\n        *ngIf=\"\n          riskForm?.risk_owner?.trim()?.length === 0 ||\n          activeSelector === 'riskowner'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          riskForm?.risk_owner?.trim()?.length > 0 &&\n          activeSelector !== 'riskowner'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label for=\"\" class=\"vx-control-panel\"\n          >Risk Owner<link rel=\"manifest\" href=\"./manifest.json\" />\n          <i\n            class=\"icons\"\n            appTooltip=\"This is either a person, department owner or a functional role within the organization that owns the risk. Example: For IT risk, the Risk Owner could be the 'Director of IT & Security.'\"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <input\n          spaceTrim\n          type=\"text\"\n          (keydown)=\"activeSelector = 'riskowner'\"\n          (focusin)=\"activateSelector('riskowner', true)\"\n          (focusout)=\"activateSelector('riskowner', false)\"\n          [(ngModel)]=\"riskForm.risk_owner\"\n          placeholder=\"Specify the name of the person, department head or funct...\"\n          [appTooltip]=\"\n            'Specify the name of the person, department head or functional role that owns this risk'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n          *ngIf=\"\n            riskForm?.risk_owner?.trim() == '' || activeSelector === 'riskowner'\n          \"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            riskForm?.risk_owner?.trim() != '' && activeSelector !== 'riskowner'\n          \"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ riskForm.risk_owner }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"activateSelector('riskowner', true)\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n    </div>\n  </div>\n  <!-- Risk Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'overseer'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'overseer' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm.addOverseer\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.overseersList?.length > 0\">\n      <img\n        *ngIf=\"\n          riskForm?.overseersList?.length == 0 || activeSelector === 'overseer'\n        \"\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n      />\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          riskForm?.overseersList?.length > 0 && activeSelector !== 'overseer'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Oversight<i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This is the person that is responsible for overseeing the risk but who is not responsible for managing the risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div\n          class=\"select\"\n          *ngIf=\"\n            riskForm?.overseersList?.length == 0 &&\n            riskForm?.overseersGroupList?.length == 0\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('overseer', true)\"\n            placeholder=\"Select Risk Oversight(s)\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            riskForm?.overseersList?.length > 0 ||\n            riskForm?.overseersGroupList.length > 0\n          \"\n        >\n          <ng-container *ngIf=\"!featureflag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let owner of riskForm?.overseersList?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('overseer', owner)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"owner.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ owner.member_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"popoverOverseer.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.overseersList?.length > 1\"\n              >\n                +{{ riskForm?.overseersList?.slice(1).length }}\n              </button>\n            </div>\n          </ng-container>\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureflag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('overseer', riskForm?.overseersList[0])\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.overseersList[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                *ngIf=\"riskForm?.overseersList.length > 0\"\n                >{{ riskForm?.overseersList[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"overseer.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.overseersList.length > 1\"\n              >\n                +{{ riskForm?.overseersList.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                riskForm?.overseersList.length > 0 &&\n                riskForm?.overseersGroupList.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"riskForm?.overseersGroupList.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('overseergroup', riskForm?.overseersGroupList[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.overseersGroupList[0]?.group_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ riskForm?.overseersGroupList[0]?.group_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.overseersGroupList?.length > 1\"\n              >\n                +{{ riskForm?.overseersGroupList?.length - 1 }}\n              </button>\n            </div>\n          </div>\n          <button\n            *ngIf=\"activeSelector !== 'overseer'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('overseer', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #popoverOverseer [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let owner of riskForm?.overseersList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', owner)\"\n                      >&#xe90d;</i\n                    >\n                    {{ owner.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseer [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let owner of riskForm?.overseersList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', owner)\"\n                      >&#xe90d;</i\n                    >\n                    {{ owner.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let data of riskForm?.overseersGroupList | slice : 1\">\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseergroup', data)\"\n                      >&#xe90d;</i\n                    >\n                    {{ data.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Mitigation Priority -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector && sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm.addMitigation\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm.mitigation\">\n      <img [src]=\"ASSETS.priority\" *ngIf=\"!riskForm.mitigation\" alt=\"\" />\n      <!-- <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n              <circle cx=\"50\" cy=\"50\" r=\"20\" fill=\"none\" stroke=\"#1e5dd3\" stroke-width=\"3\" class=\"loader-path\"></circle>\n          </svg> -->\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"riskForm.mitigation\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Mitigation Priority\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This sets the priority level for the mitigation of each risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n\n        <cs-select\n          [(ngModel)]=\"riskForm.mitigation\"\n          [placeholder]=\"'Select a mitigation priority'\"\n          name=\"riskForm.mitigation\"\n        >\n          <cs-option\n            *ngFor=\"let data of mitigationDetails\"\n            [value]=\"data?.mitigation_id\"\n            [color]=\"data?.mitigation_color\"\n          >\n            {{ data.mitigation_name }}\n          </cs-option>\n        </cs-select>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Label -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector && sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm?.addRiskLabel\"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <!-- <img *ngIf=\"true\"\n              src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/oversight.svg\" alt=\"\" /> -->\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"true\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >RISK LABEL\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This option lets you specify if this is a newly identified risk or it is a rapidly changing risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <cs-select\n          [(ngModel)]=\"riskForm.riskLabelValue\"\n          [placeholder]=\"'Select a risk label'\"\n          name=\"riskForm?.riskLabelValue\"\n        >\n          <cs-option *ngFor=\"let data of riskLabelList\" [value]=\"data?.value\">\n            {{ data?.name }}\n          </cs-option>\n        </cs-select>\n      </div>\n    </div>\n  </div>\n  <!-- Link with  GRC -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'GRC'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'GRC' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm?.GRC\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"this.riskForm?.selectedGRCObjects?.length > 0\"\n    >\n      <img\n        *ngIf=\"\n          this.riskForm?.selectedGRCObjects?.length == 0 ||\n          activeSelector === 'GRC'\n        \"\n        [src]=\"ASSETS.link_items\"\n        alt=\"\"\n      />\n\n      <svg\n        *ngIf=\"\n          this.riskForm?.selectedGRCObjects?.length > 0 &&\n          activeSelector !== 'GRC'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">LINK GRC OBJECT(S) </label>\n        <div class=\"select\" *ngIf=\"riskForm?.selectedGRCObjects?.length === 0\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('GRC', true)\"\n            placeholder=\"Select GRC object(s) to link with this risk.\"\n            readonly\n          />\n        </div>\n        <ng-container *ngIf=\"riskForm?.selectedGRCObjects?.length\">\n          <ng-container\n            *ngFor=\"let selectedGRC of GRC_TYPE_ARRAY; let i = index\"\n          >\n            <div\n              *ngIf=\"grcDataWithTypes[selectedGRC]?.length\"\n              class=\"selected vx-mb-2\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <ng-container\n                  *ngFor=\"let grc of grcDataWithTypes[selectedGRC]?.slice(0, 1)\"\n                >\n                  <i\n                    class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                    (click)=\"remove('GRC', grc, 0)\"\n                    >&#xe9ae;</i\n                  >\n                  <div\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    {{ selectedGRC | titlecase }}\n                  </div>\n\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"grc?.name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ grc?.name }}</span\n                  >\n                </ng-container>\n\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"popoverGRC.popover()\"\n                  placement=\"left\"\n                  *ngIf=\"grcDataWithTypes[selectedGRC]?.length > 1\"\n                >\n                  +{{ grcDataWithTypes[selectedGRC].length - 1 }}\n                </button>\n              </div>\n\n              <button\n                *ngIf=\"activeSelector !== 'GRC'\"\n                class=\"edit\"\n                type=\"button\"\n                (click)=\"\n                  selectedGRCTab = grcDataWithTypes[selectedGRC][0]?.type;\n                  getOtherGRCObjects();\n                  activateSelector('GRC', true)\n                \"\n              >\n                <i class=\"icons\">&#xe9ba;</i> Edit\n              </button>\n            </div>\n            <app-popover #popoverGRC [dontCloseonClick]=\"true\">\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"\n                      let grc of grcDataWithTypes[selectedGRC] | slice : 1;\n                      let j = index\n                    \"\n                  >\n                    <div class=\"avatar-card\">\n                      <span class=\"value\">\n                        <i class=\"icons\" (click)=\"remove('GRC', grc, j + 1)\"\n                          >&#xe90d;</i\n                        >\n                        {{ grc.name }}\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n          </ng-container>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n</div>\n<app-responsibility-centers-list\n  *ngIf=\"activeSelector === 'rc'\"\n  [responsibilityCentersList]=\"responsibilityCentersList\"\n  [selectedResponsibilityCenters]=\"riskForm.responsibilityCentersList\"\n  [rcIdKey]=\"'rc_id'\"\n  (saveSelectedList)=\"saveSelectedRCList($event)\"\n  (closeRcList)=\"activateSelector('rc', false)\"\n  [singularText]=\"'Responsibility Center selected'\"\n  [pluralText]=\"'Responsibility Centers selected'\"\n  [loaded]=\"rcListLoaded\"\n>\n</app-responsibility-centers-list>\n\n<app-owner-list\n  *ngIf=\"!featureflag_groups && activeSelector === 'owner'\"\n  [usersList]=\"ownersList\"\n  [selectedUsers]=\"riskForm.ownersList\"\n  [userIdKey]=\"'member_id'\"\n  [itemEmailKey]=\"'member_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedOwnersList($event)\"\n  [nonRemovableUsersList]=\"nonRemovableUsersList\"\n  (closeUsersList)=\"activateSelector('owner', false)\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n></app-owner-list>\n\n<user-group-list\n  *ngIf=\"featureflag_groups && activeSelector === 'owner'\"\n  [userlist]=\"ownersList\"\n  [selectedUsers]=\"riskForm.ownersList\"\n  [groupList]=\"groupsList\"\n  [nonRemovableUserIds]=\"nonRemovableUsersList\"\n  (save)=\"saveSelectedOwnersList($event)\"\n  [selectedGroups]=\"riskForm.groupsList\"\n  (cancel)=\"activateSelector('owner', false)\"\n  [groupEnabled]=\"true\"\n  [featureflag]=\"featureflag_groups\"\n  [loading]=\"!usersListLoaded\"\n>\n</user-group-list>\n\n<user-group-list\n  *ngIf=\"featureflag_groups && activeSelector === 'overseer'\"\n  [userlist]=\"overseersList\"\n  [selectedUsers]=\"riskForm.overseersList\"\n  [groupList]=\"overseersGroupList\"\n  (save)=\"saveSelectedOverseersList($event)\"\n  [selectedGroups]=\"riskForm.overseersGroupList\"\n  (cancel)=\"activateSelector('overseer', false)\"\n  [groupEnabled]=\"true\"\n  [featureflag]=\"featureflag_groups\"\n  [loading]=\"!usersListLoaded\"\n>\n</user-group-list>\n\n<app-category-list\n  *ngIf=\"activeSelector === 'category'\"\n  [categoryList]=\"categoryList\"\n  [selectedCategory]=\"riskForm.category\"\n  (saveSelectedCategory)=\"saveSelectedCategory($event)\"\n  (closeCategoriesList)=\"activateSelector('category', false)\"\n  [loaded]=\"categoryListLoaded\"\n></app-category-list>\n<app-owner-list\n  *ngIf=\"!featureflag_groups && activeSelector === 'overseer'\"\n  [usersList]=\"overseersList\"\n  [selectedUsers]=\"riskForm.overseersList\"\n  [userIdKey]=\"'member_id'\"\n  [itemNameKey]=\"'member_name'\"\n  [itemEmailKey]=\"'member_email'\"\n  (saveSelectedList)=\"saveSelectedOverseersList($event)\"\n  (closeUsersList)=\"activateSelector('overseer', false)\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n>\n</app-owner-list>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n<app-frequency-dialog-container\n  *ngIf=\"activeSelector === 'frequency'\"\n  [frequencyDetails]=\"frequencyDetails\"\n  (selectedFrequency)=\"frequencyData($event)\"\n  (closeFrequency)=\"activateSelector('frequency', false)\"\n>\n</app-frequency-dialog-container>\n\n<app-grc-object-list\n  *ngIf=\"activeSelector === 'GRC'\"\n  [grcObject]=\"grcList\"\n  [selectedGRC]=\"riskForm.selectedGRCObjects | refDisconnect\"\n  [loader]=\"grcLoader\"\n  [tableCard]=\"otherGRCCard\"\n  [selectedTab]=\"selectedGRCTab\"\n  [cardLoader]=\"grcTabLoader\"\n  (getOtherGRCObjects)=\"getOtherGRCObjects($event)\"\n  (saveOtherGRC)=\"saveSelectedList($event)\"\n  (closeOtherGRC)=\"activateSelector('GRC', false)\"\n></app-grc-object-list>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflw-risk{display:block;position:relative}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "directive", type: ClickOutsideDirective$1, selector: "[clickOutside]", outputs: ["clickOutside"] }, { kind: "component", type: UserGroupListComponent, selector: "user-group-list", inputs: ["groupEnabled", "panelTitle", "singleSelect", "selectedReviewer", "featureflag", "reviewerWorkflowType", "mode", "fieldType", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds", "FromProgram", "userListInfo", "groupListInfo", "fromApprovalWorkflow", "approvalType", "showFutureUsersSwitch", "futureUsersWillSelect", "isAllDisabled", "isGroupTabShow", "disabledIds", "nonRemovableUserIds", "allUserSelectedDisabled", "nonRemovableGroupIds", "loading", "userlist", "selectedUsers", "defaultSelectedUsers", "userType", "groupList", "selectedGroups"], outputs: ["save", "cancel", "reviewerWorkflowTypeChange", "fetchUserData"] }, { kind: "component", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: ["responsibilityCentersList", "selectedResponsibilityCenters", "rcIdKey", "radioSelection", "pluralText", "singularText", "loaded"], outputs: ["saveSelectedList", "closeRcList"] }, { kind: "component", type: GrcObjectListComponent, selector: "app-grc-object-list", inputs: ["grcObject", "currentPage", "loader", "tableCard", "selectedTab", "cardLoader", "onEditGRCId", "mode", "selectedGRC"], outputs: ["saveOtherGRC", "closeOtherGRC", "getOtherGRCObjects"] }, { kind: "component", type: OwnerListComponent, selector: "app-owner-list", inputs: ["usersList", "selectedUsers", "userIdKey", "itemNameKey", "itemEmailKey", "showWorkflow", "listHeading", "searchPlaceholder", "pluralText", "singularText", "reviewerWorkflowType", "mode", "noDataText", "workflowList", "workflowText", "disabledIds", "nonRemovableUsersList", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds"], outputs: ["saveSelectedList", "closeUsersList", "reviewerWorkflowTypeChange"] }, { kind: "component", type: CategoryListComponent, selector: "app-category-list", inputs: ["categoryList", "selectedCategory", "loaded"], outputs: ["saveSelectedCategory", "closeList", "closeCategoriesList"] }, { kind: "component", type: FrequencyDialogContainerComponent, selector: "app-frequency-dialog-container", inputs: ["mode", "frequencyDetails"], outputs: ["selectedFrequency", "closeFrequency"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: i1$1.TitleCasePipe, name: "titlecase" }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }, { kind: "pipe", type: RefDisconnectPipe, name: "refDisconnect" }, { kind: "pipe", type: ShortMergePipe, name: "shortMerge" }, { kind: "pipe", type: SpaceTrimPipe, name: "spaceTrim" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowRiskComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-risk', template: "<div class=\"workflw-risk\" *ngIf=\"!showSmiley\">\n  <!-- Risk Type -->\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left checked\">\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Type <span class=\"required\">*</span></label\n        >\n        <div class=\"risk-type-field\">\n          <div\n            class=\"type-item\"\n            [class.active]=\"riskForm?.riskType === 'NORMAL'\"\n          >\n            <button\n              [class.disabled]=\"!riskTypeChangeAllowed\"\n              (click)=\"changeRisk('NORMAL')\"\n            >\n              ADD TO RISK REGISTER\n            </button>\n            <i\n              class=\"icons info\"\n              [appTooltip]=\"\n                'This option lets you add a risk directly to the Risk Register. The risk owners will receive an alert and they can begin the the risk assessment process.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <div\n            class=\"type-item\"\n            [class.active]=\"riskForm?.riskType === 'REPORTED'\"\n          >\n            <button\n              [class.disabled]=\"!riskTypeChangeAllowed\"\n              (click)=\"changeRisk('REPORTED')\"\n            >\n              REPORT A RISK\n            </button>\n            <i\n              class=\"icons info\"\n              [appTooltip]=\"\n                'This options lets you report a risk and assign it to the risk owners. The risk owners will have the option to either add the risk to the Risk Register or flag it for a follow-up at a later date.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <span class=\"background-glider\"></span>\n        </div>\n        <p *ngIf=\"false\" class=\"error-message\">Add a risk type</p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Name -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'name' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm.title\">\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"im\"\n        *ngIf=\"\n          riskForm?.title?.trim()?.length === 0 || activeSelector === 'name'\n        \"\n      />\n\n      <svg\n        *ngIf=\"riskForm?.title?.trim()?.length > 0 && activeSelector !== 'name'\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >WHAT RISK WOULD YOU LIKE TO MANAGE?\n          <span class=\"required\">*</span></label\n        >\n        <input\n          spaceTrim\n          type=\"text\"\n          (keydown)=\"activeSelector = 'name'\"\n          (focusin)=\"activateSelector('name', true)\"\n          (focusout)=\"activateSelector('name', false)\"\n          [(ngModel)]=\"riskForm.title\"\n          placeholder=\"Add a risk name\"\n          *ngIf=\"riskForm?.title?.trim() == '' || activeSelector === 'name'\"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"riskForm?.title?.trim() != '' && activeSelector !== 'name'\"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ riskForm.title }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"activateSelector('name', true)\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p *ngIf=\"submitted && !riskForm.title\" class=\"error-message\">\n          Add a risk name\n        </p>\n        <vcomply-editor\n          [(ngModel)]=\"riskForm.description\"\n          [editorConfig]=\"description\"\n          (clickOutside)=\"checkDescription()\"\n        ></vcomply-editor>\n        <p\n          *ngIf=\"\n            submitted &&\n            riskForm.riskType === 'REPORTED' &&\n            !riskForm?.description?.trim()?.length\n          \"\n          class=\"error-message\"\n        >\n          Add a risk description\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Manager -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'owner'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'owner' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.ownersList?.length > 0\">\n      <img\n        *ngIf=\"riskForm?.ownersList?.length == 0 || activeSelector === 'owner'\"\n        [src]=\"ASSETS.im_creating\"\n        alt=\"\"\n      />\n\n      <svg\n        *ngIf=\"riskForm?.ownersList?.length > 0 && activeSelector !== 'owner'\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >WHO IS RESPONSIBLE FOR MANAGING THIS RISK?\n          <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This is the person that is responsible for managing the risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <div class=\"select\" *ngIf=\"riskForm?.ownersList?.length == 0\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('owner', true)\"\n            placeholder=\"Select Risk Manager(s)\"\n            readonly\n          />\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            riskForm?.ownersList?.length > 0 || riskForm?.groupsList.length > 0\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureflag_groups\"\n          >\n            <ng-container\n              *ngIf=\"\n                riskForm?.ownersList\n                  | shortMerge : nonRemovableUsersList as ownerList\n              \"\n            >\n              <ng-container *ngFor=\"let owner of ownerList?.slice(0, 1)\">\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  *ngIf=\"!nonRemovableUsersList.includes(owner?.member_id)\"\n                  (click)=\"remove('owner', owner)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"owner?.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ owner?.member_name }}</span\n                >\n              </ng-container>\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"popoverOwner.popover()\"\n              placement=\"left\"\n              *ngIf=\"riskForm?.ownersList?.length > 1\"\n            >\n              +{{ riskForm?.ownersList?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"!featureflag_groups\" [class.more-one]=\"riskForm?.ownersList?.length>1\" [class.plus]=\"riskForm?.ownersList?.length>2\">\n                      <ng-container *ngIf=\"(riskForm?.ownersList|shortMerge : nonRemovableUsersList) as ownerList\">\n                          <span class=\"chip\" *ngFor=\"let owner of ownerList?.slice(0,2)\"><i class=\"icons\" *ngIf=\"!nonRemovableUsersList.includes(owner?.member_id)\" (click)=\"remove('owner',owner)\">&#xe90d;</i> {{owner?.member_name}}</span>\n                          <button class=\"count\" *ngIf=\"riskForm?.ownersList?.length > 2\" type=\"button\" appPopover (click)=\"popoverOwner.popover()\" placement=\"right\">+{{riskForm?.ownersList?.slice(2).length}}</button>\n                      </ng-container>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureflag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"\n                  !nonRemovableUsersList.includes(\n                    riskForm?.ownersList[0]?.member_id\n                  )\n                \"\n                (click)=\"remove('owner', riskForm?.ownersList[0])\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.ownersList[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ riskForm?.ownersList[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"popoverUser.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.ownersList.length > 1\"\n              >\n                +{{ riskForm?.ownersList.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"riskForm?.groupsList.length > 0\"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"riskForm?.groupsList.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('Ownergroup', riskForm?.groupsList[0])\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.groupsList[0]?.group_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ riskForm?.groupsList[0]?.group_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.groupsList?.length > 1\"\n              >\n                +{{ riskForm?.groupsList?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureflag_groups\">\n                      <div class=\"chip-inner\" >\n                        <i class=\"icons cross vx-mr-1\" *ngIf=\"!nonRemovableUsersList.includes(riskForm?.ownersList[0]?.member_id)\" (click)=\"remove('owner',riskForm?.ownersList[0])\" >&#xe90d;</i>\n                          <span class=\"chip\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{riskForm?.ownersList[0]?.member_name}}</span></span>\n                          <button *ngIf=\"riskForm?.ownersList.length > 1\" class=\"count user\" appPopover (click)=\"popoverUser.popover()\" placement=\"right\">+{{riskForm?.ownersList.length - 1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"riskForm?.groupsList.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"riskForm?.groupsList.length > 0\" >\n                        <i class=\"icons cross vx-mr-1\" (click)=\"remove('Ownergroup', riskForm?.groupsList[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"riskForm?.groupsList[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{riskForm?.groupsList[0]?.group_name}}</span></span>\n                          <button *ngIf=\"riskForm?.groupsList?.length > 1\" class=\"count\" appPopover (click)=\"group.popover()\" placement=\"right\">+{{riskForm?.groupsList?.length -1}}</button>\n                      </div>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'owner'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('owner', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && riskForm?.ownersList?.length === 0\"\n          class=\"error-message\"\n        >\n          Select Owner(s) for this risk.\n        </p>\n        <app-popover #popoverOwner [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ng-container\n              *ngIf=\"\n                riskForm?.ownersList\n                  | shortMerge : nonRemovableUsersList as ownerPop\n              \"\n            >\n              <ul class=\"action-item\">\n                <li *ngFor=\"let owner of ownerPop | slice : 1; let j = index\">\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        *ngIf=\"\n                          !nonRemovableUsersList.includes(owner?.member_id)\n                        \"\n                        class=\"icons\"\n                        (click)=\"remove('owner', owner)\"\n                        >&#xe90d;</i\n                      >\n                      {{ owner.member_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </ng-container>\n          </div>\n        </app-popover>\n        <app-popover #popoverUser [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ng-container\n              *ngIf=\"\n                riskForm?.ownersList\n                  | shortMerge : nonRemovableUsersList as ownerPop\n              \"\n            >\n              <ul class=\"action-item\">\n                <li *ngFor=\"let owner of ownerPop | slice : 1; let j = index\">\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        *ngIf=\"\n                          !nonRemovableUsersList.includes(owner?.member_id)\n                        \"\n                        class=\"icons\"\n                        (click)=\"remove('owner', owner)\"\n                        >&#xe90d;</i\n                      >\n                      {{ owner.member_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </ng-container>\n          </div>\n        </app-popover>\n        <app-popover #group [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let data of riskForm?.groupsList | slice : 1\">\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('Ownergroup', data)\"\n                      >&#xe90d;</i\n                    >\n                    {{ data.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Responsibility Center -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'rc'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'rc' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"riskForm?.responsibilityCentersList?.length > 0\"\n    >\n      <img\n        *ngIf=\"\n          riskForm?.responsibilityCentersList?.length == 0 ||\n          activeSelector === 'rc'\n        \"\n        [src]=\"ASSETS.responsibility_center\"\n        alt=\"\"\n      />\n\n      <svg\n        *ngIf=\"\n          riskForm?.responsibilityCentersList?.length > 0 &&\n          activeSelector !== 'rc'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Responsibility Center <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'Responsibility Centers represent the corporate and operational infrastructure of an organization. One or more Responsibility Centers can be exposed to a risk and accordingly, the risk must be assessed against each Responsibility Center.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <div\n          class=\"select\"\n          *ngIf=\"riskForm?.responsibilityCentersList?.length == 0\"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('rc', true)\"\n            placeholder=\"Select Responsibility Center(s)\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"riskForm?.responsibilityCentersList?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let rcName of riskForm?.responsibilityCentersList?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('rc', rcName)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"rcName.item_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ rcName.item_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"popoverRC.popover()\"\n              placement=\"left\"\n              *ngIf=\"riskForm?.responsibilityCentersList?.length > 1\"\n            >\n              +{{ riskForm?.responsibilityCentersList?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"riskForm?.responsibilityCentersList?.length>1\" [class.plus]=\"riskForm?.responsibilityCentersList?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let rcName of riskForm?.responsibilityCentersList?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('rc',rcName)\">&#xe90d;</i> {{rcName.item_name}}</span>\n                      <button class=\"count\" *ngIf=\"riskForm?.responsibilityCentersList?.length > 2\" type=\"button\" appPopover (click)=\"popoverRC.popover()\" placement=\"right\">+{{riskForm?.responsibilityCentersList?.slice(2).length}}</button>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'rc'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('rc', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && riskForm?.responsibilityCentersList?.length == 0\"\n          class=\"error-message\"\n        >\n          Assign this risk to a Responsibility Center(s)\n        </p>\n        <app-popover #popoverRC [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let rcName of riskForm?.responsibilityCentersList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('rc', rcName)\">&#xe90d;</i>\n                    {{ rcName.item_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Frequency -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'frequency'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'frequency' &&\n      sideSelectorElements?.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm?.riskType !== 'REPORTED'\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.category?.selectedCategory\">\n      <img\n        *ngIf=\"\n          !riskForm?.frequency_details?.frequency ||\n          riskForm?.frequency_details?.frequency === '' ||\n          activeSelector === 'frequency'\n        \"\n        [src]=\"ASSETS.when\"\n        alt=\"\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          (riskForm?.frequency_details?.frequency &&\n            riskForm?.frequency_details?.frequency !== '') ||\n          activeSelector !== 'frequency'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >HOW OFTEN DOES THIS RISK NEED TO BE REASSESSED?\n          <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The option lets you specify the risk reassessment frequency.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div\n          class=\"select\"\n          *ngIf=\"!riskForm?.frequency_details?.frequency\"\n          (click)=\"activateSelector('frequency', true)\"\n        >\n          <input\n            type=\"text\"\n            placeholder=\"Set a Reassessment Frequency\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected button-sec\"\n          *ngIf=\"riskForm?.frequency_details?.frequency\"\n        >\n          <span\n            class=\"chip\"\n            [appTooltip]=\"frequencyPlaceholder\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            >{{ frequencyPlaceholder }}</span\n          >\n          <button\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('frequency', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <div class=\"vx-mt-1\">\n          <app-cs-switch\n            [ngValue]=\"riskForm?.enableAllFutureBusinessCycle\"\n            (ngValueChange)=\"riskForm.enableAllFutureBusinessCycle = $event\"\n            >DO YOU WANT THIS TO SHOW IN ALL FUTURE BUSINESS CYCLES?\n          </app-cs-switch>\n        </div>\n        <p\n          *ngIf=\"\n            submitted &&\n            (!riskForm?.frequency_details?.frequency ||\n              riskForm?.frequency_details?.frequency === '')\n          \"\n          class=\"error-message\"\n        >\n          Please select the frequency of occurrence for this risk.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Category -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'category'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'category' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.category?.selectedCategory\">\n      <img\n        *ngIf=\"\n          !riskForm?.category?.selectedCategory || activeSelector === 'category'\n        \"\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          riskForm?.category?.selectedCategory && activeSelector !== 'category'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Category\n          <i\n            class=\"icons\"\n            [appTooltip]=\"'Risk Categories are used to group similar risks.'\"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div class=\"select\" *ngIf=\"!riskForm?.category?.selectedCategory\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('category', true)\"\n            placeholder=\"Select Risk Category\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"riskForm?.category?.selectedCategory\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('category', riskForm.category.selectedCategory)\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"riskForm?.category?.selectedCategory?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ riskForm?.category?.selectedCategory?.category_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"remove('category',riskForm.category.selectedCategory)\">&#xe90d;</i>{{riskForm?.category?.selectedCategory?.category_name}}</span>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'category'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('category', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <ng-container *ngIf=\"riskForm?.categoryCustomTags?.length > 0\">\n        <div\n          class=\"vx-form-group\"\n          *ngFor=\"let tag of riskForm.categoryCustomTags\"\n        >\n          <label class=\"vx-control-panel\">{{ tag.custom_tag_name }}</label>\n          <input\n            type=\"text\"\n            [(ngModel)]=\"tag.custom_tag_value\"\n            [placeholder]=\"tag.custom_tag_name\"\n          />\n        </div>\n      </ng-container>\n    </div>\n  </div>\n\n  <!-- Recommended Mitigation Plan -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'mitigation' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      id=\"riskSpace\"\n      class=\"left\"\n      [class.checked]=\"(riskForm.mitigationDescriptionPlan | spaceTrim) !== ''\"\n    >\n      <img\n        *ngIf=\"(riskForm.mitigationDescriptionPlan | spaceTrim) === ''\"\n        [src]=\"ASSETS.objectives\"\n        alt=\"\"\n      />\n      <svg\n        *ngIf=\"(riskForm.mitigationDescriptionPlan | spaceTrim) !== ''\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label for=\"\" class=\"vx-control-panel\"\n          >Recommended Mitigation Plans<link\n            rel=\"manifest\"\n            href=\"./manifest.json\"\n          />\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'Specify the mitigation plan that can be undertaken to mitigate the risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <vcomply-editor\n          [(ngModel)]=\"riskForm.mitigationDescriptionPlan\"\n          [editorConfig]=\"mitigationDescriptionPlan\"\n          (clickOutside)=\"checkMitigationPlan()\"\n        >\n        </vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Assessment Deadline -->\n  <!-- !settingsInfo?.assessment_deadline_enable && riskForm?.riskType !== 'REPORTED' && ((currentTimeStamp < editDetails?.assessment_date_timestamp) || !editDetails?.IfAssessmentDone ) -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'assessment'\"\n    id=\"deadline\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assessment' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"false\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.assessment_deadline_days >= 1\">\n      <img\n        [src]=\"ASSETS.when\"\n        *ngIf=\"\n          riskForm?.assessment_deadline_days < 1 ||\n          activeSelector === 'assessment'\n        \"\n        alt=\"\"\n      />\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          riskForm?.assessment_deadline_days >= 1 &&\n          activeSelector !== 'assessment'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Assessment Deadline <span class=\"required\">*</span>\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This is the date that the inherent risk assessment must be completed by.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div class=\"input\">\n          <span class=\"text\">Set Number of days</span>\n          <div class=\"input-group counter\">\n            <button (click)=\"changeRiskAssessment('subtract')\">\n              <i class=\"icons\">&#xea53;</i>\n            </button>\n            <input\n              type=\"number\"\n              [(ngModel)]=\"riskForm.assessment_deadline_days\"\n              (focusin)=\"activateSelector('assessment', true)\"\n              (focusout)=\"activateSelector('assessment', false)\"\n              name=\"riskAssessmentDeadline\"\n              validateAssessment\n              #deadline=\"ngModel\"\n              (ngModelChange)=\"changeRiskAssessmentDeadline($event)\"\n              onkeydown=\"return event.keyCode !== 190\"\n              min=\"0\"\n              oninput=\"this.value = Math.abs(this.value)\"\n            />\n            <button (click)=\"changeRiskAssessment('add')\">\n              <i class=\"icons\">&#xe915;</i>\n            </button>\n          </div>\n        </div>\n        <p\n          *ngIf=\"submitted && riskForm?.assessment_deadline_days < 1\"\n          class=\"error-message\"\n        >\n          Enter a value greater than 0.\n        </p>\n        <label\n          class=\"vx-control-panel\"\n          *ngIf=\"riskForm?.assessment_deadline_days >= 1\"\n        >\n          This risk assessment needs to be completed by\n          {{ date | date : \"dd MMM yyyy\" }}\n        </label>\n      </div>\n    </div>\n  </div>\n\n  <!--Risk Owner-->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'riskowner' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm.addRiskOwner\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm.risk_owner\">\n      <img\n        [src]=\"ASSETS.case_owners\"\n        alt=\"im\"\n        *ngIf=\"\n          riskForm?.risk_owner?.trim()?.length === 0 ||\n          activeSelector === 'riskowner'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          riskForm?.risk_owner?.trim()?.length > 0 &&\n          activeSelector !== 'riskowner'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label for=\"\" class=\"vx-control-panel\"\n          >Risk Owner<link rel=\"manifest\" href=\"./manifest.json\" />\n          <i\n            class=\"icons\"\n            appTooltip=\"This is either a person, department owner or a functional role within the organization that owns the risk. Example: For IT risk, the Risk Owner could be the 'Director of IT & Security.'\"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </label>\n        <input\n          spaceTrim\n          type=\"text\"\n          (keydown)=\"activeSelector = 'riskowner'\"\n          (focusin)=\"activateSelector('riskowner', true)\"\n          (focusout)=\"activateSelector('riskowner', false)\"\n          [(ngModel)]=\"riskForm.risk_owner\"\n          placeholder=\"Specify the name of the person, department head or funct...\"\n          [appTooltip]=\"\n            'Specify the name of the person, department head or functional role that owns this risk'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n          *ngIf=\"\n            riskForm?.risk_owner?.trim() == '' || activeSelector === 'riskowner'\n          \"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            riskForm?.risk_owner?.trim() != '' && activeSelector !== 'riskowner'\n          \"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ riskForm.risk_owner }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"activateSelector('riskowner', true)\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n    </div>\n  </div>\n  <!-- Risk Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'overseer'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'overseer' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm.addOverseer\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm?.overseersList?.length > 0\">\n      <img\n        *ngIf=\"\n          riskForm?.overseersList?.length == 0 || activeSelector === 'overseer'\n        \"\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n      />\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          riskForm?.overseersList?.length > 0 && activeSelector !== 'overseer'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Oversight<i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This is the person that is responsible for overseeing the risk but who is not responsible for managing the risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <div\n          class=\"select\"\n          *ngIf=\"\n            riskForm?.overseersList?.length == 0 &&\n            riskForm?.overseersGroupList?.length == 0\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('overseer', true)\"\n            placeholder=\"Select Risk Oversight(s)\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            riskForm?.overseersList?.length > 0 ||\n            riskForm?.overseersGroupList.length > 0\n          \"\n        >\n          <ng-container *ngIf=\"!featureflag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let owner of riskForm?.overseersList?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('overseer', owner)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"owner.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ owner.member_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"popoverOverseer.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.overseersList?.length > 1\"\n              >\n                +{{ riskForm?.overseersList?.slice(1).length }}\n              </button>\n            </div>\n          </ng-container>\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureflag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('overseer', riskForm?.overseersList[0])\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.overseersList[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                *ngIf=\"riskForm?.overseersList.length > 0\"\n                >{{ riskForm?.overseersList[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"overseer.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.overseersList.length > 1\"\n              >\n                +{{ riskForm?.overseersList.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                riskForm?.overseersList.length > 0 &&\n                riskForm?.overseersGroupList.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"riskForm?.overseersGroupList.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('overseergroup', riskForm?.overseersGroupList[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"riskForm?.overseersGroupList[0]?.group_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ riskForm?.overseersGroupList[0]?.group_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"riskForm?.overseersGroupList?.length > 1\"\n              >\n                +{{ riskForm?.overseersGroupList?.length - 1 }}\n              </button>\n            </div>\n          </div>\n          <button\n            *ngIf=\"activeSelector !== 'overseer'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('overseer', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #popoverOverseer [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let owner of riskForm?.overseersList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', owner)\"\n                      >&#xe90d;</i\n                    >\n                    {{ owner.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseer [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let owner of riskForm?.overseersList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', owner)\"\n                      >&#xe90d;</i\n                    >\n                    {{ owner.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let data of riskForm?.overseersGroupList | slice : 1\">\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseergroup', data)\"\n                      >&#xe90d;</i\n                    >\n                    {{ data.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Mitigation Priority -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector && sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm.addMitigation\"\n  >\n    <div class=\"left\" [class.checked]=\"riskForm.mitigation\">\n      <img [src]=\"ASSETS.priority\" *ngIf=\"!riskForm.mitigation\" alt=\"\" />\n      <!-- <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n              <circle cx=\"50\" cy=\"50\" r=\"20\" fill=\"none\" stroke=\"#1e5dd3\" stroke-width=\"3\" class=\"loader-path\"></circle>\n          </svg> -->\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"riskForm.mitigation\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Risk Mitigation Priority\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This sets the priority level for the mitigation of each risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n\n        <cs-select\n          [(ngModel)]=\"riskForm.mitigation\"\n          [placeholder]=\"'Select a mitigation priority'\"\n          name=\"riskForm.mitigation\"\n        >\n          <cs-option\n            *ngFor=\"let data of mitigationDetails\"\n            [value]=\"data?.mitigation_id\"\n            [color]=\"data?.mitigation_color\"\n          >\n            {{ data.mitigation_name }}\n          </cs-option>\n        </cs-select>\n      </div>\n    </div>\n  </div>\n\n  <!-- Risk Label -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector && sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm?.addRiskLabel\"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <!-- <img *ngIf=\"true\"\n              src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/oversight.svg\" alt=\"\" /> -->\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"true\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >RISK LABEL\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This option lets you specify if this is a newly identified risk or it is a rapidly changing risk.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          ></label\n        >\n        <cs-select\n          [(ngModel)]=\"riskForm.riskLabelValue\"\n          [placeholder]=\"'Select a risk label'\"\n          name=\"riskForm?.riskLabelValue\"\n        >\n          <cs-option *ngFor=\"let data of riskLabelList\" [value]=\"data?.value\">\n            {{ data?.name }}\n          </cs-option>\n        </cs-select>\n      </div>\n    </div>\n  </div>\n  <!-- Link with  GRC -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'GRC'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'GRC' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n    *ngIf=\"riskForm?.GRC\"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"this.riskForm?.selectedGRCObjects?.length > 0\"\n    >\n      <img\n        *ngIf=\"\n          this.riskForm?.selectedGRCObjects?.length == 0 ||\n          activeSelector === 'GRC'\n        \"\n        [src]=\"ASSETS.link_items\"\n        alt=\"\"\n      />\n\n      <svg\n        *ngIf=\"\n          this.riskForm?.selectedGRCObjects?.length > 0 &&\n          activeSelector !== 'GRC'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">LINK GRC OBJECT(S) </label>\n        <div class=\"select\" *ngIf=\"riskForm?.selectedGRCObjects?.length === 0\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('GRC', true)\"\n            placeholder=\"Select GRC object(s) to link with this risk.\"\n            readonly\n          />\n        </div>\n        <ng-container *ngIf=\"riskForm?.selectedGRCObjects?.length\">\n          <ng-container\n            *ngFor=\"let selectedGRC of GRC_TYPE_ARRAY; let i = index\"\n          >\n            <div\n              *ngIf=\"grcDataWithTypes[selectedGRC]?.length\"\n              class=\"selected vx-mb-2\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <ng-container\n                  *ngFor=\"let grc of grcDataWithTypes[selectedGRC]?.slice(0, 1)\"\n                >\n                  <i\n                    class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                    (click)=\"remove('GRC', grc, 0)\"\n                    >&#xe9ae;</i\n                  >\n                  <div\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    {{ selectedGRC | titlecase }}\n                  </div>\n\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"grc?.name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ grc?.name }}</span\n                  >\n                </ng-container>\n\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"popoverGRC.popover()\"\n                  placement=\"left\"\n                  *ngIf=\"grcDataWithTypes[selectedGRC]?.length > 1\"\n                >\n                  +{{ grcDataWithTypes[selectedGRC].length - 1 }}\n                </button>\n              </div>\n\n              <button\n                *ngIf=\"activeSelector !== 'GRC'\"\n                class=\"edit\"\n                type=\"button\"\n                (click)=\"\n                  selectedGRCTab = grcDataWithTypes[selectedGRC][0]?.type;\n                  getOtherGRCObjects();\n                  activateSelector('GRC', true)\n                \"\n              >\n                <i class=\"icons\">&#xe9ba;</i> Edit\n              </button>\n            </div>\n            <app-popover #popoverGRC [dontCloseonClick]=\"true\">\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"\n                      let grc of grcDataWithTypes[selectedGRC] | slice : 1;\n                      let j = index\n                    \"\n                  >\n                    <div class=\"avatar-card\">\n                      <span class=\"value\">\n                        <i class=\"icons\" (click)=\"remove('GRC', grc, j + 1)\"\n                          >&#xe90d;</i\n                        >\n                        {{ grc.name }}\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n          </ng-container>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n</div>\n<app-responsibility-centers-list\n  *ngIf=\"activeSelector === 'rc'\"\n  [responsibilityCentersList]=\"responsibilityCentersList\"\n  [selectedResponsibilityCenters]=\"riskForm.responsibilityCentersList\"\n  [rcIdKey]=\"'rc_id'\"\n  (saveSelectedList)=\"saveSelectedRCList($event)\"\n  (closeRcList)=\"activateSelector('rc', false)\"\n  [singularText]=\"'Responsibility Center selected'\"\n  [pluralText]=\"'Responsibility Centers selected'\"\n  [loaded]=\"rcListLoaded\"\n>\n</app-responsibility-centers-list>\n\n<app-owner-list\n  *ngIf=\"!featureflag_groups && activeSelector === 'owner'\"\n  [usersList]=\"ownersList\"\n  [selectedUsers]=\"riskForm.ownersList\"\n  [userIdKey]=\"'member_id'\"\n  [itemEmailKey]=\"'member_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedOwnersList($event)\"\n  [nonRemovableUsersList]=\"nonRemovableUsersList\"\n  (closeUsersList)=\"activateSelector('owner', false)\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n></app-owner-list>\n\n<user-group-list\n  *ngIf=\"featureflag_groups && activeSelector === 'owner'\"\n  [userlist]=\"ownersList\"\n  [selectedUsers]=\"riskForm.ownersList\"\n  [groupList]=\"groupsList\"\n  [nonRemovableUserIds]=\"nonRemovableUsersList\"\n  (save)=\"saveSelectedOwnersList($event)\"\n  [selectedGroups]=\"riskForm.groupsList\"\n  (cancel)=\"activateSelector('owner', false)\"\n  [groupEnabled]=\"true\"\n  [featureflag]=\"featureflag_groups\"\n  [loading]=\"!usersListLoaded\"\n>\n</user-group-list>\n\n<user-group-list\n  *ngIf=\"featureflag_groups && activeSelector === 'overseer'\"\n  [userlist]=\"overseersList\"\n  [selectedUsers]=\"riskForm.overseersList\"\n  [groupList]=\"overseersGroupList\"\n  (save)=\"saveSelectedOverseersList($event)\"\n  [selectedGroups]=\"riskForm.overseersGroupList\"\n  (cancel)=\"activateSelector('overseer', false)\"\n  [groupEnabled]=\"true\"\n  [featureflag]=\"featureflag_groups\"\n  [loading]=\"!usersListLoaded\"\n>\n</user-group-list>\n\n<app-category-list\n  *ngIf=\"activeSelector === 'category'\"\n  [categoryList]=\"categoryList\"\n  [selectedCategory]=\"riskForm.category\"\n  (saveSelectedCategory)=\"saveSelectedCategory($event)\"\n  (closeCategoriesList)=\"activateSelector('category', false)\"\n  [loaded]=\"categoryListLoaded\"\n></app-category-list>\n<app-owner-list\n  *ngIf=\"!featureflag_groups && activeSelector === 'overseer'\"\n  [usersList]=\"overseersList\"\n  [selectedUsers]=\"riskForm.overseersList\"\n  [userIdKey]=\"'member_id'\"\n  [itemNameKey]=\"'member_name'\"\n  [itemEmailKey]=\"'member_email'\"\n  (saveSelectedList)=\"saveSelectedOverseersList($event)\"\n  (closeUsersList)=\"activateSelector('overseer', false)\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n>\n</app-owner-list>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n<app-frequency-dialog-container\n  *ngIf=\"activeSelector === 'frequency'\"\n  [frequencyDetails]=\"frequencyDetails\"\n  (selectedFrequency)=\"frequencyData($event)\"\n  (closeFrequency)=\"activateSelector('frequency', false)\"\n>\n</app-frequency-dialog-container>\n\n<app-grc-object-list\n  *ngIf=\"activeSelector === 'GRC'\"\n  [grcObject]=\"grcList\"\n  [selectedGRC]=\"riskForm.selectedGRCObjects | refDisconnect\"\n  [loader]=\"grcLoader\"\n  [tableCard]=\"otherGRCCard\"\n  [selectedTab]=\"selectedGRCTab\"\n  [cardLoader]=\"grcTabLoader\"\n  (getOtherGRCObjects)=\"getOtherGRCObjects($event)\"\n  (saveOtherGRC)=\"saveSelectedList($event)\"\n  (closeOtherGRC)=\"activateSelector('GRC', false)\"\n></app-grc-object-list>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflw-risk{display:block;position:relative}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AddRiskService }, { type: AuthService$1 }, { type: UiKitService }, { type: SnackBarService }, { type: FrequencyService }, { type: GrcService }, { type: OrganizationCommonService }, { type: IframeService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { feature: [{
                type: Input
            }], mode: [{
                type: Input
            }], riskId: [{
                type: Input
            }], defaultRiskType: [{
                type: Input
            }], moveToRegisterMode: [{
                type: Input
            }], secondaryOpenPortal: [{
                type: Input
            }], showConfirmationAlert: [{
                type: Output
            }], pickerChanged: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], refreshForm: [{
                type: Output
            }], hideElementsFromMoreOptions: [{
                type: Output
            }], rcSelected: [{
                type: Output
            }], openedFrom: [{
                type: Input
            }] } });

class ProgramsService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        if (config) {
            this.env = config.envConfig;
        }
    }
    getRoles() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env?.organizationGet +
            'roles/getProgramRoles&bypass-businessCycle=true', { headers });
    }
    /**
     * Uploads the given file to server
     * @param payload payload File data to be uploaded
     * @param path path Path of file to be uploaded
     * @returns response after uploading a file
     */
    uploadFiles(payload, path) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        const ORG_PATH = `o/${path}`;
        return this.http.post(this.env.fileUploadEndPoint + ORG_PATH + '&ngsw-bypass=true', payload, { headers });
    }
    getResponsibilityCenterList() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env?.complianceGet +
            'responsibilityCenterTree&bypass-businessCycle=true', {
            headers,
        })
            .pipe(retry$1(2));
    }
    fetchRoleUsers(roles, page, searchKey) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        let queryString = '';
        if (page) {
            queryString += `&page=${page}`;
        }
        if (searchKey) {
        }
        return this.http
            .post(this.env.organizationPost +
            'roles/getUserDetails&limit=30&bypass-businessCycle=true' +
            queryString, { role_ids: roles ?? [] }, { headers })
            .pipe(retry$1(2));
    }
    fetchAllRoleUsers(roles) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env?.organizationPost +
            'roles/getUserDetails&type=all&bypass-businessCycle=true', { role_ids: roles ?? [] }, { headers })
            .pipe(retry$1(2));
    }
    fetchAllRoleGroups(roles) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.organizationPost +
            'roles/getGroupDetails&type=all&bypass-businessCycle=true', { role_ids: roles ?? [] }, { headers })
            .pipe(retry$1(2));
    }
    fetchAllOrgUser() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        //https://devapi.v-comply.com/organization/?mode=organisationUsersList&paginationType=small&admin=1
        return this.http
            .get(this.env?.organizationGet +
            'organisationUsersList&paginationType=small&bypass-businessCycle=true', { headers })
            .pipe(retry$1(2));
    }
    fetchComplianceGroups() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        //https://devapi.v-comply.com/organization/?mode=groupsList&status=1&type=compliance
        return this.http
            .get(this.env?.organizationGet +
            'groupsList&status=1&type=compliance&bypass-businessCycle=true', { headers })
            .pipe(retry$1(2));
    }
    getBusinessCycle() {
        const businessCycle = JSON.parse(localStorage.getItem('businessCycle') ?? '{}');
        return {
            selected_cycle: businessCycle
                ? businessCycle?.selectedCycle?.start_date +
                    '-' +
                    businessCycle?.selectedCycle?.end_date
                : '',
            start_date: businessCycle ? businessCycle?.selectedCycle?.start_date : '',
            end_date: businessCycle ? businessCycle?.selectedCycle?.end_date : '',
            selected_cycle_arr: businessCycle
                ? businessCycle?.selectedCycle?.selected_cycle_arr
                : [],
        };
    }
    saveProgram(payload) {
        const headers = new HttpHeaders()
            .set('token', this.authService.getAuthorizationToken())
            .set('x-business-cycle', JSON.stringify(this.getBusinessCycle()));
        return this.http.post(this.env.programEndpoint + '/category/?isBusinessCycle=true', payload, { headers });
    }
    buildPayload(formData, instance) {
        const form = formData?.value;
        const option = instance.additionalOption;
        const hasProgramFullPermission = instance?.orgDetails?.hasProgramFullPermission;
        const payload = {
            mode: 'program',
            name: form?.program_name.trim() ?? '',
            description: {
                text: form?.program_description ?? '',
                attachments: form?.program_description_attachments ?? [],
            },
            program_objective: {
                text: form?.program_objective ?? '',
                attachments: form?.objective_attachment ?? [],
            },
            roles: form.program_roles.map((ele) => {
                return {
                    roleId: ele?._id,
                    roleName: ele?.roleName,
                    licenseType: ele?.licenseType,
                };
            }),
            owners: this.listToId(form?.program_owners, 'member_id') ?? [],
            owners_group: option?.ROLES
                ? this.listToId(form?.program_owners_group, 'group_id') ?? []
                : [],
            all_user_in_role: option?.ROLES ? form?.all_user_in_role ?? false : false,
            programType: form?.program_type ?? 0,
            // state:0,
            state: form?.program_state ?? 0,
            approvers: option?.APPROVER || !hasProgramFullPermission
                ? this.listToId(form?.program_approver, 'member_id') ?? []
                : [],
            calculate_past_upcoming_event: form?.performance_calculation ?? '',
            program_frequency: option.PROGRAM_FREQUENCY || !hasProgramFullPermission
                ? form?.recurring_frequency
                    ? 1
                    : 0
                : 1,
            lock_scope: option.SCOPE_CHANGES || !hasProgramFullPermission
                ? form?.lock_scope_change
                    ? 1
                    : 0
                : 0,
            rc_ids: option.RC || !hasProgramFullPermission
                ? this.listToId(form?.rc, 'item_id')
                : [],
            assignee_ids: option.ASSIGNEES || !hasProgramFullPermission
                ? this.listToId(form?.program_assignee, 'member_id')
                : [],
            assignee_group_ids: option.ASSIGNEES || !hasProgramFullPermission
                ? this.listToId(form?.program_assignee_group, 'group_id')
                : [],
            default_assignee_ids: option.ASSIGNEES || !hasProgramFullPermission
                ? this.listToId(form?.program_default_assignee, 'member_id')
                : [],
            default_assignee_group_ids: option.ASSIGNEES || !hasProgramFullPermission
                ? this.listToId(form?.program_default_assignee_group, 'group_id')
                : [],
            default_assignee_type: option.ASSIGNEES || !hasProgramFullPermission
                ? form?.assignee_completion_criteria
                : 'ALL',
            reviewers: option.REVIEWER || !hasProgramFullPermission
                ? this.listToId(form?.program_reviewer, 'member_id')
                : [],
            reviewer_group_ids: option.REVIEWER || !hasProgramFullPermission
                ? this.listToId(form?.program_reviewer_group, 'group_id')
                : [],
            default_reviewers: option.REVIEWER || !hasProgramFullPermission
                ? this.listToId(form?.program_default_reviewer, 'member_id')
                : [],
            default_reviewer_group_ids: option.REVIEWER || !hasProgramFullPermission
                ? this.listToId(form?.program_default_reviewer_group, 'group_id')
                : [],
            default_reviewers_type: form?.reviewer_completion_criteria,
            overseers: option.OVERSEER || !hasProgramFullPermission
                ? {
                    cc_email: this.listToId(form?.program_overseer, 'member_id'),
                    cc_email_groups: this.listToId(form?.program_overseer_group, 'group_id'),
                    failure_cc_email: [],
                    failure_cc_email_groups: [],
                }
                : {
                    cc_email: [],
                    cc_email_groups: [],
                    failure_cc_email: [],
                    failure_cc_email_groups: [],
                },
            default_overseers: option.OVERSEER || !hasProgramFullPermission
                ? {
                    cc_email: this.listToId(form?.program_default_overseer, 'member_id'),
                    cc_email_groups: this.listToId(form?.program_default_overseer_group, 'group_id'),
                    failure_cc_email: this.listToId(form?.program_default_failed_overseer, 'member_id'),
                    failure_cc_email_groups: this.listToId(form?.program_default_failed_overseer_group, 'group_id'),
                }
                : {
                    cc_email: [],
                    cc_email_groups: [],
                    failure_cc_email: [],
                    failure_cc_email_groups: [],
                },
            assessment: option?.ASSESSMENT || !hasProgramFullPermission
                ? this.generateAssessment(form.program_assessments)
                : [],
            evidence_upload_flag: option?.FORMATE_EVIDENCE || !hasProgramFullPermission
                ? form?.evidence_required
                    ? 1
                    : 0
                : 0,
            is_key_evidence: form?.allow_any_file_key_evidence,
            custom_fields: option?.CUSTOM_FIELDS ? form?.custom_fields ?? [] : [],
            framework: this.getFramework(form?.framework) ?? [],
            collaborators: this.listToId(form?.program_collaborator, 'member_id'),
            _id: instance.mode === 'EDIT' ? instance.programId : undefined,
        };
        return payload;
    }
    generateAssessment(assessment) {
        if (assessment && assessment?.length) {
            return assessment.map((cat) => {
                return {
                    ...cat,
                    assessmentIds: cat.assessmentIds?.map((assess) => assess.id),
                };
            });
        }
        else {
            return [];
        }
    }
    getFramework(input) {
        if (input) {
            return [
                {
                    _id: input?._id,
                    framework_name: input?.name,
                    type: input?.type,
                    in_scope: input?.in_scope
                        ? this.listToId(input?.in_scope, '_id')
                        : [],
                    out_scope: input?.out_scope
                        ? this.listToId(input?.out_scope, '_id')
                        : [],
                },
            ];
        }
        else {
            return [];
        }
    }
    listToId(list, key) {
        if (list && list?.length) {
            return list.map((ele) => ele[key]);
        }
        else {
            return [];
        }
    }
    /**
     *
     * @param id : program object id
     * @returns
     */
    getProgram(id) {
        const headers = new HttpHeaders()
            .set('token', this.authService.getAuthorizationToken())
            .set('x-business-cycle', JSON.stringify(this.getBusinessCycle()));
        return this.http.get(this.env?.programEndpoint +
            '/' +
            id +
            '?isBusinessCycle=true&bypass-businessCycle=true', { headers });
    }
    /**
     *
     * @param payload payload which need to be updated
     * @param id program object id
     * @returns
     */
    updateProgram(payload, id) {
        const headers = new HttpHeaders()
            .set('token', this.authService.getAuthorizationToken())
            .set('x-business-cycle', JSON.stringify(this.getBusinessCycle()));
        return this.http.post(this.env.programEndpoint +
            '/category/editCategory/' +
            id +
            '?isBusinessCycle=true&bypass-businessCycle=true', payload, { headers });
    }
    getMemeberByIds(ids) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.organizationPost +
            'memberDetailsbyIds&bypass-businessCycle=true', { member_id: ids }, { headers })
            .pipe(retry$1(2));
    }
    getMemberByGroups(ids) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.organizationPost +
            'groupDetailsbyIds&bypass-businessCycle=true', { group_ids: ids }, { headers })
            .pipe(retry$1(2));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ProgramsService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ProgramsService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ProgramsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class DialogConfig {
}

class DialogRef {
    constructor() {
        this.afterDialogClosed = new Subject();
        this.afterClosed = this.afterDialogClosed.asObservable();
    }
    close(result) {
        this.afterDialogClosed.next(result);
    }
}

class SingleLineEditorComponent {
    constructor() {
        this.placeholder = 'placeholder';
        this.editorMode = 'single';
        this.label = true;
        this.onChange = (value) => { };
        this.onTouched = () => { };
    }
    ngOnInit() {
        this.selectFunction = () => {
            this.bold = document.queryCommandState('bold');
            this.italic = document.queryCommandState('italic');
            this.underline = document.queryCommandState('underline');
        };
        document.addEventListener('selectionchange', this.selectFunction, false);
        this.sel = window.getSelection();
        if (!this.id) {
            this.id = this.generateUID();
        }
    }
    generateUID() {
        return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxx'.replace(/[xy]/g, function (c) {
            const r = Math.random() * 16 | 0, v = c == 'x' ? r : (r & 0x3 | 0x8);
            return v.toString(16);
        });
    }
    setValue() {
        const x = document.getElementById(this.id)?.innerHTML;
        if (x === '<br>') {
            const z = document.getElementById(this.id);
            z.innerHTML = '';
        }
        this.onChange(x);
    }
    writeValue(value) {
        this.containerValue = value;
        const containerRef = document.getElementById(this.id);
        if (containerRef) {
            setTimeout((val) => {
                containerRef.innerHTML = value;
                this.setValue();
            }, 150);
        }
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched() { }
    show(e) {
        this.showEditorControls = !this.showEditorControls;
        this.activeEditor = !this.activeEditor;
        document.getElementById(this.id)?.focus();
        this.setCaretToEnd();
    }
    insertBold() {
        document.getElementById(this.id)?.focus();
        document.execCommand('bold', false, '');
        this.bold = !this.bold;
    }
    insertItalic() {
        document.getElementById(this.id)?.focus();
        document.execCommand('italic', false, '');
        this.italic = !this.italic;
    }
    insertUnderLine() {
        document.getElementById(this.id)?.focus();
        document.execCommand('underline', false, '');
        this.underline = !this.underline;
    }
    onblur() {
        this.oldRange = window?.getSelection()?.getRangeAt(0).cloneRange(); // to store the range when element is blurred
    }
    setCaretToEnd() {
        window.getSelection()?.removeAllRanges();
        window.getSelection()?.addRange(this.oldRange);
    }
    showControls() {
        if (this.controls !== false) {
            this.controls = false;
        }
        if (this.activeEditor !== false) {
            this.activeEditor = false;
        }
    }
    onPaste(event) {
        event.preventDefault();
        event.stopPropagation();
        const pastedText = event?.clipboardData?.getData('text/plain');
        document.execCommand('insertHTML', false, pastedText);
        const range = this.sel.getRangeAt(0);
        const position = range.getBoundingClientRect();
        const d = document.getElementById(this.id);
        d.scrollLeft = position.x;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SingleLineEditorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SingleLineEditorComponent, selector: "app-single-line-editor", inputs: { placeholder: "placeholder", editorMode: "editorMode", label: "label", id: "id" }, providers: [
            { provide: NG_VALUE_ACCESSOR, useExisting: SingleLineEditorComponent, multi: true },
        ], ngImport: i0, template: "\n\n<div class=\"single-line-editor vx-mb-5\">\n    <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\" \n    [class.multiline]=\"editorMode == 'multiline'\" \n    *ngIf=\"editorMode == 'multiline' && label == true\">\n    {{placeholder}}</div>\n\n    <div class=\"editable-box vx-fs-16 vx-paragraph-txt vx-lh-6 vx-pt-1 vx-pb-1\"\n    [attr.placeholder]=\"placeholder\" [class.multiline]=\"editorMode == 'multiline'\" contenteditable=\"true\" id=\"{{id}}\" (blur)='onblur()' appAutoFocus (paste)=\"onPaste($event)\" (input)=\"setValue()\"></div>\n    <div class=\"action vx-fs-12 vx-paragraph-txt\" (click)=\"show()\">Aa</div>\n    <div class=\"editor-option\" *ngIf=\"showEditorControls\">\n        <ul class=\"vx-d-flex vx-align-center vx-m-0\">\n            <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"bold\" (click)=\"insertBold()\">B</button></li>\n            <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\"[class.active]=\"italic\" (click)=\"insertItalic()\"><em>I</em></button></li>\n            <li><button class=\"vx-fs-11 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"underline\" (click)=\"insertUnderLine()\"><i class=\"icons\">&#xeb0a;</i></button></li>\n        </ul>\n    </div>\n</div>\n<div class=\"overlay\" *ngIf=\"showEditorControls\" (click)=\"showControls(); show($event)\"></div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.single-line-editor{position:relative}.single-line-editor .editable-box{background:#fff;border-bottom:1px solid #dbdbdb;display:block!important;overflow:hidden;height:2rem;cursor:text;align-items:center;white-space:nowrap;transition:all .3s ease-in-out;outline:none;padding-right:2.5rem}.single-line-editor .editable-box.active{border-color:#4681ef}.single-line-editor .editable-box audio{height:1.5rem!important}.single-line-editor .editable-box.multiline{min-height:2rem;max-height:10rem;height:auto!important;white-space:pre-wrap!important;overflow:auto!important;width:100%!important}.single-line-editor .editable-box.multiline::-webkit-scrollbar-thumb{background-color:transparent}.single-line-editor .editable-box b{font-weight:600}.single-line-editor .action{position:absolute;bottom:.5rem;right:.5rem;cursor:pointer}.single-line-editor .editor-option{background:#161b2f;border-radius:0 0 .25rem .25rem;position:absolute;bottom:-2.5rem;right:0;z-index:10}.single-line-editor .editor-option ul{list-style-type:none;padding:0 .125rem}.single-line-editor .editor-option ul li button{background:transparent;border:1px solid transparent;border-radius:0;width:2rem;height:2rem;margin:.25rem .125rem}.single-line-editor .editor-option ul li button.active{border-color:#f1f1f150}[contenteditable][placeholder]:empty:before{content:attr(placeholder);position:absolute;color:#74757670;background-color:transparent}.overlay{z-index:9}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SingleLineEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-single-line-editor', providers: [
                        { provide: NG_VALUE_ACCESSOR, useExisting: SingleLineEditorComponent, multi: true },
                    ], template: "\n\n<div class=\"single-line-editor vx-mb-5\">\n    <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\" \n    [class.multiline]=\"editorMode == 'multiline'\" \n    *ngIf=\"editorMode == 'multiline' && label == true\">\n    {{placeholder}}</div>\n\n    <div class=\"editable-box vx-fs-16 vx-paragraph-txt vx-lh-6 vx-pt-1 vx-pb-1\"\n    [attr.placeholder]=\"placeholder\" [class.multiline]=\"editorMode == 'multiline'\" contenteditable=\"true\" id=\"{{id}}\" (blur)='onblur()' appAutoFocus (paste)=\"onPaste($event)\" (input)=\"setValue()\"></div>\n    <div class=\"action vx-fs-12 vx-paragraph-txt\" (click)=\"show()\">Aa</div>\n    <div class=\"editor-option\" *ngIf=\"showEditorControls\">\n        <ul class=\"vx-d-flex vx-align-center vx-m-0\">\n            <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"bold\" (click)=\"insertBold()\">B</button></li>\n            <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\"[class.active]=\"italic\" (click)=\"insertItalic()\"><em>I</em></button></li>\n            <li><button class=\"vx-fs-11 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"underline\" (click)=\"insertUnderLine()\"><i class=\"icons\">&#xeb0a;</i></button></li>\n        </ul>\n    </div>\n</div>\n<div class=\"overlay\" *ngIf=\"showEditorControls\" (click)=\"showControls(); show($event)\"></div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.single-line-editor{position:relative}.single-line-editor .editable-box{background:#fff;border-bottom:1px solid #dbdbdb;display:block!important;overflow:hidden;height:2rem;cursor:text;align-items:center;white-space:nowrap;transition:all .3s ease-in-out;outline:none;padding-right:2.5rem}.single-line-editor .editable-box.active{border-color:#4681ef}.single-line-editor .editable-box audio{height:1.5rem!important}.single-line-editor .editable-box.multiline{min-height:2rem;max-height:10rem;height:auto!important;white-space:pre-wrap!important;overflow:auto!important;width:100%!important}.single-line-editor .editable-box.multiline::-webkit-scrollbar-thumb{background-color:transparent}.single-line-editor .editable-box b{font-weight:600}.single-line-editor .action{position:absolute;bottom:.5rem;right:.5rem;cursor:pointer}.single-line-editor .editor-option{background:#161b2f;border-radius:0 0 .25rem .25rem;position:absolute;bottom:-2.5rem;right:0;z-index:10}.single-line-editor .editor-option ul{list-style-type:none;padding:0 .125rem}.single-line-editor .editor-option ul li button{background:transparent;border:1px solid transparent;border-radius:0;width:2rem;height:2rem;margin:.25rem .125rem}.single-line-editor .editor-option ul li button.active{border-color:#f1f1f150}[contenteditable][placeholder]:empty:before{content:attr(placeholder);position:absolute;color:#74757670;background-color:transparent}.overlay{z-index:9}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { placeholder: [{
                type: Input
            }], editorMode: [{
                type: Input
            }], label: [{
                type: Input
            }], id: [{
                type: Input
            }] } });

class AddPageDetailsComponent {
    constructor(config, dialogRef) {
        this.config = config;
        this.dialogRef = dialogRef;
        this.pageDetails = { pageName: '', pageNumber: 0, pageDescription: '' };
        this.description = {
            mode: 'prime',
            placeholder: 'Add description',
        };
        this.fd = config.data?.ref;
    }
    ngOnInit() {
        this.tempPageDetails = JSON.stringify(this.config.data);
        this.pageDetails.pageNumber = this.config.data.page;
        this.pageDetails.pageName = this.config.data.pageDetails.pageName;
        this.pageDetails.pageDescription = this.config.data.pageDetails.pageDescription;
        this.pageDesc = this.config.data.pageDetails.pageDescription;
        this.populatePageDetailsList();
    }
    savePageDetails() {
        this.pageDetails.pageName = this.extractContent(this.pageDetails.pageName).trim().length > 0 ? this.pageDetails.pageName : '';
        this.pageDetails.pageDescription = this.extractContent(this.pageDetails.pageDescription).trim().length > 0 ? this.pageDetails.pageDescription : '';
        this.fd.currentPageDetails = { ...this.pageDetails };
        this.populatePageDetailsList();
        if (this.pageDetails.pageName.trim().length > 0 || this.pageDetails.pageDescription.trim().length > 0) {
            this.fd.showAddPageOption = false;
            this.fd.showPageDetails = true;
        }
        else {
            this.fd.showAddPageOption = true;
            this.fd.showPageDetails = false;
        }
        this.dialogRef.close('SAVE');
    }
    extractContent(s) {
        var span = document.createElement('span');
        span.innerHTML = s;
        return span.textContent || span.innerText;
    }
    ;
    populatePageDetailsList() {
        let pagePresent = false;
        this.fd.formsPage.pageDetailsList.forEach((pageDetails) => {
            if (this.pageDetails.pageNumber === pageDetails.pageNumber) {
                pageDetails.pageName = this.pageDetails.pageName;
                pageDetails.pageDescription = this.pageDetails.pageDescription;
                pagePresent = true;
            }
        });
        if (!pagePresent) {
            this.fd.formsPage.pageDetailsList.push({ ...this.pageDetails });
        }
    }
    cancelPageDetails() {
        //this.cancel.emit();
        this.pageDetails = JSON.parse(this.tempPageDetails)?.pageDetails;
        this.fd.currentPageDetails = JSON.parse(this.tempPageDetails)?.pageDetails;
        this.populatePageDetailsList();
        this.dialogRef.close('CANCEL');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddPageDetailsComponent, deps: [{ token: DialogConfig }, { token: DialogRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddPageDetailsComponent, selector: "app-add-page-details", ngImport: i0, template: "<div class=\"form-dialog\">\n    <div class=\"form-dialog-heading vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3 vx-pl-4 vx-pr-4 vx-mb-5\">\n        <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Add Page Details</div>\n        <button (click)=\"cancelPageDetails()\" class=\"close vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-16 vx-label-txt\">&#xe93f;</i></button>\n    </div>\n\n    <div class=\"form-dialog-mid vx-pb-5\">\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">PAGE TITLE</label>\n            <!-- <div class=\"input-field\">\n                <input type=\"text\" placeholder=\"Page title\" [class.error]=\"false\" />\n                <button class=\"action vx-fs-13 vx-label-txt vx-p-0 vx-m-0 vx-ad-flex vx-align-center vx-justify-center\" (click)=\"clickEditor()\">Aa</button>\n                <div class=\"editor-option\" *ngIf=\"showEditor\">\n                    <ul class=\"vx-d-flex vx-align-center vx-m-0\">\n                        <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"true\">B</button></li>\n                        <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"false\"><em>I</em></button></li>\n                        <li><button class=\"vx-fs-11 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"false\"><i class=\"icons\">&#xeb0a;</i></button></li>\n                    </ul>\n                </div>\n            </div> -->\n            <app-single-line-editor [placeholder]=\"'Page title'\" [label]=\"false\" [editorMode]=\"'multiline'\" [(ngModel)]=\"pageDetails.pageName\"></app-single-line-editor>\n            <!-- <div class=\"overlay\" *ngIf=\"showEditor\" ></div> -->\n        </div>\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">PAGE DESCRIPTION</label>\n            <vcomply-editor [editorConfig]=\"description\" [(ngModel)]='pageDetails.pageDescription'></vcomply-editor>\n        </div>\n    </div>\n    <div class=\"form-dialog-btn vx-mt-4 vx-p-3 vx-d-flex vx-align-center vx-justify-end\">\n        <button class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-m-0 vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"cancelPageDetails()\">CANCEL</button>\n        <button class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-m-0 vx-ml-1 vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\" (click)=\"savePageDetails()\">SAVE</button>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .form-dialog{background:#fff;width:31.25rem;height:100vh}::ng-deep .form-dialog-heading{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:2.75rem}::ng-deep .form-dialog-heading button.close{background:transparent;border:none;border-radius:0}::ng-deep .form-dialog-mid{padding-left:2rem;padding-right:2rem;height:calc(100vh - 8.125rem);overflow:auto}::ng-deep .form-dialog-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .form-dialog-mid .from-group{position:relative}::ng-deep .form-dialog-mid .from-group .input-field{position:relative;z-index:2}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem .75rem;line-height:1.25rem;font-size:13px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:hover,::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:hover+button.action,::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:focus+button.action{border-color:#1e5dd3}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]::placeholder{color:#dbdbdb;opacity:1}::ng-deep .form-dialog-mid .from-group .input-field button.action{background:#f1f1f1;border-radius:0 .25rem .25rem 0;border:1px solid #DBDBDB;border-left:none;position:absolute;top:0;right:0;width:2.5rem;height:2.5rem;transition:all .2s ease-in-out}::ng-deep .form-dialog-mid .from-group .input-field .editor-option{background:#161b2f;border-radius:0 0 .25rem .25rem;position:absolute;top:2.5rem;right:0;z-index:1}::ng-deep .form-dialog-mid .from-group .input-field .editor-option ul{list-style-type:none;padding:0 .125rem}::ng-deep .form-dialog-mid .from-group .input-field .editor-option ul li button{background:transparent;border:1px solid transparent;border-radius:0;width:2rem;height:2rem;margin:.25rem .125rem}::ng-deep .form-dialog-mid .from-group .input-field .editor-option ul li button.active{border-color:#f1f1f150}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem 2.5rem .5rem .75rem!important;line-height:1.5rem;font-size:13px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline:hover,::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline:before{color:#747576}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .action{bottom:1px;right:1px;background:#fff;padding:.625rem;border-radius:0 .25rem .25rem 0}::ng-deep .form-dialog-mid .from-group vcomply-editor .editor-container .editable-block{max-height:calc(100vh - 400px)}::ng-deep .form-dialog-btn{background:#f8f8f8;border-top:1px solid #F1F1F1;height:3.125rem}::ng-deep .form-dialog-btn button{border-radius:.125rem;height:1.75rem;width:4.5rem}::ng-deep .form-dialog-btn button.cancel-btn{background:#fff;border:1px solid #F1F1F1}::ng-deep .form-dialog-btn button.save-btn{background:#1e5dd3;border:none}::ng-deep .form-dialog-btn button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}\n"], dependencies: [{ kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: SingleLineEditorComponent, selector: "app-single-line-editor", inputs: ["placeholder", "editorMode", "label", "id"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddPageDetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-add-page-details', template: "<div class=\"form-dialog\">\n    <div class=\"form-dialog-heading vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3 vx-pl-4 vx-pr-4 vx-mb-5\">\n        <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Add Page Details</div>\n        <button (click)=\"cancelPageDetails()\" class=\"close vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-16 vx-label-txt\">&#xe93f;</i></button>\n    </div>\n\n    <div class=\"form-dialog-mid vx-pb-5\">\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">PAGE TITLE</label>\n            <!-- <div class=\"input-field\">\n                <input type=\"text\" placeholder=\"Page title\" [class.error]=\"false\" />\n                <button class=\"action vx-fs-13 vx-label-txt vx-p-0 vx-m-0 vx-ad-flex vx-align-center vx-justify-center\" (click)=\"clickEditor()\">Aa</button>\n                <div class=\"editor-option\" *ngIf=\"showEditor\">\n                    <ul class=\"vx-d-flex vx-align-center vx-m-0\">\n                        <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"true\">B</button></li>\n                        <li><button class=\"vx-fs-13 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"false\"><em>I</em></button></li>\n                        <li><button class=\"vx-fs-11 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.active]=\"false\"><i class=\"icons\">&#xeb0a;</i></button></li>\n                    </ul>\n                </div>\n            </div> -->\n            <app-single-line-editor [placeholder]=\"'Page title'\" [label]=\"false\" [editorMode]=\"'multiline'\" [(ngModel)]=\"pageDetails.pageName\"></app-single-line-editor>\n            <!-- <div class=\"overlay\" *ngIf=\"showEditor\" ></div> -->\n        </div>\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">PAGE DESCRIPTION</label>\n            <vcomply-editor [editorConfig]=\"description\" [(ngModel)]='pageDetails.pageDescription'></vcomply-editor>\n        </div>\n    </div>\n    <div class=\"form-dialog-btn vx-mt-4 vx-p-3 vx-d-flex vx-align-center vx-justify-end\">\n        <button class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-m-0 vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"cancelPageDetails()\">CANCEL</button>\n        <button class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-m-0 vx-ml-1 vx-p-0 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\" (click)=\"savePageDetails()\">SAVE</button>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .form-dialog{background:#fff;width:31.25rem;height:100vh}::ng-deep .form-dialog-heading{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:2.75rem}::ng-deep .form-dialog-heading button.close{background:transparent;border:none;border-radius:0}::ng-deep .form-dialog-mid{padding-left:2rem;padding-right:2rem;height:calc(100vh - 8.125rem);overflow:auto}::ng-deep .form-dialog-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .form-dialog-mid .from-group{position:relative}::ng-deep .form-dialog-mid .from-group .input-field{position:relative;z-index:2}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem .75rem;line-height:1.25rem;font-size:13px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:hover,::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:hover+button.action,::ng-deep .form-dialog-mid .from-group .input-field input[type=text]:focus+button.action{border-color:#1e5dd3}::ng-deep .form-dialog-mid .from-group .input-field input[type=text]::placeholder{color:#dbdbdb;opacity:1}::ng-deep .form-dialog-mid .from-group .input-field button.action{background:#f1f1f1;border-radius:0 .25rem .25rem 0;border:1px solid #DBDBDB;border-left:none;position:absolute;top:0;right:0;width:2.5rem;height:2.5rem;transition:all .2s ease-in-out}::ng-deep .form-dialog-mid .from-group .input-field .editor-option{background:#161b2f;border-radius:0 0 .25rem .25rem;position:absolute;top:2.5rem;right:0;z-index:1}::ng-deep .form-dialog-mid .from-group .input-field .editor-option ul{list-style-type:none;padding:0 .125rem}::ng-deep .form-dialog-mid .from-group .input-field .editor-option ul li button{background:transparent;border:1px solid transparent;border-radius:0;width:2rem;height:2rem;margin:.25rem .125rem}::ng-deep .form-dialog-mid .from-group .input-field .editor-option ul li button.active{border-color:#f1f1f150}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem 2.5rem .5rem .75rem!important;line-height:1.5rem;font-size:13px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline:hover,::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .editable-box.multiline:before{color:#747576}::ng-deep .form-dialog-mid .from-group app-single-line-editor .single-line-editor .action{bottom:1px;right:1px;background:#fff;padding:.625rem;border-radius:0 .25rem .25rem 0}::ng-deep .form-dialog-mid .from-group vcomply-editor .editor-container .editable-block{max-height:calc(100vh - 400px)}::ng-deep .form-dialog-btn{background:#f8f8f8;border-top:1px solid #F1F1F1;height:3.125rem}::ng-deep .form-dialog-btn button{border-radius:.125rem;height:1.75rem;width:4.5rem}::ng-deep .form-dialog-btn button.cancel-btn{background:#fff;border:1px solid #F1F1F1}::ng-deep .form-dialog-btn button.save-btn{background:#1e5dd3;border:none}::ng-deep .form-dialog-btn button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogConfig }, { type: DialogRef }]; } });

class ResultCriteriaService {
    constructor() { }
    calculateMaxScore(questions) {
        let maxScore = 0;
        const criteriaEligibleTypes = ['multiple-choice', 'checkbox', 'dropdown'];
        const scorableQuestions = questions.elements.filter((question) => {
            return criteriaEligibleTypes.includes(question.type);
        });
        scorableQuestions.forEach((element) => {
            if (['multiple-choice', 'dropdown'].includes(element.type)) {
                let score = Math.max.apply(Math, element.choices.map((o) => o.score !== undefined ? o.score : 1));
                let weightage = 100;
                if (questions?.settings?.weightageEnabled) {
                    element.weightage === undefined ? weightage = 100 : weightage = element.weightage;
                }
                score = (weightage / 100) * score;
                maxScore = maxScore + score;
            }
            else if (['checkbox'].includes(element.type)) {
                let scoreCheck = 0;
                element.choices.forEach((choice) => {
                    choice.score === undefined ? choice.score = 1 : choice.score;
                    if (!choice.isFailed) {
                        scoreCheck = scoreCheck + choice.score;
                    }
                });
                let weightage = 100;
                if (questions?.settings?.weightageEnabled) {
                    element.weightage === undefined ? weightage = 100 : weightage = element.weightage;
                }
                scoreCheck = (weightage / 100) * scoreCheck;
                maxScore = maxScore + scoreCheck;
            }
        });
        return maxScore;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResultCriteriaService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResultCriteriaService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResultCriteriaService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class SettingAnonymousComponent {
    set settingData(value) {
        this.setting = cloneDeep(value);
        this.localSetting = cloneDeep(value);
    }
    constructor() {
        this.save = new EventEmitter();
        this.cancelEvt = new EventEmitter();
        this.overRideConfirm = false;
    }
    ngOnInit() {
    }
    manipulateDefault(mode) {
        if (mode === 'INCREASE' && this.setting.defaultScore >= 0) {
            this.setting.defaultScore = this.setting.defaultScore + 1;
        }
        else if (mode === 'DECREASE' && this.setting.defaultScore > 1) {
            this.setting.defaultScore = this.setting.defaultScore - 1;
        }
    }
    manipulateNegativeScore(mode) {
        if (mode === 'INCREASE' && this.setting.negativeScore >= 0) {
            this.setting.negativeScore = this.setting.negativeScore + 1;
        }
        else if (mode === 'DECREASE' && this.setting.negativeScore >= 1) {
            this.setting.negativeScore = this.setting.negativeScore - 1;
        }
    }
    confirmOverride(evt) {
        this.overRideConfirm = !this.overRideConfirm;
    }
    saveSetting() {
        this.save.emit(this.setting);
        this.overRideConfirm = false;
    }
    cancel() {
        this.cancelEvt.emit(this.localSetting);
        this.overRideConfirm = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SettingAnonymousComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SettingAnonymousComponent, selector: "app-setting-anonymous", inputs: { settingData: ["setting", "settingData"] }, outputs: { save: "save", cancelEvt: "cancelEvt" }, ngImport: i0, template: "<div class=\"item-body vx-pt-3 vx-pb-3\" *ngIf=\"true\">\n    <!-- <app-cs-switch><div class=\"vx-fs-13 vx-paragraph-txt\">Enable assessment mode for this form</div></app-cs-switch> -->\n    <div class=\"mode-list vx-mt-3\">\n        <div class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2\" [class.done]=\"false\">\n            <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Set default scores for all questions</div>\n            <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                <div class=\"input-area vx-d-flex vx-align-center\">\n                    <button (click)=\"manipulateDefault('DECREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                    <input type=\"number\" [(ngModel)]=\"setting.defaultScore\">\n                    <button (click)=\"manipulateDefault('INCREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                </div>\n            </div>\n            <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                <span class=\"vx-fs-13 vx-txt-blue\">10</span>\n            </div>\n        </div>\n        <div class=\"mode-item vx-mt-2\" [class.done]=\"false\">\n            <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Select a criterion for negative scores</div>\n                <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                    <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                    <div class=\"input-area vx-d-flex vx-align-center\">\n                        <button  (click)=\"manipulateNegativeScore('DECREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                        <input type=\"number\" [(ngModel)]=\"setting.negativeScore\">\n                        <button (click)=\"manipulateNegativeScore('INCREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    </div>\n                </div>\n                <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                    <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                    <span class=\"vx-fs-13 vx-txt-blue\">2</span>\n                </div>\n            </div>\n            <div class=\"criteria-list vx-pt-3 vx-pl-3\">\n                <app-cs-radio [name]=\"'failedCriteriaSettings'\" [checked]=\"setting.negativeScoreCriteria === 'FAILED'\" (checkedEvent)=\"setting.negativeScoreCriteria = 'FAILED'\"><div class=\"name vx-fs-12 vx-paragraph-txt\">Failed Responses</div></app-cs-radio>\n                <app-cs-radio [name]=\"'failedCriteriaSettings'\"  [checked]=\"setting.negativeScoreCriteria === 'SKIPPED'\" (checkedEvent)=\"setting.negativeScoreCriteria = 'SKIPPED'\"><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions</div></app-cs-radio>\n                <app-cs-radio [name]=\"'failedCriteriaSettings'\"  [checked]=\"setting.negativeScoreCriteria === 'FAILED_SKIPPED'\" (checkedEvent)=\"setting.negativeScoreCriteria = 'FAILED_SKIPPED'\"><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions & Failed Responses</div></app-cs-radio>\n            </div>\n        </div>\n        <div  class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-pl-3 vx-pr-3\">\n            <app-cs-switch [(ngValue)]=\"setting.weightageEnabled\"><div class=\"vx-fs-13 vx-label-txt\">Enabled weightage for each question</div></app-cs-switch>\n        </div>\n        <div class=\"segment-bottom vx-d-flex vx-align-center vx-justify-end vx-p-2 vx-mt-4\" >\n            <button (click)=\"cancel()\" class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">CANCEL</button>\n            <button (click)=\"confirmOverride()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n        </div>\n        <div class=\"confirmation-massage\" *ngIf=\"overRideConfirm\">\n            <div class=\"confirmation-massage-top vx-d-flex vx-p-3\">\n                <i class=\"icons vx-fs-16 vx-txt-white vx-mr-2\">&#xe932;</i>\n                <span class=\"text vx-fs-12 vx-txt-white\">These settings will be updated for all the questions within this form. Scores that were added previously will be replaced with the new settings.</span>\n            </div>\n            <div class=\"confirmation-massage-bottom vx-d-flex vx-align-center vx-justify-between vx-p-2\" *ngIf=\"overRideConfirm\">\n                <div class=\"text vx-fs-13 vx-txt-white\">Are you sure you would like to proceed?</div>\n                <div class=\"vx-d-flex vx-align-center\">\n                    <button (click)=\"confirmOverride('NO')\" class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">NO</button>\n                    <button (click)=\"saveSetting()\" class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">YES</button>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-settings{background:#fff;width:31.25rem;height:100vh}::ng-deep .assessment-settings-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:3rem}::ng-deep .assessment-settings-head i.info{cursor:pointer}::ng-deep .assessment-settings-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body{padding-left:2.25rem;padding-right:1rem;width:32.25rem;position:relative;left:-1rem;height:calc(100vh - 3.5rem);overflow-y:auto}::ng-deep .assessment-settings-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .assessment-settings-body .settings-item{border:1px solid #DBDBDB;border-radius:.25rem;position:relative;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item:hover,::ng-deep .assessment-settings-body .settings-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item.done:hover{border-color:#1e5dd3}::ng-deep .assessment-settings-body .settings-item .status{background:#fff;border-radius:50%;position:absolute;left:-2.25rem;top:.35rem;width:1.75rem;height:1.75rem;transition:all .1s ease-in-out;z-index:1}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon{position:absolute;top:-1px;width:29px;height:29px;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .assessment-settings-body .settings-item .status.edit .edit-loader{position:absolute;top:-.1875rem;left:-.1875rem;right:0;bottom:0;width:34px;height:34px;transform:rotate(90deg)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark{width:28px;height:28px;border-radius:50%;stroke-width:4;stroke:#1e5dd3;stroke-miterlimit:10;box-shadow:inset 0 0 #1e5dd3}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__circle{stroke-dasharray:0;stroke-dashoffset:0;stroke-width:0;stroke-miterlimit:10;stroke:#f1f1f1;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards;transform:scale(.23)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;fill:#1e5dd3;transform:scale(.5)}::ng-deep .assessment-settings-body .settings-item .item-head{min-height:2.5rem;width:100%;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-head .name I.info{position:relative;top:1px;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body{border-top:1px solid #F1F1F1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list{position:relative}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage{background:#1e5dd3;border-radius:0 0 .1875rem .1875rem;position:absolute;bottom:0;left:-1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom{border-top:1px solid #4681ef}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom button{border-radius:.125rem;width:3.5rem;height:1.875rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom button.no-btn{background:#1e5dd3;border:1px solid #FFFFFF}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom button.yes-btn{background:#fff;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item{border:1px solid #DBDBDB;border-radius:.25rem;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done .criteria-list{border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area{border-left:1px solid #DBDBDB;width:9.5rem;height:2.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area button{background:transparent;border:none;border-radius:0;height:1.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area input{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;margin:.375rem .375rem .375rem 0;min-width:4.5rem;max-width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list{border-top:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list app-cs-radio{display:block;margin-bottom:.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item app-cs-switch{width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item{position:relative;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.5rem;width:100%;outline:none;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:hover,::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input::placeholder{color:#747576;opacity:1}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .score-label{background:#f1f1f1;border-radius:.125rem;position:relative;top:-.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list{background:#f8f8f8;border-radius:.125rem;height:2rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left{width:calc(100% - 6.5rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left i.info{cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right{width:6.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .score{border-radius:0 .125rem .125rem 0;height:2rem;display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action{height:2rem;display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action button{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .score{display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .action{display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list button.segment-close{top:-2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-btn{background:#fff;border:1px solid #1e5dd3;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-close{background:#1e5dd3;border:.25rem solid #FFFFFF;border-radius:50%;width:36px;height:36px;margin:.125rem auto;position:relative;z-index:3}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .segment-popup{position:absolute;bottom:1.25rem;left:.875rem;width:25rem;z-index:2}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.save-btn{background:#1e5dd3;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}::ng-deep .assessment-settings-body .settings-item.skeleton-loader{background:#f8f8f8;border-color:#f1f1f1;height:2.5rem}::ng-deep .assessment-settings-body .settings-item.skeleton-loader .loader{background:#dbdbdb;border-radius:.5rem;height:.5rem;width:12rem}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes fillEdit{to{box-shadow:inset 0 0 0 2px #1e5dd3}}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite,color 6s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep app-cs-switch .cs-switch{cursor:pointer}.segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}.segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}.segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}.segment-bottom button.save-btn{background:#1e5dd3;border:none}.segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}.footer{margin:0 -15px;border-top:1px solid #F1F1F1;height:50px;background:#fbfbfb;display:flex;align-items:center;justify-content:flex-end;border-radius:0 0 4px 4px;padding:0 13px}.footer button{height:32px;border-radius:2px;display:flex;align-items:center;justify-content:center;width:80px;cursor:pointer;border:1px solid;font-size:11px;font-weight:500}.footer button.blue{background:#1e5dd3;color:#fff;border-color:#1e5dd3}.footer button.white{background:#fff;color:#1e5dd3;border-color:#1e5dd3}.footer.warning{background:#1e5dd3;justify-content:space-between;border-top:1px solid #4681EF}.footer.warning p{margin:0;font-size:14px;color:#fff;font-weight:500}.footer.warning .button-wrapper{display:flex}.footer.warning button{width:60px}.footer.warning button.yes{background:#fff;color:#1e5dd3;border-color:#fff}.footer.warning button.no{background:transparent;color:#fff;border-color:#fff}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SettingAnonymousComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-setting-anonymous', template: "<div class=\"item-body vx-pt-3 vx-pb-3\" *ngIf=\"true\">\n    <!-- <app-cs-switch><div class=\"vx-fs-13 vx-paragraph-txt\">Enable assessment mode for this form</div></app-cs-switch> -->\n    <div class=\"mode-list vx-mt-3\">\n        <div class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2\" [class.done]=\"false\">\n            <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Set default scores for all questions</div>\n            <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                <div class=\"input-area vx-d-flex vx-align-center\">\n                    <button (click)=\"manipulateDefault('DECREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                    <input type=\"number\" [(ngModel)]=\"setting.defaultScore\">\n                    <button (click)=\"manipulateDefault('INCREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                </div>\n            </div>\n            <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                <span class=\"vx-fs-13 vx-txt-blue\">10</span>\n            </div>\n        </div>\n        <div class=\"mode-item vx-mt-2\" [class.done]=\"false\">\n            <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Select a criterion for negative scores</div>\n                <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                    <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                    <div class=\"input-area vx-d-flex vx-align-center\">\n                        <button  (click)=\"manipulateNegativeScore('DECREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                        <input type=\"number\" [(ngModel)]=\"setting.negativeScore\">\n                        <button (click)=\"manipulateNegativeScore('INCREASE')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    </div>\n                </div>\n                <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                    <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                    <span class=\"vx-fs-13 vx-txt-blue\">2</span>\n                </div>\n            </div>\n            <div class=\"criteria-list vx-pt-3 vx-pl-3\">\n                <app-cs-radio [name]=\"'failedCriteriaSettings'\" [checked]=\"setting.negativeScoreCriteria === 'FAILED'\" (checkedEvent)=\"setting.negativeScoreCriteria = 'FAILED'\"><div class=\"name vx-fs-12 vx-paragraph-txt\">Failed Responses</div></app-cs-radio>\n                <app-cs-radio [name]=\"'failedCriteriaSettings'\"  [checked]=\"setting.negativeScoreCriteria === 'SKIPPED'\" (checkedEvent)=\"setting.negativeScoreCriteria = 'SKIPPED'\"><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions</div></app-cs-radio>\n                <app-cs-radio [name]=\"'failedCriteriaSettings'\"  [checked]=\"setting.negativeScoreCriteria === 'FAILED_SKIPPED'\" (checkedEvent)=\"setting.negativeScoreCriteria = 'FAILED_SKIPPED'\"><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions & Failed Responses</div></app-cs-radio>\n            </div>\n        </div>\n        <div  class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-pl-3 vx-pr-3\">\n            <app-cs-switch [(ngValue)]=\"setting.weightageEnabled\"><div class=\"vx-fs-13 vx-label-txt\">Enabled weightage for each question</div></app-cs-switch>\n        </div>\n        <div class=\"segment-bottom vx-d-flex vx-align-center vx-justify-end vx-p-2 vx-mt-4\" >\n            <button (click)=\"cancel()\" class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">CANCEL</button>\n            <button (click)=\"confirmOverride()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n        </div>\n        <div class=\"confirmation-massage\" *ngIf=\"overRideConfirm\">\n            <div class=\"confirmation-massage-top vx-d-flex vx-p-3\">\n                <i class=\"icons vx-fs-16 vx-txt-white vx-mr-2\">&#xe932;</i>\n                <span class=\"text vx-fs-12 vx-txt-white\">These settings will be updated for all the questions within this form. Scores that were added previously will be replaced with the new settings.</span>\n            </div>\n            <div class=\"confirmation-massage-bottom vx-d-flex vx-align-center vx-justify-between vx-p-2\" *ngIf=\"overRideConfirm\">\n                <div class=\"text vx-fs-13 vx-txt-white\">Are you sure you would like to proceed?</div>\n                <div class=\"vx-d-flex vx-align-center\">\n                    <button (click)=\"confirmOverride('NO')\" class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">NO</button>\n                    <button (click)=\"saveSetting()\" class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">YES</button>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-settings{background:#fff;width:31.25rem;height:100vh}::ng-deep .assessment-settings-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:3rem}::ng-deep .assessment-settings-head i.info{cursor:pointer}::ng-deep .assessment-settings-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body{padding-left:2.25rem;padding-right:1rem;width:32.25rem;position:relative;left:-1rem;height:calc(100vh - 3.5rem);overflow-y:auto}::ng-deep .assessment-settings-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .assessment-settings-body .settings-item{border:1px solid #DBDBDB;border-radius:.25rem;position:relative;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item:hover,::ng-deep .assessment-settings-body .settings-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item.done:hover{border-color:#1e5dd3}::ng-deep .assessment-settings-body .settings-item .status{background:#fff;border-radius:50%;position:absolute;left:-2.25rem;top:.35rem;width:1.75rem;height:1.75rem;transition:all .1s ease-in-out;z-index:1}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon{position:absolute;top:-1px;width:29px;height:29px;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .assessment-settings-body .settings-item .status.edit .edit-loader{position:absolute;top:-.1875rem;left:-.1875rem;right:0;bottom:0;width:34px;height:34px;transform:rotate(90deg)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark{width:28px;height:28px;border-radius:50%;stroke-width:4;stroke:#1e5dd3;stroke-miterlimit:10;box-shadow:inset 0 0 #1e5dd3}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__circle{stroke-dasharray:0;stroke-dashoffset:0;stroke-width:0;stroke-miterlimit:10;stroke:#f1f1f1;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards;transform:scale(.23)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;fill:#1e5dd3;transform:scale(.5)}::ng-deep .assessment-settings-body .settings-item .item-head{min-height:2.5rem;width:100%;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-head .name I.info{position:relative;top:1px;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body{border-top:1px solid #F1F1F1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list{position:relative}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage{background:#1e5dd3;border-radius:0 0 .1875rem .1875rem;position:absolute;bottom:0;left:-1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom{border-top:1px solid #4681ef}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom button{border-radius:.125rem;width:3.5rem;height:1.875rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom button.no-btn{background:#1e5dd3;border:1px solid #FFFFFF}::ng-deep .assessment-settings-body .settings-item .item-body .mode-list .confirmation-massage-bottom button.yes-btn{background:#fff;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item{border:1px solid #DBDBDB;border-radius:.25rem;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done .criteria-list{border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area{border-left:1px solid #DBDBDB;width:9.5rem;height:2.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area button{background:transparent;border:none;border-radius:0;height:1.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area input{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;margin:.375rem .375rem .375rem 0;min-width:4.5rem;max-width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list{border-top:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list app-cs-radio{display:block;margin-bottom:.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item app-cs-switch{width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item{position:relative;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.5rem;width:100%;outline:none;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:hover,::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input::placeholder{color:#747576;opacity:1}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .score-label{background:#f1f1f1;border-radius:.125rem;position:relative;top:-.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list{background:#f8f8f8;border-radius:.125rem;height:2rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left{width:calc(100% - 6.5rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left i.info{cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right{width:6.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .score{border-radius:0 .125rem .125rem 0;height:2rem;display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action{height:2rem;display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action button{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .score{display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .action{display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list button.segment-close{top:-2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-btn{background:#fff;border:1px solid #1e5dd3;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-close{background:#1e5dd3;border:.25rem solid #FFFFFF;border-radius:50%;width:36px;height:36px;margin:.125rem auto;position:relative;z-index:3}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .segment-popup{position:absolute;bottom:1.25rem;left:.875rem;width:25rem;z-index:2}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.save-btn{background:#1e5dd3;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}::ng-deep .assessment-settings-body .settings-item.skeleton-loader{background:#f8f8f8;border-color:#f1f1f1;height:2.5rem}::ng-deep .assessment-settings-body .settings-item.skeleton-loader .loader{background:#dbdbdb;border-radius:.5rem;height:.5rem;width:12rem}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes fillEdit{to{box-shadow:inset 0 0 0 2px #1e5dd3}}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite,color 6s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep app-cs-switch .cs-switch{cursor:pointer}.segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}.segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}.segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}.segment-bottom button.save-btn{background:#1e5dd3;border:none}.segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}.footer{margin:0 -15px;border-top:1px solid #F1F1F1;height:50px;background:#fbfbfb;display:flex;align-items:center;justify-content:flex-end;border-radius:0 0 4px 4px;padding:0 13px}.footer button{height:32px;border-radius:2px;display:flex;align-items:center;justify-content:center;width:80px;cursor:pointer;border:1px solid;font-size:11px;font-weight:500}.footer button.blue{background:#1e5dd3;color:#fff;border-color:#1e5dd3}.footer button.white{background:#fff;color:#1e5dd3;border-color:#1e5dd3}.footer.warning{background:#1e5dd3;justify-content:space-between;border-top:1px solid #4681EF}.footer.warning p{margin:0;font-size:14px;color:#fff;font-weight:500}.footer.warning .button-wrapper{display:flex}.footer.warning button{width:60px}.footer.warning button.yes{background:#fff;color:#1e5dd3;border-color:#fff}.footer.warning button.no{background:transparent;color:#fff;border-color:#fff}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { settingData: [{
                type: Input,
                args: ['setting']
            }], save: [{
                type: Output
            }], cancelEvt: [{
                type: Output
            }] } });

class AddSegmentPopupComponent {
    constructor() {
        this.selectedColor = '#325cd3';
        this.save = new EventEmitter();
        this.closeSegment = new EventEmitter();
        this.segmentCollection = [];
        this.criteria = {
            id: '',
            segmentName: '',
            segmentDescription: '',
            toRange: 0,
            fromRange: 0,
            color: '#000000'
        };
        this.segmentError = [];
        this.description = {
            mode: 'prime',
            placeholder: 'Enter description for this segment',
        };
    }
    ngOnInit() {
        this.criteria = { ...this.criteria };
        // this.segmentCollection = {...this.segmentCollection}
    }
    fromManager(mode) {
        if (mode === '+') {
            this.criteria.fromRange = this.criteria.fromRange + 1;
        }
        else if (mode === '-') {
            if (this.criteria.fromRange > 0) {
                this.criteria.fromRange = this.criteria.fromRange - 1;
            }
        }
    }
    toManager(mode) {
        if (mode === '+') {
            this.criteria.toRange = this.criteria.toRange + 1;
        }
        else if (mode === '-') {
            if (this.criteria.toRange > 0) {
                this.criteria.toRange = this.criteria.toRange - 1;
            }
        }
    }
    saveSegment() {
        if (this.validateSegment()) {
            this.save.emit({ ...this.criteria });
        }
    }
    closeResult() {
        // this.closeSegment.emit();
    }
    validateSegment() {
        let fromRange = this.criteria.fromRange;
        let toRange = this.criteria.toRange;
        this.segmentError = [];
        let status;
        if (fromRange > this.maxRange || toRange > this.maxRange) {
            this.segmentError.push({ type: 'INVALID_RANGE', message: 'Please enter a valid range for this segment.' });
            return false;
        }
        if (this.criteria.segmentName.trim().length === 0) {
            this.segmentError.push({ type: 'NAME_MISSING', message: 'Please enter a name for this segment.' });
            return false;
        }
        else if (fromRange >= toRange) {
            this.segmentError.push({ type: 'RANGE_REVERSE', message: 'Please enter a valid range for this segment.' });
            return false;
        }
        else if (this.segmentCollection.length > 0) {
            status = this.segmentCollection.some((segment) => {
                if (this.mode === 'EDIT') {
                    if (segment.id !== this.criteria.id) {
                        return ((fromRange >= segment['fromRange'] && fromRange <= segment['toRange']) || (toRange >= segment['fromRange'] && toRange <= segment['toRange']));
                    }
                    else {
                        return false;
                    }
                }
                else {
                    return ((fromRange >= segment['fromRange'] && fromRange <= segment['toRange']) || (toRange >= segment['fromRange'] && toRange <= segment['toRange']));
                }
            });
        }
        else {
            return true;
        }
        if (status === true) {
            this.segmentError.push({ type: 'INVALID_RANGE', message: 'This score range already exists. Please select different values.' });
            return false;
        }
        else {
            return true;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddSegmentPopupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddSegmentPopupComponent, selector: "app-add-segment-popup", inputs: { top: "top", left: "left", segmentCollection: "segmentCollection", mode: "mode", maxRange: "maxRange", criteria: "criteria" }, outputs: { save: "save", closeSegment: "closeSegment" }, ngImport: i0, template: "<div class=\"add-segment-popup vx-p-5 vx-pb-0\" [class.error]=\"segmentError.length > 0\">\n    <div class=\"form-item vx-mb-4\">\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT NAME <span class=\"vx-fs-16 vx-fw-400 vx-txt-red\">*</span></div>\n        <input type=\"text\" placeholder=\"Enter Segment Name\" [(ngModel)]=\"criteria.segmentName\">\n        <div class=\"action-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"criteria.color\" [ngModelOptions]=\"{standalone: true}\">\n            <i class=\"icons vx-fs-24\" [style.color]='criteria.color'>&#xeb01;</i>\n        </div>\n    </div>\n    <div class=\"form-item vx-mb-4\">\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT DESCRIPTION</div>\n        <vcomply-editor [editorConfig]=\"description\" [(ngModel)]=\"criteria.segmentDescription\"></vcomply-editor>\n    </div>\n    <div class=\"form-item vx-mb-4\">\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SET SCORE RANGE <span class=\"vx-fs-16 vx-fw-400 vx-txt-red\">*</span></div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <div class=\"score-field vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"name vx-fs-12 vx-paragraph-txt vx-pl-3\">From</div>\n                <div class=\"input-area vx-d-flex vx-align-center vx-pr-1\">\n                    <button (click)=\"fromManager('-')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                    <input type=\"number\" [(ngModel)]=\"criteria.fromRange\" type=\"number\">\n                    <button (click)=\"fromManager('+')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                </div>\n            </div>\n            <div class=\"score-field vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"name vx-fs-12 vx-paragraph-txt vx-pl-3\">To</div>\n                <div class=\"input-area vx-d-flex vx-align-center vx-pr-1\">\n                    <button (click)=\"toManager('-')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                    <input [(ngModel)]=\"criteria.toRange\" type=\"number\">\n                    <button (click)=\"toManager('+')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                </div>\n            </div>\n        </div>\n    </div>\n    <div class=\"segment-popup-bottom vx-d-flex vx-align-center vx-justify-end vx-p-3 vx-pl-5 vx-pr-5\" *ngIf=\"segmentError.length === 0\">\n        <button (click)=\"saveSegment()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">SAVE</button>\n    </div>\n    <div class=\"segment-popup-bottom error vx-d-flex vx-align-center vx-justify-between vx-p-3 vx-pl-5 vx-pr-5\" *ngIf=\"segmentError.length > 0\">\n        <div class=\"text vx-fs-12 vx-txt-white\">{{segmentError[0].message}}</div>\n        <button (click)=\"saveSegment()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">SAVE</button>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.add-segment-popup{background:#fff;border-radius:.25rem;border:1px solid transparent;box-shadow:0 10px 20px #1e5dd326}.add-segment-popup.error{border-color:#d93b41}.add-segment-popup .form-item{position:relative}.add-segment-popup .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.25rem;width:100%;outline:none;transition:all .3s ease-in-out}.add-segment-popup .form-item input::placeholder{color:#747576;opacity:1}.add-segment-popup .form-item:hover input{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}.add-segment-popup .form-item:hover input:hover,.add-segment-popup .form-item:hover input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}.add-segment-popup .form-item:hover .score-field .input-area input{box-shadow:none}.add-segment-popup .form-item:hover .score-field .input-area input:hover,.add-segment-popup .form-item:hover .score-field .input-area input:focus{box-shadow:none}.add-segment-popup .form-item .action-color{background:#f1f1f1;border-radius:.125rem;width:1.875rem;height:1.875rem;position:absolute;bottom:.1875rem;right:.1875rem}.add-segment-popup .form-item .action-color input{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.add-segment-popup .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}.add-segment-popup .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}.add-segment-popup .form-item .score-field{border:1px solid #DBDBDB;border-radius:.25rem;width:calc(50% - .5rem);height:2.25rem}.add-segment-popup .form-item .score-field .input-area button{background:transparent;border:none;border-radius:0;width:1.25rem;height:1.25rem}.add-segment-popup .form-item .score-field .input-area input{-moz-appearance:textfield!important;background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}.add-segment-popup .form-item .score-field .input-area input:hover,.add-segment-popup .form-item .score-field .input-area input:focus{box-shadow:none}.add-segment-popup .segment-popup-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 3px 3px;margin:0 0 0 -1.3125rem;width:calc(100% + 2.625rem);position:relative;bottom:-.0625rem}.add-segment-popup .segment-popup-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}.add-segment-popup .segment-popup-bottom button.save-btn{background:#1e5dd3;border:none}.add-segment-popup .segment-popup-bottom.error{background:#d93b41;border-color:#d93b41}.add-segment-popup .segment-popup-bottom.error button.save-btn{background:#fff;border-color:#d93b41}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddSegmentPopupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-add-segment-popup', template: "<div class=\"add-segment-popup vx-p-5 vx-pb-0\" [class.error]=\"segmentError.length > 0\">\n    <div class=\"form-item vx-mb-4\">\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT NAME <span class=\"vx-fs-16 vx-fw-400 vx-txt-red\">*</span></div>\n        <input type=\"text\" placeholder=\"Enter Segment Name\" [(ngModel)]=\"criteria.segmentName\">\n        <div class=\"action-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"criteria.color\" [ngModelOptions]=\"{standalone: true}\">\n            <i class=\"icons vx-fs-24\" [style.color]='criteria.color'>&#xeb01;</i>\n        </div>\n    </div>\n    <div class=\"form-item vx-mb-4\">\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT DESCRIPTION</div>\n        <vcomply-editor [editorConfig]=\"description\" [(ngModel)]=\"criteria.segmentDescription\"></vcomply-editor>\n    </div>\n    <div class=\"form-item vx-mb-4\">\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SET SCORE RANGE <span class=\"vx-fs-16 vx-fw-400 vx-txt-red\">*</span></div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <div class=\"score-field vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"name vx-fs-12 vx-paragraph-txt vx-pl-3\">From</div>\n                <div class=\"input-area vx-d-flex vx-align-center vx-pr-1\">\n                    <button (click)=\"fromManager('-')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                    <input type=\"number\" [(ngModel)]=\"criteria.fromRange\" type=\"number\">\n                    <button (click)=\"fromManager('+')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                </div>\n            </div>\n            <div class=\"score-field vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"name vx-fs-12 vx-paragraph-txt vx-pl-3\">To</div>\n                <div class=\"input-area vx-d-flex vx-align-center vx-pr-1\">\n                    <button (click)=\"toManager('-')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                    <input [(ngModel)]=\"criteria.toRange\" type=\"number\">\n                    <button (click)=\"toManager('+')\" class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                </div>\n            </div>\n        </div>\n    </div>\n    <div class=\"segment-popup-bottom vx-d-flex vx-align-center vx-justify-end vx-p-3 vx-pl-5 vx-pr-5\" *ngIf=\"segmentError.length === 0\">\n        <button (click)=\"saveSegment()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">SAVE</button>\n    </div>\n    <div class=\"segment-popup-bottom error vx-d-flex vx-align-center vx-justify-between vx-p-3 vx-pl-5 vx-pr-5\" *ngIf=\"segmentError.length > 0\">\n        <div class=\"text vx-fs-12 vx-txt-white\">{{segmentError[0].message}}</div>\n        <button (click)=\"saveSegment()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">SAVE</button>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.add-segment-popup{background:#fff;border-radius:.25rem;border:1px solid transparent;box-shadow:0 10px 20px #1e5dd326}.add-segment-popup.error{border-color:#d93b41}.add-segment-popup .form-item{position:relative}.add-segment-popup .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.25rem;width:100%;outline:none;transition:all .3s ease-in-out}.add-segment-popup .form-item input::placeholder{color:#747576;opacity:1}.add-segment-popup .form-item:hover input{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}.add-segment-popup .form-item:hover input:hover,.add-segment-popup .form-item:hover input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}.add-segment-popup .form-item:hover .score-field .input-area input{box-shadow:none}.add-segment-popup .form-item:hover .score-field .input-area input:hover,.add-segment-popup .form-item:hover .score-field .input-area input:focus{box-shadow:none}.add-segment-popup .form-item .action-color{background:#f1f1f1;border-radius:.125rem;width:1.875rem;height:1.875rem;position:absolute;bottom:.1875rem;right:.1875rem}.add-segment-popup .form-item .action-color input{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.add-segment-popup .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}.add-segment-popup .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}.add-segment-popup .form-item .score-field{border:1px solid #DBDBDB;border-radius:.25rem;width:calc(50% - .5rem);height:2.25rem}.add-segment-popup .form-item .score-field .input-area button{background:transparent;border:none;border-radius:0;width:1.25rem;height:1.25rem}.add-segment-popup .form-item .score-field .input-area input{-moz-appearance:textfield!important;background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}.add-segment-popup .form-item .score-field .input-area input:hover,.add-segment-popup .form-item .score-field .input-area input:focus{box-shadow:none}.add-segment-popup .segment-popup-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 3px 3px;margin:0 0 0 -1.3125rem;width:calc(100% + 2.625rem);position:relative;bottom:-.0625rem}.add-segment-popup .segment-popup-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}.add-segment-popup .segment-popup-bottom button.save-btn{background:#1e5dd3;border:none}.add-segment-popup .segment-popup-bottom.error{background:#d93b41;border-color:#d93b41}.add-segment-popup .segment-popup-bottom.error button.save-btn{background:#fff;border-color:#d93b41}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { top: [{
                type: Input
            }], left: [{
                type: Input
            }], save: [{
                type: Output
            }], closeSegment: [{
                type: Output
            }], segmentCollection: [{
                type: Input
            }], mode: [{
                type: Input
            }], maxRange: [{
                type: Input
            }], criteria: [{
                type: Input
            }] } });

class SettingResponseSegmentComponent {
    editSegment() { }
    closeSegmentPopup() { }
    openSegmentPopup() { }
    set settingData(value) {
        this.setting = value;
        this.localSetting = cloneDeep(value);
    }
    constructor(el, criteriaService) {
        this.el = el;
        this.criteriaService = criteriaService;
        // constructor() { }
        // ngOnInit(): void {
        // }
        this.description = {
            mode: 'prime',
            placeholder: 'Enter Segment criteria description',
        };
        this.save = new EventEmitter();
        this.showResultPopup = false;
        this.showResultEditPopup = false;
        this.selectedSegment = {
            id: nanoid(),
            segmentName: '',
            segmentDescription: '',
            toRange: 0,
            fromRange: 0,
            color: '#000000'
        };
        this.closed = new EventEmitter();
        this.cancelEvt = new EventEmitter();
        this.resultCriteria = [];
        this.maxRange = 10;
        this.errorArray = [];
    }
    ngOnInit() {
        this.maxRange = this.criteriaService.calculateMaxScore(this.fd.formsPage);
    }
    addNewSegment() {
        this.showResultEditPopup = false;
        this.mode = 'ADD';
        this.selectedSegment = {
            id: nanoid(14),
            segmentName: '',
            segmentDescription: '',
            fromRange: 0,
            toRange: this.maxRange,
            color: '#000000'
        };
        this.clickResultPopup();
    }
    closePopUp() {
        this.closed.emit();
    }
    closeSegment() {
        this.showResultPopup = false;
        this.showResultEditPopup = false;
        this.editIndex = -10;
    }
    clickResultPopup() {
        this.editIndex = -10;
        const popover = this.button.nativeElement.getBoundingClientRect();
        let left = 0;
        let top = 0;
        top = popover.top;
        left = popover.left;
        this.showResultPopup = !this.showResultPopup;
        this.showResultEditPopup = false;
        this.popoverLeft = left + 10;
        this.popoverTop = top - 350;
    }
    editResultPopup(event, segment, i) {
        this.editIndex = i;
        this.mode = 'EDIT';
        this.selectedSegment = segment;
        const popover = event.target.parentElement.parentElement.parentElement.parentElement.getBoundingClientRect();
        let left = 0;
        let top = 0;
        top = popover.top;
        left = popover.left;
        this.showResultEditPopup = true;
        this.showResultPopup = false;
        this.popoverLeft = left + 10;
        this.popoverTop = top - 350;
    }
    saveCriteria(evt) {
        if (this.mode === 'ADD') {
            this.showResultPopup = !this.showResultPopup;
            this.setting.segmentData.segments.push(evt);
        }
        else if (this.mode === 'EDIT') {
            this.showResultEditPopup = !this.showResultEditPopup;
            const index = this.setting.segmentData.segments.findIndex((x) => x.id === evt.id);
            this.setting.segmentData.segments[index] = evt;
        }
    }
    deleteSegment(index) {
        this.setting.segmentData.segments.splice(index, 1);
    }
    saveSetting() {
        this.editIndex = -10;
        this.showResultEditPopup = false;
        this.showResultPopup = false;
        this.errorArray = [];
        if (this.setting.segmentData.title.trim().length === 0) {
            this.errorArray.push({ type: 'SEGMENT_NAME_MISSING', message: 'Please enter the segment criteria name.' });
            return false;
        }
        else if (this.setting.segmentData.segments.length === 0) {
            this.errorArray.push({ type: 'NO_SEGMENT_FOUND', message: 'Please add atleast one segment.' });
            return false;
        }
        this.save.emit(this.setting);
    }
    discardEdit(index) {
        this.editIndex = -10;
        this.showResultEditPopup = false;
    }
    closeSegmentResult() {
        this.editIndex = -10;
        this.showResultEditPopup = false;
        this.showResultPopup = false;
    }
    cancel() {
        this.cancelEvt.emit(this.localSetting);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SettingResponseSegmentComponent, deps: [{ token: i0.ElementRef }, { token: ResultCriteriaService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SettingResponseSegmentComponent, selector: "app-setting-response-segment", inputs: { settingData: ["setting", "settingData"], formJSON: "formJSON", fd: "fd" }, outputs: { save: "save", closed: "closed", cancelEvt: "cancelEvt" }, viewQueries: [{ propertyName: "button", first: true, predicate: ["button"], descendants: true }, { propertyName: "buttonEdit", first: true, predicate: ["buttonEdit"], descendants: true }], ngImport: i0, template: "<div class=\"item-body vx-pt-3 vx-pb-3\" [class.error]=\"errorArray.length > 0\" *ngIf=\"true\">\n    <!-- <app-cs-switch [value]=\"setting?.settingEnableText\" [(ngValue)]=\"setting.isEnabled\" ><div class=\"vx-fs-13 vx-paragraph-txt\">Configure Response Segments for this form</div></app-cs-switch> -->\n    <!-- *ngIf=\"setting.isEnabled\" -->\n     <div  class=\"segment-form vx-mt-4\">\n        <div class=\"form-item vx-mb-4\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT CRITERIA <span class=\"vx-fs-16 vx-fw-400 vx-txt-red\">*</span></div>\n            <input type=\"text\" placeholder=\"Enter Segment criteria\" [(ngModel)]=\"setting.segmentData.title\">\n        </div>\n        <div class=\"form-item vx-mb-4\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT CRITERIA DESCRIPTION</div>\n            <vcomply-editor [editorConfig]=\"description\"  [(ngModel)]=\"setting.segmentData.description\"></vcomply-editor>\n        </div>\n        <div class=\"form-item vx-mb-4\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">MAXIMUM SCORE RANGE:</div>\n            <span class=\"score-label vx-fs-11 vx-fw-600 vx-paragraph-txt vx-pl-1 vx-pr-1 vx-lh-4\">0 - {{maxRange}}</span>\n        </div>\n        <div class=\"form-item vx-mb-4\" *ngIf=\"setting?.segmentData?.segments?.length > 0\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">ASSOCIATED SEGMENTS:</div>\n            <div class=\"associated-list vx-mb-1\"  *ngFor=\"let segment of setting?.segmentData?.segments; let i = index\">\n                <div class=\"vx-d-flex vx-align-center vx-justify-between\"  *ngIf=\"!(showResultEditPopup && editIndex === i)\">\n                    <div class=\"left vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                        <div class=\"name vx-fs-12\"   [style.color]=\"segment?.color\" [appTooltip]=\"segment?.segmentName\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{segment?.segmentName}}</div>\n                        <i *ngIf=\"segment?.segmentDescription\" class=\"icons info vx-fs-16 vx-txt-blue\" [appTooltip]=\"segment?.segmentDescription\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i>\n                    </div>\n                    <div class=\"right\">\n                        <div class=\"score vx-align-center vx-pl-2 vx-pr-2\" [style.background]=\"segment?.color\">\n                            <span class=\"vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-mr-3\">RANGE:</span>\n                            <span class=\"vx-fs-11 vx-fw-600 vx-txt-white\">{{' '+segment?.fromRange}} - {{segment?.toRange}}</span>\n                        </div>\n                        <div class=\"action vx-align-center vx-justify-center vx-pl-2 vx-pr-2\">\n                            <button  *ngIf=\"!(showResultEditPopup && editIndex === i)\" (click)=\"editResultPopup($event,segment,i)\" class=\"vx-fs-14 vx-txt-blue vx-p-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"editSegment()\"><i class=\"icons\">&#xe9ba;</i></button>\n                            <button (click)=\"deleteSegment(i)\" class=\"vx-fs-14 vx-txt-blue vx-p-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe923;</i></button>\n                        </div>\n                    </div>\n                </div>\n                <button *ngIf=\"showResultEditPopup\" class=\"segment-close vx-fs-12 vx-fw-600 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"closeSegment()\"><i class=\"icons\">&#xe9ae;</i></button>\n                <div class=\"segment-popup\" *ngIf=\"showResultEditPopup\">\n                    <app-add-segment-popup [mode]=\"mode\" [criteria]=\"selectedSegment\"\n                    [segmentCollection]=\"setting?.segmentData?.segments\" (save)=\"saveCriteria($event)\"\n                    (closeSegment)=\"closeSegmentResult()\" [maxRange]=\"maxRange\"></app-add-segment-popup>\n                </div>\n                <div class=\"overlay\" *ngIf=\"showResultEditPopup\"></div>\n            </div>\n        </div>\n        <div class=\"form-item vx-mb-4\">\n            <button *ngIf=\"!showResultPopup\" #button (click)=\"addNewSegment()\" class=\"segment-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"openSegmentPopup()\"><i class=\"icons vx-fs-14 vx-fw-600 vx-mr-4 vx-lh-4\">&#xe915;</i> ADD SEGMENT</button>\n            <button *ngIf=\"showResultPopup\" (click)=\"closeSegment()\" class=\"segment-close vx-fs-12 vx-fw-600 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" ><i class=\"icons\">&#xe9ae;</i></button>\n            <div class=\"segment-popup\" *ngIf=\"showResultPopup\">\n                <app-add-segment-popup [mode]=\"mode\" [criteria]=\"selectedSegment\"\n                [segmentCollection]=\"setting?.segmentData?.segments\" (save)=\"saveCriteria($event)\"\n                (closeSegment)=\"closeSegmentResult()\" [maxRange]=\"maxRange\"></app-add-segment-popup>\n            </div>\n            <div class=\"overlay\" *ngIf=\"showResultPopup\"></div>\n        </div>\n        <div class=\"segment-bottom vx-d-flex vx-align-center vx-justify-end vx-p-2\" *ngIf=\"errorArray.length === 0\">\n            <button (click)=\"cancel()\" class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">CANCEL</button>\n            <button (click)=\"saveSetting()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n        </div>\n        <div class=\"segment-bottom error vx-d-flex vx-align-center vx-justify-between vx-p-2\" *ngIf=\"errorArray.length > 0\">\n            <div class=\"text vx-fs-12 vx-txt-white\">{{errorArray[0]?.message}}</div>\n            <button (click)=\"saveSetting()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-settings{background:#fff;width:31.25rem;height:100vh}::ng-deep .assessment-settings-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:3rem}::ng-deep .assessment-settings-head i.info{cursor:pointer}::ng-deep .assessment-settings-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body{padding-left:2.25rem;padding-right:1rem;width:32.25rem;position:relative;left:-1rem;height:calc(100vh - 3.5rem);overflow-y:auto}::ng-deep .assessment-settings-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .assessment-settings-body .settings-item{border:1px solid #DBDBDB;border-radius:.25rem;position:relative;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item:hover,::ng-deep .assessment-settings-body .settings-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item.done:hover{border-color:#1e5dd3}::ng-deep .assessment-settings-body .settings-item .status{background:#fff;border-radius:50%;position:absolute;left:-2.25rem;top:.35rem;width:1.75rem;height:1.75rem;transition:all .1s ease-in-out;z-index:1}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon{position:absolute;top:-1px;width:29px;height:29px;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .assessment-settings-body .settings-item .status.edit .edit-loader{position:absolute;top:-.1875rem;left:-.1875rem;right:0;bottom:0;width:34px;height:34px;transform:rotate(90deg)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark{width:28px;height:28px;border-radius:50%;stroke-width:4;stroke:#1e5dd3;stroke-miterlimit:10;box-shadow:inset 0 0 #1e5dd3}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__circle{stroke-dasharray:0;stroke-dashoffset:0;stroke-width:0;stroke-miterlimit:10;stroke:#f1f1f1;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards;transform:scale(.23)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;fill:#1e5dd3;transform:scale(.5)}::ng-deep .assessment-settings-body .settings-item .item-head{min-height:2.5rem;width:100%;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-head .name I.info{position:relative;top:1px;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body{border-top:1px solid #F1F1F1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item{border:1px solid #DBDBDB;border-radius:.25rem;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done .criteria-list{border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area{border-left:1px solid #DBDBDB;width:9.5rem;height:2.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area button{background:transparent;border:none;border-radius:0;height:1.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area input{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;margin:.375rem .375rem .375rem 0;min-width:4.5rem;max-width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list{border-top:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list cs-radio{display:block;margin-bottom:.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item app-cs-switch{width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item{position:relative;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.5rem;width:100%;outline:none;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:hover,::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input::placeholder{color:#747576;opacity:1}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .score-label{background:#f1f1f1;border-radius:.125rem;position:relative;top:-.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list{background:#f8f8f8;border-radius:.125rem;height:2rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left{width:calc(100% - 6.5rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left i.info{cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right{width:6.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .score{border-radius:0 .125rem .125rem 0;height:2rem;display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action{height:2rem;display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action button{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .score{display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .action{display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list button.segment-close{top:-.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-btn{background:#fff;border:1px solid #1e5dd3;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-close{background:#1e5dd3;border:.25rem solid #FFFFFF;border-radius:50%;width:36px;height:36px;margin:.125rem auto;position:relative;z-index:3}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .segment-popup{position:absolute;bottom:1.25rem;left:.875rem;width:25rem;z-index:2}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.save-btn{background:#1e5dd3;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom.error{background:#d93b41}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom.error button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom.error button.save-btn{background:#fff}::ng-deep .assessment-settings-body .settings-item.skeleton-loader{background:#f8f8f8;border-color:#f1f1f1;height:2.5rem}::ng-deep .assessment-settings-body .settings-item.skeleton-loader .loader{background:#dbdbdb;border-radius:.5rem;height:.5rem;width:12rem}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes fillEdit{to{box-shadow:inset 0 0 0 2px #1e5dd3}}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite,color 6s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep app-cs-switch .cs-switch{cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: AddSegmentPopupComponent, selector: "app-add-segment-popup", inputs: ["top", "left", "segmentCollection", "mode", "maxRange", "criteria"], outputs: ["save", "closeSegment"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SettingResponseSegmentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-setting-response-segment', template: "<div class=\"item-body vx-pt-3 vx-pb-3\" [class.error]=\"errorArray.length > 0\" *ngIf=\"true\">\n    <!-- <app-cs-switch [value]=\"setting?.settingEnableText\" [(ngValue)]=\"setting.isEnabled\" ><div class=\"vx-fs-13 vx-paragraph-txt\">Configure Response Segments for this form</div></app-cs-switch> -->\n    <!-- *ngIf=\"setting.isEnabled\" -->\n     <div  class=\"segment-form vx-mt-4\">\n        <div class=\"form-item vx-mb-4\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT CRITERIA <span class=\"vx-fs-16 vx-fw-400 vx-txt-red\">*</span></div>\n            <input type=\"text\" placeholder=\"Enter Segment criteria\" [(ngModel)]=\"setting.segmentData.title\">\n        </div>\n        <div class=\"form-item vx-mb-4\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SEGMENT CRITERIA DESCRIPTION</div>\n            <vcomply-editor [editorConfig]=\"description\"  [(ngModel)]=\"setting.segmentData.description\"></vcomply-editor>\n        </div>\n        <div class=\"form-item vx-mb-4\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">MAXIMUM SCORE RANGE:</div>\n            <span class=\"score-label vx-fs-11 vx-fw-600 vx-paragraph-txt vx-pl-1 vx-pr-1 vx-lh-4\">0 - {{maxRange}}</span>\n        </div>\n        <div class=\"form-item vx-mb-4\" *ngIf=\"setting?.segmentData?.segments?.length > 0\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">ASSOCIATED SEGMENTS:</div>\n            <div class=\"associated-list vx-mb-1\"  *ngFor=\"let segment of setting?.segmentData?.segments; let i = index\">\n                <div class=\"vx-d-flex vx-align-center vx-justify-between\"  *ngIf=\"!(showResultEditPopup && editIndex === i)\">\n                    <div class=\"left vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                        <div class=\"name vx-fs-12\"   [style.color]=\"segment?.color\" [appTooltip]=\"segment?.segmentName\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{segment?.segmentName}}</div>\n                        <i *ngIf=\"segment?.segmentDescription\" class=\"icons info vx-fs-16 vx-txt-blue\" [appTooltip]=\"segment?.segmentDescription\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i>\n                    </div>\n                    <div class=\"right\">\n                        <div class=\"score vx-align-center vx-pl-2 vx-pr-2\" [style.background]=\"segment?.color\">\n                            <span class=\"vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-mr-3\">RANGE:</span>\n                            <span class=\"vx-fs-11 vx-fw-600 vx-txt-white\">{{' '+segment?.fromRange}} - {{segment?.toRange}}</span>\n                        </div>\n                        <div class=\"action vx-align-center vx-justify-center vx-pl-2 vx-pr-2\">\n                            <button  *ngIf=\"!(showResultEditPopup && editIndex === i)\" (click)=\"editResultPopup($event,segment,i)\" class=\"vx-fs-14 vx-txt-blue vx-p-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"editSegment()\"><i class=\"icons\">&#xe9ba;</i></button>\n                            <button (click)=\"deleteSegment(i)\" class=\"vx-fs-14 vx-txt-blue vx-p-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe923;</i></button>\n                        </div>\n                    </div>\n                </div>\n                <button *ngIf=\"showResultEditPopup\" class=\"segment-close vx-fs-12 vx-fw-600 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"closeSegment()\"><i class=\"icons\">&#xe9ae;</i></button>\n                <div class=\"segment-popup\" *ngIf=\"showResultEditPopup\">\n                    <app-add-segment-popup [mode]=\"mode\" [criteria]=\"selectedSegment\"\n                    [segmentCollection]=\"setting?.segmentData?.segments\" (save)=\"saveCriteria($event)\"\n                    (closeSegment)=\"closeSegmentResult()\" [maxRange]=\"maxRange\"></app-add-segment-popup>\n                </div>\n                <div class=\"overlay\" *ngIf=\"showResultEditPopup\"></div>\n            </div>\n        </div>\n        <div class=\"form-item vx-mb-4\">\n            <button *ngIf=\"!showResultPopup\" #button (click)=\"addNewSegment()\" class=\"segment-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"openSegmentPopup()\"><i class=\"icons vx-fs-14 vx-fw-600 vx-mr-4 vx-lh-4\">&#xe915;</i> ADD SEGMENT</button>\n            <button *ngIf=\"showResultPopup\" (click)=\"closeSegment()\" class=\"segment-close vx-fs-12 vx-fw-600 vx-txt-white vx-p-0 vx-d-flex vx-align-center vx-justify-center\" ><i class=\"icons\">&#xe9ae;</i></button>\n            <div class=\"segment-popup\" *ngIf=\"showResultPopup\">\n                <app-add-segment-popup [mode]=\"mode\" [criteria]=\"selectedSegment\"\n                [segmentCollection]=\"setting?.segmentData?.segments\" (save)=\"saveCriteria($event)\"\n                (closeSegment)=\"closeSegmentResult()\" [maxRange]=\"maxRange\"></app-add-segment-popup>\n            </div>\n            <div class=\"overlay\" *ngIf=\"showResultPopup\"></div>\n        </div>\n        <div class=\"segment-bottom vx-d-flex vx-align-center vx-justify-end vx-p-2\" *ngIf=\"errorArray.length === 0\">\n            <button (click)=\"cancel()\" class=\"cancel-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">CANCEL</button>\n            <button (click)=\"saveSetting()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n        </div>\n        <div class=\"segment-bottom error vx-d-flex vx-align-center vx-justify-between vx-p-2\" *ngIf=\"errorArray.length > 0\">\n            <div class=\"text vx-fs-12 vx-txt-white\">{{errorArray[0]?.message}}</div>\n            <button (click)=\"saveSetting()\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-settings{background:#fff;width:31.25rem;height:100vh}::ng-deep .assessment-settings-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:3rem}::ng-deep .assessment-settings-head i.info{cursor:pointer}::ng-deep .assessment-settings-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body{padding-left:2.25rem;padding-right:1rem;width:32.25rem;position:relative;left:-1rem;height:calc(100vh - 3.5rem);overflow-y:auto}::ng-deep .assessment-settings-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .assessment-settings-body .settings-item{border:1px solid #DBDBDB;border-radius:.25rem;position:relative;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item:hover,::ng-deep .assessment-settings-body .settings-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item.done:hover{border-color:#1e5dd3}::ng-deep .assessment-settings-body .settings-item .status{background:#fff;border-radius:50%;position:absolute;left:-2.25rem;top:.35rem;width:1.75rem;height:1.75rem;transition:all .1s ease-in-out;z-index:1}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon{position:absolute;top:-1px;width:29px;height:29px;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .assessment-settings-body .settings-item .status.edit .edit-loader{position:absolute;top:-.1875rem;left:-.1875rem;right:0;bottom:0;width:34px;height:34px;transform:rotate(90deg)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark{width:28px;height:28px;border-radius:50%;stroke-width:4;stroke:#1e5dd3;stroke-miterlimit:10;box-shadow:inset 0 0 #1e5dd3}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__circle{stroke-dasharray:0;stroke-dashoffset:0;stroke-width:0;stroke-miterlimit:10;stroke:#f1f1f1;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards;transform:scale(.23)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;fill:#1e5dd3;transform:scale(.5)}::ng-deep .assessment-settings-body .settings-item .item-head{min-height:2.5rem;width:100%;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-head .name I.info{position:relative;top:1px;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body{border-top:1px solid #F1F1F1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item{border:1px solid #DBDBDB;border-radius:.25rem;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done .criteria-list{border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area{border-left:1px solid #DBDBDB;width:9.5rem;height:2.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area button{background:transparent;border:none;border-radius:0;height:1.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area input{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;margin:.375rem .375rem .375rem 0;min-width:4.5rem;max-width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list{border-top:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list cs-radio{display:block;margin-bottom:.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item app-cs-switch{width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item{position:relative;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.5rem;width:100%;outline:none;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:hover,::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input::placeholder{color:#747576;opacity:1}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .score-label{background:#f1f1f1;border-radius:.125rem;position:relative;top:-.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list{background:#f8f8f8;border-radius:.125rem;height:2rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left{width:calc(100% - 6.5rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left i.info{cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right{width:6.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .score{border-radius:0 .125rem .125rem 0;height:2rem;display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action{height:2rem;display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action button{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .score{display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .action{display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list button.segment-close{top:-.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-btn{background:#fff;border:1px solid #1e5dd3;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-close{background:#1e5dd3;border:.25rem solid #FFFFFF;border-radius:50%;width:36px;height:36px;margin:.125rem auto;position:relative;z-index:3}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .segment-popup{position:absolute;bottom:1.25rem;left:.875rem;width:25rem;z-index:2}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.save-btn{background:#1e5dd3;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom.error{background:#d93b41}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom.error button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom.error button.save-btn{background:#fff}::ng-deep .assessment-settings-body .settings-item.skeleton-loader{background:#f8f8f8;border-color:#f1f1f1;height:2.5rem}::ng-deep .assessment-settings-body .settings-item.skeleton-loader .loader{background:#dbdbdb;border-radius:.5rem;height:.5rem;width:12rem}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes fillEdit{to{box-shadow:inset 0 0 0 2px #1e5dd3}}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite,color 6s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep app-cs-switch .cs-switch{cursor:pointer}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: ResultCriteriaService }]; }, propDecorators: { settingData: [{
                type: Input,
                args: ['setting']
            }], save: [{
                type: Output
            }], button: [{
                type: ViewChild,
                args: ['button']
            }], buttonEdit: [{
                type: ViewChild,
                args: ['buttonEdit']
            }], closed: [{
                type: Output
            }], cancelEvt: [{
                type: Output
            }], formJSON: [{
                type: Input
            }], fd: [{
                type: Input
            }] } });

class AssessmentSettingsComponent {
    closeSegmentPopup() { }
    openSegmentPopup() { }
    editSegment() { }
    clickSegment() { }
    clickMode() { }
    clickResponse() { }
    constructor(config, dialog, criteriaService, snackbar) {
        this.config = config;
        this.dialog = dialog;
        this.criteriaService = criteriaService;
        this.snackbar = snackbar;
        this.description = {
            mode: 'prime',
            placeholder: 'Enter Segment criteria description',
        };
        this.action = new EventEmitter();
        this.forAnimation = false;
        this.settingsJSON = {
            assessmentMode: true,
            defaultScore: 0,
            negativeScoreCriteria: 'FAILED',
            negativeScore: 0,
            weightageEnabled: false
        };
        this.activeSettingType = 'none';
    }
    ngOnInit() {
        this.editorService = this.config.data.service;
        this.settingsData = this.config.data.settings;
        this.forAnimation = true;
        setTimeout(() => {
            this.forAnimation = false;
        }, 1000);
        this.settingsJSON = this.config.data.settingsJSON;
    }
    closePanel(evt) {
        this.dialog.close({});
    }
    manipulateDefault(mode) {
        if (mode === 'INCREASE' && this.settingsJSON.defaultScore >= 0) {
            this.settingsJSON.defaultScore = this.settingsJSON.defaultScore + 1;
        }
        else if (mode === 'DECREASE' && this.settingsJSON.defaultScore >= 1) {
            this.settingsJSON.defaultScore = this.settingsJSON.defaultScore - 1;
        }
    }
    manipulateNegativeScore(mode) {
        if (mode === 'INCREASE' && this.settingsJSON.negativeScore >= 0) {
            this.settingsJSON.negativeScore = this.settingsJSON.negativeScore + 1;
        }
        else if (mode === 'DECREASE' && this.settingsJSON.negativeScore >= 1) {
            this.settingsJSON.negativeScore = this.settingsJSON.negativeScore - 1;
        }
    }
    executeAction(evt) {
        this.dialog.close({
            event: evt,
            data: this.settingsJSON
        });
    }
    setActiveType(type, index) {
        this.activeSettingType = type;
        if (type === 'ASSESSMENT') {
            this.settingsData.settingsElements[index].isEnabled = true;
        }
    }
    enableStateChanged(e, type) {
        if (type === 'ANONYMOUS') {
            this.editorService.formsPage.anonymousResponse = e;
        }
        if (type === 'RESPONSE_SEGMENT') {
            this.editorService.formsPage.responseSegment['isEnabled'] = e;
        }
    }
    save(evt, index) {
        this.settingsData.settingsElements[index] = evt;
        if (evt.type === 'ASSESSMENT') {
            this.editorService.formsPage.settings.assessmentMode = evt.isEnabled;
            this.editorService.formsPage.settings.defaultScore = evt.defaultScore;
            this.editorService.formsPage.settings.negativeScore = evt.negativeScore;
            this.editorService.formsPage.settings.negativeScoreCriteria = evt.negativeScoreCriteria;
            this.editorService.formsPage.settings.weightageEnabled = evt.weightageEnabled;
            this.settingsData.settingsElements[index] = evt;
            this.activeSettingType = 'none';
            const assessmentEligibleQuestions = ['checkbox', 'multiple-choice', 'dropdown'];
            this.editorService.formsPage.elements.forEach((question) => {
                this.editorService.score.defaultScore = evt.defaultScore;
                this.editorService.score.negativeScore = evt.negativeScore;
                if (assessmentEligibleQuestions.includes(question.type)) {
                    question.choices.forEach((element) => {
                        if (!element.isFailed) {
                            element.score = evt.defaultScore;
                        }
                        if (element.isFailed && (evt.negativeScoreCriteria === 'FAILED' || evt.negativeScoreCriteria === 'FAILED_SKIPPED')) {
                            element.score = evt.negativeScore;
                        }
                        if (evt.weightageEnabled) {
                            if (!question.weightage || question.weightage === undefined) {
                                question.weightage = 100;
                            }
                        }
                        else {
                            question.weightage = 100;
                        }
                    });
                }
                this.editorService.formsPage.responseSegment['maxScore'] = this.criteriaService.calculateMaxScore(this.editorService.formsPage);
            });
            this.snackbar.show("The settings have been updated.", 'success');
            this.activeSettingType = '';
            // } else {
            //   this.fd.formsPage.settings.assessmentMode = false;
            //   this.settingsData.settingsElements[index].defaultScore = this.fd.settings.defaultScore;
            //   this.settingsData.settingsElements[index].negativeScore = this.fd.settings.negativeScore;
            //   this.settingsData.settingsElements[index].weightageEnabled = this.fd.settings.weightageEnabled;
            //   this.activeSettingType = 'none';
            // this.settingsData.settingsElements[index].isEnabled = false;
            // }
            // });
        }
        if (evt.type === 'RESPONSE_SEGMENT') {
            evt.isEnabled = true;
            if (evt.isEnabled) {
                evt.segmentData.isEnabled = true;
                this.editorService.formsPage.responseSegment = evt.segmentData;
                this.snackbar.show("The settings have been updated.", 'success');
                this.activeSettingType = '';
            }
        }
    }
    cancel() {
        this.activeSettingType = '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentSettingsComponent, deps: [{ token: DialogConfig }, { token: DialogRef }, { token: ResultCriteriaService }, { token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssessmentSettingsComponent, selector: "app-assessment-settings", outputs: { action: "action" }, ngImport: i0, template: "<div class=\"assessment-settings\">\n    <div class=\"assessment-settings-head vx-pl-4 vx-pr-4 vx-d-flex vx-align-center vx-justify-between\">\n        <div class=\"vx-d-flex vx-align-center\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">{{settingsData?.panelTitle | titlecase }}</div>\n            <!-- <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\" [appTooltip]=\"'Assessment Settings info text here...'\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i> -->\n        </div>\n        <button (click)=\"closePanel()\" class=\"close vx-fs-16 vx-label-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center\" [appTooltip]=\"'[Esc] to close'\" placement=\"left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\"><i class=\"icons vx-d-flex\">&#xe93f;</i></button>\n    </div>\n    <div class=\"assessment-settings-body vx-pt-4 vx-pb-4\" #scrolleffect>\n        <!-- Skeleton loader -->\n        <ng-container *ngIf=\"false\">\n            <div class=\"settings-item skeleton-loader vx-mb-4 vx-pl-4 vx-pr-4 vx-d-flex vx-align-center\" *ngFor=\"let data of [1, 1, 1]\">\n                <div class=\"loader\"></div>\n            </div>\n        </ng-container>\n        <!-- Skeleton loader -->\n        <ng-container *ngFor=\"let setting of settingsData?.settingsElements;let i = index\">\n            <!-- <div *ngIf=\"setting.isVisible === true\"  class=\"settings-item vx-mb-4 vx-pl-4 vx-pr-4\" [class.active]=\"showResponse\" [class.done]=\"!showResponse\">\n                <div *ngIf=\"showResponse\" class=\"status edit vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"edit-loader\" viewBox=\"25 25 50 50\">\n                        <circle class=\"loader-path\" cx=\"50\" cy=\"50\" r=\"20\" fill=\"none\" stroke=\"#1e5dd3\" stroke-width=\"3\" />\n                    </svg>\n                    <i class=\"icons vx-fs-14 vx-txt-blue\">&#xe90c;</i>\n                </div>\n                <div *ngIf=\"!showResponse\" class=\"status done vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                        <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                    </svg>\n                </div>\n                <div class=\"item-head vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3\" (click)=\"clickResponse()\">\n                    <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">ANONYMIZE FORM RESPONSE</div>\n                    <i class=\"icons vx-fs-14 vx-paragraph-txt\">\n                        <ng-container *ngIf=\"!showResponse\">&#xe970;</ng-container>\n                        <ng-container *ngIf=\"showResponse\">&#xe9e8;</ng-container>\n                    </i>\n                </div>\n                <div class=\"item-body vx-pt-3 vx-pb-3\" *ngIf=\"showResponse\">\n                    <app-cs-switch><div class=\"vx-fs-13 vx-paragraph-txt\">Make responses to this form anonymous</div></app-cs-switch>\n                </div>\n            </div> -->\n            <div class=\"settings-item vx-mb-4 vx-pl-4 vx-pr-4\" [class.active]=\"showMode\" [class.done]=\"!showMode\" [class.error]=\"false\">\n                <div *ngIf=\"false\" class=\"status edit vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"edit-loader\" viewBox=\"25 25 50 50\">\n                        <circle class=\"loader-path\" cx=\"50\" cy=\"50\" r=\"20\" fill=\"none\" stroke=\"#1e5dd3\" stroke-width=\"3\" />\n                    </svg>\n                    <i class=\"icons vx-fs-14 vx-txt-blue\">&#xe90c;</i>\n                </div>\n                <div  *ngIf=\"false\" class=\"status done vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                        <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                    </svg>\n                </div>\n                <div class=\"item-head vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3\" (click)=\"setActiveType(setting.type,i)\">\n                    <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">  <span [innerHTML]=\"setting?.settingTitle\"></span> <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\" [appTooltip]=\"setting?.helpingText\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i></div>\n                    <i class=\"icons vx-fs-14 vx-paragraph-txt\" >\n                        <ng-container *ngIf=\"activeSettingType !== setting?.type\">&#xe970;</ng-container>\n                        <ng-container *ngIf=\"activeSettingType === setting?.type\" >&#xe9e8;</ng-container>\n                    </i>\n                </div>\n                <ng-container *ngIf=\"activeSettingType === setting?.type\">\n                    <app-setting-anonymous (cancelEvt)=\"cancel()\" *ngIf=\"setting?.type === 'ASSESSMENT' && setting.isEnabled === true\" [setting]=\"setting\" (save)=\"save($event,i)\"></app-setting-anonymous>\n                    <app-setting-response-segment (cancelEvt)=\"cancel()\"  *ngIf=\"setting?.type === 'RESPONSE_SEGMENT'\" [fd]=\"editorService\" [setting]=\"setting\" (save)=\"save($event,i)\"></app-setting-response-segment>\n                </ng-container>\n                \n                <!-- assessment mode here -->\n                <!-- <div class=\"item-body vx-pt-3 vx-pb-3\" *ngIf=\"true\">\n                    <app-cs-switch><div class=\"vx-fs-13 vx-paragraph-txt\">Enable assessment mode for this form</div></app-cs-switch>\n                    <div class=\"mode-list vx-mt-3\">\n                        <div class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2\" [class.done]=\"false\">\n                            <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Set default scores for all questions</div>\n                            <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                                <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                                <div class=\"input-area vx-d-flex vx-align-center\">\n                                    <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                                    <input type=\"number\" value='10'>\n                                    <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                                </div>\n                            </div>\n                            <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                                <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                                <span class=\"vx-fs-13 vx-txt-blue\">10</span>\n                            </div>\n                        </div>\n                        <div class=\"mode-item vx-mt-2\" [class.done]=\"false\">\n                            <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n                                <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Select a criterion for negative scores</div>\n                                <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                                    <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                                    <div class=\"input-area vx-d-flex vx-align-center\">\n                                        <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                                        <input type=\"number\" value='0'>\n                                        <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                                    </div>\n                                </div>\n                                <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                                    <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                                    <span class=\"vx-fs-13 vx-txt-blue\">2</span>\n                                </div>\n                            </div>\n                            <div class=\"criteria-list vx-pt-3 vx-pl-3\">\n                                <app-cs-radio><div class=\"name vx-fs-12 vx-paragraph-txt\">Failed Responses</div></app-cs-radio>\n                                <app-cs-radio><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions</div></app-cs-radio>\n                                <app-cs-radio><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions & Failed Responses</div></app-cs-radio>\n                            </div>\n                        </div>\n                        <div class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-pl-3 vx-pr-3\">\n                            <app-cs-switch><div class=\"vx-fs-13 vx-label-txt\">Enabled weightage for each question</div></app-cs-switch>\n                        </div>\n                    </div>\n                </div> -->\n            </div>\n           \n        </ng-container>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-settings{background:#fff;width:31.25rem;height:100vh}::ng-deep .assessment-settings-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:3rem}::ng-deep .assessment-settings-head i.info{cursor:pointer}::ng-deep .assessment-settings-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body{padding-left:2.25rem;padding-right:1rem;width:32.25rem;position:relative;left:-1rem;height:calc(100vh - 3.5rem);overflow-y:auto}::ng-deep .assessment-settings-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .assessment-settings-body .settings-item{border:1px solid #DBDBDB;border-radius:.25rem;position:relative;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item:hover,::ng-deep .assessment-settings-body .settings-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item.done:hover{border-color:#1e5dd3}::ng-deep .assessment-settings-body .settings-item.error{border-color:#d93b41!important}::ng-deep .assessment-settings-body .settings-item.error:hover,::ng-deep .assessment-settings-body .settings-item.error.active{border-color:#d93b41!important;box-shadow:none!important}::ng-deep .assessment-settings-body .settings-item .status{background:#fff;border-radius:50%;position:absolute;left:-2.25rem;top:.35rem;width:1.75rem;height:1.75rem;transition:all .1s ease-in-out;z-index:1}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon{position:absolute;top:-1px;width:29px;height:29px;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .assessment-settings-body .settings-item .status.edit .edit-loader{position:absolute;top:-.1875rem;left:-.1875rem;right:0;bottom:0;width:34px;height:34px;transform:rotate(90deg)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark{width:28px;height:28px;border-radius:50%;stroke-width:4;stroke:#1e5dd3;stroke-miterlimit:10;box-shadow:inset 0 0 #1e5dd3}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__circle{stroke-dasharray:0;stroke-dashoffset:0;stroke-width:0;stroke-miterlimit:10;stroke:#f1f1f1;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards;transform:scale(.23)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;fill:#1e5dd3;transform:scale(.5)}::ng-deep .assessment-settings-body .settings-item .item-head{min-height:2.5rem;width:100%;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-head .name I.info{position:relative;top:1px;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body{border-top:1px solid #F1F1F1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item{border:1px solid #DBDBDB;border-radius:.25rem;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done .criteria-list{border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area{border-left:1px solid #DBDBDB;width:9.5rem;height:2.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area button{background:transparent;border:none;border-radius:0;height:1.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area input{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;margin:.375rem .375rem .375rem 0;min-width:4.5rem;max-width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list{border-top:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list cs-radio{display:block;margin-bottom:.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item app-cs-switch{width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item{position:relative;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.5rem;width:100%;outline:none;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:hover,::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input::placeholder{color:#747576;opacity:1}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .score-label{background:#f1f1f1;border-radius:.125rem;position:relative;top:-.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list{background:#f8f8f8;border-radius:.125rem;height:2rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left{width:calc(100% - 6.5rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left i.info{cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right{width:6.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .score{border-radius:0 .125rem .125rem 0;height:2rem;display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action{height:2rem;display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action button{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .score{display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .action{display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list button.segment-close{top:-2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-btn{background:#fff;border:1px solid #1e5dd3;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-close{background:#1e5dd3;border:.25rem solid #FFFFFF;border-radius:50%;width:36px;height:36px;margin:.125rem auto;position:relative;z-index:3}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .segment-popup{position:absolute;bottom:1.25rem;left:.875rem;width:25rem;z-index:2}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.save-btn{background:#1e5dd3;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}::ng-deep .assessment-settings-body .settings-item.skeleton-loader{background:#f8f8f8;border-color:#f1f1f1;height:2.5rem}::ng-deep .assessment-settings-body .settings-item.skeleton-loader .loader{background:#dbdbdb;border-radius:.5rem;height:.5rem;width:12rem}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes fillEdit{to{box-shadow:inset 0 0 0 2px #1e5dd3}}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite,color 6s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep app-cs-switch .cs-switch{cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: SettingAnonymousComponent, selector: "app-setting-anonymous", inputs: ["setting"], outputs: ["save", "cancelEvt"] }, { kind: "component", type: SettingResponseSegmentComponent, selector: "app-setting-response-segment", inputs: ["setting", "formJSON", "fd"], outputs: ["save", "closed", "cancelEvt"] }, { kind: "pipe", type: i1$1.TitleCasePipe, name: "titlecase" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentSettingsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-assessment-settings', template: "<div class=\"assessment-settings\">\n    <div class=\"assessment-settings-head vx-pl-4 vx-pr-4 vx-d-flex vx-align-center vx-justify-between\">\n        <div class=\"vx-d-flex vx-align-center\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">{{settingsData?.panelTitle | titlecase }}</div>\n            <!-- <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\" [appTooltip]=\"'Assessment Settings info text here...'\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i> -->\n        </div>\n        <button (click)=\"closePanel()\" class=\"close vx-fs-16 vx-label-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center\" [appTooltip]=\"'[Esc] to close'\" placement=\"left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\"><i class=\"icons vx-d-flex\">&#xe93f;</i></button>\n    </div>\n    <div class=\"assessment-settings-body vx-pt-4 vx-pb-4\" #scrolleffect>\n        <!-- Skeleton loader -->\n        <ng-container *ngIf=\"false\">\n            <div class=\"settings-item skeleton-loader vx-mb-4 vx-pl-4 vx-pr-4 vx-d-flex vx-align-center\" *ngFor=\"let data of [1, 1, 1]\">\n                <div class=\"loader\"></div>\n            </div>\n        </ng-container>\n        <!-- Skeleton loader -->\n        <ng-container *ngFor=\"let setting of settingsData?.settingsElements;let i = index\">\n            <!-- <div *ngIf=\"setting.isVisible === true\"  class=\"settings-item vx-mb-4 vx-pl-4 vx-pr-4\" [class.active]=\"showResponse\" [class.done]=\"!showResponse\">\n                <div *ngIf=\"showResponse\" class=\"status edit vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"edit-loader\" viewBox=\"25 25 50 50\">\n                        <circle class=\"loader-path\" cx=\"50\" cy=\"50\" r=\"20\" fill=\"none\" stroke=\"#1e5dd3\" stroke-width=\"3\" />\n                    </svg>\n                    <i class=\"icons vx-fs-14 vx-txt-blue\">&#xe90c;</i>\n                </div>\n                <div *ngIf=\"!showResponse\" class=\"status done vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                        <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                    </svg>\n                </div>\n                <div class=\"item-head vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3\" (click)=\"clickResponse()\">\n                    <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">ANONYMIZE FORM RESPONSE</div>\n                    <i class=\"icons vx-fs-14 vx-paragraph-txt\">\n                        <ng-container *ngIf=\"!showResponse\">&#xe970;</ng-container>\n                        <ng-container *ngIf=\"showResponse\">&#xe9e8;</ng-container>\n                    </i>\n                </div>\n                <div class=\"item-body vx-pt-3 vx-pb-3\" *ngIf=\"showResponse\">\n                    <app-cs-switch><div class=\"vx-fs-13 vx-paragraph-txt\">Make responses to this form anonymous</div></app-cs-switch>\n                </div>\n            </div> -->\n            <div class=\"settings-item vx-mb-4 vx-pl-4 vx-pr-4\" [class.active]=\"showMode\" [class.done]=\"!showMode\" [class.error]=\"false\">\n                <div *ngIf=\"false\" class=\"status edit vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"edit-loader\" viewBox=\"25 25 50 50\">\n                        <circle class=\"loader-path\" cx=\"50\" cy=\"50\" r=\"20\" fill=\"none\" stroke=\"#1e5dd3\" stroke-width=\"3\" />\n                    </svg>\n                    <i class=\"icons vx-fs-14 vx-txt-blue\">&#xe90c;</i>\n                </div>\n                <div  *ngIf=\"false\" class=\"status done vx-d-flex vx-align-center vx-justify-center\">\n                    <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                        <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                    </svg>\n                </div>\n                <div class=\"item-head vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3\" (click)=\"setActiveType(setting.type,i)\">\n                    <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">  <span [innerHTML]=\"setting?.settingTitle\"></span> <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\" [appTooltip]=\"setting?.helpingText\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i></div>\n                    <i class=\"icons vx-fs-14 vx-paragraph-txt\" >\n                        <ng-container *ngIf=\"activeSettingType !== setting?.type\">&#xe970;</ng-container>\n                        <ng-container *ngIf=\"activeSettingType === setting?.type\" >&#xe9e8;</ng-container>\n                    </i>\n                </div>\n                <ng-container *ngIf=\"activeSettingType === setting?.type\">\n                    <app-setting-anonymous (cancelEvt)=\"cancel()\" *ngIf=\"setting?.type === 'ASSESSMENT' && setting.isEnabled === true\" [setting]=\"setting\" (save)=\"save($event,i)\"></app-setting-anonymous>\n                    <app-setting-response-segment (cancelEvt)=\"cancel()\"  *ngIf=\"setting?.type === 'RESPONSE_SEGMENT'\" [fd]=\"editorService\" [setting]=\"setting\" (save)=\"save($event,i)\"></app-setting-response-segment>\n                </ng-container>\n                \n                <!-- assessment mode here -->\n                <!-- <div class=\"item-body vx-pt-3 vx-pb-3\" *ngIf=\"true\">\n                    <app-cs-switch><div class=\"vx-fs-13 vx-paragraph-txt\">Enable assessment mode for this form</div></app-cs-switch>\n                    <div class=\"mode-list vx-mt-3\">\n                        <div class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2\" [class.done]=\"false\">\n                            <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Set default scores for all questions</div>\n                            <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                                <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                                <div class=\"input-area vx-d-flex vx-align-center\">\n                                    <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                                    <input type=\"number\" value='10'>\n                                    <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                                </div>\n                            </div>\n                            <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                                <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                                <span class=\"vx-fs-13 vx-txt-blue\">10</span>\n                            </div>\n                        </div>\n                        <div class=\"mode-item vx-mt-2\" [class.done]=\"false\">\n                            <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n                                <div class=\"heading vx-fs-13 vx-fw-500 vx-label-txt vx-pl-3\">Select a criterion for negative scores</div>\n                                <div *ngIf=\"true\" class=\"score-area vx-d-flex vx-align-center vx-pl-3 vx-pr-1\">\n                                    <div class=\"vx-fs-12 vx-paragraph-txt vx-mr-2\">Score</div>\n                                    <div class=\"input-area vx-d-flex vx-align-center\">\n                                        <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                                        <input type=\"number\" value='0'>\n                                        <button class=\"vx-fs-14 vx-fw-500 vx-paragraph-txt vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                                    </div>\n                                </div>\n                                <div *ngIf=\"false\" class=\"score vx-pl-2 vx-pr-2 vx-lh-6\">\n                                    <span class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-1\">SCORE:</span>\n                                    <span class=\"vx-fs-13 vx-txt-blue\">2</span>\n                                </div>\n                            </div>\n                            <div class=\"criteria-list vx-pt-3 vx-pl-3\">\n                                <app-cs-radio><div class=\"name vx-fs-12 vx-paragraph-txt\">Failed Responses</div></app-cs-radio>\n                                <app-cs-radio><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions</div></app-cs-radio>\n                                <app-cs-radio><div class=\"name vx-fs-12 vx-paragraph-txt\">Skipped Questions & Failed Responses</div></app-cs-radio>\n                            </div>\n                        </div>\n                        <div class=\"mode-item vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-pl-3 vx-pr-3\">\n                            <app-cs-switch><div class=\"vx-fs-13 vx-label-txt\">Enabled weightage for each question</div></app-cs-switch>\n                        </div>\n                    </div>\n                </div> -->\n            </div>\n           \n        </ng-container>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-settings{background:#fff;width:31.25rem;height:100vh}::ng-deep .assessment-settings-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:3rem}::ng-deep .assessment-settings-head i.info{cursor:pointer}::ng-deep .assessment-settings-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body{padding-left:2.25rem;padding-right:1rem;width:32.25rem;position:relative;left:-1rem;height:calc(100vh - 3.5rem);overflow-y:auto}::ng-deep .assessment-settings-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .assessment-settings-body .settings-item{border:1px solid #DBDBDB;border-radius:.25rem;position:relative;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item:hover,::ng-deep .assessment-settings-body .settings-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item.done:hover{border-color:#1e5dd3}::ng-deep .assessment-settings-body .settings-item.error{border-color:#d93b41!important}::ng-deep .assessment-settings-body .settings-item.error:hover,::ng-deep .assessment-settings-body .settings-item.error.active{border-color:#d93b41!important;box-shadow:none!important}::ng-deep .assessment-settings-body .settings-item .status{background:#fff;border-radius:50%;position:absolute;left:-2.25rem;top:.35rem;width:1.75rem;height:1.75rem;transition:all .1s ease-in-out;z-index:1}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon{position:absolute;top:-1px;width:29px;height:29px;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .assessment-settings-body .settings-item .status.done .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .assessment-settings-body .settings-item .status.edit .edit-loader{position:absolute;top:-.1875rem;left:-.1875rem;right:0;bottom:0;width:34px;height:34px;transform:rotate(90deg)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark{width:28px;height:28px;border-radius:50%;stroke-width:4;stroke:#1e5dd3;stroke-miterlimit:10;box-shadow:inset 0 0 #1e5dd3}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__circle{stroke-dasharray:0;stroke-dashoffset:0;stroke-width:0;stroke-miterlimit:10;stroke:#f1f1f1;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards;transform:scale(.23)}::ng-deep .assessment-settings-body .settings-item .status.edit .editmark__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;fill:#1e5dd3;transform:scale(.5)}::ng-deep .assessment-settings-body .settings-item .item-head{min-height:2.5rem;width:100%;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-head .name I.info{position:relative;top:1px;cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body{border-top:1px solid #F1F1F1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item{border:1px solid #DBDBDB;border-radius:.25rem;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done{background:#fbfbfb;border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item.done .criteria-list{border-color:#f1f1f1}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area{border-left:1px solid #DBDBDB;width:9.5rem;height:2.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area button{background:transparent;border:none;border-radius:0;height:1.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score-area .input-area input{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;color:#747576;font-size:13px;text-align:center;width:44px;height:1.5rem;outline:none}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .score{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;margin:.375rem .375rem .375rem 0;min-width:4.5rem;max-width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list{border-top:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item .criteria-list cs-radio{display:block;margin-bottom:.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .mode-item app-cs-switch{width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item{position:relative;min-height:2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:0 .75rem;height:2.5rem;width:100%;outline:none;transition:all .3s ease-in-out}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:hover,::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd326}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item input::placeholder{color:#747576;opacity:1}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block{font-size:12px;padding:.5rem .75rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .score-label{background:#f1f1f1;border-radius:.125rem;position:relative;top:-.375rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list{background:#f8f8f8;border-radius:.125rem;height:2rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left{width:calc(100% - 6.5rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .left i.info{cursor:pointer}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right{width:6.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .score{border-radius:0 .125rem .125rem 0;height:2rem;display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action{height:2rem;display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list .right .action button{background:transparent;border:none;border-radius:0}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .score{display:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list:hover .right .action{display:flex}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .associated-list button.segment-close{top:-2.5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-btn{background:#fff;border:1px solid #1e5dd3;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item button.segment-close{background:#1e5dd3;border:.25rem solid #FFFFFF;border-radius:50%;width:36px;height:36px;margin:.125rem auto;position:relative;z-index:3}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .form-item .segment-popup{position:absolute;bottom:1.25rem;left:.875rem;width:25rem;z-index:2}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .1875rem .1875rem;height:2.75rem;margin:0 0 -.75rem -1rem;width:calc(100% + 2rem)}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button{border-radius:.125rem;height:1.875rem;width:5rem}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.cancel-btn{background:#fff;border:1px solid #DBDBDB}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.save-btn{background:#1e5dd3;border:none}::ng-deep .assessment-settings-body .settings-item .item-body .segment-form .segment-bottom button.disabled{background:#f1f1f1;color:#747576;pointer-events:none}::ng-deep .assessment-settings-body .settings-item.skeleton-loader{background:#f8f8f8;border-color:#f1f1f1;height:2.5rem}::ng-deep .assessment-settings-body .settings-item.skeleton-loader .loader{background:#dbdbdb;border-radius:.5rem;height:.5rem;width:12rem}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes fillEdit{to{box-shadow:inset 0 0 0 2px #1e5dd3}}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite,color 6s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep app-cs-switch .cs-switch{cursor:pointer}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogConfig }, { type: DialogRef }, { type: ResultCriteriaService }, { type: SnackBarService }]; }, propDecorators: { action: [{
                type: Output
            }] } });

// import { environment } from 'src/environments/environment';
class EditorService {
    constructor(http, config) {
        this.http = http;
        this.currentPageDetails = { pageName: '', pageNumber: 1, pageDescription: '' };
        this.prefixForQuestionName = 'Question_';
        this.activeQuestionIndex = new BehaviorSubject(-5);
        this.activeQuestionStream$ = this.activeQuestionIndex.asObservable();
        this.currentPageNumber = 1;
        this.activeQuestion = 0;
        this.showAddPageOption = true;
        this.showPageDetails = false;
        this.score = {
            defaultScore: 1,
            negativeScore: 0
        };
        this.allPages = [];
        this.stepIdentifier = 'pagescreen'; // this value can be "welcomescreen","thankyouscreen","pagescreen" only
        this.settings = {
            assessmentMode: false,
            defaultScore: 1,
            negativeScoreCriteria: 'FAILED',
            negativeScore: 0,
            weightageEnabled: false,
            settingsEnabled: false
        };
        this.formsPage = {
            version: 2,
            questionRandomize: true,
            anonymousResponse: false,
            hasWelcome: false,
            hasWelcomeDescription: true,
            welcomeText: '',
            hasWelcomeImage: true,
            welcomeImage: '',
            welcomeDescription: '',
            hasThanks: false,
            hasThankyouImage: false,
            thankyouText: '',
            thankyouImage: '',
            hasThankyouDescription: true,
            thankyouDescription: '',
            elements: [],
            pageDetailsList: [],
            customResponseSet: [],
            settings: this.settings,
            responseSegment: this.initializeEmptyResponseSegment()
        };
        this.httpOptions = {
            headers: new HttpHeaders({ 'Content-Type': 'application/json', token: this.getAuthorizationToken() })
        };
        if (config) {
            this.env = config.envConfig;
        }
    }
    initializeEmptyResponseSegment() {
        return {
            title: '',
            description: '',
            maxScore: 10,
            segments: []
        };
    }
    uploadHandler(formData, destination) {
        return this.http.post(this.env.fileUploadEndPoint + destination, formData);
        //return this.http.post<any>("env" + destination, formData);
    }
    addQuestion(evt, index) {
        switch (evt.trim()) {
            case 'welcome': {
                this.currentPageNumber = -1;
                this.stepIdentifier = 'welcomescreen';
                this.formsPage.hasWelcome = true;
                break;
            }
            case 'thankyou': {
                this.currentPageNumber = -2;
                this.stepIdentifier = 'thankyouscreen';
                break;
            }
            case 'multiple-choice': {
                this.setToPagefromWelcome();
                this.createMultipleChoice(index);
                break;
            }
            case 'checkbox': {
                this.setToPagefromWelcome();
                this.createCheckbox(index);
                break;
            }
            case 'star-rating': {
                this.setToPagefromWelcome();
                this.createStarRating(index);
                break;
            }
            case 'single-textbox': {
                this.setToPagefromWelcome();
                this.createSingleTextbox(index);
                break;
            }
            case 'comment-box': {
                this.setToPagefromWelcome();
                this.createCommentbox(index);
                break;
            }
            case 'matrix-dropdown': {
                this.setToPagefromWelcome();
                this.createMatrixDropdown(index);
                break;
            }
            case 'dropdown': {
                this.setToPagefromWelcome();
                this.createDropdown(index);
                break;
            }
            case 'slider': {
                this.setToPagefromWelcome();
                this.createSlider(index);
                break;
            }
            case 'rating-scale': {
                this.setToPagefromWelcome();
                this.createRatingScale(index);
                break;
            }
            case 'multiple-textbox': {
                this.setToPagefromWelcome();
                this.createMultipleTextbox(index);
                break;
            }
            case 'date-time': {
                this.setToPagefromWelcome();
                this.createDateTime(index);
                break;
            }
            case 'file-upload': {
                this.setToPagefromWelcome();
                this.createFileUpload(index);
                break;
            }
            case 'ranking': {
                this.setToPagefromWelcome();
                this.createRanking(index);
                break;
            }
            case 'star-rating': {
                this.setToPagefromWelcome();
                this.createStarRating(index);
                break;
            }
        }
    }
    setToPagefromWelcome() {
        if (['thankyouscreen', 'welcomescreen'].includes(this.stepIdentifier)) {
            this.currentPageNumber = this.allPages.length;
            this.stepIdentifier = 'pagescreen';
        }
    }
    /**
     * Check whether to display Page Details or Add Page tilte option
     */
    checkForPageDetails() {
        if (this.currentPageDetails === undefined || this.currentPageDetails.pageName === '') {
            this.showAddPageOption = true;
            this.showPageDetails = false;
        }
        else {
            this.showAddPageOption = false;
            this.showPageDetails = true;
        }
    }
    /**
     * Creates a question of type multiple choice
     * @param index Index at which question needs to be created
     */
    createMultipleChoice(index) {
        const element = {
            type: 'multiple-choice', name: ``, page: this.currentPageNumber, otherConfig: { color: '#000000', isFailed: false, score: this.score.defaultScore },
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false, visibilityLogic: [], choices: [
                {
                    title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false,
                    helpingLabel: '', isFailed: false, score: this.score.defaultScore, color: this.generateRandomColor()
                }
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type checkbox
     * @param index Index at which question needs to be created
     */
    createCheckbox(index) {
        const element = {
            type: 'checkbox', name: '', page: this.currentPageNumber, otherConfig: { color: '#000000', isFailed: false, score: this.score.defaultScore },
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '', visibilityLogic: [], choices: [{
                    title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false,
                    helpingLabel: '', isFailed: false, score: this.score.defaultScore, color: this.generateRandomColor()
                }
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type star rating
     * @param index Index at which question needs to be created
     * [Note]: Rating label type can take 2 values 'specific'/'scale'
     */
    createStarRating(index) {
        const element = {
            type: 'star-rating', name: '', page: this.currentPageNumber, isRequired: false, title: '', hasDescription: false,
            description: '', hasComments: false, comments: '', randomize: false, hasOther: false, alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '', cursorType: 'number',
            cursorColor: '#ff8000', scale: 2, starValue: '', hasRatingLabel: false, ratingLabelType: 'specific',
            scaleRangeFrom: 'Not at all likely',
            scaleRangeTo: 'Extreme Likely', visibilityLogic: [],
            choices: [
                { title: '', isVisible: true, value: 0, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' },
                { title: '', isVisible: true, value: 1, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' },
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type single textbox
     * @param index Index at which question needs to be created
     */
    createSingleTextbox(index) {
        const element = {
            type: 'single-textbox', name: '', page: this.currentPageNumber,
            hasValidation: false, validationType: '', isRequired: false, hasCharacterLength: false, minCharacterLength: 0,
            maxCharacterLength: 100, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '', visibilityLogic: [],
            choices: [{ title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' }]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type comment box
     * @param index Index at which question needs to be created
     */
    createCommentbox(index) {
        const element = {
            type: 'comment-box', name: '', page: this.currentPageNumber,
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            hasCharacterLength: false, minCharacterLength: 0, maxCharacterLength: 0, randomize: false, hasOther: false,
            otherValue: 'Other', alignment: false, reverse: false, isRespondentAttachment: false, userAttachedFiles: [],
            isRespondentComment: false, userComments: '', visibilityLogic: [], choices: [
                { title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '', imageURL: '' },
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type matrix of dropdown
     * @param index Index at which question needs to be created
     */
    createMatrixDropdown(index) {
        const element = {
            type: 'matrix-dropdown', name: '', page: this.currentPageNumber, otherConfig: { color: '#000000', isFailed: false, score: 1 },
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '', visibilityLogic: [],
            choices: [{ title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' }],
            columns: [{
                    title: '', value: 1, weight: 0, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '',
                    choices: [{ title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' }]
                }
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type dropdown
     * @param index Index at which question needs to be created
     */
    createDropdown(index) {
        const element = {
            type: 'dropdown', name: '', page: this.currentPageNumber, otherConfig: { color: '#000000', isFailed: false, score: this.score.defaultScore },
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '', visibilityLogic: [],
            choices: [
                {
                    title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '',
                    isFailed: false, score: this.score.defaultScore, color: this.generateRandomColor()
                }
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type slider
     * @param index Index at which question needs to be created
     */
    createSlider(index) {
        const element = {
            type: 'slider', name: '', page: this.currentPageNumber,
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '', visibilityLogic: [],
            choices: [{ title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' }],
            centerRange: false, adjustScale: false, numericBoxEnabled: false, left: 0, center: 0, right: 100,
            scaleRangeMin: 0, scaleRangeMax: 100, stepSize: 10, startPosition: 0, editorValue: 0
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type matrix rating scale
     * @param index Index at which question needs to be created
     */
    createRatingScale(index) {
        const element = {
            type: 'rating-scale', name: '', page: this.currentPageNumber,
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, hasRatingLabel: false, ratingLabelType: '',
            otherValue: 'Other', hasWeight: false, alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '', visibilityLogic: [],
            choices: [{ title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' }],
            columns: [{ title: '', value: 1, weight: 0, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' }]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type ranking
     * @param index Index at which question needs to be created
     */
    createRanking(index) {
        const element = {
            type: 'ranking', name: '', page: this.currentPageNumber,
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', hasRatingLabel: false, alignment: false,
            reverse: false, onlyNumber: true, isRespondentAttachment: false, userAttachedFiles: [],
            isRespondentComment: false, userComments: '', visibilityLogic: [], choices: [
                { title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' },
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type multiple textbox
     * @param index Index at which question needs to be created
     */
    createMultipleTextbox(index) {
        const element = {
            type: 'multiple-textbox', name: '',
            page: this.currentPageNumber, isRequired: false, title: '', hasDescription: false, description: '',
            randomize: false, hasOther: false, hasComments: false, comments: '', otherValue: 'Other', hasRatingLabel: false,
            alignment: false, reverse: false, onlyNumber: true, isRespondentAttachment: false, userAttachedFiles: [],
            isRespondentComment: false, userComments: '', visibilityLogic: [], choices: [
                { title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' },
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type date/time
     * @param index Index at which question needs to be created
     */
    createDateTime(index) {
        const element = {
            type: 'date-time', name: '', page: this.currentPageNumber,
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', hasRatingLabel: false, alignment: false,
            reverse: false, onlyNumber: true, isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false,
            userComments: '', visibilityLogic: [], hasDate: true, hasTime: false, dateFormat: 'DD/MM/YYYY', timeFormat: 24,
            choices: [
                { title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' },
            ],
            date: { title: '', value: '' },
            time: { title: '', value: '' }
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type file upload
     * @param index Index at which question needs to be created
     */
    createFileUpload(index) {
        const element = {
            type: 'file-upload', name: '', page: this.currentPageNumber,
            isRequired: false, title: '', hasInstruction: false, instruction: '', hasDescription: false, description: '',
            hasComments: false, comments: '', randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false,
            fileTypeRestrictions: false, isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '',
            visibilityLogic: [], choices: [
                { title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' }
            ],
            allowedFileTypes: {
                pdf: true,
                doc: true,
                png: true,
                jpg: true,
                gif: true
            }
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
     * Creates a question of type image choice
     * @param index Index at which question needs to be created
     */
    createImageChoice(index) {
        const element = {
            type: 'image-choice', name: '', page: this.currentPageNumber,
            isRequired: false, title: '', hasDescription: false, description: '', hasComments: false, comments: '',
            randomize: false, hasOther: false, otherValue: 'Other', alignment: false, reverse: false,
            isRespondentAttachment: false, userAttachedFiles: [], isRespondentComment: false, userComments: '',
            visibilityLogic: [], choices: [
                { title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '', imageURL: '' }
            ]
        };
        (index === undefined) ? this.operationOnCreateIfIndexUndefined(element) : this.operationOnCreateIfIndexDefined(element, index);
        this.sortQuestion();
    }
    /**
   * Creates and adds the question to list of questions if a question's index is undefined
   * @param element Details of question to be created
   */
    operationOnCreateIfIndexUndefined(element) {
        element.name = this.generateQuestionName(this.formsPage.elements.length + 1),
            this.formsPage.elements.push(element);
        this.setActiveQuestionBasedOnPageLength();
    }
    /**
     * Creates and adds the question to list of questions if a question's index is present
     * @param element Details of question to be created
     * @param index Index at which question should be created
     */
    operationOnCreateIfIndexDefined(element, index) {
        element.name = this.generateQuestionName(index + 1);
        this.formsPage.elements.splice(index + 1, 0, element);
        this.activeQuestion = index + 1;
        this.activeQuestionIndex.next(index + 1);
    }
    /**
      * Sets the active question based on particular page
      */
    setActiveQuestionBasedOnPageLength() {
        let count = 0;
        for (let i = 1; i <= this.currentPageNumber; i++) {
            count += [...this.formsPage.elements].reduce((counter, currentElement) => (i === currentElement.page ? counter + 1 : counter), 0) - 1;
        }
        this.activeQuestion = count + this.currentPageNumber - 1;
        this.activeQuestionIndex.next(count + this.currentPageNumber - 1);
        // setTimeout(() => {
        // }, 150);
        // this.cdr.detectChanges();
    }
    /**
  * Sorts the questions based on page number
  */
    sortQuestion() {
        this.formsPage.elements.sort((a, b) => {
            return a.page - b.page;
        });
    }
    /**
     * Generates a unique question name for newly added question
     * @param questionIndex Index of question to be created
     */
    generateQuestionName(questionIndex) {
        const questionNames = this.formsPage.elements.map((a) => a.name);
        if (questionNames.includes(`${this.prefixForQuestionName}${questionIndex}`)) {
            return this.generateQuestionName(questionIndex + 1);
        }
        else {
            const name = 'Question_' + questionIndex.toString();
            return name;
        }
    }
    generateRandomColor() {
        //return '#' + Math.floor(Math.random() * 16777215).toString(16);
        return '#000000';
    }
    /**
   * Sets the question as active based on the particular index
   * @param index Index of the question to be marked as active question
   */
    setactiveQuestion(index) {
        this.activeQuestion = index;
        this.activeQuestionIndex.next(index);
    }
    /**
   * Duplicates a question with particular index
   * @param index Index of question to be duplicated
   */
    copyQuestion(index) {
        this.setactiveQuestion(index + 1);
        const COPY_ELEMENT = JSON.parse(JSON.stringify(this.formsPage.elements[index]));
        if (COPY_ELEMENT.errorArray) {
            delete COPY_ELEMENT.errorArray;
        }
        COPY_ELEMENT.visibilityLogic = [];
        const elementsNames = [];
        this.formsPage.elements.forEach((element) => {
            elementsNames.push(element.name);
        });
        this.checkForSameName(elementsNames, COPY_ELEMENT);
        this.formsPage.elements.splice(index + 1, 0, COPY_ELEMENT);
    }
    /**
     * Assigns a unique name to the duplicated question
     * @param elementsNames List of question names
     * @param COPY_ELEMENT Details of question duplicated
     */
    checkForSameName(elementsNames, COPY_ELEMENT) {
        if (elementsNames.includes(COPY_ELEMENT.name)) {
            const COPY_ELEMENT_NAME = COPY_ELEMENT.name.split('_');
            COPY_ELEMENT_NAME[COPY_ELEMENT_NAME.length - 1] = (parseInt(COPY_ELEMENT_NAME[COPY_ELEMENT_NAME.length - 1], 10) + 1).toString();
            COPY_ELEMENT.name = COPY_ELEMENT_NAME.join('_');
            this.checkForSameName(elementsNames, COPY_ELEMENT);
        }
    }
    /**
   * Deletes the question on click of delete button
   * @param index Index of question to be deleted
   */
    deleteQuestion(index) {
        this.removeLogicFromDependentQuestion(index);
        this.formsPage.elements.splice(index, 1);
    }
    /**
   * Removes the logic data for a particular question from other questions
   * @param index Index of question whose logic data needs to be removed from other questions
   */
    removeLogicFromDependentQuestion(index) {
        this.formsPage.elements.forEach((questionElement) => {
            if (questionElement.visibilityLogic.length > 0) {
                questionElement.visibilityLogic = questionElement.visibilityLogic.filter((logic) => logic.questionName !== this.formsPage.elements[index].name);
            }
        });
    }
    /**
  * Adds a new page
  */
    addPage() {
        if (this.currentPageNumber === -1 || this.currentPageNumber === -2) {
            //this.currentPageNumber = this.numberOfPages() + 1;
            this.currentPageNumber = this.allPages.length + 1;
            this.allPages.push(this.currentPageNumber);
            this.numberOfPages();
        }
        else {
            this.currentPageNumber = this.allPages.length + 1;
            this.allPages.push(this.currentPageNumber);
        }
        this.stepIdentifier = 'pagescreen';
        this.activeQuestionIndex.next(-10);
    }
    /**
    * Counts the number of pages in a survey/form
    */
    numberOfPages() {
        const PAGE_ARRAY = [];
        if (this.formsPage.elements.length !== 0) {
            this.formsPage.elements.forEach((element) => {
                PAGE_ARRAY.push(element.page);
                this.currentPageDetails.pageNumber = element?.page;
                if (this.formsPage.pageDetailsList.length === 0) {
                    this.formsPage.pageDetailsList.push(this.currentPageDetails);
                }
            });
            this.allPages = [...new Set(PAGE_ARRAY)];
        }
        else {
            return 0;
        }
    }
    fetchAssessmentData(id) {
        //mode=assessment/fetchQuestionsByAssessmentId&id=61f3f7871c60020009a20543
        return this.http.get("env" + 'assessment/fetchQuestionsByAssessmentId&id=' + id, this.httpOptions).pipe(retry(2));
    }
    saveAssessment(id, payload) {
        return this.http.post("env" + 'assessment/update&id=' + id, payload, this.httpOptions);
        //?mode=assessment/update&id=61f3f7871c60020009a20543
    }
    getAuthorizationToken() {
        const TOKEN = localStorage.getItem('currentUser');
        let currentUser;
        TOKEN !== null ? (currentUser = JSON.parse(TOKEN)) : (currentUser = {});
        return currentUser.token;
    }
    /**
    * Extracts the text from a particular html content
    * @param s html content from which text needs to be extracted
    */
    extract(s) {
        const span = document.createElement('span');
        span.innerHTML = s;
        return span.textContent || span.innerText;
    }
    /**
     * Moves Question to a particular index in an array
     * @param previous Index from which Question should be moved
     * @param next  Index before which Question should be moved
     */
    moveQuestion(previous, next) {
        moveItemInArray(this.formsPage.elements, previous, next);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorService, deps: [{ token: i1.HttpClient }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class DeleteComponent {
    constructor(dialog, dialogConfig) {
        this.dialog = dialog;
        this.dialogConfig = dialogConfig;
        this.animate = false;
    }
    ngOnInit() { }
    delete(deleteFlag) {
        this.animate = true;
        setTimeout(() => {
            this.animate = false;
        }, 1000);
        this.dialog.close(deleteFlag);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DeleteComponent, deps: [{ token: DialogRef }, { token: DialogConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DeleteComponent, selector: "app-delete", ngImport: i0, template: "<div class=\"alert-dialog\">\n  <div class=\"alert-dialog-container\">\n    <div class=\"alert-dialog-body\">\n      <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n        <i class=\"icons\">&#xe923;</i>\n        <!-- <div class=\"bin-icon\" [class.active]=\"animate\">\n          <div id=\"lid\" class=\"lid\"></div>\n          <div id=\"box\" class=\"box\">\n            <div id=\"box-inner\" class=\"box-inner\">\n              <div id=\"bin-lines\" class=\"bin-lines\"></div>\n            </div>\n          </div>\n        </div> -->\n      </div>\n      <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\" [innerHTML]=\"dialogConfig?.data?.message\"></p>\n    </div>\n    <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n      <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n      <div class=\"vx-d-flex vx-align-center\">\n        <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"delete(false)\">No</button>\n        <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"delete(true)\">Yes</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#d93b41;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DeleteComponent, decorators: [{
            type: Component,
            args: [{ selector: "app-delete", template: "<div class=\"alert-dialog\">\n  <div class=\"alert-dialog-container\">\n    <div class=\"alert-dialog-body\">\n      <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n        <i class=\"icons\">&#xe923;</i>\n        <!-- <div class=\"bin-icon\" [class.active]=\"animate\">\n          <div id=\"lid\" class=\"lid\"></div>\n          <div id=\"box\" class=\"box\">\n            <div id=\"box-inner\" class=\"box-inner\">\n              <div id=\"bin-lines\" class=\"bin-lines\"></div>\n            </div>\n          </div>\n        </div> -->\n      </div>\n      <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\" [innerHTML]=\"dialogConfig?.data?.message\"></p>\n    </div>\n    <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n      <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n      <div class=\"vx-d-flex vx-align-center\">\n        <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"delete(false)\">No</button>\n        <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"delete(true)\">Yes</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#d93b41;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogRef }, { type: DialogConfig }]; } });

class ActiveComponent {
    // constructor(private dialog: DialogRef,
    //   private dialogConfig: DialogConfig
    // ) {
    //   this.itemName = dialogConfig.data.itemName;
    // }
    constructor(dialog, dialogConfig) {
        this.dialog = dialog;
        this.dialogConfig = dialogConfig;
        this.animate = false;
        this.itemName = '';
    }
    ngOnInit() { }
    activate(deleteFlag) {
        this.animate = true;
        setTimeout(() => {
            this.animate = false;
        }, 5000);
        this.dialog.close(deleteFlag);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ActiveComponent, deps: [{ token: DialogRef }, { token: DialogConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ActiveComponent, selector: "app-active", ngImport: i0, template: "<div class=\"alert-dialog\">\n    <div class=\"alert-dialog-container\">\n      <div class=\"alert-dialog-body\">\n        <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons\">&#xe9d3;</i>\n        </div>\n        <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\" [innerHTML]=\"dialogConfig?.data?.message\">This action will <strong class=\"vx-fw-500\">active</strong> this {{itemName}}.</p>\n      </div>\n      <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n        <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n        <div class=\"vx-d-flex vx-align-center\">\n          <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(false)\">No</button>\n          <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(true)\">Yes</button>\n        </div>\n      </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#34aa44;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ActiveComponent, decorators: [{
            type: Component,
            args: [{ selector: "app-active", template: "<div class=\"alert-dialog\">\n    <div class=\"alert-dialog-container\">\n      <div class=\"alert-dialog-body\">\n        <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons\">&#xe9d3;</i>\n        </div>\n        <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\" [innerHTML]=\"dialogConfig?.data?.message\">This action will <strong class=\"vx-fw-500\">active</strong> this {{itemName}}.</p>\n      </div>\n      <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n        <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n        <div class=\"vx-d-flex vx-align-center\">\n          <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(false)\">No</button>\n          <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(true)\">Yes</button>\n        </div>\n      </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#34aa44;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogRef }, { type: DialogConfig }]; } });

class InsertionDirective {
    constructor(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InsertionDirective, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: InsertionDirective, selector: "[appInsertion]", ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InsertionDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appInsertion]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ViewContainerRef }]; } });

class DialogComponent {
    constructor(cd, dialogRef, config, router, viewContainerRef, componentFactoryResolver) {
        this.cd = cd;
        this.dialogRef = dialogRef;
        this.config = config;
        this.router = router;
        this.viewContainerRef = viewContainerRef;
        this.componentFactoryResolver = componentFactoryResolver;
        this.animation = true;
        this.onDialogClose = new Subject();
        this.onClose = this.onDialogClose.asObservable();
        this.container = viewContainerRef;
        // this.componentRef = this.componentRef;
        // this.animate =   this.animate;
        // this.insertionPoint =  this.insertionPoint;
        // this.childComponentType =  this.childComponentType;
    }
    ngOnInit() {
        this.position = this.config.position;
        this.background = this.config.background;
        document.body.style.overflow = 'hidden';
        setTimeout(() => {
            this.animation = false;
        }, 200);
        this.routeAction();
    }
    routeAction() {
        this.router.events.subscribe((event) => {
            if (event instanceof NavigationStart) {
                // Show loading indicator
            }
            if (event instanceof NavigationEnd) {
                // Hide loading indicator
                this.dialogRef.close();
            }
            if (event instanceof NavigationError) {
                // Hide loading indicator
                // Present error to user
            }
        });
    }
    ngAfterViewInit() {
        this.loadChildComponent(this.childComponentType);
        this.cd.detectChanges();
    }
    onOverlayClicked(evt) {
        // this.dialogRef.close();
    }
    onDialogClicked(evt) {
        evt.stopPropagation();
    }
    loadChildComponent(componentType) {
        const componentFactory = this.componentFactoryResolver.resolveComponentFactory(componentType);
        const viewContainerRef = this.insertionPoint.viewContainerRef;
        viewContainerRef.clear();
        this.componentRef = viewContainerRef.createComponent(componentFactory);
        Object.keys(this.config.data).forEach((x) => (this.componentRef.instance[x] = this.config.data[x]));
    }
    ngOnDestroy() {
        if (this.componentRef) {
            this.componentRef.destroy();
        }
    }
    close() {
        this.onDialogClose.next(false);
        document.body.style.overflow = 'auto';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: DialogRef }, { token: DialogConfig }, { token: i3.Router }, { token: i0.ViewContainerRef }, { token: i0.ComponentFactoryResolver }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DialogComponent, selector: "app-dialog", viewQueries: [{ propertyName: "insertionPoint", first: true, predicate: InsertionDirective, descendants: true, static: true }], ngImport: i0, template: "<div\n  class=\"overlay\"\n  (click)=\"onOverlayClicked($event)\"\n  [ngClass]=\"{\n    top: position === 'TOP',\n    right: position === 'RIGHT',\n    bottom: position === 'BOTTOM',\n    left: position === 'LEFT',\n    center: position === 'CENTER',\n    black: background === 'black'\n  }\"\n>\n  <div\n    class=\"dialog\"\n    [class.animate]=\"animation\"\n    (click)=\"onDialogClicked($event)\"\n    [ngClass]=\"{\n      top: position === 'TOP',\n      right: position === 'RIGHT',\n      bottom: position === 'BOTTOM',\n      left: position === 'LEFT',\n      center: position === 'CENTER'\n    }\"\n  >\n    <ng-template appInsertion></ng-template>\n  </div>\n</div>\n", styles: [".overlay{display:flex;position:fixed;inset:0;align-items:center;justify-content:center;z-index:2147483001!important}.overlay.low{z-index:1}.overlay.black{background:#000000b3}.overlay.top{align-items:flex-start}.overlay.right{justify-content:flex-end}.overlay.bottom{align-items:flex-end}.overlay.left{justify-content:flex-start}.dialog{position:relative}.dialog.animate.top{animation:animate-top .2s cubic-bezier(.25,.46,.45,.94) both}@keyframes animate-top{0%{transform:translateY(-100px)}to{transform:translateY(0)}}.dialog.animate.right{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: InsertionDirective, selector: "[appInsertion]" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-dialog', template: "<div\n  class=\"overlay\"\n  (click)=\"onOverlayClicked($event)\"\n  [ngClass]=\"{\n    top: position === 'TOP',\n    right: position === 'RIGHT',\n    bottom: position === 'BOTTOM',\n    left: position === 'LEFT',\n    center: position === 'CENTER',\n    black: background === 'black'\n  }\"\n>\n  <div\n    class=\"dialog\"\n    [class.animate]=\"animation\"\n    (click)=\"onDialogClicked($event)\"\n    [ngClass]=\"{\n      top: position === 'TOP',\n      right: position === 'RIGHT',\n      bottom: position === 'BOTTOM',\n      left: position === 'LEFT',\n      center: position === 'CENTER'\n    }\"\n  >\n    <ng-template appInsertion></ng-template>\n  </div>\n</div>\n", styles: [".overlay{display:flex;position:fixed;inset:0;align-items:center;justify-content:center;z-index:2147483001!important}.overlay.low{z-index:1}.overlay.black{background:#000000b3}.overlay.top{align-items:flex-start}.overlay.right{justify-content:flex-end}.overlay.bottom{align-items:flex-end}.overlay.left{justify-content:flex-start}.dialog{position:relative}.dialog.animate.top{animation:animate-top .2s cubic-bezier(.25,.46,.45,.94) both}@keyframes animate-top{0%{transform:translateY(-100px)}to{transform:translateY(0)}}.dialog.animate.right{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: DialogRef }, { type: DialogConfig }, { type: i3.Router }, { type: i0.ViewContainerRef }, { type: i0.ComponentFactoryResolver }]; }, propDecorators: { insertionPoint: [{
                type: ViewChild,
                args: [InsertionDirective, { static: true }]
            }] } });

class DialogModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: DialogModule, declarations: [DialogComponent, InsertionDirective], imports: [CommonModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogModule, providers: [DialogRef], imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [DialogComponent, InsertionDirective],
                    providers: [DialogRef]
                }]
        }] });

class DialogInjector {
    constructor(parentDialogInjector, dialogAdditionalTokens) {
        this.parentDialogInjector = parentDialogInjector;
        this.dialogAdditionalTokens = dialogAdditionalTokens;
    }
    get(token, notFoundValue) {
        const value = this.dialogAdditionalTokens.get(token);
        if (value) {
            return value;
        }
        return this.parentDialogInjector.get(token, notFoundValue);
    }
}

class DialogService {
    constructor(appRef, injector, environmentInjector) {
        this.appRef = appRef;
        this.injector = injector;
        this.environmentInjector = environmentInjector;
    }
    open(componentType, config) {
        const dialogRef = this.appendDialogComponentToBody(config);
        this.dialogComponentRef.instance.childComponentType = componentType;
        return dialogRef;
    }
    appendDialogComponentToBody(config) {
        const map = new WeakMap();
        map.set(DialogConfig, config);
        const dialogRef = new DialogRef();
        map.set(DialogRef, dialogRef);
        const sub = dialogRef.afterClosed.subscribe(() => {
            this.removeDialogComponentFromBody();
            sub.unsubscribe();
        });
        const componentRef = createComponent(DialogComponent, {
            environmentInjector: this.environmentInjector,
            elementInjector: new DialogInjector(this.injector, map),
        });
        this.appRef.attachView(componentRef.hostView);
        const domElem = componentRef.hostView
            .rootNodes[0];
        document.body.appendChild(domElem);
        this.dialogComponentRef = componentRef;
        this.dialogComponentRef.instance.onClose.subscribe(() => {
            this.removeDialogComponentFromBody();
        });
        return dialogRef;
    }
    removeDialogComponentFromBody() {
        this.appRef.detachView(this.dialogComponentRef.hostView);
        this.dialogComponentRef.destroy();
    }
    close() {
        this.removeDialogComponentFromBody();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogService, deps: [{ token: i0.ApplicationRef }, { token: i0.Injector }, { token: i0.EnvironmentInjector }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogService, providedIn: DialogModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: DialogModule,
                }]
        }], ctorParameters: function () { return [{ type: i0.ApplicationRef }, { type: i0.Injector }, { type: i0.EnvironmentInjector }]; } });

class ValidatorService {
    constructor() {
        this.validatedQuestions = {};
    }
    validate(question) {
        switch (question.type) {
            case 'checkbox': {
                return this.validateMultiValuedQuestion(question);
            }
            case 'dropdown': {
                return this.validateMultiValuedQuestion(question);
            }
            case 'multiple-choice': {
                return this.validateMultiValuedQuestion(question);
            }
            case 'ranking': {
                return this.validateMultiValuedQuestion(question);
            }
            case 'comment-box': {
                return this.validateSingleValued(question);
            }
            case 'multiple-textbox': {
                return this.validateMultipleTextBox(question);
            }
            case 'single-textbox': {
                return this.validateSingleValued(question);
            }
            case 'file-upload': {
                return this.validateSingleValued(question);
            }
            case 'date-time': {
                return this.validateDateTime(question);
            }
            case 'image-choice': {
                return this.validateImageUpload(question);
            }
            case 'matrix-dropdown': {
                return this.validateMatrixDropdown(question);
            }
            case 'star-rating': {
                return this.validateStarRating(question);
            }
            case 'slider': {
                return this.validateSlider(question);
            }
            case 'rating-scale': {
                return this.validateRatingScale(question);
            }
        }
    }
    validateMultiValuedQuestion(question) {
        // question.errorArray = {};
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0 || question?.title?.trim().length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.choices.length >= 2) {
            if (question.choices.length === 2 && (this.extract(question.choices[0].title).length === 0 || this.extract(question.choices[0].title)?.trim()?.length === 0 ||
                this.extract(question.choices[1].title).length === 0 || this.extract(question.choices[1].title)?.trim()?.length === 0)) {
                ERROR_ARRAY.twoChoice = { message: 'Please add at least two answer choices.' };
                validStatus.push(false);
            }
            else {
                question.choices =
                    question.choices.filter((choice) => (this.extract(choice.title)?.trim()?.length !== 0));
                if (question.choices.length === 0) {
                    question.choices.push({ title: '', value: 1, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' });
                }
            }
        }
        else {
            ERROR_ARRAY.twoChoice = { message: 'Please add at least two answer choices.' };
            validStatus.push(false);
        }
        if (!this.checkForSameTitleWithOther(question)) {
            ERROR_ARRAY.sameChoice = { message: 'Two options cannot have same title.' };
            validStatus.push(false);
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateSingleValued(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0 || this.extract(question.title)?.trim()?.length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.hasCharacterLength === true) {
            if (question.minCharacterLength > question.maxCharacterLength) {
                ERROR_ARRAY.charLength = { message: 'Minimum Character length should be less than maximum.' };
                validStatus.push(false);
            }
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateDateTime(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0 || this.extract(question.title)?.trim()?.length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.hasDate === true) {
            if (question.date !== undefined && this.extract(question.date.title).length === 0) {
                ERROR_ARRAY.dateMissing = { message: 'Please enter a label for the date field.' };
                validStatus.push(false);
            }
        }
        if (question.hasTime === true) {
            if (question.time !== undefined && this.extract(question.time.title).length === 0) {
                ERROR_ARRAY.timeMissing = { message: 'Please enter a label for the time field.' };
                validStatus.push(false);
            }
        }
        if (question.hasTime === false && question.hasDate === false) {
            question.hasDate = true;
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateImageUpload(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.choices.length > 1) {
            if (question.choices.length === 2 && (this.extract(question.choices[0].title).length === 0 ||
                this.extract(question.choices[1].title).length === 0 || question.choices[1].imageURL === ''
                || question.choices[0].imageURL === '')) {
                ERROR_ARRAY.twoChoice = { message: 'Please add at least two answer choices.' };
                validStatus.push(false);
            }
            else {
                question.choices =
                    question.choices.filter((choice) => this.extract(choice.title).length !== 0);
            }
        }
        else {
            ERROR_ARRAY.twoChoice = { message: 'Please add at least two answer choices.' };
            validStatus.push(false);
        }
        if (!this.checkForSameTitle(question.choices)) {
            ERROR_ARRAY.sameChoice = { message: 'Two options cannot have same title.' };
            validStatus.push(false);
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateMatrixDropdown(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.choices.length > 0) {
            for (const choice of question.choices) {
                if (question.choices.length === 1 && this.extract(choice.title).length === 0) {
                    ERROR_ARRAY.oneRow = { message: 'You are required to have at least one row.' };
                    validStatus.push(false);
                }
                else {
                    question.choices = question.choices.filter((selectedChoice) => this.extract(selectedChoice.title).length !== 0);
                    if (question.choices.length === 0) {
                        question.choices.push({ title: '', isVisible: true, value: 0, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' });
                    }
                }
            }
        }
        else {
            ERROR_ARRAY.oneRow = { message: 'You are required to have at least one row.' };
            validStatus.push(false);
        }
        if (!this.checkForSameTitle(question.choices)) {
            ERROR_ARRAY.sameChoice = { message: 'Two rows cannot have same title.' };
            validStatus.push(false);
        }
        if (question.columns.length > 0) {
            question.columns = question.columns.filter((selectedChoice) => this.extract(selectedChoice.title).length !== 0);
            for (const column of question.columns) {
                if (this.extract(column.title).length === 0) {
                    ERROR_ARRAY.oneCol = { message: 'You are required to have at least one column.' };
                    validStatus.push(false);
                }
                if (column.choices.length > 1) {
                    for (const columnChoice of column.choices) {
                        if (this.extract(columnChoice.title).length === 0) {
                            question.columns = question.columns.filter((selectedChoice) => this.extract(selectedChoice.title).length !== 0);
                            // ERROR_ARRAY.twoChoice  = {message: 'Please add at least two answer choices for each column.'};
                            // validStatus.push(false);
                            column.choices = column.choices.filter((selectedChoice) => this.extract(selectedChoice.title).length !== 0);
                        }
                        else {
                            // column.choices = column.choices.filter(selectedChoice =>
                            //   this.extract(selectedChoice.title).length !== 0);
                        }
                    }
                }
                else {
                    ERROR_ARRAY.twoChoice = { message: 'Please add at least two answer choices for each column.' };
                    validStatus.push(false);
                }
            }
            if (question.columns.length === 0) {
                question.columns.push({ title: '', isVisible: true, value: 0, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '',
                    choices: [{ title: '', isVisible: true, value: 0, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' }] });
            }
        }
        else {
            ERROR_ARRAY.oneCol = { message: 'You are required to have at least one column.' };
            validStatus.push(false);
        }
        if (!this.checkForSameTitle(question.columns)) {
            ERROR_ARRAY.sameChoice = { message: 'Two columns cannot have same title.' };
            validStatus.push(false);
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateMultipleTextBox(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.choices.length > 0) {
            if (question.choices.length === 1 && this.extract(question.choices[0].title).length === 0) {
                ERROR_ARRAY.oneChoice = { message: 'Please add label for textbox.' };
                validStatus.push(false);
            }
            else {
                question.choices =
                    question.choices.filter((choice) => this.extract(choice.title).length !== 0);
            }
        }
        else {
            ERROR_ARRAY.oneChoice = { message: 'Please add at least one textbox.' };
            validStatus.push(false);
        }
        if (!this.checkForSameTitleWithOther(question)) {
            ERROR_ARRAY.sameChoice = { message: 'Two textboxes cannot have same label.' };
            validStatus.push(false);
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateSlider(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        const minimum = parseInt(question.scaleRangeMin, 10);
        const maximum = parseInt(question.scaleRangeMax, 10);
        const stepSize = question.stepSize;
        const threshold = 0;
        if (this.extract(question.title).length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (minimum >= maximum) {
            ERROR_ARRAY.minError = { message: `Please enter a value smaller than ${maximum}.` };
            validStatus.push(false);
        }
        if (maximum <= minimum) {
            ERROR_ARRAY.minError = { message: `Please enter a value greater than ${maximum}.` };
            validStatus.push(false);
        }
        if (stepSize > maximum) {
            ERROR_ARRAY.stepError = { message: `The range for the slider values are within ${minimum}-${maximum}. Please select a step size within this range.` };
            validStatus.push(false);
        }
        if (stepSize <= 0) {
            ERROR_ARRAY.stepError = { message: `Please enter a value greater than ${threshold}.` };
            validStatus.push(false);
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateStarRating(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.hasRatingLabel) {
            if (question.ratingLabelType === 'scale' && question.scaleRangeFrom === '' && question.scaleRangeTo === '') {
                question.hasRatingLabel = false;
            }
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    validateRatingScale(question) {
        delete question.errorArray;
        const validStatus = [];
        const ERROR_ARRAY = {};
        if (this.extract(question.title).length === 0) {
            ERROR_ARRAY.questionMissing = { message: 'Please enter the question.' };
            validStatus.push(false);
        }
        if (question.hasDescription === true && this.extract(question.description).length === 0) {
            question.hasDescription = false;
        }
        if (question.hasComments === true && this.extract(question.comments).length === 0) {
            question.hasComments = false;
        }
        if (question.choices.length > 0) {
            for (const choice of question.choices) {
                if (question.choices.length === 1 && this.extract(choice.title).length === 0) {
                    ERROR_ARRAY.oneRow = { message: 'You are required to have at least one row.' };
                    validStatus.push(false);
                }
                else {
                    question.choices =
                        question.choices.filter((selectedChoice) => this.extract(selectedChoice.title).length !== 0);
                    if (question.choices.length === 0) {
                        question.choices.push({ title: '', isVisible: true, value: 0, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' });
                    }
                }
            }
        }
        else {
            ERROR_ARRAY.oneRow = { message: 'You are required to have at least one row.' };
            validStatus.push(false);
        }
        if (!this.checkForSameTitle(question.choices)) {
            ERROR_ARRAY.sameChoice = { message: 'Two rows cannot have same title.' };
            validStatus.push(false);
        }
        if (question.columns !== undefined && question.columns.length > 0) {
            for (const column of question.columns) {
                if (question.columns.length === 1 && this.extract(column.title).length === 0) {
                    ERROR_ARRAY.oneCol = { message: 'You are required to have at least one column.' };
                    validStatus.push(false);
                }
                else {
                    question.columns =
                        question.columns.filter((selectedChoice) => this.extract(selectedChoice.title).length !== 0);
                    if (question.columns.length === 0) {
                        question.columns.push({ title: '', isVisible: true, value: 0, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' });
                    }
                }
            }
        }
        else {
            ERROR_ARRAY.oneCol = { message: 'You are required to have at least one column.' };
            validStatus.push(false);
        }
        if (!this.checkForSameTitle(question.columns)) {
            ERROR_ARRAY.sameChoice = { message: 'Two columns cannot have same title.' };
            validStatus.push(false);
        }
        let validationResult;
        if (validStatus.includes(false)) {
            question.errorArray = ERROR_ARRAY;
            validationResult = { valid: false, error: ERROR_ARRAY, question };
            return validationResult;
        }
        else {
            validationResult = { valid: true, error: ERROR_ARRAY, question };
            return validationResult;
        }
    }
    /**
     * Extracts the text from a particular html content
     * @param s html content from which text needs to be extracted
     */
    extract(s) {
        const span = document.createElement('span');
        span.innerHTML = s;
        return span.textContent || span.innerText;
    }
    /**
    * Checks if title of two choices is same or not
    * @param choices Choice for which title should be checked
    */
    checkForSameTitle(choices) {
        const title = choices.map((data) => data.title);
        for (const choice of choices) {
            const sameTitle = this.cloneByValue(title).filter((data) => data === choice.title);
            if (sameTitle.length > 1) {
                return false;
            }
        }
        return true;
    }
    /**
     * Checks if title of two choices is same or not
     * @param choices Choice for which title should be checked
     */
    checkForSameTitleWithOther(questionDetails) {
        const title = questionDetails.choices.map((data) => data.title.trim());
        for (const choice of questionDetails.choices) {
            const sameTitle = this.cloneByValue(title).filter((data) => data === choice.title.trim());
            if (sameTitle.length > 1) {
                return false;
            }
            else {
                if (questionDetails.hasOther && choice.title.trim() === questionDetails.otherValue) {
                    return false;
                }
            }
        }
        return true;
    }
    cloneByValue(value) {
        return JSON.parse(JSON.stringify(value));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ValidatorService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ValidatorService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ValidatorService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class PreviewMultipleChoiceComponent {
    constructor() {
        this.choicesForPreviewMode = [];
    }
    ngOnInit() {
        this.choicesForPreviewMode = this.question.choices;
        if (this.question.randomize === true) {
            this.randomize();
        }
    }
    randomize() {
        this.choicesForPreviewMode = shuffle(this.choicesForPreviewMode);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMultipleChoiceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewMultipleChoiceComponent, selector: "app-preview-multiple-choice", inputs: { question: "question" }, ngImport: i0, template: "<div class=\"preview-list\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-mb-3\" *ngFor=\"let choice of choicesForPreviewMode; let choiceIndex = index\">\n            <app-cs-radio>{{choice?.title ? choice?.title: 'Option' }}</app-cs-radio>\n        </li>\n       \n        <li class=\"vx-mb-3\" *ngIf=\"question?.hasOther\"> \n            <app-cs-radio> {{question.otherValue}}</app-cs-radio>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul li{list-style-type:none}::ng-deep .preview-list ul li cs-radio{width:100%;display:block}::ng-deep .preview-list ul li cs-radio .radio-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .preview-list ul li cs-radio .radio-item .radio,::ng-deep .preview-list ul li cs-radio .radio-item .radiomark{position:absolute!important;top:0!important;left:0!important}::ng-deep .preview-list ul li cs-radio .radio-item .value{margin-left:0!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMultipleChoiceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-multiple-choice', template: "<div class=\"preview-list\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-mb-3\" *ngFor=\"let choice of choicesForPreviewMode; let choiceIndex = index\">\n            <app-cs-radio>{{choice?.title ? choice?.title: 'Option' }}</app-cs-radio>\n        </li>\n       \n        <li class=\"vx-mb-3\" *ngIf=\"question?.hasOther\"> \n            <app-cs-radio> {{question.otherValue}}</app-cs-radio>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul li{list-style-type:none}::ng-deep .preview-list ul li cs-radio{width:100%;display:block}::ng-deep .preview-list ul li cs-radio .radio-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .preview-list ul li cs-radio .radio-item .radio,::ng-deep .preview-list ul li cs-radio .radio-item .radiomark{position:absolute!important;top:0!important;left:0!important}::ng-deep .preview-list ul li cs-radio .radio-item .value{margin-left:0!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }] } });

class PreviewCheckboxComponent {
    constructor() {
        this.choicesForPreviewMode = [];
    }
    ngOnInit() {
        this.choicesForPreviewMode = this.question.choices;
        if (this.question.randomize === true) {
            this.randomize();
        }
    }
    randomize() {
        this.choicesForPreviewMode = shuffle(this.choicesForPreviewMode);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewCheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewCheckboxComponent, selector: "app-preview-checkbox", inputs: { question: "question" }, ngImport: i0, template: "<div class=\"preview-list\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-mb-3\" *ngFor=\"let choice of choicesForPreviewMode; let choiceIndex = index\">\n            <app-cs-checkbox>{{choice?.title ? choice?.title: 'Option' }}</app-cs-checkbox>\n        </li>\n        <li class=\"vx-mb-3\" *ngIf=\"question?.hasOther\">\n            <app-cs-checkbox> {{question.otherValue}}</app-cs-checkbox>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul li{list-style-type:none}::ng-deep .preview-list ul li app-cs-checkbox{width:100%;display:block}::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0!important;left:0!important}::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item .value{margin-left:0!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponentUI, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-checkbox', template: "<div class=\"preview-list\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-mb-3\" *ngFor=\"let choice of choicesForPreviewMode; let choiceIndex = index\">\n            <app-cs-checkbox>{{choice?.title ? choice?.title: 'Option' }}</app-cs-checkbox>\n        </li>\n        <li class=\"vx-mb-3\" *ngIf=\"question?.hasOther\">\n            <app-cs-checkbox> {{question.otherValue}}</app-cs-checkbox>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul li{list-style-type:none}::ng-deep .preview-list ul li app-cs-checkbox{width:100%;display:block}::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0!important;left:0!important}::ng-deep .preview-list ul li app-cs-checkbox .checkbox-item .value{margin-left:0!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }] } });

class PreviewImageChoiceComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewImageChoiceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewImageChoiceComponent, selector: "app-preview-image-choice", ngImport: i0, template: "<div class=\"preview-list\">\n    <div class=\"image-row vx-mt-5 vx-d-flex\">\n        <div class=\"image-items vx-p-3 vx-mr-3 vx-mb-3\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n            <app-cs-radio>\n                <div class=\"img-block\">\n                    <img src=\"./assets/images/Screenshot 2022-01-03 at 10.24.11 AM.png\" alt=\"\">\n                </div>  \n                <span class=\"text vx-fs-14 vx-fw-400 vx-lh-20 vx-mt-2 vx-paragraph-txt\" [appTooltip]=\"'1. long have you been a customer of our product'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">1. long have you been a customer of our product</span>\n            </app-cs-radio>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .image-row{flex-direction:row;flex-wrap:wrap}::ng-deep .preview-list .image-row .image-items{display:block;position:relative;border:1px solid #F1F1F1;border-radius:10px;width:10rem}::ng-deep .preview-list .image-row .image-items cs-radio{margin-bottom:0}::ng-deep .preview-list .image-row .image-items cs-radio .radio-item{position:relative;display:block;min-width:100%;padding-left:0}::ng-deep .preview-list .image-row .image-items cs-radio .radio-item .radio,::ng-deep .preview-list .image-row .image-items cs-radio .radio-item .radiomark{position:absolute;top:0;left:0}::ng-deep .preview-list .image-row .image-items cs-radio .radio-item .value{margin-left:0!important;display:block!important;max-width:100%!important}::ng-deep .preview-list .image-row .image-items cs-radio .img-block{display:block;width:100%;min-width:100%}::ng-deep .preview-list .image-row .image-items cs-radio .img-block img{width:100%}::ng-deep .preview-list .image-row .image-items cs-radio .text{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;width:100%;padding-bottom:.125rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewImageChoiceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-image-choice', template: "<div class=\"preview-list\">\n    <div class=\"image-row vx-mt-5 vx-d-flex\">\n        <div class=\"image-items vx-p-3 vx-mr-3 vx-mb-3\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n            <app-cs-radio>\n                <div class=\"img-block\">\n                    <img src=\"./assets/images/Screenshot 2022-01-03 at 10.24.11 AM.png\" alt=\"\">\n                </div>  \n                <span class=\"text vx-fs-14 vx-fw-400 vx-lh-20 vx-mt-2 vx-paragraph-txt\" [appTooltip]=\"'1. long have you been a customer of our product'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">1. long have you been a customer of our product</span>\n            </app-cs-radio>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .image-row{flex-direction:row;flex-wrap:wrap}::ng-deep .preview-list .image-row .image-items{display:block;position:relative;border:1px solid #F1F1F1;border-radius:10px;width:10rem}::ng-deep .preview-list .image-row .image-items cs-radio{margin-bottom:0}::ng-deep .preview-list .image-row .image-items cs-radio .radio-item{position:relative;display:block;min-width:100%;padding-left:0}::ng-deep .preview-list .image-row .image-items cs-radio .radio-item .radio,::ng-deep .preview-list .image-row .image-items cs-radio .radio-item .radiomark{position:absolute;top:0;left:0}::ng-deep .preview-list .image-row .image-items cs-radio .radio-item .value{margin-left:0!important;display:block!important;max-width:100%!important}::ng-deep .preview-list .image-row .image-items cs-radio .img-block{display:block;width:100%;min-width:100%}::ng-deep .preview-list .image-row .image-items cs-radio .img-block img{width:100%}::ng-deep .preview-list .image-row .image-items cs-radio .text{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;width:100%;padding-bottom:.125rem}\n"] }]
        }], ctorParameters: function () { return []; } });

class PreviewStarRatingComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewStarRatingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewStarRatingComponent, selector: "app-preview-star-rating", ngImport: i0, template: "<div class=\"preview-list\">\n    <ul class=\"vx-p-0 vx-m-0 vx-d-flex\">\n        <li class=\"vx-mr-1\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n            <button class=\"rating-btn vx-fs-16 vx-p-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" [appTooltip]=\"'Information details here...'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                <!-- Smiley -->\n                <i *ngIf=\"true\" class=\"icons\">&#xea66;</i>\n                <!-- Thumb -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea84;</i>\n                <!-- Star -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea70;</i>\n                <!-- Heart -->\n                <i *ngIf=\"false\" class=\"icons\">&#xe9ea;</i>\n                <!-- Number -->\n                <span *ngIf=\"false\" class=\"vx-fs-12\">10</span>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul li{list-style-type:none}::ng-deep .preview-list ul li button.rating-btn{background:transparent;border-radius:.125rem;border:1px solid #F1F1F1;color:#747576;width:2rem;height:2rem}::ng-deep .preview-list ul li button.rating-btn:hover{background:#f8f8f8}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewStarRatingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-star-rating', template: "<div class=\"preview-list\">\n    <ul class=\"vx-p-0 vx-m-0 vx-d-flex\">\n        <li class=\"vx-mr-1\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n            <button class=\"rating-btn vx-fs-16 vx-p-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" [appTooltip]=\"'Information details here...'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                <!-- Smiley -->\n                <i *ngIf=\"true\" class=\"icons\">&#xea66;</i>\n                <!-- Thumb -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea84;</i>\n                <!-- Star -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea70;</i>\n                <!-- Heart -->\n                <i *ngIf=\"false\" class=\"icons\">&#xe9ea;</i>\n                <!-- Number -->\n                <span *ngIf=\"false\" class=\"vx-fs-12\">10</span>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul li{list-style-type:none}::ng-deep .preview-list ul li button.rating-btn{background:transparent;border-radius:.125rem;border:1px solid #F1F1F1;color:#747576;width:2rem;height:2rem}::ng-deep .preview-list ul li button.rating-btn:hover{background:#f8f8f8}\n"] }]
        }], ctorParameters: function () { return []; } });

class PreviewSingleTextboxComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewSingleTextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewSingleTextboxComponent, selector: "app-preview-single-textbox", inputs: { question: "question" }, ngImport: i0, template: "<div class=\"preview-list\">\n    <input class=\"single-textbox vx-bg-white vx-fs-14 vx-lh-24 vx-paragraph-txt\" type=\"text\" [placeholder]=\"(question?.isPlaceholder === true  && question?.placeholder.trim().length > 0) ? question?.placeholder.trim() : 'Please enter a response'\">\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .single-textbox{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;height:2.5rem;padding:.5rem .75rem;width:37.5rem;outline:none;transition:all .2s ease-in-out}::ng-deep .preview-list .single-textbox:hover,::ng-deep .preview-list .single-textbox:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewSingleTextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-single-textbox', template: "<div class=\"preview-list\">\n    <input class=\"single-textbox vx-bg-white vx-fs-14 vx-lh-24 vx-paragraph-txt\" type=\"text\" [placeholder]=\"(question?.isPlaceholder === true  && question?.placeholder.trim().length > 0) ? question?.placeholder.trim() : 'Please enter a response'\">\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .single-textbox{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;height:2.5rem;padding:.5rem .75rem;width:37.5rem;outline:none;transition:all .2s ease-in-out}::ng-deep .preview-list .single-textbox:hover,::ng-deep .preview-list .single-textbox:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }] } });

class PreviewCommentBoxComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewCommentBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewCommentBoxComponent, selector: "app-preview-comment-box", ngImport: i0, template: "<div class=\"preview-list\">\n    <textarea class=\"comment-box vx-m-0\" placeholder=\"placeholder\"></textarea>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .comment-box{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;width:37.5rem;height:8rem;padding:.5rem .75rem;outline:none;resize:none;transition:all .2s ease-in-out}::ng-deep .preview-list .comment-box::-webkit-scrollbar-track{background-color:#fff}::ng-deep .preview-list .comment-box:hover,::ng-deep .preview-list .comment-box:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewCommentBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-comment-box', template: "<div class=\"preview-list\">\n    <textarea class=\"comment-box vx-m-0\" placeholder=\"placeholder\"></textarea>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .comment-box{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;width:37.5rem;height:8rem;padding:.5rem .75rem;outline:none;resize:none;transition:all .2s ease-in-out}::ng-deep .preview-list .comment-box::-webkit-scrollbar-track{background-color:#fff}::ng-deep .preview-list .comment-box:hover,::ng-deep .preview-list .comment-box:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }]
        }], ctorParameters: function () { return []; } });

let QuickSettingsComponent$1 = class QuickSettingsComponent {
    constructor() { }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuickSettingsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: QuickSettingsComponent, isStandalone: true, selector: "app-quick-settings", inputs: { question: "question" }, ngImport: i0, template: "<div class=\"quick-settings\">\n  <ul class=\"more-options vx-p-0 vx-m-0\">\n    <li class=\"vx-pt-1 vx-pb-1\" *ngIf=\"question.hasComments\">\n      <button\n        class=\"options commentBtn vx-fs-14 vx-d-flex vx-align-center vx-justify-center vx-bg-grey vx-txt-white vx-p-2\"\n        [class.close]=\"info?.showPopover\"\n        appPopover\n        (click)=\"info?.popover()\"\n        placement=\"right\"\n      >\n        <!-- <span class=\"status vx-bg-blue\"></span> -->\n        <i class=\"icons\" *ngIf=\"!info?.showPopover\">&#xe932;</i>\n        <i class=\"icons\" *ngIf=\"info?.showPopover\">&#xe9ae;</i>\n      </button>\n\n      <app-popover #info [dontCloseonClick]=\"false\">\n        <div class=\"block info vx-bg-white vx-p-3\">\n          <div\n            class=\"block-text vx-fs-13 vx-paragraph-txt\"\n            [innerHTML]=\"question.comments\"\n          ></div>\n        </div>\n      </app-popover>\n    </li>\n\n    <li class=\"vx-pt-1 vx-pb-1\" *ngIf=\"question.isRespondentAttachment\">\n      <button\n        class=\"options attachBtn vx-fs-16 vx-d-flex vx-align-center vx-justify-center vx-bg-grey vx-label-txt vx-p-2\"\n        [class.close]=\"attachment?.showPopover\"\n        appPopover\n        (click)=\"attachment.popover()\"\n        placement=\"right\"\n      >\n        <!-- <span class=\"status vx-bg-blue\"></span> -->\n        <i class=\"icons\" *ngIf=\"!attachment?.showPopover\">&#xe977;</i>\n        <i class=\"icons\" *ngIf=\"attachment?.showPopover\">&#xe9ae;</i>\n      </button>\n\n      <app-popover #attachment [dontCloseonClick]=\"true\">\n        <div class=\"block attachment vx-bg-white\">\n          <div *ngIf=\"false\" class=\"attached vx-pt-1 vx-pl-3 vx-pr-3\">\n            <div\n              class=\"file-box vx-d-flex vx-align-center vx-pb-2 vx-pt-2\"\n              *ngFor=\"let data of [1, 1]\"\n            >\n              <span class=\"file table pdf\">\n                <i class=\"icons\">&#xe92e;</i>\n                <span class=\"format\">pdf</span>\n              </span>\n              <div\n                class=\"file-name vx-fs-12 vx-label-txt\"\n                [appTooltip]=\"'payrollnew-vcomply-interns.pdf'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                payrollnew-vcomply-interns.pdf\n              </div>\n              <button\n                class=\"delete-btn vx-fs-14 vx-txt-red vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n              <div class=\"line-progress\">\n                <div class=\"line-progress-bar\"></div>\n              </div>\n            </div>\n          </div>\n          <div\n            class=\"attach-btn vx-d-flex vx-align-center vx-justify-center vx-p-2\"\n          >\n            <input type=\"file\" />\n            <i class=\"icons vx-fs-18 vx-pt-2 vx-mb-1\">&#xe977;</i>\n            <span class=\"vx-txt-blue vx-fs-12 vx-tt-uppercase\"\n              >Attach Files</span\n            >\n          </div>\n          <div\n            *ngIf=\"false\"\n            class=\"bottom vx-p-2 vx-justify-center vx-d-flex vx-align-center\"\n          >\n            <button\n              class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              SAVE\n            </button>\n          </div>\n        </div>\n      </app-popover>\n    </li>\n\n    <li class=\"vx-pt-1 vx-pb-1\" *ngIf=\"question.isRespondentComment\">\n      <button\n        class=\"options respondentBtn vx-fs-14 vx-d-flex vx-align-center vx-justify-center vx-bg-grey vx-label-txt vx-p-2\"\n        [class.close]=\"comment?.showPopover\"\n        appPopover\n        (click)=\"comment.popover()\"\n        placement=\"right\"\n      >\n        <!-- <span class=\"status vx-bg-blue\"></span> -->\n        <i class=\"icons\" *ngIf=\"!comment?.showPopover\">&#xe9a6;</i>\n        <i class=\"icons\" *ngIf=\"comment?.showPopover\">&#xe9ae;</i>\n      </button>\n\n      <app-popover #comment [dontCloseonClick]=\"true\">\n        <div class=\"block comment vx-p-0 vx-bg-white\">\n          <div class=\"text-area\">\n            <textarea\n              class=\"vx-fs-13 vx-paragraph-txt vx-lh-5 vx-p-2 vx-m-0\"\n              placeholder=\"Type here...\"\n            ></textarea>\n          </div>\n          <div\n            *ngIf=\"true\"\n            class=\"bottom vx-p-2 vx-justify-center vx-d-flex vx-align-center\"\n          >\n            <button\n              class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              SAVE\n            </button>\n          </div>\n        </div>\n      </app-popover>\n    </li>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";.quick-settings ul.more-options li{position:relative;list-style:none}.quick-settings ul.more-options li button.options{border-radius:50%;border:1px solid #f1f1f1}.quick-settings ul.more-options li button.options.commentBtn{background:#4681ef}.quick-settings ul.more-options li button.options span.status{border-radius:50%;height:.5rem;width:.5rem;position:absolute;right:.125rem;top:.5rem}.quick-settings ul.more-options li button.options.close{background:#4681ef;color:#fff}::ng-deep app-popover .block{border-radius:.125rem;box-shadow:0 0 10px #1e5dd31a;max-height:10rem;overflow:auto}::ng-deep app-popover .block::-webkit-scrollbar-track{background-color:#fff}::ng-deep app-popover .block.info{width:17rem}::ng-deep app-popover .block.attachment{min-width:12.25rem;max-width:17rem}::ng-deep app-popover .block.attachment .attached .file-box{border-bottom:1px solid #f1f1f1;position:relative}::ng-deep app-popover .block.attachment .attached .file-box .file-name{min-width:11.375rem;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep app-popover .block.attachment .attached .file-box button.delete-btn{background:transparent;border-radius:0;border:none}::ng-deep app-popover .block.attachment .attached .file-box .line-progress{left:1.625rem;top:auto;bottom:.5rem;width:80%}::ng-deep app-popover .block.attachment .attach-btn{flex-direction:column;position:relative}::ng-deep app-popover .block.attachment .attach-btn input{position:absolute;top:0;right:0;height:100%;width:100%;opacity:0;cursor:pointer}::ng-deep app-popover .block.attachment .attach-btn i{color:#dbdbdb}::ng-deep app-popover .block.comment{width:17rem}::ng-deep app-popover .block.comment textarea{border:none;outline:none;width:100%;resize:none}::ng-deep app-popover .block .bottom{border-top:1px solid #f1f1f1}::ng-deep app-popover .block .bottom button.save-btn{background:#1e5dd3;border-radius:.125rem;border:none;height:1.5rem;width:4rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: TooltipModule }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "ngmodule", type: PopoverModule }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuickSettingsComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'app-quick-settings', imports: [CommonModule, TooltipModule, PopoverModule], standalone: true, template: "<div class=\"quick-settings\">\n  <ul class=\"more-options vx-p-0 vx-m-0\">\n    <li class=\"vx-pt-1 vx-pb-1\" *ngIf=\"question.hasComments\">\n      <button\n        class=\"options commentBtn vx-fs-14 vx-d-flex vx-align-center vx-justify-center vx-bg-grey vx-txt-white vx-p-2\"\n        [class.close]=\"info?.showPopover\"\n        appPopover\n        (click)=\"info?.popover()\"\n        placement=\"right\"\n      >\n        <!-- <span class=\"status vx-bg-blue\"></span> -->\n        <i class=\"icons\" *ngIf=\"!info?.showPopover\">&#xe932;</i>\n        <i class=\"icons\" *ngIf=\"info?.showPopover\">&#xe9ae;</i>\n      </button>\n\n      <app-popover #info [dontCloseonClick]=\"false\">\n        <div class=\"block info vx-bg-white vx-p-3\">\n          <div\n            class=\"block-text vx-fs-13 vx-paragraph-txt\"\n            [innerHTML]=\"question.comments\"\n          ></div>\n        </div>\n      </app-popover>\n    </li>\n\n    <li class=\"vx-pt-1 vx-pb-1\" *ngIf=\"question.isRespondentAttachment\">\n      <button\n        class=\"options attachBtn vx-fs-16 vx-d-flex vx-align-center vx-justify-center vx-bg-grey vx-label-txt vx-p-2\"\n        [class.close]=\"attachment?.showPopover\"\n        appPopover\n        (click)=\"attachment.popover()\"\n        placement=\"right\"\n      >\n        <!-- <span class=\"status vx-bg-blue\"></span> -->\n        <i class=\"icons\" *ngIf=\"!attachment?.showPopover\">&#xe977;</i>\n        <i class=\"icons\" *ngIf=\"attachment?.showPopover\">&#xe9ae;</i>\n      </button>\n\n      <app-popover #attachment [dontCloseonClick]=\"true\">\n        <div class=\"block attachment vx-bg-white\">\n          <div *ngIf=\"false\" class=\"attached vx-pt-1 vx-pl-3 vx-pr-3\">\n            <div\n              class=\"file-box vx-d-flex vx-align-center vx-pb-2 vx-pt-2\"\n              *ngFor=\"let data of [1, 1]\"\n            >\n              <span class=\"file table pdf\">\n                <i class=\"icons\">&#xe92e;</i>\n                <span class=\"format\">pdf</span>\n              </span>\n              <div\n                class=\"file-name vx-fs-12 vx-label-txt\"\n                [appTooltip]=\"'payrollnew-vcomply-interns.pdf'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                payrollnew-vcomply-interns.pdf\n              </div>\n              <button\n                class=\"delete-btn vx-fs-14 vx-txt-red vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n              <div class=\"line-progress\">\n                <div class=\"line-progress-bar\"></div>\n              </div>\n            </div>\n          </div>\n          <div\n            class=\"attach-btn vx-d-flex vx-align-center vx-justify-center vx-p-2\"\n          >\n            <input type=\"file\" />\n            <i class=\"icons vx-fs-18 vx-pt-2 vx-mb-1\">&#xe977;</i>\n            <span class=\"vx-txt-blue vx-fs-12 vx-tt-uppercase\"\n              >Attach Files</span\n            >\n          </div>\n          <div\n            *ngIf=\"false\"\n            class=\"bottom vx-p-2 vx-justify-center vx-d-flex vx-align-center\"\n          >\n            <button\n              class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              SAVE\n            </button>\n          </div>\n        </div>\n      </app-popover>\n    </li>\n\n    <li class=\"vx-pt-1 vx-pb-1\" *ngIf=\"question.isRespondentComment\">\n      <button\n        class=\"options respondentBtn vx-fs-14 vx-d-flex vx-align-center vx-justify-center vx-bg-grey vx-label-txt vx-p-2\"\n        [class.close]=\"comment?.showPopover\"\n        appPopover\n        (click)=\"comment.popover()\"\n        placement=\"right\"\n      >\n        <!-- <span class=\"status vx-bg-blue\"></span> -->\n        <i class=\"icons\" *ngIf=\"!comment?.showPopover\">&#xe9a6;</i>\n        <i class=\"icons\" *ngIf=\"comment?.showPopover\">&#xe9ae;</i>\n      </button>\n\n      <app-popover #comment [dontCloseonClick]=\"true\">\n        <div class=\"block comment vx-p-0 vx-bg-white\">\n          <div class=\"text-area\">\n            <textarea\n              class=\"vx-fs-13 vx-paragraph-txt vx-lh-5 vx-p-2 vx-m-0\"\n              placeholder=\"Type here...\"\n            ></textarea>\n          </div>\n          <div\n            *ngIf=\"true\"\n            class=\"bottom vx-p-2 vx-justify-center vx-d-flex vx-align-center\"\n          >\n            <button\n              class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              SAVE\n            </button>\n          </div>\n        </div>\n      </app-popover>\n    </li>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";.quick-settings ul.more-options li{position:relative;list-style:none}.quick-settings ul.more-options li button.options{border-radius:50%;border:1px solid #f1f1f1}.quick-settings ul.more-options li button.options.commentBtn{background:#4681ef}.quick-settings ul.more-options li button.options span.status{border-radius:50%;height:.5rem;width:.5rem;position:absolute;right:.125rem;top:.5rem}.quick-settings ul.more-options li button.options.close{background:#4681ef;color:#fff}::ng-deep app-popover .block{border-radius:.125rem;box-shadow:0 0 10px #1e5dd31a;max-height:10rem;overflow:auto}::ng-deep app-popover .block::-webkit-scrollbar-track{background-color:#fff}::ng-deep app-popover .block.info{width:17rem}::ng-deep app-popover .block.attachment{min-width:12.25rem;max-width:17rem}::ng-deep app-popover .block.attachment .attached .file-box{border-bottom:1px solid #f1f1f1;position:relative}::ng-deep app-popover .block.attachment .attached .file-box .file-name{min-width:11.375rem;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep app-popover .block.attachment .attached .file-box button.delete-btn{background:transparent;border-radius:0;border:none}::ng-deep app-popover .block.attachment .attached .file-box .line-progress{left:1.625rem;top:auto;bottom:.5rem;width:80%}::ng-deep app-popover .block.attachment .attach-btn{flex-direction:column;position:relative}::ng-deep app-popover .block.attachment .attach-btn input{position:absolute;top:0;right:0;height:100%;width:100%;opacity:0;cursor:pointer}::ng-deep app-popover .block.attachment .attach-btn i{color:#dbdbdb}::ng-deep app-popover .block.comment{width:17rem}::ng-deep app-popover .block.comment textarea{border:none;outline:none;width:100%;resize:none}::ng-deep app-popover .block .bottom{border-top:1px solid #f1f1f1}::ng-deep app-popover .block .bottom button.save-btn{background:#1e5dd3;border-radius:.125rem;border:none;height:1.5rem;width:4rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }] } });

class PreviewMatrixDropdownComponent {
    constructor() {
        this.questionIndex = 1;
        this.isQuickSettings = true;
    }
    ngOnInit() { }
    scrollHandler(event) {
        this.panel['_results'].forEach((panel) => {
            panel['nativeElement'].scrollLeft = event.target.scrollLeft;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMatrixDropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewMatrixDropdownComponent, selector: "app-preview-matrix-dropdown", inputs: { question: "question", questionIndex: "questionIndex" }, host: { listeners: { "scroll": "scrollHandler($event)" } }, viewQueries: [{ propertyName: "panel", predicate: ["scrollMatrixDropdown"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside vx-w-100\">\n      <div\n        class=\"question-description vx-fs-12 vx-paragraph-txt vx-mb-3\"\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n        [innerHTML]=\"question?.description\"\n      ></div>\n      <div class=\"preview-list\">\n        <div class=\"matrix-dropdown-table\">\n          <div class=\"matrix-table-row table-head vx-d-flex\">\n            <div class=\"left\">\n              <div class=\"body\">\n                <div class=\"title vx-fs-12 vx-label-txt vx-p-2\"></div>\n              </div>\n            </div>\n            <div\n              class=\"right\"\n              (scroll)=\"scrollHandler($event)\"\n              #scrollMatrixDropdown\n            >\n              <div class=\"body\">\n                <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                  <li\n                    class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\"\n                    *ngFor=\"let columns of question?.columns\"\n                  >\n                    <div\n                      class=\"matrix-value vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-d-flex vx-align-center\"\n                    >\n                      <div\n                        class=\"heading\"\n                        [appTooltip]=\"columns?.title\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ columns?.title ?? \"--\" }}\n                      </div>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </div>\n          </div>\n          <div\n            class=\"matrix-table-row vx-d-flex\"\n            *ngFor=\"let eachRow of question?.choices; let rowIndex = index\"\n          >\n            <div class=\"left\">\n              <div class=\"body\">\n                <div\n                  class=\"title vx-fs-12 vx-label-txt vx-lh-7 vx-p-2\"\n                  [appTooltip]=\"eachRow?.title\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ eachRow?.title }}\n                </div>\n              </div>\n            </div>\n            <div\n              class=\"right\"\n              (scroll)=\"scrollHandler($event)\"\n              #scrollMatrixDropdown\n            >\n              <div class=\"body\">\n                <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                  <li\n                    class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\"\n                    *ngFor=\"\n                      let eachColumns of question?.columns;\n                      let columnIndex = index\n                    \"\n                  >\n                    <div\n                      class=\"matrix-value vx-d-flex vx-align-center vx-justify-center\"\n                    >\n                      <app-cs-select\n                        [dataList]=\"eachColumns?.choices\"\n                        [valueKey]=\"'title'\"\n                        [displayProperty]=\"'title'\"\n                        [selectedValue]=\"'--'\"\n                      ></app-cs-select>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-inner-inside .preview-list{position:relative}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table{border:1px solid #dbdbdb;border-bottom:none;max-width:100%}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row{border-bottom:1px solid #dbdbdb}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row:last-child .right::-webkit-scrollbar{display:block}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row.table-head{background:#f8f8f8}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:18rem}@media screen and (max-width: 768px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:12rem}}@media screen and (max-width: 667px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:7rem}}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left .body{height:100%}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left .body .title{border-right:1px solid #dbdbdb;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;height:100%;font-weight:500}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 18rem);overflow-x:auto;position:static!important;height:auto!important;background:transparent!important}@media screen and (max-width: 768px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 12rem)}}@media screen and (max-width: 667px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 7rem)}}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right::-webkit-scrollbar{display:none;height:6px}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li{border-right:1px solid #dbdbdb}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li:last-of-type{border-right:none}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value{width:7rem}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value .devider{color:#bcbcbc}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value app-cs-select .input-group .custom-select-box{z-index:unset!important}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value app-cs-select .input-group .custom-select-box input[type=text]{height:28px;padding:4px 20px 4px 8px}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value app-cs-select .input-group .custom-select-box:after{right:8px;top:calc(50% - 5px);z-index:0}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsSelectComponentUI, selector: "app-cs-select", inputs: ["dataList", "dropdownLabel", "displayProperty", "selectedValue", "isRequired", "dropdownSubLabel", "disabled", "placeholder", "stylex", "valueKey", "multipleSelect", "colorProperty", "colorSelected"], outputs: ["selectedData", "selectedValueChange"] }, { kind: "component", type: QuickSettingsComponent$1, selector: "app-quick-settings", inputs: ["question"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMatrixDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-matrix-dropdown', inputs: ['question', 'questionIndex'], template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside vx-w-100\">\n      <div\n        class=\"question-description vx-fs-12 vx-paragraph-txt vx-mb-3\"\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n        [innerHTML]=\"question?.description\"\n      ></div>\n      <div class=\"preview-list\">\n        <div class=\"matrix-dropdown-table\">\n          <div class=\"matrix-table-row table-head vx-d-flex\">\n            <div class=\"left\">\n              <div class=\"body\">\n                <div class=\"title vx-fs-12 vx-label-txt vx-p-2\"></div>\n              </div>\n            </div>\n            <div\n              class=\"right\"\n              (scroll)=\"scrollHandler($event)\"\n              #scrollMatrixDropdown\n            >\n              <div class=\"body\">\n                <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                  <li\n                    class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\"\n                    *ngFor=\"let columns of question?.columns\"\n                  >\n                    <div\n                      class=\"matrix-value vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-d-flex vx-align-center\"\n                    >\n                      <div\n                        class=\"heading\"\n                        [appTooltip]=\"columns?.title\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ columns?.title ?? \"--\" }}\n                      </div>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </div>\n          </div>\n          <div\n            class=\"matrix-table-row vx-d-flex\"\n            *ngFor=\"let eachRow of question?.choices; let rowIndex = index\"\n          >\n            <div class=\"left\">\n              <div class=\"body\">\n                <div\n                  class=\"title vx-fs-12 vx-label-txt vx-lh-7 vx-p-2\"\n                  [appTooltip]=\"eachRow?.title\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ eachRow?.title }}\n                </div>\n              </div>\n            </div>\n            <div\n              class=\"right\"\n              (scroll)=\"scrollHandler($event)\"\n              #scrollMatrixDropdown\n            >\n              <div class=\"body\">\n                <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                  <li\n                    class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\"\n                    *ngFor=\"\n                      let eachColumns of question?.columns;\n                      let columnIndex = index\n                    \"\n                  >\n                    <div\n                      class=\"matrix-value vx-d-flex vx-align-center vx-justify-center\"\n                    >\n                      <app-cs-select\n                        [dataList]=\"eachColumns?.choices\"\n                        [valueKey]=\"'title'\"\n                        [displayProperty]=\"'title'\"\n                        [selectedValue]=\"'--'\"\n                      ></app-cs-select>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-inner-inside .preview-list{position:relative}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table{border:1px solid #dbdbdb;border-bottom:none;max-width:100%}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row{border-bottom:1px solid #dbdbdb}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row:last-child .right::-webkit-scrollbar{display:block}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row.table-head{background:#f8f8f8}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:18rem}@media screen and (max-width: 768px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:12rem}}@media screen and (max-width: 667px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:7rem}}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left .body{height:100%}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left .body .title{border-right:1px solid #dbdbdb;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;height:100%;font-weight:500}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 18rem);overflow-x:auto;position:static!important;height:auto!important;background:transparent!important}@media screen and (max-width: 768px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 12rem)}}@media screen and (max-width: 667px){::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 7rem)}}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right::-webkit-scrollbar{display:none;height:6px}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li{border-right:1px solid #dbdbdb}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li:last-of-type{border-right:none}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value{width:7rem}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value .devider{color:#bcbcbc}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value app-cs-select .input-group .custom-select-box{z-index:unset!important}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value app-cs-select .input-group .custom-select-box input[type=text]{height:28px;padding:4px 20px 4px 8px}::ng-deep .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value app-cs-select .input-group .custom-select-box:after{right:8px;top:calc(50% - 5px);z-index:0}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { panel: [{
                type: ViewChildren,
                args: ['scrollMatrixDropdown', { read: ElementRef }]
            }], scrollHandler: [{
                type: HostListener,
                args: ['scroll', ['$event']]
            }] } });

class PreviewDropdownComponent {
    constructor() {
        this.choicesForPreviewMode = [];
    }
    ngOnInit() {
        this.choicesForPreviewMode = [...this.question.choices];
        if (this.question.randomize === true) {
            this.randomize();
        }
        if (this.question.hasOther === true && this.choicesForPreviewMode.findIndex((x) => x.title === "Other") < 0) {
            this.choicesForPreviewMode.push({ title: 'Other' });
        }
    }
    randomize() {
        this.choicesForPreviewMode = shuffle(this.choicesForPreviewMode);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewDropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewDropdownComponent, selector: "app-preview-dropdown", inputs: { question: "question" }, ngImport: i0, template: "<div class=\"preview-list\">\n    <div class=\"dropdown-area\">\n        <app-cs-select  [dataList]='choicesForPreviewMode' [valueKey]=\"'title'\" [displayProperty]=\"'title'\" [selectedValue]=\"'Select an option'\"></app-cs-select>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .dropdown-area{width:37.5rem}\n"], dependencies: [{ kind: "component", type: CsSelectComponentUI, selector: "app-cs-select", inputs: ["dataList", "dropdownLabel", "displayProperty", "selectedValue", "isRequired", "dropdownSubLabel", "disabled", "placeholder", "stylex", "valueKey", "multipleSelect", "colorProperty", "colorSelected"], outputs: ["selectedData", "selectedValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-dropdown', template: "<div class=\"preview-list\">\n    <div class=\"dropdown-area\">\n        <app-cs-select  [dataList]='choicesForPreviewMode' [valueKey]=\"'title'\" [displayProperty]=\"'title'\" [selectedValue]=\"'Select an option'\"></app-cs-select>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .dropdown-area{width:37.5rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }] } });

class PreviewMatrixRatingScaleComponent {
    scrollHandler(event) {
        this.panel['_results'].forEach((panel) => {
            panel['nativeElement'].scrollLeft = event.target.scrollLeft;
        });
    }
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMatrixRatingScaleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewMatrixRatingScaleComponent, selector: "app-preview-matrix-rating-scale", host: { listeners: { "scroll": "scrollHandler($event)" } }, viewQueries: [{ propertyName: "panel", predicate: ["scrollMatrixRating"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"preview-list\">\n    <div class=\"matrix-rating-table vx-mt-5\">\n        <div class=\"rating-table-row table-head vx-d-flex\">\n            <div class=\"left\">\n                <div class=\"body\">\n                    <div class=\"title vx-fs-12 vx-label-txt vx-p-2\"></div>\n                </div>\n            </div>\n            <div class=\"right\" #scrollMatrixRating>\n                <div class=\"body\">\n                    <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                        <li class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1]\">\n                            <div class=\"rating-value vx-fs-12 vx-fw-600 vx-label-txt vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\">\n                                <div class=\"heading\" [appTooltip]=\"'Lorem ipsum may be used as a placeholder before the final copy is available.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Lorem ipsum may be used as a placeholder before the final copy is available.</div>\n                            </div>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n        <div class=\"rating-table-row vx-d-flex\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1]\">\n            <div class=\"left\">\n                <div class=\"body\">\n                    <div class=\"title vx-fs-12 vx-label-txt vx-lh-6 vx-p-2\" [appTooltip]=\"'Lorem ipsum may be used as a placeholder before the final copy is available.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Lorem ipsum may be used as a placeholder before the final copy is available.</div>\n                </div>\n            </div>\n            <div class=\"right\" (scroll)=\"scrollHandler($event)\" #scrollMatrixRating>\n                <div class=\"body\">\n                    <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                        <li class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1]\">\n                            <div class=\"rating-value vx-d-flex vx-align-center vx-justify-center\">\n                                <app-cs-radio></app-cs-radio>\n                            </div>\n                        </li> \n                    </ul>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .matrix-rating-table{border:1px solid #DBDBDB;border-bottom:none}::ng-deep .preview-list .matrix-rating-table .rating-table-row{border-bottom:1px solid #DBDBDB}::ng-deep .preview-list .matrix-rating-table .rating-table-row:last-child .right::-webkit-scrollbar{display:block}::ng-deep .preview-list .matrix-rating-table .rating-table-row.table-head{background:#f1f1f1}::ng-deep .preview-list .matrix-rating-table .rating-table-row .left{width:10rem}::ng-deep .preview-list .matrix-rating-table .rating-table-row .left .body{height:100%}::ng-deep .preview-list .matrix-rating-table .rating-table-row .left .body .title{border-right:1px solid #DBDBDB;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;height:100%}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right{width:calc(100% - 10rem);overflow-x:auto}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right::-webkit-scrollbar{display:none}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li{border-right:1px solid #DBDBDB}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li:last-of-type{border-right:none}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value{width:8rem}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value .devider{color:#bcbcbc}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio{width:auto;display:unset}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio .radio-item{padding-left:0}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio .radio-item .radio,::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio .radio-item .radiomark{position:relative!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMatrixRatingScaleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-matrix-rating-scale', template: "<div class=\"preview-list\">\n    <div class=\"matrix-rating-table vx-mt-5\">\n        <div class=\"rating-table-row table-head vx-d-flex\">\n            <div class=\"left\">\n                <div class=\"body\">\n                    <div class=\"title vx-fs-12 vx-label-txt vx-p-2\"></div>\n                </div>\n            </div>\n            <div class=\"right\" #scrollMatrixRating>\n                <div class=\"body\">\n                    <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                        <li class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1]\">\n                            <div class=\"rating-value vx-fs-12 vx-fw-600 vx-label-txt vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\">\n                                <div class=\"heading\" [appTooltip]=\"'Lorem ipsum may be used as a placeholder before the final copy is available.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Lorem ipsum may be used as a placeholder before the final copy is available.</div>\n                            </div>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n        <div class=\"rating-table-row vx-d-flex\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1]\">\n            <div class=\"left\">\n                <div class=\"body\">\n                    <div class=\"title vx-fs-12 vx-label-txt vx-lh-6 vx-p-2\" [appTooltip]=\"'Lorem ipsum may be used as a placeholder before the final copy is available.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Lorem ipsum may be used as a placeholder before the final copy is available.</div>\n                </div>\n            </div>\n            <div class=\"right\" (scroll)=\"scrollHandler($event)\" #scrollMatrixRating>\n                <div class=\"body\">\n                    <ul class=\"columns vx-p-0 vx-m-0 vx-d-flex\">\n                        <li class=\"vx-d-flex vx-align-center vx-justify-center vx-p-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1]\">\n                            <div class=\"rating-value vx-d-flex vx-align-center vx-justify-center\">\n                                <app-cs-radio></app-cs-radio>\n                            </div>\n                        </li> \n                    </ul>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .matrix-rating-table{border:1px solid #DBDBDB;border-bottom:none}::ng-deep .preview-list .matrix-rating-table .rating-table-row{border-bottom:1px solid #DBDBDB}::ng-deep .preview-list .matrix-rating-table .rating-table-row:last-child .right::-webkit-scrollbar{display:block}::ng-deep .preview-list .matrix-rating-table .rating-table-row.table-head{background:#f1f1f1}::ng-deep .preview-list .matrix-rating-table .rating-table-row .left{width:10rem}::ng-deep .preview-list .matrix-rating-table .rating-table-row .left .body{height:100%}::ng-deep .preview-list .matrix-rating-table .rating-table-row .left .body .title{border-right:1px solid #DBDBDB;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;height:100%}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right{width:calc(100% - 10rem);overflow-x:auto}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right::-webkit-scrollbar{display:none}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li{border-right:1px solid #DBDBDB}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li:last-of-type{border-right:none}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value{width:8rem}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value .devider{color:#bcbcbc}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio{width:auto;display:unset}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio .radio-item{padding-left:0}::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio .radio-item .radio,::ng-deep .preview-list .matrix-rating-table .rating-table-row .right .body ul.columns li .rating-value cs-radio .radio-item .radiomark{position:relative!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { panel: [{
                type: ViewChildren,
                args: ['scrollMatrixRating', { read: ElementRef }]
            }], scrollHandler: [{
                type: HostListener,
                args: ['scroll', ['$event']]
            }] } });

class PreviewRankingComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewRankingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewRankingComponent, selector: "app-preview-ranking", ngImport: i0, template: "<div class=\"preview-list\">\n    <ul class=\"ranking-area vx-p-0 vx-m-0\">\n        <ng-container *ngFor=\"let data of [1, 1, 1, 1, 1]\">\n            <div *ngIf=\"false\" class=\"example-custom-placeholder cdk-drag-placeholder vx-mt-1\"></div>\n            <li class=\"vx-d-flex vx-align-center vx-mt-1\">\n                <div class=\"drag-area vx-d-flex\">\n                    <span class=\"move-icon vx-d-inline-flex vx-justify-center vx-align-center vx-p-1 vx-fs-12 vx-bg-grey \">\n                        <i class=\"icons\">&#xe9d7;</i>\n                    </span>\n                    <input type=\"text\" class=\"rank vx-bg-white vx-paragraph-txt vx-justify-center vx-align-center vx-fs-12 vx-lh-20\" placeholder='1' disabled> \n                    <span class=\"value vx-p-2 vx-lh-6 vx-justify-center vx-align-center vx-paragraph-txt vx-fs-12 vx-bg-grey \" [appTooltip]=\"'Many desktop publishing packages and web page editors.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Many desktop publishing packages and web page editors desktop publishing packages and web page editors.</span>\n                </div>\n            </li>\n        </ng-container>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul.ranking-area{width:37.5rem}::ng-deep .preview-list ul .cdk-drag-placeholder{background:#fbfbfb;border:1px dashed #DBDBDB;height:2.625rem}::ng-deep .preview-list ul li .drag-area{width:100%}::ng-deep .preview-list ul li .drag-area .move-icon{border-radius:.25rem 0 0 .25rem;width:2.625rem;min-width:2.625rem;height:2.625rem;cursor:move}::ng-deep .preview-list ul li .drag-area input{width:3.75rem;border:1px solid #F1F1F1;padding:.5rem .75rem;outline:none;cursor:text;margin:0}::ng-deep .preview-list ul li .drag-area .value{border-radius:0 .25rem .25rem 0;white-space:nowrap;display:block;overflow:hidden;text-overflow:ellipsis;border:1px solid #F1F1F1;width:calc(100% - 60px)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewRankingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-ranking', template: "<div class=\"preview-list\">\n    <ul class=\"ranking-area vx-p-0 vx-m-0\">\n        <ng-container *ngFor=\"let data of [1, 1, 1, 1, 1]\">\n            <div *ngIf=\"false\" class=\"example-custom-placeholder cdk-drag-placeholder vx-mt-1\"></div>\n            <li class=\"vx-d-flex vx-align-center vx-mt-1\">\n                <div class=\"drag-area vx-d-flex\">\n                    <span class=\"move-icon vx-d-inline-flex vx-justify-center vx-align-center vx-p-1 vx-fs-12 vx-bg-grey \">\n                        <i class=\"icons\">&#xe9d7;</i>\n                    </span>\n                    <input type=\"text\" class=\"rank vx-bg-white vx-paragraph-txt vx-justify-center vx-align-center vx-fs-12 vx-lh-20\" placeholder='1' disabled> \n                    <span class=\"value vx-p-2 vx-lh-6 vx-justify-center vx-align-center vx-paragraph-txt vx-fs-12 vx-bg-grey \" [appTooltip]=\"'Many desktop publishing packages and web page editors.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Many desktop publishing packages and web page editors desktop publishing packages and web page editors.</span>\n                </div>\n            </li>\n        </ng-container>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list ul.ranking-area{width:37.5rem}::ng-deep .preview-list ul .cdk-drag-placeholder{background:#fbfbfb;border:1px dashed #DBDBDB;height:2.625rem}::ng-deep .preview-list ul li .drag-area{width:100%}::ng-deep .preview-list ul li .drag-area .move-icon{border-radius:.25rem 0 0 .25rem;width:2.625rem;min-width:2.625rem;height:2.625rem;cursor:move}::ng-deep .preview-list ul li .drag-area input{width:3.75rem;border:1px solid #F1F1F1;padding:.5rem .75rem;outline:none;cursor:text;margin:0}::ng-deep .preview-list ul li .drag-area .value{border-radius:0 .25rem .25rem 0;white-space:nowrap;display:block;overflow:hidden;text-overflow:ellipsis;border:1px solid #F1F1F1;width:calc(100% - 60px)}\n"] }]
        }], ctorParameters: function () { return []; } });

class PreviewSliderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewSliderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewSliderComponent, selector: "app-preview-slider", ngImport: i0, template: "<div class=\"preview-list\">\n    <div class=\"slider-container vx-d-flex vx-align-center vx-p-4 vx-bg-white \">\n        <div class=\"slider-left vx-mr-2\">\n            <div class=\"range-slider\">\n             <input type=\"range\" min=\"1\" max=\"100\" value=\"50\" class=\"vx-slider\">\n            </div>\n            <div class=\"labels vx-justify-between vx-d-flex vx-fs-12\">\n                <span >0</span>\n                <span>100</span>\n            </div>\n        </div>\n        <div class=\"slider-right\">\n            <input type=\"text\" value='50' class=\"vx-text-center\">\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/forms/range-slider.css\";::ng-deep .preview-list .slider-container{width:37.5rem;box-shadow:0 0 10px #f1f1f1;border:1px solid #DBDBDB;border-radius:.125rem}::ng-deep .preview-list .slider-container .slider-left{width:calc(100% - 3.125rem)}::ng-deep .preview-list .slider-container .slider-right{width:3.125rem}::ng-deep .preview-list .slider-container .slider-right input{display:block;border-radius:.125rem;border:1px solid #F1F1F1;color:#161b2f;font-size:12px;width:100%;height:2.5rem;line-height:2.5rem;outline:none}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewSliderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-slider', template: "<div class=\"preview-list\">\n    <div class=\"slider-container vx-d-flex vx-align-center vx-p-4 vx-bg-white \">\n        <div class=\"slider-left vx-mr-2\">\n            <div class=\"range-slider\">\n             <input type=\"range\" min=\"1\" max=\"100\" value=\"50\" class=\"vx-slider\">\n            </div>\n            <div class=\"labels vx-justify-between vx-d-flex vx-fs-12\">\n                <span >0</span>\n                <span>100</span>\n            </div>\n        </div>\n        <div class=\"slider-right\">\n            <input type=\"text\" value='50' class=\"vx-text-center\">\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/forms/range-slider.css\";::ng-deep .preview-list .slider-container{width:37.5rem;box-shadow:0 0 10px #f1f1f1;border:1px solid #DBDBDB;border-radius:.125rem}::ng-deep .preview-list .slider-container .slider-left{width:calc(100% - 3.125rem)}::ng-deep .preview-list .slider-container .slider-right{width:3.125rem}::ng-deep .preview-list .slider-container .slider-right input{display:block;border-radius:.125rem;border:1px solid #F1F1F1;color:#161b2f;font-size:12px;width:100%;height:2.5rem;line-height:2.5rem;outline:none}\n"] }]
        }], ctorParameters: function () { return []; } });

class PreviewMultipleTextboxComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMultipleTextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewMultipleTextboxComponent, selector: "app-preview-multiple-textbox", ngImport: i0, template: "<div class=\"preview-list\">\n    <div class=\"textbox-group vx-d-block\">\n        <div class=\"input-group vx-d-flex vx-mb-2\" *ngFor=\"let data of [1, 1, 1]\">\n            <span class=\"vx-bg-grey vx-label-txt vx-lh-20 vx-fs-12 vx-align-center vx-lh-5 vx-p-2\" [appTooltip]=\"'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.</span>\n            <input class=\"vx-fs-12 vx-lh-20 vx-paragraph-txt vx-p-2\" type=\"text\" placeholder='Please enter a response'>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .textbox-group{max-width:37.5rem}::ng-deep .preview-list .textbox-group .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .preview-list .textbox-group .input-group span{width:7.5rem;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .preview-list .textbox-group .input-group input{width:calc(100% - 7.5rem);border:none;outline:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewMultipleTextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-multiple-textbox', template: "<div class=\"preview-list\">\n    <div class=\"textbox-group vx-d-block\">\n        <div class=\"input-group vx-d-flex vx-mb-2\" *ngFor=\"let data of [1, 1, 1]\">\n            <span class=\"vx-bg-grey vx-label-txt vx-lh-20 vx-fs-12 vx-align-center vx-lh-5 vx-p-2\" [appTooltip]=\"'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.</span>\n            <input class=\"vx-fs-12 vx-lh-20 vx-paragraph-txt vx-p-2\" type=\"text\" placeholder='Please enter a response'>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .textbox-group{max-width:37.5rem}::ng-deep .preview-list .textbox-group .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .preview-list .textbox-group .input-group span{width:7.5rem;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .preview-list .textbox-group .input-group input{width:calc(100% - 7.5rem);border:none;outline:none}\n"] }]
        }], ctorParameters: function () { return []; } });

class PreviewDateTimeComponent {
    constructor(commonService) {
        this.commonService = commonService;
        this.datepickerOverlay = false;
    }
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datepickerOverlay = true;
    }
    closeDatepicker() {
        this.datePicker?.api?.close();
        this.datepickerOverlay = false;
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'date-picker',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datepickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewDateTimeComponent, deps: [{ token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewDateTimeComponent, selector: "app-preview-date-time", inputs: { question: "question" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"preview-list\">\n  <div class=\"date-time vx-mt-5\">\n    <div class=\"input-group vx-d-flex vx-mb-2\" *ngIf=\"question?.hasDate\">\n      <span\n        class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n      >\n        <span\n          class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n          [appTooltip]=\"question?.date?.title\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n          >{{\n            question?.date?.title == \"\" ? \"Date Label\" : question?.date?.title\n          }}</span\n        >\n      </span>\n      <div class=\"date-time-area\">\n        <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe996;</i>\n        <input\n          class=\"datePicker\"\n          (click)=\"openDatePicker()\"\n          placeholder=\"Enter Date\"\n          id=\"date-picker\"\n        />\n        <dp-date-picker\n          [config]=\"{ disableKeypress: true, format: 'DD MMM YYYY' }\"\n          #datePicker\n          placeholder=\"Select Date\"\n          (click)=\"closeDatepicker()\"\n        ></dp-date-picker>\n        <div\n          class=\"overlay\"\n          (click)=\"closeDatepicker()\"\n          *ngIf=\"datepickerOverlay\"\n        ></div>\n      </div>\n    </div>\n    <div class=\"input-group vx-d-flex vx-mb-10\" *ngIf=\"question?.hasTime\">\n      <span\n        class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n      >\n        <span\n          class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n          [appTooltip]=\"question?.time?.title\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n          >{{\n            question?.time?.title == \"\" ? \"Time Label\" : question?.time?.title\n          }}</span\n        >\n      </span>\n      <div class=\"date-time-area\">\n        <input\n          aria-label=\"12hr format\"\n          [ngxTimepicker]=\"timeOnly\"\n          readonly\n          placeholder=\"Select Time\"\n        />\n        <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe955;</i>\n        <ngx-material-timepicker #timeOnly></ngx-material-timepicker>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .date-time{display:block;max-width:37.5rem}::ng-deep .preview-list .date-time .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .preview-list .date-time .input-group .label{width:5.875rem}::ng-deep .preview-list .date-time .input-group .label .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}::ng-deep .preview-list .date-time .input-group .date-time-area{width:calc(100% - 5.875rem);height:2.5rem;position:relative}::ng-deep .preview-list .date-time .input-group .date-time-area input{background:transparent;border:none;border-radius:0;font-size:12px;width:100%;height:100%;outline:none;cursor:pointer;margin:0;padding:8px;position:relative;z-index:1}::ng-deep .preview-list .date-time .input-group .date-time-area input.dp-picker-input{top:3px}::ng-deep .preview-list .date-time .input-group .date-time-area input::placeholder{color:#747576;opacity:1}::ng-deep .preview-list .date-time .input-group .date-time-area input.datePicker{opacity:0;position:absolute;z-index:2}::ng-deep .preview-list .date-time .input-group .date-time-area i{position:absolute;top:.75rem;right:.5rem}::ng-deep .preview-list .date-time .input-group .date-time-area .overlay{z-index:2}::ng-deep dp-date-picker input.dp-picker-input{opacity:1;top:-54px;font-size:11px;color:#161b2f}::ng-deep dp-date-picker input.dp-picker-input::placeholder{color:#747576;opacity:1}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "component", type: i5$1.NgxMaterialTimepickerComponent, selector: "ngx-material-timepicker", inputs: ["cancelBtnTmpl", "editableHintTmpl", "confirmBtnTmpl", "ESC", "enableKeyboardInput", "preventOverlayClick", "disableAnimation", "appendToInput", "hoursOnly", "defaultTime", "timepickerClass", "theme", "min", "max", "ngxMaterialTimepickerTheme", "format", "minutesGap"], outputs: ["timeSet", "opened", "closed", "hourSelected", "timeChanged"] }, { kind: "directive", type: i5$1.TimepickerDirective, selector: "[ngxTimepicker]", inputs: ["format", "min", "max", "ngxTimepicker", "value", "disabled", "disableClick"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewDateTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-date-time', template: "<div class=\"preview-list\">\n  <div class=\"date-time vx-mt-5\">\n    <div class=\"input-group vx-d-flex vx-mb-2\" *ngIf=\"question?.hasDate\">\n      <span\n        class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n      >\n        <span\n          class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n          [appTooltip]=\"question?.date?.title\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n          >{{\n            question?.date?.title == \"\" ? \"Date Label\" : question?.date?.title\n          }}</span\n        >\n      </span>\n      <div class=\"date-time-area\">\n        <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe996;</i>\n        <input\n          class=\"datePicker\"\n          (click)=\"openDatePicker()\"\n          placeholder=\"Enter Date\"\n          id=\"date-picker\"\n        />\n        <dp-date-picker\n          [config]=\"{ disableKeypress: true, format: 'DD MMM YYYY' }\"\n          #datePicker\n          placeholder=\"Select Date\"\n          (click)=\"closeDatepicker()\"\n        ></dp-date-picker>\n        <div\n          class=\"overlay\"\n          (click)=\"closeDatepicker()\"\n          *ngIf=\"datepickerOverlay\"\n        ></div>\n      </div>\n    </div>\n    <div class=\"input-group vx-d-flex vx-mb-10\" *ngIf=\"question?.hasTime\">\n      <span\n        class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n      >\n        <span\n          class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n          [appTooltip]=\"question?.time?.title\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n          >{{\n            question?.time?.title == \"\" ? \"Time Label\" : question?.time?.title\n          }}</span\n        >\n      </span>\n      <div class=\"date-time-area\">\n        <input\n          aria-label=\"12hr format\"\n          [ngxTimepicker]=\"timeOnly\"\n          readonly\n          placeholder=\"Select Time\"\n        />\n        <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe955;</i>\n        <ngx-material-timepicker #timeOnly></ngx-material-timepicker>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .date-time{display:block;max-width:37.5rem}::ng-deep .preview-list .date-time .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .preview-list .date-time .input-group .label{width:5.875rem}::ng-deep .preview-list .date-time .input-group .label .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}::ng-deep .preview-list .date-time .input-group .date-time-area{width:calc(100% - 5.875rem);height:2.5rem;position:relative}::ng-deep .preview-list .date-time .input-group .date-time-area input{background:transparent;border:none;border-radius:0;font-size:12px;width:100%;height:100%;outline:none;cursor:pointer;margin:0;padding:8px;position:relative;z-index:1}::ng-deep .preview-list .date-time .input-group .date-time-area input.dp-picker-input{top:3px}::ng-deep .preview-list .date-time .input-group .date-time-area input::placeholder{color:#747576;opacity:1}::ng-deep .preview-list .date-time .input-group .date-time-area input.datePicker{opacity:0;position:absolute;z-index:2}::ng-deep .preview-list .date-time .input-group .date-time-area i{position:absolute;top:.75rem;right:.5rem}::ng-deep .preview-list .date-time .input-group .date-time-area .overlay{z-index:2}::ng-deep dp-date-picker input.dp-picker-input{opacity:1;top:-54px;font-size:11px;color:#161b2f}::ng-deep dp-date-picker input.dp-picker-input::placeholder{color:#747576;opacity:1}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}\n"] }]
        }], ctorParameters: function () { return [{ type: CommonService }]; }, propDecorators: { datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], question: [{
                type: Input
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class PreviewFileUploadComponent {
    constructor() {
        this.fileNamePlaceholder = 'Select file';
    }
    ngOnInit() {
    }
    handleFile(evt) {
        this.fileNamePlaceholder = evt.target.files[0].name;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewFileUploadComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewFileUploadComponent, selector: "app-preview-file-upload", inputs: { question: "question" }, ngImport: i0, template: "<div class=\"preview-list\">\n    <div class=\"custom-file-upload vx-d-flex vx-align-center vx-mt-5 vx-p-1\">\n        <input type=\"file\" (change)=\"handleFile($event)\">\n        <span class=\"value vx-fs-12 vx-label-txt vx-d-block vx-pl-2\">{{fileNamePlaceholder}}</span>\n        <span class=\"button vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-bg-blue vx-fs-12 vx-tt-uppercase\">Browse</span>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .custom-file-upload{position:relative;width:37.5rem;border:1px solid #DBDBDB;height:2.75rem;border-radius:.25rem}::ng-deep .preview-list .custom-file-upload input{position:absolute;top:0;right:0;height:100%;width:100%;opacity:0;cursor:pointer;z-index:1}::ng-deep .preview-list .custom-file-upload span.value{width:calc(100% - 6.25rem);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .preview-list .custom-file-upload span.button{height:2rem;width:6.25rem;border-radius:.25rem}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewFileUploadComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-file-upload', template: "<div class=\"preview-list\">\n    <div class=\"custom-file-upload vx-d-flex vx-align-center vx-mt-5 vx-p-1\">\n        <input type=\"file\" (change)=\"handleFile($event)\">\n        <span class=\"value vx-fs-12 vx-label-txt vx-d-block vx-pl-2\">{{fileNamePlaceholder}}</span>\n        <span class=\"button vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-bg-blue vx-fs-12 vx-tt-uppercase\">Browse</span>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .preview-list .custom-file-upload{position:relative;width:37.5rem;border:1px solid #DBDBDB;height:2.75rem;border-radius:.25rem}::ng-deep .preview-list .custom-file-upload input{position:absolute;top:0;right:0;height:100%;width:100%;opacity:0;cursor:pointer;z-index:1}::ng-deep .preview-list .custom-file-upload span.value{width:calc(100% - 6.25rem);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .preview-list .custom-file-upload span.button{height:2rem;width:6.25rem;border-radius:.25rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }] } });

class PreviewWrapperComponent {
    constructor(fd, validator) {
        this.fd = fd;
        this.validator = validator;
        this.makeActiveQuestion = new EventEmitter();
        this.validQuestionData = new EventEmitter();
        this.errorPresent = false;
    }
    ngOnInit() {
        // if (Object.values(this.question.errorArray).length === 0){
        // if (!this.question.errorArray || Object.values(this.question.errorArray).length === 0) {
        //   this.checkForValidationStatus('partial');
        // }
        this.checkForValidationStatus('partial');
    }
    editQuestion() {
        this.makeActiveQuestion.emit(this.questionIndex);
    }
    /**
     * Operation on click of save button
     */
    async checkForValidationStatus(mode) {
        const status = await this.validator.validate(this.question);
        if (status.valid === true) {
            this.errorPresent = false;
            this.validator.validatedQuestions[status.question.name] = status.question;
            // this.validQuestionData.emit(mode);
        }
        else {
            this.errorPresent = true;
            delete this.validator.validatedQuestions[status.question.name];
        }
    }
    showComments() {
        this.viewComments = !this.viewComments;
    }
    showAttachments() {
        this.viewAttachments = !this.viewAttachments;
    }
    showMessage() {
        this.viewMessage = !this.viewMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewWrapperComponent, deps: [{ token: EditorService }, { token: ValidatorService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewWrapperComponent, selector: "app-preview-wrapper", inputs: { question: "question", questionIndex: "questionIndex" }, outputs: { makeActiveQuestion: "makeActiveQuestion", validQuestionData: "validQuestionData" }, ngImport: i0, template: "<div class=\"preview-wrapper vx-p-5 vx-mb-4\" [class.error]=\"errorPresent === true\">\n    <!-- <app-welcome></app-welcome> -->\n\n    <button  (click)=\"editQuestion()\" class=\"question-edit vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons vx-fs-10 vx-mr-2\">&#xe9ba;</i> EDIT</button>\n    <div class=\"question-no vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-pl-2 vx-mb-5 vx-lh-4\">QUESTION {{questionIndex + 1}} \n        <span class=\"vx-txt-red\" *ngIf=\"question?.isRequired\">*</span></div>\n    <div class=\"question-name vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\"><span [innerHTML]=\"question?.title=='' ? 'Question' : question?.title\"></span> \n        <i *ngIf=\"question?.hasComments\" class=\"icons info vx-txt-blue vx-ml-1\" [appTooltip]=\"question?.comments\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i></div>\n    <div class=\"question-description vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\" *ngIf=\"question?.hasDescription && question?.description.trim().length  > 0 \" [innerHTML]=\"question?.description\"></div>\n\n    <app-preview-multiple-choice *ngIf=\"question.type === 'multiple-choice'\" [question]=\"question\"></app-preview-multiple-choice>\n    <app-preview-checkbox *ngIf=\"question.type === 'checkbox'\" [question]=\"question\"></app-preview-checkbox>\n    <app-preview-image-choice *ngIf=\"question.type === 'image-choice'\"></app-preview-image-choice>\n    <app-preview-star-rating *ngIf=\"question.type === 'star-rating'\"></app-preview-star-rating>\n    <app-preview-single-textbox *ngIf=\"question.type === 'single-textbox'\"></app-preview-single-textbox>\n    <app-preview-comment-box *ngIf=\"question.type === 'comment-box'\"></app-preview-comment-box>\n    <app-preview-matrix-dropdown *ngIf=\"question.type === 'matrix-dropdown'\" ></app-preview-matrix-dropdown>\n    <app-preview-dropdown *ngIf=\"question.type === 'dropdown'\" [question]=\"question\"></app-preview-dropdown>\n    <app-preview-matrix-rating-scale  *ngIf=\"question.type === 'rating-scale'\"></app-preview-matrix-rating-scale>\n    <app-preview-ranking *ngIf=\"question.type === 'ranking'\"> </app-preview-ranking>\n    <app-preview-slider *ngIf=\"question.type === 'slider'\"></app-preview-slider>\n    <app-preview-multiple-textbox *ngIf=\"question.type === 'multiple-textbox'\"></app-preview-multiple-textbox>\n    <app-preview-date-time *ngIf=\"question.type === 'date-time'\" [question]=\"question\"></app-preview-date-time>\n    <app-preview-file-upload *ngIf=\"question.type === 'file-upload'\"></app-preview-file-upload>\n\n    <!-- <app-thank-you></app-thank-you> -->\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.preview-wrapper{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}.preview-wrapper button.question-edit{background:#1e5dd3;border-radius:.125rem;border:none;height:1.75rem;width:4.5rem;position:absolute;top:1.25rem;right:1.25rem;z-index:1;opacity:0;transition:all .2s ease-in-out}.preview-wrapper:hover button.question-edit{opacity:1}.preview-wrapper .question-no{position:relative}.preview-wrapper .question-no:before{background:#4681ef;position:absolute;left:0;top:0;bottom:0;content:\"\";width:.125rem}.preview-wrapper .question-name{width:90%}.preview-wrapper .question-name i.info{position:relative;top:1px;cursor:pointer}.error{border-color:#d93b41}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PreviewMultipleChoiceComponent, selector: "app-preview-multiple-choice", inputs: ["question"] }, { kind: "component", type: PreviewCheckboxComponent, selector: "app-preview-checkbox", inputs: ["question"] }, { kind: "component", type: PreviewImageChoiceComponent, selector: "app-preview-image-choice" }, { kind: "component", type: PreviewStarRatingComponent, selector: "app-preview-star-rating" }, { kind: "component", type: PreviewSingleTextboxComponent, selector: "app-preview-single-textbox", inputs: ["question"] }, { kind: "component", type: PreviewCommentBoxComponent, selector: "app-preview-comment-box" }, { kind: "component", type: PreviewMatrixDropdownComponent, selector: "app-preview-matrix-dropdown", inputs: ["question", "questionIndex"] }, { kind: "component", type: PreviewDropdownComponent, selector: "app-preview-dropdown", inputs: ["question"] }, { kind: "component", type: PreviewMatrixRatingScaleComponent, selector: "app-preview-matrix-rating-scale" }, { kind: "component", type: PreviewRankingComponent, selector: "app-preview-ranking" }, { kind: "component", type: PreviewSliderComponent, selector: "app-preview-slider" }, { kind: "component", type: PreviewMultipleTextboxComponent, selector: "app-preview-multiple-textbox" }, { kind: "component", type: PreviewDateTimeComponent, selector: "app-preview-date-time", inputs: ["question"] }, { kind: "component", type: PreviewFileUploadComponent, selector: "app-preview-file-upload", inputs: ["question"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-wrapper', template: "<div class=\"preview-wrapper vx-p-5 vx-mb-4\" [class.error]=\"errorPresent === true\">\n    <!-- <app-welcome></app-welcome> -->\n\n    <button  (click)=\"editQuestion()\" class=\"question-edit vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons vx-fs-10 vx-mr-2\">&#xe9ba;</i> EDIT</button>\n    <div class=\"question-no vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-pl-2 vx-mb-5 vx-lh-4\">QUESTION {{questionIndex + 1}} \n        <span class=\"vx-txt-red\" *ngIf=\"question?.isRequired\">*</span></div>\n    <div class=\"question-name vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\"><span [innerHTML]=\"question?.title=='' ? 'Question' : question?.title\"></span> \n        <i *ngIf=\"question?.hasComments\" class=\"icons info vx-txt-blue vx-ml-1\" [appTooltip]=\"question?.comments\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe932;</i></div>\n    <div class=\"question-description vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\" *ngIf=\"question?.hasDescription && question?.description.trim().length  > 0 \" [innerHTML]=\"question?.description\"></div>\n\n    <app-preview-multiple-choice *ngIf=\"question.type === 'multiple-choice'\" [question]=\"question\"></app-preview-multiple-choice>\n    <app-preview-checkbox *ngIf=\"question.type === 'checkbox'\" [question]=\"question\"></app-preview-checkbox>\n    <app-preview-image-choice *ngIf=\"question.type === 'image-choice'\"></app-preview-image-choice>\n    <app-preview-star-rating *ngIf=\"question.type === 'star-rating'\"></app-preview-star-rating>\n    <app-preview-single-textbox *ngIf=\"question.type === 'single-textbox'\"></app-preview-single-textbox>\n    <app-preview-comment-box *ngIf=\"question.type === 'comment-box'\"></app-preview-comment-box>\n    <app-preview-matrix-dropdown *ngIf=\"question.type === 'matrix-dropdown'\" ></app-preview-matrix-dropdown>\n    <app-preview-dropdown *ngIf=\"question.type === 'dropdown'\" [question]=\"question\"></app-preview-dropdown>\n    <app-preview-matrix-rating-scale  *ngIf=\"question.type === 'rating-scale'\"></app-preview-matrix-rating-scale>\n    <app-preview-ranking *ngIf=\"question.type === 'ranking'\"> </app-preview-ranking>\n    <app-preview-slider *ngIf=\"question.type === 'slider'\"></app-preview-slider>\n    <app-preview-multiple-textbox *ngIf=\"question.type === 'multiple-textbox'\"></app-preview-multiple-textbox>\n    <app-preview-date-time *ngIf=\"question.type === 'date-time'\" [question]=\"question\"></app-preview-date-time>\n    <app-preview-file-upload *ngIf=\"question.type === 'file-upload'\"></app-preview-file-upload>\n\n    <!-- <app-thank-you></app-thank-you> -->\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.preview-wrapper{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}.preview-wrapper button.question-edit{background:#1e5dd3;border-radius:.125rem;border:none;height:1.75rem;width:4.5rem;position:absolute;top:1.25rem;right:1.25rem;z-index:1;opacity:0;transition:all .2s ease-in-out}.preview-wrapper:hover button.question-edit{opacity:1}.preview-wrapper .question-no{position:relative}.preview-wrapper .question-no:before{background:#4681ef;position:absolute;left:0;top:0;bottom:0;content:\"\";width:.125rem}.preview-wrapper .question-name{width:90%}.preview-wrapper .question-name i.info{position:relative;top:1px;cursor:pointer}.error{border-color:#d93b41}\n"] }]
        }], ctorParameters: function () { return [{ type: EditorService }, { type: ValidatorService }]; }, propDecorators: { question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }], makeActiveQuestion: [{
                type: Output
            }], validQuestionData: [{
                type: Output
            }] } });

class QuestionTypeComponent {
    constructor() {
        this.addQuestion = new EventEmitter();
    }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionTypeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: QuestionTypeComponent, selector: "app-question-type", outputs: { addQuestion: "addQuestion" }, ngImport: i0, template: "<div class=\"question-type\">\n    <ul class=\"vx-d-flex vx-flex-wrap vx-p-0 vx-m-0 vx-justify-center\">\n        <li *ngIf=\"false\">\n            <button  class=\"vx-m-0 vx-text-center vx-w-100\" (click)=\"addQuestion.emit('welcome')\">\n                <div class=\"question-icon welcome-screen vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab3;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">WELCOME SCREEN</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('thankyou')\">\n                <div class=\"question-icon thank-you-screen vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab2;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">THANK YOU SCREEN</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('multiple-choice')\">\n                <div class=\"question-icon multiple-choice vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabd;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MULTIPLE CHOICE</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('checkbox')\">\n                <div class=\"question-icon checkboxes vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabb;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">CHECKBOXES</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('image-choice')\">\n                <div class=\"question-icon image-choice vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea29;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">IMAGE CHOICE</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('star-rating')\">\n                <div class=\"question-icon star-rating vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea71;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">STAR RATINGS</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('single-textbox')\">\n                <div class=\"question-icon single-textbox vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab5;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">SINGLE TEXTBOX</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('comment-box')\">\n                <div class=\"question-icon comment-box vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xe9a6;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">COMMENT BOX</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('matrix-dropdown')\">\n                <div class=\"question-icon matrix-dropdown vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab7;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MATRIX OF DROPDOWNS</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('dropdown')\">\n                <div class=\"question-icon dropdown-icon vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab9;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">DROPDOWN</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('rating-scale')\">\n                <div class=\"question-icon matrix-rating vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab8;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MATRIX & RATING SCALE</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('ranking')\">\n                <div class=\"question-icon ranking vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeb03;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">RANKING</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('slider')\">\n                <div class=\"question-icon slider vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab6;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">SLIDER</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('multiple-textbox')\">\n                <div class=\"question-icon multiple-textbox vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab4;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MULTIPLE TEXTBOXES</div>\n            </button>\n        </li>\n        <li >\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('date-time')\">\n                <div class=\"question-icon date-time vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeaba;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">DATE & TIME</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('file-upload')\">\n                <div class=\"question-icon file-upload vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea97;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">FILE UPLOAD</div>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.question-type ul{list-style-type:none;position:relative;left:10rem;width:calc(100% - 20rem)}.question-type ul li{width:12rem;height:7rem;margin:.375rem}.question-type ul li button{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;padding:1.5rem 0}.question-type ul li button .question-icon{background:#ee5daf;border-radius:.125rem;width:2rem;height:2rem;margin:0 auto}.question-type ul li button .question-icon.welcome-screen{background:#ee5daf}.question-type ul li button .question-icon.thank-you-screen{background:#ee3939}.question-type ul li button .question-icon.multiple-choice{background:#d1c131}.question-type ul li button .question-icon.checkboxes{background:#6f81fc}.question-type ul li button .question-icon.image-choice{background:#4681ef}.question-type ul li button .question-icon.star-rating{background:#e8c247}.question-type ul li button .question-icon.single-textbox{background:#2fd2cd}.question-type ul li button .question-icon.comment-box{background:#acbb7e}.question-type ul li button .question-icon.matrix-dropdown{background:#66bf72}.question-type ul li button .question-icon.dropdown-icon{background:#9d9fe1}.question-type ul li button .question-icon.matrix-rating{background:#67d2cd}.question-type ul li button .question-icon.ranking{background:#ee9f24}.question-type ul li button .question-icon.slider{background:#d1c131}.question-type ul li button .question-icon.multiple-textbox{background:#66bf72}.question-type ul li button .question-icon.date-time{background:#acbb7e}.question-type ul li button .question-icon.file-upload{background:#4681ef}.question-type ul li button:hover{box-shadow:0 .5rem 1rem #1e5dd326}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionTypeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-question-type', template: "<div class=\"question-type\">\n    <ul class=\"vx-d-flex vx-flex-wrap vx-p-0 vx-m-0 vx-justify-center\">\n        <li *ngIf=\"false\">\n            <button  class=\"vx-m-0 vx-text-center vx-w-100\" (click)=\"addQuestion.emit('welcome')\">\n                <div class=\"question-icon welcome-screen vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab3;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">WELCOME SCREEN</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('thankyou')\">\n                <div class=\"question-icon thank-you-screen vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab2;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">THANK YOU SCREEN</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('multiple-choice')\">\n                <div class=\"question-icon multiple-choice vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabd;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MULTIPLE CHOICE</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('checkbox')\">\n                <div class=\"question-icon checkboxes vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabb;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">CHECKBOXES</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('image-choice')\">\n                <div class=\"question-icon image-choice vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea29;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">IMAGE CHOICE</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('star-rating')\">\n                <div class=\"question-icon star-rating vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea71;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">STAR RATINGS</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('single-textbox')\">\n                <div class=\"question-icon single-textbox vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab5;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">SINGLE TEXTBOX</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('comment-box')\">\n                <div class=\"question-icon comment-box vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xe9a6;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">COMMENT BOX</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('matrix-dropdown')\">\n                <div class=\"question-icon matrix-dropdown vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab7;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MATRIX OF DROPDOWNS</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('dropdown')\">\n                <div class=\"question-icon dropdown-icon vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab9;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">DROPDOWN</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('rating-scale')\">\n                <div class=\"question-icon matrix-rating vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab8;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MATRIX & RATING SCALE</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('ranking')\">\n                <div class=\"question-icon ranking vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeb03;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">RANKING</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('slider')\">\n                <div class=\"question-icon slider vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab6;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">SLIDER</div>\n            </button>\n        </li>\n        <li  *ngIf=\"false\">\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('multiple-textbox')\">\n                <div class=\"question-icon multiple-textbox vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab4;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">MULTIPLE TEXTBOXES</div>\n            </button>\n        </li>\n        <li >\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('date-time')\">\n                <div class=\"question-icon date-time vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeaba;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">DATE & TIME</div>\n            </button>\n        </li>\n        <li>\n            <button class=\"vx-m-0 vx-text-center vx-w-100\"  (click)=\"addQuestion.emit('file-upload')\">\n                <div class=\"question-icon file-upload vx-d-flex vx-align-center vx-justify-center vx-mb-4\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea97;</i></div>\n                <div class=\"name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">FILE UPLOAD</div>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.question-type ul{list-style-type:none;position:relative;left:10rem;width:calc(100% - 20rem)}.question-type ul li{width:12rem;height:7rem;margin:.375rem}.question-type ul li button{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem;padding:1.5rem 0}.question-type ul li button .question-icon{background:#ee5daf;border-radius:.125rem;width:2rem;height:2rem;margin:0 auto}.question-type ul li button .question-icon.welcome-screen{background:#ee5daf}.question-type ul li button .question-icon.thank-you-screen{background:#ee3939}.question-type ul li button .question-icon.multiple-choice{background:#d1c131}.question-type ul li button .question-icon.checkboxes{background:#6f81fc}.question-type ul li button .question-icon.image-choice{background:#4681ef}.question-type ul li button .question-icon.star-rating{background:#e8c247}.question-type ul li button .question-icon.single-textbox{background:#2fd2cd}.question-type ul li button .question-icon.comment-box{background:#acbb7e}.question-type ul li button .question-icon.matrix-dropdown{background:#66bf72}.question-type ul li button .question-icon.dropdown-icon{background:#9d9fe1}.question-type ul li button .question-icon.matrix-rating{background:#67d2cd}.question-type ul li button .question-icon.ranking{background:#ee9f24}.question-type ul li button .question-icon.slider{background:#d1c131}.question-type ul li button .question-icon.multiple-textbox{background:#66bf72}.question-type ul li button .question-icon.date-time{background:#acbb7e}.question-type ul li button .question-icon.file-upload{background:#4681ef}.question-type ul li button:hover{box-shadow:0 .5rem 1rem #1e5dd326}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { addQuestion: [{
                type: Output
            }] } });

class ChoiceSettingsPanelComponent {
    set Score(score) {
        if (score === undefined) {
            this.score = this.defaultScore ? this.defaultScore : 1;
        }
        else {
            this.score = score;
        }
        this.changeScore(this.score);
        this.isFailedChange.emit(this.isFailed ? this.isFailed : false);
    }
    constructor() {
        this.isFailedChange = new EventEmitter();
        this.scoreChange = new EventEmitter();
    }
    ngOnInit() {
    }
    changeScore(evt) {
        this.scoreChange.emit(evt);
    }
    changeFailed(evt) {
        if (evt === false) {
            this.score = this.defaultScore ? this.defaultScore : 1;
            // if (this.color === '#c60022') {
            //   this.color = '#000000';
            // }
            this.scoreChange.emit(this.score);
        }
        else {
            this.score = this.negativeScore ? this.negativeScore : 0;
            // this.color = '#c60022';
            this.scoreChange.emit(this.score);
        }
        this.isFailedChange.emit(evt);
    }
    scoreManger(mode) {
        if (mode === '+') {
            this.score = this.score + 1;
        }
        else if (mode === '-') {
            if (this.score > 0) {
                this.score = this.score - 1;
            }
        }
        this.scoreChange.emit(this.score);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ChoiceSettingsPanelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ChoiceSettingsPanelComponent, selector: "app-choice-settings-panel", inputs: { defaultScore: "defaultScore", negativeScore: "negativeScore", isFailed: "isFailed", Score: ["score", "Score"], scoreVisible: "scoreVisible" }, outputs: { isFailedChange: "isFailedChange", scoreChange: "scoreChange" }, ngImport: i0, template: "<div  class=\"reponse-choice vx-d-flex vx-align-center vx-justify-end vx-mt-1\">\n    <div class=\"choice-item vx-d-flex vx-align-center vx-p-2\">\n        <span class=\"text vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-2\">ADD SCORE:</span>\n        <button (click)=\"scoreManger('-')\" class=\"minus-btn vx-fs-14 vx-fw-600 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center\">-</button>\n        <input type=\"number\"type=\"number\" [(ngModel)]='score' (ngModelChange)=\"changeScore($event)\" min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"/>\n        <button (click)=\"scoreManger('+')\" class=\"plus-btn vx-fs-14 vx-fw-600 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center\">+</button>\n    </div>\n    <div class=\"choice-item vx-d-flex vx-align-center vx-p-2 vx-ml-1\">\n        <span class=\"text vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-5\">SET AS A FAILED RESPONSE?</span>\n        <i class=\"icons info vx-fs-14 vx-txt-blue vx-ml-1 vx-mr-2\" appTooltip=\"If this response choice is 'Set as a failed response' VComply would automatically flag it as an exception when selected by the respondent. This can help identify areas for improvement and in the development of corrective action plans.\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xeb16;</i>\n        <app-cs-switch [(ngValue)]='isFailed' (ngValueChange)=\"changeFailed($event)\"></app-cs-switch>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.reponse-choice .choice-item{background:#f8f8f8;border-radius:.25rem;height:2rem}.reponse-choice .choice-item button.minus-btn,.reponse-choice .choice-item button.plus-btn{background:transparent;border:none;border-radius:0}.reponse-choice .choice-item input[type=number]{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#747576;font-size:11px;padding:0 .25rem;margin:0 .25rem;height:1.25rem;width:2.75rem;text-align:center;outline:none}.reponse-choice .choice-item i.info{cursor:pointer}\n"], dependencies: [{ kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsSwitchComponentUI, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ChoiceSettingsPanelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-choice-settings-panel', template: "<div  class=\"reponse-choice vx-d-flex vx-align-center vx-justify-end vx-mt-1\">\n    <div class=\"choice-item vx-d-flex vx-align-center vx-p-2\">\n        <span class=\"text vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-2\">ADD SCORE:</span>\n        <button (click)=\"scoreManger('-')\" class=\"minus-btn vx-fs-14 vx-fw-600 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center\">-</button>\n        <input type=\"number\"type=\"number\" [(ngModel)]='score' (ngModelChange)=\"changeScore($event)\" min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"/>\n        <button (click)=\"scoreManger('+')\" class=\"plus-btn vx-fs-14 vx-fw-600 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center\">+</button>\n    </div>\n    <div class=\"choice-item vx-d-flex vx-align-center vx-p-2 vx-ml-1\">\n        <span class=\"text vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-5\">SET AS A FAILED RESPONSE?</span>\n        <i class=\"icons info vx-fs-14 vx-txt-blue vx-ml-1 vx-mr-2\" appTooltip=\"If this response choice is 'Set as a failed response' VComply would automatically flag it as an exception when selected by the respondent. This can help identify areas for improvement and in the development of corrective action plans.\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xeb16;</i>\n        <app-cs-switch [(ngValue)]='isFailed' (ngValueChange)=\"changeFailed($event)\"></app-cs-switch>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.reponse-choice .choice-item{background:#f8f8f8;border-radius:.25rem;height:2rem}.reponse-choice .choice-item button.minus-btn,.reponse-choice .choice-item button.plus-btn{background:transparent;border:none;border-radius:0}.reponse-choice .choice-item input[type=number]{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#747576;font-size:11px;padding:0 .25rem;margin:0 .25rem;height:1.25rem;width:2.75rem;text-align:center;outline:none}.reponse-choice .choice-item i.info{cursor:pointer}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { defaultScore: [{
                type: Input
            }], negativeScore: [{
                type: Input
            }], isFailed: [{
                type: Input
            }], Score: [{
                type: Input,
                args: ['score']
            }], scoreVisible: [{
                type: Input
            }], isFailedChange: [{
                type: Output
            }], scoreChange: [{
                type: Output
            }] } });

class MultipleChoiceComponent {
    constructor(cdr) {
        this.cdr = cdr;
        this.addOption = new EventEmitter();
        this.deleteOption = new EventEmitter();
    }
    ngOnInit() {
    }
    modifyOption(mode, choiceIndex, type) {
        if (mode === 'ADD') {
            this.addOption.emit({ choiceIndex, type });
        }
        else if (mode === 'DELETE') {
            this.deleteOption.emit({ choiceIndex, type });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultipleChoiceComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: MultipleChoiceComponent, selector: "app-multiple-choice", inputs: { question: "question", service: "service" }, outputs: { addOption: "addOption", deleteOption: "deleteOption" }, ngImport: i0, template: "<div class=\"multiple-choice vx-d-flex vx-mb-4\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n    <div class=\"left\">\n        <input type=\"text\" placeholder=\"Option\" [attr.id]='\"radio-\"+choiceIndex' (keyup.enter)=\"modifyOption('ADD',choiceIndex,'radio-')\" [(ngModel)]=\"choice.title\" />\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"choice.color\">\n            <i class=\"icons vx-fs-16\" [style.color]='choice.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\" [scoreVisible]='service.formsPage.settings.assessmentMode' [(isFailed)]='choice.isFailed' [(score)]='choice.score'></app-choice-settings-panel>\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"  (click)=\"modifyOption('ADD',choiceIndex,'radio-')\">+</button>\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"  (click)=\"modifyOption('DELETE',choiceIndex,'radio-')\" [class.disabled]=\"question?.choices?.length === 1\">-</button>\n    </div>\n</div>\n<div class=\"multiple-choice vx-d-flex vx-mb-4\" *ngIf=\"question?.hasOther\">\n    <div class=\"left\">\n        <input type=\"text\" disabled placeholder=\"Option\" [attr.id]='\"radio-\"' [(ngModel)]=\"question.otherValue\">\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"question.otherConfig.color\">\n            <i class=\"icons vx-fs-16\"  [style.color]='question.otherConfig.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n      <app-choice-settings-panel [scoreVisible]='service.formsPage.settings.assessmentMode'\n       [(isFailed)]='question.otherConfig.isFailed'\n       [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\"\n       [(score)]='question.otherConfig.score'></app-choice-settings-panel>\n    </div>\n  \n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.multiple-choice .left{width:calc(100% - 4.75rem);position:relative}.multiple-choice .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem 2.75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.multiple-choice .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.multiple-choice .left .option-color{background:#f1f1f1;border-radius:.125rem;width:1.5rem;height:1.5rem;position:absolute;top:.5rem;left:.5rem}.multiple-choice .left .option-color input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.multiple-choice .left button.choice-icon{background:transparent;border:none;border-radius:0;position:absolute;top:.75rem;right:.5rem}.multiple-choice .right{width:4.5rem;height:2.5rem}.multiple-choice .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.multiple-choice .right button.disabled{pointer-events:none;opacity:.5}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: ChoiceSettingsPanelComponent, selector: "app-choice-settings-panel", inputs: ["defaultScore", "negativeScore", "isFailed", "score", "scoreVisible"], outputs: ["isFailedChange", "scoreChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultipleChoiceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-multiple-choice', template: "<div class=\"multiple-choice vx-d-flex vx-mb-4\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n    <div class=\"left\">\n        <input type=\"text\" placeholder=\"Option\" [attr.id]='\"radio-\"+choiceIndex' (keyup.enter)=\"modifyOption('ADD',choiceIndex,'radio-')\" [(ngModel)]=\"choice.title\" />\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"choice.color\">\n            <i class=\"icons vx-fs-16\" [style.color]='choice.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\" [scoreVisible]='service.formsPage.settings.assessmentMode' [(isFailed)]='choice.isFailed' [(score)]='choice.score'></app-choice-settings-panel>\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"  (click)=\"modifyOption('ADD',choiceIndex,'radio-')\">+</button>\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"  (click)=\"modifyOption('DELETE',choiceIndex,'radio-')\" [class.disabled]=\"question?.choices?.length === 1\">-</button>\n    </div>\n</div>\n<div class=\"multiple-choice vx-d-flex vx-mb-4\" *ngIf=\"question?.hasOther\">\n    <div class=\"left\">\n        <input type=\"text\" disabled placeholder=\"Option\" [attr.id]='\"radio-\"' [(ngModel)]=\"question.otherValue\">\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"question.otherConfig.color\">\n            <i class=\"icons vx-fs-16\"  [style.color]='question.otherConfig.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n      <app-choice-settings-panel [scoreVisible]='service.formsPage.settings.assessmentMode'\n       [(isFailed)]='question.otherConfig.isFailed'\n       [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\"\n       [(score)]='question.otherConfig.score'></app-choice-settings-panel>\n    </div>\n  \n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.multiple-choice .left{width:calc(100% - 4.75rem);position:relative}.multiple-choice .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem 2.75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.multiple-choice .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.multiple-choice .left .option-color{background:#f1f1f1;border-radius:.125rem;width:1.5rem;height:1.5rem;position:absolute;top:.5rem;left:.5rem}.multiple-choice .left .option-color input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.multiple-choice .left button.choice-icon{background:transparent;border:none;border-radius:0;position:absolute;top:.75rem;right:.5rem}.multiple-choice .right{width:4.5rem;height:2.5rem}.multiple-choice .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.multiple-choice .right button.disabled{pointer-events:none;opacity:.5}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { question: [{
                type: Input
            }], service: [{
                type: Input
            }], addOption: [{
                type: Output
            }], deleteOption: [{
                type: Output
            }] } });

class CheckboxComponent {
    constructor(cdr) {
        this.cdr = cdr;
        this.addOption = new EventEmitter();
        this.deleteOption = new EventEmitter();
    }
    ngOnInit() {
    }
    modifyOption(mode, choiceIndex, type) {
        if (mode === 'ADD') {
            this.addOption.emit({ choiceIndex, type });
        }
        else if (mode === 'DELETE') {
            this.deleteOption.emit({ choiceIndex, type });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckboxComponent, selector: "app-checkbox", inputs: { question: "question", service: "service" }, outputs: { addOption: "addOption", deleteOption: "deleteOption" }, ngImport: i0, template: "<div class=\"checkbox vx-d-flex vx-mb-4\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n    <div class=\"left\">\n        <input type=\"text\" placeholder=\"Option\" [attr.id]='\"checkbox-\"+choiceIndex' (keyup.enter)=\"modifyOption('ADD',choiceIndex,'checkbox-')\" [(ngModel)]=\"choice.title\"/>\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\">\n            <i class=\"icons vx-fs-16\" style=\"color: green;\">&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\" [scoreVisible]='service.formsPage.settings.assessmentMode' [(isFailed)]='choice.isFailed' [(score)]='choice.score'></app-choice-settings-panel>\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button (click)=\"modifyOption('ADD',choiceIndex,'checkbox-')\" class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" (click)=\"modifyOption('DELETE',choiceIndex,'radio-')\" [class.disabled]=\"question?.choices?.length === 1\">-</button>\n    </div>\n</div>\n<div class=\"checkbox vx-d-flex vx-mb-4\" *ngIf=\"question?.hasOther\">\n    <div class=\"left\">\n        <input type=\"text\" disabled placeholder=\"Option\" [(ngModel)]=\"question.otherValue\"/>\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"question.otherConfig.color\">\n            <i class=\"icons vx-fs-16\" [style.color]='question.otherConfig.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [scoreVisible]='service.formsPage.settings.assessmentMode'\n        [(isFailed)]='question.otherConfig.isFailed'\n        [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\"\n        [(score)]='question.otherConfig.score'></app-choice-settings-panel>\n    </div>\n    \n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.checkbox .left{width:calc(100% - 4.75rem);position:relative}.checkbox .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem 2.75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.checkbox .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.checkbox .left .option-color{background:#f1f1f1;border-radius:.125rem;width:1.5rem;height:1.5rem;position:absolute;top:.5rem;left:.5rem}.checkbox .left .option-color input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.checkbox .left button.choice-icon{background:transparent;border:none;border-radius:0;position:absolute;top:.75rem;right:.5rem}.checkbox .left .reponse-choice .choice-item{background:#f8f8f8;border-radius:.25rem;height:2rem}.checkbox .left .reponse-choice .choice-item button.minus-btn,.checkbox .left .reponse-choice .choice-item button.plus-btn{background:transparent;border:none;border-radius:0}.checkbox .left .reponse-choice .choice-item input[type=number]{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#747576;font-size:11px;padding:0 .25rem;margin:0 .25rem;height:1.25rem;width:2.75rem;text-align:center;outline:none}.checkbox .left .reponse-choice .choice-item i.info{cursor:pointer}.checkbox .right{width:4.5rem;height:2.5rem}.checkbox .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.checkbox .right button.disabled{pointer-events:none;opacity:.5}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: ChoiceSettingsPanelComponent, selector: "app-choice-settings-panel", inputs: ["defaultScore", "negativeScore", "isFailed", "score", "scoreVisible"], outputs: ["isFailedChange", "scoreChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkbox', template: "<div class=\"checkbox vx-d-flex vx-mb-4\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n    <div class=\"left\">\n        <input type=\"text\" placeholder=\"Option\" [attr.id]='\"checkbox-\"+choiceIndex' (keyup.enter)=\"modifyOption('ADD',choiceIndex,'checkbox-')\" [(ngModel)]=\"choice.title\"/>\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\">\n            <i class=\"icons vx-fs-16\" style=\"color: green;\">&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\" [scoreVisible]='service.formsPage.settings.assessmentMode' [(isFailed)]='choice.isFailed' [(score)]='choice.score'></app-choice-settings-panel>\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button (click)=\"modifyOption('ADD',choiceIndex,'checkbox-')\" class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" (click)=\"modifyOption('DELETE',choiceIndex,'radio-')\" [class.disabled]=\"question?.choices?.length === 1\">-</button>\n    </div>\n</div>\n<div class=\"checkbox vx-d-flex vx-mb-4\" *ngIf=\"question?.hasOther\">\n    <div class=\"left\">\n        <input type=\"text\" disabled placeholder=\"Option\" [(ngModel)]=\"question.otherValue\"/>\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"question.otherConfig.color\">\n            <i class=\"icons vx-fs-16\" [style.color]='question.otherConfig.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [scoreVisible]='service.formsPage.settings.assessmentMode'\n        [(isFailed)]='question.otherConfig.isFailed'\n        [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\"\n        [(score)]='question.otherConfig.score'></app-choice-settings-panel>\n    </div>\n    \n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.checkbox .left{width:calc(100% - 4.75rem);position:relative}.checkbox .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem 2.75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.checkbox .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.checkbox .left .option-color{background:#f1f1f1;border-radius:.125rem;width:1.5rem;height:1.5rem;position:absolute;top:.5rem;left:.5rem}.checkbox .left .option-color input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.checkbox .left button.choice-icon{background:transparent;border:none;border-radius:0;position:absolute;top:.75rem;right:.5rem}.checkbox .left .reponse-choice .choice-item{background:#f8f8f8;border-radius:.25rem;height:2rem}.checkbox .left .reponse-choice .choice-item button.minus-btn,.checkbox .left .reponse-choice .choice-item button.plus-btn{background:transparent;border:none;border-radius:0}.checkbox .left .reponse-choice .choice-item input[type=number]{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#747576;font-size:11px;padding:0 .25rem;margin:0 .25rem;height:1.25rem;width:2.75rem;text-align:center;outline:none}.checkbox .left .reponse-choice .choice-item i.info{cursor:pointer}.checkbox .right{width:4.5rem;height:2.5rem}.checkbox .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.checkbox .right button.disabled{pointer-events:none;opacity:.5}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { question: [{
                type: Input
            }], service: [{
                type: Input
            }], addOption: [{
                type: Output
            }], deleteOption: [{
                type: Output
            }] } });

class ImageChoiceComponent {
    constructor() {
        this.ASSETS = ASSETS;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ImageChoiceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ImageChoiceComponent, selector: "app-image-choice", ngImport: i0, template: "<div class=\"image-choice vx-d-flex vx-mb-4\">\n  <div class=\"left\">\n    <input type=\"text\" placeholder=\"Option\" />\n    <div class=\"image-choice\">\n      <div\n        *ngIf=\"false\"\n        class=\"no-image vx-d-flex vx-align-center vx-justify-center\"\n      >\n        <i class=\"icons vx-fs-14\">&#xeb26;</i>\n      </div>\n      <img [src]=\"ASSETS.image_choice\" />\n      <div class=\"browse-btn vx-d-flex vx-align-center vx-justify-center\">\n        <input type=\"file\" />\n        <span class=\"vx-fs-10 vx-fw-600 vx-txt-blue vx-tt-uppercase\"\n          >BROWSE</span\n        >\n      </div>\n      <div\n        *ngIf=\"false\"\n        class=\"loader vx-d-flex vx-align-center vx-justify-center\"\n      >\n        <i class=\"icons loader-icon vx-fs-16 vx-label-txt\">&#xe929;</i>\n      </div>\n    </div>\n  </div>\n  <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n    <button\n      class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n    >\n      +\n    </button>\n    <button\n      class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n      [class.disabled]=\"false\"\n    >\n      -\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.image-choice .left{width:calc(100% - 4.75rem);position:relative}.image-choice .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem .5rem 7.375rem;width:100%;height:4.5rem;outline:none;transition:all .3s ease-in-out}.image-choice .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.image-choice .left .image-choice{background:#fff;border-radius:.25rem;border:1px solid #F1F1F1;width:98px;height:3.5rem;padding:1px;position:absolute;top:.5rem;left:.5rem}.image-choice .left .image-choice .no-image{background:#f8f8f8;border-radius:.25rem .25rem 0 0;color:#dbdbdb;height:2.25rem}.image-choice .left .image-choice img{width:100%;height:100%;border-radius:.25rem}.image-choice .left .image-choice .browse-btn{background:#fff;border-radius:0 0 .25rem .25rem;padding-top:.125rem;position:absolute;bottom:0;left:0;width:100%;height:1.125rem}.image-choice .left .image-choice .browse-btn input[type=file]{position:absolute;inset:0;margin:0;width:100%;height:100%;opacity:0;cursor:pointer;text-indent:-9999px}.image-choice .left .image-choice .loader{background:#fff;border-radius:.125rem;width:100%;height:100%;position:absolute;top:0;left:0}.image-choice .left .image-choice .loader i.loader-icon{animation:rotation 1.5s infinite linear}.image-choice .right{width:4.5rem;height:4.5rem}.image-choice .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.image-choice .right button.disabled{pointer-events:none;opacity:.5}@keyframes rotation{0%{-webkit-transform:rotate(0deg)}to{-webkit-transform:rotate(359deg)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ImageChoiceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-image-choice', template: "<div class=\"image-choice vx-d-flex vx-mb-4\">\n  <div class=\"left\">\n    <input type=\"text\" placeholder=\"Option\" />\n    <div class=\"image-choice\">\n      <div\n        *ngIf=\"false\"\n        class=\"no-image vx-d-flex vx-align-center vx-justify-center\"\n      >\n        <i class=\"icons vx-fs-14\">&#xeb26;</i>\n      </div>\n      <img [src]=\"ASSETS.image_choice\" />\n      <div class=\"browse-btn vx-d-flex vx-align-center vx-justify-center\">\n        <input type=\"file\" />\n        <span class=\"vx-fs-10 vx-fw-600 vx-txt-blue vx-tt-uppercase\"\n          >BROWSE</span\n        >\n      </div>\n      <div\n        *ngIf=\"false\"\n        class=\"loader vx-d-flex vx-align-center vx-justify-center\"\n      >\n        <i class=\"icons loader-icon vx-fs-16 vx-label-txt\">&#xe929;</i>\n      </div>\n    </div>\n  </div>\n  <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n    <button\n      class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n    >\n      +\n    </button>\n    <button\n      class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n      [class.disabled]=\"false\"\n    >\n      -\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.image-choice .left{width:calc(100% - 4.75rem);position:relative}.image-choice .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem .5rem 7.375rem;width:100%;height:4.5rem;outline:none;transition:all .3s ease-in-out}.image-choice .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.image-choice .left .image-choice{background:#fff;border-radius:.25rem;border:1px solid #F1F1F1;width:98px;height:3.5rem;padding:1px;position:absolute;top:.5rem;left:.5rem}.image-choice .left .image-choice .no-image{background:#f8f8f8;border-radius:.25rem .25rem 0 0;color:#dbdbdb;height:2.25rem}.image-choice .left .image-choice img{width:100%;height:100%;border-radius:.25rem}.image-choice .left .image-choice .browse-btn{background:#fff;border-radius:0 0 .25rem .25rem;padding-top:.125rem;position:absolute;bottom:0;left:0;width:100%;height:1.125rem}.image-choice .left .image-choice .browse-btn input[type=file]{position:absolute;inset:0;margin:0;width:100%;height:100%;opacity:0;cursor:pointer;text-indent:-9999px}.image-choice .left .image-choice .loader{background:#fff;border-radius:.125rem;width:100%;height:100%;position:absolute;top:0;left:0}.image-choice .left .image-choice .loader i.loader-icon{animation:rotation 1.5s infinite linear}.image-choice .right{width:4.5rem;height:4.5rem}.image-choice .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.image-choice .right button.disabled{pointer-events:none;opacity:.5}@keyframes rotation{0%{-webkit-transform:rotate(0deg)}to{-webkit-transform:rotate(359deg)}}\n"] }]
        }], ctorParameters: function () { return []; } });

class StarRatingComponent {
    constructor() {
        this.specificValue = true;
        this.scaleRange = false;
    }
    ngOnInit() {
    }
    clickSpecificValue() {
        this.specificValue = true;
        this.scaleRange = false;
    }
    clickScaleRange() {
        this.scaleRange = true;
        this.specificValue = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StarRatingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: StarRatingComponent, selector: "app-star-rating", ngImport: i0, template: "<div class=\"star-rating vx-d-flex vx-align-center\">\n    <div class=\"star-rating-item vx-mr-3\">\n        <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SHAPE</div>\n        <div class=\"rating-select-box vx-d-flex vx-align-center vx-justify-between vx-p-2\" appPopover (click)=\"shape.popover()\" position=\"right\">\n            <span class=\"value vx-fs-12 vx-paragraph-txt\">Number</span>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </div>\n        <app-popover #shape>\n            <div class=\"rating-popup\">\n                <ul class=\"vx-p-0 vx-m-0\">\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Number</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Smiley</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Thumb</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Star</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Heart</span>\n                    </li>\n                </ul>\n            </div>\n        </app-popover>\n    </div>\n    <div class=\"star-rating-item vx-mr-3\">\n        <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SCALE</div>\n        <div class=\"rating-select-box vx-d-flex vx-align-center vx-justify-between vx-p-2\" appPopover (click)=\"scale.popover()\" position=\"right\">\n            <span class=\"value vx-fs-12 vx-paragraph-txt\">2</span>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </div>\n        <app-popover #scale>\n            <div class=\"rating-popup\">\n                <ul class=\"vx-p-0 vx-m-0\">\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">2</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">3</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">4</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">5</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">6</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">7</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">8</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">9</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">10</span>\n                    </li>\n                </ul>\n            </div>\n        </app-popover>\n    </div>\n    <div class=\"star-rating-item vx-mr-3\">\n        <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">COLOR</div>\n        <div class=\"rating-select-box vx-d-flex vx-align-center vx-justify-between vx-p-2\">\n            <div class=\"vx-d-flex vx-align-center\">\n                <span class=\"color-box vx-mr-1\" style=\"background: #1e5dd3;\"></span>\n                <span class=\"value vx-fs-12 vx-paragraph-txt\">#1e5dd3</span>\n            </div>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            <input type=\"color\">\n        </div>\n    </div>\n</div>\n\n<div class=\"star-rating-label vx-mt-5 vx-pt-3\">\n    <div class=\"heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Add rating label</div>\n    <div class=\"label-menu vx-mt-3 vx-mb-5\">\n        <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n            <li class=\"vx-mr-5\" [class.active]=\"specificValue\"><button (click)=\"clickSpecificValue()\" class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-m-0 vx-p-0 vx-d-flex vx-align-center\">SPECIFIC VALUE</button></li>\n            <li class=\"vx-mr-5\" [class.active]=\"scaleRange\"><button (click)=\"clickScaleRange()\" class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-m-0 vx-p-0 vx-d-flex vx-align-center\">SCALE RANGE</button></li>\n        </ul>\n    </div>\n    <div *ngIf=\"specificValue\" class=\"value-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-mb-2\">\n                <div class=\"label\">\n                    <input type=\"text\" placeholder=\"Please enter a response\" />\n                    <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-text-center vx-pr-2\">1</div>\n                </div>\n            </li>\n        </ul>\n    </div>\n    <div *ngIf=\"scaleRange\" class=\"range-list vx-d-flex vx-align-center\">\n        <input type=\"text\" value=\"Not at all likely\" />\n        <span class=\"vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-3 vx-mr-3\">TO</span>\n        <input type=\"text\" value=\"Extreme likely\" />\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.star-rating-item{width:30%}.star-rating-item .rating-select-box{border:1px solid #DBDBDB;border-radius:.25rem;cursor:pointer;position:relative}.star-rating-item .rating-select-box .color-box{border-radius:.125rem;width:1.125rem;height:1.125rem}.star-rating-item .rating-select-box input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.star-rating-label .label-menu ul{border-bottom:1px solid #F1F1F1;list-style-type:none}.star-rating-label .label-menu ul li button{background:transparent;border:none;border-bottom:2px solid transparent;border-radius:0;height:1.5rem}.star-rating-label .label-menu ul li.active button{border-color:#1e5dd3;color:#1e5dd3}.star-rating-label .value-list ul{list-style-type:none}.star-rating-label .value-list ul li .label{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;transition:all .3s ease-in-out;position:relative}.star-rating-label .value-list ul li .label:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.star-rating-label .value-list ul li .label input[type=text]{background:#fff;border:none;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem .5rem 3.5rem;width:100%;height:2.375rem;outline:none}.star-rating-label .value-list ul li .label input[type=text]:focus{border-color:unset;box-shadow:unset}.star-rating-label .value-list ul li .label .heading{position:absolute;top:.625rem;left:.75rem;width:30px}.star-rating-label .value-list ul li .label .heading:before{background:#dbdbdb;content:\"\";position:absolute;top:0;right:0;width:1px;height:1rem}.star-rating-label .range-list input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.375rem;transition:all .3s ease-in-out;outline:none}.star-rating-label .range-list input:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.rating-popup{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1c5bd140;width:11.875rem}.rating-popup ul{list-style-type:none;max-height:10.75rem;overflow-y:auto}.rating-popup ul li{border-bottom:1px solid #F1F1F1;position:relative}.rating-popup ul li:last-of-type{border-bottom:none}.rating-popup ul li:hover{background:#f1f1f1}.rating-popup ul li input[type=radio]{inset:0;margin:0;width:100%;height:100%;position:absolute;opacity:0;text-indent:-9999px;cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StarRatingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-star-rating', template: "<div class=\"star-rating vx-d-flex vx-align-center\">\n    <div class=\"star-rating-item vx-mr-3\">\n        <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SHAPE</div>\n        <div class=\"rating-select-box vx-d-flex vx-align-center vx-justify-between vx-p-2\" appPopover (click)=\"shape.popover()\" position=\"right\">\n            <span class=\"value vx-fs-12 vx-paragraph-txt\">Number</span>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </div>\n        <app-popover #shape>\n            <div class=\"rating-popup\">\n                <ul class=\"vx-p-0 vx-m-0\">\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Number</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Smiley</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Thumb</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Star</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">Heart</span>\n                    </li>\n                </ul>\n            </div>\n        </app-popover>\n    </div>\n    <div class=\"star-rating-item vx-mr-3\">\n        <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SCALE</div>\n        <div class=\"rating-select-box vx-d-flex vx-align-center vx-justify-between vx-p-2\" appPopover (click)=\"scale.popover()\" position=\"right\">\n            <span class=\"value vx-fs-12 vx-paragraph-txt\">2</span>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </div>\n        <app-popover #scale>\n            <div class=\"rating-popup\">\n                <ul class=\"vx-p-0 vx-m-0\">\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">2</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">3</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">4</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">5</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">6</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">7</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">8</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">9</span>\n                    </li>\n                    <li class=\"vx-p-2 vx-pt-1 vx-pb-1\">\n                        <input type=\"radio\"/>\n                        <span class=\"vx-fs-12 vx-paragraph-txt\">10</span>\n                    </li>\n                </ul>\n            </div>\n        </app-popover>\n    </div>\n    <div class=\"star-rating-item vx-mr-3\">\n        <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">COLOR</div>\n        <div class=\"rating-select-box vx-d-flex vx-align-center vx-justify-between vx-p-2\">\n            <div class=\"vx-d-flex vx-align-center\">\n                <span class=\"color-box vx-mr-1\" style=\"background: #1e5dd3;\"></span>\n                <span class=\"value vx-fs-12 vx-paragraph-txt\">#1e5dd3</span>\n            </div>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            <input type=\"color\">\n        </div>\n    </div>\n</div>\n\n<div class=\"star-rating-label vx-mt-5 vx-pt-3\">\n    <div class=\"heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Add rating label</div>\n    <div class=\"label-menu vx-mt-3 vx-mb-5\">\n        <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n            <li class=\"vx-mr-5\" [class.active]=\"specificValue\"><button (click)=\"clickSpecificValue()\" class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-m-0 vx-p-0 vx-d-flex vx-align-center\">SPECIFIC VALUE</button></li>\n            <li class=\"vx-mr-5\" [class.active]=\"scaleRange\"><button (click)=\"clickScaleRange()\" class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-m-0 vx-p-0 vx-d-flex vx-align-center\">SCALE RANGE</button></li>\n        </ul>\n    </div>\n    <div *ngIf=\"specificValue\" class=\"value-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-mb-2\">\n                <div class=\"label\">\n                    <input type=\"text\" placeholder=\"Please enter a response\" />\n                    <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-text-center vx-pr-2\">1</div>\n                </div>\n            </li>\n        </ul>\n    </div>\n    <div *ngIf=\"scaleRange\" class=\"range-list vx-d-flex vx-align-center\">\n        <input type=\"text\" value=\"Not at all likely\" />\n        <span class=\"vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-3 vx-mr-3\">TO</span>\n        <input type=\"text\" value=\"Extreme likely\" />\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.star-rating-item{width:30%}.star-rating-item .rating-select-box{border:1px solid #DBDBDB;border-radius:.25rem;cursor:pointer;position:relative}.star-rating-item .rating-select-box .color-box{border-radius:.125rem;width:1.125rem;height:1.125rem}.star-rating-item .rating-select-box input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.star-rating-label .label-menu ul{border-bottom:1px solid #F1F1F1;list-style-type:none}.star-rating-label .label-menu ul li button{background:transparent;border:none;border-bottom:2px solid transparent;border-radius:0;height:1.5rem}.star-rating-label .label-menu ul li.active button{border-color:#1e5dd3;color:#1e5dd3}.star-rating-label .value-list ul{list-style-type:none}.star-rating-label .value-list ul li .label{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;transition:all .3s ease-in-out;position:relative}.star-rating-label .value-list ul li .label:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.star-rating-label .value-list ul li .label input[type=text]{background:#fff;border:none;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem .5rem 3.5rem;width:100%;height:2.375rem;outline:none}.star-rating-label .value-list ul li .label input[type=text]:focus{border-color:unset;box-shadow:unset}.star-rating-label .value-list ul li .label .heading{position:absolute;top:.625rem;left:.75rem;width:30px}.star-rating-label .value-list ul li .label .heading:before{background:#dbdbdb;content:\"\";position:absolute;top:0;right:0;width:1px;height:1rem}.star-rating-label .range-list input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.375rem;transition:all .3s ease-in-out;outline:none}.star-rating-label .range-list input:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.rating-popup{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1c5bd140;width:11.875rem}.rating-popup ul{list-style-type:none;max-height:10.75rem;overflow-y:auto}.rating-popup ul li{border-bottom:1px solid #F1F1F1;position:relative}.rating-popup ul li:last-of-type{border-bottom:none}.rating-popup ul li:hover{background:#f1f1f1}.rating-popup ul li input[type=radio]{inset:0;margin:0;width:100%;height:100%;position:absolute;opacity:0;text-indent:-9999px;cursor:pointer}\n"] }]
        }], ctorParameters: function () { return []; } });

class MatrixDropdownComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MatrixDropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: MatrixDropdownComponent, selector: "app-matrix-dropdown", ngImport: i0, template: "<div class=\"matrix-dropdown vx-mb-4\">\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Rows</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex\">\n                <div class=\"left\">\n                    <input type=\"text\" placeholder=\"Option\" />\n                </div>\n                <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                </div>\n            </li>\n        </ul>\n    </div>\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Columns</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li>\n                <div class=\"vx-d-flex\">\n                    <div class=\"left\">\n                        <input type=\"text\" placeholder=\"Column\" />\n                    </div>\n                    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                    </div>\n                </div>\n                <div class=\"child-option-list\">\n                    <ul>\n                        <li class=\"vx-d-flex vx-mt-2\">\n                            <div class=\"left\">\n                                <input type=\"text\" placeholder=\"Option\" />\n                            </div>\n                            <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                                <button class=\"close vx-fs-16 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\"><i class=\"icons\">&#xe9ae;</i></button>\n                            </div>\n                        </li>\n                        <button class=\"add vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pl-3 vx-m-0 vx-mt-2 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-12 vx-txt-blue vx-mr-2\">&#xe915;</i> ADD OPTION</button>\n                    </ul>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.matrix-dropdown .option-list{margin-bottom:2rem}.matrix-dropdown .option-list ul{list-style-type:none}.matrix-dropdown .option-list ul li .child-option-list ul{padding:0 4.875rem 0 1.5rem}.matrix-dropdown .option-list ul li .child-option-list ul li{position:relative}.matrix-dropdown .option-list ul li .child-option-list ul li:before{position:absolute;content:\"\";left:-1rem;height:.5rem;width:.5rem;background:#161b2f;border-radius:50%;top:calc(50% - .25rem)}.matrix-dropdown .option-list ul li .child-option-list ul button.add{background:#fff;border:1px dashed #DBDBDB;border-radius:.25rem;height:2.5rem;width:28.75rem;transition:all .3s ease-in-out}.matrix-dropdown .option-list ul li .child-option-list ul button.add:hover{border-color:#1e5dd3;color:#1e5dd3}.matrix-dropdown .left{width:calc(100% - 4.75rem);position:relative}.matrix-dropdown .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.matrix-dropdown .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.matrix-dropdown .right{width:4.5rem;height:2.5rem}.matrix-dropdown .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.matrix-dropdown .right button.disabled{pointer-events:none;opacity:.5}.matrix-dropdown .right button.close{background:transparent}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MatrixDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-matrix-dropdown', template: "<div class=\"matrix-dropdown vx-mb-4\">\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Rows</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex\">\n                <div class=\"left\">\n                    <input type=\"text\" placeholder=\"Option\" />\n                </div>\n                <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                </div>\n            </li>\n        </ul>\n    </div>\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Columns</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li>\n                <div class=\"vx-d-flex\">\n                    <div class=\"left\">\n                        <input type=\"text\" placeholder=\"Column\" />\n                    </div>\n                    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                    </div>\n                </div>\n                <div class=\"child-option-list\">\n                    <ul>\n                        <li class=\"vx-d-flex vx-mt-2\">\n                            <div class=\"left\">\n                                <input type=\"text\" placeholder=\"Option\" />\n                            </div>\n                            <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                                <button class=\"close vx-fs-16 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\"><i class=\"icons\">&#xe9ae;</i></button>\n                            </div>\n                        </li>\n                        <button class=\"add vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pl-3 vx-m-0 vx-mt-2 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-12 vx-txt-blue vx-mr-2\">&#xe915;</i> ADD OPTION</button>\n                    </ul>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.matrix-dropdown .option-list{margin-bottom:2rem}.matrix-dropdown .option-list ul{list-style-type:none}.matrix-dropdown .option-list ul li .child-option-list ul{padding:0 4.875rem 0 1.5rem}.matrix-dropdown .option-list ul li .child-option-list ul li{position:relative}.matrix-dropdown .option-list ul li .child-option-list ul li:before{position:absolute;content:\"\";left:-1rem;height:.5rem;width:.5rem;background:#161b2f;border-radius:50%;top:calc(50% - .25rem)}.matrix-dropdown .option-list ul li .child-option-list ul button.add{background:#fff;border:1px dashed #DBDBDB;border-radius:.25rem;height:2.5rem;width:28.75rem;transition:all .3s ease-in-out}.matrix-dropdown .option-list ul li .child-option-list ul button.add:hover{border-color:#1e5dd3;color:#1e5dd3}.matrix-dropdown .left{width:calc(100% - 4.75rem);position:relative}.matrix-dropdown .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.matrix-dropdown .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.matrix-dropdown .right{width:4.5rem;height:2.5rem}.matrix-dropdown .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.matrix-dropdown .right button.disabled{pointer-events:none;opacity:.5}.matrix-dropdown .right button.close{background:transparent}\n"] }]
        }], ctorParameters: function () { return []; } });

class DropdownComponent {
    constructor(cdr) {
        this.cdr = cdr;
        this.addOption = new EventEmitter();
        this.deleteOption = new EventEmitter();
    }
    ngOnInit() {
    }
    modifyOption(mode, choiceIndex, type) {
        if (mode === 'ADD') {
            this.addOption.emit({ choiceIndex, type });
        }
        else if (mode === 'DELETE') {
            this.deleteOption.emit({ choiceIndex, type });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DropdownComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DropdownComponent, selector: "app-build-dropdown", inputs: { question: "question", service: "service" }, outputs: { addOption: "addOption", deleteOption: "deleteOption" }, ngImport: i0, template: "<div class=\"dropdowna vx-d-flex vx-mb-4\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n    <div class=\"left\">\n        <input type=\"text\" placeholder=\"Option\" [attr.id]='\"radio-\"+choiceIndex' (keyup.enter)=\"modifyOption('ADD',choiceIndex,'dropdown-')\" [(ngModel)]=\"choice.title\"  />\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"choice.color\">\n            <i class=\"icons vx-fs-16\" [style.color]='choice.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\" [scoreVisible]='service.formsPage.settings.assessmentMode' [(isFailed)]='choice.isFailed' [(score)]='choice.score'></app-choice-settings-panel>\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button (click)=\"modifyOption('ADD',choiceIndex,'dropdown-')\" class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n        <button (click)=\"modifyOption('DELETE',choiceIndex,'dropdown-')\" class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"question?.choices?.length === 1\">-</button>\n    </div>\n</div>\n<div class=\"dropdowna vx-d-flex vx-mb-4\" *ngIf=\"question?.hasOther\">\n    <div class=\"left\">\n        <input type=\"text\" disabled placeholder=\"Option\" [attr.id]='\"dropdown-\"' [(ngModel)]=\"question.otherValue\"/>\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\"[(ngModel)]=\"question.otherConfig.color\">\n            <i class=\"icons vx-fs-16\"  [style.color]='question.otherConfig.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [scoreVisible]='service.formsPage.settings.assessmentMode'\n        [(isFailed)]='question.otherConfig.isFailed'\n        [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\"\n        [(score)]='question.otherConfig.score'></app-choice-settings-panel>\n    </div>\n \n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.dropdowna .left{width:calc(100% - 4.75rem);position:relative}.dropdowna .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem 2.75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.dropdowna .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.dropdowna .left .option-color{background:#f1f1f1;border-radius:.125rem;width:1.5rem;height:1.5rem;position:absolute;top:.5rem;left:.5rem}.dropdowna .left .option-color input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.dropdowna .left button.choice-icon{background:transparent;border:none;border-radius:0;position:absolute;top:.75rem;right:.5rem}.dropdowna .left .reponse-choice .choice-item{background:#f8f8f8;border-radius:.25rem;height:2rem}.dropdowna .left .reponse-choice .choice-item button.minus-btn,.dropdowna .left .reponse-choice .choice-item button.plus-btn{background:transparent;border:none;border-radius:0}.dropdowna .left .reponse-choice .choice-item input[type=number]{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#747576;font-size:11px;padding:0 .25rem;margin:0 .25rem;height:1.25rem;width:2.75rem;text-align:center;outline:none}.dropdowna .left .reponse-choice .choice-item i.info{cursor:pointer}.dropdowna .right{width:4.5rem;height:2.5rem}.dropdowna .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.dropdowna .right button.disabled{pointer-events:none;opacity:.5}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: ChoiceSettingsPanelComponent, selector: "app-choice-settings-panel", inputs: ["defaultScore", "negativeScore", "isFailed", "score", "scoreVisible"], outputs: ["isFailedChange", "scoreChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-build-dropdown', template: "<div class=\"dropdowna vx-d-flex vx-mb-4\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n    <div class=\"left\">\n        <input type=\"text\" placeholder=\"Option\" [attr.id]='\"radio-\"+choiceIndex' (keyup.enter)=\"modifyOption('ADD',choiceIndex,'dropdown-')\" [(ngModel)]=\"choice.title\"  />\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\" [(ngModel)]=\"choice.color\">\n            <i class=\"icons vx-fs-16\" [style.color]='choice.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\" [scoreVisible]='service.formsPage.settings.assessmentMode' [(isFailed)]='choice.isFailed' [(score)]='choice.score'></app-choice-settings-panel>\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button (click)=\"modifyOption('ADD',choiceIndex,'dropdown-')\" class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n        <button (click)=\"modifyOption('DELETE',choiceIndex,'dropdown-')\" class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"question?.choices?.length === 1\">-</button>\n    </div>\n</div>\n<div class=\"dropdowna vx-d-flex vx-mb-4\" *ngIf=\"question?.hasOther\">\n    <div class=\"left\">\n        <input type=\"text\" disabled placeholder=\"Option\" [attr.id]='\"dropdown-\"' [(ngModel)]=\"question.otherValue\"/>\n        <div class=\"option-color vx-d-flex vx-align-center vx-justify-center\">\n            <input type=\"color\"[(ngModel)]=\"question.otherConfig.color\">\n            <i class=\"icons vx-fs-16\"  [style.color]='question.otherConfig.color'>&#xeb01;</i>\n        </div>\n        <!-- <button  class=\"choice-icon vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button> -->\n        <app-choice-settings-panel [scoreVisible]='service.formsPage.settings.assessmentMode'\n        [(isFailed)]='question.otherConfig.isFailed'\n        [defaultScore]=\"service.score.defaultScore\" [negativeScore]=\"service.score.negativeScore\"\n        [(score)]='question.otherConfig.score'></app-choice-settings-panel>\n    </div>\n \n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.dropdowna .left{width:calc(100% - 4.75rem);position:relative}.dropdowna .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem 2.75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.dropdowna .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.dropdowna .left .option-color{background:#f1f1f1;border-radius:.125rem;width:1.5rem;height:1.5rem;position:absolute;top:.5rem;left:.5rem}.dropdowna .left .option-color input[type=color]{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}.dropdowna .left button.choice-icon{background:transparent;border:none;border-radius:0;position:absolute;top:.75rem;right:.5rem}.dropdowna .left .reponse-choice .choice-item{background:#f8f8f8;border-radius:.25rem;height:2rem}.dropdowna .left .reponse-choice .choice-item button.minus-btn,.dropdowna .left .reponse-choice .choice-item button.plus-btn{background:transparent;border:none;border-radius:0}.dropdowna .left .reponse-choice .choice-item input[type=number]{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#747576;font-size:11px;padding:0 .25rem;margin:0 .25rem;height:1.25rem;width:2.75rem;text-align:center;outline:none}.dropdowna .left .reponse-choice .choice-item i.info{cursor:pointer}.dropdowna .right{width:4.5rem;height:2.5rem}.dropdowna .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.dropdowna .right button.disabled{pointer-events:none;opacity:.5}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { question: [{
                type: Input
            }], service: [{
                type: Input
            }], addOption: [{
                type: Output
            }], deleteOption: [{
                type: Output
            }] } });

class MatrixRatingScaleComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MatrixRatingScaleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: MatrixRatingScaleComponent, selector: "app-matrix-rating-scale", ngImport: i0, template: "<div class=\"matrix-rating-scale vx-mb-4\">\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Rows</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex\">\n                <div class=\"left\">\n                    <input type=\"text\" placeholder=\"Option\" />\n                </div>\n                <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                </div>\n            </li>\n        </ul>\n    </div>\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Columns</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li>\n                <div class=\"vx-d-flex\">\n                    <div class=\"left\">\n                        <input type=\"text\" placeholder=\"Option\" />\n                    </div>\n                    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                    </div>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.matrix-rating-scale .option-list{margin-bottom:2rem}.matrix-rating-scale .option-list ul{list-style-type:none}.matrix-rating-scale .left{width:calc(100% - 4.75rem);position:relative}.matrix-rating-scale .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.matrix-rating-scale .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.matrix-rating-scale .right{width:4.5rem;height:2.5rem}.matrix-rating-scale .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.matrix-rating-scale .right button.disabled{pointer-events:none;opacity:.5}.matrix-rating-scale .right button.close{background:transparent}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MatrixRatingScaleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-matrix-rating-scale', template: "<div class=\"matrix-rating-scale vx-mb-4\">\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Rows</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex\">\n                <div class=\"left\">\n                    <input type=\"text\" placeholder=\"Option\" />\n                </div>\n                <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                </div>\n            </li>\n        </ul>\n    </div>\n    <div class=\"label-heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-1\">Columns</div>\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li>\n                <div class=\"vx-d-flex\">\n                    <div class=\"left\">\n                        <input type=\"text\" placeholder=\"Option\" />\n                    </div>\n                    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                    </div>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.matrix-rating-scale .option-list{margin-bottom:2rem}.matrix-rating-scale .option-list ul{list-style-type:none}.matrix-rating-scale .left{width:calc(100% - 4.75rem);position:relative}.matrix-rating-scale .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.matrix-rating-scale .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.matrix-rating-scale .right{width:4.5rem;height:2.5rem}.matrix-rating-scale .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.matrix-rating-scale .right button.disabled{pointer-events:none;opacity:.5}.matrix-rating-scale .right button.close{background:transparent}\n"] }]
        }], ctorParameters: function () { return []; } });

class RankingComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RankingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RankingComponent, selector: "app-ranking", ngImport: i0, template: "<div class=\"ranking vx-mb-4\">\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex\">\n                <div class=\"left\">\n                    <input type=\"text\" placeholder=\"Option\" />\n                </div>\n                <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.ranking .option-list{margin-bottom:2rem}.ranking .option-list ul{list-style-type:none}.ranking .left{width:calc(100% - 4.75rem);position:relative}.ranking .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.ranking .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.ranking .right{width:4.5rem;height:2.5rem}.ranking .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.ranking .right button.disabled{pointer-events:none;opacity:.5}.ranking .right button.close{background:transparent}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RankingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-ranking', template: "<div class=\"ranking vx-mb-4\">\n    <div class=\"option-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex\">\n                <div class=\"left\">\n                    <input type=\"text\" placeholder=\"Option\" />\n                </div>\n                <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                    <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.ranking .option-list{margin-bottom:2rem}.ranking .option-list ul{list-style-type:none}.ranking .left{width:calc(100% - 4.75rem);position:relative}.ranking .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.ranking .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.ranking .right{width:4.5rem;height:2.5rem}.ranking .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.ranking .right button.disabled{pointer-events:none;opacity:.5}.ranking .right button.close{background:transparent}\n"] }]
        }], ctorParameters: function () { return []; } });

class SliderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SliderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SliderComponent, selector: "app-slider", ngImport: i0, template: "<div class=\"slider\">\n    <div class=\"heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-5\">Adjust Slider Scale</div>\n    <div class=\"vx-d-flex vx-align-center\">\n        <div class=\"slider-item vx-mr-5\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">SCALE RANGE</div>\n            <div class=\"vx-d-flex vx-align-center\">\n                <input class=\"slide-input\" type=\"number\" value=\"0\">\n                <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-mr-2\">TO</span>\n                <input class=\"slide-input\" type=\"number\" value=\"100\">\n            </div>\n        </div>\n        <div class=\"slider-item\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">STEP SIZE</div>\n            <input class=\"slide-input\" type=\"number\" value=\"10\">\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.slider-item input[type=number].slide-input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#161b2f;font-size:12px;padding:.5rem .75rem;width:5rem;height:2.5rem;outline:none;transition:all .3s ease-in-out}.slider-item input[type=number].slide-input:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SliderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-slider', template: "<div class=\"slider\">\n    <div class=\"heading vx-fs-12 vx-fw-500 vx-label-txt vx-mb-5\">Adjust Slider Scale</div>\n    <div class=\"vx-d-flex vx-align-center\">\n        <div class=\"slider-item vx-mr-5\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">SCALE RANGE</div>\n            <div class=\"vx-d-flex vx-align-center\">\n                <input class=\"slide-input\" type=\"number\" value=\"0\">\n                <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-ml-2 vx-mr-2\">TO</span>\n                <input class=\"slide-input\" type=\"number\" value=\"100\">\n            </div>\n        </div>\n        <div class=\"slider-item\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">STEP SIZE</div>\n            <input class=\"slide-input\" type=\"number\" value=\"10\">\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.slider-item input[type=number].slide-input{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#161b2f;font-size:12px;padding:.5rem .75rem;width:5rem;height:2.5rem;outline:none;transition:all .3s ease-in-out}.slider-item input[type=number].slide-input:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }]
        }], ctorParameters: function () { return []; } });

class MultipleTextboxComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultipleTextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: MultipleTextboxComponent, selector: "app-multiple-textbox", ngImport: i0, template: "<div class=\"multiple-textbox vx-d-flex vx-mb-4\">\n    <div class=\"left\">\n        <div class=\"label vx-mb-2\">\n            <input type=\"text\" placeholder=\"Please enter a response\" />\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-pr-1\">LABEL 1</div>\n        </div>\n        <input type=\"text\" placeholder=\"Please enter a response\" />\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.multiple-textbox .left{width:calc(100% - 4.75rem);position:relative}.multiple-textbox .left .label{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;transition:all .3s ease-in-out;position:relative}.multiple-textbox .left .label:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.multiple-textbox .left .label input[type=text]{border:none;height:2.375rem;padding-left:5rem}.multiple-textbox .left .label input[type=text]:focus{border-color:unset;box-shadow:unset}.multiple-textbox .left .label .heading{position:absolute;top:.625rem;left:.75rem;width:3.5rem}.multiple-textbox .left .label .heading:before{background:#dbdbdb;content:\"\";position:absolute;top:0;right:0;width:1px;height:1rem}.multiple-textbox .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.multiple-textbox .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.multiple-textbox .right{width:4.5rem;height:2.5rem}.multiple-textbox .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.multiple-textbox .right button.disabled{pointer-events:none;opacity:.5}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultipleTextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-multiple-textbox', template: "<div class=\"multiple-textbox vx-d-flex vx-mb-4\">\n    <div class=\"left\">\n        <div class=\"label vx-mb-2\">\n            <input type=\"text\" placeholder=\"Please enter a response\" />\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-pr-1\">LABEL 1</div>\n        </div>\n        <input type=\"text\" placeholder=\"Please enter a response\" />\n    </div>\n    <div class=\"right vx-d-flex vx-align-center vx-ml-1\">\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\">+</button>\n        <button class=\"vx-fs-24 vx-paragraph-txt vx-p-0 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">-</button>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.multiple-textbox .left{width:calc(100% - 4.75rem);position:relative}.multiple-textbox .left .label{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;transition:all .3s ease-in-out;position:relative}.multiple-textbox .left .label:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.multiple-textbox .left .label input[type=text]{border:none;height:2.375rem;padding-left:5rem}.multiple-textbox .left .label input[type=text]:focus{border-color:unset;box-shadow:unset}.multiple-textbox .left .label .heading{position:absolute;top:.625rem;left:.75rem;width:3.5rem}.multiple-textbox .left .label .heading:before{background:#dbdbdb;content:\"\";position:absolute;top:0;right:0;width:1px;height:1rem}.multiple-textbox .left input[type=text]{background:#fff;border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem;width:100%;height:2.5rem;outline:none;transition:all .3s ease-in-out}.multiple-textbox .left input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.multiple-textbox .right{width:4.5rem;height:2.5rem}.multiple-textbox .right button{background:#f8f8f8;border-radius:50%;border:none;width:2rem;height:2rem}.multiple-textbox .right button.disabled{pointer-events:none;opacity:.5}\n"] }]
        }], ctorParameters: function () { return []; } });

let DateTimeComponent$1 = class DateTimeComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DateTimeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DateTimeComponent, selector: "app-build-date-time", inputs: { question: "question" }, ngImport: i0, template: "<div class=\"date-time vx-mb-4\">\n    <div class=\"left vx-mb-2\" *ngIf=\"question.hasDate\">\n        <div class=\"label\">\n            <input type=\"text\" placeholder=\"Enter date label\" [(ngModel)]=\"question.date.title\"/>\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-pr-1\">DATE</div>\n        </div>\n    </div>\n    <div class=\"left vx-mb-2\" *ngIf=\"question.hasTime\">\n        <div class=\"label\">\n            <input type=\"text\" placeholder=\"Enter time label\" [(ngModel)]=\"question.time.title\" />\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-pr-1\">TIME</div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.date-time .left{width:calc(100% - 8rem);position:relative}.date-time .left .label{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;transition:all .3s ease-in-out;position:relative}.date-time .left .label:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.date-time .left .label input[type=text]{background:#fff;border:none;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem .5rem 5rem;width:100%;height:2.375rem;outline:none;transition:all .3s ease-in-out}.date-time .left .label .heading{position:absolute;top:.625rem;left:.75rem;width:3.5rem}.date-time .left .label .heading:before{background:#dbdbdb;content:\"\";position:absolute;top:0;right:0;width:1px;height:1rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DateTimeComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'app-build-date-time', template: "<div class=\"date-time vx-mb-4\">\n    <div class=\"left vx-mb-2\" *ngIf=\"question.hasDate\">\n        <div class=\"label\">\n            <input type=\"text\" placeholder=\"Enter date label\" [(ngModel)]=\"question.date.title\"/>\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-pr-1\">DATE</div>\n        </div>\n    </div>\n    <div class=\"left vx-mb-2\" *ngIf=\"question.hasTime\">\n        <div class=\"label\">\n            <input type=\"text\" placeholder=\"Enter time label\" [(ngModel)]=\"question.time.title\" />\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-pr-1\">TIME</div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.date-time .left{width:calc(100% - 8rem);position:relative}.date-time .left .label{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;transition:all .3s ease-in-out;position:relative}.date-time .left .label:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}.date-time .left .label input[type=text]{background:#fff;border:none;border-radius:.25rem;color:#747576;font-size:12px;padding:.5rem .75rem .5rem 5rem;width:100%;height:2.375rem;outline:none;transition:all .3s ease-in-out}.date-time .left .label .heading{position:absolute;top:.625rem;left:.75rem;width:3.5rem}.date-time .left .label .heading:before{background:#dbdbdb;content:\"\";position:absolute;top:0;right:0;width:1px;height:1rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }] } });

class WeightageSelectorComponent {
    constructor() {
        this.valueChange = new EventEmitter();
    }
    set Value(value) {
        if (value === undefined) {
            this.value = 100;
        }
        else {
            this.value = value;
        }
        this.changeValue(this.value);
    }
    changeValue(evt) {
        this.valueChange.emit(evt);
    }
    ngOnInit() {
        this.checkWeightValidity();
    }
    weightManager(mode) {
        if (mode === '+') {
            if (this.value < 100) {
                this.value = this.value + 1;
            }
        }
        else if (mode === '-') {
            if (this.value > 1) {
                this.value = this.value - 1;
            }
        }
        this.changeValue(this.value);
    }
    checkWeightValidity() {
        if (this.value > 100) {
            this.value = 100;
        }
        else if (this.value < 1) {
            this.value = 100;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WeightageSelectorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WeightageSelectorComponent, selector: "app-weightage-selector", inputs: { Value: ["value", "Value"] }, outputs: { valueChange: "valueChange" }, ngImport: i0, template: "<div class=\"weightage vx-d-flex vx-align-center\">\n    <span class=\"text vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-pl-2 vx-pr-2 vx-lh-5\">SET WEIGHTAGE:</span>\n    <input type=\"number\" value='100' (focusout)=\"checkWeightValidity()\" type=\"number\" [(ngModel)]=\"value\" (ngModelChange)=\"changeValue($event)\" />\n    <button (click)=\"weightManager('+')\" class=\"arrow up vx-fs-8 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9e7;</i></button>\n    <button (click)=\"weightManager('-')\"  class=\"arrow down vx-fs-8 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9e8;</i></button>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.weightage{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;height:1.375rem;position:relative;z-index:1}.weightage .text{background:#f8f8f8;border-radius:.125rem 0 0 .125rem;height:1.25rem}.weightage input{background:#fff;border:none;border-radius:0;color:#161b2f;font-size:11px;font-weight:500;padding:0 .5rem;height:1.25rem;width:3.75rem;outline:none}.weightage button.arrow{background:transparent;border:none;border-radius:0;position:absolute;right:.25rem}.weightage button.arrow.up{top:.0625rem}.weightage button.arrow.down{bottom:.0625rem}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WeightageSelectorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-weightage-selector', template: "<div class=\"weightage vx-d-flex vx-align-center\">\n    <span class=\"text vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-pl-2 vx-pr-2 vx-lh-5\">SET WEIGHTAGE:</span>\n    <input type=\"number\" value='100' (focusout)=\"checkWeightValidity()\" type=\"number\" [(ngModel)]=\"value\" (ngModelChange)=\"changeValue($event)\" />\n    <button (click)=\"weightManager('+')\" class=\"arrow up vx-fs-8 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9e7;</i></button>\n    <button (click)=\"weightManager('-')\"  class=\"arrow down vx-fs-8 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9e8;</i></button>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.weightage{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;height:1.375rem;position:relative;z-index:1}.weightage .text{background:#f8f8f8;border-radius:.125rem 0 0 .125rem;height:1.25rem}.weightage input{background:#fff;border:none;border-radius:0;color:#161b2f;font-size:11px;font-weight:500;padding:0 .5rem;height:1.25rem;width:3.75rem;outline:none}.weightage button.arrow{background:transparent;border:none;border-radius:0;position:absolute;right:.25rem}.weightage button.arrow.up{top:.0625rem}.weightage button.arrow.down{bottom:.0625rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { Value: [{
                type: Input,
                args: ['value']
            }], valueChange: [{
                type: Output
            }] } });

class QuickSettingsComponent {
    constructor(fd) {
        this.fd = fd;
        this.typeChanged = new EventEmitter();
        this.selectedQuestionDetails = { questionValue: '', questionName: '', questionIcon: '', questionClass: '' };
        this.questionTypeDropdown = [
            { questionValue: 'multiple-choice', questionName: 'Multiple Choice', questionIcon: '&#xeabd;', questionClass: 'multiple-choice' },
            { questionValue: 'checkbox', questionName: 'Checkboxes', questionIcon: '&#xeabb;', questionClass: 'checkboxes' },
            // { questionValue: 'image-choice', questionName: 'Image Choice', questionIcon: '&#xea29;', questionClass: 'image-choice' },
            // { questionValue: 'star-rating', questionName: 'Star Ratings', questionIcon: '&#xea71;', questionClass: 'star-rating' },
            { questionValue: 'single-textbox', questionName: 'Single Textbox', questionIcon: '&#xeab5;', questionClass: 'single-textbox' },
            // { questionValue: 'comment-box', questionName: 'Comment Box', questionIcon: '&#xe9a6;', questionClass: 'comment-box' },
            // { questionValue: 'matrix-dropdown', questionName: 'Matrix of Dropdown', questionIcon: '&#xeab7;', questionClass: 'matrix-dropdown' },
            { questionValue: 'dropdown', questionName: 'Dropdown', questionIcon: '&#xeab9;', questionClass: 'dropdown-icon' },
            // { questionValue: 'rating-scale', questionName: 'Matrix & Rating Scale', questionIcon: '&#xeab8;', questionClass: 'matrix-rating' },
            // { questionValue: 'ranking', questionName: 'Ranking', questionIcon: '&#xeb03;', questionClass: 'ranking' },
            // { questionValue: 'slider', questionName: 'Slider', questionIcon: '&#xeab6;', questionClass: 'slider' },
            // { questionValue: 'multiple-textbox', questionName: 'Multiple Textboxes', questionIcon: '&#xeab4;', questionClass: 'multiple-textbox' },
            { questionValue: 'date-time', questionName: 'Date & Time', questionIcon: '&#xeaba;', questionClass: 'date-time' },
            { questionValue: 'file-upload', questionName: 'File Upload', questionIcon: '&#xea97;', questionClass: 'file-upload' },
        ];
        this.quickSettingsList = [];
        this.optionsForQuickSettings = [
            {
                title: 'Is required',
                toolTip: 'You can use this option to ensure that important questions are not left unanswered.' +
                    'If enabled, the respondent cannot submit the response to the assessment unless the question is answered.',
                optionType: 'required',
                toggleValue: 'isRequired',
                eligibleQuestionTypes: ['image-choice', 'checkbox', 'single-textbox', 'multiple-choice', 'file-upload', 'star-rating',
                    'comment-box', 'matrix-dropdown', 'rating-scale', 'ranking', 'slider', 'multiple-textbox', 'date-time', 'dropdown']
            },
            {
                title: 'Edit Placeholder',
                toolTip: 'You can customize the placeholder text to provide more relevant information to the respondents taking the ' +
                    `assessment` + '.',
                optionType: 'placeholder',
                toggleValue: 'isPlaceholder',
                eligibleQuestionTypes: ['single-textbox', 'comment-box', 'multiple-textbox']
            },
            {
                title: 'Description',
                toolTip: 'Add more context to your assessment questions by providing more details.',
                optionType: 'questiondescription',
                toggleValue: 'hasDescription',
                eligibleQuestionTypes: ['image-choice', 'checkbox', 'single-textbox', 'multiple-choice', 'file-upload', 'star-rating',
                    'comment-box', 'matrix-dropdown', 'rating-scale', 'ranking', 'slider', 'multiple-textbox', 'date-time', 'dropdown']
            },
            {
                title: 'Comment',
                toolTip: 'You can provide additional information about the question using this option.',
                optionType: 'comments',
                toggleValue: 'hasComments',
                eligibleQuestionTypes: ['image-choice', 'checkbox', 'single-textbox', 'multiple-choice', 'file-upload', 'star-rating',
                    'comment-box', 'matrix-dropdown', 'rating-scale', 'ranking', 'slider', 'multiple-textbox', 'date-time', 'dropdown']
            },
            {
                title: '\'Other\' Answer Choice',
                toolTip: 'You can add ‘Other’ as an answer choice so that your respondents can provide details and or alternate answers.',
                optionType: 'other',
                toggleValue: 'hasOther',
                eligibleQuestionTypes: ['checkbox', 'multiple-choice', 'multiple-textbox', 'dropdown']
            },
            {
                title: 'Randomize',
                toolTip: 'To avoid order bias while answering a question, you can randomize the answer order' +
                    'every time the respondents view the assessment.',
                optionType: 'randomize',
                toggleValue: 'randomize',
                eligibleQuestionTypes: ['checkbox', 'multiple-choice', 'matrix-dropdown', 'rating-scale', 'ranking', 'multiple-textbox', 'dropdown']
            },
            {
                title: 'Switch Alignments',
                toolTip: 'You can choose to present the answer choices one after the other in vertical columns or display in a horizontal sequence.',
                optionType: 'alignment',
                toggleValue: 'alignment',
                eligibleQuestionTypes: ['checkbox', 'multiple-choice']
            },
            {
                title: 'Add rating labels',
                toolTip: 'You can add labels above your icons to indicate what the scale represents.',
                optionType: 'ratingLabel',
                toggleValue: 'hasRatingLabel',
                eligibleQuestionTypes: ['star-rating']
            },
            {
                title: 'Character Length',
                toolTip: 'This option lets you set a maximum and minimum character length criteria' +
                    'that the respondents must follow while answering the question.',
                optionType: 'characterLength',
                toggleValue: 'hasCharacterLength',
                eligibleQuestionTypes: ['single-textbox', 'comment-box']
            },
            {
                title: 'Use weights',
                toolTip: 'This option allows you to specify a weight or score to each column of the matrix question.' +
                    'This is useful when you\'re analyzing the data and wanting to tally up average scores to each of the answers.',
                optionType: 'useWeights',
                toggleValue: 'hasWeight',
                eligibleQuestionTypes: ['rating-scale']
            },
            {
                title: 'Show numerical input box',
                toolTip: 'This allows the respondent to select a scale on the slider by entering the value.',
                optionType: 'numericalInput',
                toggleValue: 'numericBoxEnabled',
                eligibleQuestionTypes: ['slider']
            },
            {
                title: 'Date Info',
                toolTip: '',
                optionType: 'dateFormat',
                toggleValue: 'hasDate',
                eligibleQuestionTypes: ['date-time']
            },
            {
                title: 'Time Info',
                toolTip: '',
                optionType: 'timeInfo',
                toggleValue: 'hasTime',
                eligibleQuestionTypes: ['date-time']
            },
            {
                title: 'Allow Attachments',
                toolTip: 'This option allows the respondents to upload a file in addition to answering the question.',
                optionType: 'userAttachedFiles',
                toggleValue: 'isRespondentAttachment',
                eligibleQuestionTypes: ['image-choice', 'checkbox', 'single-textbox', 'multiple-choice', 'file-upload', 'star-rating',
                    'comment-box', 'matrix-dropdown', 'rating-scale', 'ranking', 'slider', 'multiple-textbox', 'date-time', 'dropdown']
            },
            {
                title: 'Allow Comments',
                toolTip: 'This option allows the respondent to add notes or comments to a question.',
                optionType: 'userComments',
                toggleValue: 'isRespondentComment',
                eligibleQuestionTypes: ['image-choice', 'checkbox', 'single-textbox', 'multiple-choice', 'file-upload', 'star-rating',
                    'comment-box', 'matrix-dropdown', 'rating-scale', 'ranking', 'slider', 'multiple-textbox', 'date-time', 'dropdown']
            }
        ];
    }
    ngOnInit() {
        this.populateSelectedQuestionType();
        this.populateQuickSettingsList();
    }
    populateSelectedQuestionType() {
        this.questionTypeDropdown.forEach(questionType => {
            if (questionType.questionValue === this.fd.formsPage.elements[this.questionIndex].type) {
                this.selectedQuestionDetails.questionClass = questionType.questionClass;
                this.selectedQuestionDetails.questionName = questionType.questionName;
                this.selectedQuestionDetails.questionIcon = questionType.questionIcon;
                this.selectedQuestionDetails.questionValue = questionType.questionValue;
            }
        });
    }
    changeQuestionType(selectedQuestion) {
        if (selectedQuestion.questionValue === 'rating-scale') {
            this.fd.formsPage.elements[this.questionIndex].columns =
                [{ title: '', value: 1, weight: 0, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '' }];
        }
        else if (selectedQuestion.questionValue === 'matrix-dropdown') {
            this.fd.formsPage.elements[this.questionIndex].columns =
                [{
                        title: '', value: 1, weight: 0, isSelected: false, required: 0, hasHelpingLabel: false, helpingLabel: '',
                        choices: [{ hasHelpingLabel: false, helpingLabel: '', isSelected: false, required: 0, title: '', value: 1 }]
                    }];
        }
        else if (selectedQuestion.questionValue === 'date-time') {
            this.fd.formsPage.elements[this.questionIndex].hasDate = true;
            this.fd.formsPage.elements[this.questionIndex].date = { title: '', value: '' };
            this.fd.formsPage.elements[this.questionIndex].time = { title: '', value: '' };
        }
        else if (selectedQuestion.questionValue === 'star-rating') {
            this.fd.formsPage.elements[this.questionIndex].cursorType = 'number';
            this.fd.formsPage.elements[this.questionIndex].scale = 2;
            this.fd.formsPage.elements[this.questionIndex].ratingLabelType = 'specific';
            this.fd.formsPage.elements[this.questionIndex].scaleRangeTo = 'Extreme Likely';
            this.fd.formsPage.elements[this.questionIndex].scaleRangeFrom = 'Not at all likely';
            this.fd.formsPage.elements[this.questionIndex].cursorColor = '#ff8000';
            this.fd.formsPage.elements[this.questionIndex].starValue = '';
            this.fd.formsPage.elements[this.questionIndex].choices = [
                { title: '', isVisible: true, value: 0, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' },
                { title: '', isVisible: true, value: 1, isSelected: false, required: 0, hasHelpingLabel: true, helpingLabel: '' },
            ];
        }
        else if (selectedQuestion.questionValue === 'slider') {
            this.fd.formsPage.elements[this.questionIndex].scaleRangeMin = 0;
            this.fd.formsPage.elements[this.questionIndex].scaleRangeMax = 100;
            this.fd.formsPage.elements[this.questionIndex].stepSize = 10;
        }
        this.fd.formsPage.elements[this.questionIndex].type = selectedQuestion.questionValue;
        this.selectedQuestionDetails = selectedQuestion;
        this.populateQuickSettingsList();
        this.populateSelectedQuestionType();
        this.typeChanged.emit();
    }
    populateQuickSettingsList() {
        this.quickSettingsList = [...this.optionsForQuickSettings];
        this.quickSettingsList = this.quickSettingsList.filter((option) => option.eligibleQuestionTypes.includes(this.fd.formsPage.elements[this.questionIndex].type));
    }
    toggle(e, quickSetting) {
        const questionDetail = this.fd.formsPage.elements[this.questionIndex];
        if (questionDetail.type === 'date-time') {
            if (quickSetting.toggleValue === 'hasDate' && e) {
                this.fd.formsPage.elements[this.questionIndex].hasDate = true;
            }
            else if (quickSetting.toggleValue === 'hasTime' && e) {
                this.fd.formsPage.elements[this.questionIndex].hasTime = true;
            }
            else if (quickSetting.toggleValue === 'hasDate' && !e) {
                this.fd.formsPage.elements[this.questionIndex].hasDate = false;
                if (!this.fd.formsPage.elements[this.questionIndex].hasTime) {
                    this.fd.formsPage.elements[this.questionIndex].hasTime = true;
                }
            }
            else if (quickSetting.toggleValue === 'hasTime' && !e) {
                this.fd.formsPage.elements[this.questionIndex].hasTime = false;
                if (!this.fd.formsPage.elements[this.questionIndex].hasDate) {
                    this.fd.formsPage.elements[this.questionIndex].hasDate = true;
                }
            }
            this.fd.formsPage.elements[this.questionIndex][quickSetting.toggleValue] = e;
            return;
        }
        if (quickSetting.optionType === 'characterLength' && e) {
            this.fd.formsPage.elements[this.questionIndex].maxCharacterLength = 100;
            this.fd.formsPage.elements[this.questionIndex].minCharacterLength = 0;
        }
        this.fd.formsPage.elements[this.questionIndex][quickSetting.toggleValue] = e;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuickSettingsComponent, deps: [{ token: EditorService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: QuickSettingsComponent, selector: "app-quick-setting", inputs: { questionIndex: "questionIndex", question: "question" }, outputs: { typeChanged: "typeChanged" }, ngImport: i0, template: "<div class=\"quick-settings\">\n    <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION TYPE</div>\n    <div class=\"settings-option vx-d-flex vx-align-center vx-justify-between vx-pb-2\" appPopover (click)=\"questionOption.popover()\" placement=\"right\">\n        <div class=\"content vx-d-flex vx-align-center\">\n            <div class=\"question-icon vx-d-flex vx-align-center vx-justify-center vx-mr-2\" [ngClass]=\"selectedQuestionDetails.questionClass\">\n                <i class=\"icons vx-fs-16 vx-txt-white\" [innerHTML]='selectedQuestionDetails.questionIcon'></i></div>\n            <div class=\"name vx-fs-14 vx-label-txt\">{{selectedQuestionDetails.questionName}}</div>\n        </div>\n        <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n    </div>\n    <app-popover #questionOption>\n        <div class=\"select-option vx-p-2 vx-pb-1\">\n            <ul class=\"vx-p-0 vx-m-0 vx-d-flex vx-flex-wrap\">\n                <li class=\"vx-d-flex vx-align-center vx-mt-1 vx-mb-1\" *ngFor=\"let menu of questionTypeDropdown\">\n                    <button class=\"vx-m-0 vx-p-0 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)='changeQuestionType(menu)'>\n                        <div [ngClass]=\"menu.questionClass\" class=\"question-icon vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\" [innerHTML]=\"menu?.questionIcon\">&#xeabd;</i></div>\n                        <div class=\"name vx-fs-12 vx-label-txt\">{{menu?.questionName}}</div>\n                    </button>\n                </li>\n            </ul>\n        </div>\n    </app-popover>\n    <div class=\"title vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">QUICK SETTINGS</div>\n    <div class=\"settings-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-pt-3 vx-pb-3\" *ngFor='let quickSetting of quickSettingsList'>\n                <app-cs-switch \n                [ngValue]=\"fd.formsPage.elements[questionIndex][quickSetting.toggleValue]\"\n                (ngValueChange)=\"toggle($event,quickSetting);\"\n                [disabled]='quickSetting.title === \"Is required\" && fd.formsPage.elements[questionIndex].visibilityLogic.length > 0'>\n                    <div class=\"vx-d-flex vx-align-center vx-justify-between vx-w-100\">\n                        <div class=\"settings-name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">{{quickSetting.title}}</div>\n                        <i class=\"icons info vx-fs-14 vx-txt-blue\" *ngIf=\"quickSetting.toolTip.length>0\" [appTooltip]=\"quickSetting.toolTip\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xeb16;</i>\n                    </div>\n                </app-cs-switch>\n            </li>\n           \n        </ul>\n    </div>\n    <div class=\"max-min-field vx-d-flex vx-align-center vx-mt-3 vx-mb-2\" *ngIf=\"fd.formsPage.elements[questionIndex].hasCharacterLength\">\n        <input type=\"number\"  [(ngModel)]=\"fd.formsPage.elements[questionIndex].minCharacterLength\"/>\n        <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-5\">Min</span>\n        <input type=\"number\"  [(ngModel)]=\"fd.formsPage.elements[questionIndex].maxCharacterLength\"/>\n        <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">Max</span>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .quick-settings .heading{position:relative}::ng-deep .quick-settings .heading:before{background:#1e5dd3;content:\"\";position:absolute;left:0;top:.0625rem;width:.125rem;height:.875rem}::ng-deep .quick-settings .settings-option{border-bottom:1px solid #F1F1F1;cursor:pointer;margin-bottom:1.875rem}::ng-deep .quick-settings .settings-option .content .question-icon{background:#ee5daf;border-radius:.25rem;width:1.5rem;min-width:1.5rem;height:1.5rem}::ng-deep .quick-settings .settings-option .content .question-icon.welcome-screen{background:#ee5daf}::ng-deep .quick-settings .settings-option .content .question-icon.thank-you-screen{background:#ee3939}::ng-deep .quick-settings .settings-option .content .question-icon.multiple-choice{background:#d1c131}::ng-deep .quick-settings .settings-option .content .question-icon.checkboxes{background:#6f81fc}::ng-deep .quick-settings .settings-option .content .question-icon.image-choice{background:#4681ef}::ng-deep .quick-settings .settings-option .content .question-icon.star-rating{background:#e8c247}::ng-deep .quick-settings .settings-option .content .question-icon.single-textbox{background:#2fd2cd}::ng-deep .quick-settings .settings-option .content .question-icon.comment-box{background:#acbb7e}::ng-deep .quick-settings .settings-option .content .question-icon.matrix-dropdown{background:#66bf72}::ng-deep .quick-settings .settings-option .content .question-icon.dropdown-icon{background:#9d9fe1}::ng-deep .quick-settings .settings-option .content .question-icon.matrix-rating{background:#67d2cd}::ng-deep .quick-settings .settings-option .content .question-icon.ranking{background:#ee9f24}::ng-deep .quick-settings .settings-option .content .question-icon.slider{background:#d1c131}::ng-deep .quick-settings .settings-option .content .question-icon.multiple-textbox{background:#66bf72}::ng-deep .quick-settings .settings-option .content .question-icon.date-time{background:#acbb7e}::ng-deep .quick-settings .settings-option .content .question-icon.file-upload{background:#4681ef}::ng-deep .quick-settings .settings-option .content .name{width:calc(100% - 1.75rem);white-space:nowrap}::ng-deep .quick-settings .settings-list ul{list-style-type:none}::ng-deep .quick-settings .settings-list ul li{border-bottom:1px solid #F1F1F1}::ng-deep .quick-settings .settings-list ul li app-cs-switch .cs-switch{cursor:pointer}::ng-deep .quick-settings .max-min-field input{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#161b2f;font-size:13px;width:3.5rem;height:2.5rem;padding:0 .75rem;margin-right:.5rem;outline:none}.select-option{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1c5bd140;width:25.5rem}.select-option ul{list-style-type:none}.select-option ul li{width:50%}.select-option ul li button{background:transparent;border:none;border-radius:0}.select-option ul li button .question-icon{background:#ee5daf;border-radius:.25rem;width:1.5rem;min-width:1.5rem;height:1.5rem}.select-option ul li button .question-icon.welcome-screen{background:#ee5daf}.select-option ul li button .question-icon.thank-you-screen{background:#ee3939}.select-option ul li button .question-icon.multiple-choice{background:#d1c131}.select-option ul li button .question-icon.checkboxes{background:#6f81fc}.select-option ul li button .question-icon.image-choice{background:#4681ef}.select-option ul li button .question-icon.star-rating{background:#e8c247}.select-option ul li button .question-icon.single-textbox{background:#2fd2cd}.select-option ul li button .question-icon.comment-box{background:#acbb7e}.select-option ul li button .question-icon.matrix-dropdown{background:#66bf72}.select-option ul li button .question-icon.dropdown-icon{background:#9d9fe1}.select-option ul li button .question-icon.matrix-rating{background:#67d2cd}.select-option ul li button .question-icon.ranking{background:#ee9f24}.select-option ul li button .question-icon.slider{background:#d1c131}.select-option ul li button .question-icon.multiple-textbox{background:#66bf72}.select-option ul li button .question-icon.date-time{background:#acbb7e}.select-option ul li button .question-icon.file-upload{background:#4681ef}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuickSettingsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-quick-setting', template: "<div class=\"quick-settings\">\n    <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION TYPE</div>\n    <div class=\"settings-option vx-d-flex vx-align-center vx-justify-between vx-pb-2\" appPopover (click)=\"questionOption.popover()\" placement=\"right\">\n        <div class=\"content vx-d-flex vx-align-center\">\n            <div class=\"question-icon vx-d-flex vx-align-center vx-justify-center vx-mr-2\" [ngClass]=\"selectedQuestionDetails.questionClass\">\n                <i class=\"icons vx-fs-16 vx-txt-white\" [innerHTML]='selectedQuestionDetails.questionIcon'></i></div>\n            <div class=\"name vx-fs-14 vx-label-txt\">{{selectedQuestionDetails.questionName}}</div>\n        </div>\n        <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n    </div>\n    <app-popover #questionOption>\n        <div class=\"select-option vx-p-2 vx-pb-1\">\n            <ul class=\"vx-p-0 vx-m-0 vx-d-flex vx-flex-wrap\">\n                <li class=\"vx-d-flex vx-align-center vx-mt-1 vx-mb-1\" *ngFor=\"let menu of questionTypeDropdown\">\n                    <button class=\"vx-m-0 vx-p-0 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)='changeQuestionType(menu)'>\n                        <div [ngClass]=\"menu.questionClass\" class=\"question-icon vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\" [innerHTML]=\"menu?.questionIcon\">&#xeabd;</i></div>\n                        <div class=\"name vx-fs-12 vx-label-txt\">{{menu?.questionName}}</div>\n                    </button>\n                </li>\n            </ul>\n        </div>\n    </app-popover>\n    <div class=\"title vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2\">QUICK SETTINGS</div>\n    <div class=\"settings-list\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-pt-3 vx-pb-3\" *ngFor='let quickSetting of quickSettingsList'>\n                <app-cs-switch \n                [ngValue]=\"fd.formsPage.elements[questionIndex][quickSetting.toggleValue]\"\n                (ngValueChange)=\"toggle($event,quickSetting);\"\n                [disabled]='quickSetting.title === \"Is required\" && fd.formsPage.elements[questionIndex].visibilityLogic.length > 0'>\n                    <div class=\"vx-d-flex vx-align-center vx-justify-between vx-w-100\">\n                        <div class=\"settings-name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">{{quickSetting.title}}</div>\n                        <i class=\"icons info vx-fs-14 vx-txt-blue\" *ngIf=\"quickSetting.toolTip.length>0\" [appTooltip]=\"quickSetting.toolTip\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xeb16;</i>\n                    </div>\n                </app-cs-switch>\n            </li>\n           \n        </ul>\n    </div>\n    <div class=\"max-min-field vx-d-flex vx-align-center vx-mt-3 vx-mb-2\" *ngIf=\"fd.formsPage.elements[questionIndex].hasCharacterLength\">\n        <input type=\"number\"  [(ngModel)]=\"fd.formsPage.elements[questionIndex].minCharacterLength\"/>\n        <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-5\">Min</span>\n        <input type=\"number\"  [(ngModel)]=\"fd.formsPage.elements[questionIndex].maxCharacterLength\"/>\n        <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">Max</span>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .quick-settings .heading{position:relative}::ng-deep .quick-settings .heading:before{background:#1e5dd3;content:\"\";position:absolute;left:0;top:.0625rem;width:.125rem;height:.875rem}::ng-deep .quick-settings .settings-option{border-bottom:1px solid #F1F1F1;cursor:pointer;margin-bottom:1.875rem}::ng-deep .quick-settings .settings-option .content .question-icon{background:#ee5daf;border-radius:.25rem;width:1.5rem;min-width:1.5rem;height:1.5rem}::ng-deep .quick-settings .settings-option .content .question-icon.welcome-screen{background:#ee5daf}::ng-deep .quick-settings .settings-option .content .question-icon.thank-you-screen{background:#ee3939}::ng-deep .quick-settings .settings-option .content .question-icon.multiple-choice{background:#d1c131}::ng-deep .quick-settings .settings-option .content .question-icon.checkboxes{background:#6f81fc}::ng-deep .quick-settings .settings-option .content .question-icon.image-choice{background:#4681ef}::ng-deep .quick-settings .settings-option .content .question-icon.star-rating{background:#e8c247}::ng-deep .quick-settings .settings-option .content .question-icon.single-textbox{background:#2fd2cd}::ng-deep .quick-settings .settings-option .content .question-icon.comment-box{background:#acbb7e}::ng-deep .quick-settings .settings-option .content .question-icon.matrix-dropdown{background:#66bf72}::ng-deep .quick-settings .settings-option .content .question-icon.dropdown-icon{background:#9d9fe1}::ng-deep .quick-settings .settings-option .content .question-icon.matrix-rating{background:#67d2cd}::ng-deep .quick-settings .settings-option .content .question-icon.ranking{background:#ee9f24}::ng-deep .quick-settings .settings-option .content .question-icon.slider{background:#d1c131}::ng-deep .quick-settings .settings-option .content .question-icon.multiple-textbox{background:#66bf72}::ng-deep .quick-settings .settings-option .content .question-icon.date-time{background:#acbb7e}::ng-deep .quick-settings .settings-option .content .question-icon.file-upload{background:#4681ef}::ng-deep .quick-settings .settings-option .content .name{width:calc(100% - 1.75rem);white-space:nowrap}::ng-deep .quick-settings .settings-list ul{list-style-type:none}::ng-deep .quick-settings .settings-list ul li{border-bottom:1px solid #F1F1F1}::ng-deep .quick-settings .settings-list ul li app-cs-switch .cs-switch{cursor:pointer}::ng-deep .quick-settings .max-min-field input{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;color:#161b2f;font-size:13px;width:3.5rem;height:2.5rem;padding:0 .75rem;margin-right:.5rem;outline:none}.select-option{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1c5bd140;width:25.5rem}.select-option ul{list-style-type:none}.select-option ul li{width:50%}.select-option ul li button{background:transparent;border:none;border-radius:0}.select-option ul li button .question-icon{background:#ee5daf;border-radius:.25rem;width:1.5rem;min-width:1.5rem;height:1.5rem}.select-option ul li button .question-icon.welcome-screen{background:#ee5daf}.select-option ul li button .question-icon.thank-you-screen{background:#ee3939}.select-option ul li button .question-icon.multiple-choice{background:#d1c131}.select-option ul li button .question-icon.checkboxes{background:#6f81fc}.select-option ul li button .question-icon.image-choice{background:#4681ef}.select-option ul li button .question-icon.star-rating{background:#e8c247}.select-option ul li button .question-icon.single-textbox{background:#2fd2cd}.select-option ul li button .question-icon.comment-box{background:#acbb7e}.select-option ul li button .question-icon.matrix-dropdown{background:#66bf72}.select-option ul li button .question-icon.dropdown-icon{background:#9d9fe1}.select-option ul li button .question-icon.matrix-rating{background:#67d2cd}.select-option ul li button .question-icon.ranking{background:#ee9f24}.select-option ul li button .question-icon.slider{background:#d1c131}.select-option ul li button .question-icon.multiple-textbox{background:#66bf72}.select-option ul li button .question-icon.date-time{background:#acbb7e}.select-option ul li button .question-icon.file-upload{background:#4681ef}\n"] }]
        }], ctorParameters: function () { return [{ type: EditorService }]; }, propDecorators: { questionIndex: [{
                type: Input
            }], question: [{
                type: Input
            }], typeChanged: [{
                type: Output
            }] } });

class AddResponseSetPopupComponent {
    constructor() {
        this.setResponse = false;
        this.hideSpecificCategory = false;
    }
    ngOnInit() {
    }
    showResponse() {
        this.setResponse = !this.setResponse;
    }
    clickSpecificCategory() {
        this.hideSpecificCategory = true;
    }
    backResponseSet() {
        this.hideSpecificCategory = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddResponseSetPopupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddResponseSetPopupComponent, selector: "app-add-response-set-popup", ngImport: i0, template: "<div class=\"form-dialog\">\n    <div class=\"form-dialog-heading vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3 vx-pl-4 vx-pr-4 vx-mb-2\">\n        <ng-container *ngIf=\"!hideSpecificCategory\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Add a Response Set</div>\n            <button class=\"close vx-p-0 vx-m-0 vx-d-flex vx-align-center\" [appTooltip]=\"'[Esc] to close'\" placement=\"left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\"><i class=\"icons vx-fs-16 vx-label-txt\">&#xe93f;</i></button>\n        </ng-container>\n        <ng-container *ngIf=\"hideSpecificCategory\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Select Form Categories</div>\n            <button (click)=\"backResponseSet()\" class=\"close vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-16 vx-mr-2\">&#xe91d;</i> BACK</button>\n        </ng-container>\n    </div>\n    <div *ngIf=\"!hideSpecificCategory\" class=\"form-dialog-mid vx-p-4 vx-pt-0\">\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">RESPONSE SET NAME</label>\n            <input type=\"text\" placeholder=\"Name this response set\" />\n        </div>\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">THIS RESPONSE SET IS APPLICABLE FOR:</label>\n            <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"set-item vx-d-flex vx-align-center vx-p-2\">\n                    <app-cs-radio><span class=\"name vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">ALL FORM CATEGORIES</span></app-cs-radio>\n                </div>\n                <div class=\"set-item vx-d-flex vx-align-center vx-p-2\">\n                    <div class=\"specific-radio vx-d-flex vx-align-center\" (click)=\"clickSpecificCategory()\">\n                        <span class=\"circle-radio vx-mr-3\"></span>\n                        <span class=\"name vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">SPECIFIC FORM CATEGORIES</span>\n                    </div>\n                    <div *ngIf=\"false\" class=\"after-select vx-d-flex vx-align-center vx-w-100\">\n                        <span class=\"circle-radio vx-mr-3\"></span>\n                        <div class=\"input-group vx-d-flex vx-align-center vx-justify-between\">\n                            <div class=\"left vx-d-flex vx-align-center\">\n                                <div class=\"chip vx-fs-11 vx-txt-blue vx-pl-2 vx-pr-2 vx-lh-5\" [appTooltip]=\"'category text'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">category text</div>\n                                <button class=\"count vx-fs-10 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center vx-lh-5\" appPopover (click)=\"responseCount.popover()\" position=\"right\">+13</button>\n                                <app-popover #responseCount>\n                                    <div class=\"wf-action-list\">\n                                      <ul class=\"action-item\">\n                                        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                                          <div class=\"chip-item\">\n                                              <span class=\"vx-paragraph-txt\" [appTooltip]=\"'Category response name'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Category response name</span>\n                                          </div>\n                                        </li>\n                                      </ul>\n                                    </div>\n                                </app-popover>\n                            </div>\n                            <button class=\"edit vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-lh-5\">EDIT</button>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">RESPONSE CHOICES</label>\n            <div class=\"choice-item vx-d-flex vx-mt-5\">\n                <div class=\"number vx-fs-12 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-p-1 vx-mr-4\" style=\"background: #1E5DD3;\">1</div>\n                <div class=\"right\">\n                    <ng-container>\n                        <div class=\"edit-mode\" (click)=\"showResponse()\">\n                            <input type=\"text\" placeholder=\"Type your response\" />\n                            <button class=\"set-icon vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button>\n                        </div>\n                        <div class=\"set-popup vx-p-3 vx-d-flex vx-justify-between\" *ngIf=\"!setResponse\">\n                            <div class=\"item\">\n                                <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SET COLOR</div>\n                                <div class=\"color-box vx-p-1 vx-d-flex vx-align-center vx-justify-center\" style=\"color: #1E5DD3;\">\n                                    <i class=\"icons vx-fs-18\">&#xeb01;</i>\n                                    <input type=\"color\" />\n                                </div>\n                            </div>\n                            <div class=\"item\">\n                                <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">ADD SCORE</div>\n                                <div class=\"score-input vx-d-flex\">\n                                    <input type=\"number\" value=\"1\" />\n                                    <div class=\"buttons\">\n                                        <button class=\"plus-btn vx-fs-12 vx-fw-500 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                                        <button class=\"minus-btn vx-fs-12 vx-fw-500 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"item\">\n                                <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1 vx-d-flex vx-align-center\">SET AS A FAILED RESPONSE <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\" appTooltip=\"If this response choice is 'Set as a failed response' VComply would automatically flag it as an exception when selected by the respondent. This can help identify areas for improvement and in the development of corrective action plans.\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xeb16;</i></div>\n                                <app-cs-switch></app-cs-switch>\n                            </div>\n                        </div>\n                    </ng-container>\n                    <div class=\"after-set-response vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                        <div class=\"value vx-fs-12 vx-label-txt\" [appTooltip]=\"'Response choice content'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Response choice content</div>\n                        <div class=\"vx-d-flex vx-align-center\">\n                            <button class=\"edit vx-fs-12 vx-txt-blue vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"><i class=\"icons\">&#xe9ba;</i></button>\n                            <button class=\"delete vx-fs-12 vx-txt-red vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"><i class=\"icons\">&#xe923;</i></button>\n                        </div>\n                    </div>\n                    <div class=\"response-value vx-fs-10 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-text-right vx-mt-1\">SCORE: 1</div>\n                    <div class=\"response-value vx-fs-10 vx-fw-500 vx-txt-red vx-tt-uppercase vx-text-right vx-mt-1\">THIS HAS BEEN SET AS A FAILED RESPONSE.</div>\n                </div>\n            </div>\n            <button class=\"add-response-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-mt-5 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-12 vx-mr-2 vx-d-flex\">&#xe915;</i> ADD RESPONSE</button>\n        </div>\n    </div>\n    <div *ngIf=\"hideSpecificCategory\" class=\"category-mid vx-p-4 vx-pr-0 vx-pt-0 vx-mt-4\">\n        <div class=\"search-field vx-pr-4 vx-mb-3\">\n            <input type=\"search\" placeholder=\"Search...\" />\n            <i class=\"icons search vx-fs-14\">&#xe90b;</i>\n        </div>\n        <app-cs-checkbox><span class=\"name vx-fw-500\">Select All</span></app-cs-checkbox>\n        <!-- <app-cs-checkbox-indeterminate *ngIf=\"false\"><span class=\"name vx-fw-500\">Select All</span></app-cs-checkbox-indeterminate> -->\n        <div class=\"list vx-pr-4 vx-mt-3\">\n            <ul class=\"vx-p-0 vx-m-0\">\n                <li class=\"vx-mb-3\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\"><app-cs-checkbox><span class=\"name\" [appTooltip]=\"'Select form category name'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Select form category name</span></app-cs-checkbox></li>\n            </ul>\n        </div>\n    </div>\n    <div *ngIf=\"hideSpecificCategory\" class=\"category-bottom vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4 vx-mt-4\">\n        <div class=\"vx-d-flex vx-align-center\">\n            <div class=\"count vx-fs-11 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-pl-1 vx-pr-1\">12</div> <span class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\">Form Category selected</span>\n        </div>\n        <button class=\"next-btn vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-7\">NEXT</button>\n    </div>\n    <button *ngIf=\"!hideSpecificCategory\" class=\"form-dialog-btn vx-fs-13 vx-fw-600 vx-tt-uppercase vx-p-0 vx-m-0 vx-mt-4 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .form-dialog{background:#fff;width:31.25rem;height:100vh}::ng-deep .form-dialog-heading{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:2.75rem}::ng-deep .form-dialog-heading button.close{background:transparent;border:none;border-radius:0}::ng-deep .form-dialog-mid{height:calc(100vh - 7.25rem);overflow:auto}::ng-deep .form-dialog-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .form-dialog-mid .from-group{position:relative}::ng-deep .form-dialog-mid .from-group input[type=text]{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem .75rem;line-height:1.25rem;font-size:13px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group input[type=text]:hover,::ng-deep .form-dialog-mid .from-group input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group input[type=text]::placeholder{color:#dbdbdb;opacity:1}::ng-deep .form-dialog-mid .from-group .set-item{border:1px solid #DBDBDB;border-radius:.25rem;width:calc(50% - .25rem);height:2.5rem}::ng-deep .form-dialog-mid .from-group .set-item cs-radio{display:flex;width:100%}::ng-deep .form-dialog-mid .from-group .set-item cs-radio .radio-item{width:100%}::ng-deep .form-dialog-mid .from-group .set-item .specific-radio{cursor:pointer}::ng-deep .form-dialog-mid .from-group .set-item .specific-radio .circle-radio{background:#fff;border:1px solid #DBDBDB;border-radius:50%;height:1rem;width:1rem}::ng-deep .form-dialog-mid .from-group .set-item .after-select .circle-radio{background:#fff;border:5px solid #34aa44;border-radius:50%;height:1rem;width:1rem}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group{width:calc(100% - 1.75rem)}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group .left{width:calc(100% - 3rem)}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group .left .chip{background:#fff;box-shadow:0 1px 4px #1e5dd326;border-radius:.125rem;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group .left button.count{background:#1e5dd3;border:none;border-radius:.125rem;min-width:1.25rem}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group button.edit{background:#34aa44;border:none;border-radius:.125rem}::ng-deep .form-dialog-mid .from-group .choice-item:first-of-type{margin-top:.5rem!important}::ng-deep .form-dialog-mid .from-group .choice-item .number{border-radius:50%;width:1.75rem;height:1.75rem;margin-top:.125rem}::ng-deep .form-dialog-mid .from-group .choice-item .right{width:calc(100% - 2.75rem);position:relative}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]{height:2rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem 2.625rem .5rem .75rem;line-height:1.25rem;font-size:12px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]:hover,::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]::placeholder{color:#dbdbdb;opacity:1}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode button.set-icon{background:#f8f8f8;border-radius:0 .25rem .25rem 0;border:none;position:absolute;top:1px;right:1px;width:1.875rem;height:1.875rem}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1e5dd326;width:100%}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .heading I.info{cursor:pointer}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item app-cs-switch{display:flex;justify-content:start}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item app-cs-switch .cs-switch{width:auto}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .color-box{background:#f1f1f1;border-radius:.125rem;width:1.875rem;height:1.875rem;position:relative}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .color-box input{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input{border:1px solid #F1F1F1;border-radius:.125rem;height:1.875rem;width:3.75rem}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input input{background:#fff;border:none;border-right:1px solid #F1F1F1;border-radius:0;font-size:12px;font-weight:400;color:#161b2f;padding:0 .5rem;margin:0;width:42px;outline:none}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input .buttons button{background:transparent;border:none;border-radius:0;width:1rem;height:.875rem}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input .buttons button.plus-btn{border-bottom:1px solid #F1F1F1}::ng-deep .form-dialog-mid .from-group .choice-item .right .after-set-response{height:2rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#f8f8f8}::ng-deep .form-dialog-mid .from-group .choice-item .right .after-set-response .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .form-dialog-mid .from-group .choice-item .right .after-set-response button{background:transparent;border:none;border-radius:0}::ng-deep .form-dialog-mid .from-group button.add-response-btn{background:transparent;border:none;border-radius:0;padding-left:2.75rem!important}::ng-deep .form-dialog .category-mid{height:calc(100vh - 7.5rem)}::ng-deep .form-dialog .category-mid .search-field{position:relative}::ng-deep .form-dialog .category-mid .search-field input{background:#fff;border:1px solid #7475763F;border-radius:.25rem;color:#161b2f;font-size:13px;font-weight:400;padding:.5rem .75rem .5rem 2.25rem;width:100%;height:2.5rem;outline:none}::ng-deep .form-dialog .category-mid .search-field i.search{position:absolute;top:.75rem;left:1.5rem;color:#f1f1f1}::ng-deep .form-dialog .category-mid .list{height:calc(100vh - 13rem);overflow:auto}::ng-deep .form-dialog .category-mid .list::-webkit-scrollbar-track{background-color:#fff}::ng-deep .form-dialog .category-mid .list ul{list-style-type:none}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item .checkbox,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item .checkbox{position:absolute!important;left:0;top:0}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item .checkmark,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;left:0;top:0}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item span,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item span{justify-content:unset!important;margin:0!important}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item span.value,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item span.value{color:#747576!important;font-size:11px!important;width:100%}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item span.value .name,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item span.value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .form-dialog .category-bottom{background:#f8f8f8;border-top:1px solid #F1F1F1;height:2.75rem}::ng-deep .form-dialog .category-bottom .count{background:#34aa44;border-radius:.125rem;min-width:1.25rem;height:1.25rem}::ng-deep .form-dialog .category-bottom button.next-btn{background:#1e5dd3;border-radius:.125rem;border:none;width:4rem}::ng-deep .form-dialog-btn{background:#1e5dd3;border:none;border-radius:0;color:#fff;width:100%;height:3.125rem;letter-spacing:1.3px}::ng-deep .form-dialog-btn.disabled{background:#f1f1f1;color:#747576!important;opacity:1;pointer-events:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddResponseSetPopupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-add-response-set-popup', template: "<div class=\"form-dialog\">\n    <div class=\"form-dialog-heading vx-d-flex vx-align-center vx-justify-between vx-pt-3 vx-pb-3 vx-pl-4 vx-pr-4 vx-mb-2\">\n        <ng-container *ngIf=\"!hideSpecificCategory\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Add a Response Set</div>\n            <button class=\"close vx-p-0 vx-m-0 vx-d-flex vx-align-center\" [appTooltip]=\"'[Esc] to close'\" placement=\"left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\"><i class=\"icons vx-fs-16 vx-label-txt\">&#xe93f;</i></button>\n        </ng-container>\n        <ng-container *ngIf=\"hideSpecificCategory\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Select Form Categories</div>\n            <button (click)=\"backResponseSet()\" class=\"close vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-16 vx-mr-2\">&#xe91d;</i> BACK</button>\n        </ng-container>\n    </div>\n    <div *ngIf=\"!hideSpecificCategory\" class=\"form-dialog-mid vx-p-4 vx-pt-0\">\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">RESPONSE SET NAME</label>\n            <input type=\"text\" placeholder=\"Name this response set\" />\n        </div>\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">THIS RESPONSE SET IS APPLICABLE FOR:</label>\n            <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n                <div class=\"set-item vx-d-flex vx-align-center vx-p-2\">\n                    <app-cs-radio><span class=\"name vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">ALL FORM CATEGORIES</span></app-cs-radio>\n                </div>\n                <div class=\"set-item vx-d-flex vx-align-center vx-p-2\">\n                    <div class=\"specific-radio vx-d-flex vx-align-center\" (click)=\"clickSpecificCategory()\">\n                        <span class=\"circle-radio vx-mr-3\"></span>\n                        <span class=\"name vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">SPECIFIC FORM CATEGORIES</span>\n                    </div>\n                    <div *ngIf=\"false\" class=\"after-select vx-d-flex vx-align-center vx-w-100\">\n                        <span class=\"circle-radio vx-mr-3\"></span>\n                        <div class=\"input-group vx-d-flex vx-align-center vx-justify-between\">\n                            <div class=\"left vx-d-flex vx-align-center\">\n                                <div class=\"chip vx-fs-11 vx-txt-blue vx-pl-2 vx-pr-2 vx-lh-5\" [appTooltip]=\"'category text'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">category text</div>\n                                <button class=\"count vx-fs-10 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center vx-lh-5\" appPopover (click)=\"responseCount.popover()\" position=\"right\">+13</button>\n                                <app-popover #responseCount>\n                                    <div class=\"wf-action-list\">\n                                      <ul class=\"action-item\">\n                                        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                                          <div class=\"chip-item\">\n                                              <span class=\"vx-paragraph-txt\" [appTooltip]=\"'Category response name'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Category response name</span>\n                                          </div>\n                                        </li>\n                                      </ul>\n                                    </div>\n                                </app-popover>\n                            </div>\n                            <button class=\"edit vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-lh-5\">EDIT</button>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n        <div class=\"from-group vx-mt-1 vx-mb-4\">\n            <label class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">RESPONSE CHOICES</label>\n            <div class=\"choice-item vx-d-flex vx-mt-5\">\n                <div class=\"number vx-fs-12 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-p-1 vx-mr-4\" style=\"background: #1E5DD3;\">1</div>\n                <div class=\"right\">\n                    <ng-container>\n                        <div class=\"edit-mode\" (click)=\"showResponse()\">\n                            <input type=\"text\" placeholder=\"Type your response\" />\n                            <button class=\"set-icon vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe913;</i></button>\n                        </div>\n                        <div class=\"set-popup vx-p-3 vx-d-flex vx-justify-between\" *ngIf=\"!setResponse\">\n                            <div class=\"item\">\n                                <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SET COLOR</div>\n                                <div class=\"color-box vx-p-1 vx-d-flex vx-align-center vx-justify-center\" style=\"color: #1E5DD3;\">\n                                    <i class=\"icons vx-fs-18\">&#xeb01;</i>\n                                    <input type=\"color\" />\n                                </div>\n                            </div>\n                            <div class=\"item\">\n                                <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">ADD SCORE</div>\n                                <div class=\"score-input vx-d-flex\">\n                                    <input type=\"number\" value=\"1\" />\n                                    <div class=\"buttons\">\n                                        <button class=\"plus-btn vx-fs-12 vx-fw-500 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">+</button>\n                                        <button class=\"minus-btn vx-fs-12 vx-fw-500 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">-</button>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"item\">\n                                <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1 vx-d-flex vx-align-center\">SET AS A FAILED RESPONSE <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-1\" appTooltip=\"If this response choice is 'Set as a failed response' VComply would automatically flag it as an exception when selected by the respondent. This can help identify areas for improvement and in the development of corrective action plans.\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xeb16;</i></div>\n                                <app-cs-switch></app-cs-switch>\n                            </div>\n                        </div>\n                    </ng-container>\n                    <div class=\"after-set-response vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                        <div class=\"value vx-fs-12 vx-label-txt\" [appTooltip]=\"'Response choice content'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Response choice content</div>\n                        <div class=\"vx-d-flex vx-align-center\">\n                            <button class=\"edit vx-fs-12 vx-txt-blue vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"><i class=\"icons\">&#xe9ba;</i></button>\n                            <button class=\"delete vx-fs-12 vx-txt-red vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"><i class=\"icons\">&#xe923;</i></button>\n                        </div>\n                    </div>\n                    <div class=\"response-value vx-fs-10 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-text-right vx-mt-1\">SCORE: 1</div>\n                    <div class=\"response-value vx-fs-10 vx-fw-500 vx-txt-red vx-tt-uppercase vx-text-right vx-mt-1\">THIS HAS BEEN SET AS A FAILED RESPONSE.</div>\n                </div>\n            </div>\n            <button class=\"add-response-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-mt-5 vx-d-flex vx-align-center\"><i class=\"icons vx-fs-12 vx-mr-2 vx-d-flex\">&#xe915;</i> ADD RESPONSE</button>\n        </div>\n    </div>\n    <div *ngIf=\"hideSpecificCategory\" class=\"category-mid vx-p-4 vx-pr-0 vx-pt-0 vx-mt-4\">\n        <div class=\"search-field vx-pr-4 vx-mb-3\">\n            <input type=\"search\" placeholder=\"Search...\" />\n            <i class=\"icons search vx-fs-14\">&#xe90b;</i>\n        </div>\n        <app-cs-checkbox><span class=\"name vx-fw-500\">Select All</span></app-cs-checkbox>\n        <!-- <app-cs-checkbox-indeterminate *ngIf=\"false\"><span class=\"name vx-fw-500\">Select All</span></app-cs-checkbox-indeterminate> -->\n        <div class=\"list vx-pr-4 vx-mt-3\">\n            <ul class=\"vx-p-0 vx-m-0\">\n                <li class=\"vx-mb-3\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\"><app-cs-checkbox><span class=\"name\" [appTooltip]=\"'Select form category name'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Select form category name</span></app-cs-checkbox></li>\n            </ul>\n        </div>\n    </div>\n    <div *ngIf=\"hideSpecificCategory\" class=\"category-bottom vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4 vx-mt-4\">\n        <div class=\"vx-d-flex vx-align-center\">\n            <div class=\"count vx-fs-11 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-pl-1 vx-pr-1\">12</div> <span class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\">Form Category selected</span>\n        </div>\n        <button class=\"next-btn vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-7\">NEXT</button>\n    </div>\n    <button *ngIf=\"!hideSpecificCategory\" class=\"form-dialog-btn vx-fs-13 vx-fw-600 vx-tt-uppercase vx-p-0 vx-m-0 vx-mt-4 vx-d-flex vx-align-center vx-justify-center\" [class.disabled]=\"false\">SAVE</button>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .form-dialog{background:#fff;width:31.25rem;height:100vh}::ng-deep .form-dialog-heading{background:#f8f8f8;border-bottom:1px solid #F1F1F1;height:2.75rem}::ng-deep .form-dialog-heading button.close{background:transparent;border:none;border-radius:0}::ng-deep .form-dialog-mid{height:calc(100vh - 7.25rem);overflow:auto}::ng-deep .form-dialog-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .form-dialog-mid .from-group{position:relative}::ng-deep .form-dialog-mid .from-group input[type=text]{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem .75rem;line-height:1.25rem;font-size:13px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group input[type=text]:hover,::ng-deep .form-dialog-mid .from-group input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group input[type=text]::placeholder{color:#dbdbdb;opacity:1}::ng-deep .form-dialog-mid .from-group .set-item{border:1px solid #DBDBDB;border-radius:.25rem;width:calc(50% - .25rem);height:2.5rem}::ng-deep .form-dialog-mid .from-group .set-item cs-radio{display:flex;width:100%}::ng-deep .form-dialog-mid .from-group .set-item cs-radio .radio-item{width:100%}::ng-deep .form-dialog-mid .from-group .set-item .specific-radio{cursor:pointer}::ng-deep .form-dialog-mid .from-group .set-item .specific-radio .circle-radio{background:#fff;border:1px solid #DBDBDB;border-radius:50%;height:1rem;width:1rem}::ng-deep .form-dialog-mid .from-group .set-item .after-select .circle-radio{background:#fff;border:5px solid #34aa44;border-radius:50%;height:1rem;width:1rem}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group{width:calc(100% - 1.75rem)}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group .left{width:calc(100% - 3rem)}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group .left .chip{background:#fff;box-shadow:0 1px 4px #1e5dd326;border-radius:.125rem;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group .left button.count{background:#1e5dd3;border:none;border-radius:.125rem;min-width:1.25rem}::ng-deep .form-dialog-mid .from-group .set-item .after-select .input-group button.edit{background:#34aa44;border:none;border-radius:.125rem}::ng-deep .form-dialog-mid .from-group .choice-item:first-of-type{margin-top:.5rem!important}::ng-deep .form-dialog-mid .from-group .choice-item .number{border-radius:50%;width:1.75rem;height:1.75rem;margin-top:.125rem}::ng-deep .form-dialog-mid .from-group .choice-item .right{width:calc(100% - 2.75rem);position:relative}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]{height:2rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;outline:none;padding:.5rem 2.625rem .5rem .75rem;line-height:1.25rem;font-size:12px;font-weight:400;color:#747576;transition:all .2s ease-in-out;width:100%}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]:hover,::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]:focus{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode input[type=text]::placeholder{color:#dbdbdb;opacity:1}::ng-deep .form-dialog-mid .from-group .choice-item .right .edit-mode button.set-icon{background:#f8f8f8;border-radius:0 .25rem .25rem 0;border:none;position:absolute;top:1px;right:1px;width:1.875rem;height:1.875rem}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1e5dd326;width:100%}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .heading I.info{cursor:pointer}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item app-cs-switch{display:flex;justify-content:start}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item app-cs-switch .cs-switch{width:auto}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .color-box{background:#f1f1f1;border-radius:.125rem;width:1.875rem;height:1.875rem;position:relative}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .color-box input{position:absolute;inset:0;margin:0;width:100%;height:100%;cursor:pointer;opacity:0}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input{border:1px solid #F1F1F1;border-radius:.125rem;height:1.875rem;width:3.75rem}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input input{background:#fff;border:none;border-right:1px solid #F1F1F1;border-radius:0;font-size:12px;font-weight:400;color:#161b2f;padding:0 .5rem;margin:0;width:42px;outline:none}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input .buttons button{background:transparent;border:none;border-radius:0;width:1rem;height:.875rem}::ng-deep .form-dialog-mid .from-group .choice-item .right .set-popup .item .score-input .buttons button.plus-btn{border-bottom:1px solid #F1F1F1}::ng-deep .form-dialog-mid .from-group .choice-item .right .after-set-response{height:2rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#f8f8f8}::ng-deep .form-dialog-mid .from-group .choice-item .right .after-set-response .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .form-dialog-mid .from-group .choice-item .right .after-set-response button{background:transparent;border:none;border-radius:0}::ng-deep .form-dialog-mid .from-group button.add-response-btn{background:transparent;border:none;border-radius:0;padding-left:2.75rem!important}::ng-deep .form-dialog .category-mid{height:calc(100vh - 7.5rem)}::ng-deep .form-dialog .category-mid .search-field{position:relative}::ng-deep .form-dialog .category-mid .search-field input{background:#fff;border:1px solid #7475763F;border-radius:.25rem;color:#161b2f;font-size:13px;font-weight:400;padding:.5rem .75rem .5rem 2.25rem;width:100%;height:2.5rem;outline:none}::ng-deep .form-dialog .category-mid .search-field i.search{position:absolute;top:.75rem;left:1.5rem;color:#f1f1f1}::ng-deep .form-dialog .category-mid .list{height:calc(100vh - 13rem);overflow:auto}::ng-deep .form-dialog .category-mid .list::-webkit-scrollbar-track{background-color:#fff}::ng-deep .form-dialog .category-mid .list ul{list-style-type:none}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.5rem;width:100%}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item .checkbox,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item .checkbox{position:absolute!important;left:0;top:0}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item .checkmark,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;left:0;top:0}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item span,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item span{justify-content:unset!important;margin:0!important}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item span.value,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item span.value{color:#747576!important;font-size:11px!important;width:100%}::ng-deep .form-dialog .category-mid app-cs-checkbox .checkbox-item span.value .name,::ng-deep .form-dialog .category-mid app-cs-checkbox-indeterminate .checkbox-item span.value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .form-dialog .category-bottom{background:#f8f8f8;border-top:1px solid #F1F1F1;height:2.75rem}::ng-deep .form-dialog .category-bottom .count{background:#34aa44;border-radius:.125rem;min-width:1.25rem;height:1.25rem}::ng-deep .form-dialog .category-bottom button.next-btn{background:#1e5dd3;border-radius:.125rem;border:none;width:4rem}::ng-deep .form-dialog-btn{background:#1e5dd3;border:none;border-radius:0;color:#fff;width:100%;height:3.125rem;letter-spacing:1.3px}::ng-deep .form-dialog-btn.disabled{background:#f1f1f1;color:#747576!important;opacity:1;pointer-events:none}\n"] }]
        }], ctorParameters: function () { return []; } });

class ResponseSelectorComponent {
    constructor(dialog) {
        this.dialog = dialog;
        this.responseDetails = false;
    }
    ngOnInit() {
    }
    addResponseSet() {
        const ref = this.dialog.open(AddResponseSetPopupComponent, {
            data: {},
            position: 'RIGHT',
            background: 'black',
        });
    }
    openResponseDetails() {
        this.responseDetails = true;
    }
    backResponse() {
        this.responseDetails = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponseSelectorComponent, deps: [{ token: DialogService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ResponseSelectorComponent, selector: "app-response-selector", ngImport: i0, template: "<div *ngIf=\"!responseDetails\" class=\"response-selector\">\n    <button class=\"close vx-fs-16 vx-label-txt vx-m-0 vx-p-0 vx-d-flex\"><i class=\"icons\">&#xe9ae;</i></button>\n    <div class=\"search-field vx-p-3 vx-pt-0\">\n        <input type=\"search\" placeholder=\"Search form category...\" />\n        <i class=\"icons search vx-fs-14\">&#xe90b;</i>\n    </div>\n    <div class=\"vx-d-flex\">\n        <div class=\"half\">\n            <div class=\"head vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                <div class=\"heading vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">RESPONSE CHOICES</div>\n                <button class=\"add-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"addResponseSet()\">+ ADD</button>\n            </div>\n            <div class=\"body\">\n                <app-no-data *ngIf=\"false\" [noDataImage]=\"'./assets/images/no-data-response.svg'\" [noDataText]=\"'No data to display'\"></app-no-data>\n                <div class=\"response-section vx-p-3 vx-pb-2 vx-pr-0\">\n                    <ul class=\"vx-p-0 vx-pr-3 vx-m-0 vx-mb-3\">\n                        <li class=\"vx-d-flex vx-justify-between vx-mt-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n                            <div class=\"response-data vx-d-flex vx-align-center vx-flex-wrap\">\n                                <span class=\"chip vx-fs-11 vx-lh-4 vx-pl-1 vx-pr-1 vx-mr-1 vx-mb-1\" style=\"background: #66BF721A; color: #34AA44;\">Good</span>\n                                <span class=\"chip vx-fs-11 vx-lh-4 vx-pl-1 vx-pr-1 vx-mr-1 vx-mb-1\" style=\"background: #F2BF191A; color: #F2BF19;\">Fair</span>\n                                <span class=\"chip vx-fs-11 vx-lh-4 vx-pl-1 vx-pr-1 vx-mr-1 vx-mb-1\" style=\"background: #F1F1F1; color: #747576;\">N/A</span>\n                            </div>\n                            <button class=\"edit vx-fs-12 vx-txt-blue vx-p-0 vx-m-0 vx-ml-3 vx-d-flex vx-align-center\" (click)=\"addResponseSet()\"><i class=\"icons\">&#xe9ba;</i></button>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n        <div class=\"half\">\n            <div class=\"head vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                <div class=\"heading vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">GLOBAL RESPONSE CHOICES</div>\n                <button class=\"add-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"addResponseSet()\">+ ADD</button>\n            </div>\n            <div class=\"body\">\n                <app-no-data *ngIf=\"false\" [noDataImage]=\"'./assets/images/no-data-response.svg'\" [noDataText]=\"'No data to display'\"></app-no-data>\n                <div class=\"global-response\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li class=\"vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                            <div class=\"name vx-fs-13 vx-txt-blue\" [appTooltip]=\"'Restaurant locations'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\" (click)=\"openResponseDetails()\">Restaurant locations</div>\n                            <div class=\"vx-d-flex vx-align-center\">\n                                <button class=\"edit vx-fs-12 vx-txt-blue vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center\" (click)=\"addResponseSet()\"><i class=\"icons\">&#xe9ba;</i></button>\n                                <button class=\"arrow vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\" (click)=\"openResponseDetails()\"><i class=\"icons\">&#xe970;</i></button>\n                            </div>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n\n<div *ngIf=\"responseDetails\" class=\"response-details\">\n    <div class=\"response-details-head vx-d-flex vx-align-center vx-justify-between vx-pl-2 vx-pr-2\">\n        <div class=\"heading vx-fs-12 vx-label-txt\" [appTooltip]=\"'Response name'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Response name</div>\n        <div class=\"vx-d-flex vx-align-center\">\n            <button class=\"select-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-m-0 vx-p-0 vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-lh-5\">USE THIS RESPONSE SET</button>\n            <button class=\"back vx-fs-16 vx-label-txt vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\" (click)=\"backResponse()\"><i class=\"icons\">&#xe91d;</i></button>\n        </div>\n    </div>\n    <div class=\"response-details-body\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex vx-align-center vx-justify-between\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1]\">\n                <div class=\"value vx-fs-12 vx-label-txt vx-pl-2\" [appTooltip]=\"'response option'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">response option</div>\n                <div class=\"vx-d-flex vx-align-center\">\n                    <div class=\"failed vx-fs-10 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-lh-4 vx-mr-3\">FAILED RESPONSE</div>\n                    <div class=\"score vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\">SCORE: 3</div>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .response-selector{background:#fff;border-radius:.125rem;box-shadow:0 3px 6px #1e5dd333;padding-top:2rem;position:relative}::ng-deep .response-selector button.close{background:transparent;border:none;border-radius:0;position:absolute;top:.5rem;right:.5rem}::ng-deep .response-selector .search-field{position:relative}::ng-deep .response-selector .search-field input{background:#fff;border:1px solid #7475763F;border-radius:.25rem;color:#161b2f;font-size:13px;font-weight:400;padding:.5rem .75rem .5rem 2.25rem;width:100%;height:2.5rem;outline:none}::ng-deep .response-selector .search-field i.search{position:absolute;top:.8125rem;left:1.5rem;color:#f1f1f1}::ng-deep .response-selector .half{border-top:1px solid #F1F1F1;border-right:1px solid #F1F1F1;width:50%}::ng-deep .response-selector .half:nth-child(2){border-right:none}::ng-deep .response-selector .half .head{background:#fbfbfb;border-bottom:1px solid #F1F1F1;height:2rem}::ng-deep .response-selector .half .head button.add-btn{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;line-height:1.375rem}::ng-deep .response-selector .half .body{background:#fff;max-height:12.75rem}::ng-deep .response-selector .half .body app-no-data .no-data-container .image{width:10rem;margin-top:1rem}::ng-deep .response-selector .half .body app-no-data .no-data-container .text{font-size:14px;margin-bottom:1rem}::ng-deep .response-selector .half .body .response-section ul{list-style-type:none;max-height:11rem;overflow-y:auto}::ng-deep .response-selector .half .body .response-section ul::-webkit-scrollbar-track{background-color:transparent}::ng-deep .response-selector .half .body .response-section ul li:only-child,::ng-deep .response-selector .half .body .response-section ul li:first-of-type{margin-top:0!important}::ng-deep .response-selector .half .body .response-section ul li .response-data{width:calc(100% - 2rem);padding-bottom:.125rem}::ng-deep .response-selector .half .body .response-section ul li .response-data .chip{border-radius:.125rem;cursor:pointer}::ng-deep .response-selector .half .body .response-section ul li button.edit{background:transparent;border:none;border-radius:0;height:1rem}::ng-deep .response-selector .half .body .global-response ul{list-style-type:none;max-height:12.25rem;overflow-y:auto}::ng-deep .response-selector .half .body .global-response ul::-webkit-scrollbar-track{background-color:transparent}::ng-deep .response-selector .half .body .global-response ul li{border-bottom:1px solid #F1F1F1}::ng-deep .response-selector .half .body .global-response ul li .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 4rem);cursor:pointer}::ng-deep .response-selector .half .body .global-response ul li button.edit,::ng-deep .response-selector .half .body .global-response ul li button.arrow{background:transparent;border:none;border-radius:0}::ng-deep .response-details{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .response-details-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.5rem}::ng-deep .response-details-head .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 12rem)}::ng-deep .response-details-head button.select-btn{background:#34aa44;border:none;border-radius:.125rem}::ng-deep .response-details-head button.back{background:transparent;border:none;border-radius:0}::ng-deep .response-details-body ul{list-style-type:none;max-height:17.375rem;overflow-y:auto}::ng-deep .response-details-body ul::-webkit-scrollbar-track{background-color:transparent}::ng-deep .response-details-body ul li{border-bottom:1px solid #F1F1F1}::ng-deep .response-details-body ul li:only-child,::ng-deep .response-details-body ul li:last-of-type{border-bottom:none}::ng-deep .response-details-body ul li .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 15rem)}::ng-deep .response-details-body ul li .failed{background:#d93b41;border-radius:.125rem}::ng-deep .response-details-body ul li .score{background:#fbfbfb;border-radius:0 .25rem .25rem 0;height:2.25rem;width:6rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponseSelectorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-response-selector', template: "<div *ngIf=\"!responseDetails\" class=\"response-selector\">\n    <button class=\"close vx-fs-16 vx-label-txt vx-m-0 vx-p-0 vx-d-flex\"><i class=\"icons\">&#xe9ae;</i></button>\n    <div class=\"search-field vx-p-3 vx-pt-0\">\n        <input type=\"search\" placeholder=\"Search form category...\" />\n        <i class=\"icons search vx-fs-14\">&#xe90b;</i>\n    </div>\n    <div class=\"vx-d-flex\">\n        <div class=\"half\">\n            <div class=\"head vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                <div class=\"heading vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">RESPONSE CHOICES</div>\n                <button class=\"add-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"addResponseSet()\">+ ADD</button>\n            </div>\n            <div class=\"body\">\n                <app-no-data *ngIf=\"false\" [noDataImage]=\"'./assets/images/no-data-response.svg'\" [noDataText]=\"'No data to display'\"></app-no-data>\n                <div class=\"response-section vx-p-3 vx-pb-2 vx-pr-0\">\n                    <ul class=\"vx-p-0 vx-pr-3 vx-m-0 vx-mb-3\">\n                        <li class=\"vx-d-flex vx-justify-between vx-mt-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]\">\n                            <div class=\"response-data vx-d-flex vx-align-center vx-flex-wrap\">\n                                <span class=\"chip vx-fs-11 vx-lh-4 vx-pl-1 vx-pr-1 vx-mr-1 vx-mb-1\" style=\"background: #66BF721A; color: #34AA44;\">Good</span>\n                                <span class=\"chip vx-fs-11 vx-lh-4 vx-pl-1 vx-pr-1 vx-mr-1 vx-mb-1\" style=\"background: #F2BF191A; color: #F2BF19;\">Fair</span>\n                                <span class=\"chip vx-fs-11 vx-lh-4 vx-pl-1 vx-pr-1 vx-mr-1 vx-mb-1\" style=\"background: #F1F1F1; color: #747576;\">N/A</span>\n                            </div>\n                            <button class=\"edit vx-fs-12 vx-txt-blue vx-p-0 vx-m-0 vx-ml-3 vx-d-flex vx-align-center\" (click)=\"addResponseSet()\"><i class=\"icons\">&#xe9ba;</i></button>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n        <div class=\"half\">\n            <div class=\"head vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3\">\n                <div class=\"heading vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\">GLOBAL RESPONSE CHOICES</div>\n                <button class=\"add-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"addResponseSet()\">+ ADD</button>\n            </div>\n            <div class=\"body\">\n                <app-no-data *ngIf=\"false\" [noDataImage]=\"'./assets/images/no-data-response.svg'\" [noDataText]=\"'No data to display'\"></app-no-data>\n                <div class=\"global-response\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li class=\"vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                            <div class=\"name vx-fs-13 vx-txt-blue\" [appTooltip]=\"'Restaurant locations'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\" (click)=\"openResponseDetails()\">Restaurant locations</div>\n                            <div class=\"vx-d-flex vx-align-center\">\n                                <button class=\"edit vx-fs-12 vx-txt-blue vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center\" (click)=\"addResponseSet()\"><i class=\"icons\">&#xe9ba;</i></button>\n                                <button class=\"arrow vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\" (click)=\"openResponseDetails()\"><i class=\"icons\">&#xe970;</i></button>\n                            </div>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n\n<div *ngIf=\"responseDetails\" class=\"response-details\">\n    <div class=\"response-details-head vx-d-flex vx-align-center vx-justify-between vx-pl-2 vx-pr-2\">\n        <div class=\"heading vx-fs-12 vx-label-txt\" [appTooltip]=\"'Response name'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Response name</div>\n        <div class=\"vx-d-flex vx-align-center\">\n            <button class=\"select-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-m-0 vx-p-0 vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-lh-5\">USE THIS RESPONSE SET</button>\n            <button class=\"back vx-fs-16 vx-label-txt vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\" (click)=\"backResponse()\"><i class=\"icons\">&#xe91d;</i></button>\n        </div>\n    </div>\n    <div class=\"response-details-body\">\n        <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-d-flex vx-align-center vx-justify-between\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1, 1]\">\n                <div class=\"value vx-fs-12 vx-label-txt vx-pl-2\" [appTooltip]=\"'response option'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">response option</div>\n                <div class=\"vx-d-flex vx-align-center\">\n                    <div class=\"failed vx-fs-10 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-lh-4 vx-mr-3\">FAILED RESPONSE</div>\n                    <div class=\"score vx-fs-12 vx-fw-500 vx-label-txt vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\">SCORE: 3</div>\n                </div>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .response-selector{background:#fff;border-radius:.125rem;box-shadow:0 3px 6px #1e5dd333;padding-top:2rem;position:relative}::ng-deep .response-selector button.close{background:transparent;border:none;border-radius:0;position:absolute;top:.5rem;right:.5rem}::ng-deep .response-selector .search-field{position:relative}::ng-deep .response-selector .search-field input{background:#fff;border:1px solid #7475763F;border-radius:.25rem;color:#161b2f;font-size:13px;font-weight:400;padding:.5rem .75rem .5rem 2.25rem;width:100%;height:2.5rem;outline:none}::ng-deep .response-selector .search-field i.search{position:absolute;top:.8125rem;left:1.5rem;color:#f1f1f1}::ng-deep .response-selector .half{border-top:1px solid #F1F1F1;border-right:1px solid #F1F1F1;width:50%}::ng-deep .response-selector .half:nth-child(2){border-right:none}::ng-deep .response-selector .half .head{background:#fbfbfb;border-bottom:1px solid #F1F1F1;height:2rem}::ng-deep .response-selector .half .head button.add-btn{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;line-height:1.375rem}::ng-deep .response-selector .half .body{background:#fff;max-height:12.75rem}::ng-deep .response-selector .half .body app-no-data .no-data-container .image{width:10rem;margin-top:1rem}::ng-deep .response-selector .half .body app-no-data .no-data-container .text{font-size:14px;margin-bottom:1rem}::ng-deep .response-selector .half .body .response-section ul{list-style-type:none;max-height:11rem;overflow-y:auto}::ng-deep .response-selector .half .body .response-section ul::-webkit-scrollbar-track{background-color:transparent}::ng-deep .response-selector .half .body .response-section ul li:only-child,::ng-deep .response-selector .half .body .response-section ul li:first-of-type{margin-top:0!important}::ng-deep .response-selector .half .body .response-section ul li .response-data{width:calc(100% - 2rem);padding-bottom:.125rem}::ng-deep .response-selector .half .body .response-section ul li .response-data .chip{border-radius:.125rem;cursor:pointer}::ng-deep .response-selector .half .body .response-section ul li button.edit{background:transparent;border:none;border-radius:0;height:1rem}::ng-deep .response-selector .half .body .global-response ul{list-style-type:none;max-height:12.25rem;overflow-y:auto}::ng-deep .response-selector .half .body .global-response ul::-webkit-scrollbar-track{background-color:transparent}::ng-deep .response-selector .half .body .global-response ul li{border-bottom:1px solid #F1F1F1}::ng-deep .response-selector .half .body .global-response ul li .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 4rem);cursor:pointer}::ng-deep .response-selector .half .body .global-response ul li button.edit,::ng-deep .response-selector .half .body .global-response ul li button.arrow{background:transparent;border:none;border-radius:0}::ng-deep .response-details{background:#fff;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .response-details-head{background:#f8f8f8;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.5rem}::ng-deep .response-details-head .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 12rem)}::ng-deep .response-details-head button.select-btn{background:#34aa44;border:none;border-radius:.125rem}::ng-deep .response-details-head button.back{background:transparent;border:none;border-radius:0}::ng-deep .response-details-body ul{list-style-type:none;max-height:17.375rem;overflow-y:auto}::ng-deep .response-details-body ul::-webkit-scrollbar-track{background-color:transparent}::ng-deep .response-details-body ul li{border-bottom:1px solid #F1F1F1}::ng-deep .response-details-body ul li:only-child,::ng-deep .response-details-body ul li:last-of-type{border-bottom:none}::ng-deep .response-details-body ul li .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 15rem)}::ng-deep .response-details-body ul li .failed{background:#d93b41;border-radius:.125rem}::ng-deep .response-details-body ul li .score{background:#fbfbfb;border-radius:0 .25rem .25rem 0;height:2.25rem;width:6rem}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogService }]; } });

class QuestionPageFilterPipe {
    transform(value, ...args) {
        return value.filter((question) => question?.page === args[0]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionPageFilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: QuestionPageFilterPipe, name: "questionPageFilter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionPageFilterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'questionPageFilter'
                }]
        }] });

class MoveComponent {
    constructor(snackbar) {
        this.snackbar = snackbar;
        this.openPortal = '';
        this.currentPage = 1;
        this.position = 'After';
        this.positions = ['After', 'Before'];
    }
    ngOnInit() {
    }
    setSelectedQuestion(evt) {
        this.selectedQuestion = this.service.formsPage.elements.findIndex((x) => x.name === evt);
        if (this.selectedQuestion > -1) {
            this.questionDetail = this.service.formsPage.elements[this.selectedQuestion];
        }
    }
    move() {
        let nextIndex;
        const message = 'The question has been moved.';
        if (this.selectedQuestion !== undefined) {
            if (this.position === 'Before') {
                if (this.questionIndex >= this.selectedQuestion) {
                    nextIndex = this.selectedQuestion;
                    this.service.activeQuestion = nextIndex;
                    if (nextIndex === 0) {
                        // ' of page ' ${this.currentPage}
                        // message = `Question moved to position ' ${nextIndex + 1}  `;
                    }
                    else {
                        // message = `Question moved to position ' ${nextIndex}`;
                    }
                }
                else {
                    nextIndex = this.selectedQuestion - 1;
                    this.service.activeQuestion = nextIndex;
                    // message = `Question moved to position ' ${nextIndex + 1}`;
                }
            }
            if (this.position === 'After') {
                if (this.questionIndex > this.selectedQuestion) {
                    nextIndex = this.selectedQuestion + 1;
                    this.service.activeQuestion = nextIndex;
                    // message = `Question moved to position ' ${nextIndex + 1}`;
                }
                else {
                    nextIndex = this.selectedQuestion;
                    this.service.activeQuestion = nextIndex;
                    // message = `Question moved to position ' ${nextIndex + 1}`;
                }
            }
            this.service.formsPage.elements[this.questionIndex].page = this.currentPage;
            this.service.moveQuestion(this.questionIndex, nextIndex);
            //  this.snackbar.snackbar.next(message);
            this.snackbar.show(message, 'success');
            setTimeout(() => {
                this.moveElement.nativeElement.scrollIntoView({ behavior: 'smooth', block: 'center' });
            }, 400);
        }
        else {
            this.snackbar.show('Please select a reference question to move', 'alert');
        }
    }
    onPageChange(evt) {
        if (![...new Set(this.service.formsPage.elements.map((element) => element.page))].includes(evt)) {
            this.emptyPage = true;
        }
        else {
            this.emptyPage = false;
        }
    }
    changePage(evt) {
        this.currentPage = evt;
    }
    changePosition(evt) {
        this.position = evt;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoveComponent, deps: [{ token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: MoveComponent, selector: "app-move", inputs: { questionIndex: "questionIndex", question: "question", service: "service", openPortal: "openPortal" }, viewQueries: [{ propertyName: "moveElement", first: true, predicate: ["moveTemplate"], descendants: true }], ngImport: i0, template: "<div class=\"move-area\">\n    <div class=\"move-heading vx-fs-13 vx-paragraph-txt vx-mb-4\">Move the question to</div>\n    <div class=\"vx-d-flex\">\n        <div *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"  class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT PAGE</div>\n            <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3\" appPopover (click)=\"pageAction.popover()\" placement=\"right\">\n                <span class=\"value vx-fs-13 vx-paragraph-txt\">{{currentPage}}</span>\n                <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            </div>\n            <app-popover #pageAction>\n                <div class=\"move-popup\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li *ngFor=\"let data of service?.allPages\">\n                            <button  (click)=\"onPageChange(data);changePage(data)\" class=\"vx-fs-13 vx-paragraph-txt vx-p-2 vx-pl-3 vx-m-0 vx-d-flex vx-align-center vx-w-100\">{{data}}</button>\n                        </li>\n                    </ul>\n                </div>\n            </app-popover>\n        </div>\n        <div class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT POSITION</div>\n            <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3\" appPopover (click)=\"positionAction.popover()\" placement=\"right\">\n                <span class=\"value vx-fs-13 vx-paragraph-txt\">{{position}}</span>\n                <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            </div>\n            <app-popover #positionAction>\n                <div class=\"move-popup\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li *ngFor =\"let position of positions\">\n                            <button (click)=\"changePosition(position)\" class=\"vx-fs-13 vx-paragraph-txt vx-p-2 vx-pl-3 vx-m-0 vx-d-flex vx-align-center vx-w-100\">{{position}}</button>\n                        </li>\n\n                    </ul>\n                </div>\n            </app-popover>\n        </div>\n        <div class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT QUESTION</div>\n            <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3\" appPopover (click)=\"questionAction.popover()\" placement=\"right\">\n                <span class=\"value vx-fs-13 vx-paragraph-txt\"> {{questionDetail?.title ? questionDetail?.title:'Select question'}}</span>\n                <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            </div>\n            <app-popover #questionAction>\n                <div class=\"move-popup\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li *ngFor=\"let data of (service.formsPage.elements  | questionPageFilter : currentPage)\">\n                            <button class=\"vx-p-2 vx-pl-3 vx-m-0 vx-d-flex vx-align-center vx-w-100\" (click)=\"setSelectedQuestion(data?.name)\">\n                                <span class=\"vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"data?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{data?.title}}</span>\n                            </button>\n                        </li>\n                    </ul>\n                </div>\n            </app-popover>\n        </div>\n        <div class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5\"></div>\n            <button class=\"move\" appRipple (click)=\"move()\">Move</button>\n        </div>\n        <p class=\"error-mgs\" *ngIf=\"emptyPage===true\">\n            Selected page doesn't contains any question.\n        </p>\n</div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.move-area .move-item{width:15rem}.move-area .move-item .select-box{border:1px solid #DBDBDB;border-radius:.25rem;height:2.25rem;cursor:pointer}.move-popup{background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:.25rem;width:15rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}.move-popup ul{list-style-type:none;max-height:10rem;overflow-y:auto}.move-popup ul li{border-bottom:1px solid #F1F1F1}.move-popup ul li:only-child,.move-popup ul li:last-of-type{border-bottom:none}.move-popup ul li button{background:transparent;border:none;border-radius:0;text-align:left}.move-popup ul li button span{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.move-popup ul li:hover{background:#f1f1f1}.error-mgs{font-size:12px;color:#d93b41;margin-top:5px!important}.move{height:36px;padding:0 25px;border-radius:4px;border:1px solid #1e5dd3;background:#1e5dd3;cursor:pointer;outline:none;color:#fff;font-weight:500;font-size:11px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "pipe", type: QuestionPageFilterPipe, name: "questionPageFilter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoveComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-move', template: "<div class=\"move-area\">\n    <div class=\"move-heading vx-fs-13 vx-paragraph-txt vx-mb-4\">Move the question to</div>\n    <div class=\"vx-d-flex\">\n        <div *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"  class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT PAGE</div>\n            <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3\" appPopover (click)=\"pageAction.popover()\" placement=\"right\">\n                <span class=\"value vx-fs-13 vx-paragraph-txt\">{{currentPage}}</span>\n                <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            </div>\n            <app-popover #pageAction>\n                <div class=\"move-popup\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li *ngFor=\"let data of service?.allPages\">\n                            <button  (click)=\"onPageChange(data);changePage(data)\" class=\"vx-fs-13 vx-paragraph-txt vx-p-2 vx-pl-3 vx-m-0 vx-d-flex vx-align-center vx-w-100\">{{data}}</button>\n                        </li>\n                    </ul>\n                </div>\n            </app-popover>\n        </div>\n        <div class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT POSITION</div>\n            <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3\" appPopover (click)=\"positionAction.popover()\" placement=\"right\">\n                <span class=\"value vx-fs-13 vx-paragraph-txt\">{{position}}</span>\n                <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            </div>\n            <app-popover #positionAction>\n                <div class=\"move-popup\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li *ngFor =\"let position of positions\">\n                            <button (click)=\"changePosition(position)\" class=\"vx-fs-13 vx-paragraph-txt vx-p-2 vx-pl-3 vx-m-0 vx-d-flex vx-align-center vx-w-100\">{{position}}</button>\n                        </li>\n\n                    </ul>\n                </div>\n            </app-popover>\n        </div>\n        <div class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT QUESTION</div>\n            <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3\" appPopover (click)=\"questionAction.popover()\" placement=\"right\">\n                <span class=\"value vx-fs-13 vx-paragraph-txt\"> {{questionDetail?.title ? questionDetail?.title:'Select question'}}</span>\n                <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n            </div>\n            <app-popover #questionAction>\n                <div class=\"move-popup\">\n                    <ul class=\"vx-p-0 vx-m-0\">\n                        <li *ngFor=\"let data of (service.formsPage.elements  | questionPageFilter : currentPage)\">\n                            <button class=\"vx-p-2 vx-pl-3 vx-m-0 vx-d-flex vx-align-center vx-w-100\" (click)=\"setSelectedQuestion(data?.name)\">\n                                <span class=\"vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"data?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{data?.title}}</span>\n                            </button>\n                        </li>\n                    </ul>\n                </div>\n            </app-popover>\n        </div>\n        <div class=\"move-item vx-mr-3\">\n            <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5\"></div>\n            <button class=\"move\" appRipple (click)=\"move()\">Move</button>\n        </div>\n        <p class=\"error-mgs\" *ngIf=\"emptyPage===true\">\n            Selected page doesn't contains any question.\n        </p>\n</div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.move-area .move-item{width:15rem}.move-area .move-item .select-box{border:1px solid #DBDBDB;border-radius:.25rem;height:2.25rem;cursor:pointer}.move-popup{background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:.25rem;width:15rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}.move-popup ul{list-style-type:none;max-height:10rem;overflow-y:auto}.move-popup ul li{border-bottom:1px solid #F1F1F1}.move-popup ul li:only-child,.move-popup ul li:last-of-type{border-bottom:none}.move-popup ul li button{background:transparent;border:none;border-radius:0;text-align:left}.move-popup ul li button span{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.move-popup ul li:hover{background:#f1f1f1}.error-mgs{font-size:12px;color:#d93b41;margin-top:5px!important}.move{height:36px;padding:0 25px;border-radius:4px;border:1px solid #1e5dd3;background:#1e5dd3;cursor:pointer;outline:none;color:#fff;font-weight:500;font-size:11px}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }]; }, propDecorators: { questionIndex: [{
                type: Input
            }], question: [{
                type: Input
            }], service: [{
                type: Input
            }], openPortal: [{
                type: Input
            }], moveElement: [{
                type: ViewChild,
                args: ['moveTemplate']
            }] } });

class LogicMultipleChoiceComponent {
    constructor() {
        this.changeEvent = new EventEmitter();
    }
    ngOnInit() {
    }
    radioChecked(evt, choice) {
        this.changeEvent.emit({ checked: evt, choice });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicMultipleChoiceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicMultipleChoiceComponent, selector: "app-logic-multiple-choice", inputs: { question: "question" }, outputs: { changeEvent: "changeEvent" }, ngImport: i0, template: "<div class=\"logic-multiple-choice\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-p-3 vx-pb-2 vx-mb-1 vx-w-100\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n            <app-cs-radio  (checkedEvent) = \"radioChecked($event,choice)\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"choice?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{choice?.title}}</div>\n            </app-cs-radio>\n        </li>\n        <li class=\"vx-p-3 vx-pb-2 vx-mb-1 vx-w-100\" *ngIf='question?.hasOther'>\n            <app-cs-radio  (checkedEvent) = \"radioChecked($event,{title:'Other'})\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"'Other'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Other</div>\n            </app-cs-radio>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-multiple-choice ul{list-style-type:none}::ng-deep .logic-multiple-choice ul li{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-multiple-choice ul li cs-radio{width:100%!important}::ng-deep .logic-multiple-choice ul li cs-radio .radio-item{width:100%!important}::ng-deep .logic-multiple-choice ul li cs-radio .radio-item .value{width:100%}::ng-deep .logic-multiple-choice ul li cs-radio .radio-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicMultipleChoiceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-multiple-choice', template: "<div class=\"logic-multiple-choice\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-p-3 vx-pb-2 vx-mb-1 vx-w-100\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n            <app-cs-radio  (checkedEvent) = \"radioChecked($event,choice)\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"choice?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{choice?.title}}</div>\n            </app-cs-radio>\n        </li>\n        <li class=\"vx-p-3 vx-pb-2 vx-mb-1 vx-w-100\" *ngIf='question?.hasOther'>\n            <app-cs-radio  (checkedEvent) = \"radioChecked($event,{title:'Other'})\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"'Other'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Other</div>\n            </app-cs-radio>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-multiple-choice ul{list-style-type:none}::ng-deep .logic-multiple-choice ul li{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-multiple-choice ul li cs-radio{width:100%!important}::ng-deep .logic-multiple-choice ul li cs-radio .radio-item{width:100%!important}::ng-deep .logic-multiple-choice ul li cs-radio .radio-item .value{width:100%}::ng-deep .logic-multiple-choice ul li cs-radio .radio-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], changeEvent: [{
                type: Output
            }] } });

class LogicCheckboxComponent {
    constructor() {
        this.changeEvent = new EventEmitter();
    }
    ngOnInit() {
    }
    emitChange(evt, choice) {
        this.changeEvent.emit({ checked: evt, choice });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicCheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicCheckboxComponent, selector: "app-logic-checkbox", inputs: { question: "question" }, outputs: { changeEvent: "changeEvent" }, ngImport: i0, template: "<div class=\"logic-checkbox\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-p-3 vx-pt-2 vx-mb-1 vx-w-100\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n            <app-cs-checkbox  (ngValueChange)=\"emitChange($event,choice)\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"choice?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{choice?.title}}</div>\n            </app-cs-checkbox>\n        </li>\n        <li class=\"vx-p-3 vx-pt-2 vx-mb-1 vx-w-100\" *ngIf='question?.hasOther'>\n            <app-cs-checkbox (ngValueChange)=\"emitChange($event,{title:'Other'})\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"'Other'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Other</div>\n            </app-cs-checkbox>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-checkbox ul{list-style-type:none}::ng-deep .logic-checkbox ul li{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-checkbox ul li app-cs-checkbox{display:block;width:100%!important}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item{width:100%!important;padding-left:1rem!important;position:relative}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0!important;left:0!important}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .value{width:100%!important;justify-content:start!important}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsCheckboxComponentUI, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-checkbox', template: "<div class=\"logic-checkbox\">\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li class=\"vx-p-3 vx-pt-2 vx-mb-1 vx-w-100\" *ngFor=\"let choice of question?.choices; let choiceIndex = index\">\n            <app-cs-checkbox  (ngValueChange)=\"emitChange($event,choice)\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"choice?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{choice?.title}}</div>\n            </app-cs-checkbox>\n        </li>\n        <li class=\"vx-p-3 vx-pt-2 vx-mb-1 vx-w-100\" *ngIf='question?.hasOther'>\n            <app-cs-checkbox (ngValueChange)=\"emitChange($event,{title:'Other'})\">\n                <div class=\"name vx-fs-13 vx-paragraph-txt\" [appTooltip]=\"'Other'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Other</div>\n            </app-cs-checkbox>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-checkbox ul{list-style-type:none}::ng-deep .logic-checkbox ul li{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-checkbox ul li app-cs-checkbox{display:block;width:100%!important}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item{width:100%!important;padding-left:1rem!important;position:relative}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0!important;left:0!important}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .value{width:100%!important;justify-content:start!important}::ng-deep .logic-checkbox ul li app-cs-checkbox .checkbox-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], changeEvent: [{
                type: Output
            }] } });

class LogicImageChoiceComponent {
    constructor() {
        this.ASSETS = ASSETS;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicImageChoiceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicImageChoiceComponent, selector: "app-logic-image-choice", ngImport: i0, template: "<div class=\"logic-image-choice\">\n  <ul class=\"vx-p-0 vx-m-0\">\n    <li class=\"vx-p-3 vx-pb-2 vx-mb-1 vx-w-100\" *ngFor=\"let data of [1, 1, 1]\">\n      <app-cs-radio>\n        <div class=\"image-box vx-mr-2 vx-mb-1\">\n          <img [src]=\"ASSETS.logic_image_choice\" />\n        </div>\n        <div\n          class=\"name vx-fs-13 vx-paragraph-txt\"\n          [appTooltip]=\"'Question name'\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n        >\n          Question name\n        </div>\n      </app-cs-radio>\n    </li>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-image-choice ul{list-style-type:none}::ng-deep .logic-image-choice ul li{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-image-choice ul li cs-radio{width:100%!important}::ng-deep .logic-image-choice ul li cs-radio .radio-item{width:100%!important}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value{width:100%}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value .image-box{border:1px solid #F1F1F1;border-radius:.125rem;width:5rem;height:3rem}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value .image-box img{border-radius:.125rem;width:100%;height:100%}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5.5rem)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicImageChoiceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-image-choice', template: "<div class=\"logic-image-choice\">\n  <ul class=\"vx-p-0 vx-m-0\">\n    <li class=\"vx-p-3 vx-pb-2 vx-mb-1 vx-w-100\" *ngFor=\"let data of [1, 1, 1]\">\n      <app-cs-radio>\n        <div class=\"image-box vx-mr-2 vx-mb-1\">\n          <img [src]=\"ASSETS.logic_image_choice\" />\n        </div>\n        <div\n          class=\"name vx-fs-13 vx-paragraph-txt\"\n          [appTooltip]=\"'Question name'\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n        >\n          Question name\n        </div>\n      </app-cs-radio>\n    </li>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-image-choice ul{list-style-type:none}::ng-deep .logic-image-choice ul li{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-image-choice ul li cs-radio{width:100%!important}::ng-deep .logic-image-choice ul li cs-radio .radio-item{width:100%!important}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value{width:100%}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value .image-box{border:1px solid #F1F1F1;border-radius:.125rem;width:5rem;height:3rem}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value .image-box img{border-radius:.125rem;width:100%;height:100%}::ng-deep .logic-image-choice ul li cs-radio .radio-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5.5rem)}\n"] }]
        }], ctorParameters: function () { return []; } });

class LogicStarRatingComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicStarRatingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicStarRatingComponent, selector: "app-logic-star-rating", ngImport: i0, template: "<div class=\"logic-star-rating\">\n    <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n        <li class=\"vx-mr-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n            <button class=\"vx-fs-14 vx-label-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" style=\"color: #1e5dd3;\" [appTooltip]=\"'Information details here...'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                <!-- Smiley -->\n                <i *ngIf=\"true\" class=\"icons\">&#xea66;</i>\n                <!-- Thumb -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea84;</i>\n                <!-- Star -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea70;</i>\n                <!-- Heart -->\n                <i *ngIf=\"false\" class=\"icons\">&#xe9ea;</i>\n                <!-- Number -->\n                <span *ngIf=\"false\">10</span>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-star-rating ul{list-style-type:none}::ng-deep .logic-star-rating ul li{border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-star-rating ul li button{background:transparent;border:none;border-radius:0;width:2rem;height:2rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicStarRatingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-star-rating', template: "<div class=\"logic-star-rating\">\n    <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n        <li class=\"vx-mr-2\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n            <button class=\"vx-fs-14 vx-label-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" style=\"color: #1e5dd3;\" [appTooltip]=\"'Information details here...'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                <!-- Smiley -->\n                <i *ngIf=\"true\" class=\"icons\">&#xea66;</i>\n                <!-- Thumb -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea84;</i>\n                <!-- Star -->\n                <i *ngIf=\"false\" class=\"icons\">&#xea70;</i>\n                <!-- Heart -->\n                <i *ngIf=\"false\" class=\"icons\">&#xe9ea;</i>\n                <!-- Number -->\n                <span *ngIf=\"false\">10</span>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-star-rating ul{list-style-type:none}::ng-deep .logic-star-rating ul li{border:1px solid #F1F1F1;border-radius:.25rem}::ng-deep .logic-star-rating ul li button{background:transparent;border:none;border-radius:0;width:2rem;height:2rem}\n"] }]
        }], ctorParameters: function () { return []; } });

class LogicSingleTextboxComponent {
    constructor() {
        this.changeEvent = new EventEmitter();
    }
    ngOnInit() {
    }
    dataChanged() {
        this.changeEvent.emit(this.selectedValue);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicSingleTextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicSingleTextboxComponent, selector: "app-logic-single-textbox", inputs: { question: "question" }, outputs: { changeEvent: "changeEvent" }, ngImport: i0, template: "<div class=\"logic-single-textbox\">\n    <input type=\"text\"  [(ngModel)]=\"selectedValue\"\n    [placeholder]=\"'Please enter a response'\" (ngModelChange)=\"dataChanged()\"/>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.logic-single-textbox input{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;height:2.5rem;padding:.5rem .75rem;width:37.5rem;outline:none;transition:all .2s ease-in-out}.logic-single-textbox input:hover,.logic-single-textbox input:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicSingleTextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-single-textbox', template: "<div class=\"logic-single-textbox\">\n    <input type=\"text\"  [(ngModel)]=\"selectedValue\"\n    [placeholder]=\"'Please enter a response'\" (ngModelChange)=\"dataChanged()\"/>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.logic-single-textbox input{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;height:2.5rem;padding:.5rem .75rem;width:37.5rem;outline:none;transition:all .2s ease-in-out}.logic-single-textbox input:hover,.logic-single-textbox input:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], changeEvent: [{
                type: Output
            }] } });

class LogicCommentBoxComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicCommentBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicCommentBoxComponent, selector: "app-logic-comment-box", ngImport: i0, template: "<div class=\"logic-comment-box\">\n    <textarea type=\"text\" placeholder=\"Please enter a response\"></textarea>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.logic-comment-box textarea{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;width:37.5rem;height:8rem;padding:.5rem .75rem;outline:none;resize:none;transition:all .2s ease-in-out}.logic-comment-box textarea:hover,.logic-comment-box textarea:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicCommentBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-comment-box', template: "<div class=\"logic-comment-box\">\n    <textarea type=\"text\" placeholder=\"Please enter a response\"></textarea>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.logic-comment-box textarea{border:1px solid #DBDBDB;border-radius:.25rem;color:#747576;font-size:13px;width:37.5rem;height:8rem;padding:.5rem .75rem;outline:none;resize:none;transition:all .2s ease-in-out}.logic-comment-box textarea:hover,.logic-comment-box textarea:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}\n"] }]
        }], ctorParameters: function () { return []; } });

class LogicDropdownComponent {
    set questionSet(value) {
        this.question = value;
        if (this.question.hasOther) {
            this.question.choices.push({ title: 'Other', value: 'Other' });
        }
    }
    constructor() {
        this.changeEvent = new EventEmitter();
    }
    ngOnInit() {
    }
    emitChange(choice) {
        this.changeEvent.emit({ choice: { title: choice } });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicDropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicDropdownComponent, selector: "app-logic-dropdown", inputs: { question: "question", questionSet: ["question", "questionSet"] }, outputs: { changeEvent: "changeEvent" }, ngImport: i0, template: "<div class=\"logic-dropdown\">\n    <app-cs-select [dataList]='question?.choices' [valueKey]=\"'title'\" [displayProperty]=\"'title'\" [selectedValue]=\"'Select an option'\" (selectedValueChange)=\"emitChange($event)\"></app-cs-select>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-dropdown{width:37.5rem}::ng-deep .logic-dropdown app-cs-select .input-group .custom-select-box input{height:2.5rem!important}\n"], dependencies: [{ kind: "component", type: CsSelectComponentUI, selector: "app-cs-select", inputs: ["dataList", "dropdownLabel", "displayProperty", "selectedValue", "isRequired", "dropdownSubLabel", "disabled", "placeholder", "stylex", "valueKey", "multipleSelect", "colorProperty", "colorSelected"], outputs: ["selectedData", "selectedValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-dropdown', template: "<div class=\"logic-dropdown\">\n    <app-cs-select [dataList]='question?.choices' [valueKey]=\"'title'\" [displayProperty]=\"'title'\" [selectedValue]=\"'Select an option'\" (selectedValueChange)=\"emitChange($event)\"></app-cs-select>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-dropdown{width:37.5rem}::ng-deep .logic-dropdown app-cs-select .input-group .custom-select-box input{height:2.5rem!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], questionSet: [{
                type: Input,
                args: ['question']
            }], changeEvent: [{
                type: Output
            }] } });

class LogicRankingComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicRankingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicRankingComponent, selector: "app-logic-ranking", ngImport: i0, template: "<div class=\"logic-ranking\">\n    <ul class=\"ranking-area vx-p-0 vx-m-0\">\n        <ng-container *ngFor=\"let data of [1, 1, 1, 1, 1]\">\n            <div *ngIf=\"false\" class=\"example-custom-placeholder cdk-drag-placeholder vx-mt-1\"></div>\n            <li class=\"vx-d-flex vx-align-center vx-mt-1\">\n                <div class=\"drag-area vx-d-flex\">\n                    <span class=\"move-icon vx-d-inline-flex vx-justify-center vx-align-center vx-p-1 vx-fs-12 vx-bg-grey \">\n                        <i class=\"icons\">&#xe9d7;</i>\n                    </span>\n                    <input type=\"text\" class=\"rank vx-bg-white vx-paragraph-txt vx-justify-center vx-align-center vx-fs-12 vx-lh-20\" placeholder='1' disabled> \n                    <span class=\"value vx-p-2 vx-lh-6 vx-justify-center vx-align-center vx-paragraph-txt vx-fs-12 vx-bg-grey \" [appTooltip]=\"'Many desktop publishing packages and web page editors.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Many desktop publishing packages and web page editors desktop publishing packages and web page editors.</span>\n                </div>\n            </li>\n        </ng-container>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-ranking ul.ranking-area{width:37.5rem}::ng-deep .logic-ranking ul .cdk-drag-placeholder{background:#fbfbfb;border:1px dashed #DBDBDB;height:2.625rem}::ng-deep .logic-ranking ul li .drag-area{width:100%}::ng-deep .logic-ranking ul li .drag-area .move-icon{border-radius:.25rem 0 0 .25rem;width:2.625rem;min-width:2.625rem;height:2.625rem;cursor:move}::ng-deep .logic-ranking ul li .drag-area input{width:3.75rem;border:1px solid #F1F1F1;padding:.5rem .75rem;outline:none;cursor:text;margin:0}::ng-deep .logic-ranking ul li .drag-area .value{border-radius:0 .25rem .25rem 0;white-space:nowrap;display:block;overflow:hidden;text-overflow:ellipsis;border:1px solid #F1F1F1;width:calc(100% - 60px)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicRankingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-ranking', template: "<div class=\"logic-ranking\">\n    <ul class=\"ranking-area vx-p-0 vx-m-0\">\n        <ng-container *ngFor=\"let data of [1, 1, 1, 1, 1]\">\n            <div *ngIf=\"false\" class=\"example-custom-placeholder cdk-drag-placeholder vx-mt-1\"></div>\n            <li class=\"vx-d-flex vx-align-center vx-mt-1\">\n                <div class=\"drag-area vx-d-flex\">\n                    <span class=\"move-icon vx-d-inline-flex vx-justify-center vx-align-center vx-p-1 vx-fs-12 vx-bg-grey \">\n                        <i class=\"icons\">&#xe9d7;</i>\n                    </span>\n                    <input type=\"text\" class=\"rank vx-bg-white vx-paragraph-txt vx-justify-center vx-align-center vx-fs-12 vx-lh-20\" placeholder='1' disabled> \n                    <span class=\"value vx-p-2 vx-lh-6 vx-justify-center vx-align-center vx-paragraph-txt vx-fs-12 vx-bg-grey \" [appTooltip]=\"'Many desktop publishing packages and web page editors.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Many desktop publishing packages and web page editors desktop publishing packages and web page editors.</span>\n                </div>\n            </li>\n        </ng-container>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-ranking ul.ranking-area{width:37.5rem}::ng-deep .logic-ranking ul .cdk-drag-placeholder{background:#fbfbfb;border:1px dashed #DBDBDB;height:2.625rem}::ng-deep .logic-ranking ul li .drag-area{width:100%}::ng-deep .logic-ranking ul li .drag-area .move-icon{border-radius:.25rem 0 0 .25rem;width:2.625rem;min-width:2.625rem;height:2.625rem;cursor:move}::ng-deep .logic-ranking ul li .drag-area input{width:3.75rem;border:1px solid #F1F1F1;padding:.5rem .75rem;outline:none;cursor:text;margin:0}::ng-deep .logic-ranking ul li .drag-area .value{border-radius:0 .25rem .25rem 0;white-space:nowrap;display:block;overflow:hidden;text-overflow:ellipsis;border:1px solid #F1F1F1;width:calc(100% - 60px)}\n"] }]
        }], ctorParameters: function () { return []; } });

class LogicSliderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicSliderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicSliderComponent, selector: "app-logic-slider", ngImport: i0, template: "<div class=\"logic-slider vx-d-flex vx-align-center vx-p-4 vx-bg-white \">\n    <div class=\"slider-left vx-mr-2\">\n        <div class=\"range-slider\">\n         <input type=\"range\" min=\"1\" max=\"100\" value=\"50\" class=\"vx-slider\">\n        </div>\n        <div class=\"labels vx-justify-between vx-d-flex vx-fs-12\">\n            <span >0</span>\n            <span>100</span>\n        </div>\n    </div>\n    <div class=\"slider-right\">\n        <input type=\"text\" value='50' class=\"vx-text-center\">\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/forms/range-slider.css\";::ng-deep .logic-slider{width:37.5rem;box-shadow:0 0 10px #f1f1f1;border:1px solid #DBDBDB;border-radius:.125rem}::ng-deep .logic-slider .slider-left{width:calc(100% - 3.125rem)}::ng-deep .logic-slider .slider-right{width:3.125rem}::ng-deep .logic-slider .slider-right input{display:block;border-radius:.125rem;border:1px solid #F1F1F1;color:#161b2f;font-size:12px;width:100%;height:2.5rem;line-height:2.5rem;outline:none}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicSliderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-slider', template: "<div class=\"logic-slider vx-d-flex vx-align-center vx-p-4 vx-bg-white \">\n    <div class=\"slider-left vx-mr-2\">\n        <div class=\"range-slider\">\n         <input type=\"range\" min=\"1\" max=\"100\" value=\"50\" class=\"vx-slider\">\n        </div>\n        <div class=\"labels vx-justify-between vx-d-flex vx-fs-12\">\n            <span >0</span>\n            <span>100</span>\n        </div>\n    </div>\n    <div class=\"slider-right\">\n        <input type=\"text\" value='50' class=\"vx-text-center\">\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/forms/range-slider.css\";::ng-deep .logic-slider{width:37.5rem;box-shadow:0 0 10px #f1f1f1;border:1px solid #DBDBDB;border-radius:.125rem}::ng-deep .logic-slider .slider-left{width:calc(100% - 3.125rem)}::ng-deep .logic-slider .slider-right{width:3.125rem}::ng-deep .logic-slider .slider-right input{display:block;border-radius:.125rem;border:1px solid #F1F1F1;color:#161b2f;font-size:12px;width:100%;height:2.5rem;line-height:2.5rem;outline:none}\n"] }]
        }], ctorParameters: function () { return []; } });

class LogicMultipleTextboxComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicMultipleTextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicMultipleTextboxComponent, selector: "app-logic-multiple-textbox", ngImport: i0, template: "<div class=\"logic-multiple-textbox vx-d-block\">\n    <div class=\"input-group vx-d-flex vx-mb-2\" *ngFor=\"let data of [1, 1, 1]\">\n        <span class=\"vx-bg-grey vx-label-txt vx-lh-20 vx-fs-12 vx-align-center vx-lh-5 vx-p-2\" [appTooltip]=\"'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.</span>\n        <input class=\"vx-fs-12 vx-lh-20 vx-paragraph-txt vx-p-2\" type=\"text\" placeholder='Please enter a response'>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-multiple-textbox{max-width:37.5rem}::ng-deep .logic-multiple-textbox .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .logic-multiple-textbox .input-group span{width:7.5rem;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .logic-multiple-textbox .input-group input{width:calc(100% - 7.5rem);border:none;outline:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicMultipleTextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-multiple-textbox', template: "<div class=\"logic-multiple-textbox vx-d-block\">\n    <div class=\"input-group vx-d-flex vx-mb-2\" *ngFor=\"let data of [1, 1, 1]\">\n        <span class=\"vx-bg-grey vx-label-txt vx-lh-20 vx-fs-12 vx-align-center vx-lh-5 vx-p-2\" [appTooltip]=\"'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s.'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.</span>\n        <input class=\"vx-fs-12 vx-lh-20 vx-paragraph-txt vx-p-2\" type=\"text\" placeholder='Please enter a response'>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-multiple-textbox{max-width:37.5rem}::ng-deep .logic-multiple-textbox .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .logic-multiple-textbox .input-group span{width:7.5rem;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .logic-multiple-textbox .input-group input{width:calc(100% - 7.5rem);border:none;outline:none}\n"] }]
        }], ctorParameters: function () { return []; } });

class LogicDateTimeComponent {
    constructor(commonService) {
        this.commonService = commonService;
        this.datepickerOverlay = false;
        this.changeEvent = new EventEmitter();
    }
    ngOnInit() { }
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datepickerOverlay = true;
    }
    closeDatepicker() {
        this.datePicker?.api?.close();
        this.datepickerOverlay = false;
    }
    dateChanged(evt) { }
    timeChanged(evt) { }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'date-picker',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datepickerOverlay
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicDateTimeComponent, deps: [{ token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicDateTimeComponent, selector: "app-logic-date-time", inputs: { question: "question" }, outputs: { changeEvent: "changeEvent" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"logic-date-time vx-mb-5\">\n  <div class=\"input-group vx-d-flex vx-mb-2\" *ngIf=\"question.hasDate\">\n    <span\n      class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n    >\n      <span\n        class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n        [appTooltip]=\"'Date of birth'\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n        >{{ question?.date?.title ? question?.date?.title : \"Date\" }}</span\n      >\n    </span>\n    <div class=\"date-time-area\">\n      <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe996;</i>\n      <input\n        class=\"datePicker\"\n        (click)=\"openDatePicker()\"\n        placeholder=\"Enter Date\"\n        id=\"date-picker\"\n      />\n      <dp-date-picker\n        (onChange)=\"dateChanged($event)\"\n        [(ngModel)]=\"question.date.value\"\n        #datePicker\n        [config]=\"{ disableKeypress: true, format: 'DD MMM YYYY' }\"\n        placeholder=\"Select Date\"\n        (click)=\"openDatePicker()\"\n        (click)=\"closeDatepicker()\"\n      ></dp-date-picker>\n      <div\n        class=\"overlay\"\n        (click)=\"closeDatepicker()\"\n        *ngIf=\"datepickerOverlay\"\n      ></div>\n    </div>\n  </div>\n  <div class=\"input-group vx-d-flex vx-mb-10\" *ngIf=\"question.hasTime\">\n    <span\n      class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n    >\n      <span\n        class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n        [appTooltip]=\"'Time of birth'\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n        >{{ question?.time?.title ? question?.time?.title : \"Time\" }}</span\n      >\n    </span>\n    <div class=\"date-time-area\">\n      <input\n        aria-label=\"12hr format\"\n        [ngxTimepicker]=\"timeOnly\"\n        readonly\n        placeholder=\"Enter Time\"\n        [(ngModel)]=\"question.time.value\"\n      />\n      <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe955;</i>\n      <ngx-material-timepicker #timeOnly></ngx-material-timepicker>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-date-time{display:block;max-width:37.5rem}::ng-deep .logic-date-time .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .logic-date-time .input-group .label{width:5.875rem}::ng-deep .logic-date-time .input-group .label .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}::ng-deep .logic-date-time .input-group .date-time-area{width:calc(100% - 5.875rem);height:2.5rem;position:relative}::ng-deep .logic-date-time .input-group .date-time-area input{background:transparent;border:none;border-radius:0;font-size:12px;width:100%;height:100%;outline:none;cursor:pointer;margin:0;padding:8px;position:relative;z-index:1}::ng-deep .logic-date-time .input-group .date-time-area input::placeholder{color:#747576;opacity:1}::ng-deep .logic-date-time .input-group .date-time-area input.datePicker{opacity:0}::ng-deep .logic-date-time .input-group .date-time-area i{position:absolute;top:.75rem;right:.5rem}::ng-deep .logic-date-time .input-group .date-time-area .overlay{z-index:2}::ng-deep dp-date-picker input.dp-picker-input{opacity:1;top:-54px;font-size:11px;color:#161b2f}::ng-deep dp-date-picker input.dp-picker-input::placeholder{color:#747576;opacity:1}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "component", type: i5$1.NgxMaterialTimepickerComponent, selector: "ngx-material-timepicker", inputs: ["cancelBtnTmpl", "editableHintTmpl", "confirmBtnTmpl", "ESC", "enableKeyboardInput", "preventOverlayClick", "disableAnimation", "appendToInput", "hoursOnly", "defaultTime", "timepickerClass", "theme", "min", "max", "ngxMaterialTimepickerTheme", "format", "minutesGap"], outputs: ["timeSet", "opened", "closed", "hourSelected", "timeChanged"] }, { kind: "directive", type: i5$1.TimepickerDirective, selector: "[ngxTimepicker]", inputs: ["format", "min", "max", "ngxTimepicker", "value", "disabled", "disableClick"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicDateTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic-date-time', template: "<div class=\"logic-date-time vx-mb-5\">\n  <div class=\"input-group vx-d-flex vx-mb-2\" *ngIf=\"question.hasDate\">\n    <span\n      class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n    >\n      <span\n        class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n        [appTooltip]=\"'Date of birth'\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n        >{{ question?.date?.title ? question?.date?.title : \"Date\" }}</span\n      >\n    </span>\n    <div class=\"date-time-area\">\n      <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe996;</i>\n      <input\n        class=\"datePicker\"\n        (click)=\"openDatePicker()\"\n        placeholder=\"Enter Date\"\n        id=\"date-picker\"\n      />\n      <dp-date-picker\n        (onChange)=\"dateChanged($event)\"\n        [(ngModel)]=\"question.date.value\"\n        #datePicker\n        [config]=\"{ disableKeypress: true, format: 'DD MMM YYYY' }\"\n        placeholder=\"Select Date\"\n        (click)=\"openDatePicker()\"\n        (click)=\"closeDatepicker()\"\n      ></dp-date-picker>\n      <div\n        class=\"overlay\"\n        (click)=\"closeDatepicker()\"\n        *ngIf=\"datepickerOverlay\"\n      ></div>\n    </div>\n  </div>\n  <div class=\"input-group vx-d-flex vx-mb-10\" *ngIf=\"question.hasTime\">\n    <span\n      class=\"label vx-bg-grey vx-lh-24 vx-d-flex vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n    >\n      <span\n        class=\"value vx-fs-11 vx-label-txt vx-tt-uppercase\"\n        [appTooltip]=\"'Time of birth'\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n        >{{ question?.time?.title ? question?.time?.title : \"Time\" }}</span\n      >\n    </span>\n    <div class=\"date-time-area\">\n      <input\n        aria-label=\"12hr format\"\n        [ngxTimepicker]=\"timeOnly\"\n        readonly\n        placeholder=\"Enter Time\"\n        [(ngModel)]=\"question.time.value\"\n      />\n      <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe955;</i>\n      <ngx-material-timepicker #timeOnly></ngx-material-timepicker>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .logic-date-time{display:block;max-width:37.5rem}::ng-deep .logic-date-time .input-group{border:1px solid #F1F1F1;border-radius:.25rem;position:relative}::ng-deep .logic-date-time .input-group .label{width:5.875rem}::ng-deep .logic-date-time .input-group .label .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:100%}::ng-deep .logic-date-time .input-group .date-time-area{width:calc(100% - 5.875rem);height:2.5rem;position:relative}::ng-deep .logic-date-time .input-group .date-time-area input{background:transparent;border:none;border-radius:0;font-size:12px;width:100%;height:100%;outline:none;cursor:pointer;margin:0;padding:8px;position:relative;z-index:1}::ng-deep .logic-date-time .input-group .date-time-area input::placeholder{color:#747576;opacity:1}::ng-deep .logic-date-time .input-group .date-time-area input.datePicker{opacity:0}::ng-deep .logic-date-time .input-group .date-time-area i{position:absolute;top:.75rem;right:.5rem}::ng-deep .logic-date-time .input-group .date-time-area .overlay{z-index:2}::ng-deep dp-date-picker input.dp-picker-input{opacity:1;top:-54px;font-size:11px;color:#161b2f}::ng-deep dp-date-picker input.dp-picker-input::placeholder{color:#747576;opacity:1}\n"] }]
        }], ctorParameters: function () { return [{ type: CommonService }]; }, propDecorators: { datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], question: [{
                type: Input
            }], changeEvent: [{
                type: Output
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class QuestionFilterPipe {
    transform(value, ...args) {
        return value.filter((question) => (question.name !== args[0] && question.title.trim().length > 0) && question?.visibilityLogic?.length === 0);
        ;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionFilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: QuestionFilterPipe, name: "questionFilter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionFilterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'questionFilter'
                }]
        }] });

class QuestionParserPipe {
    transform(value, ...args) {
        if (!value) {
            return 'Select a question';
        }
        else {
            return value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionParserPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: QuestionParserPipe, name: "questionParser" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: QuestionParserPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'questionParser'
                }]
        }] });

class AddLogicComponent {
    constructor(config, dialog) {
        this.config = config;
        this.dialog = dialog;
        this.selectedValue = '';
        this.selectedLogicQuestionType = '';
        this.checkboxValue = [];
        this.disableLogicDropdown = true;
        this.operatorMap = [];
        this.showError = { isVisible: false, errorMessage: '' };
        this.logic = {
            andOr: 'and',
            questionName: '',
            operator: '',
            value: this.selectedValue,
            questionTitle: ''
        };
        this.operatorVal = {
            '=': 'Equals',
            '!=': 'Not Equals',
            '>': 'Greater than',
            '<': 'Less than',
            '>=': 'Greater or equals',
            '<=': 'Less or equals',
            answered: 'If answered',
            before: 'Before',
            after: 'After',
            beforeEquals: 'Before or equals',
            afterEquals: 'After or equals'
        };
    }
    ngOnInit() {
        this.currentQuestion = cloneDeep(this.config.data.currentQuestion);
        this.getCurrentPageQuestions();
        this.editorMode = this.config.data.editorMode;
        this.questionIndex = this.config.data.questionIndex;
    }
    /**
    * Fetches the questions on currently active page
    */
    getCurrentPageQuestions() {
        this.questionsArray = cloneDeep(this.config.data.allQuestions);
        this.questionsArray = this.questionsArray.filter((question) => question.page === this.currentQuestion.page);
    }
    /**
   * Sets the index and title of current question
   * @param index Current index of question
   * @param questionTitle Title of question at index i
   */
    setIndex(selectedQuestionName) {
        let index = this.questionsArray.findIndex((x) => x.name === selectedQuestionName);
        this.showError.isVisible = false;
        this.selectedLogicQuestion = index;
        this.logic.operator = '';
        this.selectedValue = '';
        this.logic.questionTitle = this.questionsArray[index].title;
        this.selectedLogicQuestionType = this.questionsArray[this.selectedLogicQuestion].type;
        this.setValuesForLogicDropdown();
    }
    setOperator(evt) {
        this.logic.operator = evt;
    }
    /**
     * populates the logic dropdown based on question type
     */
    setValuesForLogicDropdown() {
        let defaultOperatorMap = [{ key: '=', value: 'Equals' },
            { key: '!=', value: 'Not Equals' },
            { key: 'answered', value: 'If answered' }];
        const type = this.questionsArray[this.selectedLogicQuestion].type;
        if (['star-rating', 'slider'].includes(type)) {
            defaultOperatorMap.push({ key: '>', value: 'Greater than' }, { key: '<', value: 'Less than' }, { key: '>=', value: 'Greater or equals' }, { key: '<=', value: 'Less or equals' });
        }
        else if (['file-upload', 'matrix-dropdown', 'rating-scale', 'multiple-textbox'].includes(type)) {
            defaultOperatorMap = [{ key: 'answered', value: 'If answered' }];
        }
        else if (['date-time'].includes(type)) {
            defaultOperatorMap.push({ key: 'before', value: 'Before' }, { key: 'after', value: 'After' }, { key: 'beforeEquals', value: 'Before or equals' }, { key: 'afterEquals', value: 'After or equals' });
        }
        this.operatorMap = [...defaultOperatorMap];
        this.disableLogicDropdown = false;
    }
    /**
   * Operation on selecting value from checkbox
   * @param event Event triggered on selecting value of checkbox
   * @param title Title of the checkbox option selected
   */
    checkboxStatus(evt) {
        this.selectedValue = '';
        if (evt.checked === true) {
            this.checkboxValue.push(evt.choice.title);
        }
        else {
            this.checkboxValue = this.checkboxValue.filter(value => evt.choice.title !== value);
        }
        this.selectedValue = this.checkboxValue;
    }
    multipleChoiceChecked(evt) {
        this.setSelectedValue(evt.choice.title);
    }
    rankingStatus(choice) {
        this.questionsArray[this.selectedLogicQuestion].choices = choice;
    }
    /**
    * Operation on entering value to multiple text boxes
    */
    setMultiplTextStatus() {
        this.selectedValue = '';
        this.questionsArray[this.selectedLogicQuestion].choices.forEach((choice) => {
            if (choice.value !== '') {
                this.selectedValue += choice.title + ':' + choice.value;
            }
            if (this.selectedValue !== '') {
                this.selectedValue += ';';
            }
        });
    }
    /**
     * Adds the logic on click of add logic button
     */
    addLogic() {
        if (this.questionsArray[this.selectedLogicQuestion].type === 'ranking') {
            this.populateSelectedValueForRanking();
        }
        else if (this.questionsArray[this.selectedLogicQuestion].type === 'multiple-textbox') {
            this.setMultiplTextStatus();
        }
        else if (this.questionsArray[this.selectedLogicQuestion].type === 'date-time') {
            this.setValueForDateTimeType();
        }
        this.showError.isVisible = false;
        this.logic.value = this.selectedValue;
        if (this.logic.operator === 'answered' || this.selectedValue !== '') {
            if (!some([this.currentQuestion.visibilityLogic], this.logic) &&
                (this.selectedValue !== 'answered') && this.logic.questionName !== '' && this.logic.operator !== '') {
                if (this.checkForLogicValue()) {
                    this.currentQuestion.visibilityLogic.push(this.logic);
                    this.checkboxValue = [];
                }
            }
        }
        else {
            this.showError.isVisible = true;
            if (this.selectedLogicQuestionType == 'single-textbox' || this.selectedLogicQuestionType == 'comment-box') {
                this.showError.errorMessage = 'Please enter a value to add logic';
            }
            else {
                this.showError.errorMessage = 'Please select a value to add logic';
            }
        }
        if (this.currentQuestion.visibilityLogic.length > 0) {
            this.currentQuestion.isRequired = false;
        }
        if (!this.showError.isVisible) {
            this.resetLogic();
            this.closePopup('ADD_LOGIC');
        }
    }
    closePopup(mode) {
        this.dialog.close({ action: mode, logic: this.currentQuestion.visibilityLogic });
    }
    /**
     * Populates logic selected value for ranking type question
     */
    populateSelectedValueForRanking() {
        const rankingArray = [];
        this.questionsArray[this.selectedLogicQuestion].choices.forEach((choice) => {
            rankingArray.push(choice.title);
        });
        this.selectedValue = rankingArray.join();
    }
    /**
     * Validation for logic value (Validation: Previously value is entered or not for the particular question type)
     */
    checkForLogicValue() {
        const logicValues = [];
        this.currentQuestion.visibilityLogic.forEach((logic) => {
            if (this.logic.questionTitle === logic.questionTitle) {
                logicValues.push(logic.value);
            }
        });
        if (!logicValues.includes(this.logic.value)) {
            logicValues.push(this.logic.value);
            this.showError.isVisible = false;
            return true;
        }
        this.showError.errorMessage = 'Logic already applied for this value. Please select another value to apply logic';
        this.showError.isVisible = true;
        if (!this.showError.isVisible) {
            this.resetLogic();
        }
        return false;
    }
    /**
     * Deletes the logic having given index from visibility logic list
     * @param index Index of selected logic
     */
    deleteLogic(index) {
        this.currentQuestion.visibilityLogic.splice(index, 1);
    }
    /**
     * Assigns the selected value to value that needs to be displayed to user
     * @param selectedVal Value selected to be displayed
     */
    setSelectedValue(selectedVal) {
        this.showError.isVisible = false;
        if (this.questionsArray[this.selectedLogicQuestion].type === 'date-time') {
            this.setValueForDateTimeType();
        }
        else {
            this.selectedValue = selectedVal;
        }
    }
    /**
     * For date/time assigns the selected value to value that needs to be displayed to user
     */
    setValueForDateTimeType() {
        this.selectedValue = '';
        if (!this.questionsArray[this.selectedLogicQuestion].date.value &&
            !this.questionsArray[this.selectedLogicQuestion].time.value) {
            this.showError.isVisible = true;
            this.showError.errorMessage = 'Please select a value to add logic';
        }
        else {
            if (!this.questionsArray[this.selectedLogicQuestion].date.value &&
                this.questionsArray[this.selectedLogicQuestion].time.value) {
                this.selectedValue = this.questionsArray[this.selectedLogicQuestion].time.title + ': ' +
                    this.questionsArray[this.selectedLogicQuestion].time.value;
            }
            else if (this.questionsArray[this.selectedLogicQuestion].date.value &&
                !this.questionsArray[this.selectedLogicQuestion].time.value) {
                this.selectedValue = this.questionsArray[this.selectedLogicQuestion].date.title + ': ' +
                    this.formateWithPipe(this.questionsArray[this.selectedLogicQuestion].date.value);
            }
            else {
                this.selectedValue = this.questionsArray[this.selectedLogicQuestion].date.title + ': ' +
                    this.formateWithPipe(this.questionsArray[this.selectedLogicQuestion].date.value) + ', ' +
                    this.questionsArray[this.selectedLogicQuestion].time.title + ': ' +
                    this.questionsArray[this.selectedLogicQuestion].time.value;
            }
        }
        if (this.questionsArray[this.selectedLogicQuestion].date.value) {
            this.logic['date'] = this.formateBySlash(this.questionsArray[this.selectedLogicQuestion].date.value);
        }
        else {
            this.logic['date'] = '';
        }
        if (this.questionsArray[this.selectedLogicQuestion].time.value) {
            this.logic['time'] = this.questionsArray[this.selectedLogicQuestion].time.value;
        }
        else {
            this.logic['time'] = '';
        }
        this.questionsArray[this.selectedLogicQuestion].date.value = '';
        this.questionsArray[this.selectedLogicQuestion].time.value = '';
    }
    /**
     * Empties the selected value if the logic operator is 'answered'
     * @param logicOperator Logic operator selected from logic dropdown
     */
    onSelectLogic(logicOperator) {
        if (logicOperator === 'answered') {
            this.selectedValue = '';
        }
    }
    /**
     * Empties/Resets the logic fields
     */
    resetLogic() {
        this.selectedLogicQuestionType = '';
        this.selectedValue = '';
        this.selectedLogicQuestion = null;
        this.disableLogicDropdown = true;
        this.operatorMap = [];
        this.logic = {
            andOr: 'and',
            questionName: '',
            operator: '',
            questionTitle: '',
            value: this.selectedValue
        };
        this.showError.isVisible = false;
        this.showError.errorMessage = '';
    }
    /**
     * Assigns the selected star rating value to selected value and updates in main question array list
     * @param selectedValueIndex Index of selected value
     * @param questionIndex Index of current question
     */
    captureStarValue(selectedValueIndex) {
        this.questionsArray[this.selectedLogicQuestion].value = selectedValueIndex + 1;
        this.selectedValue = selectedValueIndex + 1;
    }
    /**
     * Converts the date to toLocaleDateString format
     * @param date Date to be converted
     */
    formatDate(date) {
        return (new Date(date)).toLocaleDateString();
    }
    /**
     * Operation On drag/drop of option of ranking type question
     * @param event Event triggered when option of ranking type question is dragged and dropped
     */
    // drop(event: CdkDragDrop<string[]>) {
    //   moveItemInArray(this.questionsArray[this.selectedLogicQuestion].choices, event.previousIndex, event.currentIndex);
    // }
    formateWithPipe(date) {
        var datePipe = new DatePipe('en-US');
        return datePipe.transform(date, 'dd MMM yyyy');
    }
    formateBySlash(date) {
        var datePipe = new DatePipe('en-US');
        return datePipe.transform(date, 'yyyy-MM-ddTHH:mm:ss.SSS', '+0:00') + 'Z';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddLogicComponent, deps: [{ token: DialogConfig }, { token: DialogRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddLogicComponent, selector: "app-add-logic", ngImport: i0, template: "<div class=\"add-logic\">\n    <div class=\"add-logic-head vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3 vx-mb-5\">\n        <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Add Logic & Display Conditions</div>\n        <button class=\"close vx-p-0 vx-m-0 vx-d-flex vx-align-center\" (click)=\"closePopup('CLOSE')\"><i class=\"icons vx-fs-16 vx-label-txt\">&#xe9ae;</i></button>\n    </div>\n    <div class=\"add-logic-body\">\n        <div class=\"question-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2 vx-pl-2\">QUESTION {{questionIndex+1}} <span class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\" *ngIf=\"currentQuestion.isRequired ===  true\">*</span></div>\n        <div class=\"question-name vx-fs-16 vx-label-txt vx-lh-6 vx-pt-1 vx-pb-1 vx-mb-5\" [innerHTML]=\"currentQuestion?.title ? currentQuestion?.title:'Question'\">\n            <i class=\"icons info vx-txt-blue vx-ml-2\" *ngIf=\"currentQuestion.hasComments\" [appTooltip]=\"currentQuestion.comments\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i></div>\n        <div class=\"logic-condition vx-p-2 vx-pl-3 vx-pr-3 vx-mb-5\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt vx-mb-1\">Is visible when</div>\n            <div class=\"details vx-fs-12 vx-paragraph-txt\">Use this to define display conditions for the questions in the assessment.</div>\n        </div>\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT QUESTION</div>\n        <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3 vx-mb-5\" appPopover (click)=\"selectQuestion.popover()\" placement=\"left\">\n            <span class=\"name vx-fs-12 vx-paragraph-txt\" [appTooltip]=\"'Select a question'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{questionsArray[selectedLogicQuestion]?.title | questionParser}}</span>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </div>\n        <app-popover #selectQuestion>\n            <div class=\"select-question-popover\">\n                <ul class=\"vx-p-0 vx-m-0\">\n                    <li *ngFor=\"let data of questionsArray | questionFilter : currentQuestion.name\">\n                        <button class=\"vx-d-block vx-p-2 vx-m-0 vx-w-100\" (click)=\"logic.questionName = data?.name;setIndex(data?.name)\">\n                            <div class=\"value vx-fs-12 vx-paragraph-txt\" [appTooltip]=\"data?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{data?.title}}</div>\n                        </button>\n                    </li>\n                </ul>\n            </div>\n        </app-popover>\n        <ng-container *ngIf=\"operatorMap?.length > 0\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">LOGICAL OPERATOR</div>\n\n            <div class=\"operator-item vx-mb-5\">\n                <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n                    <li class=\"vx-d-flex vx-align-center vx-p-3 vx-mr-2\" *ngFor='let operator of operatorMap'>\n                        <app-cs-radio name=\"question.name\" (checkedEvent)=\"setOperator(operator.key)\"><span class=\"name vx-fs-11 vx-paragraph-txt vx-tt-uppercase\">{{operator.value}}</span></app-cs-radio>\n                    </li>\n                </ul>\n            </div>\n        </ng-container>\n\n        <ng-container  *ngIf=\"logic.questionName != '' && (logic.operator && logic.operator != 'answered') \">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">PLEASE SELECT THE VALUE</div>\n            <app-logic-multiple-choice *ngIf=\"selectedLogicQuestionType=='multiple-choice'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"multipleChoiceChecked($event)\"></app-logic-multiple-choice>\n            <app-logic-checkbox *ngIf=\"selectedLogicQuestionType=='checkbox'\"  [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"checkboxStatus($event)\"></app-logic-checkbox>\n            <app-logic-image-choice *ngIf=\"false\"></app-logic-image-choice>\n            <app-logic-star-rating *ngIf=\"false\"></app-logic-star-rating>\n            <app-logic-single-textbox *ngIf=\"selectedLogicQuestionType=='single-textbox'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"selectedValue = $event\"></app-logic-single-textbox>\n            <app-logic-comment-box *ngIf=\"false\"></app-logic-comment-box>\n            <app-logic-dropdown *ngIf=\"selectedLogicQuestionType=='dropdown'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"multipleChoiceChecked($event)\"></app-logic-dropdown>\n            <app-logic-ranking *ngIf=\"false\"></app-logic-ranking>\n            <app-logic-slider *ngIf=\"false\"></app-logic-slider>\n            <app-logic-multiple-textbox *ngIf=\"false\" ></app-logic-multiple-textbox>\n            <app-logic-date-time *ngIf=\"selectedLogicQuestionType=='date-time'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"multipleChoiceChecked($event)\"></app-logic-date-time>\n        </ng-container>\n        <div class=\"error-msg vx-fs-11 vx-txt-red\" *ngIf='showError.isVisible'>{{showError.errorMessage}}</div>\n    </div>\n    <div class=\"add-logic-footer vx-d-flex vx-align-center vx-justify-end vx-pl-3 vx-pr-3 vx-mt-5\">\n        <button class=\"reset-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-4 vx-pr-4 vx-m-0 vx-d-flex vx-align-center vx-justify-between\" (click)=\"resetLogic()\">RESET</button>\n        <button class=\"logic-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-4 vx-pr-4 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-between\" (click)=\"addLogic()\">ADD LOGIC</button>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-logic{background:#fff;border-radius:.25rem;width:80rem}::ng-deep .add-logic-head{background:#fbfbfb;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.75rem}::ng-deep .add-logic-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .add-logic-body{height:28rem;padding-left:2rem;padding-right:2rem;overflow-y:auto}::ng-deep .add-logic-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .add-logic-body .question-heading{position:relative}::ng-deep .add-logic-body .question-heading:before{background:#4681ef;content:\"\";position:absolute;top:.4375rem;left:0;width:.125rem;height:.875rem}::ng-deep .add-logic-body .question-name i.info{cursor:pointer;position:relative;top:.125rem}::ng-deep .add-logic-body .logic-condition{background:#f8f8f8;border-radius:.25rem;position:relative}::ng-deep .add-logic-body .logic-condition:before{background:#4681ef;border-radius:.25rem;content:\"\";position:absolute;top:0;left:0;width:3px;height:100%}::ng-deep .add-logic-body .logic-condition .heading,::ng-deep .add-logic-body .logic-condition .details{padding-left:.125rem}::ng-deep .add-logic-body .select-box{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;cursor:pointer}::ng-deep .add-logic-body .select-box .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 3rem)}::ng-deep .add-logic-body .operator-item ul{list-style-type:none}::ng-deep .add-logic-body .operator-item ul li{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .add-logic-body .operator-item ul li:only-child,::ng-deep .add-logic-body .operator-item ul li:last-of-type{margin-right:0!important}::ng-deep .add-logic-body .operator-item ul li cs-radio{height:1.25rem;width:100%}::ng-deep .add-logic-body .operator-item ul li cs-radio .radio-item{width:100%!important}::ng-deep .add-logic-footer{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .25rem .25rem;height:2.75rem}::ng-deep .add-logic-footer button{border-radius:.125rem;height:1.75rem}::ng-deep .add-logic-footer button.reset-btn{background:#fff;border:1px solid #F1F1F1}::ng-deep .add-logic-footer button.logic-btn{background:#1e5dd3;border:none}.select-question-popover{background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:.25rem;width:71rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}.select-question-popover ul{list-style-type:none;max-height:12rem;overflow-y:auto}.select-question-popover ul::-webkit-scrollbar-track{background-color:transparent}.select-question-popover ul li{border-bottom:1px solid #F1F1F1}.select-question-popover ul li:only-child,.select-question-popover ul li:last-of-type{border-bottom:none}.select-question-popover ul li button{background:transparent;border:none;border-radius:0;text-align:left}.select-question-popover ul li button .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: LogicMultipleChoiceComponent, selector: "app-logic-multiple-choice", inputs: ["question"], outputs: ["changeEvent"] }, { kind: "component", type: LogicCheckboxComponent, selector: "app-logic-checkbox", inputs: ["question"], outputs: ["changeEvent"] }, { kind: "component", type: LogicImageChoiceComponent, selector: "app-logic-image-choice" }, { kind: "component", type: LogicStarRatingComponent, selector: "app-logic-star-rating" }, { kind: "component", type: LogicSingleTextboxComponent, selector: "app-logic-single-textbox", inputs: ["question"], outputs: ["changeEvent"] }, { kind: "component", type: LogicCommentBoxComponent, selector: "app-logic-comment-box" }, { kind: "component", type: LogicDropdownComponent, selector: "app-logic-dropdown", inputs: ["question"], outputs: ["changeEvent"] }, { kind: "component", type: LogicRankingComponent, selector: "app-logic-ranking" }, { kind: "component", type: LogicSliderComponent, selector: "app-logic-slider" }, { kind: "component", type: LogicMultipleTextboxComponent, selector: "app-logic-multiple-textbox" }, { kind: "component", type: LogicDateTimeComponent, selector: "app-logic-date-time", inputs: ["question"], outputs: ["changeEvent"] }, { kind: "pipe", type: QuestionFilterPipe, name: "questionFilter" }, { kind: "pipe", type: QuestionParserPipe, name: "questionParser" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddLogicComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-add-logic', template: "<div class=\"add-logic\">\n    <div class=\"add-logic-head vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3 vx-mb-5\">\n        <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\">Add Logic & Display Conditions</div>\n        <button class=\"close vx-p-0 vx-m-0 vx-d-flex vx-align-center\" (click)=\"closePopup('CLOSE')\"><i class=\"icons vx-fs-16 vx-label-txt\">&#xe9ae;</i></button>\n    </div>\n    <div class=\"add-logic-body\">\n        <div class=\"question-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-2 vx-pl-2\">QUESTION {{questionIndex+1}} <span class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\" *ngIf=\"currentQuestion.isRequired ===  true\">*</span></div>\n        <div class=\"question-name vx-fs-16 vx-label-txt vx-lh-6 vx-pt-1 vx-pb-1 vx-mb-5\" [innerHTML]=\"currentQuestion?.title ? currentQuestion?.title:'Question'\">\n            <i class=\"icons info vx-txt-blue vx-ml-2\" *ngIf=\"currentQuestion.hasComments\" [appTooltip]=\"currentQuestion.comments\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i></div>\n        <div class=\"logic-condition vx-p-2 vx-pl-3 vx-pr-3 vx-mb-5\">\n            <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt vx-mb-1\">Is visible when</div>\n            <div class=\"details vx-fs-12 vx-paragraph-txt\">Use this to define display conditions for the questions in the assessment.</div>\n        </div>\n        <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">SELECT QUESTION</div>\n        <div class=\"select-box vx-d-flex vx-align-center vx-justify-between vx-pl-3 vx-pr-3 vx-mb-5\" appPopover (click)=\"selectQuestion.popover()\" placement=\"left\">\n            <span class=\"name vx-fs-12 vx-paragraph-txt\" [appTooltip]=\"'Select a question'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{questionsArray[selectedLogicQuestion]?.title | questionParser}}</span>\n            <i class=\"icons vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </div>\n        <app-popover #selectQuestion>\n            <div class=\"select-question-popover\">\n                <ul class=\"vx-p-0 vx-m-0\">\n                    <li *ngFor=\"let data of questionsArray | questionFilter : currentQuestion.name\">\n                        <button class=\"vx-d-block vx-p-2 vx-m-0 vx-w-100\" (click)=\"logic.questionName = data?.name;setIndex(data?.name)\">\n                            <div class=\"value vx-fs-12 vx-paragraph-txt\" [appTooltip]=\"data?.title\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{data?.title}}</div>\n                        </button>\n                    </li>\n                </ul>\n            </div>\n        </app-popover>\n        <ng-container *ngIf=\"operatorMap?.length > 0\">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">LOGICAL OPERATOR</div>\n\n            <div class=\"operator-item vx-mb-5\">\n                <ul class=\"vx-d-flex vx-p-0 vx-m-0\">\n                    <li class=\"vx-d-flex vx-align-center vx-p-3 vx-mr-2\" *ngFor='let operator of operatorMap'>\n                        <app-cs-radio name=\"question.name\" (checkedEvent)=\"setOperator(operator.key)\"><span class=\"name vx-fs-11 vx-paragraph-txt vx-tt-uppercase\">{{operator.value}}</span></app-cs-radio>\n                    </li>\n                </ul>\n            </div>\n        </ng-container>\n\n        <ng-container  *ngIf=\"logic.questionName != '' && (logic.operator && logic.operator != 'answered') \">\n            <div class=\"label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">PLEASE SELECT THE VALUE</div>\n            <app-logic-multiple-choice *ngIf=\"selectedLogicQuestionType=='multiple-choice'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"multipleChoiceChecked($event)\"></app-logic-multiple-choice>\n            <app-logic-checkbox *ngIf=\"selectedLogicQuestionType=='checkbox'\"  [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"checkboxStatus($event)\"></app-logic-checkbox>\n            <app-logic-image-choice *ngIf=\"false\"></app-logic-image-choice>\n            <app-logic-star-rating *ngIf=\"false\"></app-logic-star-rating>\n            <app-logic-single-textbox *ngIf=\"selectedLogicQuestionType=='single-textbox'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"selectedValue = $event\"></app-logic-single-textbox>\n            <app-logic-comment-box *ngIf=\"false\"></app-logic-comment-box>\n            <app-logic-dropdown *ngIf=\"selectedLogicQuestionType=='dropdown'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"multipleChoiceChecked($event)\"></app-logic-dropdown>\n            <app-logic-ranking *ngIf=\"false\"></app-logic-ranking>\n            <app-logic-slider *ngIf=\"false\"></app-logic-slider>\n            <app-logic-multiple-textbox *ngIf=\"false\" ></app-logic-multiple-textbox>\n            <app-logic-date-time *ngIf=\"selectedLogicQuestionType=='date-time'\" [question]=\"questionsArray[selectedLogicQuestion]\" (changeEvent)=\"multipleChoiceChecked($event)\"></app-logic-date-time>\n        </ng-container>\n        <div class=\"error-msg vx-fs-11 vx-txt-red\" *ngIf='showError.isVisible'>{{showError.errorMessage}}</div>\n    </div>\n    <div class=\"add-logic-footer vx-d-flex vx-align-center vx-justify-end vx-pl-3 vx-pr-3 vx-mt-5\">\n        <button class=\"reset-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-4 vx-pr-4 vx-m-0 vx-d-flex vx-align-center vx-justify-between\" (click)=\"resetLogic()\">RESET</button>\n        <button class=\"logic-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-4 vx-pr-4 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-between\" (click)=\"addLogic()\">ADD LOGIC</button>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-logic{background:#fff;border-radius:.25rem;width:80rem}::ng-deep .add-logic-head{background:#fbfbfb;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.75rem}::ng-deep .add-logic-head button.close{background:transparent;border:none;border-radius:0}::ng-deep .add-logic-body{height:28rem;padding-left:2rem;padding-right:2rem;overflow-y:auto}::ng-deep .add-logic-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .add-logic-body .question-heading{position:relative}::ng-deep .add-logic-body .question-heading:before{background:#4681ef;content:\"\";position:absolute;top:.4375rem;left:0;width:.125rem;height:.875rem}::ng-deep .add-logic-body .question-name i.info{cursor:pointer;position:relative;top:.125rem}::ng-deep .add-logic-body .logic-condition{background:#f8f8f8;border-radius:.25rem;position:relative}::ng-deep .add-logic-body .logic-condition:before{background:#4681ef;border-radius:.25rem;content:\"\";position:absolute;top:0;left:0;width:3px;height:100%}::ng-deep .add-logic-body .logic-condition .heading,::ng-deep .add-logic-body .logic-condition .details{padding-left:.125rem}::ng-deep .add-logic-body .select-box{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;cursor:pointer}::ng-deep .add-logic-body .select-box .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 3rem)}::ng-deep .add-logic-body .operator-item ul{list-style-type:none}::ng-deep .add-logic-body .operator-item ul li{border:1px solid #DBDBDB;border-radius:.25rem;height:2.5rem;width:100%}::ng-deep .add-logic-body .operator-item ul li:only-child,::ng-deep .add-logic-body .operator-item ul li:last-of-type{margin-right:0!important}::ng-deep .add-logic-body .operator-item ul li cs-radio{height:1.25rem;width:100%}::ng-deep .add-logic-body .operator-item ul li cs-radio .radio-item{width:100%!important}::ng-deep .add-logic-footer{background:#fbfbfb;border-top:1px solid #F1F1F1;border-radius:0 0 .25rem .25rem;height:2.75rem}::ng-deep .add-logic-footer button{border-radius:.125rem;height:1.75rem}::ng-deep .add-logic-footer button.reset-btn{background:#fff;border:1px solid #F1F1F1}::ng-deep .add-logic-footer button.logic-btn{background:#1e5dd3;border:none}.select-question-popover{background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:.25rem;width:71rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}.select-question-popover ul{list-style-type:none;max-height:12rem;overflow-y:auto}.select-question-popover ul::-webkit-scrollbar-track{background-color:transparent}.select-question-popover ul li{border-bottom:1px solid #F1F1F1}.select-question-popover ul li:only-child,.select-question-popover ul li:last-of-type{border-bottom:none}.select-question-popover ul li button{background:transparent;border:none;border-radius:0;text-align:left}.select-question-popover ul li button .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogConfig }, { type: DialogRef }]; } });

class TypeOfPipe {
    transform(value) {
        return typeof value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TypeOfPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: TypeOfPipe, name: "typeof" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TypeOfPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'typeof'
                }]
        }] });

class LogicComponent {
    // constructor(
    //   private dialog: UiDialogService,
    // ) { }
    // ngOnInit(): void {
    // }
    // addLogic() {
    //   const ref = this.dialog.open(AddLogicComponent, {
    //     data: { },
    //     position: 'CENTER',
    //     background: 'black',
    //   });
    // }
    constructor(dialog) {
        this.dialog = dialog;
        this.operatorVal = {
            '=': 'Equals',
            '!=': 'Not Equals',
            '>': 'Greater than',
            '<': 'Less than',
            '>=': 'Greater or equals',
            '<=': 'Less or equals',
            answered: 'If answered',
            before: 'Before',
            after: 'After',
            beforeEquals: 'Before or equals',
            afterEquals: 'After or equals',
        };
        this.ASSETS = ASSETS;
    }
    ngOnInit() { }
    modifyLogic() {
        const ref = this.dialog.open(AddLogicComponent, {
            position: 'CENTER',
            background: 'black',
            data: {
                currentQuestion: this.question,
                allQuestions: this.service.formsPage.elements,
                editorMode: this.editorMode,
                questionIndex: this.questionIndex,
            },
        });
        ref.afterClosed.subscribe((data) => {
            if (data.action === 'ADD_LOGIC') {
                this.question.visibilityLogic = data.logic;
            }
        });
    }
    addLogic() { }
    /**
     * Deletes the logic having given index from visibility logic list
     * @param index Index of selected logic
     */
    deleteLogic(index) {
        this.question.visibilityLogic.splice(index, 1);
    }
    // show(origin, data?, content?: TemplateRef<any>) {
    //
    //   const ref = this.popper.open({
    //     content: PopoverActionComponent,
    //     origin,
    //     width: '250',
    //     data: {
    //       action: this.formateData(data),
    //       actionData: data
    //     }
    //   });
    //   ref.afterClosed$.subscribe(res => {
    //
    //   });
    // }
    formateData(value) {
        const action = [];
        const data = value.split(',');
        for (let i = 1; i < data.length; i++) {
            action.push({ icon: '', name: data[i], identifier: '' });
        }
        return action;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicComponent, deps: [{ token: DialogService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogicComponent, selector: "app-logic", inputs: { service: "service", question: "question", questionIndex: "questionIndex", editorMode: "editorMode" }, ngImport: i0, template: "<div class=\"logic\">\n  <div class=\"logic-condition vx-p-2 vx-pl-3 vx-pr-3 vx-mb-3\">\n    <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt vx-mb-1\">\n      Is visible when\n    </div>\n    <div class=\"details vx-fs-12 vx-paragraph-txt\">\n      Use this to define display conditions for the questions in the assessment.\n    </div>\n  </div>\n  <div\n    *ngIf=\"question.visibilityLogic.length === 0\"\n    class=\"no-selected vx-text-center\"\n  >\n    <img [src]=\"ASSETS.add_logic\" />\n    <button\n      class=\"add-btn vx-fs-11 vx-fw-600 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\"\n      (click)=\"modifyLogic()\"\n    >\n      ADD LOGIC & DISPLAY CONDITIONS FOR THIS QUESTION\n    </button>\n  </div>\n  <div class=\"logic-table\" *ngIf=\"question.visibilityLogic.length > 0\">\n    <div class=\"table-header\">\n      <div class=\"table-row vx-pl-2\">\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center question\"\n        >\n          QUESTIONS\n        </div>\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center logic-operator\"\n        >\n          LOGIC OPERATORS\n        </div>\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center value\"\n        >\n          VALUES\n        </div>\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\"\n        ></div>\n      </div>\n    </div>\n    <div class=\"table-body\">\n      <div\n        class=\"table-row vx-pl-2\"\n        *ngFor=\"let logic of question.visibilityLogic; let i = index\"\n      >\n        <div\n          class=\"and-label vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pt-1 vx-pb-1 vx-d-flex vx-justify-center\"\n          *ngIf=\"question.visibilityLogic.length > 1 && i !== 0\"\n        >\n          AND\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center question\"\n        >\n          <div\n            class=\"name vx-fs-13 vx-paragraph-txt\"\n            [appTooltip]=\"logic.questionTitle\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            [innerHTML]=\"logic.questionTitle\"\n          ></div>\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center logic-operator\"\n        >\n          <div\n            class=\"label vx-fs-11 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n            [class.blue]=\"logic.operator == 'answered'\"\n            [class.green]=\"logic.operator != 'answered'\"\n            *ngIf=\"logic.operator\"\n          >\n            {{ operatorVal[logic.operator] }}\n          </div>\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center value\"\n        >\n          <div\n            *ngIf=\"logic.value != '' && (logic.value | typeof) === 'object'\"\n            class=\"value-name vx-fs-12 vx-paragraph-txt vx-pl-2 vx-pr-2 vx-lh-6 vx-mr-1\"\n            [appTooltip]=\"logic.value[0]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            [innerHTML]=\"logic.value[0]\"\n          ></div>\n          <div\n            *ngIf=\"logic.value != '' && (logic.value | typeof) !== 'object'\"\n            class=\"value-name vx-fs-12 vx-paragraph-txt vx-pl-2 vx-pr-2 vx-lh-6 vx-mr-1\"\n            [appTooltip]=\"logic.value\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            [innerHTML]=\"logic.value\"\n          ></div>\n\n          <button\n            *ngIf=\"\n              logic.value?.length > 1 && (logic.value | typeof) === 'object'\n            \"\n            class=\"count vx-fs-11 vx-txt-white vx-m-0 vx-p-0 vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center\"\n            appPopover\n            (click)=\"count.popover()\"\n            placement=\"right\"\n          >\n            +{{ logic?.value?.length - 1 }}\n          </button>\n\n          <app-popover #count>\n            <div\n              class=\"wf-action-list\"\n              *ngIf=\"(logic.value | typeof) === 'object'\"\n            >\n              <ul class=\"action-item\">\n                <li class=\"vx-p-2\" *ngFor=\"let data of logic.value.slice(1)\">\n                  <div\n                    class=\"count-value vx-fs-11 vx-paragraph-txt\"\n                    [appTooltip]=\"'Strongly agree'\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ data }}\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center action\"\n        >\n          <button\n            class=\"close vx-fs-16 vx-txt-red vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            (click)=\"deleteLogic(i)\"\n          >\n            <i class=\"icons\">&#xe9ae;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n    <button\n      class=\"add-btn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\"\n      (click)=\"modifyLogic()\"\n    >\n      Add Additional Logic & Display Conditions for this Question\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.logic-condition{background:#f8f8f8;border-radius:.25rem;position:relative}.logic-condition:before{background:#4681ef;border-radius:.25rem;content:\"\";position:absolute;top:0;left:0;width:3px;height:100%}.logic-condition .heading,.logic-condition .details{padding-left:.125rem}.logic .no-selected{margin-bottom:3rem}.logic .no-selected img{width:15.25rem;margin:3rem 0 2rem}.logic .no-selected button.add-btn{background:#1e5dd3;border:none;border-radius:.125rem;width:21.75rem;height:2.5rem;margin:0 auto}.logic-table .table-header .table-row{background:#fff!important}.logic-table .table-header .table-row .table-column{color:#161b2f!important;line-height:1rem!important;min-height:1.875rem!important}.logic-table .table-row{background:#fbfbfb;border-bottom:1px solid #F1F1F1;display:flex;justify-content:space-between;position:relative}.logic-table .table-row .and-label{background:#1e5dd3;border-radius:0 .125rem .125rem 0;writing-mode:vertical-lr;position:absolute;left:-1rem;top:.125rem;width:1rem;height:2.25rem;transform:rotate(180deg)}.logic-table .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}.logic-table .table-row .table-column.question{width:calc(100% - 26rem);min-width:calc(100% - 26rem)}.logic-table .table-row .table-column.question .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 3rem)}.logic-table .table-row .table-column.logic-operator{width:9.25rem;min-width:9.25rem}.logic-table .table-row .table-column.logic-operator .label{border-radius:.125rem}.logic-table .table-row .table-column.logic-operator .label.blue{background:#7aa6f7}.logic-table .table-row .table-column.logic-operator .label.green{background:#66bf72}.logic-table .table-row .table-column.value{width:13.75rem;min-width:13.75rem}.logic-table .table-row .table-column.value .value-name{background:#f1f1f1;border-radius:.125rem;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 2.5rem)}.logic-table .table-row .table-column.value button.count{background:#1e5dd3;border-radius:.125rem;border:none;width:1.5rem;height:1.5rem}.logic-table .table-row .table-column.action{width:2.5rem;min-width:2.5rem}.logic-table .table-row .table-column.action button.close{background:transparent;border:none;border-radius:0}.logic-table button.add-btn{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;width:21.75rem;height:2.5rem;margin:5rem auto 0}.wf-action-list .action-item li .count-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "pipe", type: TypeOfPipe, name: "typeof" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-logic', template: "<div class=\"logic\">\n  <div class=\"logic-condition vx-p-2 vx-pl-3 vx-pr-3 vx-mb-3\">\n    <div class=\"heading vx-fs-14 vx-fw-500 vx-label-txt vx-mb-1\">\n      Is visible when\n    </div>\n    <div class=\"details vx-fs-12 vx-paragraph-txt\">\n      Use this to define display conditions for the questions in the assessment.\n    </div>\n  </div>\n  <div\n    *ngIf=\"question.visibilityLogic.length === 0\"\n    class=\"no-selected vx-text-center\"\n  >\n    <img [src]=\"ASSETS.add_logic\" />\n    <button\n      class=\"add-btn vx-fs-11 vx-fw-600 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\"\n      (click)=\"modifyLogic()\"\n    >\n      ADD LOGIC & DISPLAY CONDITIONS FOR THIS QUESTION\n    </button>\n  </div>\n  <div class=\"logic-table\" *ngIf=\"question.visibilityLogic.length > 0\">\n    <div class=\"table-header\">\n      <div class=\"table-row vx-pl-2\">\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center question\"\n        >\n          QUESTIONS\n        </div>\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center logic-operator\"\n        >\n          LOGIC OPERATORS\n        </div>\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center value\"\n        >\n          VALUES\n        </div>\n        <div\n          class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\"\n        ></div>\n      </div>\n    </div>\n    <div class=\"table-body\">\n      <div\n        class=\"table-row vx-pl-2\"\n        *ngFor=\"let logic of question.visibilityLogic; let i = index\"\n      >\n        <div\n          class=\"and-label vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pt-1 vx-pb-1 vx-d-flex vx-justify-center\"\n          *ngIf=\"question.visibilityLogic.length > 1 && i !== 0\"\n        >\n          AND\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center question\"\n        >\n          <div\n            class=\"name vx-fs-13 vx-paragraph-txt\"\n            [appTooltip]=\"logic.questionTitle\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            [innerHTML]=\"logic.questionTitle\"\n          ></div>\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center logic-operator\"\n        >\n          <div\n            class=\"label vx-fs-11 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-lh-4\"\n            [class.blue]=\"logic.operator == 'answered'\"\n            [class.green]=\"logic.operator != 'answered'\"\n            *ngIf=\"logic.operator\"\n          >\n            {{ operatorVal[logic.operator] }}\n          </div>\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center value\"\n        >\n          <div\n            *ngIf=\"logic.value != '' && (logic.value | typeof) === 'object'\"\n            class=\"value-name vx-fs-12 vx-paragraph-txt vx-pl-2 vx-pr-2 vx-lh-6 vx-mr-1\"\n            [appTooltip]=\"logic.value[0]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            [innerHTML]=\"logic.value[0]\"\n          ></div>\n          <div\n            *ngIf=\"logic.value != '' && (logic.value | typeof) !== 'object'\"\n            class=\"value-name vx-fs-12 vx-paragraph-txt vx-pl-2 vx-pr-2 vx-lh-6 vx-mr-1\"\n            [appTooltip]=\"logic.value\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            [innerHTML]=\"logic.value\"\n          ></div>\n\n          <button\n            *ngIf=\"\n              logic.value?.length > 1 && (logic.value | typeof) === 'object'\n            \"\n            class=\"count vx-fs-11 vx-txt-white vx-m-0 vx-p-0 vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center\"\n            appPopover\n            (click)=\"count.popover()\"\n            placement=\"right\"\n          >\n            +{{ logic?.value?.length - 1 }}\n          </button>\n\n          <app-popover #count>\n            <div\n              class=\"wf-action-list\"\n              *ngIf=\"(logic.value | typeof) === 'object'\"\n            >\n              <ul class=\"action-item\">\n                <li class=\"vx-p-2\" *ngFor=\"let data of logic.value.slice(1)\">\n                  <div\n                    class=\"count-value vx-fs-11 vx-paragraph-txt\"\n                    [appTooltip]=\"'Strongly agree'\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ data }}\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n        </div>\n        <div\n          class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center action\"\n        >\n          <button\n            class=\"close vx-fs-16 vx-txt-red vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            (click)=\"deleteLogic(i)\"\n          >\n            <i class=\"icons\">&#xe9ae;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n    <button\n      class=\"add-btn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\"\n      (click)=\"modifyLogic()\"\n    >\n      Add Additional Logic & Display Conditions for this Question\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.logic-condition{background:#f8f8f8;border-radius:.25rem;position:relative}.logic-condition:before{background:#4681ef;border-radius:.25rem;content:\"\";position:absolute;top:0;left:0;width:3px;height:100%}.logic-condition .heading,.logic-condition .details{padding-left:.125rem}.logic .no-selected{margin-bottom:3rem}.logic .no-selected img{width:15.25rem;margin:3rem 0 2rem}.logic .no-selected button.add-btn{background:#1e5dd3;border:none;border-radius:.125rem;width:21.75rem;height:2.5rem;margin:0 auto}.logic-table .table-header .table-row{background:#fff!important}.logic-table .table-header .table-row .table-column{color:#161b2f!important;line-height:1rem!important;min-height:1.875rem!important}.logic-table .table-row{background:#fbfbfb;border-bottom:1px solid #F1F1F1;display:flex;justify-content:space-between;position:relative}.logic-table .table-row .and-label{background:#1e5dd3;border-radius:0 .125rem .125rem 0;writing-mode:vertical-lr;position:absolute;left:-1rem;top:.125rem;width:1rem;height:2.25rem;transform:rotate(180deg)}.logic-table .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}.logic-table .table-row .table-column.question{width:calc(100% - 26rem);min-width:calc(100% - 26rem)}.logic-table .table-row .table-column.question .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 3rem)}.logic-table .table-row .table-column.logic-operator{width:9.25rem;min-width:9.25rem}.logic-table .table-row .table-column.logic-operator .label{border-radius:.125rem}.logic-table .table-row .table-column.logic-operator .label.blue{background:#7aa6f7}.logic-table .table-row .table-column.logic-operator .label.green{background:#66bf72}.logic-table .table-row .table-column.value{width:13.75rem;min-width:13.75rem}.logic-table .table-row .table-column.value .value-name{background:#f1f1f1;border-radius:.125rem;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 2.5rem)}.logic-table .table-row .table-column.value button.count{background:#1e5dd3;border-radius:.125rem;border:none;width:1.5rem;height:1.5rem}.logic-table .table-row .table-column.action{width:2.5rem;min-width:2.5rem}.logic-table .table-row .table-column.action button.close{background:transparent;border:none;border-radius:0}.logic-table button.add-btn{background:#fff;border:1px solid #DBDBDB;border-radius:.125rem;width:21.75rem;height:2.5rem;margin:5rem auto 0}.wf-action-list .action-item li .count-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogService }]; }, propDecorators: { service: [{
                type: Input
            }], question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }], editorMode: [{
                type: Input
            }] } });

class ErrorMessagePipe {
    transform(value, ...args) {
        if (value) {
            const [first] = Object.keys(value);
            if (value[first].message) {
                return value[first].message;
            }
            else {
                return '';
            }
        }
        else {
            return '';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ErrorMessagePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ErrorMessagePipe, name: "errorMessage" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ErrorMessagePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'errorMessage'
                }]
        }] });

class CurrentPageQuestionPipe {
    transform(value, ...args) {
        let x = value.filter((question) => (question.page === args[0]));
        if (x.length > 1) {
            return true;
        }
        else {
            return false;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CurrentPageQuestionPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CurrentPageQuestionPipe, name: "currentPageQuestion" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CurrentPageQuestionPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'currentPageQuestion'
                }]
        }] });

class EditorWrapperComponent {
    openResponsePopup() {
        this.hideResponsePopup = true;
    }
    closeResponsePopup() {
        this.hideResponsePopup = false;
    }
    openNextQuestion() {
        this.nextQuestion = true;
    }
    closeNextQuestion() {
        this.nextQuestion = false;
    }
    constructor(cdr, validator) {
        this.cdr = cdr;
        this.validator = validator;
        this.hideResponsePopup = false;
        this.nextQuestion = false;
        this.openPortal = '';
        this.validQuestionData = new EventEmitter();
        this.errorPresent = false;
        this.viewMode = 'build';
        this.deleteQuestion = new EventEmitter();
        this.copyQuestion = new EventEmitter();
    }
    ngOnInit() {
        if (this.question.errorArray && Object.values(this.question.errorArray).length > 0) {
            this.errorPresent = true;
        }
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this.questionContainer.nativeElement.scrollIntoView({ behavior: 'smooth', block: 'start' });
        }, 100);
    }
    openResponseChoice() {
        this.responseChoice = true;
    }
    closeThis() {
        this.responseChoice = false;
    }
    callDelete() {
        this.deleteQuestion.emit(this.questionIndex);
    }
    callCopy() {
        this.copyQuestion.emit(this.questionIndex);
    }
    /**
     * Adds new option for a question
     * @param choiceIndex Index of option after which new option should be added
     * @param type Unique identifier to set id of newly created options
     */
    addOption({ choiceIndex, type }) {
        this.question.choices.splice(choiceIndex + 1, 0, { title: '', value: '', is_selected: false, answerCompletedBy: [] });
        this.setFocus(type, choiceIndex + 1);
    }
    /**
     * Deletes a particular option
     * @param choiceIndex Index of option after which new option should be added
     * @param type Unique identifier to set id of newly created options
     */
    deleteOption({ choiceIndex, type }) {
        if (this.question.choices.length !== 1) {
            this.question.choices.splice(choiceIndex, 1);
        }
        (choiceIndex - 1 >= 0) ? this.setFocus(type, choiceIndex - 1) :
            this.setFocus(type, 0);
    }
    deleteColumn({ columnIndex, type }) {
        if (this.question.columns.length === 1) {
            return;
        }
        this.question.columns.splice(columnIndex, 1);
        (columnIndex - 1 >= 0) ? this.setFocus(type, columnIndex - 1) : this.setFocus(type, 0);
    }
    addColumn({ columnIndex, type }) {
        const column = { title: '', value: 0, is_selected: false, weight: 0, choices: [{ title: '' }] };
        this.question.columns.splice(columnIndex + 1, 0, column);
        this.setFocus(type, columnIndex + 1);
    }
    /**
     * Sets focus to updated option
     * @param type Unique identifier to set id of newly created options
     * @param choiceIndex Index of option after which new option should be added
     */
    setFocus(type, choiceIndex) {
        this.cdr.detectChanges();
        let EL;
        EL = document.getElementById(type + choiceIndex);
        if (EL) {
            EL.focus();
        }
    }
    /**
     * Operation on click of save button
     */
    async checkForValidationStatus(mode) {
        const status = await this.validator.validate(this.question);
        if (status.valid === true) {
            this.errorPresent = false;
            this.validator.validatedQuestions[status.question.name] = status.question;
            this.validQuestionData.emit(mode);
        }
        else {
            this.errorPresent = true;
            delete this.validator.validatedQuestions[status.question.name];
        }
    }
    insertResponseSet(evt) {
        this.question.choices = evt;
        if (this.service.formsPage.settings.assessmentMode) {
            this.question.choices.some((ele) => {
                if (!ele.isFailed) {
                    ele.score = this.service.formsPage.settings.defaultScore;
                }
                if (ele.isFailed === true) {
                    ele.score = this.service.formsPage.settings.negativeScore;
                }
            });
            this.question.hasOther = false;
        }
        this.responseChoice = false;
        this.checkForValidationStatus('partial');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorWrapperComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: ValidatorService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: EditorWrapperComponent, selector: "app-editor-wrapper", inputs: { openPortal: "openPortal", questionIndex: "questionIndex", question: "question", GRS: "GRS", service: "service", editorMode: "editorMode" }, outputs: { validQuestionData: "validQuestionData", deleteQuestion: "deleteQuestion", copyQuestion: "copyQuestion" }, viewQueries: [{ propertyName: "questionContainer", first: true, predicate: ["questionContainer"], descendants: true }], ngImport: i0, template: "<div class=\"editor-wrapper vx-mb-4 \" [class.error]=\"errorPresent\" [class.with-logic]=\"false\" [ngSwitch]=\"viewMode\"  #questionContainer >\n    <!-- <div class=\"label-mode vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pt-1 vx-pb-1\">ASSESSMENT MODE ENABLED</div> -->\n    <div class=\"editor-top vx-d-flex vx-align-center vx-justify-center vx-pl-2 vx-pr-2\">\n        <button class=\"type-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center\" [class.active]=\"viewMode == 'build'\" (click)=\"viewMode = 'build'\">BUILD</button>\n\n\n\n        <div class=\"logic-area\">\n            <button [class.disabled]=\" (service.formsPage.elements | currentPageQuestion : service.currentPageNumber ) === false\" class=\"type-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center\" [class.active]=\"viewMode == 'logic'\" (click)=\"viewMode = 'logic'\" >LOGIC</button>\n            <i *ngIf=\"(service.formsPage.elements | currentPageQuestion : service.currentPageNumber ) === false\" [appTooltip]=\"(service.formsPage.elements | currentPageQuestion : service.currentPageNumber ) === false ? 'You need to have at least two questions to create a logical workflow.':''\" class=\"icons info vx-fs-12 vx-txt-blue\"  placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">&#xe932;</i>\n        </div>\n\n\n\n        <button [class.disabled]=\"service.formsPage?.elements?.length < 2\" class=\"type-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center\" [class.active]=\"viewMode == 'move'\" (click)=\"viewMode = 'move'\">MOVE</button>\n        <div class=\"rightside-button vx-d-flex vx-align-center\">\n            <button class=\"duplicate-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-7\" (click)=\"copyQuestion.emit(questionIndex)\">DUPLICATE</button>\n            <button class=\"delete-btn vx-fs-14 vx-txt-red vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" (click)=\"deleteQuestion.emit(questionIndex)\"><i class=\"icons\">&#xe923;</i></button>\n        </div>\n    </div>\n    <div class=\"editor-mid vx-pl-5 vx-pr-5\" [ngSwitch]=\"viewMode\">\n        <div class=\"build-area vx-d-flex vx-justify-between\" *ngSwitchCase=\"'build'\">\n            <div class=\"left\">\n                <!-- <app-welcome></app-welcome>\n                <app-thank-you></app-thank-you> -->\n                <div class=\"vx-d-flex vx-justify-between\">\n                    <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}} <span *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div>\n                    <!-- *ngIf=\"service.formsPage?.settings?.weightageEnabled === true\" -->\n                    <app-weightage-selector *ngIf=\"service.formsPage?.settings?.weightageEnabled === true && ['multiple-choice','checkbox','dropdown'].includes(question?.type)\" [(value)]=\"question.weightage\" ></app-weightage-selector>\n                </div>\n                <!-- <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}}\n                <span  *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div> -->\n                <app-single-line-editor [placeholder]=\"'Question'\" [label]=\"false\" [editorMode]=\"'multiline'\" [(ngModel)]=\"question.title\"></app-single-line-editor>\n                <ng-container *ngIf=\"question.isPlaceholder &&  ['single-textbox','comment-box'].includes(question.type)\">\n                    <div class=\"label-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">Placeholder Text</div>\n                    <app-single-line-editor [placeholder]=\"'Please enter a response'\" [label]=\"false\" [editorMode]=\"'multiline'\"></app-single-line-editor>\n                </ng-container>\n\n                <app-single-line-editor [label]=\"true\" [(ngModel)]=\"question.description\" *ngIf=\"question.hasDescription\" [placeholder]=\"'Description'\" [editorMode]=\"'multiline'\"></app-single-line-editor>\n                <app-single-line-editor  [label]=\"true\" [(ngModel)]=\"question.comments\" *ngIf=\"question.hasComments\" [placeholder]=\"'Comment'\" [editorMode]=\"'multiline'\"></app-single-line-editor>\n                <div class=\"response-block vx-d-flex vx-align-center vx-justify-end vx-mb-3\" *ngIf=\"false\">\n                    <button *ngIf=\"!hideResponsePopup\" class=\"response-select vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-m-0 vx-p-0 vx-pl-2 vx-pr-2 vx-d-flex vx-align-center vx-justify-center vx-lh-6\" (click)=\"openResponsePopup()\">PRECONFIGURED RESPONSE CHOICE <i class=\"icons vx-fs-10 vx-d-flex vx-ml-4\">&#xe9e8;</i></button>\n                    <app-response-selector *ngIf=\"hideResponsePopup\"></app-response-selector>\n                    <div class=\"overlay\" *ngIf=\"hideResponsePopup\" (click)=\"closeResponsePopup()\"></div>\n                </div>\n                <ng-container [ngSwitch]=\"question?.type\">\n                    <app-multiple-choice *ngSwitchCase=\"'multiple-choice'\"  [service]=\"service\" [question]=\"question\" (addOption)=\"addOption($event)\"  (deleteOption)=\"deleteOption($event)\"></app-multiple-choice>\n                    <app-checkbox *ngSwitchCase=\"'checkbox'\" [service]=\"service\" [question]=\"question\" (addOption)=\"addOption($event)\"  (deleteOption)=\"deleteOption($event)\"></app-checkbox>\n                    <app-image-choice  *ngSwitchCase=\"'image-choice'\"></app-image-choice>\n                    <app-star-rating  *ngSwitchCase=\"'star-rating'\"></app-star-rating>\n                    <app-matrix-dropdown *ngSwitchCase=\"'matrix-dropdown'\"></app-matrix-dropdown>\n                    <app-build-dropdown *ngSwitchCase=\"'dropdown'\" [service]=\"service\" [question]=\"question\" (addOption)=\"addOption($event)\"  (deleteOption)=\"deleteOption($event)\"></app-build-dropdown>\n                    <app-matrix-rating-scale *ngSwitchCase=\"'rating-scale'\"></app-matrix-rating-scale>\n                    <app-ranking *ngSwitchCase=\"'ranking'\"></app-ranking>\n                    <app-slider *ngSwitchCase=\"'slider'\"></app-slider>\n                    <app-multiple-textbox *ngSwitchCase=\"'multiple-textbox'\"></app-multiple-textbox>\n                    <app-build-date-time *ngSwitchCase=\"'date-time'\" [question]=\"question\"></app-build-date-time>\n                </ng-container>\n\n            </div>\n            <div class=\"right\">\n                <app-quick-setting [questionIndex]=\"questionIndex\" [question]=\"question\" (typeChanged)=\"checkForValidationStatus('PARTIAL')\"></app-quick-setting>\n            </div>\n        </div>\n        <div class=\"logic-area\" *ngSwitchCase=\"'logic'\">\n            <div class=\"question-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}} <span *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div>\n            <div class=\"question-name vx-fs-16 vx-label-txt vx-lh-6 vx-pt-1 vx-pb-1 vx-mb-5\">\n                {{question?.title ? question?.title : 'Question'}}\n                <i class=\"icons info vx-txt-blue vx-ml-2\" *ngIf=\"question?.hasComments\"  [appTooltip]=\"question?.comments\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i></div>\n            <app-logic [service]=\"service\" [question]=\"question\" [editorMode]=\"editorMode\" [questionIndex]=\"questionIndex\"></app-logic>\n        </div>\n        <div class=\"move-area\" *ngSwitchCase=\"'move'\">\n            <div class=\"question-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}} <span *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div>\n            <div class=\"question-name vx-fs-16 vx-label-txt vx-lh-6 vx-pt-1 vx-pb-1 vx-mb-5\">{{question?.title ? question?.title : 'Question'}} <i  *ngIf=\"question?.hasComments\" class=\"icons info vx-txt-blue vx-ml-2\" [appTooltip]=\"question?.comments\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i></div>\n            <app-move [service]=\"service\" [openPortal]=\"openPortal\" [question] =\"question\" [questionIndex]=\"questionIndex\"></app-move>\n        </div>\n    </div>\n    <div class=\"editor-bottom vx-d-flex vx-align-center vx-justify-between vx-p-2 error\">\n        <button (click)=\"openNextQuestion()\" class=\"next-btn vx-fs-12 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><span class=\"plus-icon vx-fs-14 vx-fw-500 vx-d-flex vx-align-center vx-justify-center vx-mr-1\">+</span> NEXT QUESTION</button>\n        <div class=\"error-msg vx-fs-12 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center\" *ngIf=\"(question?.errorArray|errorMessage) as error\">\n            <i class=\"icons vx-d-flex vx-mr-1\">&#xe914;</i> {{error}}\n        </div>\n        <button (click)=\"checkForValidationStatus('save')\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">SAVE</button>\n        <div *ngIf=\"nextQuestion\" class=\"next-question vx-p-4\">\n            <app-question-type (addQuestion)=\"service.addQuestion($event,questionIndex);closeNextQuestion();\"></app-question-type>\n        </div>\n        <div *ngIf=\"nextQuestion\" class=\"overlay\" (click)=\"closeNextQuestion()\"></div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.editor-wrapper{border:1px solid #1e5dd3;border-radius:.25rem;position:relative}.editor-wrapper .label-mode{background:#7aa6f7;border:1px solid #1e5dd3;border-left:none;border-radius:0 .125rem .125rem 0;writing-mode:vertical-lr;position:absolute;left:-1.0625rem;top:3rem;width:1rem;transform:rotate(180deg)}.editor-wrapper.error{border-color:#d93b41}.editor-wrapper.error .editor-bottom{background:#d93b41}.editor-wrapper.with-logic{border-color:#f0b819}.editor-wrapper.with-logic .label-mode{background:#f4c84a;border-color:#f0b819}.editor-top{background:#fbfbfb;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.75rem;position:relative}.editor-top .logic-area{position:relative}.editor-top .logic-area i.info{position:absolute;right:.75rem;top:1.0625rem;cursor:pointer}.editor-top button.type-btn{background:transparent;border:none;border-bottom:.1875rem solid transparent;border-radius:0;line-height:2.75rem;margin:0 2rem}.editor-top button.type-btn.active{color:#1e5dd3;border-color:#1e5dd3}.editor-top button.disabled{pointer-events:none;opacity:.5}.editor-top .rightside-button{position:absolute;right:.5rem;top:.5rem}.editor-top .rightside-button button{background:#f1f1f1;border:none;border-radius:.125rem;height:1.75rem}.editor-top .rightside-button button.delete-btn{width:1.75rem}.editor-mid{padding-top:1.5rem;padding-bottom:1.5rem}.editor-mid .build-area .left{width:calc(100% - 17.5rem);position:relative}.editor-mid .build-area .left .heading{position:relative}.editor-mid .build-area .left .heading:before{background:#4681ef;content:\"\";position:absolute;top:.125rem;left:0;width:.125rem;height:.875rem}.editor-mid .build-area .left .response-block{position:relative;top:-.5rem}.editor-mid .build-area .left .response-block button.response-select{background:#fbfbfb;border:1px solid #DBDBDB;border-radius:.125rem}.editor-mid .build-area .left .response-block app-response-selector{position:relative;width:100%;z-index:9}.editor-mid .build-area .left .response-block .overlay{z-index:8}.editor-mid .build-area .right{width:16rem}.editor-mid .logic-area .question-heading,.editor-mid .move-area .question-heading{position:relative}.editor-mid .logic-area .question-heading:before,.editor-mid .move-area .question-heading:before{background:#4681ef;content:\"\";position:absolute;top:.4375rem;left:0;width:.125rem;height:.875rem}.editor-mid .logic-area .question-name i.info,.editor-mid .move-area .question-name i.info{cursor:pointer;position:relative;top:.125rem}.editor-bottom{background:#1e5dd3;border-radius:0 0 .125rem .125rem;position:relative}.editor-bottom button{background:#fff;border:none;border-radius:.1125rem}.editor-bottom button.next-btn{height:1.75rem}.editor-bottom button.next-btn .plus-icon{border:.125rem solid #1e5dd3;border-radius:50%;width:1.125rem;height:1.125rem;line-height:1.125rem}.editor-bottom button.save-btn{width:4.75rem;height:1.75rem}.editor-bottom .next-question{background:#fff;border-radius:.25rem;box-shadow:0 -3px 6px #1e5dd326;position:absolute;bottom:0;left:0;z-index:9}.editor-bottom .next-question ::ng-deep app-question-type .question-type ul{left:10rem;width:calc(100% - 20rem)}.editor-bottom .next-question ::ng-deep app-question-type .question-type ul li{width:10rem!important}.editor-bottom .overlay{z-index:8}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: MultipleChoiceComponent, selector: "app-multiple-choice", inputs: ["question", "service"], outputs: ["addOption", "deleteOption"] }, { kind: "component", type: CheckboxComponent, selector: "app-checkbox", inputs: ["question", "service"], outputs: ["addOption", "deleteOption"] }, { kind: "component", type: ImageChoiceComponent, selector: "app-image-choice" }, { kind: "component", type: StarRatingComponent, selector: "app-star-rating" }, { kind: "component", type: MatrixDropdownComponent, selector: "app-matrix-dropdown" }, { kind: "component", type: DropdownComponent, selector: "app-build-dropdown", inputs: ["question", "service"], outputs: ["addOption", "deleteOption"] }, { kind: "component", type: MatrixRatingScaleComponent, selector: "app-matrix-rating-scale" }, { kind: "component", type: RankingComponent, selector: "app-ranking" }, { kind: "component", type: SliderComponent, selector: "app-slider" }, { kind: "component", type: MultipleTextboxComponent, selector: "app-multiple-textbox" }, { kind: "component", type: DateTimeComponent$1, selector: "app-build-date-time", inputs: ["question"] }, { kind: "component", type: WeightageSelectorComponent, selector: "app-weightage-selector", inputs: ["value"], outputs: ["valueChange"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: QuestionTypeComponent, selector: "app-question-type", outputs: ["addQuestion"] }, { kind: "component", type: QuickSettingsComponent, selector: "app-quick-setting", inputs: ["questionIndex", "question"], outputs: ["typeChanged"] }, { kind: "component", type: SingleLineEditorComponent, selector: "app-single-line-editor", inputs: ["placeholder", "editorMode", "label", "id"] }, { kind: "component", type: ResponseSelectorComponent, selector: "app-response-selector" }, { kind: "component", type: MoveComponent, selector: "app-move", inputs: ["questionIndex", "question", "service", "openPortal"] }, { kind: "component", type: LogicComponent, selector: "app-logic", inputs: ["service", "question", "questionIndex", "editorMode"] }, { kind: "pipe", type: ErrorMessagePipe, name: "errorMessage" }, { kind: "pipe", type: CurrentPageQuestionPipe, name: "currentPageQuestion" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-editor-wrapper', template: "<div class=\"editor-wrapper vx-mb-4 \" [class.error]=\"errorPresent\" [class.with-logic]=\"false\" [ngSwitch]=\"viewMode\"  #questionContainer >\n    <!-- <div class=\"label-mode vx-fs-10 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pt-1 vx-pb-1\">ASSESSMENT MODE ENABLED</div> -->\n    <div class=\"editor-top vx-d-flex vx-align-center vx-justify-center vx-pl-2 vx-pr-2\">\n        <button class=\"type-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center\" [class.active]=\"viewMode == 'build'\" (click)=\"viewMode = 'build'\">BUILD</button>\n\n\n\n        <div class=\"logic-area\">\n            <button [class.disabled]=\" (service.formsPage.elements | currentPageQuestion : service.currentPageNumber ) === false\" class=\"type-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center\" [class.active]=\"viewMode == 'logic'\" (click)=\"viewMode = 'logic'\" >LOGIC</button>\n            <i *ngIf=\"(service.formsPage.elements | currentPageQuestion : service.currentPageNumber ) === false\" [appTooltip]=\"(service.formsPage.elements | currentPageQuestion : service.currentPageNumber ) === false ? 'You need to have at least two questions to create a logical workflow.':''\" class=\"icons info vx-fs-12 vx-txt-blue\"  placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">&#xe932;</i>\n        </div>\n\n\n\n        <button [class.disabled]=\"service.formsPage?.elements?.length < 2\" class=\"type-btn vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center\" [class.active]=\"viewMode == 'move'\" (click)=\"viewMode = 'move'\">MOVE</button>\n        <div class=\"rightside-button vx-d-flex vx-align-center\">\n            <button class=\"duplicate-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-lh-7\" (click)=\"copyQuestion.emit(questionIndex)\">DUPLICATE</button>\n            <button class=\"delete-btn vx-fs-14 vx-txt-red vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" (click)=\"deleteQuestion.emit(questionIndex)\"><i class=\"icons\">&#xe923;</i></button>\n        </div>\n    </div>\n    <div class=\"editor-mid vx-pl-5 vx-pr-5\" [ngSwitch]=\"viewMode\">\n        <div class=\"build-area vx-d-flex vx-justify-between\" *ngSwitchCase=\"'build'\">\n            <div class=\"left\">\n                <!-- <app-welcome></app-welcome>\n                <app-thank-you></app-thank-you> -->\n                <div class=\"vx-d-flex vx-justify-between\">\n                    <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}} <span *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div>\n                    <!-- *ngIf=\"service.formsPage?.settings?.weightageEnabled === true\" -->\n                    <app-weightage-selector *ngIf=\"service.formsPage?.settings?.weightageEnabled === true && ['multiple-choice','checkbox','dropdown'].includes(question?.type)\" [(value)]=\"question.weightage\" ></app-weightage-selector>\n                </div>\n                <!-- <div class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}}\n                <span  *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div> -->\n                <app-single-line-editor [placeholder]=\"'Question'\" [label]=\"false\" [editorMode]=\"'multiline'\" [(ngModel)]=\"question.title\"></app-single-line-editor>\n                <ng-container *ngIf=\"question.isPlaceholder &&  ['single-textbox','comment-box'].includes(question.type)\">\n                    <div class=\"label-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">Placeholder Text</div>\n                    <app-single-line-editor [placeholder]=\"'Please enter a response'\" [label]=\"false\" [editorMode]=\"'multiline'\"></app-single-line-editor>\n                </ng-container>\n\n                <app-single-line-editor [label]=\"true\" [(ngModel)]=\"question.description\" *ngIf=\"question.hasDescription\" [placeholder]=\"'Description'\" [editorMode]=\"'multiline'\"></app-single-line-editor>\n                <app-single-line-editor  [label]=\"true\" [(ngModel)]=\"question.comments\" *ngIf=\"question.hasComments\" [placeholder]=\"'Comment'\" [editorMode]=\"'multiline'\"></app-single-line-editor>\n                <div class=\"response-block vx-d-flex vx-align-center vx-justify-end vx-mb-3\" *ngIf=\"false\">\n                    <button *ngIf=\"!hideResponsePopup\" class=\"response-select vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-m-0 vx-p-0 vx-pl-2 vx-pr-2 vx-d-flex vx-align-center vx-justify-center vx-lh-6\" (click)=\"openResponsePopup()\">PRECONFIGURED RESPONSE CHOICE <i class=\"icons vx-fs-10 vx-d-flex vx-ml-4\">&#xe9e8;</i></button>\n                    <app-response-selector *ngIf=\"hideResponsePopup\"></app-response-selector>\n                    <div class=\"overlay\" *ngIf=\"hideResponsePopup\" (click)=\"closeResponsePopup()\"></div>\n                </div>\n                <ng-container [ngSwitch]=\"question?.type\">\n                    <app-multiple-choice *ngSwitchCase=\"'multiple-choice'\"  [service]=\"service\" [question]=\"question\" (addOption)=\"addOption($event)\"  (deleteOption)=\"deleteOption($event)\"></app-multiple-choice>\n                    <app-checkbox *ngSwitchCase=\"'checkbox'\" [service]=\"service\" [question]=\"question\" (addOption)=\"addOption($event)\"  (deleteOption)=\"deleteOption($event)\"></app-checkbox>\n                    <app-image-choice  *ngSwitchCase=\"'image-choice'\"></app-image-choice>\n                    <app-star-rating  *ngSwitchCase=\"'star-rating'\"></app-star-rating>\n                    <app-matrix-dropdown *ngSwitchCase=\"'matrix-dropdown'\"></app-matrix-dropdown>\n                    <app-build-dropdown *ngSwitchCase=\"'dropdown'\" [service]=\"service\" [question]=\"question\" (addOption)=\"addOption($event)\"  (deleteOption)=\"deleteOption($event)\"></app-build-dropdown>\n                    <app-matrix-rating-scale *ngSwitchCase=\"'rating-scale'\"></app-matrix-rating-scale>\n                    <app-ranking *ngSwitchCase=\"'ranking'\"></app-ranking>\n                    <app-slider *ngSwitchCase=\"'slider'\"></app-slider>\n                    <app-multiple-textbox *ngSwitchCase=\"'multiple-textbox'\"></app-multiple-textbox>\n                    <app-build-date-time *ngSwitchCase=\"'date-time'\" [question]=\"question\"></app-build-date-time>\n                </ng-container>\n\n            </div>\n            <div class=\"right\">\n                <app-quick-setting [questionIndex]=\"questionIndex\" [question]=\"question\" (typeChanged)=\"checkForValidationStatus('PARTIAL')\"></app-quick-setting>\n            </div>\n        </div>\n        <div class=\"logic-area\" *ngSwitchCase=\"'logic'\">\n            <div class=\"question-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}} <span *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div>\n            <div class=\"question-name vx-fs-16 vx-label-txt vx-lh-6 vx-pt-1 vx-pb-1 vx-mb-5\">\n                {{question?.title ? question?.title : 'Question'}}\n                <i class=\"icons info vx-txt-blue vx-ml-2\" *ngIf=\"question?.hasComments\"  [appTooltip]=\"question?.comments\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i></div>\n            <app-logic [service]=\"service\" [question]=\"question\" [editorMode]=\"editorMode\" [questionIndex]=\"questionIndex\"></app-logic>\n        </div>\n        <div class=\"move-area\" *ngSwitchCase=\"'move'\">\n            <div class=\"question-heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\">QUESTION {{questionIndex  + 1}} <span *ngIf=\"question.isRequired === true\" class=\"vx-fs-16 vx-fw-400 vx-txt-red vx-ml-1\">*</span></div>\n            <div class=\"question-name vx-fs-16 vx-label-txt vx-lh-6 vx-pt-1 vx-pb-1 vx-mb-5\">{{question?.title ? question?.title : 'Question'}} <i  *ngIf=\"question?.hasComments\" class=\"icons info vx-txt-blue vx-ml-2\" [appTooltip]=\"question?.comments\" placement=\"bottom-right\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i></div>\n            <app-move [service]=\"service\" [openPortal]=\"openPortal\" [question] =\"question\" [questionIndex]=\"questionIndex\"></app-move>\n        </div>\n    </div>\n    <div class=\"editor-bottom vx-d-flex vx-align-center vx-justify-between vx-p-2 error\">\n        <button (click)=\"openNextQuestion()\" class=\"next-btn vx-fs-12 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><span class=\"plus-icon vx-fs-14 vx-fw-500 vx-d-flex vx-align-center vx-justify-center vx-mr-1\">+</span> NEXT QUESTION</button>\n        <div class=\"error-msg vx-fs-12 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center\" *ngIf=\"(question?.errorArray|errorMessage) as error\">\n            <i class=\"icons vx-d-flex vx-mr-1\">&#xe914;</i> {{error}}\n        </div>\n        <button (click)=\"checkForValidationStatus('save')\" class=\"save-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\">SAVE</button>\n        <div *ngIf=\"nextQuestion\" class=\"next-question vx-p-4\">\n            <app-question-type (addQuestion)=\"service.addQuestion($event,questionIndex);closeNextQuestion();\"></app-question-type>\n        </div>\n        <div *ngIf=\"nextQuestion\" class=\"overlay\" (click)=\"closeNextQuestion()\"></div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.editor-wrapper{border:1px solid #1e5dd3;border-radius:.25rem;position:relative}.editor-wrapper .label-mode{background:#7aa6f7;border:1px solid #1e5dd3;border-left:none;border-radius:0 .125rem .125rem 0;writing-mode:vertical-lr;position:absolute;left:-1.0625rem;top:3rem;width:1rem;transform:rotate(180deg)}.editor-wrapper.error{border-color:#d93b41}.editor-wrapper.error .editor-bottom{background:#d93b41}.editor-wrapper.with-logic{border-color:#f0b819}.editor-wrapper.with-logic .label-mode{background:#f4c84a;border-color:#f0b819}.editor-top{background:#fbfbfb;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.75rem;position:relative}.editor-top .logic-area{position:relative}.editor-top .logic-area i.info{position:absolute;right:.75rem;top:1.0625rem;cursor:pointer}.editor-top button.type-btn{background:transparent;border:none;border-bottom:.1875rem solid transparent;border-radius:0;line-height:2.75rem;margin:0 2rem}.editor-top button.type-btn.active{color:#1e5dd3;border-color:#1e5dd3}.editor-top button.disabled{pointer-events:none;opacity:.5}.editor-top .rightside-button{position:absolute;right:.5rem;top:.5rem}.editor-top .rightside-button button{background:#f1f1f1;border:none;border-radius:.125rem;height:1.75rem}.editor-top .rightside-button button.delete-btn{width:1.75rem}.editor-mid{padding-top:1.5rem;padding-bottom:1.5rem}.editor-mid .build-area .left{width:calc(100% - 17.5rem);position:relative}.editor-mid .build-area .left .heading{position:relative}.editor-mid .build-area .left .heading:before{background:#4681ef;content:\"\";position:absolute;top:.125rem;left:0;width:.125rem;height:.875rem}.editor-mid .build-area .left .response-block{position:relative;top:-.5rem}.editor-mid .build-area .left .response-block button.response-select{background:#fbfbfb;border:1px solid #DBDBDB;border-radius:.125rem}.editor-mid .build-area .left .response-block app-response-selector{position:relative;width:100%;z-index:9}.editor-mid .build-area .left .response-block .overlay{z-index:8}.editor-mid .build-area .right{width:16rem}.editor-mid .logic-area .question-heading,.editor-mid .move-area .question-heading{position:relative}.editor-mid .logic-area .question-heading:before,.editor-mid .move-area .question-heading:before{background:#4681ef;content:\"\";position:absolute;top:.4375rem;left:0;width:.125rem;height:.875rem}.editor-mid .logic-area .question-name i.info,.editor-mid .move-area .question-name i.info{cursor:pointer;position:relative;top:.125rem}.editor-bottom{background:#1e5dd3;border-radius:0 0 .125rem .125rem;position:relative}.editor-bottom button{background:#fff;border:none;border-radius:.1125rem}.editor-bottom button.next-btn{height:1.75rem}.editor-bottom button.next-btn .plus-icon{border:.125rem solid #1e5dd3;border-radius:50%;width:1.125rem;height:1.125rem;line-height:1.125rem}.editor-bottom button.save-btn{width:4.75rem;height:1.75rem}.editor-bottom .next-question{background:#fff;border-radius:.25rem;box-shadow:0 -3px 6px #1e5dd326;position:absolute;bottom:0;left:0;z-index:9}.editor-bottom .next-question ::ng-deep app-question-type .question-type ul{left:10rem;width:calc(100% - 20rem)}.editor-bottom .next-question ::ng-deep app-question-type .question-type ul li{width:10rem!important}.editor-bottom .overlay{z-index:8}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: ValidatorService }]; }, propDecorators: { openPortal: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }], question: [{
                type: Input
            }], GRS: [{
                type: Input
            }], service: [{
                type: Input
            }], editorMode: [{
                type: Input
            }], validQuestionData: [{
                type: Output
            }], deleteQuestion: [{
                type: Output
            }], copyQuestion: [{
                type: Output
            }], questionContainer: [{
                type: ViewChild,
                args: ['questionContainer']
            }] } });

class ToolkitComponent {
    constructor() {
        this.addQuestion = new EventEmitter();
        this.showCollapse = true;
    }
    ngOnInit() {
    }
    clickCollapse() {
        this.showCollapse = !this.showCollapse;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ToolkitComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ToolkitComponent, selector: "app-toolkit", outputs: { addQuestion: "addQuestion" }, ngImport: i0, template: "<div class=\"toolkit-section\" [class.collapse]=\"showCollapse\">\n    <button class=\"heading-btn vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"clickCollapse()\">\n        <ng-container *ngIf=\"!showCollapse\">\n            <span class=\"vx-fs-11 vx-fw-500 vx-tt-uppercase\">TOOLKIT</span>\n            <i class=\"icons arrow vx-fs-10\">&#xe96b;</i>\n        </ng-container>\n        <ng-container *ngIf=\"showCollapse\">\n            <span class=\"dot vx-fs-12 vx-fw-500 vx-tt-uppercase\">. . .</span>\n            <i class=\"icons arrow vx-fs-10\">&#xe970;</i>\n        </ng-container>\n    </button>\n    <div class=\"toolkit-items vx-p-3 vx-pr-0\">\n        <ul class=\"vx-p-0 vx-pr-3 vx-m-0\">\n            <li class=\"vx-mb-2\" *ngIf=\"true\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('welcome')\">\n                    <div class=\"question-icon welcome-screen vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab3;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">WELCOME SCREEN</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('thankyou')\">\n                    <div class=\"question-icon thank-you-screen vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab2;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">THANK YOU SCREEN</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('multiple-choice')\">\n                    <div class=\"question-icon multiple-choice vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabd;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MULTIPLE CHOICE</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('checkbox')\">\n                    <div class=\"question-icon checkboxes vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabb;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">CHECKBOXES</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('image-choice')\">\n                    <div class=\"question-icon image-choice vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea29;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">IMAGE CHOICE</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('star-rating')\">\n                    <div class=\"question-icon star-rating vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea71;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">STAR RATINGS</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('single-textbox')\">\n                    <div class=\"question-icon single-textbox vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab5;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">SINGLE TEXTBOX</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('comment-box')\">\n                    <div class=\"question-icon comment-box vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xe9a6;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">COMMENT BOX</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('matrix-dropdown')\">\n                    <div class=\"question-icon matrix-dropdown vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab7;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MATRIX OF DROPDOWNS</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('dropdown')\">\n                    <div class=\"question-icon dropdown-icon vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab9;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">DROPDOWN</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('rating-scale')\">\n                    <div class=\"question-icon matrix-rating vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab8;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MATRIX & RATING SCALE</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('ranking')\">\n                    <div class=\"question-icon ranking vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeb03;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">RANKING</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('slider')\">\n                    <div class=\"question-icon slider vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab6;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">SLIDER</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\"  *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('multiple-textbox')\">\n                    <div class=\"question-icon multiple-textbox vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab4;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MULTIPLE TEXTBOXES</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" >\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('date-time')\">\n                    <div class=\"question-icon date-time vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeaba;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">DATE & TIME</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('file-upload')\">\n                    <div class=\"question-icon file-upload vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea97;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">FILE UPLOAD</div>\n                </button>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.toolkit-section{width:11.35rem;height:100%;position:sticky;top:0;transition:all .3s ease-in-out}.toolkit-section button.heading-btn{background:#1e5dd3;border-radius:0;border:none;height:1.5rem;position:relative;width:100%}.toolkit-section button.heading-btn .dot{position:relative;top:-.1875rem}.toolkit-section button.heading-btn i.arrow{position:absolute;top:.4375rem;right:.25rem}.toolkit-section .toolkit-items{background:#fff;border-right:1px solid #F1F1F1;height:calc(100% - 1.5rem)}.toolkit-section .toolkit-items ul{list-style-type:none;height:100%;overflow:hidden;overflow-y:auto}.toolkit-section .toolkit-items ul::-webkit-scrollbar{width:1px}.toolkit-section .toolkit-items ul::-webkit-scrollbar-thumb{border-radius:1px;background-color:#747576}.toolkit-section .toolkit-items ul::-webkit-scrollbar-track{background-color:transparent}.toolkit-section .toolkit-items ul li:last-of-type{margin-bottom:0!important}.toolkit-section .toolkit-items ul li button{background:#f8f8f8;border-radius:.125rem;border:none}.toolkit-section .toolkit-items ul li button:hover{background:#f1f1f1}.toolkit-section .toolkit-items ul li button .question-icon{background:#ee5daf;border-radius:.25rem;width:1.5rem;min-width:1.5rem;height:1.5rem}.toolkit-section .toolkit-items ul li button .question-icon.welcome-screen{background:#ee5daf}.toolkit-section .toolkit-items ul li button .question-icon.thank-you-screen{background:#ee3939}.toolkit-section .toolkit-items ul li button .question-icon.multiple-choice{background:#d1c131}.toolkit-section .toolkit-items ul li button .question-icon.checkboxes{background:#6f81fc}.toolkit-section .toolkit-items ul li button .question-icon.image-choice{background:#4681ef}.toolkit-section .toolkit-items ul li button .question-icon.star-rating{background:#e8c247}.toolkit-section .toolkit-items ul li button .question-icon.single-textbox{background:#2fd2cd}.toolkit-section .toolkit-items ul li button .question-icon.comment-box{background:#acbb7e}.toolkit-section .toolkit-items ul li button .question-icon.matrix-dropdown{background:#66bf72}.toolkit-section .toolkit-items ul li button .question-icon.dropdown-icon{background:#9d9fe1}.toolkit-section .toolkit-items ul li button .question-icon.matrix-rating{background:#67d2cd}.toolkit-section .toolkit-items ul li button .question-icon.ranking{background:#ee9f24}.toolkit-section .toolkit-items ul li button .question-icon.slider{background:#d1c131}.toolkit-section .toolkit-items ul li button .question-icon.multiple-textbox{background:#66bf72}.toolkit-section .toolkit-items ul li button .question-icon.date-time{background:#acbb7e}.toolkit-section .toolkit-items ul li button .question-icon.file-upload{background:#4681ef}.toolkit-section .toolkit-items ul li button .name{width:calc(100% - 1.75rem);white-space:nowrap}.toolkit-section.collapse{width:3.5rem}.toolkit-section.collapse .toolkit-items{margin-right:.25rem}.toolkit-section.collapse .toolkit-items ul{padding-right:.5rem!important}.toolkit-section.collapse .toolkit-items ul li button{min-width:2rem}.toolkit-section.collapse .toolkit-items ul li button .question-icon{margin-right:0!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ToolkitComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-toolkit', template: "<div class=\"toolkit-section\" [class.collapse]=\"showCollapse\">\n    <button class=\"heading-btn vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"clickCollapse()\">\n        <ng-container *ngIf=\"!showCollapse\">\n            <span class=\"vx-fs-11 vx-fw-500 vx-tt-uppercase\">TOOLKIT</span>\n            <i class=\"icons arrow vx-fs-10\">&#xe96b;</i>\n        </ng-container>\n        <ng-container *ngIf=\"showCollapse\">\n            <span class=\"dot vx-fs-12 vx-fw-500 vx-tt-uppercase\">. . .</span>\n            <i class=\"icons arrow vx-fs-10\">&#xe970;</i>\n        </ng-container>\n    </button>\n    <div class=\"toolkit-items vx-p-3 vx-pr-0\">\n        <ul class=\"vx-p-0 vx-pr-3 vx-m-0\">\n            <li class=\"vx-mb-2\" *ngIf=\"true\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('welcome')\">\n                    <div class=\"question-icon welcome-screen vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab3;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">WELCOME SCREEN</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('thankyou')\">\n                    <div class=\"question-icon thank-you-screen vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab2;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">THANK YOU SCREEN</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('multiple-choice')\">\n                    <div class=\"question-icon multiple-choice vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabd;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MULTIPLE CHOICE</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('checkbox')\">\n                    <div class=\"question-icon checkboxes vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeabb;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">CHECKBOXES</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('image-choice')\">\n                    <div class=\"question-icon image-choice vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea29;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">IMAGE CHOICE</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('star-rating')\">\n                    <div class=\"question-icon star-rating vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea71;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">STAR RATINGS</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('single-textbox')\">\n                    <div class=\"question-icon single-textbox vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab5;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">SINGLE TEXTBOX</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('comment-box')\">\n                    <div class=\"question-icon comment-box vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xe9a6;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">COMMENT BOX</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('matrix-dropdown')\">\n                    <div class=\"question-icon matrix-dropdown vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab7;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MATRIX OF DROPDOWNS</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('dropdown')\">\n                    <div class=\"question-icon dropdown-icon vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab9;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">DROPDOWN</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('rating-scale')\">\n                    <div class=\"question-icon matrix-rating vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab8;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MATRIX & RATING SCALE</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('ranking')\">\n                    <div class=\"question-icon ranking vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeb03;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">RANKING</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('slider')\">\n                    <div class=\"question-icon slider vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab6;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">SLIDER</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\"  *ngIf=\"false\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('multiple-textbox')\">\n                    <div class=\"question-icon multiple-textbox vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeab4;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">MULTIPLE TEXTBOXES</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\" >\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('date-time')\">\n                    <div class=\"question-icon date-time vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xeaba;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">DATE & TIME</div>\n                </button>\n            </li>\n            <li class=\"vx-mb-2\">\n                <button class=\"vx-m-0 vx-p-1 vx-text-left vx-w-100 vx-d-flex vx-align-center\" (click)=\"addQuestion.emit('file-upload')\">\n                    <div class=\"question-icon file-upload vx-d-flex vx-align-center vx-justify-center vx-mr-1\"><i class=\"icons vx-fs-16 vx-txt-white\">&#xea97;</i></div>\n                    <div class=\"name vx-fs-10 vx-paragraph-txt vx-tt-uppercase\" *ngIf=\"!showCollapse\">FILE UPLOAD</div>\n                </button>\n            </li>\n        </ul>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.toolkit-section{width:11.35rem;height:100%;position:sticky;top:0;transition:all .3s ease-in-out}.toolkit-section button.heading-btn{background:#1e5dd3;border-radius:0;border:none;height:1.5rem;position:relative;width:100%}.toolkit-section button.heading-btn .dot{position:relative;top:-.1875rem}.toolkit-section button.heading-btn i.arrow{position:absolute;top:.4375rem;right:.25rem}.toolkit-section .toolkit-items{background:#fff;border-right:1px solid #F1F1F1;height:calc(100% - 1.5rem)}.toolkit-section .toolkit-items ul{list-style-type:none;height:100%;overflow:hidden;overflow-y:auto}.toolkit-section .toolkit-items ul::-webkit-scrollbar{width:1px}.toolkit-section .toolkit-items ul::-webkit-scrollbar-thumb{border-radius:1px;background-color:#747576}.toolkit-section .toolkit-items ul::-webkit-scrollbar-track{background-color:transparent}.toolkit-section .toolkit-items ul li:last-of-type{margin-bottom:0!important}.toolkit-section .toolkit-items ul li button{background:#f8f8f8;border-radius:.125rem;border:none}.toolkit-section .toolkit-items ul li button:hover{background:#f1f1f1}.toolkit-section .toolkit-items ul li button .question-icon{background:#ee5daf;border-radius:.25rem;width:1.5rem;min-width:1.5rem;height:1.5rem}.toolkit-section .toolkit-items ul li button .question-icon.welcome-screen{background:#ee5daf}.toolkit-section .toolkit-items ul li button .question-icon.thank-you-screen{background:#ee3939}.toolkit-section .toolkit-items ul li button .question-icon.multiple-choice{background:#d1c131}.toolkit-section .toolkit-items ul li button .question-icon.checkboxes{background:#6f81fc}.toolkit-section .toolkit-items ul li button .question-icon.image-choice{background:#4681ef}.toolkit-section .toolkit-items ul li button .question-icon.star-rating{background:#e8c247}.toolkit-section .toolkit-items ul li button .question-icon.single-textbox{background:#2fd2cd}.toolkit-section .toolkit-items ul li button .question-icon.comment-box{background:#acbb7e}.toolkit-section .toolkit-items ul li button .question-icon.matrix-dropdown{background:#66bf72}.toolkit-section .toolkit-items ul li button .question-icon.dropdown-icon{background:#9d9fe1}.toolkit-section .toolkit-items ul li button .question-icon.matrix-rating{background:#67d2cd}.toolkit-section .toolkit-items ul li button .question-icon.ranking{background:#ee9f24}.toolkit-section .toolkit-items ul li button .question-icon.slider{background:#d1c131}.toolkit-section .toolkit-items ul li button .question-icon.multiple-textbox{background:#66bf72}.toolkit-section .toolkit-items ul li button .question-icon.date-time{background:#acbb7e}.toolkit-section .toolkit-items ul li button .question-icon.file-upload{background:#4681ef}.toolkit-section .toolkit-items ul li button .name{width:calc(100% - 1.75rem);white-space:nowrap}.toolkit-section.collapse{width:3.5rem}.toolkit-section.collapse .toolkit-items{margin-right:.25rem}.toolkit-section.collapse .toolkit-items ul{padding-right:.5rem!important}.toolkit-section.collapse .toolkit-items ul li button{min-width:2rem}.toolkit-section.collapse .toolkit-items ul li button .question-icon{margin-right:0!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { addQuestion: [{
                type: Output
            }] } });

class PageHeaderComponent {
    constructor() {
        this.edit = new EventEmitter();
    }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PageHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PageHeaderComponent, selector: "app-page-header", inputs: { pageName: "pageName", pageDescription: "pageDescription" }, outputs: { edit: "edit" }, ngImport: i0, template: "<div class=\"page-editor-header vx-mb-5 vx-p-4\">\n  <button\n    (click)=\"edit.emit()\"\n    class=\"edit-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-align-center vx-justify-center vx-lh-6\"\n  >\n    <i class=\"icons vx-mr-2\">&#xe9ba;</i> EDIT\n  </button>\n  <div\n    *ngIf=\"pageName\"\n    class=\"page-name vx-fs-14 vx-label-txt vx-mb-2\"\n    [innerHTML]=\"pageName\"\n  ></div>\n  <div\n    *ngIf=\"pageDescription\"\n    class=\"page-details vx-fs-12 vx-paragraph-txt\"\n    [innerHTML]=\"pageDescription\"\n  ></div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .page-editor-header{background:#f8f8f8;border-left:4px solid #4681ef;position:relative}::ng-deep .page-editor-header button.edit-btn{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;width:4rem;position:absolute;top:.5rem;right:.5rem}::ng-deep .page-editor-header .page-name{width:calc(100% - 4.5rem)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PageHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-page-header', template: "<div class=\"page-editor-header vx-mb-5 vx-p-4\">\n  <button\n    (click)=\"edit.emit()\"\n    class=\"edit-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-align-center vx-justify-center vx-lh-6\"\n  >\n    <i class=\"icons vx-mr-2\">&#xe9ba;</i> EDIT\n  </button>\n  <div\n    *ngIf=\"pageName\"\n    class=\"page-name vx-fs-14 vx-label-txt vx-mb-2\"\n    [innerHTML]=\"pageName\"\n  ></div>\n  <div\n    *ngIf=\"pageDescription\"\n    class=\"page-details vx-fs-12 vx-paragraph-txt\"\n    [innerHTML]=\"pageDescription\"\n  ></div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .page-editor-header{background:#f8f8f8;border-left:4px solid #4681ef;position:relative}::ng-deep .page-editor-header button.edit-btn{background:#fff;border:1px solid #F1F1F1;border-radius:.125rem;width:4rem;position:absolute;top:.5rem;right:.5rem}::ng-deep .page-editor-header .page-name{width:calc(100% - 4.5rem)}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { pageName: [{
                type: Input
            }], pageDescription: [{
                type: Input
            }], edit: [{
                type: Output
            }] } });

// import { environment } from 'src/environments/environment';
class WelcomeThankyouComponent {
    set allEntityData(entity) {
        if (entity) {
            this.entityData = entity;
            this.checkInputMessage();
        }
    }
    constructor(config) {
        this.ASSETS = ASSETS;
        this.deleteQuestion = new EventEmitter();
        if (config) {
            this.env = config.envConfig;
        }
    }
    ngOnInit() {
        this.entityData.hasWelcomeImage = true;
        this.entityData.hasWelcomeDescription = true;
    }
    onSelectImage(event) {
        if (event.target.files && event.target.files[0]) {
            this.isImageUploading = true;
            this.service.formsPage.welcomeImage = '';
            // tslint:disable-next-line: prefer-const
            let selectedFile = event.target.files[0];
            const uploadData = new FormData();
            uploadData.append('file', selectedFile);
            // tslint:disable-next-line: prefer-const
            let destination = 'assessment/imports' + '/welcome/';
            this.service.uploadHandler(uploadData, destination).subscribe((data) => {
                this.isImageUploading = false;
                this.service.formsPage.welcomeImage =
                    this.env?.s3Url + this.env?.s3Bucket + '/' + data.file_url_path;
            }, (error) => {
                this.isImageUploading = false;
            });
        }
    }
    //  deleteWelcome() {
    //    this.service.formsPage.hasWelcome = false;
    //    this.service.stepIdentifier = 'pagescreen';
    //    this.service.currentPageNumber = 1;
    //    this.service.formsPage.pageDetailsList.forEach(pageDetail => {
    //      if (pageDetail.pageNumber === this.service.currentPageNumber) {
    //        this.service.currentPageDetails.pageName = pageDetail.pageName;
    //        this.service.currentPageDetails.pageNumber = pageDetail.pageNumber;
    //        this.service.currentPageDetails.pageDescription = pageDetail.pageDescription;
    //      }
    //    });
    //    this.service.checkForPageDetails();
    //  }
    deleteWelcome() {
        this.service.formsPage.hasWelcome = false;
        this.service.stepIdentifier = 'pagescreen';
        this.service.currentPageNumber = 1;
        this.service.formsPage.welcomeImage = '';
        this.entityData.welcomeText = '';
        this.entityData.welcomeDescription = '';
        // this.service.formsPage.pageDetailsList.forEach(pageDetail => {
        //   if (pageDetail.pageNumber === this.service.currentPageNumber) {
        //     this.service.currentPageDetails.pageName = pageDetail.pageName;
        //     this.service.currentPageDetails.pageNumber = pageDetail.pageNumber;
        //     this.service.currentPageDetails.pageDescription = pageDetail.pageDescription;
        //   }
        // });
        // this.service.checkForPageDetails();
    }
    checkInputMessage() {
        if (typeof this.entityData?.welcomeText === 'string' &&
            this.entityData?.welcomeText.trim() == '') {
            this.entityData.welcomeText = '';
        }
        if (typeof this.entityData?.welcomeDescription === 'string' &&
            this.entityData?.welcomeDescription.trim() == '') {
            this.entityData.welcomeDescription = '';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeThankyouComponent, deps: [{ token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WelcomeThankyouComponent, selector: "app-welcome-thankyou", inputs: { service: "service", allEntityData: ["entityData", "allEntityData"] }, outputs: { deleteQuestion: "deleteQuestion" }, ngImport: i0, template: "<div class=\"editor-wrapper vx-mb-4\" [class.error]=\"false\" #questionContainer>\n  <div\n    class=\"editor-top vx-d-flex vx-align-center vx-justify-center vx-pl-2 vx-pr-2\"\n  >\n    <div class=\"rightside-button vx-d-flex vx-align-center\">\n      <!-- deleteQuestion.emit();  -->\n      <button\n        class=\"delete-btn vx-fs-14 vx-txt-red vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n        (click)=\"deleteWelcome()\"\n      >\n        <i class=\"icons\">&#xe923;</i>\n      </button>\n    </div>\n  </div>\n  <div class=\"editor-mid vx-pl-5 vx-pr-5\">\n    <div class=\"build-area vx-d-flex vx-justify-between\">\n      <div class=\"left\">\n        <div class=\"image-block vx-d-block\" *ngIf=\"entityData.hasWelcomeImage\">\n          <div class=\"image-item vx-d-flex vx-align-center vx-justify-center\">\n            <img\n              *ngIf=\"entityData.welcomeImage == '' && !isImageUploading\"\n              [src]=\"ASSETS.placeholder\"\n            />\n            <img\n              *ngIf=\"entityData.welcomeImage != '' && !isImageUploading\"\n              [src]=\"entityData?.welcomeImage\"\n            />\n            <i *ngIf=\"isImageUploading\" class=\"icons loader-icon\">&#xe929;</i>\n          </div>\n          <div class=\"button-area vx-d-flex vx-justify-center\">\n            <label\n              class=\"upload-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\"\n            >\n              <input\n                type=\"file\"\n                accept=\"image/*\"\n                (change)=\"onSelectImage($event)\"\n              />\n              {{\n                entityData?.welcomeImage == \"\" ? \"Upload Image\" : \"Change Image\"\n              }}\n            </label>\n          </div>\n        </div>\n        <app-single-line-editor\n          [placeholder]=\"'Welcome Heading'\"\n          [label]=\"false\"\n          [editorMode]=\"'multiline'\"\n          [(ngModel)]=\"entityData.welcomeText\"\n        ></app-single-line-editor>\n        <app-single-line-editor\n          *ngIf=\"entityData?.hasWelcomeDescription\"\n          [placeholder]=\"'Welcome Description'\"\n          [label]=\"false\"\n          [editorMode]=\"'multiline'\"\n          [(ngModel)]=\"entityData.welcomeDescription\"\n        ></app-single-line-editor>\n      </div>\n      <div class=\"right\">\n        <div class=\"quick-settings\">\n          <div\n            class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\"\n          >\n            QUESTION SETTINGS\n          </div>\n          <div class=\"settings-list\">\n            <ul class=\"vx-p-0 vx-m-0\">\n              <li class=\"vx-pt-3 vx-pb-3\">\n                <app-cs-switch [(ngValue)]=\"entityData.hasWelcomeDescription\">\n                  <div\n                    class=\"vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n                  >\n                    <div\n                      class=\"settings-name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\"\n                    >\n                      DESCRIPTION\n                    </div>\n                  </div>\n                </app-cs-switch>\n              </li>\n              <li class=\"vx-pt-3 vx-pb-3\">\n                <app-cs-switch [(ngValue)]=\"entityData.hasWelcomeImage\">\n                  <div\n                    class=\"vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n                  >\n                    <div\n                      class=\"settings-name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\"\n                    >\n                      IMAGE\n                    </div>\n                  </div>\n                </app-cs-switch>\n              </li>\n            </ul>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.editor-wrapper{border:1px solid #1e5dd3;border-radius:.25rem;position:relative}.editor-wrapper .label-mode{background:#7aa6f7;border:1px solid #1e5dd3;border-left:none;border-radius:0 .125rem .125rem 0;writing-mode:vertical-lr;position:absolute;left:-1.0625rem;top:3rem;width:1rem;transform:rotate(180deg)}.editor-wrapper.error{border-color:#d93b41}.editor-wrapper.error .editor-bottom{background:#d93b41}.editor-wrapper.with-logic{border-color:#f0b819}.editor-wrapper.with-logic .label-mode{background:#f4c84a;border-color:#f0b819}.editor-top{background:#fbfbfb;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.75rem;position:relative}.editor-top .rightside-button{position:absolute;right:.5rem;top:.5rem}.editor-top .rightside-button button{background:#f1f1f1;border:none;border-radius:.125rem;height:1.75rem}.editor-top .rightside-button button.delete-btn{width:1.75rem}.editor-mid{padding-top:1.5rem;padding-bottom:1.5rem}.editor-mid .build-area .left{width:calc(100% - 17.5rem);position:relative}.editor-mid .build-area .left .image-block{margin-bottom:2rem}.editor-mid .build-area .left .image-block .image-item{margin:1.25rem auto;width:18.75rem;border:.125rem solid #f1f1f1;border-radius:.25rem;overflow:hidden;height:12.6875rem}.editor-mid .build-area .left .image-block .image-item img{max-height:12.5rem}.editor-mid .build-area .left .image-block .image-item .loader-icon{font-size:40px}.editor-mid .build-area .left .image-block .button-area .upload-btn{background:#1e5dd3;border-radius:.125rem;width:11rem;height:2.25rem;position:relative}.editor-mid .build-area .left .image-block .button-area .upload-btn input[type=file]{position:absolute;inset:0;margin:0;opacity:0;cursor:pointer}.editor-mid .build-area .right{width:16rem}.editor-mid .build-area .right .quick-settings .heading{position:relative}.editor-mid .build-area .right .quick-settings .heading:before{background:#1e5dd3;content:\"\";position:absolute;left:0;top:.0625rem;width:.125rem;height:.875rem}.editor-mid .build-area .right .quick-settings .settings-list ul{list-style-type:none}.editor-mid .build-area .right .quick-settings .settings-list ul li{border-bottom:1px solid #F1F1F1}.editor-mid .build-area .right .quick-settings .settings-list ul li app-cs-switch .cs-switch{cursor:pointer}.editor-bottom{background:#1e5dd3;border-radius:0 0 .125rem .125rem;position:relative}.editor-bottom button{background:#fff;border:none;border-radius:.1125rem}.editor-bottom button.next-btn{height:1.75rem}.editor-bottom button.next-btn .plus-icon{border:.125rem solid #1e5dd3;border-radius:50%;width:1.125rem;height:1.125rem;line-height:1.125rem}.editor-bottom button.save-btn{width:4.75rem;height:1.75rem}.editor-bottom .next-question{background:#fff;border-radius:.25rem;box-shadow:0 -3px 6px #1e5dd326;position:absolute;bottom:0;left:0;z-index:9}.editor-bottom .next-question ::ng-deep app-question-type .question-type ul li{width:10rem!important}.editor-bottom .overlay{z-index:8}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: SingleLineEditorComponent, selector: "app-single-line-editor", inputs: ["placeholder", "editorMode", "label", "id"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeThankyouComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-welcome-thankyou', template: "<div class=\"editor-wrapper vx-mb-4\" [class.error]=\"false\" #questionContainer>\n  <div\n    class=\"editor-top vx-d-flex vx-align-center vx-justify-center vx-pl-2 vx-pr-2\"\n  >\n    <div class=\"rightside-button vx-d-flex vx-align-center\">\n      <!-- deleteQuestion.emit();  -->\n      <button\n        class=\"delete-btn vx-fs-14 vx-txt-red vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n        (click)=\"deleteWelcome()\"\n      >\n        <i class=\"icons\">&#xe923;</i>\n      </button>\n    </div>\n  </div>\n  <div class=\"editor-mid vx-pl-5 vx-pr-5\">\n    <div class=\"build-area vx-d-flex vx-justify-between\">\n      <div class=\"left\">\n        <div class=\"image-block vx-d-block\" *ngIf=\"entityData.hasWelcomeImage\">\n          <div class=\"image-item vx-d-flex vx-align-center vx-justify-center\">\n            <img\n              *ngIf=\"entityData.welcomeImage == '' && !isImageUploading\"\n              [src]=\"ASSETS.placeholder\"\n            />\n            <img\n              *ngIf=\"entityData.welcomeImage != '' && !isImageUploading\"\n              [src]=\"entityData?.welcomeImage\"\n            />\n            <i *ngIf=\"isImageUploading\" class=\"icons loader-icon\">&#xe929;</i>\n          </div>\n          <div class=\"button-area vx-d-flex vx-justify-center\">\n            <label\n              class=\"upload-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\"\n            >\n              <input\n                type=\"file\"\n                accept=\"image/*\"\n                (change)=\"onSelectImage($event)\"\n              />\n              {{\n                entityData?.welcomeImage == \"\" ? \"Upload Image\" : \"Change Image\"\n              }}\n            </label>\n          </div>\n        </div>\n        <app-single-line-editor\n          [placeholder]=\"'Welcome Heading'\"\n          [label]=\"false\"\n          [editorMode]=\"'multiline'\"\n          [(ngModel)]=\"entityData.welcomeText\"\n        ></app-single-line-editor>\n        <app-single-line-editor\n          *ngIf=\"entityData?.hasWelcomeDescription\"\n          [placeholder]=\"'Welcome Description'\"\n          [label]=\"false\"\n          [editorMode]=\"'multiline'\"\n          [(ngModel)]=\"entityData.welcomeDescription\"\n        ></app-single-line-editor>\n      </div>\n      <div class=\"right\">\n        <div class=\"quick-settings\">\n          <div\n            class=\"heading vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-5 vx-pl-2\"\n          >\n            QUESTION SETTINGS\n          </div>\n          <div class=\"settings-list\">\n            <ul class=\"vx-p-0 vx-m-0\">\n              <li class=\"vx-pt-3 vx-pb-3\">\n                <app-cs-switch [(ngValue)]=\"entityData.hasWelcomeDescription\">\n                  <div\n                    class=\"vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n                  >\n                    <div\n                      class=\"settings-name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\"\n                    >\n                      DESCRIPTION\n                    </div>\n                  </div>\n                </app-cs-switch>\n              </li>\n              <li class=\"vx-pt-3 vx-pb-3\">\n                <app-cs-switch [(ngValue)]=\"entityData.hasWelcomeImage\">\n                  <div\n                    class=\"vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n                  >\n                    <div\n                      class=\"settings-name vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\"\n                    >\n                      IMAGE\n                    </div>\n                  </div>\n                </app-cs-switch>\n              </li>\n            </ul>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.editor-wrapper{border:1px solid #1e5dd3;border-radius:.25rem;position:relative}.editor-wrapper .label-mode{background:#7aa6f7;border:1px solid #1e5dd3;border-left:none;border-radius:0 .125rem .125rem 0;writing-mode:vertical-lr;position:absolute;left:-1.0625rem;top:3rem;width:1rem;transform:rotate(180deg)}.editor-wrapper.error{border-color:#d93b41}.editor-wrapper.error .editor-bottom{background:#d93b41}.editor-wrapper.with-logic{border-color:#f0b819}.editor-wrapper.with-logic .label-mode{background:#f4c84a;border-color:#f0b819}.editor-top{background:#fbfbfb;border-bottom:1px solid #F1F1F1;border-radius:.25rem .25rem 0 0;height:2.75rem;position:relative}.editor-top .rightside-button{position:absolute;right:.5rem;top:.5rem}.editor-top .rightside-button button{background:#f1f1f1;border:none;border-radius:.125rem;height:1.75rem}.editor-top .rightside-button button.delete-btn{width:1.75rem}.editor-mid{padding-top:1.5rem;padding-bottom:1.5rem}.editor-mid .build-area .left{width:calc(100% - 17.5rem);position:relative}.editor-mid .build-area .left .image-block{margin-bottom:2rem}.editor-mid .build-area .left .image-block .image-item{margin:1.25rem auto;width:18.75rem;border:.125rem solid #f1f1f1;border-radius:.25rem;overflow:hidden;height:12.6875rem}.editor-mid .build-area .left .image-block .image-item img{max-height:12.5rem}.editor-mid .build-area .left .image-block .image-item .loader-icon{font-size:40px}.editor-mid .build-area .left .image-block .button-area .upload-btn{background:#1e5dd3;border-radius:.125rem;width:11rem;height:2.25rem;position:relative}.editor-mid .build-area .left .image-block .button-area .upload-btn input[type=file]{position:absolute;inset:0;margin:0;opacity:0;cursor:pointer}.editor-mid .build-area .right{width:16rem}.editor-mid .build-area .right .quick-settings .heading{position:relative}.editor-mid .build-area .right .quick-settings .heading:before{background:#1e5dd3;content:\"\";position:absolute;left:0;top:.0625rem;width:.125rem;height:.875rem}.editor-mid .build-area .right .quick-settings .settings-list ul{list-style-type:none}.editor-mid .build-area .right .quick-settings .settings-list ul li{border-bottom:1px solid #F1F1F1}.editor-mid .build-area .right .quick-settings .settings-list ul li app-cs-switch .cs-switch{cursor:pointer}.editor-bottom{background:#1e5dd3;border-radius:0 0 .125rem .125rem;position:relative}.editor-bottom button{background:#fff;border:none;border-radius:.1125rem}.editor-bottom button.next-btn{height:1.75rem}.editor-bottom button.next-btn .plus-icon{border:.125rem solid #1e5dd3;border-radius:50%;width:1.125rem;height:1.125rem;line-height:1.125rem}.editor-bottom button.save-btn{width:4.75rem;height:1.75rem}.editor-bottom .next-question{background:#fff;border-radius:.25rem;box-shadow:0 -3px 6px #1e5dd326;position:absolute;bottom:0;left:0;z-index:9}.editor-bottom .next-question ::ng-deep app-question-type .question-type ul li{width:10rem!important}.editor-bottom .overlay{z-index:8}\n"] }]
        }], ctorParameters: function () { return [{ type: Configurations, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { deleteQuestion: [{
                type: Output
            }], service: [{
                type: Input
            }], allEntityData: [{
                type: Input,
                args: ['entityData']
            }] } });

class CreateAssessmentContainerComponent {
    set assessmentData(value) {
        this.initializeAssessment(value);
    }
    set checkpointData(value) {
        this.initializeCheckpoint(value);
    }
    /* When the "Escape" key is pressed, it emits an event to set the value of "isUploaded" to
    false. and left popup will close. */
    onKeydownHandler(event) {
        this.setIsUploaded.emit(false);
    }
    constructor(dialog, editorService, 
    // private  layoutService: LayoutService,
    route, snackbar, router) {
        this.dialog = dialog;
        this.editorService = editorService;
        this.route = route;
        this.snackbar = snackbar;
        this.router = router;
        this.showCollapse = false;
        this.expandPage = false;
        this.hideQuestion = false;
        this.assessmentId = '';
        this.assessmentName = '';
        this.assessmentCategory = '';
        this.assessmentControlId = '';
        this.assessmentCurrentState = 'DRAFT';
        this.pageMode = 'EDIT';
        this.isLoaded = false;
        this.openPortal = '';
        this.setIsUploaded = new EventEmitter();
        this.postAssessment = new EventEmitter();
        this.entitySettings = {
            panelTitle: '',
        };
    }
    ngOnInit() {
        this.editorService.addPage();
        this.editorService.numberOfPages();
        // this.initializeAssessment();
    }
    triggerPreviewWithValidation() {
        this.editorService.activeQuestionIndex.next(-10);
        this.editorService.activeQuestion = -10;
    }
    initializeAssessment(assessmentData) {
        if (assessmentData) {
            this.editorService.formsPage = assessmentData.assessmentData;
            this.assessmentName = assessmentData.metadata.assessment_name;
            this.assessmentCategory = assessmentData.metadata.category_arr;
        }
    }
    initializeCheckpoint(checkpointData) {
        if (checkpointData && Object.keys(checkpointData)?.length > 0) {
            this.editorService.formsPage = checkpointData;
        }
    }
    setAllPages() {
        this.editorService.allPages = [
            ...new Set(this.editorService.formsPage.elements.map((ele) => ele.page)),
        ];
        this.getPageName(1);
    }
    addPageDetails() {
        const ref = this.dialog.open(AddPageDetailsComponent, {
            data: {
                page: this.editorService.currentPageNumber,
                pageDetails: this.editorService.currentPageDetails,
                ref: this.editorService,
            },
            position: 'RIGHT',
            background: 'black',
        });
        ref.afterClosed.subscribe((data) => {
            this.generatePageDropdown();
        });
    }
    assessmentSettings() {
        this.entitySettings = this.getSettingsData();
        const ref = this.dialog.open(AssessmentSettingsComponent, {
            data: { settings: this.entitySettings, service: this.editorService },
            position: 'RIGHT',
            background: 'black',
        });
    }
    getSettingsData() {
        let settings = {
            panelTitle: `Assessment settings`,
            settingsElements: [],
        };
        settings.settingsElements.push({
            type: 'ASSESSMENT',
            entityType: 'ASSESSMENT',
            isVisible: true,
            isEnabled: this.editorService.formsPage.settings.assessmentMode,
            helpingText: 'You can configure scores for the questions and analyze the responses submitted by the respondent based on these scores.',
            defaultScore: this.editorService.formsPage.settings.defaultScore,
            negativeScoreCriteria: this.editorService.formsPage.settings.negativeScoreCriteria,
            negativeScore: this.editorService.formsPage.settings.negativeScore,
            weightageEnabled: this.editorService.formsPage.settings.weightageEnabled,
            settingTitle: 'ASSESSMENT MODE',
            settingEnableText: `Enable assessment mode for this assessment`,
            updateType: 'LAZY',
        });
        settings.settingsElements.push({
            type: 'RESPONSE_SEGMENT',
            entityType: 'ASSESSMENT',
            helpingText: 'Response segments let you divide the responses into separate parts or sections for easier analysis of data and assist in decision making.',
            isVisible: true,
            isEnabled: this.editorService.formsPage.responseSegment['isEnabled'] ?? false,
            settingTitle: 'RESPONSE SEGMENTS',
            settingEnableText: `Configure Response Segments for this assessment`,
            updateType: 'LAZY',
            segmentData: this.editorService.formsPage.responseSegment,
        });
        return settings;
    }
    clickCollapse() {
        this.showCollapse = !this.showCollapse;
    }
    clickExpand() {
        this.expandPage = true;
    }
    closeExpand() {
        this.expandPage = false;
    }
    deletePage() {
        const ref = this.dialog.open(DeleteComponent, {
            data: { message: `This action will <strong>remove</strong> this page.` },
            position: 'CENTER',
            background: 'black',
        });
        ref.afterClosed.subscribe((data) => {
            if (data === true) {
                this.deletePageConfirm(true);
            }
        });
    }
    deletePageConfirm(confirmDelete) {
        if (confirmDelete) {
            this.editorService.allPages = this.editorService.allPages.filter((pageNum) => pageNum !== this.editorService.currentPageNumber);
            this.editorService.allPages = this.updatePageNumbersForAllPages(this.editorService.allPages);
            this.editorService.formsPage.pageDetailsList =
                this.editorService.formsPage.pageDetailsList.filter((pageDetail) => pageDetail.pageNumber !== this.editorService.currentPageNumber);
            this.editorService.formsPage.pageDetailsList =
                this.updatePageNumberForPageDetails(this.editorService.formsPage.pageDetailsList);
            this.editorService.formsPage.elements =
                this.editorService.formsPage.elements.filter((elementDetail) => elementDetail.page !== this.editorService.currentPageNumber);
            this.editorService.formsPage.elements = this.updatePageNumberForQuestions(this.editorService.formsPage.elements);
            if (this.editorService.currentPageNumber > 1) {
                this.editorService.currentPageNumber -= 1;
            }
            this.getPageName(this.editorService.currentPageNumber);
            this.checkForPageDetails();
        }
        this.editorService.activeQuestion = -10;
    }
    updatePageNumbersForAllPages(arrayToBeUpdated) {
        for (let i = 0; i < arrayToBeUpdated.length; i++) {
            if (i >= this.editorService.currentPageNumber - 1) {
                arrayToBeUpdated[i] -= 1;
            }
        }
        return arrayToBeUpdated;
    }
    updatePageNumberForPageDetails(arrayToBeUpdated) {
        arrayToBeUpdated.forEach((element) => {
            if (element.pageNumber >= this.editorService.currentPageNumber) {
                element.pageNumber -= 1;
            }
        });
        return arrayToBeUpdated;
    }
    updatePageNumberForQuestions(arrayToBeUpdated) {
        arrayToBeUpdated.forEach((element) => {
            if (element.page >= this.editorService.currentPageNumber) {
                element.page -= 1;
            }
        });
        return arrayToBeUpdated;
    }
    openQuestion() {
        this.hideQuestion = true;
    }
    closeQuestion() {
        this.hideQuestion = false;
    }
    deleteQuestionWithValidation(index) {
        if (index === 'welcome') {
            this.editorService.formsPage.hasWelcome = false;
            this.editorService.currentPageNumber = 1;
            this.editorService.stepIdentifier = 'pagescreen';
        }
        this.editorService.deleteQuestion(index);
    }
    checkforError(mode) {
        const errorQuestionIndex = this.editorService?.formsPage?.elements?.findIndex((element, index) => element?.errorArray &&
            Object.values(element?.errorArray)?.length > 0);
        if (errorQuestionIndex >= 0) {
            if (mode === 'full') {
                this.editorService.currentPageNumber =
                    this.editorService.formsPage.elements[errorQuestionIndex].page;
            }
            if (mode !== 'partial') {
                // this.getPageName(this.editorService.currentPageNumber);
                this.editorService.activeQuestion = errorQuestionIndex;
                this.editorService.activeQuestionIndex.next(errorQuestionIndex);
                const question = document.getElementById(this.editorService.formsPage.elements[errorQuestionIndex].name);
                setTimeout(() => {
                    if (question) {
                        question.scrollIntoView({ behavior: 'smooth', block: 'start' });
                    }
                }, 200);
            }
            if (mode === 'save') {
                this.editorService.activeQuestion = -10;
                this.editorService.activeQuestionIndex.next(-10);
            }
            return true;
        }
        else {
            if (mode === 'save') {
                this.editorService.activeQuestion = -10;
                this.editorService.activeQuestionIndex.next(-10);
            }
            return false;
        }
    }
    generatePageDropdown() {
        const list = [];
        if (this.editorService.formsPage.hasWelcome === true) {
            list.push({
                value: -1,
                template: `<span class="page-number">Welcome Screen</span>`,
            });
        }
        if (this.editorService.formsPage.hasThanks === true) {
            list.push({
                value: -2,
                template: `<span class="page-number">Thank you Screen</span>`,
            });
        }
        this.editorService.allPages.forEach((element) => {
            list.push({
                value: element,
                template: this.getPageNameForDropdown(element),
            });
        });
        return list;
    }
    getPageNameForDropdown(pageNumber) {
        let pageValue = `<span class="page-number">Page ${pageNumber}</span>`;
        this.editorService.formsPage.pageDetailsList.forEach((pageDetail) => {
            if (pageDetail.pageNumber === pageNumber && pageDetail.pageName !== '') {
                pageValue = `<span class="page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3">PAGE</span>
                                <span class="page-number vx-fs-11 vx-paragraph-txt">${pageDetail.pageNumber}</span>`;
                //pageValue = `<span class="page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3">Page </span> <span ${pageDetail.pageNumber}</span> <span class="page-number vx-fs-11 vx-paragraph-txt"> ${pageDetail.pageName}</span>`;
            }
        });
        return pageValue;
    }
    pageChanged(evt) {
        if (evt.value === -1) {
            this.setIdentifier('welcomescreen');
        }
        else if (evt.value === -2) {
            this.setIdentifier('thankyouscreen');
        }
        else if (evt.value >= 0) {
            this.editorService.currentPageNumber = evt?.value;
            this.setIdentifier('pagescreen');
        }
    }
    setIdentifier(screen) {
        this.changeToInactive();
        if (screen === 'welcomescreen') {
            this.editorService.stepIdentifier = 'welcomescreen';
            this.editorService.currentPageNumber = -1;
        }
        if (screen === 'thankyouscreen') {
            this.editorService.stepIdentifier = 'thankyouscreen';
            this.editorService.currentPageNumber = -2;
        }
        if (screen === 'pagescreen') {
            this.editorService.stepIdentifier = 'pagescreen';
            if (this.editorService.allPages.length === 0) {
                this.editorService.addPage();
                this.editorService.currentPageNumber = 1;
            }
            else if (this.editorService.currentPageNumber === -1 ||
                this.editorService.currentPageNumber === -2) {
                this.editorService.currentPageNumber =
                    this.editorService.allPages.length;
            }
        }
        this.getPageName(this.editorService.currentPageNumber);
    }
    getPageName(pageNumber) {
        this.editorService.currentPageDetails = {
            pageName: '',
            pageNumber: 0,
            pageDescription: '',
        };
        this.editorService.formsPage.pageDetailsList.forEach((pageDetail) => {
            if (pageDetail.pageNumber === pageNumber) {
                this.editorService.currentPageDetails.pageNumber =
                    pageDetail.pageNumber;
                this.editorService.currentPageDetails.pageName = pageDetail.pageName;
                this.editorService.currentPageDetails.pageDescription =
                    pageDetail.pageDescription;
            }
        });
        this.checkForPageDetails();
    }
    checkForPageDetails() {
        if (this.editorService.currentPageDetails === undefined ||
            this.editorService.currentPageDetails.pageName === '') {
            this.editorService.showAddPageOption = true;
            this.editorService.showPageDetails = false;
        }
        else {
            this.editorService.showAddPageOption = false;
            this.editorService.showPageDetails = true;
        }
    }
    changeToInactive() {
        this.editorService.activeQuestion = -5;
        this.editorService.activeQuestionIndex.next(-5);
    }
    addNewPage() {
        this.editorService.addPage();
        this.editorService.currentPageDetails = {
            pageName: '',
            pageNumber: this.editorService.currentPageNumber,
            pageDescription: '',
        };
        this.editorService.showPageDetails = false;
        this.editorService.showAddPageOption = true;
        this.generatePageDropdown();
    }
    capitalizeString(stringValue) {
        return stringValue[0].toUpperCase() + stringValue.slice(1);
    }
    onDeletePageClick() {
        // this.showDeletePopup = true;
    }
    isPageEmpty() {
        if (![
            ...new Set(this.editorService.formsPage.elements.map((element) => element.page)),
        ].includes(this.editorService.currentPageNumber)) {
            return true;
        }
        else {
            return false;
        }
    }
    submitAfterErrorCheck(mode) {
        this.editorService.activeQuestionIndex.next(-10);
        this.editorService.activeQuestion = -10;
        if (this.editorService.stepIdentifier === 'welcomescreen' ||
            this.editorService.stepIdentifier === 'thankyouscreen') {
            this.editorService.currentPageNumber = 1;
            this.editorService.stepIdentifier = 'pagescreen';
        }
        //this.pageMode = 'EDIT';
        this.validateWelcomeThankYou();
        setTimeout(() => {
            if (!this.checkforError('full')) {
                for (const question of this.editorService.formsPage.elements) {
                    if (!['checkbox', 'dropdown', 'multiple-choice'].includes(question.type)) {
                        if (question.choices) {
                            question.choices.forEach((element) => {
                                element.color = undefined;
                                element.score = 1;
                                element.isFailed = false;
                            });
                        }
                        question.otherConfig = { color: '', isFailed: false, score: 0 };
                    }
                }
                this.save(mode);
            }
        }, 200);
    }
    validateWelcomeThankYou() {
        const question = this.editorService.formsPage;
        if (question.hasWelcome === true) {
            if (question.hasWelcomeDescription === true &&
                this.editorService.extract(question.welcomeDescription).length === 0) {
                this.editorService.formsPage.hasWelcomeDescription = false;
            }
            if (question.hasWelcomeImage === true &&
                this.editorService.extract(question.welcomeImage).length === 0) {
                this.editorService.formsPage.hasWelcomeImage = false;
            }
            if (this.editorService.extract(question.welcomeDescription).length === 0 &&
                this.editorService.extract(question.welcomeText).length === 0 &&
                this.editorService.extract(question.welcomeImage).length === 0) {
                this.editorService.formsPage.hasWelcome = false;
                this.editorService.formsPage.hasWelcomeDescription = true;
                this.editorService.formsPage.hasWelcomeImage = true;
            }
        }
        if (question.hasThanks === true) {
            if (question.hasThankyouDescription === true &&
                this.editorService.extract(question.thankyouDescription).length === 0) {
                this.editorService.formsPage.hasThankyouDescription = false;
            }
            if (question.hasThankyouImage === true &&
                this.editorService.extract(question.thankyouImage).length === 0) {
                this.editorService.formsPage.hasThankyouImage = false;
            }
            if (this.editorService.extract(question.thankyouDescription).length === 0 &&
                this.editorService.extract(question.thankyouText).length === 0 &&
                this.editorService.extract(question.thankyouImage).length === 0) {
                this.editorService.formsPage.hasThanks = false;
                this.editorService.formsPage.hasThankyouDescription = true;
                this.editorService.formsPage.hasThankyouImage = true;
            }
        }
    }
    save(mode) {
        if (mode === 'ACTIVE' && this.openPortal !== 'RESPONSIBILITY_CHECKPOINT') {
            const ref = this.dialog.open(ActiveComponent, {
                data: {
                    message: `Once published, this assessment will be active and can be associated with a compliance responsibility.`,
                },
                position: 'CENTER',
                background: 'black',
            });
            ref.afterClosed.subscribe({
                next: (res) => {
                    if (res === true) {
                        this.postAssessment.emit({
                            mode: mode,
                            assessmentDetails: this.editorService.formsPage,
                        });
                    }
                },
            });
        }
        else {
            this.postAssessment.emit({
                mode: mode,
                assessmentDetails: this.editorService.formsPage,
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateAssessmentContainerComponent, deps: [{ token: DialogService }, { token: EditorService }, { token: i3.ActivatedRoute }, { token: SnackBarService }, { token: i3.Router }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CreateAssessmentContainerComponent, selector: "app-create-assessment-container", inputs: { openPortal: "openPortal", assessmentData: ["assessmentJSON", "assessmentData"], checkpointData: ["checkpointJSON", "checkpointData"] }, outputs: { setIsUploaded: "setIsUploaded", postAssessment: "postAssessment" }, host: { listeners: { "document:keydown.escape": "onKeydownHandler($event)" } }, providers: [EditorService], ngImport: i0, template: "<ng-container>\n  <div\n    *ngIf=\"pageMode === 'EDIT'\"\n    class=\"create-assessment-container\"\n    [class.full-page]=\"expandPage\"\n  >\n    <div\n      class=\"create-assessment-head vx-p-2 vx-pl-3 vx-d-flex vx-align-center vx-justify-between\"\n    >\n      <div\n        class=\"left vx-d-flex vx-align-center\"\n        [class.with-template-btn]=\"false\"\n      >\n        <span\n          *ngIf=\"assessmentControlId\"\n          class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-2\"\n          >{{ assessmentControlId }}</span\n        >\n        <i\n          *ngIf=\"openPortal === 'RESPONSIBILITY_CHECKPOINT'\"\n          class=\"icons arrow-back vx-mr-1\"\n          (click)=\"setIsUploaded.emit(false)\"\n          >&#xe91d;</i\n        >\n        <span\n          class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\"\n          [appTooltip]=\"\n            openPortal === 'RESPONSIBILITY_CHECKPOINT'\n              ? 'Add Checkpoints'\n              : assessmentName\n          \"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n          >{{\n            openPortal === \"RESPONSIBILITY_CHECKPOINT\"\n              ? \"Add Checkpoints\"\n              : assessmentName\n          }}</span\n        >\n        <!-- <button class=\"edit-btn vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons\">&#xe9ba;</i></button> -->\n      </div>\n      <div class=\"right vx-d-flex vx-align-center\">\n        <button\n          *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n          class=\"page-dropdown vx-p-0 vx-pl-1 vx-pr-2 vx-m-0 vx-d-flex vx-align-center\"\n          appPopover\n          (click)=\"action.popover()\"\n          placement=\"right\"\n        >\n          <span\n            class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n            *ngIf=\"editorService.currentPageNumber > 0\"\n            >PAGE {{ editorService?.currentPageNumber }}</span\n          >\n          <span\n            class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n            *ngIf=\"editorService.currentPageNumber === -1\"\n            >Welcome Screen</span\n          >\n          <span\n            class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n            *ngIf=\"editorService.currentPageNumber === -2\"\n            >Thankyou Screen</span\n          >\n          <!-- <span class=\"page-number vx-fs-11 vx-paragraph-txt\" *ngIf=\"editorService.stepIdentifier=='pagescreen'\">{{editorService?.currentPageDetails?.pageName}}</span> -->\n          <i class=\"icons arrow vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </button>\n        <app-popover #action>\n          <div class=\"page-dropdown-popup\">\n            <ul class=\"vx-p-0 vx-m-0\">\n              <li\n                class=\"vx-d-flex vx-align-center\"\n                *ngFor=\"let data of generatePageDropdown()\"\n              >\n                <button\n                  class=\"vx-d-block vx-p-2 vx-m-0 vx-w-100\"\n                  [innerHTML]=\"data?.template\"\n                  (click)=\"pageChanged(data)\"\n                >\n                  <!-- <span class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">PAGE</span>\n                                    <span class=\"page-number vx-fs-11 vx-paragraph-txt\">1</span>\n                                    {{data|json}} -->\n                </button>\n              </li>\n            </ul>\n            <div\n              class=\"action-bottom vx-d-flex vx-align-center vx-justify-end vx-p-2\"\n            >\n              <button\n                (click)=\"addNewPage()\"\n                class=\"add-page vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                ADD NEW PAGE\n              </button>\n            </div>\n          </div>\n        </app-popover>\n        <button\n          *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n          class=\"settings-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-lh-6 vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center\"\n          (click)=\"assessmentSettings()\"\n        >\n          <i class=\"icons vx-fs-12 vx-d-flex vx-mr-1\">&#xe913;</i> ASSESSMENT\n          SETTINGS\n        </button>\n        <button\n          *ngIf=\"false\"\n          class=\"template-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-lh-6 vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center\"\n        >\n          <i class=\"icons vx-fs-12 vx-d-flex vx-mr-1\">&#xe9ed;</i> SAVE AS\n          TEMPLATE\n        </button>\n      </div>\n    </div>\n    <div class=\"create-assessment-body\">\n      <ng-container *ngIf=\"editorService.stepIdentifier == 'pagescreen'\">\n        <div *ngIf=\"isPageEmpty()\" class=\"select-question-part\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-center\">\n            <div class=\"question-inner vx-pl-5 vx-mb-4\">\n              <!-- <button class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center vx-w-100\" (click)=\"addPageDetails()\"><i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> PAGE TITLE</button> -->\n              <div\n                class=\"heading vx-fs-18 vx-paragraph-txt vx-text-center vx-w-100\"\n              >\n                Select a question type to begin:\n              </div>\n              <app-question-type\n                (addQuestion)=\"editorService.addQuestion($event)\"\n              ></app-question-type>\n            </div>\n          </div>\n\n          <div class=\"floating-bar\">\n            <div class=\"floating-bar-container\">\n              <div class=\"right\">\n                <button class=\"cancel\" (click)=\"setIsUploaded.emit(false)\">\n                  Cancel\n                </button>\n              </div>\n            </div>\n          </div>\n\n          <!-- <ng-template #elseBlock>\n                        <div>\n                            <app-editor-loader></app-editor-loader>\n                        </div>\n                    </ng-template> -->\n        </div>\n      </ng-container>\n\n      <ng-container\n        *ngIf=\"!isPageEmpty() || editorService.currentPageNumber < 0\"\n      >\n        <div class=\"editor-section\">\n          <div class=\"editor-section-body vx-d-flex\">\n            <app-toolkit\n              (addQuestion)=\"editorService.addQuestion($event)\"\n            ></app-toolkit>\n\n            <div class=\"editor-section-inner\">\n              <app-welcome-thankyou\n                *ngIf=\"editorService.stepIdentifier == 'welcomescreen'\"\n                [entityData]=\"editorService?.formsPage\"\n                [service]=\"editorService\"\n                (deleteQuestion)=\"deleteQuestionWithValidation('welcome')\"\n              ></app-welcome-thankyou>\n              <!-- <app-preview-welcome></app-preview-welcome> -->\n              <ng-container\n                *ngIf=\"editorService.stepIdentifier == 'pagescreen'\"\n              >\n                <button\n                  *ngIf=\"\n                    editorService.stepIdentifier == 'pagescreen' &&\n                    editorService.showAddPageOption\n                  \"\n                  class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-mb-2 vx-d-flex vx-align-center vx-justify-center vx-w-100\"\n                  (click)=\"addPageDetails()\"\n                >\n                  <i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> PAGE TITLE\n                </button>\n                <app-page-header\n                  (edit)=\"addPageDetails()\"\n                  *ngIf=\"\n                    editorService.stepIdentifier == 'pagescreen' &&\n                    editorService.showPageDetails\n                  \"\n                  [pageName]=\"editorService.currentPageDetails.pageName\"\n                  [pageDescription]=\"\n                    editorService.currentPageDetails.pageDescription\n                  \"\n                ></app-page-header>\n                <ng-container\n                  *ngFor=\"\n                    let question of editorService.formsPage.elements;\n                    let questionIndex = index\n                  \"\n                >\n                  <ng-container\n                    *ngIf=\"\n                      question.page === editorService.currentPageNumber &&\n                      editorService.stepIdentifier == 'pagescreen'\n                    \"\n                  >\n                    <app-editor-wrapper\n                      *ngIf=\"editorService.activeQuestion === questionIndex\"\n                      [service]=\"editorService\"\n                      [question]=\"question\"\n                      [questionIndex]=\"questionIndex\"\n                      [openPortal]=\"openPortal\"\n                      (validQuestionData)=\"checkforError($event)\"\n                      (deleteQuestion)=\"deleteQuestionWithValidation($event)\"\n                      (copyQuestion)=\"editorService.copyQuestion($event)\"\n                    ></app-editor-wrapper>\n                    <app-preview-wrapper\n                      *ngIf=\"editorService.activeQuestion !== questionIndex\"\n                      [question]=\"question\"\n                      [questionIndex]=\"questionIndex\"\n                      (makeActiveQuestion)=\"\n                        editorService.activeQuestion = $event\n                      \"\n                    ></app-preview-wrapper>\n                  </ng-container>\n                </ng-container>\n                <div class=\"next-question-area\">\n                  <button\n                    class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-mb-2 vx-d-flex vx-align-center vx-justify-center vx-w-100\"\n                    (click)=\"openQuestion()\"\n                  >\n                    <i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> NEXT QUESTION\n                  </button>\n                  <div class=\"next-question-popup vx-p-3\" *ngIf=\"hideQuestion\">\n                    <app-question-type\n                      (addQuestion)=\"\n                        editorService.addQuestion($event); closeQuestion()\n                      \"\n                    ></app-question-type>\n                  </div>\n                  <div\n                    class=\"overlay\"\n                    *ngIf=\"hideQuestion\"\n                    (click)=\"closeQuestion()\"\n                  ></div>\n                </div>\n                <button\n                  *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n                  (click)=\"addNewPage()\"\n                  class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-mb-2 vx-d-flex vx-align-center vx-justify-center vx-w-100\"\n                >\n                  <i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> ADD NEW PAGE\n                </button>\n              </ng-container>\n            </div>\n\n            <div\n              class=\"right-side-btn\"\n              *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n            >\n              <button\n                *ngIf=\"!expandPage\"\n                (click)=\"clickExpand()\"\n                class=\"fullscreen-btn vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-mb-3 vx-d-flex vx-align-center vx-justify-center\"\n                [appTooltip]=\"'Expand Page'\"\n                placement=\"left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                <i class=\"icons\">&#xe945;</i>\n              </button>\n              <button\n                *ngIf=\"expandPage\"\n                (click)=\"closeExpand()\"\n                class=\"fullscreen-btn vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-mb-3 vx-d-flex vx-align-center vx-justify-center\"\n                [appTooltip]=\"'Shrink Page'\"\n                placement=\"left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                <i class=\"icons\">&#xe944;</i>\n              </button>\n              <button\n                *ngIf=\"editorService.stepIdentifier == 'pagescreen'\"\n                (click)=\"deletePage()\"\n                class=\"delete-btn vx-fs-14 vx-txt-red vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                [appTooltip]=\"'Delete Page'\"\n                placement=\"left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </div>\n          </div>\n          <div\n            class=\"editor-section-footer vx-d-flex vx-align-center vx-justify-center vx-mt-4\"\n          >\n            <button\n              (click)=\"setIsUploaded.emit(false)\"\n              class=\"cancel-btn vx-fs-14 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              CANCEL\n            </button>\n            <button\n              *ngIf=\"openPortal === 'ASSESSMENT_IMPORT'\"\n              (click)=\"submitAfterErrorCheck('DRAFT')\"\n              [class.disabled]=\"assessmentCurrentState === 'ACTIVE'\"\n              class=\"white-btn vx-fs-14 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              SAVE AS DRAFT\n            </button>\n            <button\n              *ngIf=\"openPortal === 'ASSESSMENT_IMPORT'\"\n              (click)=\"submitAfterErrorCheck('ACTIVE')\"\n              class=\"blue-btn vx-fs-14 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              PUBLISH\n            </button>\n            <button\n              *ngIf=\"openPortal === 'RESPONSIBILITY_CHECKPOINT'\"\n              (click)=\"submitAfterErrorCheck('ACTIVE')\"\n              class=\"blue-btn vx-fs-14 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              NEXT &nbsp;<i class=\"icons\">&#xe91e;</i>\n            </button>\n            <!-- <button (click)=\"pageMode = 'PREVIEW'\" class=\"preview-btn vx-fs-20 vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" [appTooltip]=\"'Preview'\" placement=\"left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\"><i class=\"icons\">&#xeae5;</i></button> -->\n            <button\n              *ngIf=\"false\"\n              class=\"close-btn vx-fs-12 vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              [appTooltip]=\"'Close'\"\n              placement=\"left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"true\"\n            >\n              <i class=\"icons\">&#xe90d;</i>\n            </button>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n  </div>\n  <!-- <app-assessment-preview-container *ngIf=\"pageMode === 'PREVIEW'\" [questionDetails]=\"editorService.formsPage\"></app-assessment-preview-container> -->\n</ng-container>\n\n<!-- <app-editor-loader *ngIf=\"!isLoaded\"></app-editor-loader> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.create-assessment-container{position:relative}.create-assessment-container.full-page{position:fixed;inset:0;width:100vw;height:100vh;margin:0!important;z-index:9}.create-assessment-container.full-page .create-assessment-head{border-radius:0}.create-assessment-container.full-page .create-assessment-body{border-radius:0;height:calc(100vh - 2.5rem)}.create-assessment-container.full-page .create-assessment-body .editor-section-body .right-side-btn{top:4.75rem;right:5rem}.create-assessment-container.full-page .create-assessment-body .editor-section-footer{border-radius:0}.create-assessment-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1;position:relative}.create-assessment-head:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}.create-assessment-head .left{width:calc(100% - 22rem)}.create-assessment-head .left i.arrow-back{cursor:pointer}.create-assessment-head .left .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 10rem)}.create-assessment-head .left button.edit-btn{background:transparent;border:none;border-radius:0}.create-assessment-head .left.with-template-btn{width:calc(100% - 30rem)}.create-assessment-head .right button.page-dropdown{background:#fff;border-radius:.125rem;border:1px solid #BCBCBC;position:relative;height:1.5rem;width:11.5rem}.create-assessment-head .right button.page-dropdown .page-label{background:#f1f1f1;border-radius:.125rem;color:#042e7d}.create-assessment-head .right button.page-dropdown .arrow{position:absolute;top:.375rem;right:.5rem}.create-assessment-head .right button.settings-btn{background:#1e5dd3;border-radius:.125rem;border:none;height:1.5rem}.create-assessment-head .right button.template-btn{background:#34aa44;border-radius:.125rem;border:none;height:1.5rem}.create-assessment-body{background:#fff;border-radius:0 0 .125rem .125rem;height:calc(100vh - 2.5rem);scrollbar-width:thin}.create-assessment-body::-webkit-scrollbar-track{background-color:#f1f1f1}.create-assessment-body::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}.create-assessment-body app-toolkit{position:sticky;top:0}.create-assessment-body .select-question-part{padding:2rem}.create-assessment-body .select-question-part .question-inner{width:69rem;height:calc(100vh - 11rem);overflow:auto;padding-right:3.75rem;position:relative;left:.625rem}.create-assessment-body .select-question-part .question-inner::-webkit-scrollbar-track{background-color:transparent}.create-assessment-body .select-question-part .question-inner .heading{margin-top:4rem;margin-bottom:2rem}.create-assessment-body .select-question-part .floating-bar-container{background:#fff;box-shadow:0 6px 12px #4681ef26;border-radius:4px;border:1px solid #f8f8f8;height:48px;padding:8px 12px;display:flex;justify-content:end;position:relative;align-items:center}.create-assessment-body .select-question-part .floating-bar-container .right{display:flex;align-items:center}.create-assessment-body .select-question-part .floating-bar-container .right .name{margin-left:15px;color:#707070;font-size:12px;font-weight:500;line-height:18px;display:flex;align-items:center;white-space:nowrap}.create-assessment-body .select-question-part .floating-bar-container .right .name span.required{color:#eb2424;font-size:14px}.create-assessment-body .select-question-part .floating-bar-container .right .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}.create-assessment-body .select-question-part .floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}.create-assessment-body .select-question-part .floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}.create-assessment-body .select-question-part .floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}.create-assessment-body .select-question-part .floating-bar-container .right button{border-radius:2px;height:28px;background:#1e5dd3!important;width:72px;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:1px solid #1e5dd3!important;padding:0;margin:0 0 0 28px}.create-assessment-body .select-question-part .floating-bar-container .right button i{margin-left:8px;font-size:16px}.create-assessment-body .select-question-part .floating-bar-container .right button:disabled{filter:grayscale(1);cursor:not-allowed;opacity:.5;pointer-events:auto}.create-assessment-body .select-question-part .floating-bar-container .right button.cancel{background:transparent!important;border:none!important;color:#eb2424!important;margin-right:0;width:auto;padding:0}.create-assessment-body .editor-section{height:100%}.create-assessment-body .editor-section-body{height:calc(100% - 5.25rem);position:relative;overflow:auto}.create-assessment-body .editor-section-body::-webkit-scrollbar-track{background-color:transparent}.create-assessment-body .editor-section-body .right-side-btn{position:fixed;top:180px;right:100px}.create-assessment-body .editor-section-body .right-side-btn button{background:#f8f8f8;border-radius:.125rem;border:none;width:1.5rem;height:1.5rem}.create-assessment-body .editor-section-inner{width:60rem;margin:0 auto;padding:2rem 0;height:100%}@media screen and (max-width: 1366px){.create-assessment-body .editor-section-inner{width:55rem!important}}.create-assessment-body .editor-section-inner .next-question-area{position:relative}.create-assessment-body .editor-section-inner .next-question-area ::ng-deep app-question-type .question-type ul li{width:10rem!important}.create-assessment-body .editor-section-inner .next-question-area .overlay{z-index:8}.create-assessment-body .editor-section-inner .next-question-popup{background:#fff;border-radius:.25rem;box-shadow:0 0 6px #1e5dd326;position:absolute;left:0;right:0;bottom:0;z-index:9}.create-assessment-body .editor-section-footer{background:#fff;border-radius:0 0 .125rem .125rem;box-shadow:0 -3px 6px #1e5dd326;height:4.25rem;position:relative}.create-assessment-body .editor-section-footer button{border-radius:.125rem;width:12.5rem;height:2.75rem;letter-spacing:1.5px}.create-assessment-body .editor-section-footer button.white-btn,.create-assessment-body .editor-section-footer button.cancel-btn{background:#fff;border:1px solid #DBDBDB}.create-assessment-body .editor-section-footer button.blue-btn{background:#1e5dd3;border:none}.create-assessment-body .editor-section-footer button.disabled{opacity:.7;pointer-events:none;cursor:not-allowed}.create-assessment-body .editor-section-footer button.preview-btn{background:#34aa44;border-radius:.125rem;border:none;width:2.75rem;height:2.5rem;position:absolute;bottom:.875rem;right:1rem}.create-assessment-body .editor-section-footer button.close-btn{background:#d93b41;border-radius:.125rem;border:none;width:2.75rem;height:2.5rem;position:absolute;bottom:.875rem;right:1rem}button.page-title{background:#fff;border:1px dashed #DBDBDB;border-radius:.25rem;height:3.125rem;transition:all .3s ease-in-out}button.page-title:hover{border-color:#1e5dd3;color:#1e5dd3}.page-dropdown-popup{background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:.25rem;width:11.5rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}.page-dropdown-popup ul{list-style-type:none;max-height:12rem;overflow-y:auto}.page-dropdown-popup ul li{border-bottom:1px solid #F1F1F1;list-style-type:none}.page-dropdown-popup ul li:only-child,.page-dropdown-popup ul li:last-of-type{border-bottom:none}.page-dropdown-popup ul li button{background:transparent;border:none;border-radius:0;text-align:left}.page-dropdown-popup ul li button .page-label{background:#f1f1f1;border-radius:.125rem;color:#042e7d}.page-dropdown-popup .action-bottom{background:#f8f8f8;border-top:1px solid #F1F1F1;border-radius:0 0 .125rem .125rem}.page-dropdown-popup .action-bottom button{border-radius:.125rem;height:1.5rem}.page-dropdown-popup .action-bottom button.add-page{background:#1e5dd3;border:1px solid #1e5dd3}.page-number{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.disabled{opacity:.7;pointer-events:none;cursor:not-allowed}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: PreviewWrapperComponent, selector: "app-preview-wrapper", inputs: ["question", "questionIndex"], outputs: ["makeActiveQuestion", "validQuestionData"] }, { kind: "component", type: QuestionTypeComponent, selector: "app-question-type", outputs: ["addQuestion"] }, { kind: "component", type: EditorWrapperComponent, selector: "app-editor-wrapper", inputs: ["openPortal", "questionIndex", "question", "GRS", "service", "editorMode"], outputs: ["validQuestionData", "deleteQuestion", "copyQuestion"] }, { kind: "component", type: ToolkitComponent, selector: "app-toolkit", outputs: ["addQuestion"] }, { kind: "component", type: PageHeaderComponent, selector: "app-page-header", inputs: ["pageName", "pageDescription"], outputs: ["edit"] }, { kind: "component", type: WelcomeThankyouComponent, selector: "app-welcome-thankyou", inputs: ["service", "entityData"], outputs: ["deleteQuestion"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateAssessmentContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-create-assessment-container', providers: [EditorService], template: "<ng-container>\n  <div\n    *ngIf=\"pageMode === 'EDIT'\"\n    class=\"create-assessment-container\"\n    [class.full-page]=\"expandPage\"\n  >\n    <div\n      class=\"create-assessment-head vx-p-2 vx-pl-3 vx-d-flex vx-align-center vx-justify-between\"\n    >\n      <div\n        class=\"left vx-d-flex vx-align-center\"\n        [class.with-template-btn]=\"false\"\n      >\n        <span\n          *ngIf=\"assessmentControlId\"\n          class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-2\"\n          >{{ assessmentControlId }}</span\n        >\n        <i\n          *ngIf=\"openPortal === 'RESPONSIBILITY_CHECKPOINT'\"\n          class=\"icons arrow-back vx-mr-1\"\n          (click)=\"setIsUploaded.emit(false)\"\n          >&#xe91d;</i\n        >\n        <span\n          class=\"heading vx-fs-14 vx-fw-500 vx-label-txt\"\n          [appTooltip]=\"\n            openPortal === 'RESPONSIBILITY_CHECKPOINT'\n              ? 'Add Checkpoints'\n              : assessmentName\n          \"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n          >{{\n            openPortal === \"RESPONSIBILITY_CHECKPOINT\"\n              ? \"Add Checkpoints\"\n              : assessmentName\n          }}</span\n        >\n        <!-- <button class=\"edit-btn vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons\">&#xe9ba;</i></button> -->\n      </div>\n      <div class=\"right vx-d-flex vx-align-center\">\n        <button\n          *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n          class=\"page-dropdown vx-p-0 vx-pl-1 vx-pr-2 vx-m-0 vx-d-flex vx-align-center\"\n          appPopover\n          (click)=\"action.popover()\"\n          placement=\"right\"\n        >\n          <span\n            class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n            *ngIf=\"editorService.currentPageNumber > 0\"\n            >PAGE {{ editorService?.currentPageNumber }}</span\n          >\n          <span\n            class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n            *ngIf=\"editorService.currentPageNumber === -1\"\n            >Welcome Screen</span\n          >\n          <span\n            class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n            *ngIf=\"editorService.currentPageNumber === -2\"\n            >Thankyou Screen</span\n          >\n          <!-- <span class=\"page-number vx-fs-11 vx-paragraph-txt\" *ngIf=\"editorService.stepIdentifier=='pagescreen'\">{{editorService?.currentPageDetails?.pageName}}</span> -->\n          <i class=\"icons arrow vx-fs-10 vx-paragraph-txt\">&#xe9e8;</i>\n        </button>\n        <app-popover #action>\n          <div class=\"page-dropdown-popup\">\n            <ul class=\"vx-p-0 vx-m-0\">\n              <li\n                class=\"vx-d-flex vx-align-center\"\n                *ngFor=\"let data of generatePageDropdown()\"\n              >\n                <button\n                  class=\"vx-d-block vx-p-2 vx-m-0 vx-w-100\"\n                  [innerHTML]=\"data?.template\"\n                  (click)=\"pageChanged(data)\"\n                >\n                  <!-- <span class=\"page-label vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\">PAGE</span>\n                                    <span class=\"page-number vx-fs-11 vx-paragraph-txt\">1</span>\n                                    {{data|json}} -->\n                </button>\n              </li>\n            </ul>\n            <div\n              class=\"action-bottom vx-d-flex vx-align-center vx-justify-end vx-p-2\"\n            >\n              <button\n                (click)=\"addNewPage()\"\n                class=\"add-page vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                ADD NEW PAGE\n              </button>\n            </div>\n          </div>\n        </app-popover>\n        <button\n          *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n          class=\"settings-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-lh-6 vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center\"\n          (click)=\"assessmentSettings()\"\n        >\n          <i class=\"icons vx-fs-12 vx-d-flex vx-mr-1\">&#xe913;</i> ASSESSMENT\n          SETTINGS\n        </button>\n        <button\n          *ngIf=\"false\"\n          class=\"template-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-lh-6 vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center\"\n        >\n          <i class=\"icons vx-fs-12 vx-d-flex vx-mr-1\">&#xe9ed;</i> SAVE AS\n          TEMPLATE\n        </button>\n      </div>\n    </div>\n    <div class=\"create-assessment-body\">\n      <ng-container *ngIf=\"editorService.stepIdentifier == 'pagescreen'\">\n        <div *ngIf=\"isPageEmpty()\" class=\"select-question-part\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-center\">\n            <div class=\"question-inner vx-pl-5 vx-mb-4\">\n              <!-- <button class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center vx-w-100\" (click)=\"addPageDetails()\"><i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> PAGE TITLE</button> -->\n              <div\n                class=\"heading vx-fs-18 vx-paragraph-txt vx-text-center vx-w-100\"\n              >\n                Select a question type to begin:\n              </div>\n              <app-question-type\n                (addQuestion)=\"editorService.addQuestion($event)\"\n              ></app-question-type>\n            </div>\n          </div>\n\n          <div class=\"floating-bar\">\n            <div class=\"floating-bar-container\">\n              <div class=\"right\">\n                <button class=\"cancel\" (click)=\"setIsUploaded.emit(false)\">\n                  Cancel\n                </button>\n              </div>\n            </div>\n          </div>\n\n          <!-- <ng-template #elseBlock>\n                        <div>\n                            <app-editor-loader></app-editor-loader>\n                        </div>\n                    </ng-template> -->\n        </div>\n      </ng-container>\n\n      <ng-container\n        *ngIf=\"!isPageEmpty() || editorService.currentPageNumber < 0\"\n      >\n        <div class=\"editor-section\">\n          <div class=\"editor-section-body vx-d-flex\">\n            <app-toolkit\n              (addQuestion)=\"editorService.addQuestion($event)\"\n            ></app-toolkit>\n\n            <div class=\"editor-section-inner\">\n              <app-welcome-thankyou\n                *ngIf=\"editorService.stepIdentifier == 'welcomescreen'\"\n                [entityData]=\"editorService?.formsPage\"\n                [service]=\"editorService\"\n                (deleteQuestion)=\"deleteQuestionWithValidation('welcome')\"\n              ></app-welcome-thankyou>\n              <!-- <app-preview-welcome></app-preview-welcome> -->\n              <ng-container\n                *ngIf=\"editorService.stepIdentifier == 'pagescreen'\"\n              >\n                <button\n                  *ngIf=\"\n                    editorService.stepIdentifier == 'pagescreen' &&\n                    editorService.showAddPageOption\n                  \"\n                  class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-mb-2 vx-d-flex vx-align-center vx-justify-center vx-w-100\"\n                  (click)=\"addPageDetails()\"\n                >\n                  <i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> PAGE TITLE\n                </button>\n                <app-page-header\n                  (edit)=\"addPageDetails()\"\n                  *ngIf=\"\n                    editorService.stepIdentifier == 'pagescreen' &&\n                    editorService.showPageDetails\n                  \"\n                  [pageName]=\"editorService.currentPageDetails.pageName\"\n                  [pageDescription]=\"\n                    editorService.currentPageDetails.pageDescription\n                  \"\n                ></app-page-header>\n                <ng-container\n                  *ngFor=\"\n                    let question of editorService.formsPage.elements;\n                    let questionIndex = index\n                  \"\n                >\n                  <ng-container\n                    *ngIf=\"\n                      question.page === editorService.currentPageNumber &&\n                      editorService.stepIdentifier == 'pagescreen'\n                    \"\n                  >\n                    <app-editor-wrapper\n                      *ngIf=\"editorService.activeQuestion === questionIndex\"\n                      [service]=\"editorService\"\n                      [question]=\"question\"\n                      [questionIndex]=\"questionIndex\"\n                      [openPortal]=\"openPortal\"\n                      (validQuestionData)=\"checkforError($event)\"\n                      (deleteQuestion)=\"deleteQuestionWithValidation($event)\"\n                      (copyQuestion)=\"editorService.copyQuestion($event)\"\n                    ></app-editor-wrapper>\n                    <app-preview-wrapper\n                      *ngIf=\"editorService.activeQuestion !== questionIndex\"\n                      [question]=\"question\"\n                      [questionIndex]=\"questionIndex\"\n                      (makeActiveQuestion)=\"\n                        editorService.activeQuestion = $event\n                      \"\n                    ></app-preview-wrapper>\n                  </ng-container>\n                </ng-container>\n                <div class=\"next-question-area\">\n                  <button\n                    class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-mb-2 vx-d-flex vx-align-center vx-justify-center vx-w-100\"\n                    (click)=\"openQuestion()\"\n                  >\n                    <i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> NEXT QUESTION\n                  </button>\n                  <div class=\"next-question-popup vx-p-3\" *ngIf=\"hideQuestion\">\n                    <app-question-type\n                      (addQuestion)=\"\n                        editorService.addQuestion($event); closeQuestion()\n                      \"\n                    ></app-question-type>\n                  </div>\n                  <div\n                    class=\"overlay\"\n                    *ngIf=\"hideQuestion\"\n                    (click)=\"closeQuestion()\"\n                  ></div>\n                </div>\n                <button\n                  *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n                  (click)=\"addNewPage()\"\n                  class=\"page-title vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-mb-2 vx-d-flex vx-align-center vx-justify-center vx-w-100\"\n                >\n                  <i class=\"icons vx-fs-16 vx-mr-1\">&#xe90a;</i> ADD NEW PAGE\n                </button>\n              </ng-container>\n            </div>\n\n            <div\n              class=\"right-side-btn\"\n              *ngIf=\"openPortal !== 'RESPONSIBILITY_CHECKPOINT'\"\n            >\n              <button\n                *ngIf=\"!expandPage\"\n                (click)=\"clickExpand()\"\n                class=\"fullscreen-btn vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-mb-3 vx-d-flex vx-align-center vx-justify-center\"\n                [appTooltip]=\"'Expand Page'\"\n                placement=\"left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                <i class=\"icons\">&#xe945;</i>\n              </button>\n              <button\n                *ngIf=\"expandPage\"\n                (click)=\"closeExpand()\"\n                class=\"fullscreen-btn vx-fs-14 vx-txt-blue vx-p-0 vx-m-0 vx-mb-3 vx-d-flex vx-align-center vx-justify-center\"\n                [appTooltip]=\"'Shrink Page'\"\n                placement=\"left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                <i class=\"icons\">&#xe944;</i>\n              </button>\n              <button\n                *ngIf=\"editorService.stepIdentifier == 'pagescreen'\"\n                (click)=\"deletePage()\"\n                class=\"delete-btn vx-fs-14 vx-txt-red vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                [appTooltip]=\"'Delete Page'\"\n                placement=\"left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </div>\n          </div>\n          <div\n            class=\"editor-section-footer vx-d-flex vx-align-center vx-justify-center vx-mt-4\"\n          >\n            <button\n              (click)=\"setIsUploaded.emit(false)\"\n              class=\"cancel-btn vx-fs-14 vx-fw-500 vx-txt-red vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              CANCEL\n            </button>\n            <button\n              *ngIf=\"openPortal === 'ASSESSMENT_IMPORT'\"\n              (click)=\"submitAfterErrorCheck('DRAFT')\"\n              [class.disabled]=\"assessmentCurrentState === 'ACTIVE'\"\n              class=\"white-btn vx-fs-14 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              SAVE AS DRAFT\n            </button>\n            <button\n              *ngIf=\"openPortal === 'ASSESSMENT_IMPORT'\"\n              (click)=\"submitAfterErrorCheck('ACTIVE')\"\n              class=\"blue-btn vx-fs-14 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              PUBLISH\n            </button>\n            <button\n              *ngIf=\"openPortal === 'RESPONSIBILITY_CHECKPOINT'\"\n              (click)=\"submitAfterErrorCheck('ACTIVE')\"\n              class=\"blue-btn vx-fs-14 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-1 vx-mr-1 vx-d-flex vx-align-center vx-justify-center\"\n            >\n              NEXT &nbsp;<i class=\"icons\">&#xe91e;</i>\n            </button>\n            <!-- <button (click)=\"pageMode = 'PREVIEW'\" class=\"preview-btn vx-fs-20 vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\" [appTooltip]=\"'Preview'\" placement=\"left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\"><i class=\"icons\">&#xeae5;</i></button> -->\n            <button\n              *ngIf=\"false\"\n              class=\"close-btn vx-fs-12 vx-txt-white vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              [appTooltip]=\"'Close'\"\n              placement=\"left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"true\"\n            >\n              <i class=\"icons\">&#xe90d;</i>\n            </button>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n  </div>\n  <!-- <app-assessment-preview-container *ngIf=\"pageMode === 'PREVIEW'\" [questionDetails]=\"editorService.formsPage\"></app-assessment-preview-container> -->\n</ng-container>\n\n<!-- <app-editor-loader *ngIf=\"!isLoaded\"></app-editor-loader> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.create-assessment-container{position:relative}.create-assessment-container.full-page{position:fixed;inset:0;width:100vw;height:100vh;margin:0!important;z-index:9}.create-assessment-container.full-page .create-assessment-head{border-radius:0}.create-assessment-container.full-page .create-assessment-body{border-radius:0;height:calc(100vh - 2.5rem)}.create-assessment-container.full-page .create-assessment-body .editor-section-body .right-side-btn{top:4.75rem;right:5rem}.create-assessment-container.full-page .create-assessment-body .editor-section-footer{border-radius:0}.create-assessment-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1;position:relative}.create-assessment-head:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}.create-assessment-head .left{width:calc(100% - 22rem)}.create-assessment-head .left i.arrow-back{cursor:pointer}.create-assessment-head .left .heading{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 10rem)}.create-assessment-head .left button.edit-btn{background:transparent;border:none;border-radius:0}.create-assessment-head .left.with-template-btn{width:calc(100% - 30rem)}.create-assessment-head .right button.page-dropdown{background:#fff;border-radius:.125rem;border:1px solid #BCBCBC;position:relative;height:1.5rem;width:11.5rem}.create-assessment-head .right button.page-dropdown .page-label{background:#f1f1f1;border-radius:.125rem;color:#042e7d}.create-assessment-head .right button.page-dropdown .arrow{position:absolute;top:.375rem;right:.5rem}.create-assessment-head .right button.settings-btn{background:#1e5dd3;border-radius:.125rem;border:none;height:1.5rem}.create-assessment-head .right button.template-btn{background:#34aa44;border-radius:.125rem;border:none;height:1.5rem}.create-assessment-body{background:#fff;border-radius:0 0 .125rem .125rem;height:calc(100vh - 2.5rem);scrollbar-width:thin}.create-assessment-body::-webkit-scrollbar-track{background-color:#f1f1f1}.create-assessment-body::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}.create-assessment-body app-toolkit{position:sticky;top:0}.create-assessment-body .select-question-part{padding:2rem}.create-assessment-body .select-question-part .question-inner{width:69rem;height:calc(100vh - 11rem);overflow:auto;padding-right:3.75rem;position:relative;left:.625rem}.create-assessment-body .select-question-part .question-inner::-webkit-scrollbar-track{background-color:transparent}.create-assessment-body .select-question-part .question-inner .heading{margin-top:4rem;margin-bottom:2rem}.create-assessment-body .select-question-part .floating-bar-container{background:#fff;box-shadow:0 6px 12px #4681ef26;border-radius:4px;border:1px solid #f8f8f8;height:48px;padding:8px 12px;display:flex;justify-content:end;position:relative;align-items:center}.create-assessment-body .select-question-part .floating-bar-container .right{display:flex;align-items:center}.create-assessment-body .select-question-part .floating-bar-container .right .name{margin-left:15px;color:#707070;font-size:12px;font-weight:500;line-height:18px;display:flex;align-items:center;white-space:nowrap}.create-assessment-body .select-question-part .floating-bar-container .right .name span.required{color:#eb2424;font-size:14px}.create-assessment-body .select-question-part .floating-bar-container .right .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}.create-assessment-body .select-question-part .floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}.create-assessment-body .select-question-part .floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}.create-assessment-body .select-question-part .floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}.create-assessment-body .select-question-part .floating-bar-container .right button{border-radius:2px;height:28px;background:#1e5dd3!important;width:72px;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:1px solid #1e5dd3!important;padding:0;margin:0 0 0 28px}.create-assessment-body .select-question-part .floating-bar-container .right button i{margin-left:8px;font-size:16px}.create-assessment-body .select-question-part .floating-bar-container .right button:disabled{filter:grayscale(1);cursor:not-allowed;opacity:.5;pointer-events:auto}.create-assessment-body .select-question-part .floating-bar-container .right button.cancel{background:transparent!important;border:none!important;color:#eb2424!important;margin-right:0;width:auto;padding:0}.create-assessment-body .editor-section{height:100%}.create-assessment-body .editor-section-body{height:calc(100% - 5.25rem);position:relative;overflow:auto}.create-assessment-body .editor-section-body::-webkit-scrollbar-track{background-color:transparent}.create-assessment-body .editor-section-body .right-side-btn{position:fixed;top:180px;right:100px}.create-assessment-body .editor-section-body .right-side-btn button{background:#f8f8f8;border-radius:.125rem;border:none;width:1.5rem;height:1.5rem}.create-assessment-body .editor-section-inner{width:60rem;margin:0 auto;padding:2rem 0;height:100%}@media screen and (max-width: 1366px){.create-assessment-body .editor-section-inner{width:55rem!important}}.create-assessment-body .editor-section-inner .next-question-area{position:relative}.create-assessment-body .editor-section-inner .next-question-area ::ng-deep app-question-type .question-type ul li{width:10rem!important}.create-assessment-body .editor-section-inner .next-question-area .overlay{z-index:8}.create-assessment-body .editor-section-inner .next-question-popup{background:#fff;border-radius:.25rem;box-shadow:0 0 6px #1e5dd326;position:absolute;left:0;right:0;bottom:0;z-index:9}.create-assessment-body .editor-section-footer{background:#fff;border-radius:0 0 .125rem .125rem;box-shadow:0 -3px 6px #1e5dd326;height:4.25rem;position:relative}.create-assessment-body .editor-section-footer button{border-radius:.125rem;width:12.5rem;height:2.75rem;letter-spacing:1.5px}.create-assessment-body .editor-section-footer button.white-btn,.create-assessment-body .editor-section-footer button.cancel-btn{background:#fff;border:1px solid #DBDBDB}.create-assessment-body .editor-section-footer button.blue-btn{background:#1e5dd3;border:none}.create-assessment-body .editor-section-footer button.disabled{opacity:.7;pointer-events:none;cursor:not-allowed}.create-assessment-body .editor-section-footer button.preview-btn{background:#34aa44;border-radius:.125rem;border:none;width:2.75rem;height:2.5rem;position:absolute;bottom:.875rem;right:1rem}.create-assessment-body .editor-section-footer button.close-btn{background:#d93b41;border-radius:.125rem;border:none;width:2.75rem;height:2.5rem;position:absolute;bottom:.875rem;right:1rem}button.page-title{background:#fff;border:1px dashed #DBDBDB;border-radius:.25rem;height:3.125rem;transition:all .3s ease-in-out}button.page-title:hover{border-color:#1e5dd3;color:#1e5dd3}.page-dropdown-popup{background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:.25rem;width:11.5rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}.page-dropdown-popup ul{list-style-type:none;max-height:12rem;overflow-y:auto}.page-dropdown-popup ul li{border-bottom:1px solid #F1F1F1;list-style-type:none}.page-dropdown-popup ul li:only-child,.page-dropdown-popup ul li:last-of-type{border-bottom:none}.page-dropdown-popup ul li button{background:transparent;border:none;border-radius:0;text-align:left}.page-dropdown-popup ul li button .page-label{background:#f1f1f1;border-radius:.125rem;color:#042e7d}.page-dropdown-popup .action-bottom{background:#f8f8f8;border-top:1px solid #F1F1F1;border-radius:0 0 .125rem .125rem}.page-dropdown-popup .action-bottom button{border-radius:.125rem;height:1.5rem}.page-dropdown-popup .action-bottom button.add-page{background:#1e5dd3;border:1px solid #1e5dd3}.page-number{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.disabled{opacity:.7;pointer-events:none;cursor:not-allowed}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogService }, { type: EditorService }, { type: i3.ActivatedRoute }, { type: SnackBarService }, { type: i3.Router }]; }, propDecorators: { openPortal: [{
                type: Input
            }], setIsUploaded: [{
                type: Output
            }], postAssessment: [{
                type: Output
            }], assessmentData: [{
                type: Input,
                args: ['assessmentJSON']
            }], checkpointData: [{
                type: Input,
                args: ['checkpointJSON']
            }], onKeydownHandler: [{
                type: HostListener,
                args: ['document:keydown.escape', ['$event']]
            }] } });

class UserRadioListComponent {
    constructor() {
        this.usersList = [];
        this.selectedUsers = '';
        this.userIdKey = '';
        this.itemNameKey = '';
        this.itemEmailKey = '';
        this.saveSelectedList = new EventEmitter();
        this.closeUsersList = new EventEmitter();
        this.disabledId = [];
        this.reviewerIds = [];
        this.overseerIds = [];
        this.assignorId = [];
        this.headerText = 'Select User';
        this.loaded = true;
        this.ASSETS = ASSETS;
        this.search = '';
        this.selectedIds = [];
        this.animation = false;
    }
    ngOnChanges() {
        this.selectedUser = this.selectedUsers[0];
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    selectUser(user) {
        this.selectedUser = user;
    }
    deleteEvent(event) {
        this.selectedUser = '';
    }
    save() {
        this.saveSelectedList.emit(this.selectedUser);
    }
    close() {
        this.closeUsersList.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserRadioListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: UserRadioListComponent, selector: "app-users-radio-list", inputs: { usersList: "usersList", selectedUsers: "selectedUsers", userIdKey: "userIdKey", itemNameKey: "itemNameKey", itemEmailKey: "itemEmailKey", disabledId: "disabledId", fromResponsibility: "fromResponsibility", reviewerIds: "reviewerIds", overseerIds: "overseerIds", assignorId: "assignorId", headerText: "headerText", loaded: "loaded" }, outputs: { saveSelectedList: "saveSelectedList", closeUsersList: "closeUsersList" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"add-risk-user-radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-user-radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ headerText }}</div>\n    <!-- <button class=\"add-risk-user-radio-list-close\" (click)=\"close()\">\n            <i class=\"icons\">&#xe90d;</i>\n        </button> -->\n  </div>\n  <app-loader-inline *ngIf=\"!loaded\"></app-loader-inline>\n  <div *ngIf=\"usersList?.length > 0\" class=\"add-risk-user-radio-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input type=\"text\" [(ngModel)]=\"search\" placeholder=\"Search User\" />\n    </div>\n    <ng-container *ngIf=\"usersList | filter : search as searchList\">\n      <ul class=\"user-radio-list\" *ngIf=\"searchList?.length > 0\">\n        <li\n          *ngFor=\"let user of usersList | filter : search\"\n          [appTooltip]=\"\n            user\n              | tooltipMessage\n                : fromResponsibility\n                : reviewerIds\n                : overseerIds\n                : assignorId\n                : []\n                : 'my_member_id'\n                : disabledId?.includes(user[userIdKey])\n          \"\n          placement=\"bottom-left\"\n          type=\"black\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n        >\n          <app-cs-radio\n            (checkedEvent)=\"selectUser(user)\"\n            [name]=\"'category'\"\n            [class.disabled]=\"disabledId?.includes(user[userIdKey])\"\n            [checked]=\"\n              selectedUser && selectedUser[userIdKey] == user[userIdKey]\n            \"\n          >\n            <span class=\"name\"> {{ user[itemNameKey] }}</span>\n          </app-cs-radio>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList?.length === 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Users Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUser ? [selectedUser] : []\"\n      [displayElementKey]=\"itemNameKey\"\n      [elementId]=\"userIdKey\"\n      [singularText]=\"'User selected'\"\n      [pluralText]=\"'Users selected'\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        usersList?.length === 0 ||\n        (selectedUser ? [selectedUser] : [])?.length === 0\n      \"\n    ></app-floating-bar>\n  </div>\n  <div\n    class=\"add-risk-user-radio-list-body noUser\"\n    *ngIf=\"usersList?.length === 0 && loaded\"\n  >\n    <app-no-data\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Users Found'\"\n    ></app-no-data>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUser ? [selectedUser] : []\"\n      [displayElementKey]=\"itemNameKey\"\n      [elementId]=\"userIdKey\"\n      [singularText]=\"'User selected'\"\n      [pluralText]=\"'Users selected'\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        usersList?.length === 0 ||\n        (selectedUser ? [selectedUser] : [])?.length === 0\n      \"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-user-radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-user-radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-user-radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-user-radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .add-risk-user-radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-user-radio-list-body.noUser app-no-data{height:calc(100% - 3rem)}::ng-deep .add-risk-user-radio-list-body.noUser app-no-data .no-data-wrapper{height:calc(100vh - 6.75rem)}::ng-deep .add-risk-user-radio-list-body .search-block{position:relative}::ng-deep .add-risk-user-radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-user-radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-user-radio-list-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .add-risk-user-radio-list-body .body-top{display:flex;justify-content:space-between;padding:.5rem 0 0}::ng-deep .add-risk-user-radio-list-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-user-radio-list-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-user-radio-list-body ul{padding:0;margin:0}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list{height:calc(100vh - 14rem);overflow:auto;margin:1rem 0 .5rem}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li{width:50%;float:left;padding:0 0 .75rem;list-style:none}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio{display:flex}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label{width:100%}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;flex-wrap:wrap}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.name,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.name{color:#161b2f;font-weight:400;line-height:20px;display:block;width:100%;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:24px}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position{border-radius:2px;display:inline-flex;height:12px;align-items:center;padding:0 2px;text-transform:uppercase;font-size:9px;line-height:12px;font-weight:500}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.admin,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.admin{background:#fff9e6;color:#f2bf19}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.key-admin,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.key-admin{background:#dff2e1;color:#34aa44}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.manager,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.manager{color:#4681ef;background:#d4e2fc}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.executive,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.executive{color:#747576;background:#f1f1f1}::ng-deep .add-risk-user-radio-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .add-risk-user-radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .add-risk-user-radio-list app-cs-radio.disabled{pointer-events:none;opacity:.4}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: TooltipMessagePipe, name: "tooltipMessage" }, { kind: "pipe", type: FilterPipe, name: "filter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: UserRadioListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-users-radio-list', template: "<div class=\"add-risk-user-radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"add-risk-user-radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ headerText }}</div>\n    <!-- <button class=\"add-risk-user-radio-list-close\" (click)=\"close()\">\n            <i class=\"icons\">&#xe90d;</i>\n        </button> -->\n  </div>\n  <app-loader-inline *ngIf=\"!loaded\"></app-loader-inline>\n  <div *ngIf=\"usersList?.length > 0\" class=\"add-risk-user-radio-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input type=\"text\" [(ngModel)]=\"search\" placeholder=\"Search User\" />\n    </div>\n    <ng-container *ngIf=\"usersList | filter : search as searchList\">\n      <ul class=\"user-radio-list\" *ngIf=\"searchList?.length > 0\">\n        <li\n          *ngFor=\"let user of usersList | filter : search\"\n          [appTooltip]=\"\n            user\n              | tooltipMessage\n                : fromResponsibility\n                : reviewerIds\n                : overseerIds\n                : assignorId\n                : []\n                : 'my_member_id'\n                : disabledId?.includes(user[userIdKey])\n          \"\n          placement=\"bottom-left\"\n          type=\"black\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n        >\n          <app-cs-radio\n            (checkedEvent)=\"selectUser(user)\"\n            [name]=\"'category'\"\n            [class.disabled]=\"disabledId?.includes(user[userIdKey])\"\n            [checked]=\"\n              selectedUser && selectedUser[userIdKey] == user[userIdKey]\n            \"\n          >\n            <span class=\"name\"> {{ user[itemNameKey] }}</span>\n          </app-cs-radio>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList?.length === 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Users Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUser ? [selectedUser] : []\"\n      [displayElementKey]=\"itemNameKey\"\n      [elementId]=\"userIdKey\"\n      [singularText]=\"'User selected'\"\n      [pluralText]=\"'Users selected'\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        usersList?.length === 0 ||\n        (selectedUser ? [selectedUser] : [])?.length === 0\n      \"\n    ></app-floating-bar>\n  </div>\n  <div\n    class=\"add-risk-user-radio-list-body noUser\"\n    *ngIf=\"usersList?.length === 0 && loaded\"\n  >\n    <app-no-data\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Users Found'\"\n    ></app-no-data>\n\n    <app-floating-bar\n      [selectedData]=\"selectedUser ? [selectedUser] : []\"\n      [displayElementKey]=\"itemNameKey\"\n      [elementId]=\"userIdKey\"\n      [singularText]=\"'User selected'\"\n      [pluralText]=\"'Users selected'\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        usersList?.length === 0 ||\n        (selectedUser ? [selectedUser] : [])?.length === 0\n      \"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .add-risk-user-radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .add-risk-user-radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .add-risk-user-radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .add-risk-user-radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .add-risk-user-radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .add-risk-user-radio-list-body.noUser app-no-data{height:calc(100% - 3rem)}::ng-deep .add-risk-user-radio-list-body.noUser app-no-data .no-data-wrapper{height:calc(100vh - 6.75rem)}::ng-deep .add-risk-user-radio-list-body .search-block{position:relative}::ng-deep .add-risk-user-radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .add-risk-user-radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .add-risk-user-radio-list-body .search-block i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .add-risk-user-radio-list-body .body-top{display:flex;justify-content:space-between;padding:.5rem 0 0}::ng-deep .add-risk-user-radio-list-body .body-top app-cs-checkbox{display:flex}::ng-deep .add-risk-user-radio-list-body .body-top app-cs-checkbox label span.value strong{color:#161b2f;font-size:12px;font-weight:600;white-space:nowrap}::ng-deep .add-risk-user-radio-list-body ul{padding:0;margin:0}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list{height:calc(100vh - 14rem);overflow:auto;margin:1rem 0 .5rem}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li{width:50%;float:left;padding:0 0 .75rem;list-style:none}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio{display:flex}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label{width:100%}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value{width:auto;justify-content:flex-start;flex-wrap:wrap}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.name,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.name{color:#161b2f;font-weight:400;line-height:20px;display:block;width:100%;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:24px}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position{border-radius:2px;display:inline-flex;height:12px;align-items:center;padding:0 2px;text-transform:uppercase;font-size:9px;line-height:12px;font-weight:500}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.admin,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.admin{background:#fff9e6;color:#f2bf19}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.key-admin,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.key-admin{background:#dff2e1;color:#34aa44}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.manager,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.manager{color:#4681ef;background:#d4e2fc}::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-checkbox label span.value span.position.executive,::ng-deep .add-risk-user-radio-list-body ul.user-radio-list li app-cs-radio label span.value span.position.executive{color:#747576;background:#f1f1f1}::ng-deep .add-risk-user-radio-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .add-risk-user-radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .add-risk-user-radio-list app-cs-radio.disabled{pointer-events:none;opacity:.4}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { usersList: [{
                type: Input
            }], selectedUsers: [{
                type: Input
            }], userIdKey: [{
                type: Input
            }], itemNameKey: [{
                type: Input
            }], itemEmailKey: [{
                type: Input
            }], saveSelectedList: [{
                type: Output
            }], closeUsersList: [{
                type: Output
            }], disabledId: [{
                type: Input
            }], fromResponsibility: [{
                type: Input
            }], reviewerIds: [{
                type: Input
            }], overseerIds: [{
                type: Input
            }], assignorId: [{
                type: Input
            }], headerText: [{
                type: Input
            }], loaded: [{
                type: Input
            }] } });

// import isEqual from 'lodash-es/isEqual';
class CategoryMultiSelectComponent {
    constructor() {
        this.allCategories = [];
        this.selectedCategories = [];
        this.ASSETS = ASSETS;
        this.search = '';
        this.activeTab = '';
        this.selectedIds = [];
        this.animation = false;
        this.saveSelectedCategory = new EventEmitter();
        this.closeList = new EventEmitter();
        this.closeCategoriesList = new EventEmitter();
    }
    ngOnChanges() { }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.selectedIds = [];
        if (this.selectedCategories) {
            this.selectedCategories.forEach((element) => {
                this.selectedIds.push(element[this.categoryIdKey]);
            });
        }
        this.setList();
        setTimeout(() => {
            this.blockWidth = this.listBlock?.nativeElement?.offsetWidth;
        }, 10);
    }
    selectCategory(mode, activeTab, category) {
        if (mode) {
            this.selectedIds.push(category[this.categoryIdKey]);
        }
        else {
            const index = this.selectedIds.findIndex((element) => element == category[this.categoryIdKey]);
            this.selectedIds.splice(index, 1);
        }
        this.setList();
    }
    deleteEvent(event) {
        const index = this.selectedIds.findIndex((element) => element == event[this.categoryIdKey]);
        this.selectedIds.splice(index, 1);
        this.setList();
    }
    selectAll(mode, activeTab) {
        if (mode) {
            const list = [...this.categoryList[activeTab].list];
            list.forEach((element) => {
                if (!this.selectedIds.includes(element[this.categoryIdKey])) {
                    this.selectedIds.push(element[this.categoryIdKey]);
                }
            });
        }
        else {
            const list = [...this.categoryList[activeTab].list];
            list.forEach((element) => {
                if (this.selectedIds.includes(element[this.categoryIdKey])) {
                    let idIndex = this.selectedIds.findIndex((id) => id == element[this.categoryIdKey]);
                    this.selectedIds.splice(idIndex, 1);
                }
            });
        }
        this.setList();
    }
    setList() {
        const data = [];
        const categoryList = cloneDeep$1(this.allCategories);
        const selectedIds = cloneDeep$1(this.selectedIds);
        this.categoryList.regulations.selectedList = [];
        this.categoryList.standards.selectedList = [];
        this.categoryList.internalControls.selectedList = [];
        this.categoryList.others.selectedList = [];
        categoryList.forEach((element) => {
            if (selectedIds.includes(element[this.categoryIdKey])) {
                data.push(element);
            }
        });
        this.selectedCategories = data;
        this.categoryList.regulations.list.forEach((category) => {
            if (selectedIds.includes(category[this.categoryIdKey])) {
                this.categoryList.regulations.selectedList.push(category);
            }
        });
        this.categoryList.standards.list.forEach((category) => {
            if (selectedIds.includes(category[this.categoryIdKey])) {
                this.categoryList.standards.selectedList.push(category);
            }
        });
        this.categoryList.internalControls.list.forEach((category) => {
            if (selectedIds.includes(category[this.categoryIdKey])) {
                this.categoryList.internalControls.selectedList.push(category);
            }
        });
        this.categoryList.others.list.forEach((category) => {
            if (selectedIds.includes(category[this.categoryIdKey])) {
                this.categoryList.others.selectedList.push(category);
            }
        });
        if (!this.activeTab) {
            this.setActiveTab();
        }
    }
    setActiveTab() {
        if (this.categoryList.regulations.selectedList.length > 0) {
            this.activeTab = 'regulations';
        }
        else if (this.categoryList.standards.selectedList.length > 0) {
            this.activeTab = 'standards';
        }
        else if (this.categoryList.internalControls.selectedList.length > 0) {
            this.activeTab = 'internalControls';
        }
        else if (this.categoryList.others.selectedList.length > 0) {
            this.activeTab = 'others';
        }
        else {
            this.activeTab = 'regulations';
        }
    }
    checkSelectAll(activeTab) {
        const data = this.categoryList[activeTab].list.every((user) => this.selectedIds.includes(user[this.categoryIdKey]));
        return data;
    }
    save() {
        this.saveSelectedCategory.emit(this.selectedCategories);
    }
    close() {
        this.closeCategoriesList.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryMultiSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CategoryMultiSelectComponent, selector: "app-category-multi-select", inputs: { categoryList: "categoryList", allCategories: "allCategories", categoryIdKey: "categoryIdKey", selectedCategories: "selectedCategories" }, outputs: { saveSelectedCategory: "saveSelectedCategory", closeList: "closeList", closeCategoriesList: "closeCategoriesList" }, viewQueries: [{ propertyName: "listBlock", first: true, predicate: ["listBlock"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"category-multi-select\" [class.animate]=\"animation\">\n  <div class=\"category-multi-select-head\">\n    <h3 class=\"category-multi-select-title\">Select Programs</h3>\n  </div>\n  <div class=\"category-multi-select-body\">\n    <div class=\"filter-card-row\">\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'regulations'\"\n        (click)=\"activeTab = 'regulations'\"\n      >\n        <div class=\"left\">\n          <label>REGULATIONS</label>\n          <p *ngIf=\"categoryList?.regulations?.selectedList?.length != 0\">\n            {{ categoryList?.regulations?.selectedList?.length }}\n            {{\n              categoryList?.regulations?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.regulations?.list?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'standards'\"\n        (click)=\"activeTab = 'standards'\"\n      >\n        <div class=\"left\">\n          <label>STANDARDS</label>\n          <p *ngIf=\"categoryList?.standards?.selectedList?.length != 0\">\n            {{ categoryList?.standards?.selectedList?.length }}\n            {{\n              categoryList?.standards?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.standards?.list?.length }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'internalControls'\"\n        (click)=\"activeTab = 'internalControls'\"\n      >\n        <div class=\"left\">\n          <label>INTERNAL CONTROLS</label>\n          <p *ngIf=\"categoryList?.internalControls?.selectedList?.length != 0\">\n            {{ categoryList?.internalControls?.selectedList?.length }}\n            {{\n              categoryList?.internalControls?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.internalControls?.list?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"activeTab = 'others'\"\n      >\n        <div class=\"left\">\n          <label>OTHERS</label>\n          <p *ngIf=\"categoryList?.others?.selectedList?.length != 0\">\n            {{ categoryList?.others?.selectedList?.length }}\n            {{\n              categoryList?.others?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.others?.list?.length }}</span>\n      </div>\n    </div>\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"Search Responsibility Category\"\n      />\n    </div>\n    <!-- <div class=\"body-top\">\n      <div class=\"pagination\"></div>\n    </div> -->\n    <ng-container\n      *ngIf=\"categoryList[activeTab].list | filter : search as searchList\"\n    >\n      <div\n        class=\"body-top\"\n        *ngIf=\"searchList?.length > 0 && search.trim()?.length === 0\"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll(activeTab)\"\n          (ngValueChange)=\"selectAll($event, activeTab)\"\n        >\n          <strong>{{\n            checkSelectAll(activeTab) ? \"Deselect All\" : \"Select All\"\n          }}</strong>\n        </app-cs-checkbox>\n      </div>\n      <ul class=\"categories\" *ngIf=\"searchList?.length > 0\">\n        <li *ngFor=\"let category of searchList\">\n          <app-cs-checkbox\n            [ngValue]=\"selectedIds.includes(category[categoryIdKey])\"\n            (ngValueChange)=\"selectCategory($event, activeTab, category)\"\n          >\n            <ul class=\"category-name\" #listBlock>\n              <li\n                *ngFor=\"let entity of category.category_name; let j = index\"\n                [appTooltip]=\"entity\"\n                placement=\"bottom\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                [style.max-width.px]=\"\n                  blockWidth / category.category_name.length\n                \"\n              >\n                <span>\n                  <i class=\"icons\" *ngIf=\"j !== 0\">&#xe910;</i>{{ entity }}\n                </span>\n              </li>\n            </ul>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList.length === 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Categories Found'\"\n      ></app-no-data>\n    </ng-container>\n  </div>\n  <div class=\"category-multi-select-footer\">\n    <app-floating-bar\n      [selectedData]=\"selectedCategories\"\n      [displayElementKey]=\"'item_name'\"\n      [singularText]=\"'Program selected'\"\n      [pluralText]=\"'Programs selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        selectedCategories?.length === 0 ||\n        categoryList[activeTab]?.list?.length === 0\n      \"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .category-multi-select{position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3;z-index:-1}::ng-deep .category-multi-select-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .category-multi-select-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .category-multi-select-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .category-multi-select-body{padding:24px 40px 24px 36px;background:#fff;height:calc(100vh - 124px)}::ng-deep .category-multi-select-body .filter-card{display:flex;align-items:center;border:1px solid #dbdbdb;border-radius:4px;height:55px;padding:12px 15px;width:100%;justify-content:space-between;cursor:pointer}::ng-deep .category-multi-select-body .filter-card.active{box-shadow:0 3px 6px #1e5dd31a}::ng-deep .category-multi-select-body .filter-card label{font-weight:600;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .category-multi-select-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .category-multi-select-body .filter-card span.counter{display:flex;height:32px;min-width:32px;border-radius:4px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 5px;line-height:32px}::ng-deep .category-multi-select-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .category-multi-select-body .filter-card+.filter-card{margin-left:10px}::ng-deep .category-multi-select-body .filter-card-row{display:flex;padding-bottom:15px}::ng-deep .category-multi-select-body .search-block{position:relative}::ng-deep .category-multi-select-body .search-block input{height:44px;line-height:24px;padding:10px 15px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .category-multi-select-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .category-multi-select-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .category-multi-select-body .body-top{display:flex;justify-content:space-between;padding:16px 0 0}::ng-deep .category-multi-select-body .body-top app-cs-checkbox,::ng-deep .category-multi-select-body .body-top app-cs-radio{display:flex}::ng-deep .category-multi-select-body .body-top app-cs-checkbox label span.value strong,::ng-deep .category-multi-select-body .body-top app-cs-radio label span.value strong{color:#161b2f;font-size:14px;font-weight:600;white-space:nowrap}::ng-deep .category-multi-select-body ul{padding:0;margin:0}::ng-deep .category-multi-select-body ul.categories{display:block;align-items:flex-start;flex-wrap:wrap;max-height:calc(100vh - 300px);min-height:calc(100vh - 300px);overflow:auto;padding:16px 0 0}::ng-deep .category-multi-select-body ul.categories li{width:100%;padding:0 0 16px;list-style:none}::ng-deep .category-multi-select-body ul.categories li app-cs-radio,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox{display:flex}::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.radio-item,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.radio-item,::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.checkbox-item,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.radio-item span.value,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.radio-item span.value,::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.checkbox-item span.value,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.checkbox-item span.value{color:#161b2f;font-size:13px;font-weight:400;width:100%}::ng-deep .category-multi-select-body ul.categories li ul.category-name{display:flex;justify-content:flex-start;width:100%}::ng-deep .category-multi-select-body ul.categories li ul.category-name li{list-style:none;color:#747576;width:auto;padding:0 8px 0 0;max-width:40%;display:inline-flex}::ng-deep .category-multi-select-body ul.categories li ul.category-name li span{font-size:14px;font-weight:400;overflow:hidden;display:block;white-space:nowrap;text-overflow:ellipsis}::ng-deep .category-multi-select-body ul.categories li ul.category-name li i{font-size:8px;padding-left:0;padding-right:4px}::ng-deep .category-multi-select-body ul.categories li ul.category-name li:first-child span{color:#4681ef}::ng-deep .category-multi-select-body ul.categories li ul.category-name li:last-of-type span{color:#66bf72}::ng-deep .category-multi-select-body app-no-data .no-data-wrapper{height:calc(100% - 42px)!important}::ng-deep .category-multi-select-body.no-footer{height:calc(100vh - 42px)}::ng-deep .category-multi-select-body .card-row{display:flex;justify-content:space-between;margin-bottom:12px}::ng-deep .category-multi-select-body .card-row .card-block{width:100%;display:flex;padding:8px 12px;border-radius:2px;box-shadow:0 0 3px #1e5dd345;min-height:48px;position:relative;cursor:pointer;justify-content:space-between;align-items:center}::ng-deep .category-multi-select-body .card-row .card-block+.card-block{margin-left:4px}::ng-deep .category-multi-select-body .card-row .card-block.active{box-shadow:0 0 10px #1e5dd2e6;z-index:1}::ng-deep .category-multi-select-body .card-row .card-block .card-text{padding:0;margin:0;font-weight:500;font-size:11px;text-transform:uppercase;line-height:16px;width:auto;white-space:nowrap}::ng-deep .category-multi-select-body .card-row .card-block span.count{font-size:14px;line-height:24px;background:#042e7d;padding:0 8px;border-radius:2px;min-width:28px;color:#fff}::ng-deep .category-multi-select.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: FilterPipe, name: "filter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryMultiSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-category-multi-select', template: "<div class=\"category-multi-select\" [class.animate]=\"animation\">\n  <div class=\"category-multi-select-head\">\n    <h3 class=\"category-multi-select-title\">Select Programs</h3>\n  </div>\n  <div class=\"category-multi-select-body\">\n    <div class=\"filter-card-row\">\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'regulations'\"\n        (click)=\"activeTab = 'regulations'\"\n      >\n        <div class=\"left\">\n          <label>REGULATIONS</label>\n          <p *ngIf=\"categoryList?.regulations?.selectedList?.length != 0\">\n            {{ categoryList?.regulations?.selectedList?.length }}\n            {{\n              categoryList?.regulations?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.regulations?.list?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'standards'\"\n        (click)=\"activeTab = 'standards'\"\n      >\n        <div class=\"left\">\n          <label>STANDARDS</label>\n          <p *ngIf=\"categoryList?.standards?.selectedList?.length != 0\">\n            {{ categoryList?.standards?.selectedList?.length }}\n            {{\n              categoryList?.standards?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.standards?.list?.length }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'internalControls'\"\n        (click)=\"activeTab = 'internalControls'\"\n      >\n        <div class=\"left\">\n          <label>INTERNAL CONTROLS</label>\n          <p *ngIf=\"categoryList?.internalControls?.selectedList?.length != 0\">\n            {{ categoryList?.internalControls?.selectedList?.length }}\n            {{\n              categoryList?.internalControls?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{\n          categoryList?.internalControls?.list?.length\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"activeTab = 'others'\"\n      >\n        <div class=\"left\">\n          <label>OTHERS</label>\n          <p *ngIf=\"categoryList?.others?.selectedList?.length != 0\">\n            {{ categoryList?.others?.selectedList?.length }}\n            {{\n              categoryList?.others?.selectedList?.length == 1\n                ? \"Category\"\n                : \"Categories\"\n            }}\n            selected\n          </p>\n        </div>\n        <span class=\"counter\">{{ categoryList?.others?.list?.length }}</span>\n      </div>\n    </div>\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"search\"\n        placeholder=\"Search Responsibility Category\"\n      />\n    </div>\n    <!-- <div class=\"body-top\">\n      <div class=\"pagination\"></div>\n    </div> -->\n    <ng-container\n      *ngIf=\"categoryList[activeTab].list | filter : search as searchList\"\n    >\n      <div\n        class=\"body-top\"\n        *ngIf=\"searchList?.length > 0 && search.trim()?.length === 0\"\n      >\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll(activeTab)\"\n          (ngValueChange)=\"selectAll($event, activeTab)\"\n        >\n          <strong>{{\n            checkSelectAll(activeTab) ? \"Deselect All\" : \"Select All\"\n          }}</strong>\n        </app-cs-checkbox>\n      </div>\n      <ul class=\"categories\" *ngIf=\"searchList?.length > 0\">\n        <li *ngFor=\"let category of searchList\">\n          <app-cs-checkbox\n            [ngValue]=\"selectedIds.includes(category[categoryIdKey])\"\n            (ngValueChange)=\"selectCategory($event, activeTab, category)\"\n          >\n            <ul class=\"category-name\" #listBlock>\n              <li\n                *ngFor=\"let entity of category.category_name; let j = index\"\n                [appTooltip]=\"entity\"\n                placement=\"bottom\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                [style.max-width.px]=\"\n                  blockWidth / category.category_name.length\n                \"\n              >\n                <span>\n                  <i class=\"icons\" *ngIf=\"j !== 0\">&#xe910;</i>{{ entity }}\n                </span>\n              </li>\n            </ul>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"searchList.length === 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Categories Found'\"\n      ></app-no-data>\n    </ng-container>\n  </div>\n  <div class=\"category-multi-select-footer\">\n    <app-floating-bar\n      [selectedData]=\"selectedCategories\"\n      [displayElementKey]=\"'item_name'\"\n      [singularText]=\"'Program selected'\"\n      [pluralText]=\"'Programs selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"\n        selectedCategories?.length === 0 ||\n        categoryList[activeTab]?.list?.length === 0\n      \"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .category-multi-select{position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3;z-index:-1}::ng-deep .category-multi-select-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .category-multi-select-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .category-multi-select-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .category-multi-select-body{padding:24px 40px 24px 36px;background:#fff;height:calc(100vh - 124px)}::ng-deep .category-multi-select-body .filter-card{display:flex;align-items:center;border:1px solid #dbdbdb;border-radius:4px;height:55px;padding:12px 15px;width:100%;justify-content:space-between;cursor:pointer}::ng-deep .category-multi-select-body .filter-card.active{box-shadow:0 3px 6px #1e5dd31a}::ng-deep .category-multi-select-body .filter-card label{font-weight:600;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .category-multi-select-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .category-multi-select-body .filter-card span.counter{display:flex;height:32px;min-width:32px;border-radius:4px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 5px;line-height:32px}::ng-deep .category-multi-select-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .category-multi-select-body .filter-card+.filter-card{margin-left:10px}::ng-deep .category-multi-select-body .filter-card-row{display:flex;padding-bottom:15px}::ng-deep .category-multi-select-body .search-block{position:relative}::ng-deep .category-multi-select-body .search-block input{height:44px;line-height:24px;padding:10px 15px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .category-multi-select-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .category-multi-select-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .category-multi-select-body .body-top{display:flex;justify-content:space-between;padding:16px 0 0}::ng-deep .category-multi-select-body .body-top app-cs-checkbox,::ng-deep .category-multi-select-body .body-top app-cs-radio{display:flex}::ng-deep .category-multi-select-body .body-top app-cs-checkbox label span.value strong,::ng-deep .category-multi-select-body .body-top app-cs-radio label span.value strong{color:#161b2f;font-size:14px;font-weight:600;white-space:nowrap}::ng-deep .category-multi-select-body ul{padding:0;margin:0}::ng-deep .category-multi-select-body ul.categories{display:block;align-items:flex-start;flex-wrap:wrap;max-height:calc(100vh - 300px);min-height:calc(100vh - 300px);overflow:auto;padding:16px 0 0}::ng-deep .category-multi-select-body ul.categories li{width:100%;padding:0 0 16px;list-style:none}::ng-deep .category-multi-select-body ul.categories li app-cs-radio,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox{display:flex}::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.radio-item,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.radio-item,::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.checkbox-item,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.radio-item span.value,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.radio-item span.value,::ng-deep .category-multi-select-body ul.categories li app-cs-radio label.checkbox-item span.value,::ng-deep .category-multi-select-body ul.categories li app-cs-checkbox label.checkbox-item span.value{color:#161b2f;font-size:13px;font-weight:400;width:100%}::ng-deep .category-multi-select-body ul.categories li ul.category-name{display:flex;justify-content:flex-start;width:100%}::ng-deep .category-multi-select-body ul.categories li ul.category-name li{list-style:none;color:#747576;width:auto;padding:0 8px 0 0;max-width:40%;display:inline-flex}::ng-deep .category-multi-select-body ul.categories li ul.category-name li span{font-size:14px;font-weight:400;overflow:hidden;display:block;white-space:nowrap;text-overflow:ellipsis}::ng-deep .category-multi-select-body ul.categories li ul.category-name li i{font-size:8px;padding-left:0;padding-right:4px}::ng-deep .category-multi-select-body ul.categories li ul.category-name li:first-child span{color:#4681ef}::ng-deep .category-multi-select-body ul.categories li ul.category-name li:last-of-type span{color:#66bf72}::ng-deep .category-multi-select-body app-no-data .no-data-wrapper{height:calc(100% - 42px)!important}::ng-deep .category-multi-select-body.no-footer{height:calc(100vh - 42px)}::ng-deep .category-multi-select-body .card-row{display:flex;justify-content:space-between;margin-bottom:12px}::ng-deep .category-multi-select-body .card-row .card-block{width:100%;display:flex;padding:8px 12px;border-radius:2px;box-shadow:0 0 3px #1e5dd345;min-height:48px;position:relative;cursor:pointer;justify-content:space-between;align-items:center}::ng-deep .category-multi-select-body .card-row .card-block+.card-block{margin-left:4px}::ng-deep .category-multi-select-body .card-row .card-block.active{box-shadow:0 0 10px #1e5dd2e6;z-index:1}::ng-deep .category-multi-select-body .card-row .card-block .card-text{padding:0;margin:0;font-weight:500;font-size:11px;text-transform:uppercase;line-height:16px;width:auto;white-space:nowrap}::ng-deep .category-multi-select-body .card-row .card-block span.count{font-size:14px;line-height:24px;background:#042e7d;padding:0 8px;border-radius:2px;min-width:28px;color:#fff}::ng-deep .category-multi-select.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { listBlock: [{
                type: ViewChild,
                args: ['listBlock', { static: false }]
            }], categoryList: [{
                type: Input
            }], allCategories: [{
                type: Input
            }], categoryIdKey: [{
                type: Input
            }], selectedCategories: [{
                type: Input
            }], saveSelectedCategory: [{
                type: Output
            }], closeList: [{
                type: Output
            }], closeCategoriesList: [{
                type: Output
            }] } });

class FormatHtmlPipe {
    constructor(sanitized) {
        this.sanitized = sanitized;
    }
    transform(value) {
        return this.sanitized.bypassSecurityTrustHtml(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatHtmlPipe, deps: [{ token: i1$2.DomSanitizer }], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FormatHtmlPipe, name: "formatHtml" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatHtmlPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'formatHtml'
                }]
        }], ctorParameters: function () { return [{ type: i1$2.DomSanitizer }]; } });

class CheckpointsQuestionsComponent {
    constructor(elementRef, snackbar, commonService) {
        this.elementRef = elementRef;
        this.snackbar = snackbar;
        this.commonService = commonService;
        this.checkpointData = [];
        this.questionTypeList = [];
        this.errorIndex = -1;
        this.checkpointInstruction = '';
        this.createQuestion = new EventEmitter();
        this.deleteQuestion = new EventEmitter();
        this.copyQuestion = new EventEmitter();
        this.blankQuestion = new EventEmitter();
        this.createOption = new EventEmitter();
        this.removeOption = new EventEmitter();
        this.updateDescription = new EventEmitter();
        this.datePickerOverlay = false;
        this.activeQuestionIndex = 0;
        this.placeholder = {
            textbox: 'Type your question here [Text Box]',
            select: 'Type your question here [Select]',
            radio: 'Type your question here [Radio]',
            checkbox: 'Type your question here [CheckBox]',
            date: 'Type your question here [Date]',
            upload: 'Type your question here [Upload]',
        };
        this.description = '';
    }
    ngOnInit() { }
    saveDescription() {
        this.addInstruction = false;
        if (this.extractContent(this.checkpointInstruction) === '') {
            this.checkpointInstruction = '';
        }
        this.updateDescription.emit(this.checkpointInstruction);
    }
    extractContent(s) {
        var span = document.createElement('span');
        span.innerHTML = s;
        return (span.textContent || span.innerText)
            .replace(/&nbsp;/g, '')
            .replace(/\<br\s*[\/]?>/gi, '')
            .trim();
    }
    ngOnChanges(changes) {
        if (changes.errorIndex) {
            if (this.errorIndex >= 0) {
                this.activeQuestionIndex = this.errorIndex;
            }
        }
    }
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datePickerOverlay = true;
    }
    closeDatepicker() {
        this.datePicker?.api?.close();
        this.datePickerOverlay = false;
    }
    addQuestion(type) {
        //  this.createQuestion.emit(type.type);
        // this.activeQuestionIndex = this.checkpointData.length - 1;
    }
    removeQuestion(index) {
        this.deleteQuestion.emit(index);
        this.activeQuestionIndex = index - 1;
    }
    cloneQuestion(index) {
        // this.activeQuestionIndex = index + 1;
        // this.copyQuestion.emit(index);
    }
    blankClone(type, index) {
        // this.blankQuestion.emit({type, index});
        // this.activeQuestionIndex = index + 1;
    }
    addOption(questionIndex, optionIndex, type) {
        // this.createOption.emit({questionIndex, optionIndex, type});
    }
    deleteOption(questionIndex, optionIndex, type) {
        this.removeOption.emit({ questionIndex, optionIndex, type });
    }
    deleteOnBackspace(questionIndex, optionIndex, type) {
        if (this.checkpointData[questionIndex].options[optionIndex].label.length <
            1 &&
            this.checkpointData[questionIndex].options.length > 1) {
            this.removeOption.emit({ questionIndex, optionIndex, type });
        }
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'frequency-date',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datePickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsQuestionsComponent, deps: [{ token: i0.ElementRef }, { token: SnackBarService }, { token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckpointsQuestionsComponent, selector: "app-checkpoints-questions", inputs: { checkpointData: "checkpointData", questionTypeList: "questionTypeList", errorIndex: "errorIndex", checkpointInstruction: "checkpointInstruction" }, outputs: { createQuestion: "createQuestion", deleteQuestion: "deleteQuestion", copyQuestion: "copyQuestion", blankQuestion: "blankQuestion", createOption: "createOption", removeOption: "removeOption", updateDescription: "updateDescription" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], usesOnChanges: true, ngImport: i0, template: "<!-- <p>checkpoints-questions works!</p> -->\n<div class=\"checkpoints-questions\">\n  <div\n    class=\"checkpoints-questions-blocks instruction\"\n    [class.filled]=\"checkpointInstruction.length > 0 && !addInstruction\"\n  >\n    <div class=\"container\">\n      <h3 class=\"question\">\n        <span class=\"counter\" *ngIf=\"!addInstruction\"\n          ><i class=\"icons\">&#xe932;</i></span\n        >\n        <span\n          class=\"text\"\n          *ngIf=\"!addInstruction\"\n          [innerHTML]=\"\n            checkpointInstruction.length > 0\n              ? (checkpointInstruction | formatHtml)\n              : 'Add instruction'\n          \"\n        ></span>\n        <span class=\"text\" *ngIf=\"addInstruction && false\">\n          <vcomply-editor\n            [(ngModel)]=\"checkpointInstruction\"\n            [editorConfig]=\"{\n              mode: 'prime',\n              colorPalette: true,\n              link: true,\n              placeholder: 'Add instruction',\n              buttonName: 'SAVE',\n              id: 'checkpoint-instructions'\n            }\"\n            (comment)=\"saveDescription()\"\n          ></vcomply-editor>\n        </span>\n      </h3>\n    </div>\n  </div>\n\n  <ng-container\n    *ngFor=\"let question of checkpointData; let questionIndex = index\"\n  >\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"['textbox', 'date', 'upload'].includes(question?.type)\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ng-container\n          class=\"preview\"\n          *ngIf=\"activeQuestionIndex !== questionIndex\"\n        >\n          <label class=\"file-upload\" *ngIf=\"question.type === 'upload'\">\n            <input type=\"file\" disabled />\n            <span><i class=\"icons\">&#xe9ed;</i> Browse File</span>\n          </label>\n          <ng-container *ngIf=\"question.type === 'date'\">\n            <div class=\"date-picker\">\n              <i class=\"icons\">&#xe92d;</i>\n              <input\n                type=\"text\"\n                placeholder=\"Select date\"\n                (click)=\"\n                  openDatePicker();\n                  $event.stopPropagation();\n                  datePickerOverlay = true\n                \"\n                disabled\n                id=\"date-picker\"\n              />\n              <dp-date-picker #datePicker (click)=\"$event.stopPropagation()\">\n              </dp-date-picker>\n              <div\n                class=\"vx-overlay\"\n                (click)=\"closeDatepicker(); $event.stopPropagation()\"\n                *ngIf=\"datePickerOverlay\"\n              ></div>\n            </div>\n          </ng-container>\n        </ng-container>\n      </div>\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <li>\n              <button\n                [appTooltip]=\"'Add new'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  blankClone(question.type, questionIndex);\n                  $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe915;</i>\n              </button>\n            </li>\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <li>\n              <!-- <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button> -->\n            </li>\n          </ul>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"question?.type === 'radio'\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ul class=\"list\">\n          <li *ngFor=\"let option of question?.options; let opIndex = index\">\n            <app-cs-radio\n              [oneLine]=\"true\"\n              [readonly]=\"true\"\n              [disabled]=\"activeQuestionIndex === questionIndex\"\n              ><input\n                [(ngModel)]=\"option.label\"\n                [id]=\"'radio-' + '' + questionIndex + '' + opIndex\"\n                type=\"text\"\n                placeholder=\"Option\"\n              />\n            </app-cs-radio>\n            <!-- <button class=\"close\" (click)=\"deleteOption(questionIndex,opIndex,question.type)\"\n                            *ngIf=\"activeQuestionIndex === questionIndex && question?.options.length > 1\"><i\n                                class=\"icons\">&#xe90d;</i></button> -->\n          </li>\n          <!-- <li *ngIf=\"activeQuestionIndex === questionIndex && false\" class=\"add-new\">\n                        <app-cs-radio [oneLine]=\"true\" [readonly]=\"true\">\n                            <input type=\"text\" readonly placeholder=\"Add more option\"\n                                (click)=\"addOption(questionIndex,question?.options?.length-1,question.type)\">\n                        </app-cs-radio>\n                    </li> -->\n        </ul>\n      </div>\n\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <!-- <li>\n                            <button [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"blankClone(question.type,questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li> -->\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <!-- <li>\n                            <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li> -->\n          </ul>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"question?.type === 'select'\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ul class=\"list\">\n          <li *ngFor=\"let option of question?.options; let opIndex = index\">\n            <app-cs-radio\n              [oneLine]=\"true\"\n              readonly\n              [disabled]=\"activeQuestionIndex === questionIndex\"\n            >\n              <input\n                [(ngModel)]=\"option.label\"\n                name=\"'select-' + '' + questionIndex + '' + opIndex\"\n                (keydown.enter)=\"\n                  addOption(questionIndex, opIndex, question.type)\n                \"\n                (keydown.backspace)=\"\n                  deleteOnBackspace(questionIndex, opIndex, question.type)\n                \"\n                [id]=\"'select-' + '' + questionIndex + '' + opIndex\"\n                type=\"text\"\n                placeholder=\"Option\"\n              />\n            </app-cs-radio>\n            <!-- <button class=\"close\" (click)=\"deleteOption(questionIndex,opIndex,question.type)\"\n                            *ngIf=\"activeQuestionIndex === questionIndex && question?.options.length > 1\"><i\n                                class=\"icons\">&#xe90d;</i></button> -->\n          </li>\n          <!-- \n                    <li *ngIf=\"activeQuestionIndex === questionIndex\" class=\"add-new\">\n                        <app-cs-radio [oneLine]=\"true\" [readonly]=\"true\"><input readonly type=\"text\"\n                                placeholder=\"Add more option\"\n                                (click)=\"addOption(questionIndex,question?.options?.length-1,question.type)\">\n                        </app-cs-radio>\n                    </li> -->\n          <!-- <button (click)=\"addOption(questionIndex,question?.options?.length,question.type)\"\n                        *ngIf=\"activeQuestionIndex === questionIndex\">Add More Options</button> -->\n        </ul>\n      </div>\n\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <!-- <li>\n                            <button [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"blankClone(question.type,questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li> -->\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <!-- <li>\n                            <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li> -->\n          </ul>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"question?.type === 'checkbox'\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ul class=\"list\">\n          <li *ngFor=\"let option of question?.options; let opIndex = index\">\n            <app-cs-checkbox [oneLine]=\"true\" [readonly]=\"true\">\n              <input\n                [(ngModel)]=\"option.label\"\n                type=\"text\"\n                placeholder=\"Option\"\n                [id]=\"'checkbox-' + '' + questionIndex + '' + opIndex\"\n                (keydown.enter)=\"\n                  addOption(questionIndex, opIndex, question.type)\n                \"\n                (keydown.backspace)=\"\n                  deleteOnBackspace(questionIndex, opIndex, question.type)\n                \"\n              />\n            </app-cs-checkbox>\n            <!-- <button class=\"close\" (click)=\"deleteOption(questionIndex,opIndex,question.type)\"\n                            *ngIf=\"activeQuestionIndex === questionIndex && question?.options.length > 1\"><i\n                                class=\"icons\">&#xe90d;</i></button> -->\n          </li>\n          <!-- <li *ngIf=\"activeQuestionIndex === questionIndex\" class=\"add-new\">\n                        <app-cs-checkbox [oneLine]=\"true\"\n                            (click)=\"addOption(questionIndex,question?.options?.length-1,question.type)\"\n                            [disabled]=\"true\">\n                            <input [disabled]=\"true\" type=\"text\" placeholder=\"Add more option\">\n                        </app-cs-checkbox>\n                    </li> -->\n        </ul>\n      </div>\n\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <!-- <li>\n                            <button [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"blankClone(question.type,questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li> -->\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <!-- <li>\n                            <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li> -->\n          </ul>\n        </div>\n      </div>\n    </div>\n    <!-- <div class=\"checkpoints-questions-blocks\" [class.active]=\"true\">\n        <div class=\"container\">\n            <h3 class=\"question\">\n                <span class=\"counter\">2. <span class=\"required\">*</span></span>\n                <input class=\"text\" type=\"text\" placeholder=\"Type your question here [Select Box]\" value=\"Has the previous audit report been closed out?\">\n            </h3>\n            <ul class=\"list\">\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><span>Yes</span></app-cs-radio> <button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><span>No</span></app-cs-radio><button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><span>N/A</span></app-cs-radio><button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><input type=\"text\" placeholder=\"Option\"></app-cs-radio> <button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n            </ul>\n        </div>\n        <div class=\"footer\">\n            <div class=\"left\">\n                <app-cs-checkbox [ngValue]=\"question.required\" (ngValueChange)=\"question.required = $event\">Is required</app-cs-checkbox>\n            </div>\n            <div class=\"right\">\n                <ul>\n                    <li><button><i class=\"icons\">&#xe915;</i></button></li>\n                    <li><button><i class=\"icons\">&#xe923;</i></button></li>\n                    <li><button><i class=\"icons\">&#xe9b6;</i></button></li>\n                </ul>\n            </div>\n        </div>\n    </div> -->\n  </ng-container>\n  <!-- <button class=\"btn-add-new\" type=\"button\" appPopover (click)=\"newCheckpoint.popover()\" placement=\"left\">+ Add a new\n        checkpoint</button> -->\n  <!-- <app-popover #newCheckpoint>\n\n        <ul class=\"checkpoint-type-list\">\n            <li><span class=\"checkpoint-type-list-title\">Add Checkpoints</span></li>\n            <li *ngFor=\"let type of questionTypeList\">\n                <button (click)=\"addQuestion(type)\">\n                    <i class=\"icons\" [innerHTML]=\"type.icon\"></i>\n                    <span class=\"value\">\n                        {{type?.text}}\n                    </span>\n                </button>\n            </li>\n        </ul>\n    </app-popover> -->\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .checkpoints-questions-blocks{padding:0;overflow:hidden;border-radius:4px}::ng-deep .checkpoints-questions-blocks .container{padding:28px 32px 24px 45px}::ng-deep .checkpoints-questions-blocks .question{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;position:relative;display:flex;align-items:flex-start;margin:0}::ng-deep .checkpoints-questions-blocks .question:before{top:1px;left:-45px;height:24px;width:4px;content:\"\";background:#dbdbdb;position:absolute}::ng-deep .checkpoints-questions-blocks .question span.counter{display:inline-block;font-weight:600;width:auto;padding:0 0 0 8px;position:absolute;left:-41px;top:1px;line-height:25px}::ng-deep .checkpoints-questions-blocks .question span.counter .required{color:#eb2424;position:absolute;top:0;right:-6px}::ng-deep .checkpoints-questions-blocks .question input.text{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;width:calc(100% - 28px);border:none;border-bottom:1px solid transparent;outline:none;padding-left:0;margin:0}::ng-deep .checkpoints-questions-blocks .question input.text:focus{border-color:#1e5dd3}::ng-deep .checkpoints-questions-blocks .question input.text:read-only{border:none}::ng-deep .checkpoints-questions-blocks .date-picker{margin:12px 0;position:relative;width:400px}::ng-deep .checkpoints-questions-blocks .date-picker input{width:100%;border:1px solid #DBDBDB;height:36px;line-height:24px;border-radius:4px;padding:4px 8px 4px 28px}::ng-deep .checkpoints-questions-blocks .date-picker input:focus{outline:none;color:#1e5dd3}::ng-deep .checkpoints-questions-blocks .date-picker i{font-size:16px;margin-right:8px;position:absolute;top:10px;left:10px;color:#747576}::ng-deep .checkpoints-questions-blocks .file-upload{position:relative;display:block;margin:12px 0;cursor:pointer;width:400px}::ng-deep .checkpoints-questions-blocks .file-upload input{opacity:0;width:100%;height:100%;position:absolute;inset:0;cursor:pointer}::ng-deep .checkpoints-questions-blocks .file-upload span{background:#1e5dd3;height:32px;border-radius:4px;display:flex;color:#fff;font-weight:400;font-size:11px;padding:8px 12px;justify-content:flex-starts;cursor:pointer;align-items:center}::ng-deep .checkpoints-questions-blocks .file-upload span i{margin-right:8px}::ng-deep .checkpoints-questions-blocks dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep .checkpoints-questions-blocks dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep .checkpoints-questions-blocks dp-date-picker input:focus{outline:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .checkpoints-questions-blocks .footer{background:#f1f1f180;display:none;border-top:1px solid #DBDBDB;justify-content:space-between;padding:0 0 0 8px;align-items:center}::ng-deep .checkpoints-questions-blocks .footer .left{width:150px;display:flex;align-items:center}::ng-deep .checkpoints-questions-blocks .footer .left app-cs-checkbox{display:flex}::ng-deep .checkpoints-questions-blocks .footer .left app-cs-checkbox label.checkbox-item span.value{white-space:nowrap;text-transform:uppercase;font-size:11px;font-weight:500}::ng-deep .checkpoints-questions-blocks .footer .right{width:calc(100% - 100px);display:flex;justify-content:flex-end}::ng-deep .checkpoints-questions-blocks .footer .right ul{padding:0;margin:0;display:flex}::ng-deep .checkpoints-questions-blocks .footer .right ul li{list-style:none;border-left:1px solid #DBDBDB;padding:0}::ng-deep .checkpoints-questions-blocks .footer .right ul li button{width:48px;height:36px;font-size:15px;color:#1e5dd3;outline:none;display:flex;align-items:center;justify-content:center;background:transparent;border:none}::ng-deep .checkpoints-questions-blocks .footer .right ul li button.delete{color:#ee3939}::ng-deep .checkpoints-questions-blocks ul.list{padding:8px 0;margin:0;display:inline-block;min-width:400px}::ng-deep .checkpoints-questions-blocks ul.list li{list-style:none;display:flex;padding:0;position:relative}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:none}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item span.radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item span.radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item span.radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.radio{position:absolute!important;top:9px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.value{padding:8px 8px 8px 40px;width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid #BCBCBC;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .checkpoints-questions-blocks ul.list li input,::ng-deep .checkpoints-questions-blocks ul.list li span{color:#161b2f;font-size:14px;line-height:20px;display:block;border:none;outline:none;margin-left:0!important;margin:0;padding:0}::ng-deep .checkpoints-questions-blocks ul.list li input{height:20px;background:transparent;width:100%}::ng-deep .checkpoints-questions-blocks ul.list li+li{margin-top:8px}::ng-deep .checkpoints-questions-blocks ul.list li button.close{font-size:12px;color:#9c1d22;padding:8px;cursor:pointer;background:transparent;border:none;outline:none}::ng-deep .checkpoints-questions-blocks.active{border:1px solid #1E5DD3;padding-bottom:0;box-shadow:0 3px 6px #1e5dd326}::ng-deep .checkpoints-questions-blocks.active .question:before{background:#1e5dd3}::ng-deep .checkpoints-questions-blocks.active .footer{display:flex}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:auto}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item span.value{width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid transparent;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border:1px solid #34AA44}::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new{opacity:.6;cursor:pointer}::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-radio label.radio-item span.value input,::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-checkbox label.radio-item span.value input,::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-radio label.checkbox-item span.value input,::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-checkbox label.checkbox-item span.value input{cursor:pointer}::ng-deep .checkpoints-questions-blocks.instruction{border:1px solid #DBDBDB;margin-bottom:12px}::ng-deep .checkpoints-questions-blocks.instruction .question span.counter i{font-weight:400;color:#f2bf19}::ng-deep .checkpoints-questions-blocks.instruction .question span.text{width:100%;cursor:pointer}::ng-deep .checkpoints-questions-blocks.instruction .question span.text vcomply-editor{cursor:text}::ng-deep .checkpoints-questions-blocks.instruction .question span.text *{margin-top:0}::ng-deep .checkpoints-questions-blocks.instruction.filled{background:#f8f8f8;max-height:100px;overflow:auto}::ng-deep .checkpoints-questions-blocks.instruction.filled .container{padding:12px 12px 12px 32px}::ng-deep .checkpoints-questions-blocks.instruction.filled .container .question{font-size:14px;line-height:22px}::ng-deep .checkpoints-questions-blocks.instruction.filled .container .question:before{left:-32px}::ng-deep .checkpoints-questions-blocks.instruction.filled .container .question span.counter{left:-32px}::ng-deep .checkpoints-questions .btn-add-new{display:flex;justify-content:center;align-items:center;line-height:16px;height:36px;border-radius:4px;color:#1e5dd3;border:1px dashed #1E5DD3;margin-top:20px;width:100%;background:transparent;text-transform:uppercase;font-weight:600}.checkpoint-type-list{background:#fff;padding:0;margin:0;width:220px;box-shadow:0 3px 6px #1c5bd140;border-radius:4px}.checkpoint-type-list-title{font-size:12px;font-weight:500;color:#161b2f;text-transform:uppercase;line-height:20px;padding:8px 12px;display:block}.checkpoint-type-list li{list-style:none}.checkpoint-type-list li+li{border-top:1px solid #f8f8f8}.checkpoint-type-list li button{padding:4px;background:transparent;border:none;outline:none;display:flex;justify-content:flex-start;cursor:pointer;width:100%}.checkpoint-type-list li button i{font-size:16px;color:#1e5dd3;padding:0 4px;display:flex;justify-content:center;width:40px;height:32px;align-items:center;margin-right:8px}.checkpoint-type-list li button span.value{width:calc(100% - 48px);display:block;color:#747576;font-size:11px;line-height:32px;text-transform:uppercase;text-align:left}.checkpoint-type-list li button:hover{background:#f8f8f8}.error{border-color:red}.vx-overlay{position:fixed;z-index:1;inset:0}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "pipe", type: FormatHtmlPipe, name: "formatHtml" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsQuestionsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkpoints-questions', template: "<!-- <p>checkpoints-questions works!</p> -->\n<div class=\"checkpoints-questions\">\n  <div\n    class=\"checkpoints-questions-blocks instruction\"\n    [class.filled]=\"checkpointInstruction.length > 0 && !addInstruction\"\n  >\n    <div class=\"container\">\n      <h3 class=\"question\">\n        <span class=\"counter\" *ngIf=\"!addInstruction\"\n          ><i class=\"icons\">&#xe932;</i></span\n        >\n        <span\n          class=\"text\"\n          *ngIf=\"!addInstruction\"\n          [innerHTML]=\"\n            checkpointInstruction.length > 0\n              ? (checkpointInstruction | formatHtml)\n              : 'Add instruction'\n          \"\n        ></span>\n        <span class=\"text\" *ngIf=\"addInstruction && false\">\n          <vcomply-editor\n            [(ngModel)]=\"checkpointInstruction\"\n            [editorConfig]=\"{\n              mode: 'prime',\n              colorPalette: true,\n              link: true,\n              placeholder: 'Add instruction',\n              buttonName: 'SAVE',\n              id: 'checkpoint-instructions'\n            }\"\n            (comment)=\"saveDescription()\"\n          ></vcomply-editor>\n        </span>\n      </h3>\n    </div>\n  </div>\n\n  <ng-container\n    *ngFor=\"let question of checkpointData; let questionIndex = index\"\n  >\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"['textbox', 'date', 'upload'].includes(question?.type)\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ng-container\n          class=\"preview\"\n          *ngIf=\"activeQuestionIndex !== questionIndex\"\n        >\n          <label class=\"file-upload\" *ngIf=\"question.type === 'upload'\">\n            <input type=\"file\" disabled />\n            <span><i class=\"icons\">&#xe9ed;</i> Browse File</span>\n          </label>\n          <ng-container *ngIf=\"question.type === 'date'\">\n            <div class=\"date-picker\">\n              <i class=\"icons\">&#xe92d;</i>\n              <input\n                type=\"text\"\n                placeholder=\"Select date\"\n                (click)=\"\n                  openDatePicker();\n                  $event.stopPropagation();\n                  datePickerOverlay = true\n                \"\n                disabled\n                id=\"date-picker\"\n              />\n              <dp-date-picker #datePicker (click)=\"$event.stopPropagation()\">\n              </dp-date-picker>\n              <div\n                class=\"vx-overlay\"\n                (click)=\"closeDatepicker(); $event.stopPropagation()\"\n                *ngIf=\"datePickerOverlay\"\n              ></div>\n            </div>\n          </ng-container>\n        </ng-container>\n      </div>\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <li>\n              <button\n                [appTooltip]=\"'Add new'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  blankClone(question.type, questionIndex);\n                  $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe915;</i>\n              </button>\n            </li>\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <li>\n              <!-- <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button> -->\n            </li>\n          </ul>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"question?.type === 'radio'\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ul class=\"list\">\n          <li *ngFor=\"let option of question?.options; let opIndex = index\">\n            <app-cs-radio\n              [oneLine]=\"true\"\n              [readonly]=\"true\"\n              [disabled]=\"activeQuestionIndex === questionIndex\"\n              ><input\n                [(ngModel)]=\"option.label\"\n                [id]=\"'radio-' + '' + questionIndex + '' + opIndex\"\n                type=\"text\"\n                placeholder=\"Option\"\n              />\n            </app-cs-radio>\n            <!-- <button class=\"close\" (click)=\"deleteOption(questionIndex,opIndex,question.type)\"\n                            *ngIf=\"activeQuestionIndex === questionIndex && question?.options.length > 1\"><i\n                                class=\"icons\">&#xe90d;</i></button> -->\n          </li>\n          <!-- <li *ngIf=\"activeQuestionIndex === questionIndex && false\" class=\"add-new\">\n                        <app-cs-radio [oneLine]=\"true\" [readonly]=\"true\">\n                            <input type=\"text\" readonly placeholder=\"Add more option\"\n                                (click)=\"addOption(questionIndex,question?.options?.length-1,question.type)\">\n                        </app-cs-radio>\n                    </li> -->\n        </ul>\n      </div>\n\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <!-- <li>\n                            <button [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"blankClone(question.type,questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li> -->\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <!-- <li>\n                            <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li> -->\n          </ul>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"question?.type === 'select'\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ul class=\"list\">\n          <li *ngFor=\"let option of question?.options; let opIndex = index\">\n            <app-cs-radio\n              [oneLine]=\"true\"\n              readonly\n              [disabled]=\"activeQuestionIndex === questionIndex\"\n            >\n              <input\n                [(ngModel)]=\"option.label\"\n                name=\"'select-' + '' + questionIndex + '' + opIndex\"\n                (keydown.enter)=\"\n                  addOption(questionIndex, opIndex, question.type)\n                \"\n                (keydown.backspace)=\"\n                  deleteOnBackspace(questionIndex, opIndex, question.type)\n                \"\n                [id]=\"'select-' + '' + questionIndex + '' + opIndex\"\n                type=\"text\"\n                placeholder=\"Option\"\n              />\n            </app-cs-radio>\n            <!-- <button class=\"close\" (click)=\"deleteOption(questionIndex,opIndex,question.type)\"\n                            *ngIf=\"activeQuestionIndex === questionIndex && question?.options.length > 1\"><i\n                                class=\"icons\">&#xe90d;</i></button> -->\n          </li>\n          <!-- \n                    <li *ngIf=\"activeQuestionIndex === questionIndex\" class=\"add-new\">\n                        <app-cs-radio [oneLine]=\"true\" [readonly]=\"true\"><input readonly type=\"text\"\n                                placeholder=\"Add more option\"\n                                (click)=\"addOption(questionIndex,question?.options?.length-1,question.type)\">\n                        </app-cs-radio>\n                    </li> -->\n          <!-- <button (click)=\"addOption(questionIndex,question?.options?.length,question.type)\"\n                        *ngIf=\"activeQuestionIndex === questionIndex\">Add More Options</button> -->\n        </ul>\n      </div>\n\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <!-- <li>\n                            <button [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"blankClone(question.type,questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li> -->\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <!-- <li>\n                            <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li> -->\n          </ul>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"checkpoints-questions-blocks\"\n      *ngIf=\"question?.type === 'checkbox'\"\n      [class.error]=\"errorIndex === questionIndex\"\n    >\n      <div class=\"container\">\n        <h3 class=\"question\">\n          <span class=\"counter\"\n            >{{ questionIndex + 1 }}.\n            <span class=\"required\" *ngIf=\"question.required\">*</span></span\n          >\n          <input\n            class=\"text\"\n            type=\"text\"\n            [placeholder]=\"placeholder[question.type]\"\n            [(ngModel)]=\"question.label\"\n            readonly\n          />\n        </h3>\n        <ul class=\"list\">\n          <li *ngFor=\"let option of question?.options; let opIndex = index\">\n            <app-cs-checkbox [oneLine]=\"true\" [readonly]=\"true\">\n              <input\n                [(ngModel)]=\"option.label\"\n                type=\"text\"\n                placeholder=\"Option\"\n                [id]=\"'checkbox-' + '' + questionIndex + '' + opIndex\"\n                (keydown.enter)=\"\n                  addOption(questionIndex, opIndex, question.type)\n                \"\n                (keydown.backspace)=\"\n                  deleteOnBackspace(questionIndex, opIndex, question.type)\n                \"\n              />\n            </app-cs-checkbox>\n            <!-- <button class=\"close\" (click)=\"deleteOption(questionIndex,opIndex,question.type)\"\n                            *ngIf=\"activeQuestionIndex === questionIndex && question?.options.length > 1\"><i\n                                class=\"icons\">&#xe90d;</i></button> -->\n          </li>\n          <!-- <li *ngIf=\"activeQuestionIndex === questionIndex\" class=\"add-new\">\n                        <app-cs-checkbox [oneLine]=\"true\"\n                            (click)=\"addOption(questionIndex,question?.options?.length-1,question.type)\"\n                            [disabled]=\"true\">\n                            <input [disabled]=\"true\" type=\"text\" placeholder=\"Add more option\">\n                        </app-cs-checkbox>\n                    </li> -->\n        </ul>\n      </div>\n\n      <div class=\"footer\">\n        <div class=\"left\">\n          <app-cs-checkbox\n            [ngValue]=\"question.required\"\n            (ngValueChange)=\"question.required = $event\"\n            >Is required</app-cs-checkbox\n          >\n        </div>\n        <div class=\"right\">\n          <ul>\n            <!-- <li>\n                            <button [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"blankClone(question.type,questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li> -->\n            <li>\n              <button\n                class=\"delete\"\n                [appTooltip]=\"'Delete'\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                (click)=\"\n                  removeQuestion(questionIndex); $event.stopPropagation()\n                \"\n              >\n                <i class=\"icons\">&#xe923;</i>\n              </button>\n            </li>\n            <!-- <li>\n                            <button [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\"\n                                (click)=\"cloneQuestion(questionIndex);$event.stopPropagation();\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li> -->\n          </ul>\n        </div>\n      </div>\n    </div>\n    <!-- <div class=\"checkpoints-questions-blocks\" [class.active]=\"true\">\n        <div class=\"container\">\n            <h3 class=\"question\">\n                <span class=\"counter\">2. <span class=\"required\">*</span></span>\n                <input class=\"text\" type=\"text\" placeholder=\"Type your question here [Select Box]\" value=\"Has the previous audit report been closed out?\">\n            </h3>\n            <ul class=\"list\">\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><span>Yes</span></app-cs-radio> <button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><span>No</span></app-cs-radio><button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><span>N/A</span></app-cs-radio><button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n                <li>\n                    <app-cs-radio [oneLine]=\"true\"><input type=\"text\" placeholder=\"Option\"></app-cs-radio> <button class=\"close\"><i class=\"icons\">&#xe90d;</i></button>\n                </li>\n            </ul>\n        </div>\n        <div class=\"footer\">\n            <div class=\"left\">\n                <app-cs-checkbox [ngValue]=\"question.required\" (ngValueChange)=\"question.required = $event\">Is required</app-cs-checkbox>\n            </div>\n            <div class=\"right\">\n                <ul>\n                    <li><button><i class=\"icons\">&#xe915;</i></button></li>\n                    <li><button><i class=\"icons\">&#xe923;</i></button></li>\n                    <li><button><i class=\"icons\">&#xe9b6;</i></button></li>\n                </ul>\n            </div>\n        </div>\n    </div> -->\n  </ng-container>\n  <!-- <button class=\"btn-add-new\" type=\"button\" appPopover (click)=\"newCheckpoint.popover()\" placement=\"left\">+ Add a new\n        checkpoint</button> -->\n  <!-- <app-popover #newCheckpoint>\n\n        <ul class=\"checkpoint-type-list\">\n            <li><span class=\"checkpoint-type-list-title\">Add Checkpoints</span></li>\n            <li *ngFor=\"let type of questionTypeList\">\n                <button (click)=\"addQuestion(type)\">\n                    <i class=\"icons\" [innerHTML]=\"type.icon\"></i>\n                    <span class=\"value\">\n                        {{type?.text}}\n                    </span>\n                </button>\n            </li>\n        </ul>\n    </app-popover> -->\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .checkpoints-questions-blocks{padding:0;overflow:hidden;border-radius:4px}::ng-deep .checkpoints-questions-blocks .container{padding:28px 32px 24px 45px}::ng-deep .checkpoints-questions-blocks .question{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;position:relative;display:flex;align-items:flex-start;margin:0}::ng-deep .checkpoints-questions-blocks .question:before{top:1px;left:-45px;height:24px;width:4px;content:\"\";background:#dbdbdb;position:absolute}::ng-deep .checkpoints-questions-blocks .question span.counter{display:inline-block;font-weight:600;width:auto;padding:0 0 0 8px;position:absolute;left:-41px;top:1px;line-height:25px}::ng-deep .checkpoints-questions-blocks .question span.counter .required{color:#eb2424;position:absolute;top:0;right:-6px}::ng-deep .checkpoints-questions-blocks .question input.text{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;width:calc(100% - 28px);border:none;border-bottom:1px solid transparent;outline:none;padding-left:0;margin:0}::ng-deep .checkpoints-questions-blocks .question input.text:focus{border-color:#1e5dd3}::ng-deep .checkpoints-questions-blocks .question input.text:read-only{border:none}::ng-deep .checkpoints-questions-blocks .date-picker{margin:12px 0;position:relative;width:400px}::ng-deep .checkpoints-questions-blocks .date-picker input{width:100%;border:1px solid #DBDBDB;height:36px;line-height:24px;border-radius:4px;padding:4px 8px 4px 28px}::ng-deep .checkpoints-questions-blocks .date-picker input:focus{outline:none;color:#1e5dd3}::ng-deep .checkpoints-questions-blocks .date-picker i{font-size:16px;margin-right:8px;position:absolute;top:10px;left:10px;color:#747576}::ng-deep .checkpoints-questions-blocks .file-upload{position:relative;display:block;margin:12px 0;cursor:pointer;width:400px}::ng-deep .checkpoints-questions-blocks .file-upload input{opacity:0;width:100%;height:100%;position:absolute;inset:0;cursor:pointer}::ng-deep .checkpoints-questions-blocks .file-upload span{background:#1e5dd3;height:32px;border-radius:4px;display:flex;color:#fff;font-weight:400;font-size:11px;padding:8px 12px;justify-content:flex-starts;cursor:pointer;align-items:center}::ng-deep .checkpoints-questions-blocks .file-upload span i{margin-right:8px}::ng-deep .checkpoints-questions-blocks dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep .checkpoints-questions-blocks dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep .checkpoints-questions-blocks dp-date-picker input:focus{outline:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep .checkpoints-questions-blocks dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .checkpoints-questions-blocks .footer{background:#f1f1f180;display:none;border-top:1px solid #DBDBDB;justify-content:space-between;padding:0 0 0 8px;align-items:center}::ng-deep .checkpoints-questions-blocks .footer .left{width:150px;display:flex;align-items:center}::ng-deep .checkpoints-questions-blocks .footer .left app-cs-checkbox{display:flex}::ng-deep .checkpoints-questions-blocks .footer .left app-cs-checkbox label.checkbox-item span.value{white-space:nowrap;text-transform:uppercase;font-size:11px;font-weight:500}::ng-deep .checkpoints-questions-blocks .footer .right{width:calc(100% - 100px);display:flex;justify-content:flex-end}::ng-deep .checkpoints-questions-blocks .footer .right ul{padding:0;margin:0;display:flex}::ng-deep .checkpoints-questions-blocks .footer .right ul li{list-style:none;border-left:1px solid #DBDBDB;padding:0}::ng-deep .checkpoints-questions-blocks .footer .right ul li button{width:48px;height:36px;font-size:15px;color:#1e5dd3;outline:none;display:flex;align-items:center;justify-content:center;background:transparent;border:none}::ng-deep .checkpoints-questions-blocks .footer .right ul li button.delete{color:#ee3939}::ng-deep .checkpoints-questions-blocks ul.list{padding:8px 0;margin:0;display:inline-block;min-width:400px}::ng-deep .checkpoints-questions-blocks ul.list li{list-style:none;display:flex;padding:0;position:relative}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:none}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.checkbox,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item span.radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item span.radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item span.radio,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.radio{position:absolute!important;top:9px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.value{padding:8px 8px 8px 40px;width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid #BCBCBC;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .checkpoints-questions-blocks ul.list li input,::ng-deep .checkpoints-questions-blocks ul.list li span{color:#161b2f;font-size:14px;line-height:20px;display:block;border:none;outline:none;margin-left:0!important;margin:0;padding:0}::ng-deep .checkpoints-questions-blocks ul.list li input{height:20px;background:transparent;width:100%}::ng-deep .checkpoints-questions-blocks ul.list li+li{margin-top:8px}::ng-deep .checkpoints-questions-blocks ul.list li button.close{font-size:12px;color:#9c1d22;padding:8px;cursor:pointer;background:transparent;border:none;outline:none}::ng-deep .checkpoints-questions-blocks.active{border:1px solid #1E5DD3;padding-bottom:0;box-shadow:0 3px 6px #1e5dd326}::ng-deep .checkpoints-questions-blocks.active .question:before{background:#1e5dd3}::ng-deep .checkpoints-questions-blocks.active .footer{display:flex}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:auto}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item span.value{width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid transparent;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px}::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border:1px solid #34AA44}::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new{opacity:.6;cursor:pointer}::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-radio label.radio-item span.value input,::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-checkbox label.radio-item span.value input,::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-radio label.checkbox-item span.value input,::ng-deep .checkpoints-questions-blocks.active ul.list li.add-new app-cs-checkbox label.checkbox-item span.value input{cursor:pointer}::ng-deep .checkpoints-questions-blocks.instruction{border:1px solid #DBDBDB;margin-bottom:12px}::ng-deep .checkpoints-questions-blocks.instruction .question span.counter i{font-weight:400;color:#f2bf19}::ng-deep .checkpoints-questions-blocks.instruction .question span.text{width:100%;cursor:pointer}::ng-deep .checkpoints-questions-blocks.instruction .question span.text vcomply-editor{cursor:text}::ng-deep .checkpoints-questions-blocks.instruction .question span.text *{margin-top:0}::ng-deep .checkpoints-questions-blocks.instruction.filled{background:#f8f8f8;max-height:100px;overflow:auto}::ng-deep .checkpoints-questions-blocks.instruction.filled .container{padding:12px 12px 12px 32px}::ng-deep .checkpoints-questions-blocks.instruction.filled .container .question{font-size:14px;line-height:22px}::ng-deep .checkpoints-questions-blocks.instruction.filled .container .question:before{left:-32px}::ng-deep .checkpoints-questions-blocks.instruction.filled .container .question span.counter{left:-32px}::ng-deep .checkpoints-questions .btn-add-new{display:flex;justify-content:center;align-items:center;line-height:16px;height:36px;border-radius:4px;color:#1e5dd3;border:1px dashed #1E5DD3;margin-top:20px;width:100%;background:transparent;text-transform:uppercase;font-weight:600}.checkpoint-type-list{background:#fff;padding:0;margin:0;width:220px;box-shadow:0 3px 6px #1c5bd140;border-radius:4px}.checkpoint-type-list-title{font-size:12px;font-weight:500;color:#161b2f;text-transform:uppercase;line-height:20px;padding:8px 12px;display:block}.checkpoint-type-list li{list-style:none}.checkpoint-type-list li+li{border-top:1px solid #f8f8f8}.checkpoint-type-list li button{padding:4px;background:transparent;border:none;outline:none;display:flex;justify-content:flex-start;cursor:pointer;width:100%}.checkpoint-type-list li button i{font-size:16px;color:#1e5dd3;padding:0 4px;display:flex;justify-content:center;width:40px;height:32px;align-items:center;margin-right:8px}.checkpoint-type-list li button span.value{width:calc(100% - 48px);display:block;color:#747576;font-size:11px;line-height:32px;text-transform:uppercase;text-align:left}.checkpoint-type-list li button:hover{background:#f8f8f8}.error{border-color:red}.vx-overlay{position:fixed;z-index:1;inset:0}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: SnackBarService }, { type: CommonService }]; }, propDecorators: { checkpointData: [{
                type: Input
            }], questionTypeList: [{
                type: Input
            }], errorIndex: [{
                type: Input
            }], checkpointInstruction: [{
                type: Input
            }], createQuestion: [{
                type: Output
            }], deleteQuestion: [{
                type: Output
            }], copyQuestion: [{
                type: Output
            }], blankQuestion: [{
                type: Output
            }], createOption: [{
                type: Output
            }], removeOption: [{
                type: Output
            }], updateDescription: [{
                type: Output
            }], datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class CheckpointsListComponent {
    constructor() {
        this.createQuestion = new EventEmitter();
        this.questionTypeList = [];
    }
    ngOnInit() {
    }
    addQuestion(type) {
        //  this.createQuestion.emit(type.type);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckpointsListComponent, selector: "app-checkpoints-list", inputs: { questionTypeList: "questionTypeList" }, outputs: { createQuestion: "createQuestion" }, ngImport: i0, template: "<div class=\"checkpoints-list\">\n    <h4 class=\"title\">Please select a question type to begin:</h4>\n    <ul class=\"list-of-type\">\n        <li *ngFor=\"let questionType of questionTypeList\">\n            <button (click)=\"addQuestion(questionType)\">\n                <i class=\"icons\" [innerHTML]=\"questionType?.icon\"></i>\n                <span class=\"value\">\n                    <span class=\"title\">{{questionType?.text}}</span>\n                    <span class=\"description\">{{questionType?.description}}</span>\n                </span>\n            </button>\n        </li>\n    </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.checkpoints-list{position:relative;margin:0 -100px;height:60%}.checkpoints-list h4.title{color:#161b2f;font-size:18px;margin:0 0 20px;padding:0;line-height:20px;font-weight:500;text-align:center}.checkpoints-list ul{display:flex;flex-wrap:wrap;padding:0;margin:0;width:700px}.checkpoints-list ul li{list-style:none;padding:4px;width:50%;animation:zoom-in .5s cubic-bezier(.25,.46,.45,.94) both}.checkpoints-list ul li button{display:flex;align-items:center;padding:14px;box-shadow:0 0 5px #fbfbfb;transition:all .3s ease-in-out;background:#fff;cursor:pointer;border-radius:4px;height:100%;width:100%;border:1px solid #F1F1F1}.checkpoints-list ul li button i{height:36px;width:36px;border-radius:2px;background:#f1f1f1;font-size:16px;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#1e5dd3;margin-right:8px}.checkpoints-list ul li button span{text-align:left}.checkpoints-list ul li button span.value{display:block;width:calc(100% - 40px);text-transform:none}.checkpoints-list ul li button span.title{font-size:14px;color:#161b2f;width:100%;display:block;line-height:18px;font-weight:400}.checkpoints-list ul li button span.description{font-size:12px;color:#747576;display:block;font-weight:400}.checkpoints-list ul li button:hover{box-shadow:0 0 5px #1e5dd345}@keyframes zoom-in{0%{transform:scale(0)}to{transform:scale(1)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkpoints-list', template: "<div class=\"checkpoints-list\">\n    <h4 class=\"title\">Please select a question type to begin:</h4>\n    <ul class=\"list-of-type\">\n        <li *ngFor=\"let questionType of questionTypeList\">\n            <button (click)=\"addQuestion(questionType)\">\n                <i class=\"icons\" [innerHTML]=\"questionType?.icon\"></i>\n                <span class=\"value\">\n                    <span class=\"title\">{{questionType?.text}}</span>\n                    <span class=\"description\">{{questionType?.description}}</span>\n                </span>\n            </button>\n        </li>\n    </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.checkpoints-list{position:relative;margin:0 -100px;height:60%}.checkpoints-list h4.title{color:#161b2f;font-size:18px;margin:0 0 20px;padding:0;line-height:20px;font-weight:500;text-align:center}.checkpoints-list ul{display:flex;flex-wrap:wrap;padding:0;margin:0;width:700px}.checkpoints-list ul li{list-style:none;padding:4px;width:50%;animation:zoom-in .5s cubic-bezier(.25,.46,.45,.94) both}.checkpoints-list ul li button{display:flex;align-items:center;padding:14px;box-shadow:0 0 5px #fbfbfb;transition:all .3s ease-in-out;background:#fff;cursor:pointer;border-radius:4px;height:100%;width:100%;border:1px solid #F1F1F1}.checkpoints-list ul li button i{height:36px;width:36px;border-radius:2px;background:#f1f1f1;font-size:16px;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#1e5dd3;margin-right:8px}.checkpoints-list ul li button span{text-align:left}.checkpoints-list ul li button span.value{display:block;width:calc(100% - 40px);text-transform:none}.checkpoints-list ul li button span.title{font-size:14px;color:#161b2f;width:100%;display:block;line-height:18px;font-weight:400}.checkpoints-list ul li button span.description{font-size:12px;color:#747576;display:block;font-weight:400}.checkpoints-list ul li button:hover{box-shadow:0 0 5px #1e5dd345}@keyframes zoom-in{0%{transform:scale(0)}to{transform:scale(1)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { createQuestion: [{
                type: Output
            }], questionTypeList: [{
                type: Input
            }] } });

class CheckpointFloatingBarComponent {
    constructor() {
        this.count = 0;
        this.pluralText = '';
        this.singularText = '';
        this.closeList = new EventEmitter();
        this.saveList = new EventEmitter();
        this.requiredPoint = 0;
        this.isPolicyCheckpoint = false;
        this.requiredPointChange = new EventEmitter();
    }
    ngOnInit() {
    }
    next() {
        this.saveList.emit();
    }
    close() {
        this.closeList.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointFloatingBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckpointFloatingBarComponent, selector: "app-checkpoint-floating-bar", inputs: { count: "count", pluralText: "pluralText", singularText: "singularText", requiredPoint: "requiredPoint", isPolicyCheckpoint: "isPolicyCheckpoint" }, outputs: { closeList: "closeList", saveList: "saveList", requiredPointChange: "requiredPointChange" }, ngImport: i0, template: "<div class=\"checkpoint-floating-bar\">\n  <div class=\"checkpoint-floating-bar-container vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\">\n    <div class=\"left\">\n      <div class=\"counter vx-fs-9 vx-fw-600 vx-txt-white vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center\">{{count}}</div>\n      <div class=\"name vx-fs-12 vx-paragraph-txt vx-ml-2\">\n        <span *ngIf=\"count < 2\">{{singularText}}</span>\n        <span *ngIf=\"count > 1\">{{pluralText}}</span>\n      </div>\n    </div>\n    <!-- <div class=\"mid\" *ngIf=\"isPolicyCheckpoint\">\n      <div class=\"name\" *ngIf=\"true\" >\n        <div class=\"label\">Total Points : {{count}}</div>\n        <em>Each question carries 1 point</em>\n        <span class=\"required\">*</span>\n        <!- - <i class=\"icons\">&#xe91f;</i> - ->\n      </div>\n      <div class=\"name points\" *ngIf=\"true\">\n        <div>\n          <div class=\"label\">Points required<br>to attest\n            <span class=\"required\">*</span>\n            <i class=\"icons\" appPopover (click)=\"policyPassing.popover()\" placement=\"right\">&#xe91f;</i> :\n          </div>\n        </div>\n        <div>\n          <input type=\"number\" [(ngModel)]=\"requiredPoint\" [max]=\"count\"   onkeydown=\"return event.keyCode !== 190\" min=\"0\"\n          oninput=\"this.value = Math.abs(this.value);\" (ngModelChange)=\"requiredPointChange.emit(requiredPoint)\"/>\n        </div>\n      </div>\n    </div> -->\n    <div class=\"right\">\n      <!-- <ng-container *ngIf=\"isPolicyCheckpoint\">\n      <div class=\"name\" *ngIf=\"true\" >\n        Total Points : {{count}}<br>\n        <i>Each question carries 1 point</i>\n        <span class=\"required\">*</span>\n        <i class=\"icons\">&#xe91f;</i>\n      </div>\n      <div class=\"name\" *ngIf=\"true\">\n        Points required to attest\n        <span class=\"required\">*</span>\n        <i class=\"icons\">&#xe91f;</i>\n        <input type=\"number\" [(ngModel)]=\"requiredPoint\" [max]=\"count\"   onkeydown=\"return event.keyCode !== 190\" min=\"0\"\n        oninput=\"this.value = Math.abs(this.value);\" (ngModelChange)=\"requiredPointChange.emit(requiredPoint)\"/>\n      </div>\n    </ng-container> -->\n      <app-cs-select *ngIf=\"false\"></app-cs-select>\n      <button appRipple class=\"cancel\" (click)=\"close()\">Cancel</button>\n      <button (click)=\"next()\" appRipple>Next <i class=\"icons\">&#xe91e;</i></button>\n    </div>\n  </div>\n</div>\n<app-popover #policyPassing [dontCloseonClick]=\"true\">\n  <div  class=\"pop\">\n   Every correct answer choice carries 1 point. You can specify the total number of questions that the reader must answer correctly in order to attest the policy.\n  </div>\n</app-popover>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{appearance:none;-webkit-appearance:none;margin:0}::ng-deep .checkpoint-floating-bar-container{height:3rem;border-radius:.25rem;border:1px solid #f8f8f8;box-shadow:0 6px 12px #4681ef26}::ng-deep .checkpoint-floating-bar-container .left{display:flex;align-items:center;max-width:70%}::ng-deep .checkpoint-floating-bar-container .left .counter{background:#1e5dd3;border-radius:1.25rem;min-width:1.5rem;height:1rem}::ng-deep .checkpoint-floating-bar-container .mid{display:flex;align-items:center}::ng-deep .checkpoint-floating-bar-container .mid .name{color:#747576;font-size:10px;font-weight:500;line-height:16px;white-space:nowrap}::ng-deep .checkpoint-floating-bar-container .mid .name .label{color:#161b2f;font-size:11px;font-weight:500;text-transform:uppercase}::ng-deep .checkpoint-floating-bar-container .mid .name span.required{color:#eb2424;font-size:14px}::ng-deep .checkpoint-floating-bar-container .mid .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}::ng-deep .checkpoint-floating-bar-container .mid .name.points{display:flex;align-items:center;margin-left:40px}::ng-deep .checkpoint-floating-bar-container .mid .name.points input[type=number]{-moz-appearance:textfield;border:1px solid #DCDCDC;border-radius:2px;width:30px;height:30px;text-align:center;margin-left:16px;color:#747576;font-size:11px;font-weight:600}::ng-deep .checkpoint-floating-bar-container .mid .name.points input[type=number]:focus{outline:none}::ng-deep .checkpoint-floating-bar-container .right{display:flex;align-items:center}::ng-deep .checkpoint-floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}::ng-deep .checkpoint-floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}::ng-deep .checkpoint-floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}::ng-deep .checkpoint-floating-bar-container .right button{border-radius:2px;height:24px;background:#1e5dd3!important;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:none!important;padding:0 8px;margin:0 0 0 8px}::ng-deep .checkpoint-floating-bar-container .right button i{margin-left:8px;font-size:11px}::ng-deep .checkpoint-floating-bar-container .right button:disabled{background:#f1f1f1!important;color:#747576!important;opacity:1}::ng-deep .checkpoint-floating-bar-container .right button.cancel{background:transparent!important;color:#eb2424!important}.pop{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block;padding:10px;font-size:12px;color:#6e717e}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsSelectComponent$1, selector: "app-cs-select", inputs: ["dataList", "dropdownLabel", "displayProperty", "selectedValue", "isRequired", "dropdownSubLabel", "placeholder", "stylex", "valueKey", "colorBlock", "colorCode"], outputs: ["selectedData", "selectedValueChange"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointFloatingBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkpoint-floating-bar', template: "<div class=\"checkpoint-floating-bar\">\n  <div class=\"checkpoint-floating-bar-container vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\">\n    <div class=\"left\">\n      <div class=\"counter vx-fs-9 vx-fw-600 vx-txt-white vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center\">{{count}}</div>\n      <div class=\"name vx-fs-12 vx-paragraph-txt vx-ml-2\">\n        <span *ngIf=\"count < 2\">{{singularText}}</span>\n        <span *ngIf=\"count > 1\">{{pluralText}}</span>\n      </div>\n    </div>\n    <!-- <div class=\"mid\" *ngIf=\"isPolicyCheckpoint\">\n      <div class=\"name\" *ngIf=\"true\" >\n        <div class=\"label\">Total Points : {{count}}</div>\n        <em>Each question carries 1 point</em>\n        <span class=\"required\">*</span>\n        <!- - <i class=\"icons\">&#xe91f;</i> - ->\n      </div>\n      <div class=\"name points\" *ngIf=\"true\">\n        <div>\n          <div class=\"label\">Points required<br>to attest\n            <span class=\"required\">*</span>\n            <i class=\"icons\" appPopover (click)=\"policyPassing.popover()\" placement=\"right\">&#xe91f;</i> :\n          </div>\n        </div>\n        <div>\n          <input type=\"number\" [(ngModel)]=\"requiredPoint\" [max]=\"count\"   onkeydown=\"return event.keyCode !== 190\" min=\"0\"\n          oninput=\"this.value = Math.abs(this.value);\" (ngModelChange)=\"requiredPointChange.emit(requiredPoint)\"/>\n        </div>\n      </div>\n    </div> -->\n    <div class=\"right\">\n      <!-- <ng-container *ngIf=\"isPolicyCheckpoint\">\n      <div class=\"name\" *ngIf=\"true\" >\n        Total Points : {{count}}<br>\n        <i>Each question carries 1 point</i>\n        <span class=\"required\">*</span>\n        <i class=\"icons\">&#xe91f;</i>\n      </div>\n      <div class=\"name\" *ngIf=\"true\">\n        Points required to attest\n        <span class=\"required\">*</span>\n        <i class=\"icons\">&#xe91f;</i>\n        <input type=\"number\" [(ngModel)]=\"requiredPoint\" [max]=\"count\"   onkeydown=\"return event.keyCode !== 190\" min=\"0\"\n        oninput=\"this.value = Math.abs(this.value);\" (ngModelChange)=\"requiredPointChange.emit(requiredPoint)\"/>\n      </div>\n    </ng-container> -->\n      <app-cs-select *ngIf=\"false\"></app-cs-select>\n      <button appRipple class=\"cancel\" (click)=\"close()\">Cancel</button>\n      <button (click)=\"next()\" appRipple>Next <i class=\"icons\">&#xe91e;</i></button>\n    </div>\n  </div>\n</div>\n<app-popover #policyPassing [dontCloseonClick]=\"true\">\n  <div  class=\"pop\">\n   Every correct answer choice carries 1 point. You can specify the total number of questions that the reader must answer correctly in order to attest the policy.\n  </div>\n</app-popover>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{appearance:none;-webkit-appearance:none;margin:0}::ng-deep .checkpoint-floating-bar-container{height:3rem;border-radius:.25rem;border:1px solid #f8f8f8;box-shadow:0 6px 12px #4681ef26}::ng-deep .checkpoint-floating-bar-container .left{display:flex;align-items:center;max-width:70%}::ng-deep .checkpoint-floating-bar-container .left .counter{background:#1e5dd3;border-radius:1.25rem;min-width:1.5rem;height:1rem}::ng-deep .checkpoint-floating-bar-container .mid{display:flex;align-items:center}::ng-deep .checkpoint-floating-bar-container .mid .name{color:#747576;font-size:10px;font-weight:500;line-height:16px;white-space:nowrap}::ng-deep .checkpoint-floating-bar-container .mid .name .label{color:#161b2f;font-size:11px;font-weight:500;text-transform:uppercase}::ng-deep .checkpoint-floating-bar-container .mid .name span.required{color:#eb2424;font-size:14px}::ng-deep .checkpoint-floating-bar-container .mid .name i{margin-left:3px;color:#1e5dd3;cursor:pointer}::ng-deep .checkpoint-floating-bar-container .mid .name.points{display:flex;align-items:center;margin-left:40px}::ng-deep .checkpoint-floating-bar-container .mid .name.points input[type=number]{-moz-appearance:textfield;border:1px solid #DCDCDC;border-radius:2px;width:30px;height:30px;text-align:center;margin-left:16px;color:#747576;font-size:11px;font-weight:600}::ng-deep .checkpoint-floating-bar-container .mid .name.points input[type=number]:focus{outline:none}::ng-deep .checkpoint-floating-bar-container .right{display:flex;align-items:center}::ng-deep .checkpoint-floating-bar-container .right app-cs-select{margin-left:12px;width:125px;display:flex}::ng-deep .checkpoint-floating-bar-container .right app-cs-select .input-group .custom-select-box input{height:32px}::ng-deep .checkpoint-floating-bar-container .right app-cs-select .input-group .custom-select-box span.arrow{bottom:6px}::ng-deep .checkpoint-floating-bar-container .right button{border-radius:2px;height:24px;background:#1e5dd3!important;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#fff!important;text-transform:uppercase;font-size:11px;font-weight:500;border:none!important;padding:0 8px;margin:0 0 0 8px}::ng-deep .checkpoint-floating-bar-container .right button i{margin-left:8px;font-size:11px}::ng-deep .checkpoint-floating-bar-container .right button:disabled{background:#f1f1f1!important;color:#747576!important;opacity:1}::ng-deep .checkpoint-floating-bar-container .right button.cancel{background:transparent!important;color:#eb2424!important}.pop{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block;padding:10px;font-size:12px;color:#6e717e}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { count: [{
                type: Input
            }], pluralText: [{
                type: Input
            }], singularText: [{
                type: Input
            }], closeList: [{
                type: Output
            }], saveList: [{
                type: Output
            }], requiredPoint: [{
                type: Input
            }], isPolicyCheckpoint: [{
                type: Input
            }], requiredPointChange: [{
                type: Output
            }] } });

class CheckpointsComponent {
    constructor(snackbar, cdr) {
        this.snackbar = snackbar;
        this.cdr = cdr;
        this.closeCheckPoint = new EventEmitter();
        this.saveCheckPoint = new EventEmitter();
        this.animation = true;
        this.checkpointData = [];
        this.checkpointInstruction = '';
        this.errorIndex = -1;
        this.questionTypeList = [
            {
                text: 'Text',
                type: 'textbox',
                description: 'Select a text area.',
                icon: '&#xeace;',
            },
            {
                text: 'Dropdown',
                type: 'select',
                description: 'Choose an option from a multiple select box.',
                icon: '&#xeab9;',
            },
            {
                text: 'Single selection',
                type: 'radio',
                description: 'Select only one option with a radio button.',
                icon: '&#xeab5;',
            },
            {
                text: 'Multiple selection',
                type: 'checkbox',
                description: 'Select multiple options using a checkbox.',
                icon: '&#xeab4;',
            },
            {
                text: 'Date',
                type: 'date',
                description: 'Select date from a date picker.',
                icon: '&#xeaba;',
            },
            {
                text: 'Upload File',
                type: 'upload',
                description: 'Upload documents & files.',
                icon: '&#xea97;',
            },
        ];
    }
    ngOnInit() {
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.checkpointData =
            this.checkpointData && this.checkpointData != ''
                ? cloneDeep$1(this.checkpointData)
                : [];
    }
    addQuestion(evt, index) {
        switch (evt) {
            case 'textbox': {
                this.createTextBox(index);
                break;
            }
            case 'select': {
                this.createSelect(index);
                break;
            }
            case 'radio': {
                this.createRadio(index);
                break;
            }
            case 'checkbox': {
                this.createCheckBox(index);
                break;
            }
            case 'date': {
                this.createDate(index);
                break;
            }
            case 'upload': {
                this.createUpload(index);
                break;
            }
        }
    }
    createTextBox(index) {
        // this.gotoLastOption();
        if (index === undefined) {
            this.checkpointData.push({
                type: 'textbox',
                id: 'textbox_1',
                required: false,
                label: '',
                options: [],
            });
        }
        else {
            this.checkpointData.splice(index + 1, 0, {
                type: 'textbox',
                id: `textbox_{index+1}`,
                required: false,
                label: '',
                options: [],
            });
        }
    }
    createSelect(index) {
        // this.gotoLastOption();
        if (index === undefined) {
            this.checkpointData.push({
                type: 'select',
                id: 'select_1',
                required: false,
                label: '',
                options: [{ label: '', value: 1, is_selected: false }],
            });
        }
        else {
            this.checkpointData.splice(index + 1, 0, {
                type: 'select',
                id: 'select_{index+1}',
                required: false,
                label: '',
                options: [{ label: '', value: 1, is_selected: false }],
            });
        }
    }
    createRadio(index) {
        // this.gotoLastOption();
        if (index === undefined) {
            this.checkpointData.push({
                type: 'radio',
                id: 'radio_1',
                required: false,
                label: '',
                options: [{ label: '', value: 1, is_selected: false }],
            });
        }
        else {
            this.checkpointData.splice(index + 1, 0, {
                type: 'radio',
                id: 'radio_{index+1}',
                required: false,
                label: '',
                options: [{ label: '', value: 1, is_selected: false }],
            });
        }
    }
    createCheckBox(index) {
        // this.gotoLastOption();
        if (index === undefined) {
            this.checkpointData.push({
                type: 'checkbox',
                id: 'checkbox_1',
                required: false,
                label: '',
                options: [{ label: '', value: 1, is_selected: false, required: 0 }],
            });
        }
        else {
            this.checkpointData.splice(index + 1, 0, {
                type: 'checkbox',
                id: 'checkbox_{index+1}',
                required: false,
                label: '',
                options: [{ label: '', value: 1, is_selected: false, required: 0 }],
            });
        }
    }
    createDate(index) {
        // this.gotoLastOption();
        if (index === undefined) {
            this.checkpointData.push({
                type: 'date',
                id: 'date_1',
                required: false,
                label: '',
                options: [],
            });
        }
        else {
            this.checkpointData.splice(index + 1, 0, {
                type: 'date',
                id: 'date_{index+1}',
                required: false,
                label: '',
                options: [],
            });
        }
    }
    createUpload(index) {
        // this.gotoLastOption();
        if (index === undefined) {
            this.checkpointData.push({
                type: 'upload',
                id: 'upload_1',
                required: false,
                label: '',
                options: [],
            });
        }
        else {
            this.checkpointData.splice(index + 1, 0, {
                type: 'upload',
                id: 'upload_{index+1}',
                required: false,
                label: '',
                options: [],
            });
        }
    }
    createOption(i, j, type) {
        this.checkpointData[i].options.splice(j + 1, 0, {
            label: '',
            id: '',
            value: 0,
            is_selected: false,
        });
        for (let k = 0; k <= this.checkpointData[i].options.length - 1; k++) {
            this.checkpointData[i].options[k].value = k + 1;
        }
        setTimeout(() => {
            const EL = document.getElementById(type + '-' + i + '' + (j + 1));
            if (EL) {
                EL.focus();
            }
        }, 10);
    }
    deleteOption(i, j, type) {
        if (this.checkpointData[i].options.length === 1) {
            return;
        }
        this.checkpointData[i].options.splice(j, 1);
        for (let k = 0; k <= this.checkpointData[i].options.length - 1; k++) {
            this.checkpointData[i].options[k].value = k + 1;
        }
        if (j - 1 >= 0) {
            const EL = document.getElementById(type + '-' + i + '' + (j - 1));
            if (EL) {
                EL.focus();
            }
        }
        else {
            const EL = document.getElementById(type + '-' + i + '' + 0);
            if (EL) {
                EL.focus();
            }
        }
    }
    removeQuestion(index) {
        this.checkpointData.splice(index, 1);
    }
    copyQuestion(index) {
        const COPY_ARR = JSON.parse(JSON.stringify(this.checkpointData[index]));
        this.checkpointData.splice(index + 1, 0, COPY_ARR);
    }
    save() {
        if (this.validateCheckpoint() === false) {
            this.snackbar.show('Please fill in the details.', 'alert');
        }
        else {
            this.errorIndex = -1;
            this.saveCheckPoint.emit({
                checkpointInstruction: this.checkpointInstruction,
                checkpointDetails: this.checkpointData,
            });
        }
    }
    close() {
        this.closeCheckPoint.emit();
    }
    validateCheckpoint() {
        for (let i = 0; i <= this.checkpointData.length - 1; i++) {
            if (this.checkpointData[i].label.trim() === '') {
                this.errorIndex = i;
                return false;
            }
            if (this.checkpointData[i].options.length > 0) {
                for (let j = 0; j < this.checkpointData[i].options.length; j++) {
                    if (this.checkpointData[i].options[j].label.trim() === '') {
                        this.errorIndex = i;
                        return false;
                    }
                }
            }
        }
    }
    checkpointDescription(event) {
        this.checkpointInstruction = event;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsComponent, deps: [{ token: SnackBarService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckpointsComponent, selector: "app-checkpoints", inputs: { checkpointData: "checkpointData", checkpointInstruction: "checkpointInstruction" }, outputs: { closeCheckPoint: "closeCheckPoint", saveCheckPoint: "saveCheckPoint" }, ngImport: i0, template: "<!-- <p>checkpoints works!</p> -->\n<div class=\"checkpoints\" [class.animate]=\"animation\">\n    <div class=\"checkpoints-head\">\n        <h3 class=\"checkpoints-title\">Add Checkpoints</h3>\n    </div>\n    <div class=\"checkpoints-body\" [class.align-center]=\"checkpointData?.length === 0\">\n        <app-checkpoints-list *ngIf=\"checkpointData?.length === 0\" (createQuestion)=\"addQuestion($event)\" [questionTypeList]=\"questionTypeList\"></app-checkpoints-list>\n        <app-checkpoints-questions *ngIf=\"checkpointData?.length > 0\" [checkpointInstruction]=\"checkpointInstruction\" [errorIndex]='errorIndex' [checkpointData]=\"checkpointData\" [questionTypeList]=\"questionTypeList\"\n           (createQuestion)=\"addQuestion($event)\" (deleteQuestion)=\"removeQuestion($event)\" (copyQuestion)=\"copyQuestion($event)\"\n           (blankQuestion)=\"addQuestion($event.type,$event.index)\" (createOption)=\"createOption($event.questionIndex,$event.optionIndex,$event.type)\"\n           (removeOption)=\"deleteOption($event.questionIndex,$event.optionIndex,$event.type)\" (updateDescription)=\"checkpointDescription($event)\"></app-checkpoints-questions>\n    </div>\n    <div class=\"checkpoints-footer\">\n        <app-checkpoint-floating-bar [count]=\"checkpointData.length\" (saveList)=\"save()\" [pluralText]=\"'Checkpoints selected.'\" [singularText]=\"'Checkpoint selected.'\"\n        (closeList)=\"close()\" ></app-checkpoint-floating-bar>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.checkpoints{position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3;z-index:-1}.checkpoints-head{background:#fbfbfb;height:44px;padding:0 12px;display:flex;align-items:center}.checkpoints-title{color:#161b2f;font-size:14px;margin:0;padding:0;line-height:20px;font-weight:500}.checkpoints-body{padding:60px 156px;height:calc(100vh - 110px);overflow:auto}.checkpoints-body.align-center{display:flex;align-items:center;justify-content:center}.checkpoints-body::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}.checkpoints-body::-webkit-scrollbar{width:1px;height:1px;background-color:transparent;position:absolute}.checkpoints-body::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb;position:absolute}.checkpoints-footer{display:block}.checkpoints.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CheckpointsQuestionsComponent, selector: "app-checkpoints-questions", inputs: ["checkpointData", "questionTypeList", "errorIndex", "checkpointInstruction"], outputs: ["createQuestion", "deleteQuestion", "copyQuestion", "blankQuestion", "createOption", "removeOption", "updateDescription"] }, { kind: "component", type: CheckpointsListComponent, selector: "app-checkpoints-list", inputs: ["questionTypeList"], outputs: ["createQuestion"] }, { kind: "component", type: CheckpointFloatingBarComponent, selector: "app-checkpoint-floating-bar", inputs: ["count", "pluralText", "singularText", "requiredPoint", "isPolicyCheckpoint"], outputs: ["closeList", "saveList", "requiredPointChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkpoints', template: "<!-- <p>checkpoints works!</p> -->\n<div class=\"checkpoints\" [class.animate]=\"animation\">\n    <div class=\"checkpoints-head\">\n        <h3 class=\"checkpoints-title\">Add Checkpoints</h3>\n    </div>\n    <div class=\"checkpoints-body\" [class.align-center]=\"checkpointData?.length === 0\">\n        <app-checkpoints-list *ngIf=\"checkpointData?.length === 0\" (createQuestion)=\"addQuestion($event)\" [questionTypeList]=\"questionTypeList\"></app-checkpoints-list>\n        <app-checkpoints-questions *ngIf=\"checkpointData?.length > 0\" [checkpointInstruction]=\"checkpointInstruction\" [errorIndex]='errorIndex' [checkpointData]=\"checkpointData\" [questionTypeList]=\"questionTypeList\"\n           (createQuestion)=\"addQuestion($event)\" (deleteQuestion)=\"removeQuestion($event)\" (copyQuestion)=\"copyQuestion($event)\"\n           (blankQuestion)=\"addQuestion($event.type,$event.index)\" (createOption)=\"createOption($event.questionIndex,$event.optionIndex,$event.type)\"\n           (removeOption)=\"deleteOption($event.questionIndex,$event.optionIndex,$event.type)\" (updateDescription)=\"checkpointDescription($event)\"></app-checkpoints-questions>\n    </div>\n    <div class=\"checkpoints-footer\">\n        <app-checkpoint-floating-bar [count]=\"checkpointData.length\" (saveList)=\"save()\" [pluralText]=\"'Checkpoints selected.'\" [singularText]=\"'Checkpoint selected.'\"\n        (closeList)=\"close()\" ></app-checkpoint-floating-bar>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.checkpoints{position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3;z-index:-1}.checkpoints-head{background:#fbfbfb;height:44px;padding:0 12px;display:flex;align-items:center}.checkpoints-title{color:#161b2f;font-size:14px;margin:0;padding:0;line-height:20px;font-weight:500}.checkpoints-body{padding:60px 156px;height:calc(100vh - 110px);overflow:auto}.checkpoints-body.align-center{display:flex;align-items:center;justify-content:center}.checkpoints-body::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}.checkpoints-body::-webkit-scrollbar{width:1px;height:1px;background-color:transparent;position:absolute}.checkpoints-body::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb;position:absolute}.checkpoints-footer{display:block}.checkpoints.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { closeCheckPoint: [{
                type: Output
            }], saveCheckPoint: [{
                type: Output
            }], checkpointData: [{
                type: Input
            }], checkpointInstruction: [{
                type: Input
            }] } });

class ReviewFrequencyComponent {
    constructor(snackbar) {
        this.snackbar = snackbar;
        this.ASSETS = ASSETS;
        this.closeReviewFrequency = new EventEmitter();
        this.backToUserList = new EventEmitter();
        this.saveReviewFrequency = new EventEmitter();
    }
    ngOnInit() { }
    close() {
        this.backToUserList.emit();
    }
    save() {
        this.saveReviewFrequency.emit({
            completeDays: this.reviewCompleteDays,
            notCompleted: this.reviewNOtCompletedDays,
        });
    }
    onValueChange() {
        if (this.reviewCompleteDays < 1) {
            this.snackbar.show('Please enter a value greater than 0.', 'alert');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReviewFrequencyComponent, deps: [{ token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ReviewFrequencyComponent, selector: "app-review-frequency", inputs: { reviewCompleteDays: "reviewCompleteDays", reviewNOtCompletedDays: "reviewNOtCompletedDays" }, outputs: { closeReviewFrequency: "closeReviewFrequency", backToUserList: "backToUserList", saveReviewFrequency: "saveReviewFrequency" }, ngImport: i0, template: "<app-snack-bar></app-snack-bar>\n\n<div class=\"review-frequency\">\n  <div class=\"review-frequency-head vx-d-flex vx-align-center vx-pl-4 vx-pr-4\">\n    <i class=\"icons arrow vx-fs-16 vx-mr-2\" (click)=\"close()\">&#xe91d;</i>\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Review Frequency</div>\n  </div>\n  <div class=\"review-frequency-body\">\n    <div class=\"review-frequency-message\">\n      <div class=\"review-frequency-icon\">\n        <img [src]=\"ASSETS.bulb\" alt=\"\" />\n      </div>\n      <div\n        class=\"review-frequency-inner vx-fs-12 vx-paragraph-txt vx-lh-5 vx-w-100\"\n      >\n        The review period begins after the responsibility is completed. This\n        means that if a responsibility is completed on the specified due date,\n        the review will take place after the due date. In some circumstances\n        this may be fine. In others, such as a responsibility with a regulatory\n        due date, this may result in non-compliance with an external obligation.\n        Accordingly, when adding the \u201CReview\u201D option to a responsibility, it is\n        important to carefully consider the due date for a responsibility and\n        how incorporating a review of the responsibility affects when a\n        responsibility is completed.\n      </div>\n    </div>\n    <div class=\"review-frequency-body-inner vx-mt-2 vx-mb-4\">\n      <div class=\"frequency-due-date\">\n        <div class=\"frequency-due-date-item vx-mt-3\">\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n            COMPLETION WINDOW OPENS:\n          </div>\n          <div\n            class=\"frequency-due-date-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n          >\n            The responsibility can be reviewed\n            <input\n              class=\"countNum\"\n              [(ngModel)]=\"reviewCompleteDays\"\n              (focusout)=\"onValueChange()\"\n              type=\"number\"\n              onkeydown=\"return event.keyCode !== 190\"\n              min=\"0\"\n              oninput=\"this.value = Math.abs(this.value)\"\n            />\n            {{ reviewCompleteDays > 1 ? \"days\" : \"day\" }}\n            <span class=\"vx-fw-500\">after</span> it has been completed. Where\n            this occurs, this will show as the review being\n            <span class=\"completed-text vx-fw-500\">completed on time</span>.\n          </div>\n        </div>\n\n        <div class=\"frequency-due-date-item vx-mt-5\">\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n            EXTENSION:\n          </div>\n          <div\n            class=\"frequency-due-date-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n          >\n            The responsibility can be reviewed\n            <input\n              class=\"countNum\"\n              [(ngModel)]=\"reviewNOtCompletedDays\"\n              type=\"number\"\n              onkeydown=\"return event.keyCode !== 190\"\n              min=\"0\"\n              oninput=\"this.value = Math.abs(this.value)\"\n            />\n            {{ reviewNOtCompletedDays > 1 ? \"days\" : \"day\"\n            }}<span class=\"vx-fw-500\"> after</span> the review due date. Where\n            this occurs, this will show as the review being\n            <span class=\"delay-text vx-fw-500\">completed with delay</span>.\n          </div>\n        </div>\n\n        <div class=\"frequency-due-date-item vx-mt-5\">\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n            COMPLETION WINDOW CLOSES:\n          </div>\n          <div\n            class=\"frequency-due-date-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n          >\n            The responsibility cannot be reviewed\n            <span class=\"vx-fw-500 vx-label-txt vx-ml-1\">{{\n              reviewNOtCompletedDays\n            }}</span>\n            {{ reviewNOtCompletedDays > 1 ? \"days\" : \"day\"\n            }}<span class=\"vx-fw-500\"> after</span> the review due date. Where\n            this occurs, this will show as the review being\n            <span class=\"notcompleted-text vx-fw-500\">not completed</span>.\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <app-floating-bar\n    [showWorkflow]=\"false\"\n    [isDisabled]=\"reviewCompleteDays < 1 ? true : false\"\n    (closeEvent)=\"save()\"\n    (closeList)=\"closeReviewFrequency.emit()\"\n  >\n    <span class=\"name\"\n      >This responsibility needs to be reviewed within\n      <b>{{ reviewCompleteDays }}</b>\n      {{ reviewCompleteDays > 1 ? \"days\" : \"day\" }} after it has been\n      completed.</span\n    >\n  </app-floating-bar>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .review-frequency{position:fixed;top:0;right:31.25rem;bottom:0;left:0;z-index:-1}@media screen and (max-width: 1280px){::ng-deep .review-frequency{right:30px}}::ng-deep .review-frequency:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .review-frequency-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .review-frequency-head .arrow{cursor:pointer}::ng-deep .review-frequency-body{background:#fff;height:calc(100vh - 7.75rem);padding:2rem 2rem 1rem}::ng-deep .review-frequency-body-inner{height:calc(100vh - 18.75rem);overflow:hidden;overflow-y:auto}::ng-deep .review-frequency-message{position:relative}::ng-deep .review-frequency-inner{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:.25rem;padding:.5rem .5rem .5rem 1.75rem!important}::ng-deep .review-frequency-icon{background:#fff;box-shadow:1px 1px 4px #1c5bd140;border-radius:.25rem;width:2rem;height:2rem;padding:.125rem;position:absolute;left:-1rem;top:1rem}::ng-deep .review-frequency-icon img{width:100%}::ng-deep .review-frequency app-floating-bar .userGroup-floating-bar{margin:0 2rem}::ng-deep .frequency-due-date-item-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-due-date-item-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-due-date-item-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-due-date-item-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-due-date-item-box .completed-text{color:#34aa44}::ng-deep .frequency-due-date-item-box .delay-text{color:#f0b819}::ng-deep .frequency-due-date-item-box .notcompleted-text{color:#d93b41}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: SnackBarComponent, selector: "app-snack-bar" }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReviewFrequencyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-review-frequency', template: "<app-snack-bar></app-snack-bar>\n\n<div class=\"review-frequency\">\n  <div class=\"review-frequency-head vx-d-flex vx-align-center vx-pl-4 vx-pr-4\">\n    <i class=\"icons arrow vx-fs-16 vx-mr-2\" (click)=\"close()\">&#xe91d;</i>\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Review Frequency</div>\n  </div>\n  <div class=\"review-frequency-body\">\n    <div class=\"review-frequency-message\">\n      <div class=\"review-frequency-icon\">\n        <img [src]=\"ASSETS.bulb\" alt=\"\" />\n      </div>\n      <div\n        class=\"review-frequency-inner vx-fs-12 vx-paragraph-txt vx-lh-5 vx-w-100\"\n      >\n        The review period begins after the responsibility is completed. This\n        means that if a responsibility is completed on the specified due date,\n        the review will take place after the due date. In some circumstances\n        this may be fine. In others, such as a responsibility with a regulatory\n        due date, this may result in non-compliance with an external obligation.\n        Accordingly, when adding the \u201CReview\u201D option to a responsibility, it is\n        important to carefully consider the due date for a responsibility and\n        how incorporating a review of the responsibility affects when a\n        responsibility is completed.\n      </div>\n    </div>\n    <div class=\"review-frequency-body-inner vx-mt-2 vx-mb-4\">\n      <div class=\"frequency-due-date\">\n        <div class=\"frequency-due-date-item vx-mt-3\">\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n            COMPLETION WINDOW OPENS:\n          </div>\n          <div\n            class=\"frequency-due-date-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n          >\n            The responsibility can be reviewed\n            <input\n              class=\"countNum\"\n              [(ngModel)]=\"reviewCompleteDays\"\n              (focusout)=\"onValueChange()\"\n              type=\"number\"\n              onkeydown=\"return event.keyCode !== 190\"\n              min=\"0\"\n              oninput=\"this.value = Math.abs(this.value)\"\n            />\n            {{ reviewCompleteDays > 1 ? \"days\" : \"day\" }}\n            <span class=\"vx-fw-500\">after</span> it has been completed. Where\n            this occurs, this will show as the review being\n            <span class=\"completed-text vx-fw-500\">completed on time</span>.\n          </div>\n        </div>\n\n        <div class=\"frequency-due-date-item vx-mt-5\">\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n            EXTENSION:\n          </div>\n          <div\n            class=\"frequency-due-date-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n          >\n            The responsibility can be reviewed\n            <input\n              class=\"countNum\"\n              [(ngModel)]=\"reviewNOtCompletedDays\"\n              type=\"number\"\n              onkeydown=\"return event.keyCode !== 190\"\n              min=\"0\"\n              oninput=\"this.value = Math.abs(this.value)\"\n            />\n            {{ reviewNOtCompletedDays > 1 ? \"days\" : \"day\"\n            }}<span class=\"vx-fw-500\"> after</span> the review due date. Where\n            this occurs, this will show as the review being\n            <span class=\"delay-text vx-fw-500\">completed with delay</span>.\n          </div>\n        </div>\n\n        <div class=\"frequency-due-date-item vx-mt-5\">\n          <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n            COMPLETION WINDOW CLOSES:\n          </div>\n          <div\n            class=\"frequency-due-date-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n          >\n            The responsibility cannot be reviewed\n            <span class=\"vx-fw-500 vx-label-txt vx-ml-1\">{{\n              reviewNOtCompletedDays\n            }}</span>\n            {{ reviewNOtCompletedDays > 1 ? \"days\" : \"day\"\n            }}<span class=\"vx-fw-500\"> after</span> the review due date. Where\n            this occurs, this will show as the review being\n            <span class=\"notcompleted-text vx-fw-500\">not completed</span>.\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <app-floating-bar\n    [showWorkflow]=\"false\"\n    [isDisabled]=\"reviewCompleteDays < 1 ? true : false\"\n    (closeEvent)=\"save()\"\n    (closeList)=\"closeReviewFrequency.emit()\"\n  >\n    <span class=\"name\"\n      >This responsibility needs to be reviewed within\n      <b>{{ reviewCompleteDays }}</b>\n      {{ reviewCompleteDays > 1 ? \"days\" : \"day\" }} after it has been\n      completed.</span\n    >\n  </app-floating-bar>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .review-frequency{position:fixed;top:0;right:31.25rem;bottom:0;left:0;z-index:-1}@media screen and (max-width: 1280px){::ng-deep .review-frequency{right:30px}}::ng-deep .review-frequency:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .review-frequency-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .review-frequency-head .arrow{cursor:pointer}::ng-deep .review-frequency-body{background:#fff;height:calc(100vh - 7.75rem);padding:2rem 2rem 1rem}::ng-deep .review-frequency-body-inner{height:calc(100vh - 18.75rem);overflow:hidden;overflow-y:auto}::ng-deep .review-frequency-message{position:relative}::ng-deep .review-frequency-inner{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:.25rem;padding:.5rem .5rem .5rem 1.75rem!important}::ng-deep .review-frequency-icon{background:#fff;box-shadow:1px 1px 4px #1c5bd140;border-radius:.25rem;width:2rem;height:2rem;padding:.125rem;position:absolute;left:-1rem;top:1rem}::ng-deep .review-frequency-icon img{width:100%}::ng-deep .review-frequency app-floating-bar .userGroup-floating-bar{margin:0 2rem}::ng-deep .frequency-due-date-item-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-due-date-item-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-due-date-item-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-due-date-item-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-due-date-item-box .completed-text{color:#34aa44}::ng-deep .frequency-due-date-item-box .delay-text{color:#f0b819}::ng-deep .frequency-due-date-item-box .notcompleted-text{color:#d93b41}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }]; }, propDecorators: { reviewCompleteDays: [{
                type: Input
            }], reviewNOtCompletedDays: [{
                type: Input
            }], closeReviewFrequency: [{
                type: Output
            }], backToUserList: [{
                type: Output
            }], saveReviewFrequency: [{
                type: Output
            }] } });

class FrequencyTopComponent {
    constructor() {
        this.occurrenceFirst = 0;
        this.id = 0; // 0 = Daily, 1: weekly, 5: Annually
        this.inputTime = DEFAULT_TIME;
        this.frequencyType = 0; // 0 = days, 1 = weeks & 2 = years
        this.yearlyDay = new Date().getDate();
        this.valueChangedFirst = new EventEmitter();
        this.nextDisable = new EventEmitter();
        this.timeChanged = new EventEmitter();
        this.yearlyDateChanged = new EventEmitter();
        this.mode = '';
        this.DEFAULT_TIME = DEFAULT_TIME;
        this.todayDate = new Date();
        this.dateObjectData = new Date();
        this.timeData = DEFAULT_TIME;
    }
    ngOnInit() { }
    enterValueFirst(event, actionType) {
        if (this.id !== 0 && this.id !== 1 && this.id !== 5) {
            this.enterValue(this.occurrenceFirst, actionType);
            return;
        }
        if (!Number.isNaN(Number(this.occurrenceFirst)) &&
            this.occurrenceFirst !== 0 &&
            Number(this.occurrenceFirst) > 0) {
            this.occurrenceFirst = Number(this.occurrenceFirst);
            this.valueChangedFirst.emit({
                type: actionType,
                value: Number(this.occurrenceFirst),
                pageName: '',
            });
        }
        else {
            this.occurrenceFirst = 1;
        }
    }
    enterValue(event, actionType) {
        if (!Number.isNaN(Number(event)) &&
            event !== 0 &&
            Number(event) > 0 &&
            Number(event) < 32) {
            this.occurrenceFirst = Number(event);
            this.valueChangedFirst.emit({
                type: actionType,
                value: Number(event),
                pageName: '',
            });
        }
        else {
            this.occurrenceFirst = new Date().getDate();
        }
    }
    getToday() {
        return moment$1(Date.now()).format('YYYY-MM-DD HH:mm:ss')?.split(' ')[0];
    }
    onTimeChanged(event) {
        try {
            this.timeData = event;
            if (typeof this.dateObjectData == 'object') {
                this.dateObjectData = moment$1(this.dateObjectData)?.toDate();
            }
            let timeStamp = moment$1(this.dateObjectData.getDate() +
                '-' +
                (this.dateObjectData.getMonth() + 1) +
                '-' +
                this.dateObjectData.getFullYear() +
                ' ' +
                this.timeData, 'DD-MM-YYYY hh:mm a').unix();
            if (Date.now() / 1000 > timeStamp) {
                this.nextDisable.emit(true);
            }
            else {
                this.nextDisable.emit(false);
            }
            this.timeChanged.emit(event);
        }
        catch (e) {
            console.error(e);
        }
    }
    enterYearDay(event) {
        if (!Number.isNaN(Number(this.yearlyDay)) &&
            this.yearlyDay !== 0 &&
            Number(this.yearlyDay) > 0 &&
            Number(this.yearlyDay) < 32) {
            this.yearlyDateChanged.emit(this.yearlyDay);
        }
        else {
            this.yearlyDay = new Date().getDate();
        }
    }
    timeSelection(event) {
        const selectedValue = event.selectedValue;
        this.onTimeChanged(selectedValue);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyTopComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyTopComponent, selector: "app-frequency-top", inputs: { occurrenceFirst: "occurrenceFirst", id: "id", inputTime: "inputTime", frequencyType: "frequencyType", yearlyDay: "yearlyDay", mode: "mode" }, outputs: { valueChangedFirst: "valueChangedFirst", nextDisable: "nextDisable", timeChanged: "timeChanged", yearlyDateChanged: "yearlyDateChanged" }, ngImport: i0, template: "<div *ngIf=\"mode !== 'policy'\" class=\"frequency-top\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-top-box vx-p-3 vx-d-flex vx-align-center\">\n    <div class=\"vx-fs-13 vx-paragraph-txt\">\n      {{ id === 0 || id === 1 || id === 5 ? \"Every\" : \"Day\" }}\n    </div>\n    <input\n      type=\"number\"\n      [id]=\"'occurrence' + id\"\n      [(ngModel)]=\"occurrenceFirst\"\n      class=\"countNum\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n      (focusout)=\"enterValueFirst($event, 'occurrenceFirst')\"\n    />\n    <div *ngIf=\"frequencyType === 0\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"days\" : \"day\" }} by\n    </div>\n    <div *ngIf=\"frequencyType === 1\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"weeks\" : \"week\" }} by\n    </div>\n    <div\n      *ngIf=\"id !== 0 && id !== 1 && id !== 5\"\n      class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\"\n    >\n      by\n    </div>\n\n    <ng-container *ngIf=\"frequencyType === 2\">\n      <div class=\"vx-fs-13 vx-paragraph-txt\">\n        {{ occurrenceFirst > 1 ? \"years\" : \"year\" }} on day\n      </div>\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'occurrence-day' + id\"\n        [(ngModel)]=\"yearlyDay\"\n        (focusout)=\"enterYearDay($event)\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      <div class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">by</div>\n    </ng-container>\n\n    <div class=\"time-picker-group vx-d-flex\">\n      <div\n        class=\"time-field\"\n        appPopover\n        (click)=\"timePicker.popover()\"\n        placement=\"right\"\n      >\n        <input class=\"input\" [placeholder]=\"inputTime\" readonly />\n        <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n        </div>\n      </div>\n      <app-popover #timePicker [dontCloseonClick]=\"true\">\n        <app-time-picker\n          [time]=\"inputTime\"\n          (onTimeSelection)=\"\n            timeSelection($event); timePicker.closePopover('top')\n          \"\n        ></app-time-picker>\n      </app-popover>\n    </div>\n  </div>\n</div>\n\n<!-- For Policy -->\n\n<div *ngIf=\"mode === 'policy'\" class=\"frequency-top\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-top-box vx-p-3 vx-d-flex vx-align-center\">\n    <div class=\"vx-fs-13 vx-paragraph-txt\">\n      {{ id === 0 || id === 1 || id === 5 ? \"Every\" : \"Day\" }}\n    </div>\n    <input\n      type=\"number\"\n      [id]=\"'occurrence' + id\"\n      [(ngModel)]=\"occurrenceFirst\"\n      class=\"countNum\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n      (focusout)=\"enterValueFirst($event, 'occurrenceFirst')\"\n    />\n    <div *ngIf=\"frequencyType === 0\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"days\" : \"day\" }} by\n    </div>\n    <div *ngIf=\"frequencyType === 1\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"weeks\" : \"week\" }} by\n    </div>\n    <div\n      *ngIf=\"id !== 0 && id !== 1 && id !== 5\"\n      class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\"\n    >\n      by\n    </div>\n\n    <ng-container *ngIf=\"frequencyType === 2\">\n      <div class=\"vx-fs-13 vx-paragraph-txt\">\n        {{ occurrenceFirst > 1 ? \"years\" : \"year\" }} on day\n      </div>\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'occurrence-day' + id\"\n        [(ngModel)]=\"yearlyDay\"\n        (focusout)=\"enterYearDay($event)\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      <div class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">by</div>\n    </ng-container>\n\n    <div class=\"time-picker-group vx-d-flex\">\n      <div\n        class=\"time-field\"\n        appPopover\n        (click)=\"policyTimePicker.popover()\"\n        placement=\"right\"\n      >\n        <input\n          class=\"input\"\n          type=\"text\"\n          [id]=\"'time-picker-input-top' + id\"\n          [(ngModel)]=\"inputTime\"\n          readonly\n          placeholder=\"Select Time\"\n        />\n        <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n        </div>\n      </div>\n      <app-popover #policyTimePicker [dontCloseonClick]=\"true\">\n        <app-time-picker\n          [time]=\"inputTime\"\n          (onTimeSelection)=\"\n            timeSelection($event); policyTimePicker.closePopover('top')\n          \"\n        ></app-time-picker>\n      </app-popover>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-top-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-top-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-top-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-top-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-top-box .time-picker-group{background:#fff;border-radius:.25rem;display:flex;position:relative}::ng-deep .frequency-top-box .time-picker-group input{background:transparent;border-radius:.25rem;border:1px solid #DBDBDB;color:#747576;font-size:13px;font-weight:400;width:6.25rem;padding:0 .75rem;margin:0;height:2rem;outline:none;position:relative;z-index:1;text-transform:uppercase;cursor:pointer}::ng-deep .frequency-top-box .time-picker-group input::placeholder{color:#747576}::ng-deep .frequency-top-box .time-picker-group .time-field{position:relative;cursor:pointer}::ng-deep .frequency-top-box .time-picker-group .time-field .clock-icon{height:2rem;width:.75rem;position:absolute;right:.75rem;top:0}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: TimePickerComponent, selector: "app-time-picker", inputs: ["time"], outputs: ["onTimeSelection"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyTopComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-top', template: "<div *ngIf=\"mode !== 'policy'\" class=\"frequency-top\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-top-box vx-p-3 vx-d-flex vx-align-center\">\n    <div class=\"vx-fs-13 vx-paragraph-txt\">\n      {{ id === 0 || id === 1 || id === 5 ? \"Every\" : \"Day\" }}\n    </div>\n    <input\n      type=\"number\"\n      [id]=\"'occurrence' + id\"\n      [(ngModel)]=\"occurrenceFirst\"\n      class=\"countNum\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n      (focusout)=\"enterValueFirst($event, 'occurrenceFirst')\"\n    />\n    <div *ngIf=\"frequencyType === 0\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"days\" : \"day\" }} by\n    </div>\n    <div *ngIf=\"frequencyType === 1\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"weeks\" : \"week\" }} by\n    </div>\n    <div\n      *ngIf=\"id !== 0 && id !== 1 && id !== 5\"\n      class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\"\n    >\n      by\n    </div>\n\n    <ng-container *ngIf=\"frequencyType === 2\">\n      <div class=\"vx-fs-13 vx-paragraph-txt\">\n        {{ occurrenceFirst > 1 ? \"years\" : \"year\" }} on day\n      </div>\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'occurrence-day' + id\"\n        [(ngModel)]=\"yearlyDay\"\n        (focusout)=\"enterYearDay($event)\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      <div class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">by</div>\n    </ng-container>\n\n    <div class=\"time-picker-group vx-d-flex\">\n      <div\n        class=\"time-field\"\n        appPopover\n        (click)=\"timePicker.popover()\"\n        placement=\"right\"\n      >\n        <input class=\"input\" [placeholder]=\"inputTime\" readonly />\n        <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n        </div>\n      </div>\n      <app-popover #timePicker [dontCloseonClick]=\"true\">\n        <app-time-picker\n          [time]=\"inputTime\"\n          (onTimeSelection)=\"\n            timeSelection($event); timePicker.closePopover('top')\n          \"\n        ></app-time-picker>\n      </app-popover>\n    </div>\n  </div>\n</div>\n\n<!-- For Policy -->\n\n<div *ngIf=\"mode === 'policy'\" class=\"frequency-top\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-top-box vx-p-3 vx-d-flex vx-align-center\">\n    <div class=\"vx-fs-13 vx-paragraph-txt\">\n      {{ id === 0 || id === 1 || id === 5 ? \"Every\" : \"Day\" }}\n    </div>\n    <input\n      type=\"number\"\n      [id]=\"'occurrence' + id\"\n      [(ngModel)]=\"occurrenceFirst\"\n      class=\"countNum\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n      (focusout)=\"enterValueFirst($event, 'occurrenceFirst')\"\n    />\n    <div *ngIf=\"frequencyType === 0\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"days\" : \"day\" }} by\n    </div>\n    <div *ngIf=\"frequencyType === 1\" class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">\n      {{ occurrenceFirst > 1 ? \"weeks\" : \"week\" }} by\n    </div>\n    <div\n      *ngIf=\"id !== 0 && id !== 1 && id !== 5\"\n      class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\"\n    >\n      by\n    </div>\n\n    <ng-container *ngIf=\"frequencyType === 2\">\n      <div class=\"vx-fs-13 vx-paragraph-txt\">\n        {{ occurrenceFirst > 1 ? \"years\" : \"year\" }} on day\n      </div>\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'occurrence-day' + id\"\n        [(ngModel)]=\"yearlyDay\"\n        (focusout)=\"enterYearDay($event)\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      <div class=\"vx-fs-13 vx-paragraph-txt vx-mr-3\">by</div>\n    </ng-container>\n\n    <div class=\"time-picker-group vx-d-flex\">\n      <div\n        class=\"time-field\"\n        appPopover\n        (click)=\"policyTimePicker.popover()\"\n        placement=\"right\"\n      >\n        <input\n          class=\"input\"\n          type=\"text\"\n          [id]=\"'time-picker-input-top' + id\"\n          [(ngModel)]=\"inputTime\"\n          readonly\n          placeholder=\"Select Time\"\n        />\n        <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n        </div>\n      </div>\n      <app-popover #policyTimePicker [dontCloseonClick]=\"true\">\n        <app-time-picker\n          [time]=\"inputTime\"\n          (onTimeSelection)=\"\n            timeSelection($event); policyTimePicker.closePopover('top')\n          \"\n        ></app-time-picker>\n      </app-popover>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-top-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-top-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-top-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-top-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-top-box .time-picker-group{background:#fff;border-radius:.25rem;display:flex;position:relative}::ng-deep .frequency-top-box .time-picker-group input{background:transparent;border-radius:.25rem;border:1px solid #DBDBDB;color:#747576;font-size:13px;font-weight:400;width:6.25rem;padding:0 .75rem;margin:0;height:2rem;outline:none;position:relative;z-index:1;text-transform:uppercase;cursor:pointer}::ng-deep .frequency-top-box .time-picker-group input::placeholder{color:#747576}::ng-deep .frequency-top-box .time-picker-group .time-field{position:relative;cursor:pointer}::ng-deep .frequency-top-box .time-picker-group .time-field .clock-icon{height:2rem;width:.75rem;position:absolute;right:.75rem;top:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { occurrenceFirst: [{
                type: Input
            }], id: [{
                type: Input
            }], inputTime: [{
                type: Input
            }], frequencyType: [{
                type: Input
            }], yearlyDay: [{
                type: Input
            }], valueChangedFirst: [{
                type: Output
            }], nextDisable: [{
                type: Output
            }], timeChanged: [{
                type: Output
            }], yearlyDateChanged: [{
                type: Output
            }], mode: [{
                type: Input
            }] } });

const lifecycleText = {
    responsibility: {
        header: 'SET A LIFECYCLE FOR THIS RESPONSIBILITY:',
    },
    policy: {
        header: 'SPECIFY A START DATE:',
    },
    reviewerFrequency: {
        header: 'SPECIFY A START DATE:',
    },
};

class FrequencyLifecycleComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.datePickerOverlay = false;
        this.showDateError = false;
        this.startDateUnix = Date.now();
        // All input variable
        this.startDate = new Date();
        this.endDate = moment$1(new Date(this.startDate).getTime() + 86400000);
        this.occurrance = 10;
        this.selectedLifecycleType = 2; // 0 = End by ,  End After, 2 = perpetual
        this.id = 0;
        //  lifecycle output
        this.selectedOccurance = new EventEmitter();
        this.openedDatePicker = '';
    }
    ngOnInit() {
        this.textDetails = lifecycleText[this.mode];
        this.startDateConfig = Object.assign({
            ...this.frequencyService.dateConfig,
        });
        this.endDateConfig = Object.assign({ ...this.frequencyService.dateConfig });
        this.startDateConfig['min'] = this.frequencyService.formatDate();
        //this.startDateUnix = this.startDate.getDate().toString()
        this.endDateConfig['min'] = moment$1(new Date(new Date(this.startDate).getTime() + 86400000));
        this.getEndDate(this.startDate);
        this.changeEndDateObj(this.endDate);
    }
    getEndDate(event) {
        const time = moment$1(this.endDate).format('DD-MM-YYYY HH:mm:ss');
        const getUnixTime = moment$1(time.split(' ')[0] + ' 00:00:00', 'DD-MM-YYYY HH:mm:ss').unix();
        this.startDateUnix = moment$1(event).unix();
        if (this.startDateUnix >= getUnixTime) {
            this.endDate = moment$1(new Date(this.startDate).getTime() + 86400000);
        }
        else {
            this.endDate = moment$1(this.endDate);
        }
    }
    changeEndDateObj(date) {
        this.endDateObject = new Date(moment$1(date).unix() * 1000);
        this.selectedEndDate = moment$1(this.endDate).unix();
    }
    ngOnChanges(change) {
        this.endBy = moment$1(this.endDate)
            .format('DD-MMMM-YYYYTHH:mm:ssZ')
            .split('T')[0];
    }
    openDatePicker() {
        const newDate = dayjs(this.startDate);
        this.startDatePicker?.api?.open();
        this.startDatePicker?.api?.moveCalendarTo(newDate);
        this.datePickerOverlay = true;
        this.openedDatePicker = 'START_DATE';
    }
    openDatePicker1() {
        const newDate = moment$1(this.endDate);
        this.endDatePicker?.api?.open();
        this.endDatePicker?.api?.moveCalendarTo(this.endDate);
        this.openedDatePicker = 'END_DATE';
        this.datePickerOverlay = true;
    }
    closeDatepicker() {
        this.startDatePicker?.api?.close();
        this.endDatePicker?.api?.close();
        this.datePickerOverlay = false;
    }
    // lifecycle type
    typeSelected(event) {
        this.selectedLifecycleType = event;
        this.selectedOccurance.emit({
            type: event,
            endsBy: this.endBy,
            endafter: this.occurrance,
            startFrom: this.startDateUnix,
        });
        return this.selectedLifecycleType;
    }
    // ends after selection
    endsAfter(event) {
        if (!Number.isNaN(Number(this.occurrance)) &&
            this.occurrance !== 0 &&
            Number(this.occurrance) > 0) {
            this.selectedOccurance.emit({
                type: this.selectedLifecycleType,
                endsBy: this.endBy,
                endafter: this.occurrance,
                startFrom: this.startDateUnix,
            });
        }
        else {
            this.occurrance = 10;
        }
        return this.occurrance;
    }
    // End by change
    endByChange(event) {
        this.endDatePicker?.api?.open();
        this.datePickerOverlay = true;
        this.endDate = event?.date?.$d;
        this.selectedEndDate = moment$1(this.endDate).unix();
        this.changeEndDateObj(this.endDate);
        this.endBy = moment$1(event?.date?.$d).format('DD-MMMM-YYYY');
        const dateObject = {
            type: this.selectedLifecycleType,
            endsBy: this.endBy,
            endafter: this.occurrance,
            startFrom: this.startDateUnix,
        };
        this.selectedOccurance.emit(dateObject);
    }
    // start from change event
    startFromChange(event) {
        this.startDateUnix = moment$1(event?.date?.$d).unix();
        if (this.startDateUnix >= this.selectedEndDate) {
            this.endDate = moment$1(this.startDateUnix * 1000 + 86400000);
            this.changeEndDateObj(this.endDate);
            this.endBy = moment$1(this.endDate)
                .format('DD-MMMM-YYYYTHH:mm:ssZ')
                .split('T')[0];
        }
        this.endDateConfig['min'] = Object.assign(moment$1(new Date(new Date(event?.date?.$d).getTime() + 86400000)));
        this.selectedOccurance.emit({
            type: this.selectedLifecycleType,
            endsBy: this.endBy,
            endafter: this.occurrance,
            startFrom: this.startDateUnix,
        });
    }
    documentClick(event) {
        const targetElement = event?.target;
        const fromDateInputElement = document.getElementById(this.openedDatePicker.toLowerCase()) || null;
        const datePickerCalendarContainer = document.getElementsByClassName('dp-day-calendar-container')[0];
        const monthYearElement = document.querySelector('.dp-month-calendar-container');
        const isNotMonthYearElement = !monthYearElement?.contains(targetElement);
        const openedElement = this.openedDatePicker === 'START_DATE'
            ? this.startDatePickerPopup
            : this.endDatePickerPopup;
        const isOutsideFromDateInput = !openedElement?.nativeElement?.contains(targetElement);
        const isNotFromDateElement = event?.target !== fromDateInputElement;
        const isNotInsideCalendar = !datePickerCalendarContainer?.contains(targetElement);
        const selectedDatePicker = this.openedDatePicker === 'START_DATE'
            ? this.startDatePicker
            : this.endDatePicker;
        const isNotCalendarMonth = !targetElement.className.includes('dp-calendar-month');
        if (isOutsideFromDateInput &&
            isNotFromDateElement &&
            isNotInsideCalendar &&
            isNotCalendarMonth &&
            isNotMonthYearElement &&
            datePickerCalendarContainer) {
            this.documentClickListener(event?.target, openedElement, selectedDatePicker);
        }
    }
    documentClickListener(target, openedElements, selectedDatePicker) {
        if (!openedElements?.nativeElement?.contains(target) &&
            selectedDatePicker?.areCalendarsShown) {
            selectedDatePicker?.api?.close();
            this.datePickerOverlay = false;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyLifecycleComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: { startDate: "startDate", endDate: "endDate", endBy: "endBy", occurrance: "occurrance", selectedLifecycleType: "selectedLifecycleType", id: "id", mode: "mode" }, outputs: { selectedOccurance: "selectedOccurance" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "startDatePicker", first: true, predicate: ["startDatePicker"], descendants: true }, { propertyName: "endDatePicker", first: true, predicate: ["endDatePicker"], descendants: true }, { propertyName: "startDatePickerPopup", first: true, predicate: ["startDatePicker"], descendants: true, read: ElementRef }, { propertyName: "endDatePickerPopup", first: true, predicate: ["endDatePicker"], descendants: true, read: ElementRef }], usesOnChanges: true, ngImport: i0, template: "<div class=\"frequency-lifecycle-responsibility vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    {{ textDetails?.header }}\n  </div>\n  <div\n    class=\"frequency-lifecycle-responsibility-inner vx-p-3 vx-pt-2 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div\n      class=\"frequency-lifecycle-responsibility-item\"\n      [class.with-policy]=\"mode === 'policy' || mode === 'reviewerFrequency'\"\n    >\n      <div class=\"vx-d-block\">\n        <div\n          *ngIf=\"mode === 'responsibility'\"\n          class=\"heading vx-fs-12 vx-label-txt vx-mb-1\"\n        >\n          Starts From\n        </div>\n        <div class=\"lifecycle-box vx-d-flex vx-align-center vx-p-2\">\n          <i class=\"icons vx-fs-16 vx-paragraph-txt vx-mr-3\">&#xe996;</i>\n          <input\n            class=\"start-date-input\"\n            type=\"text\"\n            [value]=\"startDate | date : 'dd MMM yyyy'\"\n            [placeholder]=\"startDate | date : 'dd MMM yyyy'\"\n            readonly\n            (click)=\"openDatePicker(); datePickerOverlay = true\"\n            id=\"start_date\"\n          />\n        </div>\n      </div>\n    </div>\n    <div\n      *ngIf=\"mode === 'responsibility'\"\n      class=\"frequency-lifecycle-responsibility-item\"\n    >\n      <div class=\"item-inner vx-d-block\">\n        <div class=\"heading vx-fs-12 vx-label-txt vx-mb-1\">Ends By</div>\n        <app-cs-radio\n          [checked]=\"selectedLifecycleType == 0\"\n          (checkedEvent)=\"typeSelected(0)\"\n        >\n          <div class=\"date-field\">\n            <i class=\"icons calendar-icon vx-fs-16 vx-paragraph-txt\"\n              >&#xe92d;</i\n            >\n            <input\n              type=\"text\"\n              [value]=\"endDateObject | date : 'dd MMM yyyy'\"\n              [placeholder]=\"endDateObject | date : 'dd MMM yyyy'\"\n              readonly\n              (click)=\"openDatePicker1(); datePickerOverlay = true\"\n              id=\"end_date\"\n            />\n          </div>\n        </app-cs-radio>\n      </div>\n    </div>\n    <div\n      *ngIf=\"mode === 'responsibility'\"\n      class=\"frequency-lifecycle-responsibility-item\"\n    >\n      <div class=\"item-inner vx-d-block\">\n        <div class=\"heading vx-fs-12 vx-label-txt vx-mb-1\">Ends After</div>\n        <app-cs-radio\n          [checked]=\"selectedLifecycleType == 1\"\n          (checkedEvent)=\"typeSelected(1)\"\n        >\n          <input\n            class=\"input-field\"\n            type=\"number\"\n            [(ngModel)]=\"occurrance\"\n            (focusout)=\"endsAfter($event)\"\n            onkeydown=\"return event.keyCode !== 190\"\n            min=\"0\"\n            oninput=\"this.value = Math.abs(this.value)\"\n          />\n          <span class=\"vx-fs-11 vx-paragraph-txt vx-ml-2\">Occurrences</span>\n        </app-cs-radio>\n      </div>\n    </div>\n    <div\n      *ngIf=\"mode === 'responsibility'\"\n      class=\"frequency-lifecycle-responsibility-item\"\n    >\n      <div class=\"item-inner vx-d-block\">\n        <div class=\"heading vx-fs-12 vx-label-txt vx-mb-1\">Ongoing</div>\n        <app-cs-radio\n          [checked]=\"selectedLifecycleType == 2\"\n          (checkedEvent)=\"typeSelected(2)\"\n        >\n          <span class=\"vx-fs-11 vx-paragraph-txt vx-ml-2\"\n            >The responsibility will perpetually exist.</span\n          >\n        </app-cs-radio>\n      </div>\n    </div>\n  </div>\n</div>\n\n<!-- start date date picker -->\n<dp-date-picker\n  #startDatePicker\n  [id]=\"'start-date-' + id\"\n  [placeholder]=\"startDate | date : 'dd MMM yyyy'\"\n  [(ngModel)]=\"startDate\"\n  [config]=\"startDateConfig\"\n  (onSelect)=\"\n    openDatePicker();\n    startFromChange($event);\n    showDateError = false;\n    datePickerOverlay = false\n  \"\n></dp-date-picker>\n<div\n  class=\"vx-overlay\"\n  (click)=\"closeDatepicker()\"\n  *ngIf=\"datePickerOverlay\"\n></div>\n\n<!-- end date date picker -->\n<dp-date-picker\n  #endDatePicker\n  [(ngModel)]=\"endDate\"\n  [placeholder]=\"endDateObject | date : 'dd MMM yyyy'\"\n  [id]=\"'end-by-input-' + id\"\n  [config]=\"endDateConfig\"\n  [minDate]=\"endDateConfig['min']\"\n  (onSelect)=\"\n    endByChange($event); showDateError = false; datePickerOverlay = false\n  \"\n></dp-date-picker>\n<div\n  class=\"vx-overlay\"\n  (click)=\"closeDatepicker()\"\n  *ngIf=\"datePickerOverlay\"\n></div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .frequency-lifecycle-responsibility-inner{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-lifecycle-responsibility-inner mat-radio-group{display:flex;justify-content:space-between}::ng-deep .frequency-lifecycle-responsibility-item{position:relative;height:3.375rem}::ng-deep .frequency-lifecycle-responsibility-item.with-policy{height:unset;margin-top:.25rem}::ng-deep .frequency-lifecycle-responsibility-item:first-of-type{width:8.5rem}::ng-deep .frequency-lifecycle-responsibility-item:first-of-type label:after,::ng-deep .frequency-lifecycle-responsibility-item:first-of-type label:before{display:none}::ng-deep .frequency-lifecycle-responsibility-item:first-of-type label .heading{padding-left:0}::ng-deep .frequency-lifecycle-responsibility-item:nth-child(2){width:8.5rem}::ng-deep .frequency-lifecycle-responsibility-item:nth-child(3){width:11.25rem}::ng-deep .frequency-lifecycle-responsibility-item:last-of-type{width:14.25rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner{position:relative}::ng-deep .frequency-lifecycle-responsibility-item .item-inner .heading{padding-left:1.75rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio{position:absolute;top:0;left:0;width:100%;height:3.375rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item{width:100%;position:relative}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .radio{position:absolute;top:-17px;left:0;width:1rem;height:1rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .radiomark{position:absolute;top:2px;left:0;width:1rem;height:1rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;width:calc(100% + 1rem);max-width:100%!important;height:2rem;cursor:pointer;text-transform:none;margin:22px 0 0 -1rem!important}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value .date-field{display:flex;align-items:center;position:relative;width:100%;height:100%;pointer-events:none}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value .date-field .calendar-icon{position:absolute;top:7px;left:.5rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value .date-field input{background:transparent;border-radius:0;border:none;color:#747576;font-size:11px;width:100%;height:1.875rem;padding:0 .5rem 0 2.25rem;position:absolute;top:0;left:0;cursor:pointer}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item input:checked~span.value{pointer-events:auto;margin:22px 0 0!important}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item input:checked~span.value .date-field,::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item input:checked~span.value .input-field{pointer-events:auto!important}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .input-field{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#747576;display:inline-block;font-size:13px;text-align:center;width:2.75rem;height:1.25rem;padding:0 .125rem;margin:0 .5rem;outline:none;pointer-events:none}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .input-field::-webkit-inner-spin-button,::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .input-field::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-lifecycle-responsibility-item .lifecycle-box{border-radius:.25rem;border:1px solid #dbdbdb;height:2rem;position:relative;cursor:pointer}::ng-deep .frequency-lifecycle-responsibility-item .lifecycle-box .start-date-input{background:transparent;border-radius:0;border:none;color:#747576;font-size:11px;width:100%;outline:none;cursor:pointer}::ng-deep .frequency-lifecycle{border-top:1px solid #f1f1f1}::ng-deep .frequency-lifecycle-head{background:#fbfbfb;padding:8px 20px}::ng-deep .frequency-lifecycle-title{margin:0;padding:0;font-size:12px;line-height:16px;color:#747576;text-transform:uppercase}::ng-deep .frequency-lifecycle-body{padding:10px 20px;display:flex}::ng-deep .frequency-lifecycle-body .column{width:25%;padding:0;position:relative}::ng-deep .frequency-lifecycle-body .column label.text{color:#747576;font-size:11px;text-transform:uppercase;margin:0 0 4px;font-weight:500;line-height:16px;display:block}::ng-deep .frequency-lifecycle-body .column+.column{padding-left:28px}::ng-deep .frequency-lifecycle-body .column:first-child{width:20%}::ng-deep .frequency-lifecycle-body .column:last-child{width:30%}::ng-deep .frequency-lifecycle-body .column .block,::ng-deep .frequency-lifecycle-body .column span.value{display:flex;font-size:13px;color:#747576;border:1px solid #f1f1f1;border-radius:2px;padding:0 4px 0 16px;box-sizing:border-box;min-height:48px;justify-content:center;align-items:center;background:#fff;cursor:pointer;text-transform:none;margin:0!important}::ng-deep .frequency-lifecycle-body .column .block .date-picker,::ng-deep .frequency-lifecycle-body .column span.value .date-picker{display:flex;align-items:center;position:relative}::ng-deep .frequency-lifecycle-body .column .block .date-picker i,::ng-deep .frequency-lifecycle-body .column span.value .date-picker i{font-size:16px;margin-right:8px}::ng-deep .frequency-lifecycle-body .column .block .date-picker input,::ng-deep .frequency-lifecycle-body .column span.value .date-picker input{border:none;outline:none;width:100%;background:transparent;font-size:12px;cursor:pointer;line-height:40px}::ng-deep .frequency-lifecycle-body .column .block.active,::ng-deep .frequency-lifecycle-body .column span.value.active{border:1px solid #97d2a0;background:#d6f2da}::ng-deep .frequency-lifecycle-body .column app-cs-radio{display:flex}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item span.radio,::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item svg{position:absolute;top:14px;left:-10px;height:20px;width:20px}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item span.value{max-width:100%;pointer-events:none;font-size:13px;color:#747576;width:100%}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input:checked~span.value{pointer-events:auto;border:1px solid #97d2a0;background:#d6f2da}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input.day{-moz-appearance:textfield;border:none;width:40px;padding:4px;text-align:center;border-bottom:2px solid #dcdcdc;line-height:26px;color:#161b2f;font-weight:400;outline:none;background:transparent;margin:0 4px 0 0;font-size:13px}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input.day::-webkit-outer-spin-button,::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input.day::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item span{font-size:13px;color:#747576}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-26px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0!important;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyLifecycleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-lifecycle', template: "<div class=\"frequency-lifecycle-responsibility vx-mt-5\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    {{ textDetails?.header }}\n  </div>\n  <div\n    class=\"frequency-lifecycle-responsibility-inner vx-p-3 vx-pt-2 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div\n      class=\"frequency-lifecycle-responsibility-item\"\n      [class.with-policy]=\"mode === 'policy' || mode === 'reviewerFrequency'\"\n    >\n      <div class=\"vx-d-block\">\n        <div\n          *ngIf=\"mode === 'responsibility'\"\n          class=\"heading vx-fs-12 vx-label-txt vx-mb-1\"\n        >\n          Starts From\n        </div>\n        <div class=\"lifecycle-box vx-d-flex vx-align-center vx-p-2\">\n          <i class=\"icons vx-fs-16 vx-paragraph-txt vx-mr-3\">&#xe996;</i>\n          <input\n            class=\"start-date-input\"\n            type=\"text\"\n            [value]=\"startDate | date : 'dd MMM yyyy'\"\n            [placeholder]=\"startDate | date : 'dd MMM yyyy'\"\n            readonly\n            (click)=\"openDatePicker(); datePickerOverlay = true\"\n            id=\"start_date\"\n          />\n        </div>\n      </div>\n    </div>\n    <div\n      *ngIf=\"mode === 'responsibility'\"\n      class=\"frequency-lifecycle-responsibility-item\"\n    >\n      <div class=\"item-inner vx-d-block\">\n        <div class=\"heading vx-fs-12 vx-label-txt vx-mb-1\">Ends By</div>\n        <app-cs-radio\n          [checked]=\"selectedLifecycleType == 0\"\n          (checkedEvent)=\"typeSelected(0)\"\n        >\n          <div class=\"date-field\">\n            <i class=\"icons calendar-icon vx-fs-16 vx-paragraph-txt\"\n              >&#xe92d;</i\n            >\n            <input\n              type=\"text\"\n              [value]=\"endDateObject | date : 'dd MMM yyyy'\"\n              [placeholder]=\"endDateObject | date : 'dd MMM yyyy'\"\n              readonly\n              (click)=\"openDatePicker1(); datePickerOverlay = true\"\n              id=\"end_date\"\n            />\n          </div>\n        </app-cs-radio>\n      </div>\n    </div>\n    <div\n      *ngIf=\"mode === 'responsibility'\"\n      class=\"frequency-lifecycle-responsibility-item\"\n    >\n      <div class=\"item-inner vx-d-block\">\n        <div class=\"heading vx-fs-12 vx-label-txt vx-mb-1\">Ends After</div>\n        <app-cs-radio\n          [checked]=\"selectedLifecycleType == 1\"\n          (checkedEvent)=\"typeSelected(1)\"\n        >\n          <input\n            class=\"input-field\"\n            type=\"number\"\n            [(ngModel)]=\"occurrance\"\n            (focusout)=\"endsAfter($event)\"\n            onkeydown=\"return event.keyCode !== 190\"\n            min=\"0\"\n            oninput=\"this.value = Math.abs(this.value)\"\n          />\n          <span class=\"vx-fs-11 vx-paragraph-txt vx-ml-2\">Occurrences</span>\n        </app-cs-radio>\n      </div>\n    </div>\n    <div\n      *ngIf=\"mode === 'responsibility'\"\n      class=\"frequency-lifecycle-responsibility-item\"\n    >\n      <div class=\"item-inner vx-d-block\">\n        <div class=\"heading vx-fs-12 vx-label-txt vx-mb-1\">Ongoing</div>\n        <app-cs-radio\n          [checked]=\"selectedLifecycleType == 2\"\n          (checkedEvent)=\"typeSelected(2)\"\n        >\n          <span class=\"vx-fs-11 vx-paragraph-txt vx-ml-2\"\n            >The responsibility will perpetually exist.</span\n          >\n        </app-cs-radio>\n      </div>\n    </div>\n  </div>\n</div>\n\n<!-- start date date picker -->\n<dp-date-picker\n  #startDatePicker\n  [id]=\"'start-date-' + id\"\n  [placeholder]=\"startDate | date : 'dd MMM yyyy'\"\n  [(ngModel)]=\"startDate\"\n  [config]=\"startDateConfig\"\n  (onSelect)=\"\n    openDatePicker();\n    startFromChange($event);\n    showDateError = false;\n    datePickerOverlay = false\n  \"\n></dp-date-picker>\n<div\n  class=\"vx-overlay\"\n  (click)=\"closeDatepicker()\"\n  *ngIf=\"datePickerOverlay\"\n></div>\n\n<!-- end date date picker -->\n<dp-date-picker\n  #endDatePicker\n  [(ngModel)]=\"endDate\"\n  [placeholder]=\"endDateObject | date : 'dd MMM yyyy'\"\n  [id]=\"'end-by-input-' + id\"\n  [config]=\"endDateConfig\"\n  [minDate]=\"endDateConfig['min']\"\n  (onSelect)=\"\n    endByChange($event); showDateError = false; datePickerOverlay = false\n  \"\n></dp-date-picker>\n<div\n  class=\"vx-overlay\"\n  (click)=\"closeDatepicker()\"\n  *ngIf=\"datePickerOverlay\"\n></div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .frequency-lifecycle-responsibility-inner{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-lifecycle-responsibility-inner mat-radio-group{display:flex;justify-content:space-between}::ng-deep .frequency-lifecycle-responsibility-item{position:relative;height:3.375rem}::ng-deep .frequency-lifecycle-responsibility-item.with-policy{height:unset;margin-top:.25rem}::ng-deep .frequency-lifecycle-responsibility-item:first-of-type{width:8.5rem}::ng-deep .frequency-lifecycle-responsibility-item:first-of-type label:after,::ng-deep .frequency-lifecycle-responsibility-item:first-of-type label:before{display:none}::ng-deep .frequency-lifecycle-responsibility-item:first-of-type label .heading{padding-left:0}::ng-deep .frequency-lifecycle-responsibility-item:nth-child(2){width:8.5rem}::ng-deep .frequency-lifecycle-responsibility-item:nth-child(3){width:11.25rem}::ng-deep .frequency-lifecycle-responsibility-item:last-of-type{width:14.25rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner{position:relative}::ng-deep .frequency-lifecycle-responsibility-item .item-inner .heading{padding-left:1.75rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio{position:absolute;top:0;left:0;width:100%;height:3.375rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item{width:100%;position:relative}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .radio{position:absolute;top:-17px;left:0;width:1rem;height:1rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .radiomark{position:absolute;top:2px;left:0;width:1rem;height:1rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;width:calc(100% + 1rem);max-width:100%!important;height:2rem;cursor:pointer;text-transform:none;margin:22px 0 0 -1rem!important}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value .date-field{display:flex;align-items:center;position:relative;width:100%;height:100%;pointer-events:none}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value .date-field .calendar-icon{position:absolute;top:7px;left:.5rem}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item .value .date-field input{background:transparent;border-radius:0;border:none;color:#747576;font-size:11px;width:100%;height:1.875rem;padding:0 .5rem 0 2.25rem;position:absolute;top:0;left:0;cursor:pointer}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item input:checked~span.value{pointer-events:auto;margin:22px 0 0!important}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item input:checked~span.value .date-field,::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .radio-item input:checked~span.value .input-field{pointer-events:auto!important}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .input-field{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#747576;display:inline-block;font-size:13px;text-align:center;width:2.75rem;height:1.25rem;padding:0 .125rem;margin:0 .5rem;outline:none;pointer-events:none}::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .input-field::-webkit-inner-spin-button,::ng-deep .frequency-lifecycle-responsibility-item .item-inner app-cs-radio .input-field::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-lifecycle-responsibility-item .lifecycle-box{border-radius:.25rem;border:1px solid #dbdbdb;height:2rem;position:relative;cursor:pointer}::ng-deep .frequency-lifecycle-responsibility-item .lifecycle-box .start-date-input{background:transparent;border-radius:0;border:none;color:#747576;font-size:11px;width:100%;outline:none;cursor:pointer}::ng-deep .frequency-lifecycle{border-top:1px solid #f1f1f1}::ng-deep .frequency-lifecycle-head{background:#fbfbfb;padding:8px 20px}::ng-deep .frequency-lifecycle-title{margin:0;padding:0;font-size:12px;line-height:16px;color:#747576;text-transform:uppercase}::ng-deep .frequency-lifecycle-body{padding:10px 20px;display:flex}::ng-deep .frequency-lifecycle-body .column{width:25%;padding:0;position:relative}::ng-deep .frequency-lifecycle-body .column label.text{color:#747576;font-size:11px;text-transform:uppercase;margin:0 0 4px;font-weight:500;line-height:16px;display:block}::ng-deep .frequency-lifecycle-body .column+.column{padding-left:28px}::ng-deep .frequency-lifecycle-body .column:first-child{width:20%}::ng-deep .frequency-lifecycle-body .column:last-child{width:30%}::ng-deep .frequency-lifecycle-body .column .block,::ng-deep .frequency-lifecycle-body .column span.value{display:flex;font-size:13px;color:#747576;border:1px solid #f1f1f1;border-radius:2px;padding:0 4px 0 16px;box-sizing:border-box;min-height:48px;justify-content:center;align-items:center;background:#fff;cursor:pointer;text-transform:none;margin:0!important}::ng-deep .frequency-lifecycle-body .column .block .date-picker,::ng-deep .frequency-lifecycle-body .column span.value .date-picker{display:flex;align-items:center;position:relative}::ng-deep .frequency-lifecycle-body .column .block .date-picker i,::ng-deep .frequency-lifecycle-body .column span.value .date-picker i{font-size:16px;margin-right:8px}::ng-deep .frequency-lifecycle-body .column .block .date-picker input,::ng-deep .frequency-lifecycle-body .column span.value .date-picker input{border:none;outline:none;width:100%;background:transparent;font-size:12px;cursor:pointer;line-height:40px}::ng-deep .frequency-lifecycle-body .column .block.active,::ng-deep .frequency-lifecycle-body .column span.value.active{border:1px solid #97d2a0;background:#d6f2da}::ng-deep .frequency-lifecycle-body .column app-cs-radio{display:flex}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item span.radio,::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item svg{position:absolute;top:14px;left:-10px;height:20px;width:20px}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item span.value{max-width:100%;pointer-events:none;font-size:13px;color:#747576;width:100%}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input:checked~span.value{pointer-events:auto;border:1px solid #97d2a0;background:#d6f2da}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input.day{-moz-appearance:textfield;border:none;width:40px;padding:4px;text-align:center;border-bottom:2px solid #dcdcdc;line-height:26px;color:#161b2f;font-weight:400;outline:none;background:transparent;margin:0 4px 0 0;font-size:13px}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input.day::-webkit-outer-spin-button,::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item input.day::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}::ng-deep .frequency-lifecycle-body .column app-cs-radio label.radio-item span{font-size:13px;color:#747576}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-26px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0!important;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { startDatePicker: [{
                type: ViewChild,
                args: ['startDatePicker']
            }], endDatePicker: [{
                type: ViewChild,
                args: ['endDatePicker']
            }], startDate: [{
                type: Input
            }], endDate: [{
                type: Input
            }], endBy: [{
                type: Input
            }], occurrance: [{
                type: Input
            }], selectedLifecycleType: [{
                type: Input
            }], id: [{
                type: Input
            }], mode: [{
                type: Input
            }], selectedOccurance: [{
                type: Output
            }], startDatePickerPopup: [{
                type: ViewChild,
                args: ['startDatePicker', { read: ElementRef, static: false }]
            }], endDatePickerPopup: [{
                type: ViewChild,
                args: ['endDatePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

const textInfo = {
    responsibility: {
        windowOpen: 'COMPLETION WINDOW OPENS:',
        extension: 'EXTENSION:',
        windowCloses: 'COMPLETION WINDOW CLOSES:',
        keys: 'completed',
    },
    policy: {
        windowOpen: 'ATTESTATION WINDOW OPENS:',
        extension: 'EXTENSION:',
        windowCloses: 'ATTESTATION WINDOW CLOSES:',
        keys: 'attested',
    },
    reviewerFrequency: {
        windowOpen: 'REVIEW WINDOW OPENS:',
        extension: 'EXTENSION:',
        windowCloses: 'REVIEW WINDOW CLOSES:',
        keys: 'reviewed',
    },
};

class FrequencyDueDateComponent {
    constructor() {
        this.mode = '';
        this.defaultWindow = 0;
        this.defaultFailed = 0;
        this.defaultDeactivate = 0;
        this.type = this.mode;
        this.pageType = 'responsibility';
        this.completedRequired = true; // when completed required
        this.notCompletedRequired = true; // when not completed required
        this.completedValue = 2; // take input for completed
        this.notCompletedValue = 2; // take input for not completed
        this.deactivateValue = 15;
        this.isDeactivated = false;
        this.id = 0;
        this.pageName = '';
        this.valueChange = new EventEmitter();
    }
    ngOnInit() {
        this.dueDateText = textInfo[this.mode];
        if (this.mode === 'reviewerFrequency') {
            this.type = 'review';
        }
        else {
            this.type = this.mode;
        }
    }
    onValueChange(event, actionType) {
        if (!Number.isNaN(Number(event.target.value)) &&
            parseInt(event.target.value) > -1) {
            this.valueChange.emit({
                type: actionType,
                value: Number(event.target.value),
                pageName: this.pageName,
            });
        }
        else {
            if (actionType === 'completed') {
                this.completedValue = this.defaultWindow;
            }
            else if (actionType === 'not completed') {
                this.notCompletedValue = this.defaultFailed;
            }
            else if (actionType === 'deactivated') {
                this.deactivateValue = this.defaultDeactivate;
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDueDateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: { mode: "mode", pageType: "pageType", completedRequired: "completedRequired", notCompletedRequired: "notCompletedRequired", completedValue: "completedValue", notCompletedValue: "notCompletedValue", deactivateValue: "deactivateValue", isDeactivated: "isDeactivated", id: "id", pageName: "pageName" }, outputs: { valueChange: "valueChange" }, ngImport: i0, template: "<div\n  *ngIf=\"['responsibility', 'policy', 'reviewerFrequency'].includes(mode)\"\n  class=\"frequency-bottom\"\n>\n  <div *ngIf=\"completedRequired\" class=\"frequency-bottom-item vx-mt-5\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      {{ dueDateText.windowOpen }}\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      The {{ pageType }} can be {{ dueDateText?.keys }} on the due date and\n      <input\n        class=\"countNum\"\n        [id]=\"'complete-' + id\"\n        type=\"number\"\n        [(ngModel)]=\"completedValue\"\n        (change)=\"onValueChange($event, 'completed')\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      {{ completedValue < 2 ? \"day\" : \"days\" }}\n      <span class=\"vx-fw-500\">before</span> the due date. Where this occurs,\n      this will show as the {{ mode === \"reviewerFrequency\" ? \"policy\" : type }} being\n      <span class=\"completed-text vx-fw-500\"\n        >{{ dueDateText?.keys }} on time</span\n      >.\n    </div>\n  </div>\n\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-bottom-item vx-mt-5\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      {{ dueDateText.extension }}\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      The {{ pageType }} can be {{ dueDateText?.keys }}\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'not-completed-' + id\"\n        [(ngModel)]=\"notCompletedValue\"\n        (change)=\"onValueChange($event, 'not completed')\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }}\n      <span class=\"vx-fw-500\">after</span> the due date. Where this occurs, this\n      will show as the {{ mode === \"reviewerFrequency\" ? \"policy\" : type }} being\n      <span class=\"delay-text vx-fw-500\"\n        >{{ dueDateText?.keys }} with delay</span\n      >.\n    </div>\n  </div>\n\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-bottom-item vx-mt-5\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      {{ dueDateText.windowCloses }}\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      The {{ pageType }} cannot be {{ dueDateText?.keys }}\n      <span class=\"vx-fw-500 vx-label-txt\">{{ notCompletedValue }}</span>\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }}\n      <span class=\"vx-fw-500\">after</span> the due date. Where this occurs, this\n      will show as the {{ type }} being\n      <span class=\"notcompleted-text vx-fw-500\"\n        >not\n        {{\n          dueDateText?.keys === \"reviewed\" ? \"completed\" : dueDateText?.keys\n        }}</span\n      >.\n    </div>\n  </div>\n\n  <div\n    *ngIf=\"isDeactivated && mode === 'responsibility'\"\n    class=\"frequency-bottom-item vx-mt-5\"\n  >\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      AUTOMATIC DEACTIVATE:\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      This {{ type }} will be automatically deactivated, if it is not\n      {{ dueDateText?.keys }}\n      for\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'deactivate' + id\"\n        [(ngModel)]=\"deactivateValue\"\n        (change)=\"onValueChange($event, 'deactivated')\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      consecutive due dates.\n    </div>\n  </div>\n</div>\n\n<!-- For Policy -->\n<div class=\"frequency-due-date\" *ngIf=\"mode == 'policy' && false\">\n  <div *ngIf=\"completedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy can be <i class=\"completed\">attested</i></p>\n    <input\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"completedValue\"\n      (change)=\"onValueChange($event, 'completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>{{ completedValue < 2 ? \"day\" : \"days\" }} before the due date.</p>\n  </div>\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy attestation will <i>fail</i></p>\n    <input\n      type=\"number\"\n      [id]=\"'not-completed-' + id\"\n      [(ngModel)]=\"notCompletedValue\"\n      (change)=\"onValueChange($event, 'not completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }} after the due date if it is\n      not completed.\n    </p>\n  </div>\n</div>\n<div class=\"frequency-due-date\" *ngIf=\"mode == 'reviewerFrequency' && false\">\n  <div *ngIf=\"completedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy can be <i class=\"completed\">reviewed</i></p>\n    <input\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"completedValue\"\n      (change)=\"onValueChange($event, 'completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>{{ completedValue < 2 ? \"day\" : \"days\" }} before the review date.</p>\n  </div>\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy review will <i>fail</i></p>\n    <input\n      type=\"number\"\n      [id]=\"'not-completed-' + id\"\n      [(ngModel)]=\"notCompletedValue\"\n      (change)=\"onValueChange($event, 'not completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }} after the review date if it\n      is not completed.\n    </p>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .frequency-bottom-item-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-bottom-item-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-bottom-item-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-bottom-item-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-bottom-item-box .completed-text{color:#34aa44}::ng-deep .frequency-bottom-item-box .delay-text{color:#f0b819}::ng-deep .frequency-bottom-item-box .notcompleted-text{color:#d93b41}.frequency-due-date{display:block}.frequency-due-date-row{display:flex;border-top:1px solid #f1f1f1;padding:12px 20px;align-items:center}.frequency-due-date p{font-size:13px;color:#747576;width:auto;margin:0;font-weight:400;line-height:20px}.frequency-due-date p i{color:#d93b41;font-style:italic;font-weight:500;padding:0 4px}.frequency-due-date p i.completed{color:#1e5dd3}.frequency-due-date p strong{font-weight:600;font-style:italic}.frequency-due-date input{-moz-appearance:textfield;font-size:14px;color:#161b2f;border:0;border-bottom:2px solid #dcdcdc;display:inline-block;width:36px;text-align:center;padding:4px;margin:0 8px;outline:none}.frequency-due-date input::-webkit-outer-spin-button,.frequency-due-date input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDueDateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-due-date', template: "<div\n  *ngIf=\"['responsibility', 'policy', 'reviewerFrequency'].includes(mode)\"\n  class=\"frequency-bottom\"\n>\n  <div *ngIf=\"completedRequired\" class=\"frequency-bottom-item vx-mt-5\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      {{ dueDateText.windowOpen }}\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      The {{ pageType }} can be {{ dueDateText?.keys }} on the due date and\n      <input\n        class=\"countNum\"\n        [id]=\"'complete-' + id\"\n        type=\"number\"\n        [(ngModel)]=\"completedValue\"\n        (change)=\"onValueChange($event, 'completed')\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      {{ completedValue < 2 ? \"day\" : \"days\" }}\n      <span class=\"vx-fw-500\">before</span> the due date. Where this occurs,\n      this will show as the {{ mode === \"reviewerFrequency\" ? \"policy\" : type }} being\n      <span class=\"completed-text vx-fw-500\"\n        >{{ dueDateText?.keys }} on time</span\n      >.\n    </div>\n  </div>\n\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-bottom-item vx-mt-5\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      {{ dueDateText.extension }}\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      The {{ pageType }} can be {{ dueDateText?.keys }}\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'not-completed-' + id\"\n        [(ngModel)]=\"notCompletedValue\"\n        (change)=\"onValueChange($event, 'not completed')\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }}\n      <span class=\"vx-fw-500\">after</span> the due date. Where this occurs, this\n      will show as the {{ mode === \"reviewerFrequency\" ? \"policy\" : type }} being\n      <span class=\"delay-text vx-fw-500\"\n        >{{ dueDateText?.keys }} with delay</span\n      >.\n    </div>\n  </div>\n\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-bottom-item vx-mt-5\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      {{ dueDateText.windowCloses }}\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      The {{ pageType }} cannot be {{ dueDateText?.keys }}\n      <span class=\"vx-fw-500 vx-label-txt\">{{ notCompletedValue }}</span>\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }}\n      <span class=\"vx-fw-500\">after</span> the due date. Where this occurs, this\n      will show as the {{ type }} being\n      <span class=\"notcompleted-text vx-fw-500\"\n        >not\n        {{\n          dueDateText?.keys === \"reviewed\" ? \"completed\" : dueDateText?.keys\n        }}</span\n      >.\n    </div>\n  </div>\n\n  <div\n    *ngIf=\"isDeactivated && mode === 'responsibility'\"\n    class=\"frequency-bottom-item vx-mt-5\"\n  >\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n      AUTOMATIC DEACTIVATE:\n    </div>\n    <div\n      class=\"frequency-bottom-item-box vx-fs-13 vx-paragraph-txt vx-p-3 vx-pt-4 vx-pb-4 vx-d-block\"\n    >\n      This {{ type }} will be automatically deactivated, if it is not\n      {{ dueDateText?.keys }}\n      for\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [id]=\"'deactivate' + id\"\n        [(ngModel)]=\"deactivateValue\"\n        (change)=\"onValueChange($event, 'deactivated')\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      consecutive due dates.\n    </div>\n  </div>\n</div>\n\n<!-- For Policy -->\n<div class=\"frequency-due-date\" *ngIf=\"mode == 'policy' && false\">\n  <div *ngIf=\"completedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy can be <i class=\"completed\">attested</i></p>\n    <input\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"completedValue\"\n      (change)=\"onValueChange($event, 'completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>{{ completedValue < 2 ? \"day\" : \"days\" }} before the due date.</p>\n  </div>\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy attestation will <i>fail</i></p>\n    <input\n      type=\"number\"\n      [id]=\"'not-completed-' + id\"\n      [(ngModel)]=\"notCompletedValue\"\n      (change)=\"onValueChange($event, 'not completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }} after the due date if it is\n      not completed.\n    </p>\n  </div>\n</div>\n<div class=\"frequency-due-date\" *ngIf=\"mode == 'reviewerFrequency' && false\">\n  <div *ngIf=\"completedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy can be <i class=\"completed\">reviewed</i></p>\n    <input\n      [id]=\"'complete-' + id\"\n      type=\"number\"\n      [(ngModel)]=\"completedValue\"\n      (change)=\"onValueChange($event, 'completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>{{ completedValue < 2 ? \"day\" : \"days\" }} before the review date.</p>\n  </div>\n  <div *ngIf=\"notCompletedRequired\" class=\"frequency-due-date-row\">\n    <p>The policy review will <i>fail</i></p>\n    <input\n      type=\"number\"\n      [id]=\"'not-completed-' + id\"\n      [(ngModel)]=\"notCompletedValue\"\n      (change)=\"onValueChange($event, 'not completed')\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>\n      {{ notCompletedValue < 2 ? \"day\" : \"days\" }} after the review date if it\n      is not completed.\n    </p>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .frequency-bottom-item-box{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-bottom-item-box input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-bottom-item-box input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-bottom-item-box input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-bottom-item-box .completed-text{color:#34aa44}::ng-deep .frequency-bottom-item-box .delay-text{color:#f0b819}::ng-deep .frequency-bottom-item-box .notcompleted-text{color:#d93b41}.frequency-due-date{display:block}.frequency-due-date-row{display:flex;border-top:1px solid #f1f1f1;padding:12px 20px;align-items:center}.frequency-due-date p{font-size:13px;color:#747576;width:auto;margin:0;font-weight:400;line-height:20px}.frequency-due-date p i{color:#d93b41;font-style:italic;font-weight:500;padding:0 4px}.frequency-due-date p i.completed{color:#1e5dd3}.frequency-due-date p strong{font-weight:600;font-style:italic}.frequency-due-date input{-moz-appearance:textfield;font-size:14px;color:#161b2f;border:0;border-bottom:2px solid #dcdcdc;display:inline-block;width:36px;text-align:center;padding:4px;margin:0 8px;outline:none}.frequency-due-date input::-webkit-outer-spin-button,.frequency-due-date input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { mode: [{
                type: Input
            }], pageType: [{
                type: Input
            }], completedRequired: [{
                type: Input
            }], notCompletedRequired: [{
                type: Input
            }], completedValue: [{
                type: Input
            }], notCompletedValue: [{
                type: Input
            }], deactivateValue: [{
                type: Input
            }], isDeactivated: [{
                type: Input
            }], id: [{
                type: Input
            }], pageName: [{
                type: Input
            }], valueChange: [{
                type: Output
            }] } });

class FrequencyDailyComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.mode = '';
        this.datepickerOverlay = false;
        //#region daily frequency start
        this.dailyInterval = DEFAULT_TIME;
        this.dailyInput = 1;
        this.dailyFailed = 1;
        this.dailyLifeCycleStart = new Date();
        this.dailyLifeCycleEndTime = new Date(this.dailyLifeCycleStart.getTime() + 86400000);
        this.dailyLifecycleOccurance = 10;
        this.dailySeletedLifecycleType = 2;
        this.dailyDeactivatedValue = 15;
        this.lifecycleDetails = '0000-00-00~~0';
        this.startDate = Math.floor(Date.now() / 1000);
        this.pageType = 'responsibility';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 1) {
            this.populateFrequency();
        }
        this.getDailyFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData.pattern.split('~').map(Number);
        const lifecycleInfo = this.frequencyData.lifecycle.split('~~');
        this.dailyInterval = this.frequencyData.failedTime;
        this.dailyInput = patternInfo[3];
        if (Number(lifecycleInfo[1]) > 0) {
            this.dailyLifecycleOccurance = Number(lifecycleInfo[1]);
        }
        this.startDate = this.frequencyData.startDate;
        this.dailyLifeCycleStart = new Date(this.frequencyData.startDate * 1000);
        this.dailyFailed = this.frequencyData.failed;
        this.dailyDeactivatedValue = this.frequencyData.continuous_failed_days;
        if (lifecycleInfo[0] !== '0000-00-00') {
            const dateSelected = moment$1(lifecycleInfo[0] + ' ' + DEFAULT_TIME, 'DD-MMMM-YYYY HH:mm a').unix();
            this.dailyLifeCycleEndTime = new Date(dateSelected * 1000);
        }
        this.lifecycleDetails = this.frequencyData.lifecycle;
        if (this.frequencyData.lifecycle == '0000-00-00~~0') {
            this.dailySeletedLifecycleType = 2;
        }
        else if (lifecycleInfo[0] !== '0000-00-00') {
            this.dailySeletedLifecycleType = 0;
        }
        else {
            this.dailySeletedLifecycleType = 1;
        }
    }
    onTimeChanged(event, name) {
        this.dailyInterval = event;
        this.getDailyFrequency();
    }
    valueChangedFirst(event) {
        this.dailyInput = event.value;
        this.getDailyFrequency();
    }
    onValueChange(event) {
        if (event.type === 'deactivated') {
            this.dailyDeactivatedValue = event.value;
        }
        else {
            this.dailyFailed = event.value;
        }
        this.getDailyFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(new Date().getTime() / 1000 + 86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getDailyFrequency();
    }
    getDailyFrequency() {
        if (this.dailyInput === 1) {
            this.frequencyInfo.placeholder = 'Daily by ' + this.dailyInterval;
        }
        else if (this.dailyInput > 1) {
            this.frequencyInfo.placeholder =
                'Every ' + this.dailyInput + ' days by ' + this.dailyInterval;
        }
        else {
            this.frequencyInfo.placeholder =
                'Frequency denotes the rate of occurrence of a responsibility.';
        }
        this.frequencyInfo.pattern =
            1 + '~' + '0' + '~' + '0' + '~' + this.dailyInput;
        this.frequencyInfo.case = 'daily';
        this.frequencyInfo.failedAfter = this.dailyFailed;
        this.frequencyInfo.timeIn12hr = this.dailyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.dailyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.continuous_failed_days = this.dailyDeactivatedValue;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDailyComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyDailyComponent, selector: "app-frequency-daily", inputs: { mode: "mode", frequencyData: "frequencyData", startDate: "startDate", pageType: "pageType" }, outputs: { frequencyDetails: "frequencyDetails" }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }], ngImport: i0, template: "<!-- <p>frequency-daily works!</p> -->\n<div class=\"frequency-daily\">\n  <app-frequency-top\n    [id]=\"0\"\n    [inputTime]=\"dailyInterval\"\n    [occurrenceFirst]=\"dailyInput\"\n    [frequencyType]=\"0\"\n    (timeChanged)=\"onTimeChanged($event, 'dailyInterval')\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-due-date\n    [pageName]=\"'daily'\"\n    [id]=\"0\"\n    [mode]=\"mode\"\n    [notCompletedValue]=\"dailyFailed\"\n    [deactivateValue]=\"dailyDeactivatedValue\"\n    [isDeactivated]=\"true\"\n    [completedRequired]=\"false\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"0\"\n    [startDate]=\"dailyLifeCycleStart\"\n    [endDate]=\"dailyLifeCycleEndTime\"\n    [occurrance]=\"dailyLifecycleOccurance\"\n    [selectedLifecycleType]=\"dailySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.top-part{display:flex;justify-content:flex-start;padding:12px 20px;align-items:center}.top-part span{font-size:14px;color:#161b2f;width:auto;display:block}.top-part .day-counter{-moz-appearance:textfield;border:none;width:40px;margin:0 8px;padding:4px;text-align:center;border-bottom:2px solid #dcdcdc;line-height:26px;color:#161b2f;font-weight:400;outline:none}.top-part .day-counter::-webkit-outer-spin-button,.top-part .day-counter::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}.top-part .time-picker{width:120px;margin-left:8px;position:relative}.top-part .time-picker input{color:#161b2f;font-weight:400;line-height:34px;border:1px solid #f1f1f1;border-radius:2px;height:36px;width:100%;outline:none;padding:0 28px 0 8px;cursor:pointer}.top-part .time-picker i{display:flex;justify-content:center;align-items:center;height:36px;width:28px;position:absolute;right:0;top:0;color:#1e5dd3;font-size:16px;pointer-events:none}\n"], dependencies: [{ kind: "component", type: FrequencyTopComponent, selector: "app-frequency-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay", "mode"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: ["startDate", "endDate", "endBy", "occurrance", "selectedLifecycleType", "id", "mode"], outputs: ["selectedOccurance"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyDailyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-daily', template: "<!-- <p>frequency-daily works!</p> -->\n<div class=\"frequency-daily\">\n  <app-frequency-top\n    [id]=\"0\"\n    [inputTime]=\"dailyInterval\"\n    [occurrenceFirst]=\"dailyInput\"\n    [frequencyType]=\"0\"\n    (timeChanged)=\"onTimeChanged($event, 'dailyInterval')\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-due-date\n    [pageName]=\"'daily'\"\n    [id]=\"0\"\n    [mode]=\"mode\"\n    [notCompletedValue]=\"dailyFailed\"\n    [deactivateValue]=\"dailyDeactivatedValue\"\n    [isDeactivated]=\"true\"\n    [completedRequired]=\"false\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"0\"\n    [startDate]=\"dailyLifeCycleStart\"\n    [endDate]=\"dailyLifeCycleEndTime\"\n    [occurrance]=\"dailyLifecycleOccurance\"\n    [selectedLifecycleType]=\"dailySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.top-part{display:flex;justify-content:flex-start;padding:12px 20px;align-items:center}.top-part span{font-size:14px;color:#161b2f;width:auto;display:block}.top-part .day-counter{-moz-appearance:textfield;border:none;width:40px;margin:0 8px;padding:4px;text-align:center;border-bottom:2px solid #dcdcdc;line-height:26px;color:#161b2f;font-weight:400;outline:none}.top-part .day-counter::-webkit-outer-spin-button,.top-part .day-counter::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}.top-part .time-picker{width:120px;margin-left:8px;position:relative}.top-part .time-picker input{color:#161b2f;font-weight:400;line-height:34px;border:1px solid #f1f1f1;border-radius:2px;height:36px;width:100%;outline:none;padding:0 28px 0 8px;cursor:pointer}.top-part .time-picker i{display:flex;justify-content:center;align-items:center;height:36px;width:28px;position:absolute;right:0;top:0;color:#1e5dd3;font-size:16px;pointer-events:none}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], mode: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], startDate: [{
                type: Input
            }], pageType: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyCheckboxListComponent {
    constructor() {
        this.id = -1;
        this.listArray = [];
        this.selectedIndex = [];
        this.mode = '';
        this.noAnimation = true;
        this.selectedCheckbox = new EventEmitter(); // {checked: true, index:0} checked : checkboxStatus, index: Index of list which checked/unchecked
    }
    ngOnInit() {
        setTimeout(() => {
            this.noAnimation = false;
        }, 1000);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyCheckboxListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyCheckboxListComponent, selector: "app-frequency-checkbox-list", inputs: { id: "id", listArray: "listArray", selectedIndex: "selectedIndex", mode: "mode" }, outputs: { selectedCheckbox: "selectedCheckbox" }, ngImport: i0, template: "<div class=\"frequency-checkbox vx-d-flex vx-align-center\" [class.year-row]=\"listArray.length === 12\" *ngIf=\"mode !== 'policy'\">\n    <div class=\"frequency-checkbox-item vx-p-3 vx-pr-4 vx-d-flex vx-align-center\" *ngFor=\"let eachList of listArray; let i = index;\">\n        <app-cs-checkbox [id]=\"i\" [value]=\"i\" [ngValue]=\"selectedIndex.includes(i)\" (ngValueChange)=\"selectedCheckbox.emit({checked:$event, index:i})\" [disabled]=\"id === 4 && selectedIndex.length == 2 && !selectedIndex.includes(i)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-checkbox>\n    </div>\n</div>\n\n\n\n\n<!-- For Policy -->\n<div class=\"frequency-checkbox vx-d-flex vx-align-center\" [class.year-row]=\"listArray.length === 12\" *ngIf=\"mode === 'policy'\">\n    <div class=\"frequency-checkbox-item vx-p-3 vx-pr-4 vx-d-flex vx-align-center\" *ngFor=\"let eachList of listArray; let i = index;\">\n        <app-cs-checkbox [id]=\"i\" [value]=\"i\" [ngValue]=\"selectedIndex.includes(i)\" (ngValueChange)=\"selectedCheckbox.emit({checked:$event, index:i})\" [disabled]=\"id === 4 && selectedIndex.length == 2 && !selectedIndex.includes(i)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-checkbox>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-checkbox{background:#fff;border-radius:0 0 .25rem .25rem;border:1px solid #f1f1f1;position:relative;top:-3px}::ng-deep .frequency-checkbox.year-row{flex-wrap:wrap}::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item{width:calc(100% / 6)}::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:first-of-type,::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(2),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(3),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(4),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(5),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(6){border-bottom:1px solid #f1f1f1}::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(6){border-right:none}::ng-deep .frequency-checkbox-item{border-right:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-checkbox-item:last-of-type{border-right:none}::ng-deep .frequency-checkbox-item app-cs-checkbox{display:flex}::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item{position:relative;padding-left:1.75rem!important}::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item .checkbox,::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item .value{margin:0!important;max-width:100%!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyCheckboxListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-checkbox-list', template: "<div class=\"frequency-checkbox vx-d-flex vx-align-center\" [class.year-row]=\"listArray.length === 12\" *ngIf=\"mode !== 'policy'\">\n    <div class=\"frequency-checkbox-item vx-p-3 vx-pr-4 vx-d-flex vx-align-center\" *ngFor=\"let eachList of listArray; let i = index;\">\n        <app-cs-checkbox [id]=\"i\" [value]=\"i\" [ngValue]=\"selectedIndex.includes(i)\" (ngValueChange)=\"selectedCheckbox.emit({checked:$event, index:i})\" [disabled]=\"id === 4 && selectedIndex.length == 2 && !selectedIndex.includes(i)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-checkbox>\n    </div>\n</div>\n\n\n\n\n<!-- For Policy -->\n<div class=\"frequency-checkbox vx-d-flex vx-align-center\" [class.year-row]=\"listArray.length === 12\" *ngIf=\"mode === 'policy'\">\n    <div class=\"frequency-checkbox-item vx-p-3 vx-pr-4 vx-d-flex vx-align-center\" *ngFor=\"let eachList of listArray; let i = index;\">\n        <app-cs-checkbox [id]=\"i\" [value]=\"i\" [ngValue]=\"selectedIndex.includes(i)\" (ngValueChange)=\"selectedCheckbox.emit({checked:$event, index:i})\" [disabled]=\"id === 4 && selectedIndex.length == 2 && !selectedIndex.includes(i)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-checkbox>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-checkbox{background:#fff;border-radius:0 0 .25rem .25rem;border:1px solid #f1f1f1;position:relative;top:-3px}::ng-deep .frequency-checkbox.year-row{flex-wrap:wrap}::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item{width:calc(100% / 6)}::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:first-of-type,::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(2),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(3),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(4),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(5),::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(6){border-bottom:1px solid #f1f1f1}::ng-deep .frequency-checkbox.year-row .frequency-checkbox-item:nth-child(6){border-right:none}::ng-deep .frequency-checkbox-item{border-right:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-checkbox-item:last-of-type{border-right:none}::ng-deep .frequency-checkbox-item app-cs-checkbox{display:flex}::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item{position:relative;padding-left:1.75rem!important}::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item .checkbox,::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .frequency-checkbox-item app-cs-checkbox .checkbox-item .value{margin:0!important;max-width:100%!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { id: [{
                type: Input
            }], listArray: [{
                type: Input
            }], selectedIndex: [{
                type: Input
            }], mode: [{
                type: Input
            }], selectedCheckbox: [{
                type: Output
            }] } });

class FrequencyWeeklyComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.mode = '';
        this.weeklyInterval = DEFAULT_TIME;
        this.weeklyInput = 1;
        this.weeklyFailed = 2;
        this.weeklyWindow = 2;
        this.weeklyLifeCycleStart = new Date();
        this.weeklyLifeCycleEndTime = new Date(this.weeklyLifeCycleStart.getTime() + 86400000);
        this.weeklyLifecycleOccurance = 10;
        this.weeklySeletedLifecycleType = 2;
        this.selectedWeekly = [new Date().getDay() == 0 ? 6 : new Date().getDay() - 1];
        this.weeklyDeactivatedValue = 10;
        this.dayArray = [];
        this.lifecycleDetails = '0000-00-00~~0';
        this.pageType = 'responsibility';
        this.startDate = Math.floor(Date.now() / 1000);
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.dayArray = [...new Set(this.frequencyService.dayName)];
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 2) {
            this.populateFrequency();
        }
        this.getWeeklyFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData.pattern.split('~');
        this.selectedWeekly = patternInfo[1]
            .split(',')
            .map((ele) => Number(ele) - 1);
        const lifecycleInfo = this.frequencyData.lifecycle.split('~~');
        this.weeklyInterval = this.frequencyData.failedTime;
        this.weeklyWindow = this.frequencyData.window;
        this.weeklyInput = patternInfo[3];
        if (Number(lifecycleInfo[1]) > 0) {
            this.weeklyLifecycleOccurance = Number(lifecycleInfo[1]);
        }
        this.startDate =
            this.frequencyData.startFrom ?? this.frequencyData.startDate;
        this.weeklyLifeCycleStart = new Date((this.frequencyData.startDate ?? this.frequencyData.startDate) * 1000);
        this.weeklyFailed = this.frequencyData.failed;
        this.weeklyDeactivatedValue = this.frequencyData.continuous_failed_days;
        if (lifecycleInfo[0] !== '0000-00-00') {
            const dateSelected = moment$1(lifecycleInfo[0] + ' ' + DEFAULT_TIME, 'DD-MMMM-YYYY HH:mm a').unix();
            this.weeklyLifeCycleEndTime = new Date(dateSelected * 1000);
        }
        this.lifecycleDetails = this.frequencyData.lifecycle;
        if (this.frequencyData.lifecycle == '0000-00-00~~0') {
            this.weeklySeletedLifecycleType = 2;
        }
        else if (lifecycleInfo[0] !== '0000-00-00') {
            this.weeklySeletedLifecycleType = 0;
        }
        else {
            this.weeklySeletedLifecycleType = 1;
        }
    }
    onTimeChanged(event) {
        this.weeklyInterval = event;
        this.getWeeklyFrequency();
    }
    valueChangedFirst(event) {
        this.weeklyInput = event.value;
        this.getWeeklyFrequency();
    }
    onDaySelected(event) {
        if (event.checked) {
            this.selectedWeekly.push(event.index);
        }
        else {
            this.selectedWeekly = this.selectedWeekly.filter((ele) => ele !== event.index);
        }
        this.getWeeklyFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(new Date().getTime() / 1000 + 86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.weeklyLifeCycleStart = new Date(this.startDate * 1000);
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getWeeklyFrequency();
    }
    onValueChange(event) {
        if (event.type === 'deactivated') {
            this.weeklyDeactivatedValue = event.value;
        }
        else if (event.type === 'completed') {
            this.weeklyWindow = event.value;
        }
        else {
            this.weeklyFailed = event.value;
        }
        this.getWeeklyFrequency();
    }
    getWeeklyFrequency() {
        this.selectedWeekly = this.selectedWeekly.sort((n1, n2) => n1 - n2);
        this.frequencyInfo.placeholder = this.getPlaceholder(Number(this.weeklyInput));
        this.frequencyInfo.pattern =
            2 +
                '~' +
                this.selectedWeekly.map((ele) => ele + 1).join(',') +
                '~' +
                '0' +
                '~' +
                this.weeklyInput;
        this.frequencyInfo.case = 'week';
        this.frequencyInfo.failedAfter = this.weeklyFailed;
        this.frequencyInfo.window = this.weeklyWindow;
        this.frequencyInfo.timeIn12hr = this.weeklyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.weeklyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom =
            this.startDate ?? Math.floor(Date.now() / 1000);
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.continuous_failed_days = this.weeklyDeactivatedValue;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getPlaceholder(weeklyInput) {
        let placeholder = '';
        weeklyInput = Number(weeklyInput);
        const selectedDay = this.selectedWeekly.map((ele) => {
            return this.frequencyService.dayName[ele];
        });
        if (weeklyInput === 1) {
            placeholder =
                'Every ' + selectedDay.join(', ') + ' by ' + this.weeklyInterval;
        }
        if (weeklyInput === 2) {
            placeholder =
                'Every alternate ' +
                    selectedDay.join(', ') +
                    ' by ' +
                    this.weeklyInterval;
        }
        if (weeklyInput === 3) {
            placeholder =
                'Every 3rd ' + selectedDay.join(', ') + ' by ' + this.weeklyInterval;
        }
        if (weeklyInput > 3) {
            placeholder =
                'Every ' +
                    this.weeklyInput +
                    'th ' +
                    selectedDay.join(', ') +
                    ' by ' +
                    this.weeklyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyWeeklyComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyWeeklyComponent, selector: "app-frequency-weekly", inputs: { mode: "mode", pageType: "pageType", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<!-- <p>frequency-weekly works!</p> -->\n<div class=\"frequency-weekly\">\n  <app-frequency-top\n    [id]=\"1\"\n    [inputTime]=\"weeklyInterval\"\n    [occurrenceFirst]=\"weeklyInput\"\n    [frequencyType]=\"1\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-checkbox-list\n    [id]=\"1\"\n    [listArray]=\"dayArray\"\n    [selectedIndex]=\"selectedWeekly\"\n    (selectedCheckbox)=\"onDaySelected($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-checkbox-list>\n  <app-frequency-due-date\n    [id]=\"1\"\n    [mode]=\"mode\"\n    [pageName]=\"'weekly'\"\n    [deactivateValue]=\"weeklyDeactivatedValue\"\n    [isDeactivated]=\"true\"\n    [completedValue]=\"weeklyWindow\"\n    [notCompletedValue]=\"weeklyFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"1\"\n    [startDate]=\"weeklyLifeCycleStart\"\n    [endDate]=\"weeklyLifeCycleEndTime\"\n    [occurrance]=\"weeklyLifecycleOccurance\"\n    [selectedLifecycleType]=\"weeklySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: ["::ng-deep .frequency-weekly{position:relative}@media screen and (max-width: 1280px){::ng-deep .frequency-weekly app-frequency-checkbox-list .frequency-checkbox .frequency-checkbox-item{padding:0 .5rem!important}}\n"], dependencies: [{ kind: "component", type: FrequencyTopComponent, selector: "app-frequency-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay", "mode"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: ["startDate", "endDate", "endBy", "occurrance", "selectedLifecycleType", "id", "mode"], outputs: ["selectedOccurance"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "component", type: FrequencyCheckboxListComponent, selector: "app-frequency-checkbox-list", inputs: ["id", "listArray", "selectedIndex", "mode"], outputs: ["selectedCheckbox"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyWeeklyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-weekly', template: "<!-- <p>frequency-weekly works!</p> -->\n<div class=\"frequency-weekly\">\n  <app-frequency-top\n    [id]=\"1\"\n    [inputTime]=\"weeklyInterval\"\n    [occurrenceFirst]=\"weeklyInput\"\n    [frequencyType]=\"1\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-checkbox-list\n    [id]=\"1\"\n    [listArray]=\"dayArray\"\n    [selectedIndex]=\"selectedWeekly\"\n    (selectedCheckbox)=\"onDaySelected($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-checkbox-list>\n  <app-frequency-due-date\n    [id]=\"1\"\n    [mode]=\"mode\"\n    [pageName]=\"'weekly'\"\n    [deactivateValue]=\"weeklyDeactivatedValue\"\n    [isDeactivated]=\"true\"\n    [completedValue]=\"weeklyWindow\"\n    [notCompletedValue]=\"weeklyFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"1\"\n    [startDate]=\"weeklyLifeCycleStart\"\n    [endDate]=\"weeklyLifeCycleEndTime\"\n    [occurrance]=\"weeklyLifecycleOccurance\"\n    [selectedLifecycleType]=\"weeklySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: ["::ng-deep .frequency-weekly{position:relative}@media screen and (max-width: 1280px){::ng-deep .frequency-weekly app-frequency-checkbox-list .frequency-checkbox .frequency-checkbox-item{padding:0 .5rem!important}}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], pageType: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyMonthlyComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.mode = '';
        this.monthlyInterval = DEFAULT_TIME;
        this.monthlyInput = new Date().getDate();
        this.monthlyFailed = 5;
        this.monthlyWindow = 7;
        this.monthlyLifeCycleStart = new Date();
        this.monthlyLifeCycleEndTime = new Date(this.monthlyLifeCycleStart.getTime() + 86400000);
        this.monthlyLifecycleOccurance = 10;
        this.monthlySeletedLifecycleType = 2;
        this.selectedMonthly = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11];
        this.monthlyDeactivatedValue = 10;
        this.monthNameArray = [];
        this.shortMonth = [];
        this.lifecycleDetails = '0000-00-00~~0';
        this.pageType = 'responsibility';
        this.startDate = Math.floor(Date.now() / 1000);
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.monthNameArray = [...new Set(this.frequencyService.monthArray)];
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 3) {
            this.populateFrequency();
        }
        this.getMonthlyFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData.pattern.split('~');
        this.selectedMonthly = patternInfo[2]
            .split(',')
            .map((ele) => Number(ele) - 1);
        const lifecycleInfo = this.frequencyData.lifecycle.split('~~');
        this.monthlyInterval = this.frequencyData.failedTime;
        this.monthlyWindow = this.frequencyData.window;
        this.monthlyInput = Number(patternInfo[1]);
        if (Number(lifecycleInfo[1]) > 0) {
            this.monthlyLifecycleOccurance = Number(lifecycleInfo[1]);
        }
        this.startDate = this.frequencyData.startDate;
        this.monthlyLifeCycleStart = new Date(this.frequencyData.startDate * 1000);
        this.monthlyFailed = this.frequencyData.failed;
        this.monthlyDeactivatedValue = this.frequencyData.continuous_failed_days;
        if (lifecycleInfo[0] !== '0000-00-00') {
            const dateSelected = moment$1(lifecycleInfo[0] + ' ' + DEFAULT_TIME, 'DD-MMMM-YYYY HH:mm a').unix();
            this.monthlyLifeCycleEndTime = new Date(dateSelected * 1000);
        }
        this.lifecycleDetails = this.frequencyData.lifecycle;
        if (this.frequencyData.lifecycle == '0000-00-00~~0') {
            this.monthlySeletedLifecycleType = 2;
        }
        else if (lifecycleInfo[0] !== '0000-00-00') {
            this.monthlySeletedLifecycleType = 0;
        }
        else {
            this.monthlySeletedLifecycleType = 1;
        }
    }
    valueChangedFirst(event) {
        this.monthlyInput = event.value;
        this.getMonthlyFrequency();
    }
    onTimeChanged(event) {
        this.monthlyInterval = event;
        this.getMonthlyFrequency();
    }
    onMonthSelected(event) {
        if (event.checked) {
            this.selectedMonthly.push(event.index);
        }
        else {
            this.selectedMonthly = this.selectedMonthly.filter((ele) => ele !== event.index);
        }
        this.getMonthlyFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(new Date().getTime() / 1000 + 86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.monthlyLifeCycleStart = new Date(this.startDate * 1000);
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getMonthlyFrequency();
    }
    onValueChange(event) {
        if (event.type === 'deactivated') {
            this.monthlyDeactivatedValue = event.value;
        }
        else if (event.type === 'completed') {
            this.monthlyWindow = event.value;
        }
        else {
            this.monthlyFailed = event.value;
        }
        this.getMonthlyFrequency();
    }
    getMonthlyFrequency() {
        this.selectedMonthly = this.selectedMonthly.sort((n1, n2) => n1 - n2);
        const monthIndex = this.selectedMonthly.map((ele) => ele + 1);
        this.frequencyInfo.placeholder = this.getFrequencyPlaceholder(Number(this.monthlyInput));
        this.frequencyInfo.pattern =
            3 + '~' + this.monthlyInput + '~' + monthIndex + '~' + '0';
        this.frequencyInfo.case = 'month';
        this.frequencyInfo.failedAfter = this.monthlyFailed;
        this.frequencyInfo.window = this.monthlyWindow;
        this.frequencyInfo.timeIn12hr = this.monthlyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.monthlyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = Math.floor(this.monthlyLifeCycleStart.getTime() / 1000);
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.continuous_failed_days = this.monthlyDeactivatedValue;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getFrequencyPlaceholder(monthlyInput) {
        const selectedMonth = this.selectedMonthly.map((ele) => {
            return this.shortMonth[ele];
        });
        let placeholder = '';
        if (monthlyInput === 1) {
            placeholder =
                '1st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 2) {
            placeholder =
                '2nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 3) {
            placeholder =
                '3rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 21 || monthlyInput === 31) {
            placeholder =
                monthlyInput +
                    'st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 22) {
            placeholder =
                monthlyInput +
                    'nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput === 23) {
            placeholder =
                monthlyInput +
                    'rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        else if (monthlyInput > 3) {
            placeholder =
                monthlyInput +
                    'th of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.monthlyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyMonthlyComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyMonthlyComponent, selector: "app-frequency-monthly", inputs: { mode: "mode", pageType: "pageType", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<!-- <p>frequency-monthly works!</p> -->\n<div class=\"frequency-monthly\">\n  <app-frequency-top\n    [id]=\"2\"\n    [inputTime]=\"monthlyInterval\"\n    [occurrenceFirst]=\"monthlyInput\"\n    [frequencyType]=\"3\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-checkbox-list\n    [id]=\"2\"\n    [listArray]=\"monthNameArray\"\n    [selectedIndex]=\"selectedMonthly\"\n    (selectedCheckbox)=\"onMonthSelected($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-checkbox-list>\n  <app-frequency-due-date\n    [id]=\"2\"\n    [mode]=\"mode\"\n    [pageName]=\"'monthly'\"\n    [deactivateValue]=\"monthlyDeactivatedValue\"\n    [isDeactivated]=\"true\"\n    [completedValue]=\"monthlyWindow\"\n    [notCompletedValue]=\"monthlyFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"2\"\n    [startDate]=\"monthlyLifeCycleStart\"\n    [endDate]=\"monthlyLifeCycleEndTime\"\n    [occurrance]=\"monthlyLifecycleOccurance\"\n    [selectedLifecycleType]=\"monthlySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-monthly{position:relative}\n"], dependencies: [{ kind: "component", type: FrequencyTopComponent, selector: "app-frequency-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay", "mode"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: ["startDate", "endDate", "endBy", "occurrance", "selectedLifecycleType", "id", "mode"], outputs: ["selectedOccurance"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "component", type: FrequencyCheckboxListComponent, selector: "app-frequency-checkbox-list", inputs: ["id", "listArray", "selectedIndex", "mode"], outputs: ["selectedCheckbox"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyMonthlyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-monthly', template: "<!-- <p>frequency-monthly works!</p> -->\n<div class=\"frequency-monthly\">\n  <app-frequency-top\n    [id]=\"2\"\n    [inputTime]=\"monthlyInterval\"\n    [occurrenceFirst]=\"monthlyInput\"\n    [frequencyType]=\"3\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-checkbox-list\n    [id]=\"2\"\n    [listArray]=\"monthNameArray\"\n    [selectedIndex]=\"selectedMonthly\"\n    (selectedCheckbox)=\"onMonthSelected($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-checkbox-list>\n  <app-frequency-due-date\n    [id]=\"2\"\n    [mode]=\"mode\"\n    [pageName]=\"'monthly'\"\n    [deactivateValue]=\"monthlyDeactivatedValue\"\n    [isDeactivated]=\"true\"\n    [completedValue]=\"monthlyWindow\"\n    [notCompletedValue]=\"monthlyFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"2\"\n    [startDate]=\"monthlyLifeCycleStart\"\n    [endDate]=\"monthlyLifeCycleEndTime\"\n    [occurrance]=\"monthlyLifecycleOccurance\"\n    [selectedLifecycleType]=\"monthlySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-monthly{position:relative}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], pageType: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyRadioListComponent {
    constructor() {
        this.radioList = [];
        this.selectedIndex = -1;
        this.name = '';
        this.mode = '';
        this.noAnimation = true;
        this.selectedRadio = new EventEmitter();
    }
    ngOnInit() {
        setTimeout(() => {
            this.noAnimation = false;
        }, 1000);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyRadioListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyRadioListComponent, selector: "app-frequency-radio-list", inputs: { radioList: "radioList", selectedIndex: "selectedIndex", name: "name", mode: "mode" }, outputs: { selectedRadio: "selectedRadio" }, ngImport: i0, template: "<div class=\"frequency-radio vx-d-flex vx-align-center\" [class.year-row]=\"radioList.length === 12\" *ngIf=\"mode !== 'policy'\">\n    <div class=\"frequency-radio-item vx-p-3 vx-d-flex vx-align-center vx-w-100\" *ngFor=\"let eachList of radioList; let i = index;\">\n        <app-cs-radio\n            [id]=\"i\" \n            [value]=\"i\" \n            [name]=\"name\"\n            [checked]=\"(selectedIndex === i)\" \n            (checkedEvent)=\"selectedRadio.emit($event)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-radio>\n    </div>\n</div>\n\n\n\n<!-- For Policy -->\n<div class=\"frequency-radio vx-d-flex vx-align-center\" [class.year-row]=\"radioList.length === 12\" *ngIf=\"mode === 'policy'\">\n    <div class=\"frequency-radio-item vx-p-3 vx-d-flex vx-align-center vx-w-100\" *ngFor=\"let eachList of radioList; let i = index;\">\n        <app-cs-radio\n            [id]=\"i\" \n            [value]=\"i\" \n            [name]=\"name\"\n            [checked]=\"(selectedIndex === i)\" \n            (checkedEvent)=\"selectedRadio.emit($event)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-radio>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-radio{background:#fff;border-radius:0 0 .25rem .25rem;border:1px solid #f1f1f1;position:relative;top:-3px}::ng-deep .frequency-radio.year-row{flex-wrap:wrap}::ng-deep .frequency-radio.year-row .frequency-radio-item{width:calc(100% / 6)!important}::ng-deep .frequency-radio.year-row .frequency-radio-item:first-of-type,::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(2),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(3),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(4),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(5),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(6){border-bottom:1px solid #f1f1f1}::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(6){border-right:none}::ng-deep .frequency-radio-item{border-right:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-radio-item:last-of-type{border-right:none}::ng-deep .frequency-radio-item app-cs-radio{display:flex}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyRadioListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-radio-list', template: "<div class=\"frequency-radio vx-d-flex vx-align-center\" [class.year-row]=\"radioList.length === 12\" *ngIf=\"mode !== 'policy'\">\n    <div class=\"frequency-radio-item vx-p-3 vx-d-flex vx-align-center vx-w-100\" *ngFor=\"let eachList of radioList; let i = index;\">\n        <app-cs-radio\n            [id]=\"i\" \n            [value]=\"i\" \n            [name]=\"name\"\n            [checked]=\"(selectedIndex === i)\" \n            (checkedEvent)=\"selectedRadio.emit($event)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-radio>\n    </div>\n</div>\n\n\n\n<!-- For Policy -->\n<div class=\"frequency-radio vx-d-flex vx-align-center\" [class.year-row]=\"radioList.length === 12\" *ngIf=\"mode === 'policy'\">\n    <div class=\"frequency-radio-item vx-p-3 vx-d-flex vx-align-center vx-w-100\" *ngFor=\"let eachList of radioList; let i = index;\">\n        <app-cs-radio\n            [id]=\"i\" \n            [value]=\"i\" \n            [name]=\"name\"\n            [checked]=\"(selectedIndex === i)\" \n            (checkedEvent)=\"selectedRadio.emit($event)\">\n            <span class=\"vx-fs-12 vx-label-txt\">{{eachList}}</span>\n        </app-cs-radio>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-radio{background:#fff;border-radius:0 0 .25rem .25rem;border:1px solid #f1f1f1;position:relative;top:-3px}::ng-deep .frequency-radio.year-row{flex-wrap:wrap}::ng-deep .frequency-radio.year-row .frequency-radio-item{width:calc(100% / 6)!important}::ng-deep .frequency-radio.year-row .frequency-radio-item:first-of-type,::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(2),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(3),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(4),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(5),::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(6){border-bottom:1px solid #f1f1f1}::ng-deep .frequency-radio.year-row .frequency-radio-item:nth-child(6){border-right:none}::ng-deep .frequency-radio-item{border-right:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-radio-item:last-of-type{border-right:none}::ng-deep .frequency-radio-item app-cs-radio{display:flex}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { radioList: [{
                type: Input
            }], selectedIndex: [{
                type: Input
            }], name: [{
                type: Input
            }], mode: [{
                type: Input
            }], selectedRadio: [{
                type: Output
            }] } });

class FrequencyQuarterlyComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.mode = '';
        this.quarterlyInterval = DEFAULT_TIME;
        this.quarterlyInput = new Date().getDate();
        this.quarterlyFailed = 5;
        this.quarterlyWindow = 7;
        this.selectedQuarterly = 1;
        this.quarterlyLifeCycleStart = new Date();
        this.quarterlyLifeCycleEndTime = new Date(this.quarterlyLifeCycleStart.getTime() + 86400000);
        this.quarterlyLifecycleOccurance = 10;
        this.quarterlySeletedLifecycleType = 2;
        this.quarterlyGroup = [0, 3, 6, 9, 1, 4, 7, 10, 2, 5, 8, 11];
        this.quarterlyArray = [];
        this.startDate = Math.floor(Date.now() / 1000);
        this.pageType = 'responsibility';
        this.lifecycleDetails = '0000-00-00~~0';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.quarterlyArray = [...new Set(this.frequencyService.quarterlyMonth)];
        const indexOfMonth = this.quarterlyGroup.indexOf(new Date().getMonth());
        this.selectedQuarterly =
            indexOfMonth < 4 ? 0 : indexOfMonth > 3 && indexOfMonth < 8 ? 1 : 2;
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 7) {
            this.populateFrequency();
        }
        this.getQuarterlyFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData.pattern.split('~');
        const month = parseInt(patternInfo[2].split(',').map(Number)[0]);
        const index = this.quarterlyGroup.indexOf(month - 1);
        this.selectedQuarterly = index < 4 ? 0 : index > 3 && index < 8 ? 1 : 2;
        const lifecycleInfo = this.frequencyData.lifecycle.split('~~');
        this.quarterlyInterval = this.frequencyData.failedTime;
        this.quarterlyWindow = this.frequencyData.window;
        this.quarterlyInput = patternInfo[1];
        if (Number(lifecycleInfo[1]) > 0) {
            this.quarterlyLifecycleOccurance = Number(lifecycleInfo[1]);
        }
        this.startDate = this.frequencyData.startDate;
        this.quarterlyLifeCycleStart = new Date(this.frequencyData.startDate * 1000);
        this.quarterlyFailed = this.frequencyData.failed;
        if (lifecycleInfo[0] !== '0000-00-00') {
            const dateSelected = moment$1(lifecycleInfo[0] + ' ' + DEFAULT_TIME, 'DD-MMMM-YYYY HH:mm a').unix();
            this.quarterlyLifeCycleEndTime = new Date(dateSelected * 1000);
        }
        this.lifecycleDetails = this.frequencyData.lifecycle;
        if (this.frequencyData.lifecycle == '0000-00-00~~0') {
            this.quarterlySeletedLifecycleType = 2;
        }
        else if (lifecycleInfo[0] !== '0000-00-00') {
            this.quarterlySeletedLifecycleType = 0;
        }
        else {
            this.quarterlySeletedLifecycleType = 1;
        }
    }
    valueChangedFirst(event) {
        this.quarterlyInput = event.value;
        this.getQuarterlyFrequency();
    }
    onTimeChanged(event) {
        this.quarterlyInterval = event;
        this.getQuarterlyFrequency();
    }
    selectedMonth(event) {
        this.selectedQuarterly = parseInt(event.target.value);
        this.getQuarterlyFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(new Date().getTime() / 1000 + 86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getQuarterlyFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.quarterlyWindow = event.value;
        }
        else {
            this.quarterlyFailed = event.value;
        }
        this.getQuarterlyFrequency();
    }
    getQuarterlyFrequency() {
        let monthSequence = this.selectedQuarterly === 0
            ? this.quarterlyGroup.slice(0, 4)
            : this.selectedQuarterly === 1
                ? this.quarterlyGroup.slice(4, 8)
                : this.quarterlyGroup.slice(8);
        this.frequencyInfo.selectedMonth = monthSequence;
        monthSequence = monthSequence.map((ele) => ele + 1);
        this.frequencyInfo.pattern =
            7 + '~' + this.quarterlyInput + '~' + monthSequence + '~' + '0';
        this.frequencyInfo.case = 'quarterly';
        this.frequencyInfo.failedAfter = this.quarterlyFailed;
        this.frequencyInfo.window = this.quarterlyWindow;
        this.frequencyInfo.timeIn12hr = this.quarterlyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.quarterlyInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.placeholder = this.getPlaceholder(Number(this.quarterlyInput));
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getPlaceholder(quarterlyInput) {
        let placeholder = '';
        if (quarterlyInput === 1) {
            placeholder =
                '1st of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 2) {
            placeholder =
                '2nd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 3) {
            placeholder =
                '3rd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 21 || quarterlyInput === 31) {
            placeholder =
                quarterlyInput +
                    'st of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 22) {
            placeholder =
                quarterlyInput +
                    'nd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput === 23) {
            placeholder =
                quarterlyInput +
                    'rd of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        else if (quarterlyInput > 3) {
            placeholder =
                quarterlyInput +
                    'th of every ' +
                    this.quarterlyArray[this.selectedQuarterly] +
                    ' by ' +
                    this.quarterlyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyQuarterlyComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyQuarterlyComponent, selector: "app-frequency-quarterly", inputs: { mode: "mode", startDate: "startDate", frequencyData: "frequencyData", pageType: "pageType" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<!-- <p>frequency-quarterly works!</p> -->\n<div class=\"frequency-quarterly\">\n  <app-frequency-top\n    [id]=\"3\"\n    [inputTime]=\"quarterlyInterval\"\n    [occurrenceFirst]=\"quarterlyInput\"\n    [frequencyType]=\"3\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-radio-list\n    [radioList]=\"quarterlyArray\"\n    [selectedIndex]=\"selectedQuarterly\"\n    (selectedRadio)=\"selectedMonth($event)\"\n    [name]=\"'quarter'\"\n    [mode]=\"mode\"\n  ></app-frequency-radio-list>\n  <app-frequency-due-date\n    [id]=\"3\"\n    [mode]=\"mode\"\n    [pageName]=\"'quarterly'\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"quarterlyWindow\"\n    [notCompletedValue]=\"quarterlyFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"1\"\n    [startDate]=\"quarterlyLifeCycleStart\"\n    [endDate]=\"quarterlyLifeCycleEndTime\"\n    [occurrance]=\"quarterlyLifecycleOccurance\"\n    [selectedLifecycleType]=\"quarterlySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-quarterly{position:relative}\n"], dependencies: [{ kind: "component", type: FrequencyTopComponent, selector: "app-frequency-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay", "mode"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: ["startDate", "endDate", "endBy", "occurrance", "selectedLifecycleType", "id", "mode"], outputs: ["selectedOccurance"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "component", type: FrequencyRadioListComponent, selector: "app-frequency-radio-list", inputs: ["radioList", "selectedIndex", "name", "mode"], outputs: ["selectedRadio"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyQuarterlyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-quarterly', template: "<!-- <p>frequency-quarterly works!</p> -->\n<div class=\"frequency-quarterly\">\n  <app-frequency-top\n    [id]=\"3\"\n    [inputTime]=\"quarterlyInterval\"\n    [occurrenceFirst]=\"quarterlyInput\"\n    [frequencyType]=\"3\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-radio-list\n    [radioList]=\"quarterlyArray\"\n    [selectedIndex]=\"selectedQuarterly\"\n    (selectedRadio)=\"selectedMonth($event)\"\n    [name]=\"'quarter'\"\n    [mode]=\"mode\"\n  ></app-frequency-radio-list>\n  <app-frequency-due-date\n    [id]=\"3\"\n    [mode]=\"mode\"\n    [pageName]=\"'quarterly'\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"quarterlyWindow\"\n    [notCompletedValue]=\"quarterlyFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"1\"\n    [startDate]=\"quarterlyLifeCycleStart\"\n    [endDate]=\"quarterlyLifeCycleEndTime\"\n    [occurrance]=\"quarterlyLifecycleOccurance\"\n    [selectedLifecycleType]=\"quarterlySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-quarterly{position:relative}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], pageType: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyBiannualComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.biannualInterval = DEFAULT_TIME;
        this.biannualInput = new Date().getDate();
        this.biannualFailed = 5;
        this.biannualWindow = 30;
        this.biannualDay = new Date().getDate();
        this.biannualLifeCycleStart = new Date();
        this.biannualLifeCycleEndTime = new Date(this.biannualLifeCycleStart.getTime() + 86400000);
        this.biannualLifecycleOccurance = 10;
        this.biannualSeletedLifecycleType = 2;
        this.biannualSelected = [];
        this.biannualLifecycle = false;
        this.monthNameArray = [];
        this.shortMonth = [];
        this.selectedMonthly = [];
        this.mode = '';
        this.pageType = 'responsibility';
        this.startDate = Math.floor(Date.now() / 1000);
        this.lifecycleDetails = '0000-00-00~~0';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.monthNameArray = [...new Set(this.frequencyService.monthArray)];
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 9) {
            this.populateFrequency();
        }
        this.getBiannualFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData.pattern.split('~');
        this.biannualSelected = patternInfo[2]
            .split(',')
            .map((ele) => Number(ele) - 1);
        const lifecycleInfo = this.frequencyData.lifecycle.split('~~');
        this.biannualInterval = this.frequencyData.failedTime;
        this.biannualWindow = this.frequencyData.window;
        this.biannualInput = patternInfo[1];
        if (Number(lifecycleInfo[1]) > 0) {
            this.biannualLifecycleOccurance = Number(lifecycleInfo[1]);
        }
        this.biannualLifeCycleStart = new Date(this.frequencyData.startDate * 1000);
        this.biannualFailed = this.frequencyData.failed;
        if (lifecycleInfo[0] !== '0000-00-00') {
            const dateSelected = moment$1(lifecycleInfo[0] + ' ' + DEFAULT_TIME, 'DD-MMMM-YYYY HH:mm a').unix();
            this.biannualLifeCycleEndTime = new Date(dateSelected * 1000);
        }
        this.lifecycleDetails = this.frequencyData.lifecycle;
        if (this.frequencyData.lifecycle == '0000-00-00~~0') {
            this.biannualSeletedLifecycleType = 2;
        }
        else if (lifecycleInfo[0] !== '0000-00-00') {
            this.biannualSeletedLifecycleType = 0;
        }
        else {
            this.biannualSeletedLifecycleType = 1;
        }
    }
    onMonthSelected(event) {
        if (event.checked) {
            this.biannualSelected.push(event.index);
        }
        else {
            this.biannualSelected = this.biannualSelected.filter((ele) => ele !== event.index);
        }
        this.getBiannualFrequency();
    }
    valueChangedFirst(event) {
        this.biannualInput = event.value;
        this.getBiannualFrequency();
    }
    onTimeChanged(event) {
        this.biannualInterval = event;
        this.getBiannualFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.biannualWindow = event.value;
        }
        else {
            this.biannualFailed = event.value;
        }
        this.getBiannualFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(new Date().getTime() / 1000 + 86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getBiannualFrequency();
    }
    getBiannualFrequency() {
        this.biannualSelected = this.biannualSelected.sort((n1, n2) => n1 - n2);
        const monthIndex = this.biannualSelected.map((ele) => ele + 1);
        this.frequencyInfo.pattern =
            9 + '~' + this.biannualInput + '~' + monthIndex.join(',') + '~0';
        this.frequencyInfo.case = 'biannual';
        this.frequencyInfo.failedAfter = this.biannualFailed;
        this.frequencyInfo.window = this.biannualWindow;
        this.frequencyInfo.timeIn12hr = this.biannualInterval;
        this.frequencyInfo.selectedMonth = this.biannualSelected;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.biannualInterval);
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyInfo.reportId = 0;
        this.frequencyInfo.placeholder = this.getFrequencyPlaceholder(Number(this.biannualInput));
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getFrequencyPlaceholder(biannualInput) {
        let placeholder = '';
        const selectedMonth = this.biannualSelected.map((ele) => {
            return this.shortMonth[ele];
        });
        if (biannualInput === 1) {
            placeholder =
                '1st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 2) {
            placeholder =
                '2nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 3) {
            placeholder =
                '3rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 21 || biannualInput === 31) {
            placeholder =
                biannualInput +
                    'st of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 22) {
            placeholder =
                biannualInput +
                    'nd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput === 23) {
            placeholder =
                biannualInput +
                    'rd of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        else if (biannualInput > 3) {
            placeholder =
                biannualInput +
                    'th of every ' +
                    selectedMonth.join(', ') +
                    ' by ' +
                    this.biannualInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyBiannualComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyBiannualComponent, selector: "app-frequency-biannual", inputs: { mode: "mode", pageType: "pageType", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<!-- <p>frequency-biannual works!</p> -->\n<div class=\"frequency-biannual\">\n  <app-frequency-top\n    [id]=\"4\"\n    [inputTime]=\"biannualInterval\"\n    [occurrenceFirst]=\"biannualInput\"\n    [frequencyType]=\"4\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-checkbox-list\n    [id]=\"4\"\n    [listArray]=\"monthNameArray\"\n    [selectedIndex]=\"biannualSelected\"\n    (selectedCheckbox)=\"onMonthSelected($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-checkbox-list>\n  <app-frequency-due-date\n    [pageName]=\"'biannual'\"\n    [mode]=\"mode\"\n    [id]=\"4\"\n    [completedValue]=\"biannualWindow\"\n    [notCompletedValue]=\"biannualFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"4\"\n    [startDate]=\"biannualLifeCycleStart\"\n    [endDate]=\"biannualLifeCycleEndTime\"\n    [occurrance]=\"biannualLifecycleOccurance\"\n    [selectedLifecycleType]=\"biannualSeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-biannual{position:relative}\n"], dependencies: [{ kind: "component", type: FrequencyTopComponent, selector: "app-frequency-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay", "mode"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: ["startDate", "endDate", "endBy", "occurrance", "selectedLifecycleType", "id", "mode"], outputs: ["selectedOccurance"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "component", type: FrequencyCheckboxListComponent, selector: "app-frequency-checkbox-list", inputs: ["id", "listArray", "selectedIndex", "mode"], outputs: ["selectedCheckbox"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyBiannualComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-biannual', template: "<!-- <p>frequency-biannual works!</p> -->\n<div class=\"frequency-biannual\">\n  <app-frequency-top\n    [id]=\"4\"\n    [inputTime]=\"biannualInterval\"\n    [occurrenceFirst]=\"biannualInput\"\n    [frequencyType]=\"4\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-checkbox-list\n    [id]=\"4\"\n    [listArray]=\"monthNameArray\"\n    [selectedIndex]=\"biannualSelected\"\n    (selectedCheckbox)=\"onMonthSelected($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-checkbox-list>\n  <app-frequency-due-date\n    [pageName]=\"'biannual'\"\n    [mode]=\"mode\"\n    [id]=\"4\"\n    [completedValue]=\"biannualWindow\"\n    [notCompletedValue]=\"biannualFailed\"\n    [pageType]=\"pageType\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"4\"\n    [startDate]=\"biannualLifeCycleStart\"\n    [endDate]=\"biannualLifeCycleEndTime\"\n    [occurrance]=\"biannualLifecycleOccurance\"\n    [selectedLifecycleType]=\"biannualSeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-biannual{position:relative}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], pageType: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyAnnualComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.monthList = [];
        this.yearlyInterval = DEFAULT_TIME;
        this.yearlyInput = 1;
        this.yearlyFailed = 5;
        this.yearlyWindow = 30;
        this.yearlyDay = new Date().getDate();
        this.yearlyLifeCycleStart = new Date();
        this.yearlyLifeCycleEndTime = new Date(this.yearlyLifeCycleStart.getTime() + 86400000);
        this.yearlyLifecycleOccurance = 10;
        this.yearlySeletedLifecycleType = 2;
        this.yearlySelected = new Date().getMonth();
        this.lifecycleDetails = '0000-00-00~~0';
        this.previousStartDate = Math.floor(Date.now() / 1000);
        this.shortMonth = [];
        this.pageType = 'responsibility';
        this.mode = '';
        this.startDate = Math.floor(Date.now() / 1000);
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.monthList = this.frequencyService.monthArray;
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 4) {
            this.populateFrequency();
        }
        this.getAnnualFrequency();
    }
    populateFrequency() {
        const patternInfo = this.frequencyData.pattern.split('~').map(Number);
        this.yearlySelected = patternInfo[2] - 1;
        const lifecycleInfo = this.frequencyData.lifecycle.split('~~');
        this.yearlyInterval = this.frequencyData.failedTime;
        this.yearlyWindow = this.frequencyData.window;
        this.yearlyInput = patternInfo[3];
        this.yearlyDay = patternInfo[1];
        if (Number(lifecycleInfo[1]) > 0) {
            this.yearlyLifecycleOccurance = Number(lifecycleInfo[1]);
        }
        this.yearlyLifeCycleStart = new Date(this.frequencyData.startDate * 1000);
        this.startDate =
            this.frequencyData.startFrom ?? this.frequencyData.startDate;
        this.yearlyFailed = this.frequencyData.failed;
        if (lifecycleInfo[0] !== '0000-00-00') {
            const dateSelected = moment$1(lifecycleInfo[0] + ' ' + DEFAULT_TIME, 'DD-MMMM-YYYY HH:mm a').unix();
            this.yearlyLifeCycleEndTime = new Date(dateSelected * 1000);
        }
        this.lifecycleDetails = this.frequencyData.lifecycle;
        if (this.frequencyData.lifecycle == '0000-00-00~~0') {
            this.yearlySeletedLifecycleType = 2;
        }
        else if (lifecycleInfo[0] !== '0000-00-00') {
            this.yearlySeletedLifecycleType = 0;
        }
        else {
            this.yearlySeletedLifecycleType = 1;
        }
    }
    onTimeChanged(event) {
        this.yearlyInterval = event;
        this.getAnnualFrequency();
    }
    dateChange(event) {
        this.yearlyDay = event;
        this.getAnnualFrequency();
    }
    valueChangedFirst(event) {
        this.yearlyInput = event.value;
        this.getAnnualFrequency();
    }
    selectedMonth(event) {
        this.yearlySelected = parseInt(event.target.value);
        this.getAnnualFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(new Date().getTime() / 1000 + 86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getAnnualFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.yearlyWindow = event.value;
        }
        else {
            this.yearlyFailed = event.value;
        }
        this.getAnnualFrequency();
    }
    // frequency pattern and details info
    getAnnualFrequency() {
        this.frequencyInfo.placeholder = this.getFrequencyPlaceholder(Number(this.yearlyInput));
        this.frequencyInfo.pattern =
            4 +
                '~' +
                this.yearlyDay +
                '~' +
                (this.yearlySelected + 1) +
                '~' +
                this.yearlyInput;
        this.frequencyInfo.case = 'yearly';
        this.frequencyInfo.failedAfter = this.yearlyFailed;
        this.frequencyInfo.window = this.yearlyWindow;
        this.frequencyInfo.timeIn12hr = this.yearlyInterval;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.yearlyInterval);
        this.frequencyInfo.selectedMonth = [this.yearlySelected];
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyInfo.reportId = 0;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getFrequencyPlaceholder(yearlyInput) {
        let placeholder = '';
        if (yearlyInput === 1) {
            placeholder = this.getPlaceholderForSt2();
        }
        else {
            placeholder = this.getPlaceholderForGt1();
        }
        return placeholder;
    }
    // if yearlyInput is smaller than 2 then this function will called
    getPlaceholderForSt2() {
        let placeholder = '';
        if (this.yearlyDay === 1) {
            placeholder =
                '1st of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 2) {
            placeholder =
                '2nd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 3) {
            placeholder =
                '3rd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay > 3) {
            placeholder =
                this.yearlyDay +
                    'th of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 31 || this.yearlyDay === 21) {
            placeholder =
                this.yearlyDay +
                    'st of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 22) {
            placeholder =
                this.yearlyDay +
                    'nd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 23) {
            placeholder =
                this.yearlyDay +
                    'rd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        return placeholder;
    }
    // if yearlyInput is greater than 1 then this function will called
    getPlaceholderForGt1() {
        let placeholder = '';
        if (this.yearlyDay === 1) {
            placeholder =
                '1st ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 2) {
            placeholder =
                '2nd ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 3) {
            placeholder =
                '3rd ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay > 3) {
            // tslint:disable-next-line: max-line-length
            placeholder =
                this.yearlyDay +
                    'th of  ' +
                    this.shortMonth[this.yearlySelected] +
                    ', Interval: every ' +
                    this.yearlyInput +
                    ' years by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 31 || this.yearlyDay === 21) {
            placeholder =
                this.yearlyDay +
                    'st of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 22) {
            placeholder =
                this.yearlyDay +
                    'nd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        if (this.yearlyDay === 23) {
            placeholder =
                this.yearlyDay +
                    'rd of every ' +
                    this.shortMonth[this.yearlySelected] +
                    ' by ' +
                    this.yearlyInterval;
        }
        return placeholder;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyAnnualComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyAnnualComponent, selector: "app-frequency-annual", inputs: { pageType: "pageType", frequencyData: "frequencyData", mode: "mode", startDate: "startDate" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<!-- <p>frequency-annual works!</p> -->\n<div class=\"frequency-annual\">\n  <app-frequency-top\n    [id]=\"5\"\n    [inputTime]=\"yearlyInterval\"\n    [occurrenceFirst]=\"yearlyInput\"\n    [yearlyDay]=\"yearlyDay\"\n    [frequencyType]=\"2\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    (yearlyDateChanged)=\"dateChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-radio-list\n    [radioList]=\"monthList\"\n    [selectedIndex]=\"yearlySelected\"\n    (selectedRadio)=\"selectedMonth($event)\"\n    [mode]=\"mode\"\n  >\n  </app-frequency-radio-list>\n  <app-frequency-due-date\n    [pageName]=\"'yearly'\"\n    [mode]=\"mode\"\n    [id]=\"5\"\n    [pageType]=\"pageType\"\n    [completedValue]=\"yearlyWindow\"\n    [notCompletedValue]=\"yearlyFailed\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"5\"\n    [startDate]=\"yearlyLifeCycleStart\"\n    [endDate]=\"yearlyLifeCycleEndTime\"\n    [occurrance]=\"yearlyLifecycleOccurance\"\n    [selectedLifecycleType]=\"yearlySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-annual{position:relative}\n"], dependencies: [{ kind: "component", type: FrequencyTopComponent, selector: "app-frequency-top", inputs: ["occurrenceFirst", "id", "inputTime", "frequencyType", "yearlyDay", "mode"], outputs: ["valueChangedFirst", "nextDisable", "timeChanged", "yearlyDateChanged"] }, { kind: "component", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: ["startDate", "endDate", "endBy", "occurrance", "selectedLifecycleType", "id", "mode"], outputs: ["selectedOccurance"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "component", type: FrequencyRadioListComponent, selector: "app-frequency-radio-list", inputs: ["radioList", "selectedIndex", "name", "mode"], outputs: ["selectedRadio"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyAnnualComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-annual', template: "<!-- <p>frequency-annual works!</p> -->\n<div class=\"frequency-annual\">\n  <app-frequency-top\n    [id]=\"5\"\n    [inputTime]=\"yearlyInterval\"\n    [occurrenceFirst]=\"yearlyInput\"\n    [yearlyDay]=\"yearlyDay\"\n    [frequencyType]=\"2\"\n    (timeChanged)=\"onTimeChanged($event)\"\n    (valueChangedFirst)=\"valueChangedFirst($event)\"\n    (yearlyDateChanged)=\"dateChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-top>\n  <app-frequency-radio-list\n    [radioList]=\"monthList\"\n    [selectedIndex]=\"yearlySelected\"\n    (selectedRadio)=\"selectedMonth($event)\"\n    [mode]=\"mode\"\n  >\n  </app-frequency-radio-list>\n  <app-frequency-due-date\n    [pageName]=\"'yearly'\"\n    [mode]=\"mode\"\n    [id]=\"5\"\n    [pageType]=\"pageType\"\n    [completedValue]=\"yearlyWindow\"\n    [notCompletedValue]=\"yearlyFailed\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n  <app-frequency-lifecycle\n    [id]=\"5\"\n    [startDate]=\"yearlyLifeCycleStart\"\n    [endDate]=\"yearlyLifeCycleEndTime\"\n    [occurrance]=\"yearlyLifecycleOccurance\"\n    [selectedLifecycleType]=\"yearlySeletedLifecycleType\"\n    (selectedOccurance)=\"lifecycleChange($event)\"\n    [mode]=\"mode\"\n  ></app-frequency-lifecycle>\n</div>\n", styles: [".frequency-annual{position:relative}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { pageType: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyOneTimeComponent {
    constructor(frequencyService, commonService) {
        this.frequencyService = frequencyService;
        this.commonService = commonService;
        this.DEFAULT_TIME = DEFAULT_TIME;
        this.datepickerOverlay = false;
        this.showDateError = false;
        this.oneTimeFailed = 5;
        this.oneTimeWindow = 15;
        this.oneTimeStartTime = DEFAULT_TIME;
        this.oneTimeSelected = '';
        this.dateConfig = {
            min: '',
        };
        this.todayDate = new Date();
        this.shortMonth = [];
        this.dateObjectData = new Date();
        this.minDate = moment$1(Date.now()).format('YYYY-MM-DD HH:mm:ss')?.split(' ')[0];
        this.pageType = 'responsibility';
        this.mode = '';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.dateConfig = this.frequencyService.dateConfig;
        this.dateConfig.min = this.frequencyService.formatDate();
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        this.selectedDate = moment$1(this.todayDate);
        if (this.frequencyData.pattern != '' &&
            this.frequencyData.pattern.split('~')[0] === '0') {
            this.populateFrequency();
        }
        else {
            this.getOneTimeFrequency();
        }
    }
    populateFrequency() {
        const patternInfo = this.frequencyData.pattern.split('~');
        const timeStamp = moment$1(`${patternInfo[3]}-${patternInfo[2]}-${patternInfo[1]} ${this.frequencyData.failedTime}`, 'DD-MM-YYYY HH:mm a').unix();
        this.todayDate = new Date(timeStamp * 1000);
        this.selectedDate = moment$1(this.todayDate);
        this.oneTimeFailed = this.frequencyData.failed;
        this.oneTimeWindow = this.frequencyData.window;
        this.oneTimeStartTime = this.frequencyData.failedTime;
        this.oneTimeSelected =
            patternInfo[1] + '~' + patternInfo[2] + '~' + patternInfo[3];
        this.dateObjectData = new Date(moment$1(this.oneTimeSelected + ' ' + this.oneTimeStartTime, 'YYYY~MM~DD HH:mm:ss').unix() * 1000);
        this.getOneTimeFrequency();
    }
    openDatePicker() {
        const newDate = moment$1(this.todayDate);
        this.datePicker?.api?.moveCalendarTo(newDate);
        this.datePicker?.api?.open();
        this.datepickerOverlay = true;
    }
    closeDatepicker() {
        this.datePicker?.api?.close();
        this.datepickerOverlay = false;
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.oneTimeWindow = event?.value;
        }
        else {
            this.oneTimeFailed = event?.value;
        }
        this.closeDatepicker();
        this.getOneTimeFrequency();
    }
    onTimeChanged(event) {
        this.oneTimeStartTime = event;
        if (typeof this.dateObjectData == 'object') {
            this.dateObjectData = moment$1(this.dateObjectData)?.toDate();
        }
        let timeStamp = moment$1(this.dateObjectData.getDate() +
            '-' +
            (this.dateObjectData.getMonth() + 1) +
            '-' +
            this.dateObjectData.getFullYear() +
            ' ' +
            this.oneTimeStartTime, 'DD-MM-YYYY hh:mm a').unix();
        this.oneTimeSelected = moment$1(timeStamp * 1000)
            .format('YYYY~MM~DDTHH:mm:ssZ')
            .split('T')[0];
        this.getOneTimeFrequency();
    }
    dateChange(event) {
        this.selectedDate = event?.date;
        const newDate = moment$1(event?.date?.$d).unix();
        this.dateObjectData = new Date(newDate * 1000);
        this.todayDate = this.dateObjectData;
        let timeStamp = moment$1(this.dateObjectData.getDate() +
            '-' +
            (this.dateObjectData.getMonth() + 1) +
            '-' +
            this.dateObjectData.getFullYear() +
            ' ' +
            this.oneTimeStartTime, 'DD-MM-YYYY hh:mm a').unix();
        this.oneTimeSelected = event.date
            .format('YYYY~MM~DDTHH:mm:ssZ')
            .split('T')[0];
        this.getOneTimeFrequency();
    }
    getOneTimeFrequency() {
        if (this.oneTimeSelected !== '') {
            this.todayDate = moment$1(this.todayDate)?.toDate();
        }
        this.selectedDate = moment$1(this.todayDate);
        // tslint:disable-next-line: max-line-length
        this.frequencyInfo.placeholder =
            'One Time ' +
                this.todayDate.getDate() +
                ' ' +
                this.shortMonth[this.todayDate.getMonth()] +
                ' ' +
                this.todayDate.getFullYear() +
                ' by ' +
                this.oneTimeStartTime;
        this.frequencyInfo.pattern =
            0 +
                '~' +
                (this.oneTimeSelected === ''
                    ? new Date().getFullYear() +
                        '~' +
                        (new Date().getMonth() + 1) +
                        '~' +
                        new Date().getDate()
                    : this.oneTimeSelected);
        this.frequencyInfo.case = 'oneTime';
        this.frequencyInfo.failedAfter = this.oneTimeFailed;
        this.frequencyInfo.window = this.oneTimeWindow;
        this.frequencyInfo.timeIn12hr = this.oneTimeStartTime;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.oneTimeStartTime);
        this.frequencyInfo.failed_time_utc = 0;
        this.frequencyInfo.reportId = 0;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    timeSelection(event) {
        const selectedValue = event.selectedValue;
        this.onTimeChanged(selectedValue);
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'frequency-date',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datepickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyOneTimeComponent, deps: [{ token: FrequencyService }, { token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyOneTimeComponent, selector: "app-frequency-one-time", inputs: { pageType: "pageType", frequencyData: "frequencyData", mode: "mode" }, outputs: { frequencyDetails: "frequencyDetails" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: "<ng-container *ngIf=\"mode !== 'policy'\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-onetime\">\n    <div class=\"frequency-onetime-inner vx-d-flex vx-align-center vx-p-3\">\n      <div class=\"date-field vx-m-0 vx-mr-3\">\n        <i class=\"icons calendar-icon vx-fs-16 vx-paragraph-txt vx-mr-3\"\n          >&#xe92d;</i\n        >\n        <input\n          type=\"text\"\n          id=\"frequency-date\"\n          [value]=\"todayDate | date : 'dd MMM yyyy'\"\n          [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n          (click)=\"openDatePicker()\"\n          readonly\n        />\n      </div>\n\n      <div class=\"time-picker-group vx-d-flex\">\n        <div\n          class=\"time-field\"\n          appPopover\n          (click)=\"timePicker.popover()\"\n          placement=\"right\"\n        >\n          <input class=\"input\" [placeholder]=\"oneTimeStartTime\" readonly />\n          <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n            <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n          </div>\n        </div>\n        <app-popover #timePicker [dontCloseonClick]=\"true\">\n          <app-time-picker\n            [time]=\"oneTimeStartTime\"\n            (onTimeSelection)=\"\n              timeSelection($event); timePicker.closePopover('top')\n            \"\n          ></app-time-picker>\n        </app-popover>\n      </div>\n    </div>\n    <app-frequency-due-date\n      [id]=\"6\"\n      [mode]=\"mode\"\n      [pageName]=\"'one-time'\"\n      [isDeactivated]=\"false\"\n      [completedValue]=\"oneTimeWindow\"\n      [notCompletedValue]=\"oneTimeFailed\"\n      (valueChange)=\"onValueChange($event)\"\n    ></app-frequency-due-date>\n  </div>\n</ng-container>\n\n<!-- For Policy -->\n<ng-container *ngIf=\"mode === 'policy'\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-onetime\">\n    <div class=\"frequency-onetime-inner vx-d-flex vx-align-center vx-p-3\">\n      <div class=\"date-field vx-m-0 vx-mr-3\">\n        <i class=\"icons calendar-icon vx-fs-16 vx-paragraph-txt vx-mr-3\"\n          >&#xe92d;</i\n        >\n        <input\n          type=\"text\"\n          [value]=\"todayDate | date : 'dd MMM yyyy'\"\n          [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n          (click)=\"openDatePicker()\"\n          readonly\n          id=\"frequency-date\"\n        />\n      </div>\n\n      <div class=\"time-picker-group vx-d-flex\">\n        <div\n          class=\"time-field\"\n          appPopover\n          (click)=\"policyTimePicker.popover()\"\n          placement=\"right\"\n        >\n          <input\n            type=\"text\"\n            [(ngModel)]=\"oneTimeStartTime\"\n            [placeholder]=\"DEFAULT_TIME\"\n            readonly\n          />\n          <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n            <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n          </div>\n        </div>\n        <app-popover #policyTimePicker [dontCloseonClick]=\"true\">\n          <app-time-picker\n            [time]=\"oneTimeStartTime\"\n            (onTimeSelection)=\"\n              timeSelection($event); policyTimePicker.closePopover('top')\n            \"\n          ></app-time-picker>\n        </app-popover>\n      </div>\n    </div>\n    <app-frequency-due-date\n      [id]=\"6\"\n      [mode]=\"mode\"\n      [pageName]=\"'one-time'\"\n      [isDeactivated]=\"false\"\n      [completedValue]=\"oneTimeWindow\"\n      [notCompletedValue]=\"oneTimeFailed\"\n      [pageType]=\"pageType\"\n      (valueChange)=\"onValueChange($event)\"\n    ></app-frequency-due-date>\n  </div>\n</ng-container>\n\n<dp-date-picker\n  #datePicker\n  [id]=\"'start-date-' + 6\"\n  [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n  [(ngModel)]=\"selectedDate\"\n  [config]=\"dateConfig\"\n  (onSelect)=\"\n    openDatePicker();\n    dateChange($event);\n    showDateError = false;\n    datepickerOverlay = false\n  \"\n></dp-date-picker>\n<div\n  class=\"vx-overlay\"\n  (click)=\"closeDatepicker()\"\n  *ngIf=\"datepickerOverlay\"\n></div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-onetime{position:relative}::ng-deep .frequency-onetime-inner{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-onetime-inner .date-field{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;position:relative;width:12.25rem;height:2rem}::ng-deep .frequency-onetime-inner .date-field .calendar-icon{position:absolute;top:7px;left:.5rem}::ng-deep .frequency-onetime-inner .date-field input{background:transparent;border-radius:0;border:none;color:#747576;font-size:11px;padding:.5rem .5rem .5rem 2.25rem;margin:0;position:absolute;top:0;left:0;width:100%;height:100%;cursor:pointer}::ng-deep .frequency-onetime-inner .time-picker-group{background:#fff;border-radius:.25rem;display:flex;position:relative}::ng-deep .frequency-onetime-inner .time-picker-group input{background:transparent;border-radius:.25rem;border:1px solid #DBDBDB;color:#747576;font-size:13px;font-weight:400;width:6.25rem;padding:0 .75rem;margin:0;height:2rem;outline:none;position:relative;z-index:1;cursor:pointer}::ng-deep .frequency-onetime-inner .time-picker-group input::placeholder{color:#747576}::ng-deep .frequency-onetime-inner .time-picker-group .time-field{position:relative;cursor:pointer}::ng-deep .frequency-onetime-inner .time-picker-group .time-field .clock-icon{height:2rem;width:.75rem;position:absolute;right:.75rem;top:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "component", type: TimePickerComponent, selector: "app-time-picker", inputs: ["time"], outputs: ["onTimeSelection"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyOneTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-one-time', template: "<ng-container *ngIf=\"mode !== 'policy'\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-onetime\">\n    <div class=\"frequency-onetime-inner vx-d-flex vx-align-center vx-p-3\">\n      <div class=\"date-field vx-m-0 vx-mr-3\">\n        <i class=\"icons calendar-icon vx-fs-16 vx-paragraph-txt vx-mr-3\"\n          >&#xe92d;</i\n        >\n        <input\n          type=\"text\"\n          id=\"frequency-date\"\n          [value]=\"todayDate | date : 'dd MMM yyyy'\"\n          [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n          (click)=\"openDatePicker()\"\n          readonly\n        />\n      </div>\n\n      <div class=\"time-picker-group vx-d-flex\">\n        <div\n          class=\"time-field\"\n          appPopover\n          (click)=\"timePicker.popover()\"\n          placement=\"right\"\n        >\n          <input class=\"input\" [placeholder]=\"oneTimeStartTime\" readonly />\n          <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n            <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n          </div>\n        </div>\n        <app-popover #timePicker [dontCloseonClick]=\"true\">\n          <app-time-picker\n            [time]=\"oneTimeStartTime\"\n            (onTimeSelection)=\"\n              timeSelection($event); timePicker.closePopover('top')\n            \"\n          ></app-time-picker>\n        </app-popover>\n      </div>\n    </div>\n    <app-frequency-due-date\n      [id]=\"6\"\n      [mode]=\"mode\"\n      [pageName]=\"'one-time'\"\n      [isDeactivated]=\"false\"\n      [completedValue]=\"oneTimeWindow\"\n      [notCompletedValue]=\"oneTimeFailed\"\n      (valueChange)=\"onValueChange($event)\"\n    ></app-frequency-due-date>\n  </div>\n</ng-container>\n\n<!-- For Policy -->\n<ng-container *ngIf=\"mode === 'policy'\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-onetime\">\n    <div class=\"frequency-onetime-inner vx-d-flex vx-align-center vx-p-3\">\n      <div class=\"date-field vx-m-0 vx-mr-3\">\n        <i class=\"icons calendar-icon vx-fs-16 vx-paragraph-txt vx-mr-3\"\n          >&#xe92d;</i\n        >\n        <input\n          type=\"text\"\n          [value]=\"todayDate | date : 'dd MMM yyyy'\"\n          [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n          (click)=\"openDatePicker()\"\n          readonly\n          id=\"frequency-date\"\n        />\n      </div>\n\n      <div class=\"time-picker-group vx-d-flex\">\n        <div\n          class=\"time-field\"\n          appPopover\n          (click)=\"policyTimePicker.popover()\"\n          placement=\"right\"\n        >\n          <input\n            type=\"text\"\n            [(ngModel)]=\"oneTimeStartTime\"\n            [placeholder]=\"DEFAULT_TIME\"\n            readonly\n          />\n          <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n            <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n          </div>\n        </div>\n        <app-popover #policyTimePicker [dontCloseonClick]=\"true\">\n          <app-time-picker\n            [time]=\"oneTimeStartTime\"\n            (onTimeSelection)=\"\n              timeSelection($event); policyTimePicker.closePopover('top')\n            \"\n          ></app-time-picker>\n        </app-popover>\n      </div>\n    </div>\n    <app-frequency-due-date\n      [id]=\"6\"\n      [mode]=\"mode\"\n      [pageName]=\"'one-time'\"\n      [isDeactivated]=\"false\"\n      [completedValue]=\"oneTimeWindow\"\n      [notCompletedValue]=\"oneTimeFailed\"\n      [pageType]=\"pageType\"\n      (valueChange)=\"onValueChange($event)\"\n    ></app-frequency-due-date>\n  </div>\n</ng-container>\n\n<dp-date-picker\n  #datePicker\n  [id]=\"'start-date-' + 6\"\n  [placeholder]=\"todayDate | date : 'dd MMM yyyy'\"\n  [(ngModel)]=\"selectedDate\"\n  [config]=\"dateConfig\"\n  (onSelect)=\"\n    openDatePicker();\n    dateChange($event);\n    showDateError = false;\n    datepickerOverlay = false\n  \"\n></dp-date-picker>\n<div\n  class=\"vx-overlay\"\n  (click)=\"closeDatepicker()\"\n  *ngIf=\"datepickerOverlay\"\n></div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-onetime{position:relative}::ng-deep .frequency-onetime-inner{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-onetime-inner .date-field{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;position:relative;width:12.25rem;height:2rem}::ng-deep .frequency-onetime-inner .date-field .calendar-icon{position:absolute;top:7px;left:.5rem}::ng-deep .frequency-onetime-inner .date-field input{background:transparent;border-radius:0;border:none;color:#747576;font-size:11px;padding:.5rem .5rem .5rem 2.25rem;margin:0;position:absolute;top:0;left:0;width:100%;height:100%;cursor:pointer}::ng-deep .frequency-onetime-inner .time-picker-group{background:#fff;border-radius:.25rem;display:flex;position:relative}::ng-deep .frequency-onetime-inner .time-picker-group input{background:transparent;border-radius:.25rem;border:1px solid #DBDBDB;color:#747576;font-size:13px;font-weight:400;width:6.25rem;padding:0 .75rem;margin:0;height:2rem;outline:none;position:relative;z-index:1;cursor:pointer}::ng-deep .frequency-onetime-inner .time-picker-group input::placeholder{color:#747576}::ng-deep .frequency-onetime-inner .time-picker-group .time-field{position:relative;cursor:pointer}::ng-deep .frequency-onetime-inner .time-picker-group .time-field .clock-icon{height:2rem;width:.75rem;position:absolute;right:.75rem;top:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}.vx-overlay{position:fixed;z-index:1;inset:0}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }, { type: CommonService }]; }, propDecorators: { datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], pageType: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], mode: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class FrequencyRandomComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.mode = '';
        //0: weekly 1: monthly 2:quarterly 3: yearly
        this.monthNameArray = [];
        this.selectedMonthly = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11];
        this.randomTypeMax = [3, 10, 30, 90];
        this.randomType = ['Weekly', 'Monthly', 'Quarterly', 'Yearly'];
        this.randomInstances = 0;
        this.defaultRandomInstance = [2, 5, 15, 45];
        this.randomlyDay = new Date().getDate();
        this.randomlyLifeCycleStart = new Date();
        this.randomlyLifeCycleEndTime = new Date(this.randomlyLifeCycleStart.getTime() + 86400000);
        this.randomlyLifecycleOccurance = 10;
        this.randomlySeletedLifecycleType = 2;
        this.randomTypeSelected = 0;
        this.randomWindow = 2;
        this.randomFailed = 2;
        this.randomMonthSelected = [];
        this.randomQuarterlySelected = 1;
        this.quarterlyGroup = [0, 3, 6, 9, 1, 4, 7, 10, 2, 5, 8, 11];
        this.randomTypeInstances = [2, 5, 15, 45];
        this.shortMonth = [];
        this.quarterlyMonth = [];
        this.startDate = Math.floor(Date.now() / 1000);
        this.lifecycleDetails = '0000-00-00~~0';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.monthNameArray = [...new Set(this.frequencyService.monthArray)];
        this.quarterlyMonth = [...new Set(this.frequencyService.quarterlyMonth)];
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        const indexOfMonth = this.quarterlyGroup.indexOf(new Date().getMonth());
        this.randomQuarterlySelected =
            indexOfMonth < 4 ? 0 : indexOfMonth > 3 && indexOfMonth < 8 ? 1 : 2;
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 8) {
            this.populateFrequency();
        }
        else {
            this.getRandomInstances();
        }
        this.getRandomFrequency();
    }
    getRandomInstances() {
        this.randomInstances = this.randomTypeInstances[this.randomTypeSelected];
    }
    populateFrequency() {
        const frequencySelected = this.frequencyData.pattern.split('~');
        const lifecycleInfo = this.frequencyData.lifecycle.split('~~');
        this.randomWindow = this.frequencyData.window;
        this.randomFailed = this.frequencyData.failed;
        this.randomInstances = parseInt(frequencySelected[3]);
        this.randomTypeSelected = parseInt(frequencySelected[1]) - 1;
        if (this.randomTypeSelected === 1) {
            this.selectedMonthly = frequencySelected[2]
                .split(',')
                .map((ele) => parseInt(ele) - 1);
        }
        if (this.randomTypeSelected == 2) {
            const monthRandom = parseInt(frequencySelected[2].split(',')[0]);
            const indexRandom = this.quarterlyGroup.indexOf(monthRandom - 1);
            this.randomQuarterlySelected =
                indexRandom < 4 ? 0 : indexRandom > 3 && indexRandom < 8 ? 1 : 2;
        }
        this.randomlyLifeCycleStart = new Date(this.frequencyData.startDate * 1000);
        this.startDate =
            this.frequencyData.startFrom ?? this.frequencyData.startDate;
        if (Number(lifecycleInfo[1]) > 0) {
            this.randomlyLifecycleOccurance = Number(lifecycleInfo[1]);
        }
        this.lifecycleDetails = this.frequencyData.lifecycle;
        if (lifecycleInfo[0] !== '0000-00-00') {
            const dateSelected = moment$1(lifecycleInfo[0] + ' ' + DEFAULT_TIME, 'DD-MMMM-YYYY HH:mm a').unix();
            this.randomlyLifeCycleEndTime = new Date(dateSelected * 1000);
        }
        if (this.frequencyData.lifecycle == '0000-00-00~~0') {
            this.randomlySeletedLifecycleType = 2;
        }
        else if (lifecycleInfo[0] !== '0000-00-00') {
            this.randomlySeletedLifecycleType = 0;
        }
        else {
            this.randomlySeletedLifecycleType = 1;
        }
    }
    onMonthSelected(event) {
        if (event.checked) {
            this.selectedMonthly.push(event.index);
        }
        else {
            this.selectedMonthly = this.selectedMonthly.filter((ele) => ele !== event.index);
        }
        this.getRandomFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.randomWindow = event.value;
        }
        else {
            this.randomFailed = event.value;
        }
        this.getRandomFrequency();
    }
    randomChecked(event) {
        this.randomTypeSelected = Number(event.target.value);
        this.getRandomInstances();
        this.getRandomFrequency();
    }
    randomInstance(event, type) {
        if (!Number.isNaN(Number(event.target.value)) &&
            event.target.value !== '0' &&
            parseInt(event.target.value) > 0 &&
            parseInt(event.target.value) < this.randomTypeMax[type] + 1) {
        }
        else {
            this.randomInstances =
                this.defaultRandomInstance[this.randomTypeSelected];
        }
        this.getRandomFrequency();
    }
    lifecycleChange(event) {
        switch (event.type) {
            case 0:
                this.lifecycleDetails = event.endsBy + '~~0';
                break;
            case 1:
                this.lifecycleDetails = '0000-00-00~~' + event.endafter;
                break;
            case 2:
                this.lifecycleDetails = '0000-00-00~~0';
                break;
        }
        if (event.startFrom.toString().length > 10) {
            this.startDate = Math.floor(event.startFrom / 1000);
        }
        else {
            this.startDate = Math.floor(event.startFrom);
        }
        let endByDate = Math.floor(new Date().getTime() / 1000 + 86400000);
        if (event.type === 0) {
            endByDate = event.endsBy
                ? moment$1(event.endsBy + ' 00:00:00', 'DD-MMM-YYYY HH:mm:ss').unix()
                : endByDate;
        }
        this.frequencyInfo.failed_time_utc = endByDate;
        this.getRandomFrequency();
    }
    selectedMonth(event) {
        this.getRandomFrequency();
    }
    randomQuarterlyChecked(event) {
        this.randomQuarterlySelected = Number(event.target.value);
        this.getRandomFrequency();
    }
    getRandomFrequency() {
        //0: weekly 1: monthly 2:quarterly 3: yearly
        let frequencyDetails;
        switch (this.randomTypeSelected) {
            case 0:
                frequencyDetails = this.getWeeklyFrequency();
                break;
            case 1:
                frequencyDetails = this.getMonthlyFrequency();
                break;
            case 2:
                frequencyDetails = this.getQuarterlyFrequency();
                break;
            case 3:
                frequencyDetails = this.getYearlyFrequency();
                break;
        }
        this.frequencyInfo.pattern = frequencyDetails?.pattern;
        this.frequencyInfo.placeholder = frequencyDetails?.placeholder;
        this.frequencyInfo.case = 'randomly';
        this.frequencyInfo.failedAfter = this.randomFailed;
        this.frequencyInfo.window = this.randomWindow;
        this.frequencyInfo.selectedMonth = this.selectedMonthly;
        this.frequencyInfo.lifecycleDetails = this.lifecycleDetails;
        this.frequencyInfo.startFrom = this.startDate;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    getWeeklyFrequency() {
        return {
            pattern: 8 + '~' + 1 + '~' + 0 + '~' + this.randomInstances,
            placeholder: 'Every week for ' + this.randomInstances + ' random instances',
        };
    }
    getMonthlyFrequency() {
        this.selectedMonthly = this.selectedMonthly.sort((n1, n2) => n1 - n2);
        const selectedMonth = this.selectedMonthly.map((ele) => {
            return this.shortMonth[ele];
        });
        const monthIndex = this.selectedMonthly.map((ele) => ele + 1);
        return {
            pattern: 8 + '~' + 2 + '~' + monthIndex.join(',') + '~' + this.randomInstances,
            placeholder: 'Every ' +
                selectedMonth.join(', ') +
                ' for ' +
                this.randomInstances +
                ' random instances',
        };
    }
    getQuarterlyFrequency() {
        let monthSequence = this.randomQuarterlySelected === 0
            ? this.quarterlyGroup.slice(0, 4)
            : this.randomQuarterlySelected === 1
                ? this.quarterlyGroup.slice(4, 8)
                : this.quarterlyGroup.slice(8);
        monthSequence = monthSequence.map((ele) => ele + 1);
        return {
            pattern: 8 + '~' + 3 + '~' + monthSequence + '~' + this.randomInstances,
            placeholder: 'Every ' +
                this.quarterlyMonth[this.randomQuarterlySelected] +
                ' for ' +
                this.randomInstances +
                ' random instances',
        };
    }
    getYearlyFrequency() {
        return {
            pattern: 8 + '~' + 4 + '~1,2,3,4,5,6,7,8,9,10,11,12~' + this.randomInstances,
            placeholder: 'Every year for ' + this.randomInstances + ' random instances',
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyRandomComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyRandomComponent, selector: "app-frequency-random", inputs: { mode: "mode", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<!-- <p>frequency-random works!</p> -->\n<div class=\"frequency-random\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">TYPE:</div> \n    <app-frequency-radio-list\n    [radioList]=\"randomType\" \n    [selectedIndex]=\"randomTypeSelected\" \n    (selectedRadio)=\"randomChecked($event)\"\n    [name]=\"'random'\"\n    class=\"random-radio\"\n    [mode]=\"mode\"\n    ></app-frequency-radio-list>\n    <app-frequency-radio-list\n        *ngIf=\"randomTypeSelected == 2\"  \n        [radioList]=\"quarterlyMonth\"\n        [name]=\"'quarter'\" \n        [selectedIndex]=\"randomQuarterlySelected\" \n        (selectedRadio)=\"randomQuarterlyChecked($event)\"\n        class=\"quarterly-radio\"\n        [mode]=\"mode\"\n        >\n    </app-frequency-radio-list>\n    <app-frequency-checkbox-list\n        *ngIf=\"randomTypeSelected == 1\"  \n        [id]=\"8\"\n        [listArray]=\"monthNameArray\"\n        [selectedIndex]=\"selectedMonthly\"\n        (selectedCheckbox)=\"onMonthSelected($event)\"\n        class=\"monthly-checkbox\"\n        [mode]=\"mode\"\n    ></app-frequency-checkbox-list>\n    <div class=\"frequency-random-message vx-p-3 vx-d-flex vx-align-center\">\n        <div class=\"vx-fs-13 vx-paragraph-txt\">Random occurrence for</div>\n        <input class=\"countNum\" type=\"number\" [(ngModel)]=\"randomInstances\" (change)=\"randomInstance($event, randomTypeSelected)\" onkeydown=\"return event.keyCode !== 190\" min=\"0\" oninput=\"this.value = Math.abs(this.value)\">\n        <div class=\"vx-fs-13 vx-paragraph-txt\">instances. Note, the maximum number of occurrences for <span class=\"vx-fw-500\">{{ randomType[randomTypeSelected].toLowerCase() }}</span> is {{ randomTypeMax[randomTypeSelected] }}.</div>\n    </div>\n    <app-frequency-due-date\n        [id] = '8'\n        [pageName]=\"'random'\"\n        [mode]=\"mode\"\n        [isDeactivated]=\"false\"\n        [completedValue]=\"randomWindow\"\n        [notCompletedValue]=\"randomFailed\"\n        (valueChange)=\"onValueChange($event)\"\n        [mode]=\"mode\"\n    ></app-frequency-due-date>\n    <app-frequency-lifecycle\n        [id]=\"8\"\n        [startDate]=\"randomlyLifeCycleStart\"\n        [endDate]=\"randomlyLifeCycleEndTime\"\n        [occurrance]=\"randomlyLifecycleOccurance\"\n        [selectedLifecycleType]=\"randomlySeletedLifecycleType\"\n        (selectedOccurance)=\"lifecycleChange($event)\"\n        [mode]=\"mode\"\n    ></app-frequency-lifecycle>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-random{position:relative}::ng-deep .frequency-random-message{background:#fff;border-radius:0 0 .25rem .25rem;border:1px solid #f1f1f1;position:relative;top:-5px}::ng-deep .frequency-random-message input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-random-message input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-random-message input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-random app-frequency-radio-list.random-radio .frequency-radio{top:0}::ng-deep .frequency-random app-frequency-radio-list.random-radio .frequency-radio-item{border-right:none;height:3.5rem;width:auto!important;margin-right:.25rem}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: FrequencyLifecycleComponent, selector: "app-frequency-lifecycle", inputs: ["startDate", "endDate", "endBy", "occurrance", "selectedLifecycleType", "id", "mode"], outputs: ["selectedOccurance"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "component", type: FrequencyCheckboxListComponent, selector: "app-frequency-checkbox-list", inputs: ["id", "listArray", "selectedIndex", "mode"], outputs: ["selectedCheckbox"] }, { kind: "component", type: FrequencyRadioListComponent, selector: "app-frequency-radio-list", inputs: ["radioList", "selectedIndex", "name", "mode"], outputs: ["selectedRadio"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyRandomComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-random', template: "<!-- <p>frequency-random works!</p> -->\n<div class=\"frequency-random\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">TYPE:</div> \n    <app-frequency-radio-list\n    [radioList]=\"randomType\" \n    [selectedIndex]=\"randomTypeSelected\" \n    (selectedRadio)=\"randomChecked($event)\"\n    [name]=\"'random'\"\n    class=\"random-radio\"\n    [mode]=\"mode\"\n    ></app-frequency-radio-list>\n    <app-frequency-radio-list\n        *ngIf=\"randomTypeSelected == 2\"  \n        [radioList]=\"quarterlyMonth\"\n        [name]=\"'quarter'\" \n        [selectedIndex]=\"randomQuarterlySelected\" \n        (selectedRadio)=\"randomQuarterlyChecked($event)\"\n        class=\"quarterly-radio\"\n        [mode]=\"mode\"\n        >\n    </app-frequency-radio-list>\n    <app-frequency-checkbox-list\n        *ngIf=\"randomTypeSelected == 1\"  \n        [id]=\"8\"\n        [listArray]=\"monthNameArray\"\n        [selectedIndex]=\"selectedMonthly\"\n        (selectedCheckbox)=\"onMonthSelected($event)\"\n        class=\"monthly-checkbox\"\n        [mode]=\"mode\"\n    ></app-frequency-checkbox-list>\n    <div class=\"frequency-random-message vx-p-3 vx-d-flex vx-align-center\">\n        <div class=\"vx-fs-13 vx-paragraph-txt\">Random occurrence for</div>\n        <input class=\"countNum\" type=\"number\" [(ngModel)]=\"randomInstances\" (change)=\"randomInstance($event, randomTypeSelected)\" onkeydown=\"return event.keyCode !== 190\" min=\"0\" oninput=\"this.value = Math.abs(this.value)\">\n        <div class=\"vx-fs-13 vx-paragraph-txt\">instances. Note, the maximum number of occurrences for <span class=\"vx-fw-500\">{{ randomType[randomTypeSelected].toLowerCase() }}</span> is {{ randomTypeMax[randomTypeSelected] }}.</div>\n    </div>\n    <app-frequency-due-date\n        [id] = '8'\n        [pageName]=\"'random'\"\n        [mode]=\"mode\"\n        [isDeactivated]=\"false\"\n        [completedValue]=\"randomWindow\"\n        [notCompletedValue]=\"randomFailed\"\n        (valueChange)=\"onValueChange($event)\"\n        [mode]=\"mode\"\n    ></app-frequency-due-date>\n    <app-frequency-lifecycle\n        [id]=\"8\"\n        [startDate]=\"randomlyLifeCycleStart\"\n        [endDate]=\"randomlyLifeCycleEndTime\"\n        [occurrance]=\"randomlyLifecycleOccurance\"\n        [selectedLifecycleType]=\"randomlySeletedLifecycleType\"\n        (selectedOccurance)=\"lifecycleChange($event)\"\n        [mode]=\"mode\"\n    ></app-frequency-lifecycle>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-random{position:relative}::ng-deep .frequency-random-message{background:#fff;border-radius:0 0 .25rem .25rem;border:1px solid #f1f1f1;position:relative;top:-5px}::ng-deep .frequency-random-message input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem;outline:none}::ng-deep .frequency-random-message input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-random-message input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-random app-frequency-radio-list.random-radio .frequency-radio{top:0}::ng-deep .frequency-random app-frequency-radio-list.random-radio .frequency-radio-item{border-right:none;height:3.5rem;width:auto!important;margin-right:.25rem}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class rcTreeToolTipPipe {
    transform(value, ...args) {
        let data = cloneDeep(value);
        if (args[0]) {
            data = data?.reverse();
        }
        if (value?.length) {
            return data?.join(' < ');
        }
        else {
            return '';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: rcTreeToolTipPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: rcTreeToolTipPipe, name: "rcTreeToolTip" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: rcTreeToolTipPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'rcTreeToolTip'
                }]
        }] });

class FrequencyResponsibilityListComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.selectedResponsibilityDetails = [];
        this.animation = false;
        this.ASSETS = ASSETS;
        this.backButton = new EventEmitter();
        this.selectedResponsibility = new EventEmitter();
        this.responsibilitiesData = {};
        this.responsibilityLoader = false;
        this.selectedResponsibilityId = [];
        this.currentTab = 1;
        this.responsibilityTabs = [
            { name: 'REGULATIONS', type: 1 },
            { name: 'STANDARDS', type: 2 },
            { name: 'INTERNAL CONTROLS', type: 3 },
            { name: 'OTHERS', type: 0 },
        ];
        this.responsibilityTabCount = {
            regulationCount: 0,
            standardCount: 0,
            internalCount: 0,
            othersCount: 0,
        };
        this.responsibilitySearchText = '';
        this.responsibilityCurrentPage = 1;
        this.isValidObj = false;
        this.responsibilityPayload = {
            type: 'active',
            paginationType: 'large',
            a: '',
            searchText: '',
            filterData: {
                appList: [],
                riskIds: [],
                reviewerId: [],
                responsibilityCenter: [],
                entrustedBy: [],
                entrustedTo: [],
                responsibilityCategory: [],
                complianceType: [1],
            },
            pageNo: 1,
            sortObj: {
                sortBy: '',
                type: '',
            },
            pageName: 'overview',
        };
        this.regulationCount = 0;
        this.standardsCount = 0;
        this.internalsCount = 0;
        this.othersCount = 0;
        this.isOnCompletionRc = false;
    }
    ngOnInit() {
        this.featureFlagInitialization();
        if (this.selectedResponsibilityDetails) {
            this.selectedResponsibilityId[0] = Object.keys(this.selectedResponsibilityDetails)?.length
                ? this.selectedResponsibilityDetails?.ReportId
                : [];
            this.selectedResponsibilityValues = Object.keys(this.selectedResponsibilityDetails)?.length
                ? this.selectedResponsibilityDetails
                : {};
            this.isValidObj = this.selectedResponsibilityDetails
                ? Object.keys(this.selectedResponsibilityDetails)?.length > 0
                : false;
        }
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        // this.filterByResponsibilityType(2);
        // this.filterByResponsibilityType(3);
        // this.filterByResponsibilityType(0);
        // this.filterByResponsibilityType(1);
        this.getResponsibilityList();
        this.setResponsibilitiesCount();
    }
    back() {
        this.backButton.emit('backToOnCompletion');
    }
    filterByResponsibilityType(type) {
        this.responsibilityPayload.filterData.complianceType = [];
        this.responsibilityPayload.filterData.complianceType.push(type);
        this.frequencyService
            ?.getResponsibilityList(this.responsibilityPayload)
            .subscribe((res) => {
            this.responsibilityList = res[0];
            if (this.responsibilityList) {
                switch (type) {
                    case 0:
                        this.othersCount =
                            this.responsibilityList['total_responsibilities'];
                        break;
                    case 1:
                        this.regulationCount =
                            this.responsibilityList['total_responsibilities'];
                        break;
                    case 2:
                        this.standardsCount =
                            this.responsibilityList['total_responsibilities'];
                        break;
                    case 3:
                        this.internalsCount =
                            this.responsibilityList['total_responsibilities'];
                        break;
                    default:
                        break;
                }
            }
        });
    }
    getResponsibilityList() {
        this.responsibilityLoader = true;
        this.frequencyService
            ?.getResponsibilityList(this.responsibilityPayload)
            .subscribe((res) => {
            this.responsibilitiesData = res[0];
            this.responsibilityLoader = false;
        });
    }
    responsibilityPageChange(pageNumber) {
        this.responsibilityCurrentPage = pageNumber;
        this.responsibilityPayload.pageNo = this.responsibilityCurrentPage;
        this.responsibilityPayload.searchText = this.responsibilitySearchText;
        this.getResponsibilityList();
    }
    selectResponsibility(event) {
        this.selectedResponsibilityValues = {};
        this.selectedResponsibilityId = [];
        this.selectedResponsibilityId[0] = event?.ReportId;
        const value = {
            ReportId: event?.ReportId,
            ReportName: (event?.ControlId ? event?.ControlId + ' ' : '') + event?.ReportName,
            notification_pending: event?.PendingFlag,
            report_name: event?.ReportName,
            trash_flag: event?.TrashFlag,
            _id: event?.EncryptedReportId,
        };
        this.selectedResponsibilityValues = value;
        this.isValidObj = this.selectedResponsibilityValues
            ? Object.keys(this.selectedResponsibilityValues)?.length > 0
            : false;
    }
    deleteItem(item) {
        this.selectedResponsibilityValues = {};
        this.isValidObj = false;
        this.selectedResponsibilityId = [];
    }
    save(event) {
        this.selectedResponsibilityValues = {};
        this.selectedResponsibilityId = [];
        this.selectedResponsibilityId[0] = event[0]?.ReportId;
        this.selectedResponsibilityValues = event[0];
        this.isValidObj = this.selectedResponsibilityValues
            ? Object.keys(this.selectedResponsibilityValues)?.length > 0
            : false;
        this.backButton.emit('backToOnCompletion');
        this.selectedResponsibility.emit(this.selectedResponsibilityValues);
    }
    onClickTabChange(tab) {
        this.currentTab = tab?.type;
        this.responsibilityPayload.filterData.complianceType = [this.currentTab];
        // this.responsibilitySearchText = '';
        this.responsibilityCurrentPage = 1;
        this.responsibilityPayload.pageNo = this.responsibilityCurrentPage;
        this.responsibilityPayload.searchText = this.responsibilitySearchText;
        this.getResponsibilityList();
    }
    search() {
        this.responsibilityPayload.searchText = this.responsibilitySearchText;
        this.responsibilityCurrentPage = 1;
        this.responsibilityPayload.pageNo = this.responsibilityCurrentPage;
        this.getResponsibilityList();
        this.setResponsibilitiesCount();
    }
    setResponsibilitiesCount() {
        const payload = JSON.parse(JSON.stringify(this.responsibilityPayload));
        payload.filterData.complianceType = [0, 1, 2, 3];
        this.frequencyService
            ?.getResponsibilitiesCount(payload)
            .subscribe((res) => {
            this.responsibilityTabCount.regulationCount = res?.regulation_count;
            this.responsibilityTabCount.standardCount = res?.standard_count;
            this.responsibilityTabCount.internalCount = res?.internal_count;
            this.responsibilityTabCount.othersCount = res?.others_count;
        });
    }
    // This function is used to initialize all the Feature flag based variables
    featureFlagInitialization() {
        this.featureFlag_on_completion_of = this.feature.isFeatureEnabled('ff_frequency_on_completion_of');
        this.isOnCompletionRc = this.feature.isFeatureEnabled('ff_on_completion_rc');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyResponsibilityListComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyResponsibilityListComponent, selector: "app-frequency-responsibility-list", inputs: { onCompletionOfResponsibility: "onCompletionOfResponsibility", feature: "feature", selectedResponsibilityDetails: "selectedResponsibilityDetails" }, outputs: { backButton: "backButton", selectedResponsibility: "selectedResponsibility" }, ngImport: i0, template: "<div class=\"frequency-responsibility-list\" [class.animate]=\"animation\">\n  <div\n    class=\"frequency-responsibility-list-head vx-p-3 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div class=\"vx-d-flex vx-align-center\">\n      <i class=\"icons arrow vx-fs-16 vx-label-txt vx-mr-1\" (click)=\"back()\"\n        >&#xe91d;</i\n      >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Responsibility</div>\n    </div>\n  </div>\n  <div class=\"frequency-responsibility-list-body\">\n    <!-- <app-loader-inline *ngIf=\"othersCount === 0\"></app-loader-inline> -->\n    <div\n      *ngIf=\"responsibilitiesData?.allResponsibilityCount !== 0\"\n      class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n    >\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 1\"\n        (click)=\"onClickTabChange(responsibilityTabs[0])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >REGULATIONS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.regulationCount }}</span\n          >\n        </div>\n      </div>\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 2\"\n        (click)=\"onClickTabChange(responsibilityTabs[1])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >STANDARDS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.standardCount }}</span\n          >\n        </div>\n      </div>\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 3\"\n        (click)=\"onClickTabChange(responsibilityTabs[2])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >INTERNAL CONTROLS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.internalCount }}</span\n          >\n        </div>\n      </div>\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 0\"\n        (click)=\"onClickTabChange(responsibilityTabs[3])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >OTHERS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.othersCount }}</span\n          >\n        </div>\n      </div>\n    </div>\n    <div class=\"frequency-responsibility-list-search vx-mb-2\">\n      <i class=\"icons vx-fs-12\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"responsibilitySearchText\"\n        (keyup.enter)=\"search()\"\n        placeholder=\"Search Responsibilities\"\n      />\n    </div>\n    <app-pagination\n      *ngIf=\"!responsibilityLoader && responsibilitiesData?.total_pages > 1\"\n      [start]=\"responsibilitiesData?.responsibilities_from\"\n      [end]=\"responsibilitiesData?.responsibilities_to\"\n      [total]=\"responsibilitiesData?.total_responsibilities\"\n      [pageCount]=\"responsibilitiesData?.total_pages\"\n      [currentPage]=\"responsibilityCurrentPage\"\n      (selectedPage)=\"responsibilityPageChange($event)\"\n    >\n    </app-pagination>\n    <app-loader-inline *ngIf=\"responsibilityLoader\"></app-loader-inline>\n    <div\n      class=\"frequency-responsibility-list-mid vx-mb-4\"\n      [class.with-pagination]=\"\n        !responsibilityLoader && responsibilitiesData?.total_pages > 1\n      \"\n    >\n      <app-no-data\n        *ngIf=\"\n          responsibilitiesData?.data?.length === 0 && !responsibilityLoader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data to Display'\"\n      ></app-no-data>\n      <ng-container\n        *ngIf=\"responsibilitiesData?.data?.length > 0 && !responsibilityLoader\"\n      >\n        <div class=\"table-header\">\n          <div class=\"table-row\">\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              #\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITIES\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              *ngIf=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITY CENTER\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              PROGRAMS\n            </div>\n          </div>\n        </div>\n        <div class=\"table-body\">\n          <!-- when click on radio then active class should be true -->\n          <div\n            class=\"table-row\"\n            [class.active]=\"\n              selectedResponsibilityId?.includes(responsibility?.ReportId)\n            \"\n            *ngFor=\"\n              let responsibility of responsibilitiesData?.data;\n              let i = index\n            \"\n          >\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"responsibilitiesData?.responsibilities_from + i\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibilitiesData?.responsibilities_from + i }}\n              </div>\n              <app-cs-radio\n                [name]=\"'responsibility'\"\n                [checked]=\"\n                  selectedResponsibilityId?.includes(responsibility?.ReportId)\n                \"\n                (checkedEvent)=\"selectResponsibility(responsibility)\"\n              ></app-cs-radio>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              <div\n                class=\"value vx-fs-12 vx-label-txt vx-pr-5\"\n                [appTooltip]=\"responsibility?.ReportName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibility?.ControlId }} {{ responsibility?.ReportName }}\n              </div>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              *ngIf=\"isOnCompletionRc\"\n            >\n              <ng-container>\n                <div class=\"program-inner vx-d-block\">\n                  <div\n                    class=\"program-value vx-fs-11 vx-label-txt vx-pr-5\"\n                    [appTooltip]=\"\n                      responsibility?.RC_details_array?.length\n                        ? responsibility?.RC_details_array[0]?.rc_name\n                        : '--'\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{\n                      responsibility?.RC_details_array?.length\n                        ? responsibility?.RC_details_array[0]?.rc_name\n                        : \"--\"\n                    }}\n                  </div>\n                  <ng-container\n                    *ngIf=\"\n                      responsibility?.RC_details_array?.length &&\n                      responsibility?.RC_details_array as rcArray\n                    \"\n                  >\n                    <div\n                      class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                      *ngIf=\"rcArray[0]?.parent_rc_names?.length\"\n                    >\n                      <div\n                        class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n                      >\n                        Within\n                      </div>\n                      <div\n                        class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                        [appTooltip]=\"\n                          rcArray[0]?.parent_rc_names | rcTreeToolTip\n                        \"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"true\"\n                      >\n                        {{ rcArray[0]?.parent_rc_names | rcTreeToolTip }}\n                      </div>\n                    </div>\n                  </ng-container>\n                </div>\n                <button\n                  *ngIf=\"responsibility?.RC_details_array?.length > 1\"\n                  appPopover\n                  (click)=\"rcPopup.popover()\"\n                  placement=\"right\"\n                  class=\"program-count vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                >\n                  +{{ responsibility?.RC_details_array?.length - 1 }}\n                </button>\n                <app-popover #rcPopup>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li\n                        *ngFor=\"\n                          let data of responsibility?.RC_details_array?.slice(\n                            1,\n                            responsibility?.RC_details_array?.length\n                          )\n                        \"\n                      >\n                        <div class=\"avatar-card\">\n                          <div class=\"vx-d-block vx-w-100\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"data?.rc_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"true\"\n                              >{{ data?.rc_name }}</span\n                            >\n                            <div\n                              *ngIf=\"data?.parent_rc_names?.length\"\n                              class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                            >\n                              <div\n                                class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n                              >\n                                Within\n                              </div>\n                              <div\n                                class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                                [appTooltip]=\"\n                                  data?.parent_rc_names | rcTreeToolTip\n                                \"\n                                placement=\"bottom-left\"\n                                delay=\"0\"\n                                type=\"black\"\n                                [tooltipMandatory]=\"true\"\n                              >\n                                {{ data?.parent_rc_names | rcTreeToolTip }}\n                              </div>\n                            </div>\n                          </div>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </ng-container>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              <div class=\"program-inner vx-d-block\">\n                <div\n                  class=\"program-value vx-fs-11 vx-label-txt vx-pr-5\"\n                  [appTooltip]=\"\n                    responsibility?.category_details_array[0]?.category_name ??\n                    '--'\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{\n                    responsibility?.category_details_array[0]?.category_name ??\n                      \"--\"\n                  }}\n                </div>\n                <div\n                  *ngIf=\"\n                    responsibility?.category_details_array[0]\n                      ?.parent_category_name?.length\n                  \"\n                  class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                >\n                  <div\n                    class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                  >\n                    Within\n                  </div>\n                  <div\n                    class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                    [appTooltip]=\"\n                      responsibility?.category_details_array[0]?.parent_category_name\n                        ?.slice()\n                        ?.reverse()\n                        ?.join(' < ')\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{\n                      responsibility?.category_details_array[0]?.parent_category_name\n                        ?.slice()\n                        ?.reverse()\n                        ?.join(\" < \")\n                    }}\n                  </div>\n                </div>\n              </div>\n              <button\n                *ngIf=\"responsibility?.category_details_array?.length >= 2\"\n                appPopover\n                (click)=\"programPopup.popover()\"\n                placement=\"right\"\n                class=\"program-count vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                +{{ responsibility?.category_details_array?.length - 1 }}\n              </button>\n              <app-popover #programPopup>\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li\n                      *ngFor=\"\n                        let subCategory of responsibility?.category_details_array\n                          | slice : 1\n                      \"\n                    >\n                      <div class=\"avatar-card\">\n                        <div class=\"vx-d-block vx-w-100\">\n                          <span\n                            class=\"value\"\n                            [appTooltip]=\"subCategory?.category_name\"\n                            placement=\"bottom-left\"\n                            delay=\"0\"\n                            type=\"black\"\n                            [tooltipMandatory]=\"true\"\n                            >{{ subCategory?.category_name }}</span\n                          >\n                          <div\n                            *ngIf=\"\n                              responsibility?.category_details_array[0]\n                                ?.parent_category_name?.length\n                            \"\n                            class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                          >\n                            <div\n                              class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                            >\n                              Within\n                            </div>\n                            <div\n                              class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                              [appTooltip]=\"\n                                responsibility?.category_details_array[0]?.parent_category_name\n                                  ?.slice()\n                                  ?.reverse()\n                                  ?.join(' < ')\n                              \"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"true\"\n                            >\n                              {{\n                                responsibility?.category_details_array[0]?.parent_category_name\n                                  ?.slice()\n                                  ?.reverse()\n                                  ?.join(\" < \")\n                              }}\n                            </div>\n                          </div>\n                        </div>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n    <app-floating-bar\n      [selectedData]=\"isValidObj ? [selectedResponsibilityValues] : []\"\n      [displayElementKey]=\"'ReportName'\"\n      (closeList)=\"back()\"\n      (closeEvent)=\"save($event)\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"!isValidObj\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .frequency-responsibility-list{border-top:3px solid #1e5dd3;position:fixed;top:0;right:32.5rem;bottom:0;left:0}::ng-deep .frequency-responsibility-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .frequency-responsibility-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-responsibility-list-head .arrow{cursor:pointer}::ng-deep .frequency-responsibility-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:1.5rem .75rem 1.5rem 2rem}::ng-deep .frequency-responsibility-list-body app-pagination .wk-pagination-sec-ds{border-radius:0;padding:0 0 .5rem}::ng-deep .frequency-responsibility-list-body app-floating-bar .floating-bar{padding:0;position:relative;left:-1rem;width:calc(100% + 2rem)}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar{padding-left:0!important;padding-right:0!important}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar .userGroup-floating-bar-container .left .chip span{max-width:240px}::ng-deep .frequency-responsibility-list-search{position:relative}::ng-deep .frequency-responsibility-list-search input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763F;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .frequency-responsibility-list-search input::placeholder{color:#747576;opacity:1}::ng-deep .frequency-responsibility-list-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .frequency-responsibility-list-mid{height:calc(100vh - 17.5rem);overflow:auto}::ng-deep .frequency-responsibility-list-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .frequency-responsibility-list-mid.with-pagination{height:calc(100vh - 19.5rem)}::ng-deep .frequency-responsibility-list-mid .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .frequency-responsibility-list-mid .table-header .table-column{color:#161b2f!important;line-height:.75rem!important;min-height:1.875rem!important}::ng-deep .frequency-responsibility-list-mid .table-body{position:relative}::ng-deep .frequency-responsibility-list-mid .table-body .table-row{background:#fff;border-radius:.25rem;border:1px solid #f1f1f1;margin-bottom:.25rem}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial .sr-no,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial .sr-no{opacity:0}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial app-cs-radio,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial app-cs-radio{opacity:1}::ng-deep .frequency-responsibility-list-mid .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .frequency-responsibility-list-mid .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-radio{position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-radio .radio-item{position:absolute}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility{width:calc(100% - 15.5rem);min-width:calc(100% - 15.5rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility.with-rc{width:calc(100% - 31rem);min-width:calc(100% - 31rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center{width:15.5rem;min-width:15.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program{width:13.5rem;min-width:13.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}@keyframes animate-right{0%{transform:translate(5px);opacity:0}to{transform:translate(0);opacity:1}}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: rcTreeToolTipPipe, name: "rcTreeToolTip" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyResponsibilityListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-responsibility-list', template: "<div class=\"frequency-responsibility-list\" [class.animate]=\"animation\">\n  <div\n    class=\"frequency-responsibility-list-head vx-p-3 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div class=\"vx-d-flex vx-align-center\">\n      <i class=\"icons arrow vx-fs-16 vx-label-txt vx-mr-1\" (click)=\"back()\"\n        >&#xe91d;</i\n      >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Responsibility</div>\n    </div>\n  </div>\n  <div class=\"frequency-responsibility-list-body\">\n    <!-- <app-loader-inline *ngIf=\"othersCount === 0\"></app-loader-inline> -->\n    <div\n      *ngIf=\"responsibilitiesData?.allResponsibilityCount !== 0\"\n      class=\"vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n    >\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 1\"\n        (click)=\"onClickTabChange(responsibilityTabs[0])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >REGULATIONS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.regulationCount }}</span\n          >\n        </div>\n      </div>\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 2\"\n        (click)=\"onClickTabChange(responsibilityTabs[1])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >STANDARDS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.standardCount }}</span\n          >\n        </div>\n      </div>\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 3\"\n        (click)=\"onClickTabChange(responsibilityTabs[2])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >INTERNAL CONTROLS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.internalCount }}</span\n          >\n        </div>\n      </div>\n      <div\n        class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"currentTab === 0\"\n        (click)=\"onClickTabChange(responsibilityTabs[3])\"\n        [class.pointer-none]=\"responsibilityLoader\"\n      >\n        <div class=\"left vx-d-block vx-w-100\">\n          <div class=\"label vx-d-flex vx-align-center\">\n            <label\n              class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n              >OTHERS</label\n            >\n          </div>\n        </div>\n        <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n          <span\n            class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n            >{{ responsibilityTabCount?.othersCount }}</span\n          >\n        </div>\n      </div>\n    </div>\n    <div class=\"frequency-responsibility-list-search vx-mb-2\">\n      <i class=\"icons vx-fs-12\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"responsibilitySearchText\"\n        (keyup.enter)=\"search()\"\n        placeholder=\"Search Responsibilities\"\n      />\n    </div>\n    <app-pagination\n      *ngIf=\"!responsibilityLoader && responsibilitiesData?.total_pages > 1\"\n      [start]=\"responsibilitiesData?.responsibilities_from\"\n      [end]=\"responsibilitiesData?.responsibilities_to\"\n      [total]=\"responsibilitiesData?.total_responsibilities\"\n      [pageCount]=\"responsibilitiesData?.total_pages\"\n      [currentPage]=\"responsibilityCurrentPage\"\n      (selectedPage)=\"responsibilityPageChange($event)\"\n    >\n    </app-pagination>\n    <app-loader-inline *ngIf=\"responsibilityLoader\"></app-loader-inline>\n    <div\n      class=\"frequency-responsibility-list-mid vx-mb-4\"\n      [class.with-pagination]=\"\n        !responsibilityLoader && responsibilitiesData?.total_pages > 1\n      \"\n    >\n      <app-no-data\n        *ngIf=\"\n          responsibilitiesData?.data?.length === 0 && !responsibilityLoader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data to Display'\"\n      ></app-no-data>\n      <ng-container\n        *ngIf=\"responsibilitiesData?.data?.length > 0 && !responsibilityLoader\"\n      >\n        <div class=\"table-header\">\n          <div class=\"table-row\">\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              #\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITIES\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              *ngIf=\"isOnCompletionRc\"\n            >\n              RESPONSIBILITY CENTER\n            </div>\n            <div\n              class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              PROGRAMS\n            </div>\n          </div>\n        </div>\n        <div class=\"table-body\">\n          <!-- when click on radio then active class should be true -->\n          <div\n            class=\"table-row\"\n            [class.active]=\"\n              selectedResponsibilityId?.includes(responsibility?.ReportId)\n            \"\n            *ngFor=\"\n              let responsibility of responsibilitiesData?.data;\n              let i = index\n            \"\n          >\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n            >\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"responsibilitiesData?.responsibilities_from + i\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibilitiesData?.responsibilities_from + i }}\n              </div>\n              <app-cs-radio\n                [name]=\"'responsibility'\"\n                [checked]=\"\n                  selectedResponsibilityId?.includes(responsibility?.ReportId)\n                \"\n                (checkedEvent)=\"selectResponsibility(responsibility)\"\n              ></app-cs-radio>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility\"\n              [class.with-rc]=\"isOnCompletionRc\"\n            >\n              <div\n                class=\"value vx-fs-12 vx-label-txt vx-pr-5\"\n                [appTooltip]=\"responsibility?.ReportName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ responsibility?.ControlId }} {{ responsibility?.ReportName }}\n              </div>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center responsibility-center\"\n              *ngIf=\"isOnCompletionRc\"\n            >\n              <ng-container>\n                <div class=\"program-inner vx-d-block\">\n                  <div\n                    class=\"program-value vx-fs-11 vx-label-txt vx-pr-5\"\n                    [appTooltip]=\"\n                      responsibility?.RC_details_array?.length\n                        ? responsibility?.RC_details_array[0]?.rc_name\n                        : '--'\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{\n                      responsibility?.RC_details_array?.length\n                        ? responsibility?.RC_details_array[0]?.rc_name\n                        : \"--\"\n                    }}\n                  </div>\n                  <ng-container\n                    *ngIf=\"\n                      responsibility?.RC_details_array?.length &&\n                      responsibility?.RC_details_array as rcArray\n                    \"\n                  >\n                    <div\n                      class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                      *ngIf=\"rcArray[0]?.parent_rc_names?.length\"\n                    >\n                      <div\n                        class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n                      >\n                        Within\n                      </div>\n                      <div\n                        class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                        [appTooltip]=\"\n                          rcArray[0]?.parent_rc_names | rcTreeToolTip\n                        \"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"true\"\n                      >\n                        {{ rcArray[0]?.parent_rc_names | rcTreeToolTip }}\n                      </div>\n                    </div>\n                  </ng-container>\n                </div>\n                <button\n                  *ngIf=\"responsibility?.RC_details_array?.length > 1\"\n                  appPopover\n                  (click)=\"rcPopup.popover()\"\n                  placement=\"right\"\n                  class=\"program-count vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                >\n                  +{{ responsibility?.RC_details_array?.length - 1 }}\n                </button>\n                <app-popover #rcPopup>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li\n                        *ngFor=\"\n                          let data of responsibility?.RC_details_array?.slice(\n                            1,\n                            responsibility?.RC_details_array?.length\n                          )\n                        \"\n                      >\n                        <div class=\"avatar-card\">\n                          <div class=\"vx-d-block vx-w-100\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"data?.rc_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"true\"\n                              >{{ data?.rc_name }}</span\n                            >\n                            <div\n                              *ngIf=\"data?.parent_rc_names?.length\"\n                              class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                            >\n                              <div\n                                class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n                              >\n                                Within\n                              </div>\n                              <div\n                                class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                                [appTooltip]=\"\n                                  data?.parent_rc_names | rcTreeToolTip\n                                \"\n                                placement=\"bottom-left\"\n                                delay=\"0\"\n                                type=\"black\"\n                                [tooltipMandatory]=\"true\"\n                              >\n                                {{ data?.parent_rc_names | rcTreeToolTip }}\n                              </div>\n                            </div>\n                          </div>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </ng-container>\n            </div>\n            <div\n              class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center program\"\n            >\n              <div class=\"program-inner vx-d-block\">\n                <div\n                  class=\"program-value vx-fs-11 vx-label-txt vx-pr-5\"\n                  [appTooltip]=\"\n                    responsibility?.category_details_array[0]?.category_name ??\n                    '--'\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{\n                    responsibility?.category_details_array[0]?.category_name ??\n                      \"--\"\n                  }}\n                </div>\n                <div\n                  *ngIf=\"\n                    responsibility?.category_details_array[0]\n                      ?.parent_category_name?.length\n                  \"\n                  class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                >\n                  <div\n                    class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                  >\n                    Within\n                  </div>\n                  <div\n                    class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                    [appTooltip]=\"\n                      responsibility?.category_details_array[0]?.parent_category_name\n                        ?.slice()\n                        ?.reverse()\n                        ?.join(' < ')\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{\n                      responsibility?.category_details_array[0]?.parent_category_name\n                        ?.slice()\n                        ?.reverse()\n                        ?.join(\" < \")\n                    }}\n                  </div>\n                </div>\n              </div>\n              <button\n                *ngIf=\"responsibility?.category_details_array?.length >= 2\"\n                appPopover\n                (click)=\"programPopup.popover()\"\n                placement=\"right\"\n                class=\"program-count vx-fs-11 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                +{{ responsibility?.category_details_array?.length - 1 }}\n              </button>\n              <app-popover #programPopup>\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li\n                      *ngFor=\"\n                        let subCategory of responsibility?.category_details_array\n                          | slice : 1\n                      \"\n                    >\n                      <div class=\"avatar-card\">\n                        <div class=\"vx-d-block vx-w-100\">\n                          <span\n                            class=\"value\"\n                            [appTooltip]=\"subCategory?.category_name\"\n                            placement=\"bottom-left\"\n                            delay=\"0\"\n                            type=\"black\"\n                            [tooltipMandatory]=\"true\"\n                            >{{ subCategory?.category_name }}</span\n                          >\n                          <div\n                            *ngIf=\"\n                              responsibility?.category_details_array[0]\n                                ?.parent_category_name?.length\n                            \"\n                            class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                          >\n                            <div\n                              class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3 vx-txt-blue\"\n                            >\n                              Within\n                            </div>\n                            <div\n                              class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                              [appTooltip]=\"\n                                responsibility?.category_details_array[0]?.parent_category_name\n                                  ?.slice()\n                                  ?.reverse()\n                                  ?.join(' < ')\n                              \"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"true\"\n                            >\n                              {{\n                                responsibility?.category_details_array[0]?.parent_category_name\n                                  ?.slice()\n                                  ?.reverse()\n                                  ?.join(\" < \")\n                              }}\n                            </div>\n                          </div>\n                        </div>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n    <app-floating-bar\n      [selectedData]=\"isValidObj ? [selectedResponsibilityValues] : []\"\n      [displayElementKey]=\"'ReportName'\"\n      (closeList)=\"back()\"\n      (closeEvent)=\"save($event)\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"!isValidObj\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .frequency-responsibility-list{border-top:3px solid #1e5dd3;position:fixed;top:0;right:32.5rem;bottom:0;left:0}::ng-deep .frequency-responsibility-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .frequency-responsibility-list-head{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .frequency-responsibility-list-head .arrow{cursor:pointer}::ng-deep .frequency-responsibility-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:1.5rem .75rem 1.5rem 2rem}::ng-deep .frequency-responsibility-list-body app-pagination .wk-pagination-sec-ds{border-radius:0;padding:0 0 .5rem}::ng-deep .frequency-responsibility-list-body app-floating-bar .floating-bar{padding:0;position:relative;left:-1rem;width:calc(100% + 2rem)}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar{padding-left:0!important;padding-right:0!important}::ng-deep .frequency-responsibility-list-body app-floating-bar .userGroup-floating-bar .userGroup-floating-bar-container .left .chip span{max-width:240px}::ng-deep .frequency-responsibility-list-search{position:relative}::ng-deep .frequency-responsibility-list-search input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763F;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .frequency-responsibility-list-search input::placeholder{color:#747576;opacity:1}::ng-deep .frequency-responsibility-list-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .frequency-responsibility-list-mid{height:calc(100vh - 17.5rem);overflow:auto}::ng-deep .frequency-responsibility-list-mid::-webkit-scrollbar-track{background-color:#fff}::ng-deep .frequency-responsibility-list-mid.with-pagination{height:calc(100vh - 19.5rem)}::ng-deep .frequency-responsibility-list-mid .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .frequency-responsibility-list-mid .table-header .table-column{color:#161b2f!important;line-height:.75rem!important;min-height:1.875rem!important}::ng-deep .frequency-responsibility-list-mid .table-body{position:relative}::ng-deep .frequency-responsibility-list-mid .table-body .table-row{background:#fff;border-radius:.25rem;border:1px solid #f1f1f1;margin-bottom:.25rem}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial .sr-no,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial .sr-no{opacity:0}::ng-deep .frequency-responsibility-list-mid .table-body .table-row:hover .table-column.serial app-cs-radio,::ng-deep .frequency-responsibility-list-mid .table-body .table-row.active .table-column.serial app-cs-radio{opacity:1}::ng-deep .frequency-responsibility-list-mid .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .frequency-responsibility-list-mid .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-radio{position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.serial app-cs-radio .radio-item{position:absolute}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility{width:calc(100% - 15.5rem);min-width:calc(100% - 15.5rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility.with-rc{width:calc(100% - 31rem);min-width:calc(100% - 31rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center{width:15.5rem;min-width:15.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.responsibility-center button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program{width:13.5rem;min-width:13.5rem}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-inner{max-width:calc(100% - 2rem)}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program .program-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .frequency-responsibility-list-mid .table-row .table-column.program button.program-count{background:#1e5dd3;border-radius:.125rem;border:none;min-width:1.5rem;height:1.25rem}@keyframes animate-right{0%{transform:translate(5px);opacity:0}to{transform:translate(0);opacity:1}}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { onCompletionOfResponsibility: [{
                type: Input
            }], feature: [{
                type: Input
            }], selectedResponsibilityDetails: [{
                type: Input
            }], backButton: [{
                type: Output
            }], selectedResponsibility: [{
                type: Output
            }] } });

class FrequencyOnCompletionOfComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.mode = '';
        this.DEFAULT_TIME = DEFAULT_TIME;
        this.onCompletionOfInput = 1;
        this.onCompletionOfWindow = 3;
        this.onCompletionOfFailed = 5;
        this.onCompletionOfTime = DEFAULT_TIME;
        this.onCompletionOfResponsibility = [];
        this.isLifecycleModified = false;
        this.selectedResponsibility = 0;
        this.placeholder = 'Loading...';
        this.selectedResponsibilityDetails = {};
        this.startDate = Math.floor(Date.now() / 1000);
        this.lifecycleDetails = '0000-00-00~~0';
        this.frequencyDetails = new EventEmitter();
        this.radioForm = new EventEmitter();
        this.openRadio = false;
        this.backButton = false;
        this.isSelectedData = false;
    }
    ngOnInit() {
        this.featureFlag_on_completion_of = this.feature.isFeatureEnabled('ff_frequency_on_completion_of');
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        this.getCompletionReports();
        this.getOnCompletionFrequency();
        this.isSelectedData = this.selectedResponsibilityDetails
            ? Object.keys(this.selectedResponsibilityDetails)?.length > 0
            : false;
    }
    populateFrequency() {
        const frequencySelected = this.frequencyData.pattern.split('~');
        this.onCompletionOfInput = parseInt(frequencySelected[3]);
        this.onCompletionOfFailed = this.frequencyData.failed;
        this.onCompletionOfWindow = this.frequencyData.window;
        this.onCompletionOfTime = this.frequencyData.failedTime;
        this.selectedResponsibilityDetails = this.onCompletionOfResponsibility.find((res) => res.ReportId === this.frequencyData.selectedReport);
        this.getOnCompletionFrequency();
        this.isSelectedData = this.selectedResponsibilityDetails
            ? Object.keys(this.selectedResponsibilityDetails)?.length > 0
            : false;
    }
    onTimeChanged(event) {
        this.onCompletionOfTime = event;
        this.getOnCompletionFrequency();
    }
    onValueChange(event) {
        if (event.type === 'completed') {
            this.onCompletionOfWindow = event.value;
        }
        else {
            this.onCompletionOfFailed = event.value;
        }
        this.getOnCompletionFrequency();
    }
    onResponsibilitySelection(event) {
        if (this.featureFlag_on_completion_of) {
            this.selectedResponsibilityDetails = event;
            this.isSelectedData = this.selectedResponsibilityDetails
                ? Object.keys(this.selectedResponsibilityDetails)?.length > 0
                : false;
        }
        if (typeof this.selectedResponsibilityDetails === 'object') {
            this.frequencyInfo.reportId =
                this.selectedResponsibilityDetails?.ReportId;
        }
        else {
            this.frequencyInfo.reportId = 0;
        }
        this.getOnCompletionFrequency();
    }
    getCompletionReports() {
        this.selectedResponsibility = 0;
        this.placeholder = 'Select a Responsibility';
        this.onCompletionOfResponsibility = [];
        if (this.frequencyData?.onCompletionReportDetails) {
            this.onCompletionOfResponsibility.push(this.frequencyData?.onCompletionReportDetails);
        }
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 6) {
            this.populateFrequency();
        }
    }
    inputValueChange(event) {
        this.onCompletionOfInput = Number(event.target.value);
        if (this.onCompletionOfInput < 1) {
            this.onCompletionOfInput = 1;
        }
        this.getOnCompletionFrequency();
    }
    getOnCompletionFrequency() {
        this.frequencyInfo.placeholder =
            this.onCompletionOfInput +
                ' ' +
                (this.onCompletionOfInput > 1 ? 'days' : 'day') +
                ' after completion of ' +
                (this.onCompletionOfResponsibility &&
                    this.selectedResponsibilityDetails?.report_name
                    ? this.selectedResponsibilityDetails?.report_name
                    : '');
        this.frequencyInfo.pattern =
            6 + '~' + '0' + '~' + '0' + '~' + this.onCompletionOfInput;
        this.frequencyInfo.case = 'onCompletionOf';
        this.frequencyInfo.failedAfter = this.onCompletionOfFailed;
        this.frequencyInfo.window = this.onCompletionOfWindow;
        this.frequencyInfo.timeIn12hr = this.onCompletionOfTime;
        this.frequencyInfo.timeIn24Hr = this.frequencyService.timeFrom12hTo24h(this.onCompletionOfTime);
        this.frequencyInfo.failed_time_utc = 0;
        this.frequencyInfo.reportId =
            this.selectedResponsibilityDetails?.ReportId ?? 0;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    openRadioResponsibility(event) {
        if (event === 'backToOnCompletion') {
            this.backButton = true;
            this.openRadio = false;
        }
        else {
            this.openRadio = true;
            this.backButton = false;
        }
        this.radioForm.emit(this.openRadio);
    }
    remove() {
        this.selectedResponsibilityDetails = {};
        this.isSelectedData = this.selectedResponsibilityDetails
            ? Object.keys(this.selectedResponsibilityDetails)?.length > 0
            : false;
        this.frequencyInfo.reportId = 0;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    timeSelection(event) {
        const selectedValue = event.selectedValue;
        this.onTimeChanged(selectedValue);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyOnCompletionOfComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyOnCompletionOfComponent, selector: "app-frequency-on-completion-of", inputs: { mode: "mode", feature: "feature", startDate: "startDate", frequencyData: "frequencyData" }, outputs: { frequencyDetails: "frequencyDetails", radioForm: "radioForm" }, ngImport: i0, template: "<div class=\"frequency-completion\" *ngIf=\"mode !== 'policy' || backButton\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-completion-inner\">\n    <div class=\"frequency-completion-top vx-p-3 vx-d-flex vx-align-center\">\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [(ngModel)]=\"onCompletionOfInput\"\n        (change)=\"inputValueChange($event)\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      <div class=\"vx-fs-13 vx-paragraph-txt\">day after completion of</div>\n    </div>\n    <div class=\"frequency-completion-bottom vx-p-3\">\n      <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n        RESPONSIBILITY\n      </div>\n      <div class=\"vx-d-flex vx-align-center\">\n        <ng-container *ngIf=\"featureFlag_on_completion_of\">\n          <div\n            *ngIf=\"featureFlag_on_completion_of && !isSelectedData\"\n            [class.disabled]=\"placeholder === 'Loading...'\"\n            class=\"select-box vx-fs-11 vx-paragraph-txt vx-p-2 vx-pl-3 vx-pr-3 vx-mr-3 vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n            (click)=\"openRadioResponsibility($event)\"\n          >\n            {{\n              placeholder === \"Loading...\"\n                ? \"Loading...\"\n                : \"Select a Responsibility\"\n            }}\n            <i class=\"icons vx-fs-10\">&#xe9e8;</i>\n          </div>\n          <div\n            *ngIf=\"featureFlag_on_completion_of && isSelectedData\"\n            class=\"after-select-box vx-p-1 vx-mr-3 vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n          >\n            <div\n              *ngIf=\"isSelectedData\"\n              class=\"select-chip vx-fs-12 vx-paragraph-txt vx-p-1 vx-pl-2 vx-pr-2 vx-d-flex vx-align-center\"\n            >\n              <i\n                *ngIf=\"isSelectedData\"\n                class=\"icons cross vx-fs-14 vx-mr-1\"\n                (click)=\"remove()\"\n                >&#xe9ae;</i\n              >\n              <span\n                [appTooltip]=\"selectedResponsibilityDetails?.ReportName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n                >{{ selectedResponsibilityDetails?.ReportName }}</span\n              >\n            </div>\n            <button\n              class=\"edit-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center\"\n              (click)=\"openRadioResponsibility($event)\"\n            >\n              <i class=\"icons vx-mr-1\" (click)=\"openRadioResponsibility($event)\"\n                >&#xe90c;</i\n              >\n              EDIT\n            </button>\n          </div>\n          <app-frequency-responsibility-list\n            *ngIf=\"openRadio\"\n            [feature]=\"feature\"\n            [selectedResponsibilityDetails]=\"\n              selectedResponsibilityDetails ? selectedResponsibilityDetails : {}\n            \"\n            (backButton)=\"openRadioResponsibility($event)\"\n            (selectedResponsibility)=\"onResponsibilitySelection($event)\"\n          ></app-frequency-responsibility-list>\n        </ng-container>\n        <ng-container *ngIf=\"!featureFlag_on_completion_of\">\n          <cs-select\n            [class.disabled]=\"placeholder === 'Loading...'\"\n            [(ngModel)]=\"selectedResponsibilityDetails\"\n            (valueChanged)=\"onResponsibilitySelection($event)\"\n            [placeholder]=\"placeholder\"\n          >\n            <cs-option\n              *ngFor=\"\n                let responsibility of onCompletionOfResponsibility;\n                let i = index\n              \"\n              [value]=\"responsibility\"\n              [optionTooltip]=\"responsibility?.ReportName\"\n              >{{ responsibility?.ReportName }}</cs-option\n            >\n          </cs-select>\n        </ng-container>\n\n        <div class=\"time-picker-group vx-d-flex\" *ngIf=\"!openRadio\">\n          <div\n            class=\"time-field\"\n            appPopover\n            (click)=\"timePicker.popover()\"\n            placement=\"right\"\n          >\n            <input\n              class=\"input\"\n              [placeholder]=\"onCompletionOfTime | uppercase\"\n              readonly\n            />\n            <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n              <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n            </div>\n          </div>\n          <app-popover #timePicker [dontCloseonClick]=\"true\">\n            <app-time-picker\n              [time]=\"onCompletionOfTime\"\n              (onTimeSelection)=\"\n                timeSelection($event); timePicker.closePopover('top')\n              \"\n            ></app-time-picker>\n          </app-popover>\n        </div>\n      </div>\n    </div>\n  </div>\n  <app-frequency-due-date\n    [id]=\"3\"\n    [pageName]=\"'onCompletion'\"\n    [mode]=\"mode\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"onCompletionOfWindow\"\n    [notCompletedValue]=\"onCompletionOfFailed\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n</div>\n\n<div *ngIf=\"mode === 'policy'\" class=\"frequency-on-completion-of\">\n  <div class=\"frequency-on-completion-of-message\">\n    <input\n      type=\"number\"\n      [(ngModel)]=\"onCompletionOfInput\"\n      (change)=\"inputValueChange($event)\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>{{ onCompletionOfInput > 1 ? \"days\" : \"day\" }} after completion of</p>\n  </div>\n  <div class=\"frequency-on-completion-of-row\">\n    <div class=\"responsibility\">\n      <cs-select\n        [class.disabled]=\"placeholder === 'Loading...'\"\n        [(ngModel)]=\"selectedResponsibilityDetails\"\n        (valueChanged)=\"onResponsibilitySelection($event)\"\n        [placeholder]=\"placeholder\"\n      >\n        <cs-option\n          *ngFor=\"\n            let responsibility of onCompletionOfResponsibility;\n            let i = index\n          \"\n          [value]=\"responsibility\"\n          [optionTooltip]=\"responsibility?.ReportName\"\n          >{{ responsibility?.ReportName }}</cs-option\n        >\n      </cs-select>\n    </div>\n    <div class=\"time\">\n      <input\n        type=\"text\"\n        readonly\n        aria-label=\"12hr format\"\n        [(ngModel)]=\"onCompletionOfTime\"\n        placeholder=\"Select Time\"\n      />\n    </div>\n  </div>\n  <app-frequency-due-date\n    [id]=\"3\"\n    [pageName]=\"'onCompletion'\"\n    [mode]=\"mode\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"onCompletionOfWindow\"\n    [notCompletedValue]=\"onCompletionOfFailed\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-completion-inner{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-completion-top input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem 0 0;outline:none}::ng-deep .frequency-completion-top input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-completion-top input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-completion-bottom{border-top:1px solid #f1f1f1}::ng-deep .frequency-completion-bottom .select-box{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2rem}::ng-deep .frequency-completion-bottom .select-box.disabled{pointer-events:none;opacity:.5}::ng-deep .frequency-completion-bottom .after-select-box{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;height:2rem}::ng-deep .frequency-completion-bottom .after-select-box .select-chip{background:#fff;border-radius:.125rem;box-shadow:0 2px 4px #1e5dd31a}::ng-deep .frequency-completion-bottom .after-select-box .select-chip .cross{cursor:pointer}::ng-deep .frequency-completion-bottom .after-select-box .select-chip span{display:block;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:30rem}::ng-deep .frequency-completion-bottom .after-select-box button.edit-btn{background:#fff;border-radius:.125rem;border:1px solid #f1f1f1;height:1.5rem}::ng-deep .frequency-completion-bottom cs-select{width:100%;margin-right:.75rem}::ng-deep .frequency-completion-bottom cs-select .selection-wrap .input-group input.value{height:2rem!important;font-size:11px!important}::ng-deep .frequency-completion-bottom .time-picker-group{background:#fff;border-radius:.25rem;display:flex;position:relative}::ng-deep .frequency-completion-bottom .time-picker-group input{background:transparent;border-radius:.25rem;border:1px solid #DBDBDB;color:#747576;font-size:13px;font-weight:400;width:6.25rem;padding:0 .75rem;margin:0;height:2rem;outline:none;position:relative;z-index:1;cursor:pointer}::ng-deep .frequency-completion-bottom .time-picker-group input::placeholder{color:#747576}::ng-deep .frequency-completion-bottom .time-picker-group .time-field{position:relative;cursor:pointer}::ng-deep .frequency-completion-bottom .time-picker-group .time-field.disable{background:#f1f1f1;border-radius:.25rem}::ng-deep .frequency-completion-bottom .time-picker-group .time-field .clock-icon{height:2rem;width:.75rem;position:absolute;right:.75rem;top:0}::ng-deep .selection-wrap .input-group i{top:12px!important}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }, { kind: "component", type: TimePickerComponent, selector: "app-time-picker", inputs: ["time"], outputs: ["onTimeSelection"] }, { kind: "component", type: FrequencyDueDateComponent, selector: "app-frequency-due-date", inputs: ["mode", "pageType", "completedRequired", "notCompletedRequired", "completedValue", "notCompletedValue", "deactivateValue", "isDeactivated", "id", "pageName"], outputs: ["valueChange"] }, { kind: "component", type: FrequencyResponsibilityListComponent, selector: "app-frequency-responsibility-list", inputs: ["onCompletionOfResponsibility", "feature", "selectedResponsibilityDetails"], outputs: ["backButton", "selectedResponsibility"] }, { kind: "pipe", type: i1$1.UpperCasePipe, name: "uppercase" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyOnCompletionOfComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-on-completion-of', template: "<div class=\"frequency-completion\" *ngIf=\"mode !== 'policy' || backButton\">\n  <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n    DUE DATE FREQUENCY:\n  </div>\n  <div class=\"frequency-completion-inner\">\n    <div class=\"frequency-completion-top vx-p-3 vx-d-flex vx-align-center\">\n      <input\n        class=\"countNum\"\n        type=\"number\"\n        [(ngModel)]=\"onCompletionOfInput\"\n        (change)=\"inputValueChange($event)\"\n        onkeydown=\"return event.keyCode !== 190\"\n        min=\"0\"\n        oninput=\"this.value = Math.abs(this.value)\"\n      />\n      <div class=\"vx-fs-13 vx-paragraph-txt\">day after completion of</div>\n    </div>\n    <div class=\"frequency-completion-bottom vx-p-3\">\n      <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n        RESPONSIBILITY\n      </div>\n      <div class=\"vx-d-flex vx-align-center\">\n        <ng-container *ngIf=\"featureFlag_on_completion_of\">\n          <div\n            *ngIf=\"featureFlag_on_completion_of && !isSelectedData\"\n            [class.disabled]=\"placeholder === 'Loading...'\"\n            class=\"select-box vx-fs-11 vx-paragraph-txt vx-p-2 vx-pl-3 vx-pr-3 vx-mr-3 vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n            (click)=\"openRadioResponsibility($event)\"\n          >\n            {{\n              placeholder === \"Loading...\"\n                ? \"Loading...\"\n                : \"Select a Responsibility\"\n            }}\n            <i class=\"icons vx-fs-10\">&#xe9e8;</i>\n          </div>\n          <div\n            *ngIf=\"featureFlag_on_completion_of && isSelectedData\"\n            class=\"after-select-box vx-p-1 vx-mr-3 vx-d-flex vx-align-center vx-justify-between vx-w-100\"\n          >\n            <div\n              *ngIf=\"isSelectedData\"\n              class=\"select-chip vx-fs-12 vx-paragraph-txt vx-p-1 vx-pl-2 vx-pr-2 vx-d-flex vx-align-center\"\n            >\n              <i\n                *ngIf=\"isSelectedData\"\n                class=\"icons cross vx-fs-14 vx-mr-1\"\n                (click)=\"remove()\"\n                >&#xe9ae;</i\n              >\n              <span\n                [appTooltip]=\"selectedResponsibilityDetails?.ReportName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n                >{{ selectedResponsibilityDetails?.ReportName }}</span\n              >\n            </div>\n            <button\n              class=\"edit-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center\"\n              (click)=\"openRadioResponsibility($event)\"\n            >\n              <i class=\"icons vx-mr-1\" (click)=\"openRadioResponsibility($event)\"\n                >&#xe90c;</i\n              >\n              EDIT\n            </button>\n          </div>\n          <app-frequency-responsibility-list\n            *ngIf=\"openRadio\"\n            [feature]=\"feature\"\n            [selectedResponsibilityDetails]=\"\n              selectedResponsibilityDetails ? selectedResponsibilityDetails : {}\n            \"\n            (backButton)=\"openRadioResponsibility($event)\"\n            (selectedResponsibility)=\"onResponsibilitySelection($event)\"\n          ></app-frequency-responsibility-list>\n        </ng-container>\n        <ng-container *ngIf=\"!featureFlag_on_completion_of\">\n          <cs-select\n            [class.disabled]=\"placeholder === 'Loading...'\"\n            [(ngModel)]=\"selectedResponsibilityDetails\"\n            (valueChanged)=\"onResponsibilitySelection($event)\"\n            [placeholder]=\"placeholder\"\n          >\n            <cs-option\n              *ngFor=\"\n                let responsibility of onCompletionOfResponsibility;\n                let i = index\n              \"\n              [value]=\"responsibility\"\n              [optionTooltip]=\"responsibility?.ReportName\"\n              >{{ responsibility?.ReportName }}</cs-option\n            >\n          </cs-select>\n        </ng-container>\n\n        <div class=\"time-picker-group vx-d-flex\" *ngIf=\"!openRadio\">\n          <div\n            class=\"time-field\"\n            appPopover\n            (click)=\"timePicker.popover()\"\n            placement=\"right\"\n          >\n            <input\n              class=\"input\"\n              [placeholder]=\"onCompletionOfTime | uppercase\"\n              readonly\n            />\n            <div class=\"clock-icon vx-d-flex vx-align-center vx-justify-center\">\n              <i class=\"icons vx-fs-12 vx-paragraph-txt\">&#xe955;</i>\n            </div>\n          </div>\n          <app-popover #timePicker [dontCloseonClick]=\"true\">\n            <app-time-picker\n              [time]=\"onCompletionOfTime\"\n              (onTimeSelection)=\"\n                timeSelection($event); timePicker.closePopover('top')\n              \"\n            ></app-time-picker>\n          </app-popover>\n        </div>\n      </div>\n    </div>\n  </div>\n  <app-frequency-due-date\n    [id]=\"3\"\n    [pageName]=\"'onCompletion'\"\n    [mode]=\"mode\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"onCompletionOfWindow\"\n    [notCompletedValue]=\"onCompletionOfFailed\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n</div>\n\n<div *ngIf=\"mode === 'policy'\" class=\"frequency-on-completion-of\">\n  <div class=\"frequency-on-completion-of-message\">\n    <input\n      type=\"number\"\n      [(ngModel)]=\"onCompletionOfInput\"\n      (change)=\"inputValueChange($event)\"\n      onkeydown=\"return event.keyCode !== 190\"\n      min=\"0\"\n      oninput=\"this.value = Math.abs(this.value)\"\n    />\n    <p>{{ onCompletionOfInput > 1 ? \"days\" : \"day\" }} after completion of</p>\n  </div>\n  <div class=\"frequency-on-completion-of-row\">\n    <div class=\"responsibility\">\n      <cs-select\n        [class.disabled]=\"placeholder === 'Loading...'\"\n        [(ngModel)]=\"selectedResponsibilityDetails\"\n        (valueChanged)=\"onResponsibilitySelection($event)\"\n        [placeholder]=\"placeholder\"\n      >\n        <cs-option\n          *ngFor=\"\n            let responsibility of onCompletionOfResponsibility;\n            let i = index\n          \"\n          [value]=\"responsibility\"\n          [optionTooltip]=\"responsibility?.ReportName\"\n          >{{ responsibility?.ReportName }}</cs-option\n        >\n      </cs-select>\n    </div>\n    <div class=\"time\">\n      <input\n        type=\"text\"\n        readonly\n        aria-label=\"12hr format\"\n        [(ngModel)]=\"onCompletionOfTime\"\n        placeholder=\"Select Time\"\n      />\n    </div>\n  </div>\n  <app-frequency-due-date\n    [id]=\"3\"\n    [pageName]=\"'onCompletion'\"\n    [mode]=\"mode\"\n    [isDeactivated]=\"false\"\n    [completedValue]=\"onCompletionOfWindow\"\n    [notCompletedValue]=\"onCompletionOfFailed\"\n    (valueChange)=\"onValueChange($event)\"\n  ></app-frequency-due-date>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-completion-inner{border-radius:.25rem;border:1px solid #f1f1f1}::ng-deep .frequency-completion-top input.countNum{-moz-appearance:textfield;border:none;border-bottom:1px solid #DBDBDB;color:#161b2f;display:inline-block;font-size:13px;text-align:center;width:2.75rem;padding:.125rem;margin:0 .5rem 0 0;outline:none}::ng-deep .frequency-completion-top input.countNum::-webkit-inner-spin-button,::ng-deep .frequency-completion-top input.countNum::-webkit-outer-spin-button{-webkit-appearance:none}::ng-deep .frequency-completion-bottom{border-top:1px solid #f1f1f1}::ng-deep .frequency-completion-bottom .select-box{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2rem}::ng-deep .frequency-completion-bottom .select-box.disabled{pointer-events:none;opacity:.5}::ng-deep .frequency-completion-bottom .after-select-box{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;height:2rem}::ng-deep .frequency-completion-bottom .after-select-box .select-chip{background:#fff;border-radius:.125rem;box-shadow:0 2px 4px #1e5dd31a}::ng-deep .frequency-completion-bottom .after-select-box .select-chip .cross{cursor:pointer}::ng-deep .frequency-completion-bottom .after-select-box .select-chip span{display:block;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:30rem}::ng-deep .frequency-completion-bottom .after-select-box button.edit-btn{background:#fff;border-radius:.125rem;border:1px solid #f1f1f1;height:1.5rem}::ng-deep .frequency-completion-bottom cs-select{width:100%;margin-right:.75rem}::ng-deep .frequency-completion-bottom cs-select .selection-wrap .input-group input.value{height:2rem!important;font-size:11px!important}::ng-deep .frequency-completion-bottom .time-picker-group{background:#fff;border-radius:.25rem;display:flex;position:relative}::ng-deep .frequency-completion-bottom .time-picker-group input{background:transparent;border-radius:.25rem;border:1px solid #DBDBDB;color:#747576;font-size:13px;font-weight:400;width:6.25rem;padding:0 .75rem;margin:0;height:2rem;outline:none;position:relative;z-index:1;cursor:pointer}::ng-deep .frequency-completion-bottom .time-picker-group input::placeholder{color:#747576}::ng-deep .frequency-completion-bottom .time-picker-group .time-field{position:relative;cursor:pointer}::ng-deep .frequency-completion-bottom .time-picker-group .time-field.disable{background:#f1f1f1;border-radius:.25rem}::ng-deep .frequency-completion-bottom .time-picker-group .time-field .clock-icon{height:2rem;width:.75rem;position:absolute;right:.75rem;top:0}::ng-deep .selection-wrap .input-group i{top:12px!important}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { mode: [{
                type: Input
            }], feature: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }], radioForm: [{
                type: Output
            }] } });

class FrequencyOngoingComponent {
    constructor(frequencyService) {
        this.frequencyService = frequencyService;
        this.selectedType = 0; // selected type
        this.selectedOngoingType = 2; // default month selected;
        this.ongoingType = ['Week', 'Month', 'Quarter', 'Every 6 months', 'Annual'];
        this.startDate = Math.floor(Date.now() / 1000);
        this.lifecycleDetails = '0000-00-00~~0';
        this.frequencyDetails = new EventEmitter();
    }
    ngOnInit() {
        this.frequencyInfo = Object.assign(this.frequencyService.frequencyInfo);
        if (this.frequencyData.pattern != '' &&
            parseInt(this.frequencyData.pattern.split('~')[0]) === 10) {
            this.populateFrequency();
        }
        this.getOngoingFrequency();
    }
    populateFrequency() {
        const frequencySelected = this.frequencyData.pattern.split('~');
        this.selectedType = parseInt(frequencySelected[1]);
        this.selectedOngoingType =
            parseInt(frequencySelected[2]) === 0 ? 2 : parseInt(frequencySelected[2]);
    }
    onSelected(event) {
        this.selectedType = Number(event.target.value);
        this.getOngoingFrequency();
    }
    onSelectedOnGoingType(event) {
        this.selectedOngoingType = Number(event.target.value);
        this.getOngoingFrequency();
    }
    getOngoingFrequency() {
        this.frequencyInfo.placeholder = 'You have selected an ongoing frequency.';
        this.frequencyInfo.pattern =
            10 +
                '~' +
                this.selectedType +
                '~' +
                (this.selectedType ? this.selectedOngoingType : 0) +
                '~0';
        this.frequencyInfo.case = 'onGoing';
        this.frequencyInfo.failedAfter = 0;
        this.frequencyInfo.window = 0;
        this.frequencyInfo.timeIn12hr = DEFAULT_TIME;
        this.frequencyInfo.timeIn24Hr =
            this.frequencyService.timeFrom12hTo24h(DEFAULT_TIME);
        this.frequencyInfo.failed_time_utc = 0;
        this.frequencyInfo.reportId = 0;
        this.frequencyDetails.emit(this.frequencyInfo);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyOngoingComponent, deps: [{ token: FrequencyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyOngoingComponent, selector: "app-frequency-ongoing", inputs: { selectedType: "selectedType", selectedOngoingType: "selectedOngoingType", frequencyData: "frequencyData", startDate: "startDate" }, outputs: { frequencyDetails: "frequencyDetails" }, ngImport: i0, template: "<div class=\"frequency-ongoing\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">DUE DATE FREQUENCY:</div>\n    <div class=\"frequency-ongoing-item first vx-p-3 vx-d-flex vx-align-center\">\n        <app-cs-radio \n        id=\"ongoing-1\" \n        [value]=\"0\" \n        [checked]=\"selectedType === 0\" \n        (checkedEvent)=\"onSelected($event)\"\n        >\n            <div class=\"vx-fs-12 vx-label-txt\">Do not send reminders</div>\n        </app-cs-radio>\n    </div>\n    <div class=\"frequency-ongoing-item last vx-p-3 vx-d-flex vx-align-center\">\n        <div class=\"vx-d-block\">\n            <app-cs-radio \n                id=\"ongoing-2\" \n                [value]=\"1\" \n                [checked]=\"selectedType === 1\" \n                (checkedEvent)=\"onSelected($event)\">\n                <div class=\"vx-fs-12 vx-label-txt\">Remind the assignee at the start of{{selectedType=== 1 ? ':' :''}}</div>\n            </app-cs-radio>\n\n            <div class=\"sub-radio vx-d-flex vx-mt-4 vx-mb-2\" *ngIf=\"selectedType === 1\">\n                <app-cs-radio \n                    *ngFor=\"let data of ongoingType; let i = index\" \n                    [value]=\"i + 1\" \n                    [checked]=\"selectedOngoingType == i + 1\" \n                    [name]=\"'remind'\"\n                    (checkedEvent)=\"onSelectedOnGoingType($event)\"\n                    >\n                    <div class=\"vx-fs-12 vx-label-txt\">{{data}}</div>\n                </app-cs-radio>\n                <!-- <app-cs-radio>\n                    <div class=\"vx-fs-12 vx-label-txt\">Every 6 month</div>\n                </app-cs-radio>\n                <app-cs-radio>\n                    <div class=\"vx-fs-12 vx-label-txt\">Year</div>\n                </app-cs-radio> -->\n            </div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-ongoing{position:relative}::ng-deep .frequency-ongoing-item{border:1px solid #f1f1f1}::ng-deep .frequency-ongoing-item.first{border-radius:.25rem .25rem 0 0}::ng-deep .frequency-ongoing-item.last{border-radius:0 0 .25rem .25rem;border-top:none}::ng-deep .frequency-ongoing-item app-cs-radio{display:flex}::ng-deep .frequency-ongoing-item .sub-radio{padding-left:1.625rem}::ng-deep .frequency-ongoing-item .sub-radio app-cs-radio{display:flex;margin-right:1.75rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyOngoingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-ongoing', template: "<div class=\"frequency-ongoing\">\n    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">DUE DATE FREQUENCY:</div>\n    <div class=\"frequency-ongoing-item first vx-p-3 vx-d-flex vx-align-center\">\n        <app-cs-radio \n        id=\"ongoing-1\" \n        [value]=\"0\" \n        [checked]=\"selectedType === 0\" \n        (checkedEvent)=\"onSelected($event)\"\n        >\n            <div class=\"vx-fs-12 vx-label-txt\">Do not send reminders</div>\n        </app-cs-radio>\n    </div>\n    <div class=\"frequency-ongoing-item last vx-p-3 vx-d-flex vx-align-center\">\n        <div class=\"vx-d-block\">\n            <app-cs-radio \n                id=\"ongoing-2\" \n                [value]=\"1\" \n                [checked]=\"selectedType === 1\" \n                (checkedEvent)=\"onSelected($event)\">\n                <div class=\"vx-fs-12 vx-label-txt\">Remind the assignee at the start of{{selectedType=== 1 ? ':' :''}}</div>\n            </app-cs-radio>\n\n            <div class=\"sub-radio vx-d-flex vx-mt-4 vx-mb-2\" *ngIf=\"selectedType === 1\">\n                <app-cs-radio \n                    *ngFor=\"let data of ongoingType; let i = index\" \n                    [value]=\"i + 1\" \n                    [checked]=\"selectedOngoingType == i + 1\" \n                    [name]=\"'remind'\"\n                    (checkedEvent)=\"onSelectedOnGoingType($event)\"\n                    >\n                    <div class=\"vx-fs-12 vx-label-txt\">{{data}}</div>\n                </app-cs-radio>\n                <!-- <app-cs-radio>\n                    <div class=\"vx-fs-12 vx-label-txt\">Every 6 month</div>\n                </app-cs-radio>\n                <app-cs-radio>\n                    <div class=\"vx-fs-12 vx-label-txt\">Year</div>\n                </app-cs-radio> -->\n            </div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-ongoing{position:relative}::ng-deep .frequency-ongoing-item{border:1px solid #f1f1f1}::ng-deep .frequency-ongoing-item.first{border-radius:.25rem .25rem 0 0}::ng-deep .frequency-ongoing-item.last{border-radius:0 0 .25rem .25rem;border-top:none}::ng-deep .frequency-ongoing-item app-cs-radio{display:flex}::ng-deep .frequency-ongoing-item .sub-radio{padding-left:1.625rem}::ng-deep .frequency-ongoing-item .sub-radio app-cs-radio{display:flex;margin-right:1.75rem}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }]; }, propDecorators: { selectedType: [{
                type: Input
            }], selectedOngoingType: [{
                type: Input
            }], frequencyData: [{
                type: Input
            }], startDate: [{
                type: Input
            }], frequencyDetails: [{
                type: Output
            }] } });

class FrequencyContainerComponent {
    constructor(frequencyService, snackbar) {
        this.frequencyService = frequencyService;
        this.snackbar = snackbar;
        this.frequencyTab = 'daily';
        this.currentTabName = 'a Daily';
        this.selectedFrequency = new EventEmitter();
        this.closeFrequency = new EventEmitter();
        this.mode = '';
        this.pageType = 'responsibility';
        this.frequencyList = [
            {
                name: 'Daily',
                type: 'daily',
            },
            {
                name: 'Weekly',
                type: 'weekly',
            },
            {
                name: 'Monthly',
                type: 'monthly',
            },
            {
                name: 'Quarterly',
                type: 'quarterly',
            },
            {
                name: 'Biannual',
                type: 'biannual',
            },
            {
                name: 'Annual',
                type: 'annual',
            },
            {
                name: 'One Time',
                type: 'oneTime',
            },
            {
                name: 'Random',
                type: 'random',
            },
            {
                name: 'On Completion Of',
                type: 'onCompletionOf',
            },
            {
                name: 'Ongoing',
                type: 'ongoing',
            },
        ];
        this.isNextDisabled = false;
        this.openedRadioForm = false;
    }
    ngOnInit() {
        this.featureFlag_on_completion_of = this.feature.isFeatureEnabled('ff_frequency_on_completion_of');
        if (this.frequencyDetails.pattern != '') {
            this.populateFrequency();
        }
        const hideElements = ['random', 'onCompletionOf', 'ongoing'];
        if (this.mode == 'policy') {
            hideElements.forEach((element) => {
                const index = this.frequencyList.findIndex((elementIndex) => elementIndex.type == element);
                this.frequencyList.splice(index, 1);
            });
        }
        const hideElements2 = ['daily', 'random', 'onCompletionOf', 'ongoing'];
        if (this.mode == 'reviewerFrequency') {
            this.frequencyTab =
                this.frequencyDetails?.pattern == '' ? 'weekly' : this.frequencyTab;
            this.currentTabName =
                this.frequencyDetails?.pattern == '' ? 'a weekly' : this.currentTabName;
            hideElements2.forEach((element) => {
                const index = this.frequencyList.findIndex((elementIndex) => elementIndex.type == element);
                this.frequencyList.splice(index, 1);
            });
        }
    }
    ngOnChanges() {
        this.selectedFrequencyData = Object.assign({ ...this.frequencyDetails });
        this.frequencyData = Object.assign({ ...this.frequencyDetails });
    }
    populateFrequency() {
        const frequencyPattern = parseInt(this.frequencyDetails.pattern.split('~')[0]);
        switch (frequencyPattern) {
            case 0:
                this.frequencyTab = 'oneTime';
                this.currentTabName = 'a one time';
                break;
            case 1:
                this.frequencyTab = 'daily';
                this.currentTabName = 'a daily';
                break;
            case 2:
                this.frequencyTab = 'weekly';
                this.currentTabName = 'a weekly';
                break;
            case 3:
                this.frequencyTab = 'monthly';
                this.currentTabName = 'a monthly';
                break;
            case 4:
                this.frequencyTab = 'annual';
                this.currentTabName = 'an annual ';
                break;
            case 5:
                this.frequencyTab = 'daily';
                this.currentTabName = 'a daily';
                break;
            case 6:
                this.frequencyTab = 'onCompletionOf';
                this.currentTabName = 'an on completion of';
                this.frequencyData.report_id = this.frequencyDetails.selectedReport;
                break;
            case 7:
                this.frequencyTab = 'quarterly';
                this.currentTabName = 'a quarterly';
                break;
            case 8:
                this.frequencyTab = 'random';
                this.currentTabName = 'a random';
                break;
            case 9:
                this.frequencyTab = 'biannual';
                this.currentTabName = 'a biannual';
                break;
            case 10:
                this.frequencyTab = 'ongoing';
                this.currentTabName = 'an ongoing';
                break;
        }
        this.isNextDisabled = false;
    }
    changeFrequencyTab(frequency) {
        this.frequencyTab = frequency.type;
        if (frequency.name == 'One Time') {
            this.currentTabName = 'a one time';
        }
        else {
            this.currentTabName =
                frequency.name.startsWith('On') ||
                    frequency.name.toLowerCase() === 'annual'
                    ? 'an ' + frequency.name
                    : 'a ' + frequency.name;
        }
    }
    isInvalid() {
        let isInvalid = false;
        const frequencyDetails = this.frequencyData?.pattern?.split('~');
        switch (this.frequencyTab) {
            case 'daily':
                if (this.frequencyData.continuous_failed_days < 2) {
                    this.snackbar.show('Input value should be greater than 1.', 'alert');
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                    this.isNextDisabled = false;
                }
                break;
            case 'weekly':
                if (this.frequencyData.continuous_failed_days < 2) {
                    this.snackbar.show('Input value should be greater than 1.', 'alert');
                    isInvalid = true;
                    break;
                }
                else {
                    isInvalid = false;
                    this.isNextDisabled = false;
                }
                if (frequencyDetails[1] == '' ||
                    !frequencyDetails[1] ||
                    frequencyDetails.length < 4) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            case 'monthly':
                if (this.frequencyData.continuous_failed_days < 2) {
                    this.snackbar.show('Input value should be greater than 1.', 'alert');
                    isInvalid = true;
                    break;
                }
                else {
                    isInvalid = false;
                    this.isNextDisabled = false;
                }
                if (frequencyDetails[2] == '' ||
                    !frequencyDetails[2] ||
                    frequencyDetails.length < 4) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            case 'biannual':
                if (frequencyDetails.length === 0 ||
                    frequencyDetails[2] === '' ||
                    frequencyDetails[2].split(',')?.length < 2) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            case 'oneTime':
                if (frequencyDetails?.length > 0) {
                    const selectedTime = moment$1(`${frequencyDetails[3]}-${frequencyDetails[2]}-${frequencyDetails[1]} ${this.frequencyData.timeIn12hr}`, 'DD-MM-YYYY HH:mm a').unix();
                    if (Date.now() / 1000 > selectedTime) {
                        this.snackbar.show('Please set a future date.', 'alert');
                        isInvalid = true;
                        break;
                    }
                    else {
                        isInvalid = false;
                        this.isNextDisabled = false;
                    }
                }
                else {
                    isInvalid = true;
                }
                break;
            case 'onCompletionOf':
                if (this.frequencyData.reportId > 0) {
                    isInvalid = false;
                }
                else {
                    isInvalid = true;
                }
                break;
            case 'random':
                if (parseInt(frequencyDetails[1]) == 2 &&
                    (frequencyDetails[2] == '' ||
                        !frequencyDetails[2] ||
                        frequencyDetails.length < 4)) {
                    isInvalid = true;
                }
                else {
                    isInvalid = false;
                }
                break;
            default:
                isInvalid = false;
        }
        return isInvalid;
    }
    onFrequencySelected(event) {
        this.frequencyData = event;
        this.isNextDisabled = this.isInvalid();
    }
    openedRadio(event) {
        this.openedRadioForm = event;
    }
    //   checkNextValidity()
    // {
    // }
    save() {
        this.selectedFrequency.emit(this.frequencyData);
    }
    close() {
        this.closeFrequency.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyContainerComponent, deps: [{ token: FrequencyService }, { token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrequencyContainerComponent, selector: "app-frequency-container", inputs: { frequencyDetails: "frequencyDetails", mode: "mode", feature: "feature", pageType: "pageType" }, outputs: { selectedFrequency: "selectedFrequency", closeFrequency: "closeFrequency" }, usesOnChanges: true, ngImport: i0, template: "<ng-container *ngIf=\"mode !== 'policy'\">\n  <div class=\"frequency-dialog\" *ngIf=\"mode !== 'policy'\">\n    <div\n      class=\"frequency-dialog-head vx-p-3 vx-mb-4 vx-d-flex vx-align-center vx-justify-between\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Set a Frequency</div>\n    </div>\n    <div class=\"frequency-dialog-body vx-pl-4 vx-pr-4\">\n      <div class=\"frequency-dialog-body-inner\" [ngSwitch]=\"frequencyTab\">\n        <div class=\"frequency-tab vx-d-flex vx-align-center\">\n          <ng-container *ngFor=\"let frequencyType of frequencyList; let i = index\">\n            <button (click)=\"changeFrequencyTab(frequencyType)\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0\" [class.active]=\"frequencyType?.type == frequencyTab\">{{ frequencyType?.name }}</button>\n          </ng-container>\n        </div>\n        <div class=\"frequency-tab-bottom vx-pl-4 vx-pr-4\">\n          <!-- Daily Frequency Start -->\n          <app-frequency-daily\n            *ngSwitchCase=\"'daily'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-daily>\n          <!-- Daily Frequency End -->\n          <!-- Weekly Frequency Start -->\n          <app-frequency-weekly\n            *ngSwitchCase=\"'weekly'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-weekly>\n          <!-- Weekly Frequency End -->\n          <!-- Monthly Frequency Start -->\n          <app-frequency-monthly\n            *ngSwitchCase=\"'monthly'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-monthly>\n          <!-- Monthly Frequency End -->\n          <!-- Quarterly Frequency Start -->\n          <app-frequency-quarterly\n            *ngSwitchCase=\"'quarterly'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-quarterly>\n          <!-- Quarterly Frequency End -->\n          <!-- Biannual Frequency Start -->\n          <app-frequency-biannual\n            *ngSwitchCase=\"'biannual'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-biannual>\n          <!-- Biannual Frequency End -->\n          <!-- Annual Frequency Start -->\n          <app-frequency-annual\n            *ngSwitchCase=\"'annual'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-annual>\n          <!-- Annual Frequency End -->\n          <!-- One Time Frequency Start -->\n          <app-frequency-one-time\n            *ngSwitchCase=\"'oneTime'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-one-time>\n          <!-- One Time Frequency End -->\n          <!-- Random Frequency Start -->\n          <app-frequency-random\n            *ngSwitchCase=\"'random'\"\n            [mode]=\"mode\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-random>\n          <!-- Random Frequency End -->\n          <!-- On Completion Frequency Start -->\n          <app-frequency-on-completion-of\n            *ngSwitchCase=\"'onCompletionOf'\"\n            [mode]=\"mode\"\n            [feature]=\"feature\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n            (radioForm)=\"openedRadio($event)\"\n          ></app-frequency-on-completion-of>\n          <!-- On Completion Frequency End -->\n          <!-- Ongoing Frequency Start -->\n          <app-frequency-ongoing\n            *ngSwitchCase=\"'ongoing'\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-ongoing>\n          <!-- Ongoing Frequency End -->\n        </div>\n      </div>\n    </div>\n\n    <div class=\"frequency-dialog-footer\" *ngIf=\"!openedRadioForm\">\n      <app-floating-bar\n        [showFrequencyText]=\"true\"\n        [currentFrequency]=\"currentTabName\"\n        [isDisabled]=\"isNextDisabled\"\n        (closeEvent)=\"save()\"\n        (closeList)=\"close()\"\n      ></app-floating-bar>\n    </div>\n  </div>\n</ng-container>\n<!-- When responsibility list show then hide frequency-dialog html -->\n\n<!-- For Policy -->\n<div class=\"frequency-dialog\" *ngIf=\"mode === 'policy'\">\n  <div class=\"frequency-dialog-head vx-p-3 vx-mb-4 vx-d-flex vx-align-center vx-justify-between\">\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Set a Frequency</div>\n  </div>\n  <div class=\"frequency-dialog-body vx-pl-4 vx-pr-4\">\n    <div class=\"frequency-dialog-body-inner\" [ngSwitch]=\"frequencyTab\">\n      <div class=\"frequency-tab vx-d-flex vx-align-center\">\n        <ng-container *ngFor=\"let frequencyType of frequencyList; let i = index\">\n          <button (click)=\"changeFrequencyTab(frequencyType)\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0\" [class.active]=\"frequencyType?.type == frequencyTab\">{{ frequencyType?.name }}</button>\n        </ng-container>\n      </div>\n      <div class=\"frequency-tab-bottom vx-pl-4 vx-pr-4\">\n        <!-- Daily Frequency Start -->\n        <app-frequency-daily\n          *ngSwitchCase=\"'daily'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-daily>\n        <!-- Daily Frequency End -->\n        <!-- Weekly Frequency Start -->\n        <app-frequency-weekly\n          *ngSwitchCase=\"'weekly'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-weekly>\n        <!-- Weekly Frequency End -->\n        <!-- Monthly Frequency Start -->\n        <app-frequency-monthly\n          *ngSwitchCase=\"'monthly'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-monthly>\n        <!-- Monthly Frequency End -->\n        <!-- Quarterly Frequency Start -->\n        <app-frequency-quarterly\n          *ngSwitchCase=\"'quarterly'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-quarterly>\n        <!-- Quarterly Frequency End -->\n        <!-- Biannual Frequency Start -->\n        <app-frequency-biannual\n          *ngSwitchCase=\"'biannual'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-biannual>\n        <!-- Biannual Frequency End -->\n        <!-- Annual Frequency Start -->\n        <app-frequency-annual\n          *ngSwitchCase=\"'annual'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-annual>\n        <!-- Annual Frequency End -->\n        <!-- One Time Frequency Start -->\n        <app-frequency-one-time\n          *ngSwitchCase=\"'oneTime'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-one-time>\n        <!-- One Time Frequency End -->\n        <!-- Random Frequency Start -->\n        <app-frequency-random\n          *ngSwitchCase=\"'random'\"\n          [mode]=\"mode\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-random>\n        <!-- Random Frequency End -->\n        <!-- On Completion Frequency Start -->\n        <app-frequency-on-completion-of\n          *ngSwitchCase=\"'onCompletionOf'\"\n          [mode]=\"mode\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-on-completion-of>\n        <!-- On Completion Frequency End -->\n        <!-- Ongoing Frequency Start -->\n        <app-frequency-ongoing\n          *ngSwitchCase=\"'ongoing'\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-ongoing>\n        <!-- Ongoing Frequency End -->\n      </div>\n    </div>\n  </div>\n  <div class=\"frequency-dialog-footer\">\n    <app-floating-bar\n      [showFrequencyText]=\"true\"\n      [currentFrequency]=\"currentTabName\"\n      [isDisabled]=\"isNextDisabled\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog{position:fixed;inset:0 500px 0 0;z-index:11}::ng-deep .frequency-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}@media screen and (max-width: 1280px){::ng-deep .frequency-dialog{right:30px}::ng-deep .frequency-dialog .frequency-dialog-body .frequency-dialog-body-inner .frequency-tab-bottom app-frequency-on-completion-of .frequency-completion .frequency-completion-inner .frequency-completion-bottom app-frequency-responsibility-list .frequency-responsibility-list{right:0;z-index:9999}}::ng-deep .frequency-dialog-head{background:#fbfbfb;border-radius:.125rem .125rem 0 0;border-bottom:1px solid #f1f1f1}::ng-deep .frequency-dialog-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .frequency-dialog-body{height:calc(100vh - 9.75rem);margin:0 auto 1rem;overflow:hidden;overflow-y:auto;width:calc(100% - 2.5rem)}::ng-deep .frequency-dialog-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .frequency-dialog-body-inner{width:54.5rem;margin:0 auto}@media screen and (min-width: 1366px){::ng-deep .frequency-dialog-body-inner{width:auto}}::ng-deep .frequency-dialog-body .frequency-tab{border:none!important;border-bottom:1px solid #f1f1f1!important;margin-bottom:1.5rem}::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.125rem solid transparent;height:1.5rem;margin-right:1.5rem!important}::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn:last-of-type{margin-right:0!important}@media screen and (max-width: 1366px){::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn{margin-right:1rem!important}}@media screen and (max-width: 1280px){::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn{margin-right:.75rem!important}}::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn.active{color:#1e5dd3!important;border-color:#1e5dd3}::ng-deep .frequency-dialog-footer{padding:0 2rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: FrequencyDailyComponent, selector: "app-frequency-daily", inputs: ["mode", "frequencyData", "startDate", "pageType"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyWeeklyComponent, selector: "app-frequency-weekly", inputs: ["mode", "pageType", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyMonthlyComponent, selector: "app-frequency-monthly", inputs: ["mode", "pageType", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyQuarterlyComponent, selector: "app-frequency-quarterly", inputs: ["mode", "startDate", "frequencyData", "pageType"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyBiannualComponent, selector: "app-frequency-biannual", inputs: ["mode", "pageType", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyAnnualComponent, selector: "app-frequency-annual", inputs: ["pageType", "frequencyData", "mode", "startDate"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyOneTimeComponent, selector: "app-frequency-one-time", inputs: ["pageType", "frequencyData", "mode"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyRandomComponent, selector: "app-frequency-random", inputs: ["mode", "startDate", "frequencyData"], outputs: ["frequencyDetails"] }, { kind: "component", type: FrequencyOnCompletionOfComponent, selector: "app-frequency-on-completion-of", inputs: ["mode", "feature", "startDate", "frequencyData"], outputs: ["frequencyDetails", "radioForm"] }, { kind: "component", type: FrequencyOngoingComponent, selector: "app-frequency-ongoing", inputs: ["selectedType", "selectedOngoingType", "frequencyData", "startDate"], outputs: ["frequencyDetails"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-frequency-container', template: "<ng-container *ngIf=\"mode !== 'policy'\">\n  <div class=\"frequency-dialog\" *ngIf=\"mode !== 'policy'\">\n    <div\n      class=\"frequency-dialog-head vx-p-3 vx-mb-4 vx-d-flex vx-align-center vx-justify-between\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Set a Frequency</div>\n    </div>\n    <div class=\"frequency-dialog-body vx-pl-4 vx-pr-4\">\n      <div class=\"frequency-dialog-body-inner\" [ngSwitch]=\"frequencyTab\">\n        <div class=\"frequency-tab vx-d-flex vx-align-center\">\n          <ng-container *ngFor=\"let frequencyType of frequencyList; let i = index\">\n            <button (click)=\"changeFrequencyTab(frequencyType)\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0\" [class.active]=\"frequencyType?.type == frequencyTab\">{{ frequencyType?.name }}</button>\n          </ng-container>\n        </div>\n        <div class=\"frequency-tab-bottom vx-pl-4 vx-pr-4\">\n          <!-- Daily Frequency Start -->\n          <app-frequency-daily\n            *ngSwitchCase=\"'daily'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-daily>\n          <!-- Daily Frequency End -->\n          <!-- Weekly Frequency Start -->\n          <app-frequency-weekly\n            *ngSwitchCase=\"'weekly'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-weekly>\n          <!-- Weekly Frequency End -->\n          <!-- Monthly Frequency Start -->\n          <app-frequency-monthly\n            *ngSwitchCase=\"'monthly'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-monthly>\n          <!-- Monthly Frequency End -->\n          <!-- Quarterly Frequency Start -->\n          <app-frequency-quarterly\n            *ngSwitchCase=\"'quarterly'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-quarterly>\n          <!-- Quarterly Frequency End -->\n          <!-- Biannual Frequency Start -->\n          <app-frequency-biannual\n            *ngSwitchCase=\"'biannual'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-biannual>\n          <!-- Biannual Frequency End -->\n          <!-- Annual Frequency Start -->\n          <app-frequency-annual\n            *ngSwitchCase=\"'annual'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-annual>\n          <!-- Annual Frequency End -->\n          <!-- One Time Frequency Start -->\n          <app-frequency-one-time\n            *ngSwitchCase=\"'oneTime'\"\n            [mode]=\"mode\"\n            [pageType]=\"pageType\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-one-time>\n          <!-- One Time Frequency End -->\n          <!-- Random Frequency Start -->\n          <app-frequency-random\n            *ngSwitchCase=\"'random'\"\n            [mode]=\"mode\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-random>\n          <!-- Random Frequency End -->\n          <!-- On Completion Frequency Start -->\n          <app-frequency-on-completion-of\n            *ngSwitchCase=\"'onCompletionOf'\"\n            [mode]=\"mode\"\n            [feature]=\"feature\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n            (radioForm)=\"openedRadio($event)\"\n          ></app-frequency-on-completion-of>\n          <!-- On Completion Frequency End -->\n          <!-- Ongoing Frequency Start -->\n          <app-frequency-ongoing\n            *ngSwitchCase=\"'ongoing'\"\n            (frequencyDetails)=\"onFrequencySelected($event)\"\n            [frequencyData]=\"frequencyDetails\"\n          ></app-frequency-ongoing>\n          <!-- Ongoing Frequency End -->\n        </div>\n      </div>\n    </div>\n\n    <div class=\"frequency-dialog-footer\" *ngIf=\"!openedRadioForm\">\n      <app-floating-bar\n        [showFrequencyText]=\"true\"\n        [currentFrequency]=\"currentTabName\"\n        [isDisabled]=\"isNextDisabled\"\n        (closeEvent)=\"save()\"\n        (closeList)=\"close()\"\n      ></app-floating-bar>\n    </div>\n  </div>\n</ng-container>\n<!-- When responsibility list show then hide frequency-dialog html -->\n\n<!-- For Policy -->\n<div class=\"frequency-dialog\" *ngIf=\"mode === 'policy'\">\n  <div class=\"frequency-dialog-head vx-p-3 vx-mb-4 vx-d-flex vx-align-center vx-justify-between\">\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Set a Frequency</div>\n  </div>\n  <div class=\"frequency-dialog-body vx-pl-4 vx-pr-4\">\n    <div class=\"frequency-dialog-body-inner\" [ngSwitch]=\"frequencyTab\">\n      <div class=\"frequency-tab vx-d-flex vx-align-center\">\n        <ng-container *ngFor=\"let frequencyType of frequencyList; let i = index\">\n          <button (click)=\"changeFrequencyTab(frequencyType)\" class=\"tab-btn vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0\" [class.active]=\"frequencyType?.type == frequencyTab\">{{ frequencyType?.name }}</button>\n        </ng-container>\n      </div>\n      <div class=\"frequency-tab-bottom vx-pl-4 vx-pr-4\">\n        <!-- Daily Frequency Start -->\n        <app-frequency-daily\n          *ngSwitchCase=\"'daily'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-daily>\n        <!-- Daily Frequency End -->\n        <!-- Weekly Frequency Start -->\n        <app-frequency-weekly\n          *ngSwitchCase=\"'weekly'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-weekly>\n        <!-- Weekly Frequency End -->\n        <!-- Monthly Frequency Start -->\n        <app-frequency-monthly\n          *ngSwitchCase=\"'monthly'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-monthly>\n        <!-- Monthly Frequency End -->\n        <!-- Quarterly Frequency Start -->\n        <app-frequency-quarterly\n          *ngSwitchCase=\"'quarterly'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-quarterly>\n        <!-- Quarterly Frequency End -->\n        <!-- Biannual Frequency Start -->\n        <app-frequency-biannual\n          *ngSwitchCase=\"'biannual'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-biannual>\n        <!-- Biannual Frequency End -->\n        <!-- Annual Frequency Start -->\n        <app-frequency-annual\n          *ngSwitchCase=\"'annual'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-annual>\n        <!-- Annual Frequency End -->\n        <!-- One Time Frequency Start -->\n        <app-frequency-one-time\n          *ngSwitchCase=\"'oneTime'\"\n          [mode]=\"mode\"\n          [pageType]=\"pageType\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-one-time>\n        <!-- One Time Frequency End -->\n        <!-- Random Frequency Start -->\n        <app-frequency-random\n          *ngSwitchCase=\"'random'\"\n          [mode]=\"mode\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-random>\n        <!-- Random Frequency End -->\n        <!-- On Completion Frequency Start -->\n        <app-frequency-on-completion-of\n          *ngSwitchCase=\"'onCompletionOf'\"\n          [mode]=\"mode\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-on-completion-of>\n        <!-- On Completion Frequency End -->\n        <!-- Ongoing Frequency Start -->\n        <app-frequency-ongoing\n          *ngSwitchCase=\"'ongoing'\"\n          (frequencyDetails)=\"onFrequencySelected($event)\"\n          [frequencyData]=\"frequencyDetails\"\n        ></app-frequency-ongoing>\n        <!-- Ongoing Frequency End -->\n      </div>\n    </div>\n  </div>\n  <div class=\"frequency-dialog-footer\">\n    <app-floating-bar\n      [showFrequencyText]=\"true\"\n      [currentFrequency]=\"currentTabName\"\n      [isDisabled]=\"isNextDisabled\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/header/header.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/popover/popover.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .frequency-dialog{position:fixed;inset:0 500px 0 0;z-index:11}::ng-deep .frequency-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}@media screen and (max-width: 1280px){::ng-deep .frequency-dialog{right:30px}::ng-deep .frequency-dialog .frequency-dialog-body .frequency-dialog-body-inner .frequency-tab-bottom app-frequency-on-completion-of .frequency-completion .frequency-completion-inner .frequency-completion-bottom app-frequency-responsibility-list .frequency-responsibility-list{right:0;z-index:9999}}::ng-deep .frequency-dialog-head{background:#fbfbfb;border-radius:.125rem .125rem 0 0;border-bottom:1px solid #f1f1f1}::ng-deep .frequency-dialog-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .frequency-dialog-body{height:calc(100vh - 9.75rem);margin:0 auto 1rem;overflow:hidden;overflow-y:auto;width:calc(100% - 2.5rem)}::ng-deep .frequency-dialog-body::-webkit-scrollbar-track{background-color:transparent}::ng-deep .frequency-dialog-body-inner{width:54.5rem;margin:0 auto}@media screen and (min-width: 1366px){::ng-deep .frequency-dialog-body-inner{width:auto}}::ng-deep .frequency-dialog-body .frequency-tab{border:none!important;border-bottom:1px solid #f1f1f1!important;margin-bottom:1.5rem}::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.125rem solid transparent;height:1.5rem;margin-right:1.5rem!important}::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn:last-of-type{margin-right:0!important}@media screen and (max-width: 1366px){::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn{margin-right:1rem!important}}@media screen and (max-width: 1280px){::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn{margin-right:.75rem!important}}::ng-deep .frequency-dialog-body .frequency-tab button.tab-btn.active{color:#1e5dd3!important;border-color:#1e5dd3}::ng-deep .frequency-dialog-footer{padding:0 2rem}\n"] }]
        }], ctorParameters: function () { return [{ type: FrequencyService }, { type: SnackBarService }]; }, propDecorators: { frequencyDetails: [{
                type: Input
            }], selectedFrequency: [{
                type: Output
            }], closeFrequency: [{
                type: Output
            }], mode: [{
                type: Input
            }], feature: [{
                type: Input
            }], pageType: [{
                type: Input
            }] } });

class FrameworkTableLoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkTableLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrameworkTableLoaderComponent, selector: "lib-framework-table-loader", ngImport: i0, template: "<div class=\"framework-table-loader\">\n    <div class=\"table-row\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center total\">\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assigned\">\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center unassigned\">\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-end action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .framework-table-loader .table-row{background:#fff;border-radius:.125rem;border:1px solid #F1F1F1;margin-bottom:.25rem;display:flex;justify-content:space-between;position:relative}::ng-deep .framework-table-loader .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .framework-table-loader .table-column.serial{width:2.5rem;max-width:2.5rem;justify-content:center}::ng-deep .framework-table-loader .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .framework-table-loader .table-column.name{width:calc(100% - 23.5rem);min-width:calc(100% - 23.5rem)}::ng-deep .framework-table-loader .table-column.name .loader{width:100%}::ng-deep .framework-table-loader .table-column.total{width:4.5rem;min-width:4.5rem}::ng-deep .framework-table-loader .table-column.assigned{width:7rem;min-width:7rem}::ng-deep .framework-table-loader .table-column.unassigned{width:7rem;min-width:7rem}::ng-deep .framework-table-loader .table-column.action{width:2.5rem;min-width:2.5rem}::ng-deep .framework-table-loader .table-column.action .loader{width:50%}.loader{background:#f1f1f1;border-radius:.5rem;height:.5rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkTableLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-framework-table-loader', template: "<div class=\"framework-table-loader\">\n    <div class=\"table-row\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center total\">\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assigned\">\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center unassigned\">\n        </div>\n        <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-end action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .framework-table-loader .table-row{background:#fff;border-radius:.125rem;border:1px solid #F1F1F1;margin-bottom:.25rem;display:flex;justify-content:space-between;position:relative}::ng-deep .framework-table-loader .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .framework-table-loader .table-column.serial{width:2.5rem;max-width:2.5rem;justify-content:center}::ng-deep .framework-table-loader .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .framework-table-loader .table-column.name{width:calc(100% - 23.5rem);min-width:calc(100% - 23.5rem)}::ng-deep .framework-table-loader .table-column.name .loader{width:100%}::ng-deep .framework-table-loader .table-column.total{width:4.5rem;min-width:4.5rem}::ng-deep .framework-table-loader .table-column.assigned{width:7rem;min-width:7rem}::ng-deep .framework-table-loader .table-column.unassigned{width:7rem;min-width:7rem}::ng-deep .framework-table-loader .table-column.action{width:2.5rem;min-width:2.5rem}::ng-deep .framework-table-loader .table-column.action .loader{width:50%}.loader{background:#f1f1f1;border-radius:.5rem;height:.5rem}\n"] }]
        }], ctorParameters: function () { return []; } });

class FrameworkListTableComponent {
    constructor() {
        this.frameworkType = 'framework';
        this.selectedFramework = new EventEmitter();
        this.loader = true;
    }
    ngOnChanges(changes) {
        this.loader = this.listLoader;
    }
    ngOnInit() {
    }
    selectFramework(data) {
        this.selectedFramework.emit(data);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkListTableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrameworkListTableComponent, selector: "app-framework-list-table", inputs: { frameworksList: "frameworksList", frameworkType: "frameworkType", currentFramework: "currentFramework", listLoader: "listLoader" }, outputs: { selectedFramework: "selectedFramework" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"framework-table-list\">\n    <div class=\"table-header\" *ngIf=\"loader || frameworksList?.data?.length\">\n        <div class=\"table-row\">\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">#</div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">NAME</div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center total\">TOTAL</div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assigned\">\n                <!-- ASSIGNED -->\n            </div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center unassigned\">\n                <!-- UNASSIGNED -->\n            </div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\"></div>\n        </div>\n    </div>\n    <div class=\"table-body\">\n        <lib-framework-table-loader *ngIf=\"loader\"></lib-framework-table-loader>\n        <!-- when click on row then active class was true & radio was checked -->\n        <ng-container *ngIf=\"!loader\">\n            <div class=\"table-row\" (click)=\"selectFramework(framework)\" [class.row-clickable]=\"true\" [class.active]=\"currentFramework?.id==framework.id\" *ngFor=\"let framework of frameworksList?.data; let i = index;\">\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"i+frameworksList?.from\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{i+frameworksList?.from}}</div>\n                    <app-cs-radio [checked]=\"currentFramework?.id==framework.id\"></app-cs-radio>\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">\n                    <div class=\"vx-d-block vx-w-100\">\n                    <div class=\"name-inner vx-fs-12 vx-label-txt vx-pr-5\" [appTooltip]=\"framework?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{framework?.name}}</div>\n                    <div class=\"within-part\" *ngIf=\"framework?.within?.length\">\n                        <span class=\"within-box\">Within</span>\n                        <span class=\"value\">\n                          <span [appTooltip]=\"child\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\" *ngFor=\"let child of framework?.within; let i = index\"><i class=\"icons\" *ngIf=\"i!=0\">&#xe96b;</i> {{child}} </span>\n                        </span>\n                    </div>\n                </div>\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center total\">\n                    <div class=\"total-value vx-fs-10 vx-fw-500 vx-label-txt vx-pl-1 vx-pr-1 vx-lh-4\">{{framework?.totalControls}}</div>\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assigned\">\n                    <!-- <div class=\"assigned-value vx-fs-10 vx-fw-500 vx-label-txt vx-pl-1 vx-pr-1 vx-lh-4\">\n                        <span class=\"vx-pr-1 vx-mr-1 vx-d-inline-block\">{{framework?.assigned?.count}}</span> {{framework?.assigned?.percentage}}%\n                    </div> -->\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center unassigned\">\n                    <!-- <div class=\"unassigned-value vx-fs-10 vx-fw-500 vx-label-txt vx-pl-1 vx-pr-1 vx-lh-4\">\n                        <span class=\"vx-pr-1 vx-mr-1 vx-d-inline-block\">{{framework?.unassigned?.count}}</span> {{framework?.unassigned?.percentage}}%\n                    </div> -->\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-end action\">\n                    <button *ngIf=\"framework?.totalControls>0\" class=\"arrow vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe970;</i></button>\n                </div>\n            </div>\n        </ng-container>\n\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .framework-table-list .table-header{background:#fff;border-radius:.125rem;position:sticky;top:0;z-index:1}::ng-deep .framework-table-list .table-header .table-column{line-height:1rem!important;min-height:1.875rem!important}::ng-deep .framework-table-list .table-body{position:relative}::ng-deep .framework-table-list .table-body .table-row{background:#fff;border-radius:.125rem;border:1px solid #F1F1F1;transition:all .2s ease-in-out;margin-bottom:.25rem}::ng-deep .framework-table-list .table-body .table-row:hover{transition:all .2s ease-in-out;box-shadow:0 3px 6px #00000029}::ng-deep .framework-table-list .table-body .table-row:hover .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-table-list .table-body .table-row:hover .table-column.serial app-cs-radio{opacity:1}::ng-deep .framework-table-list .table-body .table-row:hover .table-column.action button.arrow{color:#1e5dd3!important}::ng-deep .framework-table-list .table-body .table-row.active{border-color:#1e5dd3}::ng-deep .framework-table-list .table-body .table-row.active .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-table-list .table-body .table-row.active .table-column.serial app-cs-radio{opacity:1}::ng-deep .framework-table-list .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .framework-table-list .table-row.row-clickable{cursor:pointer}::ng-deep .framework-table-list .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .framework-table-list .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .framework-table-list .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .framework-table-list .table-column.serial{width:2.5rem;max-width:2.5rem;justify-content:center}::ng-deep .framework-table-list .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .framework-table-list .table-column.serial app-cs-radio{position:absolute;top:.75rem;left:.75rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .framework-table-list .table-column.serial app-cs-radio .radio-item{position:absolute}::ng-deep .framework-table-list .table-column.name{width:calc(100% - 23.5rem);min-width:calc(100% - 23.5rem)}::ng-deep .framework-table-list .table-column.name .name-inner{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .framework-table-list .table-column.total{width:4.5rem;min-width:4.5rem}::ng-deep .framework-table-list .table-column.total .total-value{border:1px solid #F1F1F1;border-radius:.125rem}::ng-deep .framework-table-list .table-column.assigned{width:7rem;min-width:7rem}::ng-deep .framework-table-list .table-column.assigned .assigned-value{border:1px solid #F1F1F1;border-radius:.125rem}::ng-deep .framework-table-list .table-column.assigned .assigned-value span{color:#34aa44;position:relative}::ng-deep .framework-table-list .table-column.assigned .assigned-value span:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;width:1px;height:100%}::ng-deep .framework-table-list .table-column.unassigned{width:7rem;min-width:7rem}::ng-deep .framework-table-list .table-column.unassigned .unassigned-value{border:1px solid #F1F1F1;border-radius:.125rem}::ng-deep .framework-table-list .table-column.unassigned .unassigned-value span{color:#f2bf19;position:relative}::ng-deep .framework-table-list .table-column.unassigned .unassigned-value span:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;width:1px;height:100%}::ng-deep .framework-table-list .table-column.action{width:2.5rem;min-width:2.5rem}::ng-deep .framework-table-list .table-column.action button.more,::ng-deep .framework-table-list .table-column.action button.arrow{background:transparent;border:none;border-radius:0}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: FrameworkTableLoaderComponent, selector: "lib-framework-table-loader" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkListTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-framework-list-table', template: "<div class=\"framework-table-list\">\n    <div class=\"table-header\" *ngIf=\"loader || frameworksList?.data?.length\">\n        <div class=\"table-row\">\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">#</div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">NAME</div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center total\">TOTAL</div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assigned\">\n                <!-- ASSIGNED -->\n            </div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center unassigned\">\n                <!-- UNASSIGNED -->\n            </div>\n            <div class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\"></div>\n        </div>\n    </div>\n    <div class=\"table-body\">\n        <lib-framework-table-loader *ngIf=\"loader\"></lib-framework-table-loader>\n        <!-- when click on row then active class was true & radio was checked -->\n        <ng-container *ngIf=\"!loader\">\n            <div class=\"table-row\" (click)=\"selectFramework(framework)\" [class.row-clickable]=\"true\" [class.active]=\"currentFramework?.id==framework.id\" *ngFor=\"let framework of frameworksList?.data; let i = index;\">\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                    <div class=\"sr-no\" [appTooltip]=\"i+frameworksList?.from\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">{{i+frameworksList?.from}}</div>\n                    <app-cs-radio [checked]=\"currentFramework?.id==framework.id\"></app-cs-radio>\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">\n                    <div class=\"vx-d-block vx-w-100\">\n                    <div class=\"name-inner vx-fs-12 vx-label-txt vx-pr-5\" [appTooltip]=\"framework?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{framework?.name}}</div>\n                    <div class=\"within-part\" *ngIf=\"framework?.within?.length\">\n                        <span class=\"within-box\">Within</span>\n                        <span class=\"value\">\n                          <span [appTooltip]=\"child\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\" *ngFor=\"let child of framework?.within; let i = index\"><i class=\"icons\" *ngIf=\"i!=0\">&#xe96b;</i> {{child}} </span>\n                        </span>\n                    </div>\n                </div>\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center total\">\n                    <div class=\"total-value vx-fs-10 vx-fw-500 vx-label-txt vx-pl-1 vx-pr-1 vx-lh-4\">{{framework?.totalControls}}</div>\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center assigned\">\n                    <!-- <div class=\"assigned-value vx-fs-10 vx-fw-500 vx-label-txt vx-pl-1 vx-pr-1 vx-lh-4\">\n                        <span class=\"vx-pr-1 vx-mr-1 vx-d-inline-block\">{{framework?.assigned?.count}}</span> {{framework?.assigned?.percentage}}%\n                    </div> -->\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center unassigned\">\n                    <!-- <div class=\"unassigned-value vx-fs-10 vx-fw-500 vx-label-txt vx-pl-1 vx-pr-1 vx-lh-4\">\n                        <span class=\"vx-pr-1 vx-mr-1 vx-d-inline-block\">{{framework?.unassigned?.count}}</span> {{framework?.unassigned?.percentage}}%\n                    </div> -->\n                </div>\n                <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-end action\">\n                    <button *ngIf=\"framework?.totalControls>0\" class=\"arrow vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe970;</i></button>\n                </div>\n            </div>\n        </ng-container>\n\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .framework-table-list .table-header{background:#fff;border-radius:.125rem;position:sticky;top:0;z-index:1}::ng-deep .framework-table-list .table-header .table-column{line-height:1rem!important;min-height:1.875rem!important}::ng-deep .framework-table-list .table-body{position:relative}::ng-deep .framework-table-list .table-body .table-row{background:#fff;border-radius:.125rem;border:1px solid #F1F1F1;transition:all .2s ease-in-out;margin-bottom:.25rem}::ng-deep .framework-table-list .table-body .table-row:hover{transition:all .2s ease-in-out;box-shadow:0 3px 6px #00000029}::ng-deep .framework-table-list .table-body .table-row:hover .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-table-list .table-body .table-row:hover .table-column.serial app-cs-radio{opacity:1}::ng-deep .framework-table-list .table-body .table-row:hover .table-column.action button.arrow{color:#1e5dd3!important}::ng-deep .framework-table-list .table-body .table-row.active{border-color:#1e5dd3}::ng-deep .framework-table-list .table-body .table-row.active .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-table-list .table-body .table-row.active .table-column.serial app-cs-radio{opacity:1}::ng-deep .framework-table-list .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .framework-table-list .table-row.row-clickable{cursor:pointer}::ng-deep .framework-table-list .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .framework-table-list .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .framework-table-list .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .framework-table-list .table-column.serial{width:2.5rem;max-width:2.5rem;justify-content:center}::ng-deep .framework-table-list .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .framework-table-list .table-column.serial app-cs-radio{position:absolute;top:.75rem;left:.75rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .framework-table-list .table-column.serial app-cs-radio .radio-item{position:absolute}::ng-deep .framework-table-list .table-column.name{width:calc(100% - 23.5rem);min-width:calc(100% - 23.5rem)}::ng-deep .framework-table-list .table-column.name .name-inner{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .framework-table-list .table-column.total{width:4.5rem;min-width:4.5rem}::ng-deep .framework-table-list .table-column.total .total-value{border:1px solid #F1F1F1;border-radius:.125rem}::ng-deep .framework-table-list .table-column.assigned{width:7rem;min-width:7rem}::ng-deep .framework-table-list .table-column.assigned .assigned-value{border:1px solid #F1F1F1;border-radius:.125rem}::ng-deep .framework-table-list .table-column.assigned .assigned-value span{color:#34aa44;position:relative}::ng-deep .framework-table-list .table-column.assigned .assigned-value span:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;width:1px;height:100%}::ng-deep .framework-table-list .table-column.unassigned{width:7rem;min-width:7rem}::ng-deep .framework-table-list .table-column.unassigned .unassigned-value{border:1px solid #F1F1F1;border-radius:.125rem}::ng-deep .framework-table-list .table-column.unassigned .unassigned-value span{color:#f2bf19;position:relative}::ng-deep .framework-table-list .table-column.unassigned .unassigned-value span:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;width:1px;height:100%}::ng-deep .framework-table-list .table-column.action{width:2.5rem;min-width:2.5rem}::ng-deep .framework-table-list .table-column.action button.more,::ng-deep .framework-table-list .table-column.action button.arrow{background:transparent;border:none;border-radius:0}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { frameworksList: [{
                type: Input
            }], frameworkType: [{
                type: Input
            }], currentFramework: [{
                type: Input
            }], listLoader: [{
                type: Input
            }], selectedFramework: [{
                type: Output
            }] } });

class FrameworkResponsibilityTableComponent {
    constructor() {
        this.selectedControl = new EventEmitter();
        this.assignControl = new EventEmitter();
        this.loader = true;
    }
    ngOnChanges(changes) {
        this.loader = this.listLoader;
    }
    ngOnInit() {
    }
    selectControl(data) {
        this.selectedControl.emit(data);
    }
    assign(control) {
        this.assignControl.emit(control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkResponsibilityTableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrameworkResponsibilityTableComponent, selector: "app-framework-responsibility-table", inputs: { controlsList: "controlsList", currentSelectedControl: "currentSelectedControl", listLoader: "listLoader" }, outputs: { selectedControl: "selectedControl", assignControl: "assignControl" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"framework-responsibility-table\">\n    <div class=\"table-header\"  *ngIf=\"loader || controlsList?.data?.length\">\n        <div class=\"table-row\">\n            <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                #</div>\n            <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">\n                NAME</div>\n            <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action-button\">\n            </div>\n        </div>\n    </div>\n    <div class=\"table-body\">\n        <lib-framework-table-loader *ngIf=\"loader\"></lib-framework-table-loader>\n        <!-- when radio button was checked then active class was true -->\n        <ng-container *ngIf=\"!loader\">\n            <div class=\"table-row\"  (click)=\"selectControl(control)\" [class.active]=\"currentSelectedControl?.id == control?.id\"\n            *ngFor=\"let control of controlsList?.data; let i =index;\">\n            <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                <div class=\"sr-no\" [appTooltip]=\"i+controlsList.from\" placement=\"bottom\" delay=\"0\" type=\"black\"\n                    [tooltipMandatory]=\"true\">\n                    {{i+controlsList.from}}\n                    <app-cs-radio [checked]=\"currentSelectedControl?.id == control?.id\">\n                    </app-cs-radio>\n                </div>\n            </div>\n            <div class=\"table-column vx-pr-1 vx-d-flex vx-align-center name\">\n                <!-- <div class=\"vx-avatar-group vx-mr-2\">\n                    <div class=\"vx-avatar md\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                        <span class=\"blue\">hk</span>\n                        <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\">\n                    </div>\n                    <div class=\"vx-avatar md\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                        <span class=\"green\">hk</span>\n                        <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\">\n                    </div>\n                </div> -->\n                <div class=\"vx-d-block vx-w-100\">\n                    <div class=\"vx-d-flex vx-w-100\">\n                        <div class=\"responsibility-name vx-fs-12 vx-label-txt vx-pr-2\" [appTooltip]=\"control?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">\n                            <!-- <span class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">[CID-18087001]</span> -->\n                            {{control?.name}}\n                        </div>\n                        <button class=\"info-btn vx-fs-14 vx-txt-blue vx-m-0 vx-p-0 vx-d-flex vx-align-center\" appPopover (click)=\"responsibilityInfoBtn.popover()\" placement=\"left\"><i class=\"icons\">&#xe932;</i></button>\n                        <app-popover #responsibilityInfoBtn [dontCloseonClick]=\"true\">\n                            <div class=\"wf-action-list\">\n                                <div class=\"responsibility-info vx-p-3\">\n                                    <!-- <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-mb-1\">FREQUENCY:</div>\n                                    <div class=\"vx-fs-13 vx-paragraph-txt\">{{(control?.frequency) ?control?.frequency: 'N/A'}}</div>\n                                    <div class=\"separator vx-mt-2 vx-mb-2\"></div> -->\n                                    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-mb-1\">OBJECTIVE:</div>\n                                    <div class=\"vx-fs-12 vx-paragraph-txt\" [innerHtml]=\"(control?.objectives) ? control?.objectives: 'N/A'\"></div>\n                                    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-mb-1 vx-mt-1\">NOTES:</div>\n                                    <div class=\"vx-fs-12 vx-paragraph-txt\" [innerHtml]=\"(control?.description) ? control?.description: 'N/A'\"></div>\n                                </div>\n                            </div>\n                        </app-popover>\n                    </div>\n                    <div class=\"within-part\">\n                        <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">Frequency:</span>\n                        <span class=\"value\" [appTooltip]=\"(control?.frequency) ?control?.frequency: 'N/A'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{(control?.frequency) ?control?.frequency: 'N/A'}}</span>\n                    </div>\n                </div>\n            </div>\n            <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-end action-button\">\n                <button\n                    class=\"assign-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                    (click)=\"assign(control)\">ASSIGN</button>\n            </div>\n        </div>\n        </ng-container>\n\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::ng-deep .framework-responsibility-table .table-header{background:#fff;border-radius:.125rem;position:sticky;top:0;z-index:1}::ng-deep .framework-responsibility-table .table-header .table-column{line-height:1rem!important;min-height:1.875rem!important}::ng-deep .framework-responsibility-table .table-body{position:relative}::ng-deep .framework-responsibility-table .table-body .table-row{background:#fff;border-radius:.125rem;border:1px solid #F1F1F1;transition:all .2s ease-in-out;margin-bottom:.25rem}::ng-deep .framework-responsibility-table .table-body .table-row:hover{transition:all .2s ease-in-out;box-shadow:0 3px 6px #00000029}::ng-deep .framework-responsibility-table .table-body .table-row:hover .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-responsibility-table .table-body .table-row:hover .table-column.serial .sr-no app-cs-radio{opacity:1}::ng-deep .framework-responsibility-table .table-body .table-row.active{border-color:#1e5dd3}::ng-deep .framework-responsibility-table .table-body .table-row.active .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-responsibility-table .table-body .table-row.active .table-column.serial .sr-no app-cs-radio{opacity:1}::ng-deep .framework-responsibility-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .framework-responsibility-table .table-row.row-clickable{cursor:pointer}::ng-deep .framework-responsibility-table .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .framework-responsibility-table .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .framework-responsibility-table .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .framework-responsibility-table .table-column.serial{width:2.5rem;max-width:2.5rem;justify-content:center}::ng-deep .framework-responsibility-table .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .framework-responsibility-table .table-column.serial .sr-no app-cs-radio{position:absolute;top:.75rem;left:.125rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .framework-responsibility-table .table-column.serial .sr-no app-cs-radio .radio-item{position:absolute;top:0;left:0}::ng-deep .framework-responsibility-table .table-column.name{width:calc(100% - 7rem);min-width:calc(100% - 7rem)}::ng-deep .framework-responsibility-table .table-column.name .responsibility-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 6.5rem)}::ng-deep .framework-responsibility-table .table-column.name button.info-btn{background:transparent;border-radius:0;border:none}::ng-deep .framework-responsibility-table .table-column.action-button{width:4.5rem;min-width:4.5rem}::ng-deep .framework-responsibility-table .table-column.action-button button.assign-btn{background:transparent;border-radius:.125rem;border:1px solid #F1F1F1}::ng-deep .responsibility-info{animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 12px #1c5bd126;border-radius:.25rem;width:320px;max-height:220px;overflow:auto}::ng-deep .responsibility-info::-webkit-scrollbar-track{background-color:transparent}::ng-deep .responsibility-info::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .responsibility-info::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .responsibility-info .separator{background:#f1f1f1;width:100%;height:1px}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: FrameworkTableLoaderComponent, selector: "lib-framework-table-loader" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkResponsibilityTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-framework-responsibility-table', template: "<div class=\"framework-responsibility-table\">\n    <div class=\"table-header\"  *ngIf=\"loader || controlsList?.data?.length\">\n        <div class=\"table-row\">\n            <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                #</div>\n            <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center name\">\n                NAME</div>\n            <div\n                class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action-button\">\n            </div>\n        </div>\n    </div>\n    <div class=\"table-body\">\n        <lib-framework-table-loader *ngIf=\"loader\"></lib-framework-table-loader>\n        <!-- when radio button was checked then active class was true -->\n        <ng-container *ngIf=\"!loader\">\n            <div class=\"table-row\"  (click)=\"selectControl(control)\" [class.active]=\"currentSelectedControl?.id == control?.id\"\n            *ngFor=\"let control of controlsList?.data; let i =index;\">\n            <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\">\n                <div class=\"sr-no\" [appTooltip]=\"i+controlsList.from\" placement=\"bottom\" delay=\"0\" type=\"black\"\n                    [tooltipMandatory]=\"true\">\n                    {{i+controlsList.from}}\n                    <app-cs-radio [checked]=\"currentSelectedControl?.id == control?.id\">\n                    </app-cs-radio>\n                </div>\n            </div>\n            <div class=\"table-column vx-pr-1 vx-d-flex vx-align-center name\">\n                <!-- <div class=\"vx-avatar-group vx-mr-2\">\n                    <div class=\"vx-avatar md\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                        <span class=\"blue\">hk</span>\n                        <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\">\n                    </div>\n                    <div class=\"vx-avatar md\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n                        <span class=\"green\">hk</span>\n                        <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\">\n                    </div>\n                </div> -->\n                <div class=\"vx-d-block vx-w-100\">\n                    <div class=\"vx-d-flex vx-w-100\">\n                        <div class=\"responsibility-name vx-fs-12 vx-label-txt vx-pr-2\" [appTooltip]=\"control?.name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">\n                            <!-- <span class=\"id vx-fs-10 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">[CID-18087001]</span> -->\n                            {{control?.name}}\n                        </div>\n                        <button class=\"info-btn vx-fs-14 vx-txt-blue vx-m-0 vx-p-0 vx-d-flex vx-align-center\" appPopover (click)=\"responsibilityInfoBtn.popover()\" placement=\"left\"><i class=\"icons\">&#xe932;</i></button>\n                        <app-popover #responsibilityInfoBtn [dontCloseonClick]=\"true\">\n                            <div class=\"wf-action-list\">\n                                <div class=\"responsibility-info vx-p-3\">\n                                    <!-- <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-mb-1\">FREQUENCY:</div>\n                                    <div class=\"vx-fs-13 vx-paragraph-txt\">{{(control?.frequency) ?control?.frequency: 'N/A'}}</div>\n                                    <div class=\"separator vx-mt-2 vx-mb-2\"></div> -->\n                                    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-mb-1\">OBJECTIVE:</div>\n                                    <div class=\"vx-fs-12 vx-paragraph-txt\" [innerHtml]=\"(control?.objectives) ? control?.objectives: 'N/A'\"></div>\n                                    <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-mb-1 vx-mt-1\">NOTES:</div>\n                                    <div class=\"vx-fs-12 vx-paragraph-txt\" [innerHtml]=\"(control?.description) ? control?.description: 'N/A'\"></div>\n                                </div>\n                            </div>\n                        </app-popover>\n                    </div>\n                    <div class=\"within-part\">\n                        <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">Frequency:</span>\n                        <span class=\"value\" [appTooltip]=\"(control?.frequency) ?control?.frequency: 'N/A'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{(control?.frequency) ?control?.frequency: 'N/A'}}</span>\n                    </div>\n                </div>\n            </div>\n            <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-end action-button\">\n                <button\n                    class=\"assign-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                    (click)=\"assign(control)\">ASSIGN</button>\n            </div>\n        </div>\n        </ng-container>\n\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::ng-deep .framework-responsibility-table .table-header{background:#fff;border-radius:.125rem;position:sticky;top:0;z-index:1}::ng-deep .framework-responsibility-table .table-header .table-column{line-height:1rem!important;min-height:1.875rem!important}::ng-deep .framework-responsibility-table .table-body{position:relative}::ng-deep .framework-responsibility-table .table-body .table-row{background:#fff;border-radius:.125rem;border:1px solid #F1F1F1;transition:all .2s ease-in-out;margin-bottom:.25rem}::ng-deep .framework-responsibility-table .table-body .table-row:hover{transition:all .2s ease-in-out;box-shadow:0 3px 6px #00000029}::ng-deep .framework-responsibility-table .table-body .table-row:hover .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-responsibility-table .table-body .table-row:hover .table-column.serial .sr-no app-cs-radio{opacity:1}::ng-deep .framework-responsibility-table .table-body .table-row.active{border-color:#1e5dd3}::ng-deep .framework-responsibility-table .table-body .table-row.active .table-column.serial .sr-no{background:#fff;font-size:0}::ng-deep .framework-responsibility-table .table-body .table-row.active .table-column.serial .sr-no app-cs-radio{opacity:1}::ng-deep .framework-responsibility-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .framework-responsibility-table .table-row.row-clickable{cursor:pointer}::ng-deep .framework-responsibility-table .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .framework-responsibility-table .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .framework-responsibility-table .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .framework-responsibility-table .table-column.serial{width:2.5rem;max-width:2.5rem;justify-content:center}::ng-deep .framework-responsibility-table .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .framework-responsibility-table .table-column.serial .sr-no app-cs-radio{position:absolute;top:.75rem;left:.125rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .framework-responsibility-table .table-column.serial .sr-no app-cs-radio .radio-item{position:absolute;top:0;left:0}::ng-deep .framework-responsibility-table .table-column.name{width:calc(100% - 7rem);min-width:calc(100% - 7rem)}::ng-deep .framework-responsibility-table .table-column.name .responsibility-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 6.5rem)}::ng-deep .framework-responsibility-table .table-column.name button.info-btn{background:transparent;border-radius:0;border:none}::ng-deep .framework-responsibility-table .table-column.action-button{width:4.5rem;min-width:4.5rem}::ng-deep .framework-responsibility-table .table-column.action-button button.assign-btn{background:transparent;border-radius:.125rem;border:1px solid #F1F1F1}::ng-deep .responsibility-info{animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 12px #1c5bd126;border-radius:.25rem;width:320px;max-height:220px;overflow:auto}::ng-deep .responsibility-info::-webkit-scrollbar-track{background-color:transparent}::ng-deep .responsibility-info::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .responsibility-info::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .responsibility-info .separator{background:#f1f1f1;width:100%;height:1px}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { controlsList: [{
                type: Input
            }], selectedControl: [{
                type: Output
            }], assignControl: [{
                type: Output
            }], currentSelectedControl: [{
                type: Input
            }], listLoader: [{
                type: Input
            }] } });

class FrameworkListComponent {
    constructor(responsibilityService) {
        this.responsibilityService = responsibilityService;
        this.ASSETS = ASSETS;
        this.breadCrumb = [];
        this.search = '';
        this.showParent = true;
        this.showChild = false;
        this.parentData = {};
        this.entrustFramework = new EventEmitter();
        this.closeFramework = new EventEmitter();
        this.assignControl = new EventEmitter();
        this.headerText = 'Select From a Framework';
        this.workflowPage = [
            'FRAMEWORK',
            'CATEGORY',
            'RESPONSIBILITY',
        ];
        this.subCategoriesList = {
            from: 1,
            to: 0,
            currentPage: 1,
            totalPages: 0,
            totalRecords: 0,
            data: [],
        };
        this.responsibilitiesList = {
            from: 1,
            to: 0,
            currentPage: 1,
            totalPages: 0,
            totalRecords: 0,
            data: [],
        };
        this.searchText = {
            frameWork: '',
            category: '',
            responsibility: '',
        };
        this.selectedValues = {
            framework: {},
            categories: {},
            responsibilities: {},
        };
        this.submissionLoader = false;
        this.currentCategory = {};
        this.policy = {};
        this.loader = false;
        this.unsubscribe = new Subject();
        //program
        this.subList = false;
        this.selectedCategories = [];
        this.frameworkData = {
            data: [],
            from: 0,
            to: 0,
            totalPages: 0,
            totalRecords: 0,
            currentPage: 1,
        };
        this.frameworkCount = {
            regulations: 0,
            standards: 0,
            internalControls: 0,
            others: 0,
        };
        this.frameTypeObject = {
            regulations: 1,
            standards: 2,
            internalControls: 3,
            others: 0,
        };
        this.placeholderText = {
            framework: 'Search Frameworks',
            categories: 'Search Categories',
            responsibilities: 'Search Responsibilities',
        };
        this.controlsList = [];
        this.displayConfirmationMessage = false;
        this.activeTab = 'regulations';
        this.currentList = 'framework';
        this.floatingBarDisplayKeys = {
            framework: 'name',
            categories: 'name',
            responsibilities: 'name',
        };
    }
    ngOnChanges(changes) {
        if (this.previousSelectedValues) {
            this.selectedValues = {
                framework: this.previousSelectedValues.framework ?? {},
                categories: this.previousSelectedValues.categories ?? {},
                responsibilities: this.previousSelectedValues.responsibilities ?? {},
            };
        }
    }
    ngOnInit() {
        this.getFrameworksCount();
        this.getFrameworksList();
    }
    expandCategory(category) {
        if (category.category_name) {
            this.breadCrumb = [];
            category.category_name.forEach((categoryItem, index) => {
                let obj;
                if (index == category.category_name.length - 1) {
                    obj = {
                        itemName: categoryItem,
                        itemId: category._id,
                    };
                }
                else {
                    obj = {
                        itemName: categoryItem,
                        itemId: category.parent_cat_obj_ids[index],
                    };
                }
                this.breadCrumb.push(obj);
            });
        }
    }
    entrustFrameworkDetails(report) {
        this.entrustFramework.emit(report);
    }
    close() {
        this.closeFramework.emit();
    }
    getFrameworksCount(data) {
        let params = new HttpParams();
        if (data?.search || this.searchText.frameWork) {
            params = params.append('search', this.searchText.frameWork);
        }
        this.responsibilityService
            .getFrameWorkCount(params)
            .pipe(takeUntil(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.frameworkCount = {
                    regulations: res.regulations ?? 0,
                    standards: res.standards ?? 0,
                    internalControls: res.internalControls ?? 0,
                    others: res.others ?? 0,
                };
            },
            error: (err) => { },
        });
    }
    getFrameworksList(data) {
        this.loader = true;
        let params = new HttpParams();
        params = params.append('type', this.frameTypeObject[this.activeTab]);
        if (data?.search || this.searchText.frameWork) {
            params = params.append('search', this.searchText.frameWork);
        }
        else {
            params = params.append('page', this.frameworkData.currentPage);
        }
        this.responsibilityService
            .getFrameWorkList(params)
            .pipe(takeUntil(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.frameworkData.data = res.data;
                this.frameworkData.from = res.items_from;
                this.frameworkData.to = res.items_to;
                this.frameworkData.totalPages = res.total_pages;
                this.frameworkData.totalRecords = res.total_items;
                this.loader = false;
            },
            error: (err) => {
                this.loader = false;
            },
        });
    }
    getSubCategories(id, data) {
        this.loader = true;
        let params = new HttpParams();
        if (data?.search || this.searchText.category) {
            params = params.append('search', this.searchText.category);
        }
        else {
            params = params.append('page', this.subCategoriesList.currentPage);
        }
        this.responsibilityService
            .getFrameworkSubCategories(id, params)
            .pipe(takeUntil(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.subCategoriesList.from = res.items_from ?? 1;
                this.subCategoriesList.to = res.items_to ?? 0;
                this.subCategoriesList.totalPages = res.total_pages ?? 0;
                this.subCategoriesList.totalRecords = res.total_items ?? 0;
                this.subCategoriesList.data = res.data ?? [];
                this.loader = false;
            },
            error: (err) => {
                this.loader = false;
            },
        });
    }
    changeTab(type) {
        this.activeTab = type;
        this.frameworkData.currentPage = 1;
        this.searchText.frameWork = '';
        this.searchfield.nativeElement.value = '';
        this.getFrameworksList();
    }
    getResponsibilities(id, data) {
        this.loader = true;
        let params = new HttpParams();
        if (data?.search || this.searchText.responsibility) {
            params = params.append('search', this.searchText.responsibility);
        }
        else {
            params = params.append('page', this.responsibilitiesList.currentPage);
        }
        this.responsibilityService
            .getFrameworkControls(id, params)
            .pipe(takeUntil(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.controlsList = res;
                this.responsibilitiesList.from = res.items_from ?? 1;
                this.responsibilitiesList.to = res.items_to ?? 0;
                this.responsibilitiesList.totalPages = res.total_pages ?? 0;
                this.responsibilitiesList.totalRecords = res.total_items ?? 0;
                this.responsibilitiesList.data = res.data ?? res;
                this.loader = false;
            },
            error: (err) => {
                this.loader = false;
            },
        });
    }
    changePage(event, type) {
        switch (type) {
            case 'frameworks':
                this.frameworkData.currentPage = event;
                this.getFrameworksList();
                break;
            case 'categories':
                this.subCategoriesList.currentPage = event;
                this.getSubCategories(this.selectedValues.framework._id);
                break;
            case 'responsibilities':
                this.responsibilitiesList.currentPage = event;
                if (this.selectedValues?.framework?.parent_list_details?.length == 0 &&
                    this.selectedValues?.framework?.child_list_details.length == 0 &&
                    this.selectedValues?.framework?.totalControls > 0) {
                    this.getResponsibilities(this.selectedValues.framework._id);
                }
                else {
                    this.getResponsibilities(this.selectedValues.categories._id);
                }
                break;
        }
    }
    searchBy(event, type) {
        this.resetPagination();
        switch (type) {
            case 'framework':
                if (this.searchText.frameWork != event) {
                    this.searchText.frameWork = event;
                    this.getFrameworksList({ search: true });
                    this.getFrameworksCount({ search: true });
                }
                break;
            case 'categories':
                if (this.searchText.category != event) {
                    this.searchText.category = event;
                    this.getSubCategories(this.selectedValues.framework._id, {
                        search: true,
                    });
                }
                break;
            case 'responsibilities':
                if (this.searchText.responsibility != event) {
                    this.searchText.responsibility = event;
                    if (this.selectedValues?.framework?.parent_list_details?.length == 0 &&
                        this.selectedValues?.framework?.child_list_details.length == 0 &&
                        this.selectedValues?.framework?.totalControls > 0) {
                        this.getResponsibilities(this.selectedValues.framework._id);
                    }
                    else {
                        this.getSubCategories(this.selectedValues.categories._id);
                    }
                }
                break;
        }
    }
    selectFramework(data) {
        switch (this.currentList) {
            case 'framework':
                this.selectedValues.framework = data;
                this.selectedValues.categories = {};
                this.selectedValues.responsibilities = {};
                break;
            case 'categories':
                this.selectedValues.categories = data;
                this.selectedValues.responsibilities = {};
                break;
            case 'responsibilities':
                this.selectedValues.responsibilities = data;
                break;
            default:
                break;
        }
    }
    save() {
        this.resetPagination();
        switch (this.currentList) {
            case 'framework':
                if (this.workflowPage?.length === 1 &&
                    this.workflowPage.includes('FRAMEWORK')) {
                    const frameworkDetails = this.selectedValues.framework;
                    this.assignControl.emit({
                        name: frameworkDetails?.name,
                        _id: frameworkDetails?._id,
                        type: frameworkDetails?.framework_type,
                        id: frameworkDetails?.id,
                        description: frameworkDetails?.description ?? '',
                    });
                }
                else {
                    if (this.selectedValues?.framework?.parent_list_details?.length == 0 &&
                        this.selectedValues?.framework?.child_list_details.length == 0 &&
                        this.selectedValues?.framework?.totalControls > 0) {
                        this.currentList = 'responsibilities';
                        this.getResponsibilities(this.selectedValues.framework._id);
                    }
                    else {
                        this.currentList = 'categories';
                        this.getSubCategories(this.selectedValues.framework._id);
                    }
                }
                break;
            case 'categories':
                this.currentList = 'responsibilities';
                this.getResponsibilities(this.selectedValues.categories._id);
                break;
            case 'responsibilities':
                this.assignSelectedControl(this.selectedValues.responsibilities);
                break;
            default:
                break;
        }
    }
    goBack() {
        this.resetPagination();
        switch (this.currentList) {
            case 'framework':
                this.closeFramework.emit();
                break;
            case 'categories':
                this.currentList = 'framework';
                break;
            case 'responsibilities':
                if (this.selectedValues?.framework?.parent_list_details?.length == 0 &&
                    this.selectedValues?.framework?.child_list_details.length == 0 &&
                    this.selectedValues?.framework?.totalControls > 0) {
                    this.currentList = 'framework';
                }
                else {
                    this.currentList = 'categories';
                }
                break;
            default:
                break;
        }
    }
    resetPagination() {
        this.frameworkData.currentPage = 1;
        this.subCategoriesList.currentPage = 1;
        this.responsibilitiesList.currentPage = 1;
    }
    remove() {
        switch (this.currentList) {
            case 'framework':
                this.selectedValues.framework = {};
                this.selectedValues.categories = {};
                this.selectedValues.responsibilities = {};
                break;
            case 'categories':
                this.selectedValues.categories = {};
                this.selectedValues.responsibilities = {};
                break;
            case 'responsibilities':
                this.selectedValues.responsibilities = {};
                break;
        }
    }
    saveChanges(type) {
        switch (type) {
            case 'programs':
                this.currentList = 'categories';
                this.selectedValues.categories = [];
                this.selectedValues.responsibilities = [];
                this.getSubCategories();
                break;
            case 'categories':
                this.currentList = 'responsibilities';
                this.selectedValues.responsibilities = [];
                this.getResponsibilities();
                break;
            case 'responsibilities':
                // this.submitprogramIntegration();
                break;
        }
    }
    assignSelectedControl(data) {
        let selectedFrameworkData = this.selectedValues;
        this.assignControl.emit({ data, selectedFrameworkData });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkListComponent, deps: [{ token: ResponsibilityService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FrameworkListComponent, selector: "app-framework-list", inputs: { previousSelectedValues: "previousSelectedValues", headerText: "headerText", workflowPage: "workflowPage", policy: "policy", frameWorkList: "frameWorkList", selectedFrameWork: "selectedFrameWork", selectedCategories: "selectedCategories" }, outputs: { entrustFramework: "entrustFramework", closeFramework: "closeFramework", assignControl: "assignControl" }, viewQueries: [{ propertyName: "tableComponent", first: true, predicate: ["parentTable"], descendants: true }, { propertyName: "searchfield", first: true, predicate: ["searchField"], descendants: true }, { propertyName: "searchCategory", first: true, predicate: ["searchCategory"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<!-- <p>framework-list works!</p> -->\n<div class=\"framework-list\">\n  <div\n    class=\"framework-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div\n      *ngIf=\"currentList == 'framework'\"\n      class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\"\n    >\n      {{ headerText }}\n    </div>\n    <div\n      *ngIf=\"currentList == 'categories'\"\n      class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\"\n    >\n      {{ headerText }} > {{ selectedValues?.framework?.name }}\n    </div>\n\n    <div\n      *ngIf=\"currentList == 'responsibilities'\"\n      class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\"\n    >\n      <i class=\"icons\" (click)=\"goBack()\">&#xe91d;</i>\n      {{ selectedValues?.framework?.name }}\n    </div>\n\n    <!-- <div *ngIf=\"breadCrumb.length>0\" class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\">\n            <i class=\"icons\" *ngIf=\"breadCrumb?.length > 0\" (click)=\"getCategoryDetailsById()\">&#xe91d;</i>\n            <ng-container *ngFor=\"let item of breadCrumb; let i = index\">\n                <span class=\"arrow\">{{(i>0)?'>':''}}</span>\n                <span\n                    [class.link]=\"tableComponent.currentEntity || (!(tableComponent.currentEntity) && i !== breadCrumb?.length -1)\"\n                    (click)=\"getCategoryDetailsById(item.itemId)\" [appTooltip]=\"item.itemName\" placement=\"bottom\"\n                    delay=\"0\">{{item.itemName}}\n                </span>\n\n            </ng-container>\n            <ng-container *ngIf=\"tableComponent.currentEntity\"> <span class=\"arrow\">></span>\n                {{breadCrumb[breadCrumb?.length - 1].itemName}}\n                <span>&nbsp;for {{tableComponent.currentEntity}}</span>\n            </ng-container>\n        </div> -->\n  </div>\n  <div class=\"framework-list-body\">\n    <div class=\"filter-card-row\" *ngIf=\"currentList == 'framework'\">\n      <!--this section will not appear on child part -->\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'regulations'\"\n        (click)=\"changeTab('regulations')\"\n      >\n        <div class=\"left\">\n          <label>Regulations</label>\n        </div>\n\n        <span class=\"counter\">{{ frameworkCount.regulations }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'standards'\"\n        (click)=\"changeTab('standards')\"\n      >\n        <div class=\"left\">\n          <label>Standards</label>\n        </div>\n        <span class=\"counter\">{{ frameworkCount.standards }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'internalControls'\"\n        (click)=\"changeTab('internalControls')\"\n      >\n        <div class=\"left\">\n          <label>Internal Controls</label>\n        </div>\n        <span class=\"counter\">{{ frameworkCount.internalControls }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"changeTab('others')\"\n      >\n        <div class=\"left\">\n          <label>Others</label>\n        </div>\n        <span class=\"counter\">{{ frameworkCount.others }}</span>\n      </div>\n    </div>\n    <div class=\"framework-list-search\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchField\n        [placeholder]=\"placeholderText[currentList]\"\n        (keyup.enter)=\"searchBy($event.target.value, currentList)\"\n      />\n    </div>\n    <!-- <app-workflow-pagination></app-workflow-pagination> -->\n    <app-pagination\n      *ngIf=\"currentList == 'framework' && frameworkData.totalPages > 1\"\n      [start]=\"frameworkData.from\"\n      [end]=\"frameworkData.to\"\n      [total]=\"frameworkData.totalRecords\"\n      [pageCount]=\"frameworkData.totalPages\"\n      [currentPage]=\"frameworkData.currentPage\"\n      (selectedPage)=\"changePage($event, 'frameworks')\"\n    ></app-pagination>\n    <app-pagination\n      *ngIf=\"currentList == 'categories' && subCategoriesList.totalPages > 1\"\n      [start]=\"subCategoriesList.from\"\n      [end]=\"subCategoriesList.to\"\n      [total]=\"subCategoriesList.totalRecords\"\n      [pageCount]=\"subCategoriesList.totalPages\"\n      [currentPage]=\"subCategoriesList.currentPage\"\n      (selectedPage)=\"changePage($event, 'categories')\"\n    ></app-pagination>\n    <app-pagination\n      *ngIf=\"\n        currentList == 'responsibilities' && responsibilitiesList.totalPages > 1\n      \"\n      [start]=\"responsibilitiesList.from\"\n      [end]=\"responsibilitiesList.to\"\n      [total]=\"responsibilitiesList.totalRecords\"\n      [pageCount]=\"responsibilitiesList.totalPages\"\n      [currentPage]=\"responsibilitiesList.currentPage\"\n      (selectedPage)=\"changePage($event, 'responsibilities')\"\n    >\n    </app-pagination>\n    <!-- For parent -->\n    <!-- <div class=\"framework-list-pagination\">\n                <app-workflow-pagination></app-workflow-pagination>\n            </div> -->\n    <!-- [class.no-card]=\"breadCrumb.length>0\" -->\n    <div\n      class=\"framework-list-table vx-mb-4\"\n      [class.no-card]=\"\n        currentList == 'categories' || currentList == 'responsibilities'\n      \"\n    >\n      <app-framework-list-table\n        *ngIf=\"currentList == 'framework'\"\n        [listLoader]=\"loader\"\n        [frameworkType]=\"'framework'\"\n        (selectedFramework)=\"selectFramework($event)\"\n        [currentFramework]=\"selectedValues[currentList]\"\n        [frameworksList]=\"frameworkData\"\n      >\n      </app-framework-list-table>\n      <app-framework-list-table\n        *ngIf=\"currentList == 'categories'\"\n        [listLoader]=\"loader\"\n        [frameworksList]=\"subCategoriesList\"\n        (selectedFramework)=\"selectFramework($event)\"\n        [currentFramework]=\"selectedValues[currentList]\"\n        [frameworkType]=\"'subFramework'\"\n      >\n      </app-framework-list-table>\n      <app-framework-responsibility-table\n        *ngIf=\"currentList == 'responsibilities'\"\n        [listLoader]=\"loader\"\n        [currentSelectedControl]=\"selectedValues[currentList]\"\n        [controlsList]=\"responsibilitiesList\"\n        (selectedControl)=\"selectFramework($event)\"\n        (assignControl)=\"assignSelectedControl($event)\"\n      >\n      </app-framework-responsibility-table>\n      <app-no-data\n        *ngIf=\"\n          frameworkData?.data?.length == 0 &&\n          currentList == 'framework' &&\n          !loader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n      <app-no-data\n        *ngIf=\"\n          subCategoriesList?.data?.length == 0 &&\n          currentList == 'categories' &&\n          !loader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n      <app-no-data\n        *ngIf=\"\n          responsibilitiesList?.data?.length == 0 &&\n          currentList == 'responsibilities' &&\n          !loader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n      <!-- old table list -->\n      <!-- <app-parent-table #parentTable *ngIf=\"showParent\" [search]=\"search\"\n                (expandCategory)=\"expandCategory($event)\" [tableList]=\"categoryList[activeTab].list\"\n                (entrustFramework)=\"entrustFrameworkDetails($event)\">\n            </app-parent-table> -->\n    </div>\n\n    <app-floating-bar\n      [selectedData]=\"\n        selectedValues[currentList]?.name ? [selectedValues[currentList]] : []\n      \"\n      [displayElementKey]=\"floatingBarDisplayKeys[currentList]\"\n      [isDisabled]=\"!selectedValues[currentList]?.name\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"goBack()\"\n      (deleteEvent)=\"remove()\"\n    ></app-floating-bar>\n  </div>\n  <!-- [singularText]=\"'User selected'\" [pluralText]=\"'Users selected'\" (closeEvent)=\"save(selectedIds)\"\n    (closeList)=\"close()\" (deleteEvent)=\"deleteEvent($event)\"\n    [isDisabled]=\"(groupsList?.length + usersList?.length) === 0 || selectedUsers?.length === 0\" -->\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .framework-list{position:fixed;inset:0 500px 0 0}::ng-deep .framework-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .framework-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .framework-list-search{position:relative}::ng-deep .framework-list-search input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .framework-list-search input:focus{border-color:#1e5dd3}::ng-deep .framework-list-search i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .framework-list app-workflow-pagination .pagination-sec{padding-top:0!important}::ng-deep .framework-list-body{padding:32px;height:calc(100vh - 94px)}::ng-deep .framework-list-body .filter-card{display:flex;align-items:center;box-shadow:0 0 2px #00000029;border-radius:2px;height:55px;padding:12px;width:100%;justify-content:space-between;cursor:pointer}::ng-deep .framework-list-body .filter-card.active{box-shadow:0 3px 12px #1e5dd326}::ng-deep .framework-list-body .filter-card.active .counter{background:#f1f1f1;color:#161b2f}::ng-deep .framework-list-body .filter-card label{font-weight:600;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .framework-list-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .framework-list-body .filter-card span.counter{display:flex;height:32px;min-width:32px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 5px;line-height:32px}::ng-deep .framework-list-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .framework-list-body .filter-card+.filter-card{margin-left:4px}::ng-deep .framework-list-body .filter-card-row{display:flex;padding-bottom:8px}::ng-deep .framework-list-table{position:relative;height:calc(100% - 120px);overflow:hidden;overflow-y:auto}::ng-deep .framework-list-table app-parent-table{height:calc(100vh - 260px);overflow-x:hidden;overflow-y:auto;scrollbar-width:thin;display:block;padding-right:8px;margin-right:-8px}::ng-deep .framework-list-table app-parent-table::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::ng-deep .framework-list-table app-parent-table::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .framework-list-table app-parent-table::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .framework-list-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .framework-list-table::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .framework-list-table::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .framework-list-table.no-card{height:calc(100vh - 252px)}::ng-deep .framework-list-table:before{background:#fff;position:absolute;top:0;right:-8px;height:32px;width:8px;content:\"\"}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: FrameworkListTableComponent, selector: "app-framework-list-table", inputs: ["frameworksList", "frameworkType", "currentFramework", "listLoader"], outputs: ["selectedFramework"] }, { kind: "component", type: FrameworkResponsibilityTableComponent, selector: "app-framework-responsibility-table", inputs: ["controlsList", "currentSelectedControl", "listLoader"], outputs: ["selectedControl", "assignControl"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-framework-list', template: "<!-- <p>framework-list works!</p> -->\n<div class=\"framework-list\">\n  <div\n    class=\"framework-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div\n      *ngIf=\"currentList == 'framework'\"\n      class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\"\n    >\n      {{ headerText }}\n    </div>\n    <div\n      *ngIf=\"currentList == 'categories'\"\n      class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\"\n    >\n      {{ headerText }} > {{ selectedValues?.framework?.name }}\n    </div>\n\n    <div\n      *ngIf=\"currentList == 'responsibilities'\"\n      class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\"\n    >\n      <i class=\"icons\" (click)=\"goBack()\">&#xe91d;</i>\n      {{ selectedValues?.framework?.name }}\n    </div>\n\n    <!-- <div *ngIf=\"breadCrumb.length>0\" class=\"framework-list-title vx-fs-14 vx-fw-500 vx-label-txt\">\n            <i class=\"icons\" *ngIf=\"breadCrumb?.length > 0\" (click)=\"getCategoryDetailsById()\">&#xe91d;</i>\n            <ng-container *ngFor=\"let item of breadCrumb; let i = index\">\n                <span class=\"arrow\">{{(i>0)?'>':''}}</span>\n                <span\n                    [class.link]=\"tableComponent.currentEntity || (!(tableComponent.currentEntity) && i !== breadCrumb?.length -1)\"\n                    (click)=\"getCategoryDetailsById(item.itemId)\" [appTooltip]=\"item.itemName\" placement=\"bottom\"\n                    delay=\"0\">{{item.itemName}}\n                </span>\n\n            </ng-container>\n            <ng-container *ngIf=\"tableComponent.currentEntity\"> <span class=\"arrow\">></span>\n                {{breadCrumb[breadCrumb?.length - 1].itemName}}\n                <span>&nbsp;for {{tableComponent.currentEntity}}</span>\n            </ng-container>\n        </div> -->\n  </div>\n  <div class=\"framework-list-body\">\n    <div class=\"filter-card-row\" *ngIf=\"currentList == 'framework'\">\n      <!--this section will not appear on child part -->\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'regulations'\"\n        (click)=\"changeTab('regulations')\"\n      >\n        <div class=\"left\">\n          <label>Regulations</label>\n        </div>\n\n        <span class=\"counter\">{{ frameworkCount.regulations }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'standards'\"\n        (click)=\"changeTab('standards')\"\n      >\n        <div class=\"left\">\n          <label>Standards</label>\n        </div>\n        <span class=\"counter\">{{ frameworkCount.standards }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'internalControls'\"\n        (click)=\"changeTab('internalControls')\"\n      >\n        <div class=\"left\">\n          <label>Internal Controls</label>\n        </div>\n        <span class=\"counter\">{{ frameworkCount.internalControls }}</span>\n      </div>\n      <div\n        class=\"filter-card\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"changeTab('others')\"\n      >\n        <div class=\"left\">\n          <label>Others</label>\n        </div>\n        <span class=\"counter\">{{ frameworkCount.others }}</span>\n      </div>\n    </div>\n    <div class=\"framework-list-search\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchField\n        [placeholder]=\"placeholderText[currentList]\"\n        (keyup.enter)=\"searchBy($event.target.value, currentList)\"\n      />\n    </div>\n    <!-- <app-workflow-pagination></app-workflow-pagination> -->\n    <app-pagination\n      *ngIf=\"currentList == 'framework' && frameworkData.totalPages > 1\"\n      [start]=\"frameworkData.from\"\n      [end]=\"frameworkData.to\"\n      [total]=\"frameworkData.totalRecords\"\n      [pageCount]=\"frameworkData.totalPages\"\n      [currentPage]=\"frameworkData.currentPage\"\n      (selectedPage)=\"changePage($event, 'frameworks')\"\n    ></app-pagination>\n    <app-pagination\n      *ngIf=\"currentList == 'categories' && subCategoriesList.totalPages > 1\"\n      [start]=\"subCategoriesList.from\"\n      [end]=\"subCategoriesList.to\"\n      [total]=\"subCategoriesList.totalRecords\"\n      [pageCount]=\"subCategoriesList.totalPages\"\n      [currentPage]=\"subCategoriesList.currentPage\"\n      (selectedPage)=\"changePage($event, 'categories')\"\n    ></app-pagination>\n    <app-pagination\n      *ngIf=\"\n        currentList == 'responsibilities' && responsibilitiesList.totalPages > 1\n      \"\n      [start]=\"responsibilitiesList.from\"\n      [end]=\"responsibilitiesList.to\"\n      [total]=\"responsibilitiesList.totalRecords\"\n      [pageCount]=\"responsibilitiesList.totalPages\"\n      [currentPage]=\"responsibilitiesList.currentPage\"\n      (selectedPage)=\"changePage($event, 'responsibilities')\"\n    >\n    </app-pagination>\n    <!-- For parent -->\n    <!-- <div class=\"framework-list-pagination\">\n                <app-workflow-pagination></app-workflow-pagination>\n            </div> -->\n    <!-- [class.no-card]=\"breadCrumb.length>0\" -->\n    <div\n      class=\"framework-list-table vx-mb-4\"\n      [class.no-card]=\"\n        currentList == 'categories' || currentList == 'responsibilities'\n      \"\n    >\n      <app-framework-list-table\n        *ngIf=\"currentList == 'framework'\"\n        [listLoader]=\"loader\"\n        [frameworkType]=\"'framework'\"\n        (selectedFramework)=\"selectFramework($event)\"\n        [currentFramework]=\"selectedValues[currentList]\"\n        [frameworksList]=\"frameworkData\"\n      >\n      </app-framework-list-table>\n      <app-framework-list-table\n        *ngIf=\"currentList == 'categories'\"\n        [listLoader]=\"loader\"\n        [frameworksList]=\"subCategoriesList\"\n        (selectedFramework)=\"selectFramework($event)\"\n        [currentFramework]=\"selectedValues[currentList]\"\n        [frameworkType]=\"'subFramework'\"\n      >\n      </app-framework-list-table>\n      <app-framework-responsibility-table\n        *ngIf=\"currentList == 'responsibilities'\"\n        [listLoader]=\"loader\"\n        [currentSelectedControl]=\"selectedValues[currentList]\"\n        [controlsList]=\"responsibilitiesList\"\n        (selectedControl)=\"selectFramework($event)\"\n        (assignControl)=\"assignSelectedControl($event)\"\n      >\n      </app-framework-responsibility-table>\n      <app-no-data\n        *ngIf=\"\n          frameworkData?.data?.length == 0 &&\n          currentList == 'framework' &&\n          !loader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n      <app-no-data\n        *ngIf=\"\n          subCategoriesList?.data?.length == 0 &&\n          currentList == 'categories' &&\n          !loader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n      <app-no-data\n        *ngIf=\"\n          responsibilitiesList?.data?.length == 0 &&\n          currentList == 'responsibilities' &&\n          !loader\n        \"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No data to display'\"\n      ></app-no-data>\n      <!-- old table list -->\n      <!-- <app-parent-table #parentTable *ngIf=\"showParent\" [search]=\"search\"\n                (expandCategory)=\"expandCategory($event)\" [tableList]=\"categoryList[activeTab].list\"\n                (entrustFramework)=\"entrustFrameworkDetails($event)\">\n            </app-parent-table> -->\n    </div>\n\n    <app-floating-bar\n      [selectedData]=\"\n        selectedValues[currentList]?.name ? [selectedValues[currentList]] : []\n      \"\n      [displayElementKey]=\"floatingBarDisplayKeys[currentList]\"\n      [isDisabled]=\"!selectedValues[currentList]?.name\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"goBack()\"\n      (deleteEvent)=\"remove()\"\n    ></app-floating-bar>\n  </div>\n  <!-- [singularText]=\"'User selected'\" [pluralText]=\"'Users selected'\" (closeEvent)=\"save(selectedIds)\"\n    (closeList)=\"close()\" (deleteEvent)=\"deleteEvent($event)\"\n    [isDisabled]=\"(groupsList?.length + usersList?.length) === 0 || selectedUsers?.length === 0\" -->\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .framework-list{position:fixed;inset:0 500px 0 0}::ng-deep .framework-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .framework-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .framework-list-search{position:relative}::ng-deep .framework-list-search input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .framework-list-search input:focus{border-color:#1e5dd3}::ng-deep .framework-list-search i{position:absolute;left:1rem;font-size:12px;font-weight:400;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .framework-list app-workflow-pagination .pagination-sec{padding-top:0!important}::ng-deep .framework-list-body{padding:32px;height:calc(100vh - 94px)}::ng-deep .framework-list-body .filter-card{display:flex;align-items:center;box-shadow:0 0 2px #00000029;border-radius:2px;height:55px;padding:12px;width:100%;justify-content:space-between;cursor:pointer}::ng-deep .framework-list-body .filter-card.active{box-shadow:0 3px 12px #1e5dd326}::ng-deep .framework-list-body .filter-card.active .counter{background:#f1f1f1;color:#161b2f}::ng-deep .framework-list-body .filter-card label{font-weight:600;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .framework-list-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .framework-list-body .filter-card span.counter{display:flex;height:32px;min-width:32px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 5px;line-height:32px}::ng-deep .framework-list-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .framework-list-body .filter-card+.filter-card{margin-left:4px}::ng-deep .framework-list-body .filter-card-row{display:flex;padding-bottom:8px}::ng-deep .framework-list-table{position:relative;height:calc(100% - 120px);overflow:hidden;overflow-y:auto}::ng-deep .framework-list-table app-parent-table{height:calc(100vh - 260px);overflow-x:hidden;overflow-y:auto;scrollbar-width:thin;display:block;padding-right:8px;margin-right:-8px}::ng-deep .framework-list-table app-parent-table::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::ng-deep .framework-list-table app-parent-table::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .framework-list-table app-parent-table::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .framework-list-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .framework-list-table::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .framework-list-table::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .framework-list-table.no-card{height:calc(100vh - 252px)}::ng-deep .framework-list-table:before{background:#fff;position:absolute;top:0;right:-8px;height:32px;width:8px;content:\"\"}\n"] }]
        }], ctorParameters: function () { return [{ type: ResponsibilityService }]; }, propDecorators: { tableComponent: [{
                type: ViewChild,
                args: ['parentTable']
            }], entrustFramework: [{
                type: Output
            }], closeFramework: [{
                type: Output
            }], assignControl: [{
                type: Output
            }], previousSelectedValues: [{
                type: Input
            }], headerText: [{
                type: Input
            }], workflowPage: [{
                type: Input
            }], policy: [{
                type: Input
            }], frameWorkList: [{
                type: Input
            }], selectedFrameWork: [{
                type: Input
            }], selectedCategories: [{
                type: Input
            }], searchfield: [{
                type: ViewChild,
                args: ['searchField']
            }], searchCategory: [{
                type: ViewChild,
                args: ['searchCategory']
            }] } });

class RiskClassificationComponent {
    constructor() {
        this.animation = true;
        this.saveList = new EventEmitter();
        this.closeList = new EventEmitter();
        this.riskClassification = [
            { name: 'Low', value: 1, class: 'low' },
            { name: 'Low-Medium', value: 2, class: 'low-med' },
            { name: 'Medium-High', value: 3, class: 'med-high' },
            { name: 'High', value: 4, class: 'high' },
        ];
        this.riskIntensityList = [
            { name: 'Not Applicable', value: '0' },
            { name: 'Low', value: '1' },
            { name: 'Medium', value: '2' },
            { name: 'High', value: '3' },
        ];
        this.identificationList = [
            { name: 'Easy to Identify', value: '1' },
            { name: 'Intermediate', value: '2' },
            { name: 'Difficult', value: '3' },
        ];
        this.selectedValues = {
            envThreat: '0',
            regThreat: '0',
            machineThreat: '0',
            lifeThreat: '0',
            probability: '1',
            identification: '1',
        };
    }
    ngOnInit() {
        setTimeout(() => {
            this.animation = false;
        }, 500);
    }
    generateRiskClass() {
        this.currentRiskValue = this.calculateRiskClass(this.getArrayFromObject(this.selectedValues));
    }
    getArrayFromObject(object) {
        const risk = [];
        for (const value of Object.values(object)) {
            risk.push(parseInt(value, 10));
        }
        return risk;
    }
    calculateRiskClass(riskMatrices) {
        if (riskMatrices.length !== 6) {
            return -1;
        }
        const impact = riskMatrices[0] * 1 +
            riskMatrices[1] * 2 +
            riskMatrices[2] * 2 +
            riskMatrices[3] * 3; // total impact
        const risk = impact * riskMatrices[4] + impact * riskMatrices[5];
        switch (true) {
            case risk <= 9: {
                return 1;
            }
            case risk >= 10 && risk <= 23: {
                return 2;
            }
            case risk >= 24 && risk <= 39: {
                return 3;
            }
            case risk >= 40 && risk <= 144: {
                return 4;
            }
            default:
                return 1;
        }
    }
    save() {
        this.saveList.emit({
            riskClass: this.currentRiskValue,
            riskMatrix: this.getArrayFromObject(this.selectedValues).join(','),
        });
    }
    close() {
        this.closeList.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskClassificationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RiskClassificationComponent, selector: "app-risk-classification", inputs: { currentRiskValue: "currentRiskValue" }, outputs: { saveList: "saveList", closeList: "closeList" }, ngImport: i0, template: "<div class=\"risk-classification\" [class.animate]=\"animation\">\n    <div class=\"risk-classification-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\">\n        <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Risk Calculator</div>\n    </div>\n\n    <div class=\"risk-classification-body\">\n        <div class=\"risk-classification-body-inner\">\n            <div class=\"risk-classification-switch\">\n                <label  *ngFor=\"let idClass of riskClassification\" [ngClass]=\"[idClass.class]\">\n                    <input disabled type=\"radio\" [checked]=\"idClass.value === currentRiskValue\" name=\"classification-risk\" [value]=\"idClass.value\">\n                    <span>{{idClass?.name}}</span>\n                </label>\n            </div>\n\n            <div class=\"row\">\n                <div class=\"column\">\n                    <div class=\"vx-form-group\" >\n                        <label class=\"vx-control-panel\">THREAT TO ENVIRONMENT</label>\n                        <cs-select [(ngModel)]=\"selectedValues.envThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option *ngFor=\"let list of riskIntensityList\" [value]=\"list.value\" >{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n\n                </div>\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">REGULATORY THREAT</label>\n                        <cs-select [(ngModel)]=\"selectedValues.regThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of riskIntensityList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n\n            </div>\n            <div class=\"row\">\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">THREAT TO MACHINE</label>\n                        <cs-select [(ngModel)]=\"selectedValues.machineThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of riskIntensityList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">THREAT TO LOSS OF LIFE</label>\n                        <cs-select [(ngModel)]=\"selectedValues.lifeThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of riskIntensityList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n            </div>\n            <div class=\"row\">\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">PROBABILITY</label>\n                        <cs-select [(ngModel)]=\"selectedValues.probability\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option  [value]=\"list.value\" *ngFor=\"let list of riskIntensityList|slice:1\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\" >IDENTIFICATION</label>\n                        <cs-select [(ngModel)]=\"selectedValues.identification\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of identificationList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n\n    <div class=\"risk-classification-footer\">\n        <app-floating-bar (closeList)=\"close()\"   (closeEvent)=\"save()\"></app-floating-bar>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .risk-classification{position:fixed;inset:0 500px 0 0}::ng-deep .risk-classification:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .risk-classification-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .risk-classification-body{background:#fff;height:calc(100vh - 7.75rem);padding:2rem}::ng-deep .risk-classification-body::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::ng-deep .risk-classification-body::-webkit-scrollbar{width:1px;height:1px;background-color:transparent;position:absolute}::ng-deep .risk-classification-body::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb;position:absolute}::ng-deep .risk-classification-body-inner{width:624px;margin:0 auto}::ng-deep .risk-classification-body .row{display:flex;margin:0 -12px}::ng-deep .risk-classification-body .row .column{width:50%;padding:12px}::ng-deep .risk-classification-body .row .column cs-select .selection-wrap .input-group i{right:16px!important}::ng-deep .risk-classification-body .row .column .vx-form-group{margin-bottom:0!important}::ng-deep .risk-classification-footer{display:block;padding:0 2rem}::ng-deep .risk-classification.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .risk-classification-switch{height:54px;border-radius:4px;border:1px solid #DBDBDB;background:#fff;padding:8px 12px;display:flex;justify-content:space-between;margin-bottom:20px}::ng-deep .risk-classification-switch label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .risk-classification-switch label span{display:block;width:100%;height:36px;border:1px solid #F1F1F1;border-radius:2px;line-height:34px;font-size:12px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .risk-classification-switch label span:before{height:4px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .risk-classification-switch label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .risk-classification-switch label input:checked+span{color:#fff}::ng-deep .risk-classification-switch label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .risk-classification-switch label.low span:before{background:#34aa44}::ng-deep .risk-classification-switch label.low-med span:before{background:#f2bf19}::ng-deep .risk-classification-switch label.med-high span:before{background:#f29619}::ng-deep .risk-classification-switch label.high span:before{background:#eb2424}::ng-deep .risk-classification-switch label:last-of-type{margin-right:0}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskClassificationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-risk-classification', template: "<div class=\"risk-classification\" [class.animate]=\"animation\">\n    <div class=\"risk-classification-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\">\n        <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Risk Calculator</div>\n    </div>\n\n    <div class=\"risk-classification-body\">\n        <div class=\"risk-classification-body-inner\">\n            <div class=\"risk-classification-switch\">\n                <label  *ngFor=\"let idClass of riskClassification\" [ngClass]=\"[idClass.class]\">\n                    <input disabled type=\"radio\" [checked]=\"idClass.value === currentRiskValue\" name=\"classification-risk\" [value]=\"idClass.value\">\n                    <span>{{idClass?.name}}</span>\n                </label>\n            </div>\n\n            <div class=\"row\">\n                <div class=\"column\">\n                    <div class=\"vx-form-group\" >\n                        <label class=\"vx-control-panel\">THREAT TO ENVIRONMENT</label>\n                        <cs-select [(ngModel)]=\"selectedValues.envThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option *ngFor=\"let list of riskIntensityList\" [value]=\"list.value\" >{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n\n                </div>\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">REGULATORY THREAT</label>\n                        <cs-select [(ngModel)]=\"selectedValues.regThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of riskIntensityList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n\n            </div>\n            <div class=\"row\">\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">THREAT TO MACHINE</label>\n                        <cs-select [(ngModel)]=\"selectedValues.machineThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of riskIntensityList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">THREAT TO LOSS OF LIFE</label>\n                        <cs-select [(ngModel)]=\"selectedValues.lifeThreat\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of riskIntensityList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n            </div>\n            <div class=\"row\">\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\">PROBABILITY</label>\n                        <cs-select [(ngModel)]=\"selectedValues.probability\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option  [value]=\"list.value\" *ngFor=\"let list of riskIntensityList|slice:1\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n                <div class=\"column\">\n                    <div class=\"vx-form-group\">\n                        <label class=\"vx-control-panel\" >IDENTIFICATION</label>\n                        <cs-select [(ngModel)]=\"selectedValues.identification\" (valueChanged)=\"generateRiskClass()\">\n                            <cs-option [value]=\"list.value\" *ngFor=\"let list of identificationList\">{{list.name}}</cs-option>\n                        </cs-select>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n\n    <div class=\"risk-classification-footer\">\n        <app-floating-bar (closeList)=\"close()\"   (closeEvent)=\"save()\"></app-floating-bar>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .risk-classification{position:fixed;inset:0 500px 0 0}::ng-deep .risk-classification:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .risk-classification-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .risk-classification-body{background:#fff;height:calc(100vh - 7.75rem);padding:2rem}::ng-deep .risk-classification-body::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::ng-deep .risk-classification-body::-webkit-scrollbar{width:1px;height:1px;background-color:transparent;position:absolute}::ng-deep .risk-classification-body::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb;position:absolute}::ng-deep .risk-classification-body-inner{width:624px;margin:0 auto}::ng-deep .risk-classification-body .row{display:flex;margin:0 -12px}::ng-deep .risk-classification-body .row .column{width:50%;padding:12px}::ng-deep .risk-classification-body .row .column cs-select .selection-wrap .input-group i{right:16px!important}::ng-deep .risk-classification-body .row .column .vx-form-group{margin-bottom:0!important}::ng-deep .risk-classification-footer{display:block;padding:0 2rem}::ng-deep .risk-classification.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .risk-classification-switch{height:54px;border-radius:4px;border:1px solid #DBDBDB;background:#fff;padding:8px 12px;display:flex;justify-content:space-between;margin-bottom:20px}::ng-deep .risk-classification-switch label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .risk-classification-switch label span{display:block;width:100%;height:36px;border:1px solid #F1F1F1;border-radius:2px;line-height:34px;font-size:12px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .risk-classification-switch label span:before{height:4px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .risk-classification-switch label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .risk-classification-switch label input:checked+span{color:#fff}::ng-deep .risk-classification-switch label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .risk-classification-switch label.low span:before{background:#34aa44}::ng-deep .risk-classification-switch label.low-med span:before{background:#f2bf19}::ng-deep .risk-classification-switch label.med-high span:before{background:#f29619}::ng-deep .risk-classification-switch label.high span:before{background:#eb2424}::ng-deep .risk-classification-switch label:last-of-type{margin-right:0}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { currentRiskValue: [{
                type: Input
            }], saveList: [{
                type: Output
            }], closeList: [{
                type: Output
            }] } });

class AuditCategoryListComponent {
    constructor() {
        this.animation = false;
        this.searchInput = '';
        this.ASSETS = ASSETS;
        this.selectedIndex = -1;
        this.closeList = new EventEmitter();
        this.saveSelectedList = new EventEmitter();
    }
    ngOnChanges(changes) {
        if (changes.selectedData?.currentValue) {
            this.populateSelectedData();
        }
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    onCategorySelection(index) {
        this.selectedIndex = index;
    }
    save() {
        this.saveSelectedList.emit(this.auditCategory[this.selectedIndex]);
    }
    deleteEvent(event) {
        this.selectedIndex = -1;
    }
    close() {
        this.closeList.emit(false);
    }
    populateSelectedData() {
        this.selectedIndex = this.auditCategory.findIndex((category) => category.category_id === this.selectedData.category_id);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuditCategoryListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AuditCategoryListComponent, selector: "app-audit-category-list", inputs: { selectedData: "selectedData", selectedIndex: "selectedIndex", auditCategory: "auditCategory" }, outputs: { closeList: "closeList", saveSelectedList: "saveSelectedList" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"audit-category-list\" [class.animate]=\"animation\">\n  <div\n    class=\"audit-category-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select an Audit Category</div>\n  </div>\n  <div class=\"audit-category-list-body\">\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"searchInput\"\n        placeholder=\"Search Audit Category\"\n      />\n    </div>\n    <ng-container>\n      <ul\n        *ngIf=\"(auditCategory | search : searchInput)?.length\"\n        class=\"category-list vx-mb-4\"\n      >\n        <li\n          *ngFor=\"\n            let data of auditCategory | search : searchInput;\n            let i = index\n          \"\n        >\n          <app-cs-radio\n            [value]=\"i\"\n            (checkedEvent)=\"onCategorySelection(i)\"\n            [checked]=\"selectedIndex === i\"\n          >\n            <ul class=\"category-name\">\n              <li\n                *ngFor=\"\n                  let parentCategory of data?.parent_category_names.slice()\n                \"\n                [appTooltip]=\"parentCategory\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ parentCategory }}<i class=\"icons\">&#xe910;</i>\n              </li>\n              <li\n                [appTooltip]=\"data?.category_name\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ data?.category_name }}\n              </li>\n            </ul>\n          </app-cs-radio>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"(auditCategory | search : searchInput)?.length == 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Audit Category Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"\n        auditCategory[selectedIndex]?.category_name\n          ? [auditCategory[selectedIndex]]\n          : []\n      \"\n      [displayElementKey]=\"'category_name'\"\n      [singularText]=\"'Audit Category selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"auditCategory.length === 0 || !auditCategory[selectedIndex]\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .audit-category-list{position:fixed;inset:0 500px 0 0}::ng-deep .audit-category-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .audit-category-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .audit-category-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .audit-category-list-body .search-block{position:relative}::ng-deep .audit-category-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .audit-category-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .audit-category-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .audit-category-list-body ul{padding:0;margin:0}::ng-deep .audit-category-list-body ul.category-list{height:calc(100vh - 224px);overflow:auto;scrollbar-width:thin}::ng-deep .audit-category-list-body ul.category-list::-webkit-scrollbar-track{background-color:transparent}::ng-deep .audit-category-list-body ul.category-list li{padding:0 20px 12px 0;list-style:none;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio{display:flex}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label{width:100%}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value{width:100%;justify-content:flex-start;flex-wrap:wrap}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul{display:flex!important;align-items:center}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul.category-name,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul.category-name{color:#747576;font-weight:400;line-height:20px;display:block;width:100%;font-size:13px}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li{padding:0;max-width:100%}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li:first-child,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li:first-child{color:#1e5dd3}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li:last-child,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li:last-child{color:#34aa44}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li i,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li i{font-size:8px;color:#747576;margin:0 8px}::ng-deep .audit-category-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .audit-category-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: SearchPipe$1, name: "search" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AuditCategoryListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-audit-category-list', template: "<div class=\"audit-category-list\" [class.animate]=\"animation\">\n  <div\n    class=\"audit-category-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select an Audit Category</div>\n  </div>\n  <div class=\"audit-category-list-body\">\n    <div class=\"search-block vx-mb-2\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"searchInput\"\n        placeholder=\"Search Audit Category\"\n      />\n    </div>\n    <ng-container>\n      <ul\n        *ngIf=\"(auditCategory | search : searchInput)?.length\"\n        class=\"category-list vx-mb-4\"\n      >\n        <li\n          *ngFor=\"\n            let data of auditCategory | search : searchInput;\n            let i = index\n          \"\n        >\n          <app-cs-radio\n            [value]=\"i\"\n            (checkedEvent)=\"onCategorySelection(i)\"\n            [checked]=\"selectedIndex === i\"\n          >\n            <ul class=\"category-name\">\n              <li\n                *ngFor=\"\n                  let parentCategory of data?.parent_category_names.slice()\n                \"\n                [appTooltip]=\"parentCategory\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ parentCategory }}<i class=\"icons\">&#xe910;</i>\n              </li>\n              <li\n                [appTooltip]=\"data?.category_name\"\n                placement=\"bottom\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ data?.category_name }}\n              </li>\n            </ul>\n          </app-cs-radio>\n        </li>\n      </ul>\n      <app-no-data\n        *ngIf=\"(auditCategory | search : searchInput)?.length == 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Audit Category Found'\"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"\n        auditCategory[selectedIndex]?.category_name\n          ? [auditCategory[selectedIndex]]\n          : []\n      \"\n      [displayElementKey]=\"'category_name'\"\n      [singularText]=\"'Audit Category selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"auditCategory.length === 0 || !auditCategory[selectedIndex]\"\n    ></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .audit-category-list{position:fixed;inset:0 500px 0 0}::ng-deep .audit-category-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .audit-category-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .audit-category-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .audit-category-list-body .search-block{position:relative}::ng-deep .audit-category-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .audit-category-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .audit-category-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .audit-category-list-body ul{padding:0;margin:0}::ng-deep .audit-category-list-body ul.category-list{height:calc(100vh - 224px);overflow:auto;scrollbar-width:thin}::ng-deep .audit-category-list-body ul.category-list::-webkit-scrollbar-track{background-color:transparent}::ng-deep .audit-category-list-body ul.category-list li{padding:0 20px 12px 0;list-style:none;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio{display:flex}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label{width:100%}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value{width:100%;justify-content:flex-start;flex-wrap:wrap}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul{display:flex!important;align-items:center}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul.category-name,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul.category-name{color:#747576;font-weight:400;line-height:20px;display:block;width:100%;font-size:13px}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li{padding:0;max-width:100%}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li:first-child,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li:first-child{color:#1e5dd3}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li:last-child,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li:last-child{color:#34aa44}::ng-deep .audit-category-list-body ul.category-list li app-cs-checkbox label span.value ul li i,::ng-deep .audit-category-list-body ul.category-list li app-cs-radio label span.value ul li i{font-size:8px;color:#747576;margin:0 8px}::ng-deep .audit-category-list-body app-no-data{display:block;height:calc(100% - 100px)}::ng-deep .audit-category-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { selectedData: [{
                type: Input
            }], selectedIndex: [{
                type: Input
            }], auditCategory: [{
                type: Input
            }], closeList: [{
                type: Output
            }], saveSelectedList: [{
                type: Output
            }] } });

let AssessmentService$2 = class AssessmentService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        if (config) {
            this.env = config.envConfig;
        }
    }
    getAssessmentQuestions(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.assessmentEnpoint + 'assessment/fetchQuestionsByAssessmentId&id=' + id, { headers }).pipe(retry(2));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService, providedIn: 'root' }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService$2, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

let WelcomeComponent$2 = class WelcomeComponent {
    constructor() {
        this.ASSETS = ASSETS;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WelcomeComponent, selector: "app-preview-welcome", ngImport: i0, template: "<div class=\"welcome-preview vx-text-center vx-mb-5\">\n  <div class=\"image\"><img [src]=\"ASSETS.thank_you_image\" /></div>\n  <div class=\"heading vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\">\n    Welcome heading\n  </div>\n  <div class=\"details vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\">\n    In publishing and graphic design, Lorem ipsum is a placeholder text commonly\n    used to demonstrate the visual form of a document or a typeface without\n    relying on meaningful content. Lorem ipsum may be used as a placeholder\n    before the final copy is available.\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.welcome-preview .image{width:30rem;margin:0 auto 2rem}.welcome-preview .image img{border-radius:.625rem;width:100%}\n"] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeComponent$2, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-welcome', template: "<div class=\"welcome-preview vx-text-center vx-mb-5\">\n  <div class=\"image\"><img [src]=\"ASSETS.thank_you_image\" /></div>\n  <div class=\"heading vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\">\n    Welcome heading\n  </div>\n  <div class=\"details vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\">\n    In publishing and graphic design, Lorem ipsum is a placeholder text commonly\n    used to demonstrate the visual form of a document or a typeface without\n    relying on meaningful content. Lorem ipsum may be used as a placeholder\n    before the final copy is available.\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.welcome-preview .image{width:30rem;margin:0 auto 2rem}.welcome-preview .image img{border-radius:.625rem;width:100%}\n"] }]
        }], ctorParameters: function () { return []; } });

class DescriptionPreviewComponent {
    constructor() {
        this.description = '';
        this.isExpand = false;
    }
    toggleExpansion() {
        this.isExpand = !this.isExpand;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DescriptionPreviewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DescriptionPreviewComponent, selector: "app-description-preview", inputs: { questionIndex: "questionIndex", description: "description" }, ngImport: i0, template: "<div\n  [id]=\"'description_' + questionIndex\"\n  class=\"assessment-question-description vx-fs-12 vx-paragraph-txt\"\n  [class.expand]=\"isExpand\"\n  [innerHTML]=\"description\"\n></div>\n<div class=\"assessment-question-description-btn vx-d-flex vx-justify-end\">\n  <button\n    *ngIf=\"('description_' + questionIndex | isReadMore : 37) && !isExpand\"\n    (click)=\"toggleExpansion()\"\n    class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n  >\n    Read More\n  </button>\n  <button\n    *ngIf=\"isExpand && ('description_' + questionIndex | isReadMore : 37)\"\n    (click)=\"toggleExpansion()\"\n    class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n  >\n    Show Less\n  </button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-question-description{width:96%;overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:break-word;max-height:2.5rem;position:relative}::ng-deep .assessment-question-description.expand{display:block;-webkit-line-clamp:unset;-webkit-box-orient:unset;word-break:unset;max-height:unset}::ng-deep .assessment-question-description-btn{width:96%}::ng-deep .assessment-question-description-btn button{background:transparent;border-radius:0;border:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: IsReadMorePipe, name: "isReadMore" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DescriptionPreviewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-description-preview', template: "<div\n  [id]=\"'description_' + questionIndex\"\n  class=\"assessment-question-description vx-fs-12 vx-paragraph-txt\"\n  [class.expand]=\"isExpand\"\n  [innerHTML]=\"description\"\n></div>\n<div class=\"assessment-question-description-btn vx-d-flex vx-justify-end\">\n  <button\n    *ngIf=\"('description_' + questionIndex | isReadMore : 37) && !isExpand\"\n    (click)=\"toggleExpansion()\"\n    class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n  >\n    Read More\n  </button>\n  <button\n    *ngIf=\"isExpand && ('description_' + questionIndex | isReadMore : 37)\"\n    (click)=\"toggleExpansion()\"\n    class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n  >\n    Show Less\n  </button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-question-description{width:96%;overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:break-word;max-height:2.5rem;position:relative}::ng-deep .assessment-question-description.expand{display:block;-webkit-line-clamp:unset;-webkit-box-orient:unset;word-break:unset;max-height:unset}::ng-deep .assessment-question-description-btn{width:96%}::ng-deep .assessment-question-description-btn button{background:transparent;border-radius:0;border:none}\n"] }]
        }], propDecorators: { questionIndex: [{
                type: Input
            }], description: [{
                type: Input
            }] } });

class CheckboxQuestionComponent {
    constructor() {
        this.choicesForPreviewMode = [];
    }
    ngOnInit() {
        this.choicesForPreviewMode = this.question.choices;
        if (this.question.randomize === true) {
            this.randomize();
        }
    }
    randomize() {
        this.choicesForPreviewMode = shuffle(this.choicesForPreviewMode);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxQuestionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckboxQuestionComponent, selector: "app-checkbox-question", inputs: { question: "question", questionIndex: "questionIndex" }, ngImport: i0, template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside vx-w-100\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <ul class=\"checkbox-list vx-p-0 vx-m-0\">\n          <li\n            class=\"vx-mt-1\"\n            *ngFor=\"\n              let choice of choicesForPreviewMode;\n              let choiceIndex = index\n            \"\n          >\n            <app-cs-checkbox>\n              <span\n                class=\"checkbox-value vx-fs-13 vx-label-txt vx-fw-400\"\n                [appTooltip]=\"choice?.title\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ choice?.title ? choice?.title : \"Option\" }}</span\n              >\n            </app-cs-checkbox>\n          </li>\n\n          <li class=\"vx-mt-1\" *ngIf=\"question?.hasOther\">\n            <app-cs-checkbox>\n              <span\n                class=\"checkbox-value vx-fs-13 vx-label-txt vx-fw-400\"\n                [appTooltip]=\"question.otherValue\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ question.otherValue }}</span\n              >\n            </app-cs-checkbox>\n          </li>\n        </ul>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option ul.checkbox-list{list-style-type:none}::ng-deep .question-option ul.checkbox-list li{background:#74757610;border-radius:.25rem;height:2.75rem;padding:11px .75rem}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item{width:100%!important;position:relative;padding-left:1.5rem}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .checkmark{background:#fff;position:absolute!important;left:0!important}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .value{width:100%!important;margin:0!important;justify-content:start!important}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .value .checkbox-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: QuickSettingsComponent$1, selector: "app-quick-settings", inputs: ["question"] }, { kind: "component", type: DescriptionPreviewComponent, selector: "app-description-preview", inputs: ["questionIndex", "description"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxQuestionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkbox-question', template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside vx-w-100\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <ul class=\"checkbox-list vx-p-0 vx-m-0\">\n          <li\n            class=\"vx-mt-1\"\n            *ngFor=\"\n              let choice of choicesForPreviewMode;\n              let choiceIndex = index\n            \"\n          >\n            <app-cs-checkbox>\n              <span\n                class=\"checkbox-value vx-fs-13 vx-label-txt vx-fw-400\"\n                [appTooltip]=\"choice?.title\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ choice?.title ? choice?.title : \"Option\" }}</span\n              >\n            </app-cs-checkbox>\n          </li>\n\n          <li class=\"vx-mt-1\" *ngIf=\"question?.hasOther\">\n            <app-cs-checkbox>\n              <span\n                class=\"checkbox-value vx-fs-13 vx-label-txt vx-fw-400\"\n                [appTooltip]=\"question.otherValue\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ question.otherValue }}</span\n              >\n            </app-cs-checkbox>\n          </li>\n        </ul>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option ul.checkbox-list{list-style-type:none}::ng-deep .question-option ul.checkbox-list li{background:#74757610;border-radius:.25rem;height:2.75rem;padding:11px .75rem}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item{width:100%!important;position:relative;padding-left:1.5rem}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .checkmark{background:#fff;position:absolute!important;left:0!important}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .value{width:100%!important;margin:0!important;justify-content:start!important}::ng-deep .question-option ul.checkbox-list li app-cs-checkbox .checkbox-item .value .checkbox-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }] } });

class DateTimeComponent {
    constructor(commonService) {
        this.commonService = commonService;
        this.datepickerOverlay = false;
    }
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datepickerOverlay = true;
    }
    closeDatepicker() {
        this.datePicker?.api?.close();
        this.datepickerOverlay = false;
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'preview-date',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datepickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DateTimeComponent, deps: [{ token: CommonService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DateTimeComponent, selector: "app-date-time", inputs: { question: "question", questionIndex: "questionIndex" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <div class=\"textbox-group vx-mt-5\">\n          <div class=\"input-group vx-d-flex vx-mb-2\" *ngIf=\"question?.hasDate\">\n            <span\n              class=\"label vx-bg-grey vx-label-txt vx-lh-24 vx-d-flex vx-tt-uppercase vx-fs-11 vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n              ><span\n                class=\"vx-d-block\"\n                [appTooltip]=\"\n                  question?.date?.title == ''\n                    ? 'Date Label'\n                    : question?.date?.title\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  question?.date?.title == \"\"\n                    ? \"Date Label\"\n                    : question?.date?.title\n                }}</span\n              ></span\n            >\n            <div class=\"date-time-area\">\n              <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe996;</i>\n              <input\n                class=\"datePicker\"\n                (click)=\"openDatePicker()\"\n                placeholder=\"Select Date\"\n                id=\"preview-date\"\n              />\n              <dp-date-picker\n                #datePicker\n                placeholder=\"Select Date\"\n                (click)=\"openDatePicker()\"\n                (click)=\"closeDatepicker()\"\n              ></dp-date-picker>\n              <div\n                class=\"overlay\"\n                (click)=\"closeDatepicker()\"\n                *ngIf=\"datepickerOverlay\"\n              ></div>\n            </div>\n          </div>\n          <div class=\"input-group vx-d-flex vx-mb-10\" *ngIf=\"question?.hasTime\">\n            <span\n              class=\"label vx-bg-grey vx-label-txt vx-lh-24 vx-d-flex vx-tt-uppercase vx-fs-11 vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n              ><span\n                class=\"vx-d-block\"\n                [appTooltip]=\"\n                  question?.time?.title == ''\n                    ? 'Time Label'\n                    : question?.time?.title\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  question?.time?.title == \"\"\n                    ? \"Time Label\"\n                    : question?.time?.title\n                }}</span\n              ></span\n            >\n            <div class=\"date-time-area\">\n              <input\n                aria-label=\"12hr format\"\n                [ngxTimepicker]=\"timeOnly\"\n                readonly\n                placeholder=\"Select Time\"\n              />\n              <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe955;</i>\n              <ngx-material-timepicker #timeOnly></ngx-material-timepicker>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option .textbox-group{display:block;max-width:31.25rem}::ng-deep .question-option .textbox-group .input-group{border:1px solid #f1f1f1;border-radius:.25rem;position:relative}::ng-deep .question-option .textbox-group .input-group .label{width:5.875rem}::ng-deep .question-option .textbox-group .input-group .label .date-time-label{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-option .textbox-group .input-group .date-time-area{background:#fff;border-radius:0 .25rem .25rem 0;width:calc(100% - 5.875rem);height:2.5rem;position:relative}::ng-deep .question-option .textbox-group .input-group .date-time-area input{font-family:Poppins,sans-serif!important;background:transparent;border:none;border-radius:0;font-size:11px!important;color:#747476!important;width:100%;height:100%;outline:none;cursor:pointer;margin:0;padding:8px;position:relative;z-index:1}::ng-deep .question-option .textbox-group .input-group .date-time-area input::placeholder{font-size:11px!important;color:#74757690!important;font-weight:400}::ng-deep .question-option .textbox-group .input-group .date-time-area i{position:absolute;top:.75rem;right:.5rem}::ng-deep .question-option .textbox-group .input-group .date-time-area .overlay{z-index:2}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker{width:100%}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper{padding:0}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix{padding:0!important;position:relative!important;top:-.25rem!important;left:.5rem!important;z-index:1!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix input.preview-datepicker-input{color:#747576!important;width:87%!important;padding-left:0!important;font-size:11px!important;top:-.25rem!important;font-family:Poppins,sans-serif!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix input.preview-datepicker-input::placeholder{font-size:11px!important;color:#747576!important;font-weight:400!important;opacity:1!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix .mat-form-field-label-wrapper .mat-form-field-label span{font-size:11px!important;color:#74757690!important;font-family:Poppins,sans-serif!important;position:relative!important;top:-1px!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-suffix{position:absolute!important;height:2.5rem!important;top:-1px!important;z-index:2!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-suffix mat-datepicker-toggle button{height:2.5rem!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-suffix mat-datepicker-toggle button .mat-button-wrapper svg{width:1.125rem!important;position:relative!important;right:.375rem!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-underline,::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-subscript-wrapper{display:none!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker.mat-form-field-should-float .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix .mat-form-field-label-wrapper{display:none!important}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}::ng-deep .mat-form-field-suffix{position:absolute;width:100%;height:45px;top:6px}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle{position:absolute;left:0;top:0;width:100%}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle.mat-datepicker-toggle-active{color:#1e5dd3}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button{width:100%;text-align:left;height:70px;border-radius:0}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button ::ng-deep .mat-button-focus-overlay{opacity:0;display:none}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button ::ng-deep .mat-button-ripple.mat-ripple{display:none}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button svg{width:25px!important;float:right}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: i5$1.NgxMaterialTimepickerComponent, selector: "ngx-material-timepicker", inputs: ["cancelBtnTmpl", "editableHintTmpl", "confirmBtnTmpl", "ESC", "enableKeyboardInput", "preventOverlayClick", "disableAnimation", "appendToInput", "hoursOnly", "defaultTime", "timepickerClass", "theme", "min", "max", "ngxMaterialTimepickerTheme", "format", "minutesGap"], outputs: ["timeSet", "opened", "closed", "hourSelected", "timeChanged"] }, { kind: "directive", type: i5$1.TimepickerDirective, selector: "[ngxTimepicker]", inputs: ["format", "min", "max", "ngxTimepicker", "value", "disabled", "disableClick"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "component", type: QuickSettingsComponent$1, selector: "app-quick-settings", inputs: ["question"] }, { kind: "component", type: DescriptionPreviewComponent, selector: "app-description-preview", inputs: ["questionIndex", "description"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DateTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-date-time', template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <div class=\"textbox-group vx-mt-5\">\n          <div class=\"input-group vx-d-flex vx-mb-2\" *ngIf=\"question?.hasDate\">\n            <span\n              class=\"label vx-bg-grey vx-label-txt vx-lh-24 vx-d-flex vx-tt-uppercase vx-fs-11 vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n              ><span\n                class=\"vx-d-block\"\n                [appTooltip]=\"\n                  question?.date?.title == ''\n                    ? 'Date Label'\n                    : question?.date?.title\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  question?.date?.title == \"\"\n                    ? \"Date Label\"\n                    : question?.date?.title\n                }}</span\n              ></span\n            >\n            <div class=\"date-time-area\">\n              <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe996;</i>\n              <input\n                class=\"datePicker\"\n                (click)=\"openDatePicker()\"\n                placeholder=\"Select Date\"\n                id=\"preview-date\"\n              />\n              <dp-date-picker\n                #datePicker\n                placeholder=\"Select Date\"\n                (click)=\"openDatePicker()\"\n                (click)=\"closeDatepicker()\"\n              ></dp-date-picker>\n              <div\n                class=\"overlay\"\n                (click)=\"closeDatepicker()\"\n                *ngIf=\"datepickerOverlay\"\n              ></div>\n            </div>\n          </div>\n          <div class=\"input-group vx-d-flex vx-mb-10\" *ngIf=\"question?.hasTime\">\n            <span\n              class=\"label vx-bg-grey vx-label-txt vx-lh-24 vx-d-flex vx-tt-uppercase vx-fs-11 vx-text-center vx-p-2 vx-justify-center vx-align-center\"\n              ><span\n                class=\"vx-d-block\"\n                [appTooltip]=\"\n                  question?.time?.title == ''\n                    ? 'Time Label'\n                    : question?.time?.title\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  question?.time?.title == \"\"\n                    ? \"Time Label\"\n                    : question?.time?.title\n                }}</span\n              ></span\n            >\n            <div class=\"date-time-area\">\n              <input\n                aria-label=\"12hr format\"\n                [ngxTimepicker]=\"timeOnly\"\n                readonly\n                placeholder=\"Select Time\"\n              />\n              <i class=\"icons vx-fs-14 vx-paragraph-txt\">&#xe955;</i>\n              <ngx-material-timepicker #timeOnly></ngx-material-timepicker>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option .textbox-group{display:block;max-width:31.25rem}::ng-deep .question-option .textbox-group .input-group{border:1px solid #f1f1f1;border-radius:.25rem;position:relative}::ng-deep .question-option .textbox-group .input-group .label{width:5.875rem}::ng-deep .question-option .textbox-group .input-group .label .date-time-label{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-option .textbox-group .input-group .date-time-area{background:#fff;border-radius:0 .25rem .25rem 0;width:calc(100% - 5.875rem);height:2.5rem;position:relative}::ng-deep .question-option .textbox-group .input-group .date-time-area input{font-family:Poppins,sans-serif!important;background:transparent;border:none;border-radius:0;font-size:11px!important;color:#747476!important;width:100%;height:100%;outline:none;cursor:pointer;margin:0;padding:8px;position:relative;z-index:1}::ng-deep .question-option .textbox-group .input-group .date-time-area input::placeholder{font-size:11px!important;color:#74757690!important;font-weight:400}::ng-deep .question-option .textbox-group .input-group .date-time-area i{position:absolute;top:.75rem;right:.5rem}::ng-deep .question-option .textbox-group .input-group .date-time-area .overlay{z-index:2}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker{width:100%}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper{padding:0}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix{padding:0!important;position:relative!important;top:-.25rem!important;left:.5rem!important;z-index:1!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix input.preview-datepicker-input{color:#747576!important;width:87%!important;padding-left:0!important;font-size:11px!important;top:-.25rem!important;font-family:Poppins,sans-serif!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix input.preview-datepicker-input::placeholder{font-size:11px!important;color:#747576!important;font-weight:400!important;opacity:1!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix .mat-form-field-label-wrapper .mat-form-field-label span{font-size:11px!important;color:#74757690!important;font-family:Poppins,sans-serif!important;position:relative!important;top:-1px!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-suffix{position:absolute!important;height:2.5rem!important;top:-1px!important;z-index:2!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-suffix mat-datepicker-toggle button{height:2.5rem!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-suffix mat-datepicker-toggle button .mat-button-wrapper svg{width:1.125rem!important;position:relative!important;right:.375rem!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-underline,::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker .mat-form-field-wrapper .mat-form-field-subscript-wrapper{display:none!important}::ng-deep .question-option .textbox-group .input-group .date-time-area mat-form-field.preview-datepicker.mat-form-field-should-float .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix .mat-form-field-label-wrapper{display:none!important}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}::ng-deep .mat-form-field-suffix{position:absolute;width:100%;height:45px;top:6px}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle{position:absolute;left:0;top:0;width:100%}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle.mat-datepicker-toggle-active{color:#1e5dd3}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button{width:100%;text-align:left;height:70px;border-radius:0}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button ::ng-deep .mat-button-focus-overlay{opacity:0;display:none}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button ::ng-deep .mat-button-ripple.mat-ripple{display:none}::ng-deep .mat-form-field-suffix .mat-datepicker-toggle button svg{width:25px!important;float:right}\n"] }]
        }], ctorParameters: function () { return [{ type: CommonService }]; }, propDecorators: { question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }], datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class DeviceComponent {
    constructor() {
        this.deviceChanged = new EventEmitter();
        this.selectedDevice = 'DESKTOP';
    }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DeviceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DeviceComponent, selector: "app-device", inputs: { selectedDevice: "selectedDevice" }, outputs: { deviceChanged: "deviceChanged" }, ngImport: i0, template: "<div class=\"device\">\n    <div class=\"label vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-pt-1 vx-pb-1 vx-text-center\">PREVIEW</div>\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li>\n            <a class=\"vx-text-center vx-pt-3 vx-pb-3 vx-d-block\" [class.active]=\"selectedDevice === 'DESKTOP'\" (click)=\"deviceChanged.emit('DESKTOP')\">\n                <i class=\"icons vx-fs-16\">&#xeac2;</i>\n                <span class=\"vx-fs-9 vx-fw-600 vx-tt-uppercase vx-d-block\">DESKTOP</span>\n            </a>\n        </li>\n        <li>\n            <a class=\"vx-text-center vx-pt-3 vx-pb-3 vx-d-block\" [class.active]=\"selectedDevice === 'TABLET'\" (click)=\"deviceChanged.emit('TABLET')\">\n                <i class=\"icons vx-fs-16\">&#xeac1;</i>\n                <span class=\"vx-fs-9 vx-fw-600 vx-tt-uppercase vx-d-block\">TABLET</span>\n            </a>\n        </li>\n        <li>\n            <a class=\"vx-text-center vx-pt-3 vx-pb-3 vx-d-block\" [class.active]=\"selectedDevice === 'MOBILE'\" (click)=\"deviceChanged.emit('MOBILE')\">\n                <i class=\"icons vx-fs-16\">&#xeac0;</i>\n                <span class=\"vx-fs-9 vx-fw-600 vx-tt-uppercase vx-d-block\">MOBILE</span>\n            </a>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";.device{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1e5dd326;width:3.75rem}.device ul li{border-top:1px solid #F1F1F1;list-style-type:none}.device ul li a{color:#747576}.device ul li a.active{background:#1e5dd3;color:#fff}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DeviceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-device', template: "<div class=\"device\">\n    <div class=\"label vx-fs-11 vx-fw-600 vx-label-txt vx-tt-uppercase vx-pt-1 vx-pb-1 vx-text-center\">PREVIEW</div>\n    <ul class=\"vx-p-0 vx-m-0\">\n        <li>\n            <a class=\"vx-text-center vx-pt-3 vx-pb-3 vx-d-block\" [class.active]=\"selectedDevice === 'DESKTOP'\" (click)=\"deviceChanged.emit('DESKTOP')\">\n                <i class=\"icons vx-fs-16\">&#xeac2;</i>\n                <span class=\"vx-fs-9 vx-fw-600 vx-tt-uppercase vx-d-block\">DESKTOP</span>\n            </a>\n        </li>\n        <li>\n            <a class=\"vx-text-center vx-pt-3 vx-pb-3 vx-d-block\" [class.active]=\"selectedDevice === 'TABLET'\" (click)=\"deviceChanged.emit('TABLET')\">\n                <i class=\"icons vx-fs-16\">&#xeac1;</i>\n                <span class=\"vx-fs-9 vx-fw-600 vx-tt-uppercase vx-d-block\">TABLET</span>\n            </a>\n        </li>\n        <li>\n            <a class=\"vx-text-center vx-pt-3 vx-pb-3 vx-d-block\" [class.active]=\"selectedDevice === 'MOBILE'\" (click)=\"deviceChanged.emit('MOBILE')\">\n                <i class=\"icons vx-fs-16\">&#xeac0;</i>\n                <span class=\"vx-fs-9 vx-fw-600 vx-tt-uppercase vx-d-block\">MOBILE</span>\n            </a>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";.device{background:#fff;border-radius:.25rem;box-shadow:0 3px 6px #1e5dd326;width:3.75rem}.device ul li{border-top:1px solid #F1F1F1;list-style-type:none}.device ul li a{color:#747576}.device ul li a.active{background:#1e5dd3;color:#fff}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { deviceChanged: [{
                type: Output
            }], selectedDevice: [{
                type: Input
            }] } });

class FileUploadComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FileUploadComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FileUploadComponent, selector: "app-file-upload", inputs: { question: "question", questionIndex: "questionIndex" }, ngImport: i0, template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <div\n          class=\"custom-file-upload vx-d-flex vx-align-center vx-mt-5 vx-p-1\"\n        >\n          <input type=\"file\" />\n          <span class=\"value vx-fs-11 vx-label-txt vx-d-block vx-pl-2\"\n            >Select file</span\n          >\n          <span\n            class=\"button vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-bg-blue vx-fs-12 vx-tt-uppercase\"\n            >Browse</span\n          >\n        </div>\n        <ul class=\"file-list vx-p-0 vx-pt-5 vx-m-0\" *ngIf=\"false\">\n          <li class=\"file vx-pb-1\">\n            <div class=\"file-box vx-d-flex vx-align-center vx-pt-2 vx-pb-2\">\n              <span class=\"file pdf\">\n                <i class=\"icons\">&#xe92e;</i>\n                <span class=\"format\">pdf</span>\n              </span>\n              <div\n                class=\"file-name vx-fs-12 vx-label-txt\"\n                [appTooltip]=\"'file-name.pdf'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                file-name.pdf\n              </div>\n              <button\n                class=\"delete-btn vx-fs-14 vx-txt-red vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                <i class=\"icons vx-ml-3\">&#xe923;</i>\n              </button>\n              <div *ngIf=\"true\" class=\"line-progress\">\n                <div class=\"line-progress-bar\"></div>\n              </div>\n            </div>\n          </li>\n        </ul>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option .custom-file-upload{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;box-shadow:0 0 10px #f1f1f1;position:relative;max-width:25rem;width:100%;height:2.5rem}::ng-deep .question-option .custom-file-upload input{position:absolute;top:0;right:0;height:100%;width:100%;opacity:0;cursor:pointer;z-index:1}::ng-deep .question-option .custom-file-upload span.value{width:calc(100% - 6.25rem);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .question-option .custom-file-upload span.button{height:1.875rem;width:6.25rem;border-radius:.25rem}::ng-deep .question-option ul.file-list{list-style:none;width:37.5rem}@media screen and (max-width: 768px){::ng-deep .question-option ul.file-list{width:100%}}::ng-deep .question-option ul.file-list li.file .file-box{border-bottom:1px solid #f1f1f1;position:relative}::ng-deep .question-option ul.file-list li.file .file-box .file-name{display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;width:calc(100% - 1.25rem)}::ng-deep .question-option ul.file-list li.file .file-box button.delete-btn{background:transparent;border:none;border-radius:0}::ng-deep .question-option ul.file-list li.file .file-box .line-progress{left:1.625rem;top:auto;bottom:.5rem;width:92%}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: QuickSettingsComponent$1, selector: "app-quick-settings", inputs: ["question"] }, { kind: "component", type: DescriptionPreviewComponent, selector: "app-description-preview", inputs: ["questionIndex", "description"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FileUploadComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-file-upload', template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <div\n          class=\"custom-file-upload vx-d-flex vx-align-center vx-mt-5 vx-p-1\"\n        >\n          <input type=\"file\" />\n          <span class=\"value vx-fs-11 vx-label-txt vx-d-block vx-pl-2\"\n            >Select file</span\n          >\n          <span\n            class=\"button vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-bg-blue vx-fs-12 vx-tt-uppercase\"\n            >Browse</span\n          >\n        </div>\n        <ul class=\"file-list vx-p-0 vx-pt-5 vx-m-0\" *ngIf=\"false\">\n          <li class=\"file vx-pb-1\">\n            <div class=\"file-box vx-d-flex vx-align-center vx-pt-2 vx-pb-2\">\n              <span class=\"file pdf\">\n                <i class=\"icons\">&#xe92e;</i>\n                <span class=\"format\">pdf</span>\n              </span>\n              <div\n                class=\"file-name vx-fs-12 vx-label-txt\"\n                [appTooltip]=\"'file-name.pdf'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                file-name.pdf\n              </div>\n              <button\n                class=\"delete-btn vx-fs-14 vx-txt-red vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n              >\n                <i class=\"icons vx-ml-3\">&#xe923;</i>\n              </button>\n              <div *ngIf=\"true\" class=\"line-progress\">\n                <div class=\"line-progress-bar\"></div>\n              </div>\n            </div>\n          </li>\n        </ul>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option .custom-file-upload{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;box-shadow:0 0 10px #f1f1f1;position:relative;max-width:25rem;width:100%;height:2.5rem}::ng-deep .question-option .custom-file-upload input{position:absolute;top:0;right:0;height:100%;width:100%;opacity:0;cursor:pointer;z-index:1}::ng-deep .question-option .custom-file-upload span.value{width:calc(100% - 6.25rem);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .question-option .custom-file-upload span.button{height:1.875rem;width:6.25rem;border-radius:.25rem}::ng-deep .question-option ul.file-list{list-style:none;width:37.5rem}@media screen and (max-width: 768px){::ng-deep .question-option ul.file-list{width:100%}}::ng-deep .question-option ul.file-list li.file .file-box{border-bottom:1px solid #f1f1f1;position:relative}::ng-deep .question-option ul.file-list li.file .file-box .file-name{display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;width:calc(100% - 1.25rem)}::ng-deep .question-option ul.file-list li.file .file-box button.delete-btn{background:transparent;border:none;border-radius:0}::ng-deep .question-option ul.file-list li.file .file-box .line-progress{left:1.625rem;top:auto;bottom:.5rem;width:92%}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }] } });

class RadioQuestionComponent {
    constructor() {
        this.choicesForPreviewMode = [];
    }
    ngOnInit() {
        this.choicesForPreviewMode = this.question.choices;
        if (this.question.randomize === true) {
            this.randomize();
        }
    }
    randomize() {
        this.choicesForPreviewMode = shuffle(this.choicesForPreviewMode);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioQuestionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RadioQuestionComponent, selector: "app-radio-question", inputs: { question: "question", questionIndex: "questionIndex" }, ngImport: i0, template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside vx-w-100\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option vx-mt-3\">\n        <ul class=\"multiple-choice-list vx-p-0 vx-m-0\">\n          <li\n            class=\"vx-mt-1\"\n            *ngFor=\"\n              let choice of choicesForPreviewMode;\n              let choiceIndex = index\n            \"\n          >\n            <app-cs-radio [name]=\"question?.name\">\n              <span\n                class=\"radio-value vx-fs-13 vx-label-txt vx-fw-400 vx-lh-5\"\n                [appTooltip]=\"choice?.title\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ choice?.title ? choice?.title : \"Option\" }}</span\n              >\n            </app-cs-radio>\n          </li>\n          <li class=\"vx-mt-1\" *ngIf=\"question?.hasOther\">\n            <app-cs-radio [name]=\"question?.name\">\n              <span\n                class=\"radio-value vx-fs-13 vx-label-txt vx-fw-400 vx-lh-5\"\n                [appTooltip]=\"question.otherValue\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ question.otherValue }}</span\n              >\n            </app-cs-radio>\n          </li>\n        </ul>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option ul.multiple-choice-list{list-style-type:none}::ng-deep .question-option ul.multiple-choice-list li{background:#74757610;border-radius:.25rem;height:2.75rem;padding:11px .75rem}::ng-deep .question-option ul.multiple-choice-list li app-cs-radio .radio-item{width:100%!important}::ng-deep .question-option ul.multiple-choice-list li app-cs-radio .radio-item .value{width:100%!important}::ng-deep .question-option ul.multiple-choice-list li app-cs-radio .radio-item .value .radio-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: QuickSettingsComponent$1, selector: "app-quick-settings", inputs: ["question"] }, { kind: "component", type: DescriptionPreviewComponent, selector: "app-description-preview", inputs: ["questionIndex", "description"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioQuestionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-radio-question', template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside vx-w-100\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option vx-mt-3\">\n        <ul class=\"multiple-choice-list vx-p-0 vx-m-0\">\n          <li\n            class=\"vx-mt-1\"\n            *ngFor=\"\n              let choice of choicesForPreviewMode;\n              let choiceIndex = index\n            \"\n          >\n            <app-cs-radio [name]=\"question?.name\">\n              <span\n                class=\"radio-value vx-fs-13 vx-label-txt vx-fw-400 vx-lh-5\"\n                [appTooltip]=\"choice?.title\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ choice?.title ? choice?.title : \"Option\" }}</span\n              >\n            </app-cs-radio>\n          </li>\n          <li class=\"vx-mt-1\" *ngIf=\"question?.hasOther\">\n            <app-cs-radio [name]=\"question?.name\">\n              <span\n                class=\"radio-value vx-fs-13 vx-label-txt vx-fw-400 vx-lh-5\"\n                [appTooltip]=\"question.otherValue\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ question.otherValue }}</span\n              >\n            </app-cs-radio>\n          </li>\n        </ul>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option ul.multiple-choice-list{list-style-type:none}::ng-deep .question-option ul.multiple-choice-list li{background:#74757610;border-radius:.25rem;height:2.75rem;padding:11px .75rem}::ng-deep .question-option ul.multiple-choice-list li app-cs-radio .radio-item{width:100%!important}::ng-deep .question-option ul.multiple-choice-list li app-cs-radio .radio-item .value{width:100%!important}::ng-deep .question-option ul.multiple-choice-list li app-cs-radio .radio-item .value .radio-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }] } });

class SelectQuestionComponent {
    constructor() {
        this.choicesForPreviewMode = [];
    }
    ngOnInit() {
        this.choicesForPreviewMode = [...this.question.choices];
        if (this.question.randomize === true) {
            this.randomize();
        }
        if (this.question.hasOther === true && this.choicesForPreviewMode.findIndex((x) => x.title === "Other") < 0) {
            this.choicesForPreviewMode.push({ title: 'Other' });
        }
    }
    randomize() {
        this.choicesForPreviewMode = shuffle(this.choicesForPreviewMode);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectQuestionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SelectQuestionComponent, selector: "app-select-question", inputs: { question: "question", questionIndex: "questionIndex" }, ngImport: i0, template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <div class=\"options-area\">\n          <app-cs-select\n            [dataList]=\"choicesForPreviewMode\"\n            [valueKey]=\"'title'\"\n            [displayProperty]=\"'title'\"\n            [selectedValue]=\"'Select an option'\"\n          ></app-cs-select>\n        </div>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-inner-inside .question-option .options-area{width:70%}::ng-deep .question-inner-inside .question-option .options-area app-cs-select .input-group .custom-select-box .arrow{top:.5rem!important;right:0!important}@media screen and (max-width: 667px){::ng-deep .question-inner-inside .question-option .options-area{width:100%}}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsSelectComponent$1, selector: "app-cs-select", inputs: ["dataList", "dropdownLabel", "displayProperty", "selectedValue", "isRequired", "dropdownSubLabel", "placeholder", "stylex", "valueKey", "colorBlock", "colorCode"], outputs: ["selectedData", "selectedValueChange"] }, { kind: "component", type: QuickSettingsComponent$1, selector: "app-quick-settings", inputs: ["question"] }, { kind: "component", type: DescriptionPreviewComponent, selector: "app-description-preview", inputs: ["questionIndex", "description"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectQuestionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-select-question', template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <div class=\"options-area\">\n          <app-cs-select\n            [dataList]=\"choicesForPreviewMode\"\n            [valueKey]=\"'title'\"\n            [displayProperty]=\"'title'\"\n            [selectedValue]=\"'Select an option'\"\n          ></app-cs-select>\n        </div>\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-inner{position:relative}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-inner-inside .question-option .options-area{width:70%}::ng-deep .question-inner-inside .question-option .options-area app-cs-select .input-group .custom-select-box .arrow{top:.5rem!important;right:0!important}@media screen and (max-width: 667px){::ng-deep .question-inner-inside .question-option .options-area{width:100%}}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }] } });

class SingleTextboxComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SingleTextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SingleTextboxComponent, selector: "app-single-textbox", inputs: { question: "question", questionIndex: "questionIndex" }, ngImport: i0, template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3 vx-d-flex\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <input\n          class=\"single-textbox vx-bg-white vx-fs-14 vx-lh-24 vx-paragraph-txt\"\n          type=\"text\"\n          [placeholder]=\"\n            question?.isPlaceholder === true &&\n            question?.placeholder?.trim().length > 0\n              ? question?.placeholder.trim()\n              : 'Please enter a response'\n          \"\n        />\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-heading .vx-avatar-group .multi-user{background:#f1f1f1;border-radius:50%;border:.125rem solid #fff;width:1.75rem;height:1.75rem;position:relative;cursor:pointer}::ng-deep .question-heading .vx-avatar-group .multi-user .multiCount{background:#1e5dd3;border-radius:1.25rem;border:.125rem solid #fff;padding:0 .125rem;min-width:1rem;height:1rem;position:absolute;top:-6px;right:-6px;line-height:.75rem}::ng-deep .question-inner{position:relative;min-height:7.5rem}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option .single-textbox{font-family:Poppins,sans-serif!important;border:1px solid #dbdbdb;border-radius:.25rem;color:#747576;font-size:13px;height:2.5rem;padding:.5rem .75rem;width:37.5rem;outline:none;transition:all .2s ease-in-out}@media screen and (max-width: 1024px){::ng-deep .question-option .single-textbox{width:100%}}@media screen and (max-width: 768px){::ng-deep .question-option .single-textbox{width:100%}}::ng-deep .question-option .single-textbox::placeholder{color:#747576;font-weight:400}::ng-deep .question-option .single-textbox:hover,::ng-deep .question-option .single-textbox:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: QuickSettingsComponent$1, selector: "app-quick-settings", inputs: ["question"] }, { kind: "component", type: DescriptionPreviewComponent, selector: "app-description-preview", inputs: ["questionIndex", "description"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SingleTextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-single-textbox', template: "<div class=\"question-block vx-mb-1 vx-p-4\">\n  <div class=\"question-heading vx-pb-3 vx-mb-3 vx-d-flex\">\n    <span\n      class=\"count vx-fs-13 vx-fw-400 vx-label-txt vx-d-flex vx-align-center vx-justify-center\"\n      >{{ questionIndex }}</span\n    >\n    <span class=\"heading\">\n      <span\n        [innerHTML]=\"question?.title == '' ? 'Question' : question?.title\"\n        class=\"vx-fs-16 vx-label-txt vx-lh-6\"\n      ></span>\n      <span\n        *ngIf=\"question?.isRequired\"\n        class=\"required vx-fs-20 vx-fw-300 vx-ml-1\"\n        >*</span\n      >\n    </span>\n  </div>\n  <div class=\"question-inner vx-d-flex vx-justify-between\">\n    <div class=\"question-inner-inside\">\n      <ng-container\n        *ngIf=\"\n          question?.hasDescription && question?.description?.trim().length > 0\n        \"\n      >\n        <app-description-preview\n          [questionIndex]=\"questionIndex\"\n          [description]=\"question?.description\"\n        ></app-description-preview>\n      </ng-container>\n      <div class=\"question-option\">\n        <input\n          class=\"single-textbox vx-bg-white vx-fs-14 vx-lh-24 vx-paragraph-txt\"\n          type=\"text\"\n          [placeholder]=\"\n            question?.isPlaceholder === true &&\n            question?.placeholder?.trim().length > 0\n              ? question?.placeholder.trim()\n              : 'Please enter a response'\n          \"\n        />\n      </div>\n    </div>\n    <div class=\"question-quickSettings\">\n      <app-quick-settings [question]=\"question\"></app-quick-settings>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";::ng-deep .question-block{background:#f8f8f8;border-radius:.25rem;position:relative;min-height:12.5rem}::ng-deep .question-heading{border-bottom:1px solid #dbdbdb;position:relative}::ng-deep .question-heading .count{background:#dbdbdb;border-radius:50%;border:.5rem solid #fff;min-width:2.75rem;height:2.75rem;position:absolute;top:-.625rem;left:-3.25rem}::ng-deep .question-heading .heading .required{color:#c7381b;position:relative;top:-.25rem}::ng-deep .question-heading .vx-avatar-group .multi-user{background:#f1f1f1;border-radius:50%;border:.125rem solid #fff;width:1.75rem;height:1.75rem;position:relative;cursor:pointer}::ng-deep .question-heading .vx-avatar-group .multi-user .multiCount{background:#1e5dd3;border-radius:1.25rem;border:.125rem solid #fff;padding:0 .125rem;min-width:1rem;height:1rem;position:absolute;top:-6px;right:-6px;line-height:.75rem}::ng-deep .question-inner{position:relative;min-height:7.5rem}::ng-deep .question-inner-inside{padding-right:4rem}@media screen and (max-width: 667px){::ng-deep .question-inner-inside{padding-right:2.5rem!important;width:100%!important}}::ng-deep .question-option .single-textbox{font-family:Poppins,sans-serif!important;border:1px solid #dbdbdb;border-radius:.25rem;color:#747576;font-size:13px;height:2.5rem;padding:.5rem .75rem;width:37.5rem;outline:none;transition:all .2s ease-in-out}@media screen and (max-width: 1024px){::ng-deep .question-option .single-textbox{width:100%}}@media screen and (max-width: 768px){::ng-deep .question-option .single-textbox{width:100%}}::ng-deep .question-option .single-textbox::placeholder{color:#747576;font-weight:400}::ng-deep .question-option .single-textbox:hover,::ng-deep .question-option .single-textbox:focus{border:1px solid #1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .question-quickSettings{position:absolute;top:0;right:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { question: [{
                type: Input
            }], questionIndex: [{
                type: Input
            }] } });

class PageAssessmentHeaderComponent {
    constructor() {
        this.isExpand = false;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PageAssessmentHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PageAssessmentHeaderComponent, selector: "app-page-header", inputs: { pageDetail: "pageDetail", pageTitle: "pageTitle" }, ngImport: i0, template: "<div class=\"page-header vx-pb-2 vx-mb-5\">\n  <div class=\"page-heading vx-d-flex\">\n    <div\n      *ngIf=\"!pageTitle\"\n      class=\"label vx-fs-11 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1\"\n    >\n      PAGE {{ pageDetail?.pageNumber }}\n    </div>\n    <div\n      *ngIf=\"pageTitle\"\n      class=\"label vx-fs-11 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1\"\n    >\n      {{ pageTitle }}\n    </div>\n    <div\n      *ngIf=\"pageDetail?.pageName?.trim()?.length\"\n      class=\"page-name vx-fs-13 vx-label-txt\"\n      [innerHTML]=\"pageDetail?.pageName\"\n      [appTooltip]=\"pageDetail?.pageName\"\n      placement=\"bottom-left\"\n      delay=\"0\"\n      type=\"black\"\n      [tooltipMandatory]=\"false\"\n    ></div>\n  </div>\n  <div\n    *ngIf=\"pageDetail?.pageDescription?.trim()?.length\"\n    class=\"page-details vx-fs-11 vx-paragraph-txt vx-mt-2\"\n    [innerHTML]=\"pageDetail?.pageDescription\"\n    [class.expand]=\"false\"\n  ></div>\n  <div class=\"page-details-btn vx-d-flex vx-justify-end\">\n    <button class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\">\n      Read More\n    </button>\n  </div>\n\n  <!-- <div  *ngIf=\"!pageTitle\" class=\"label vx-fs-10 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mb-2 vx-d-inline-flex\">PAGE {{pageDetail?.pageNumber}} </div>\n    <div  *ngIf=\"pageTitle\" class=\"label vx-fs-10 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mb-2 vx-d-inline-flex\">{{pageTitle}} </div>\n    <div *ngIf=\"pageDetail?.pageName?.trim()?.length\" class=\"page-name vx-fs-12 vx-label-txt vx-mb-3\" [innerHTML]=\"pageDetail?.pageName\"> </div>\n    <div *ngIf=\"pageDetail?.pageDescription?.trim()?.length\" class=\"page-details vx-fs-12 vx-label-txt vx-p-4\" [innerHTML]=\"pageDetail?.pageDescription\"></div> -->\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .page-header{border-bottom:1px solid #f1f1f1;position:relative}::ng-deep .page-header .page-heading{width:calc(100% - 4rem)}::ng-deep .page-header .page-heading .label{background:#161b2f;border-radius:.125rem;height:1rem}::ng-deep .page-header .page-heading .page-name{width:calc(100% - 3rem);position:relative;top:-1px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .page-header .page-details{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:break-word;max-height:2.5rem;position:relative}::ng-deep .page-header .page-details.expand{display:block;-webkit-line-clamp:unset;-webkit-box-orient:unset;word-break:unset;max-height:unset}::ng-deep .page-header .page-details-btn button{background:transparent;border-radius:0;border:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PageAssessmentHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-page-header', template: "<div class=\"page-header vx-pb-2 vx-mb-5\">\n  <div class=\"page-heading vx-d-flex\">\n    <div\n      *ngIf=\"!pageTitle\"\n      class=\"label vx-fs-11 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1\"\n    >\n      PAGE {{ pageDetail?.pageNumber }}\n    </div>\n    <div\n      *ngIf=\"pageTitle\"\n      class=\"label vx-fs-11 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1\"\n    >\n      {{ pageTitle }}\n    </div>\n    <div\n      *ngIf=\"pageDetail?.pageName?.trim()?.length\"\n      class=\"page-name vx-fs-13 vx-label-txt\"\n      [innerHTML]=\"pageDetail?.pageName\"\n      [appTooltip]=\"pageDetail?.pageName\"\n      placement=\"bottom-left\"\n      delay=\"0\"\n      type=\"black\"\n      [tooltipMandatory]=\"false\"\n    ></div>\n  </div>\n  <div\n    *ngIf=\"pageDetail?.pageDescription?.trim()?.length\"\n    class=\"page-details vx-fs-11 vx-paragraph-txt vx-mt-2\"\n    [innerHTML]=\"pageDetail?.pageDescription\"\n    [class.expand]=\"false\"\n  ></div>\n  <div class=\"page-details-btn vx-d-flex vx-justify-end\">\n    <button class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\">\n      Read More\n    </button>\n  </div>\n\n  <!-- <div  *ngIf=\"!pageTitle\" class=\"label vx-fs-10 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mb-2 vx-d-inline-flex\">PAGE {{pageDetail?.pageNumber}} </div>\n    <div  *ngIf=\"pageTitle\" class=\"label vx-fs-10 vx-fw-500 vx-txt-white vx-pl-1 vx-pr-1 vx-lh-4 vx-mb-2 vx-d-inline-flex\">{{pageTitle}} </div>\n    <div *ngIf=\"pageDetail?.pageName?.trim()?.length\" class=\"page-name vx-fs-12 vx-label-txt vx-mb-3\" [innerHTML]=\"pageDetail?.pageName\"> </div>\n    <div *ngIf=\"pageDetail?.pageDescription?.trim()?.length\" class=\"page-details vx-fs-12 vx-label-txt vx-p-4\" [innerHTML]=\"pageDetail?.pageDescription\"></div> -->\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .page-header{border-bottom:1px solid #f1f1f1;position:relative}::ng-deep .page-header .page-heading{width:calc(100% - 4rem)}::ng-deep .page-header .page-heading .label{background:#161b2f;border-radius:.125rem;height:1rem}::ng-deep .page-header .page-heading .page-name{width:calc(100% - 3rem);position:relative;top:-1px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .page-header .page-details{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:break-word;max-height:2.5rem;position:relative}::ng-deep .page-header .page-details.expand{display:block;-webkit-line-clamp:unset;-webkit-box-orient:unset;word-break:unset;max-height:unset}::ng-deep .page-header .page-details-btn button{background:transparent;border-radius:0;border:none}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { pageDetail: [{
                type: Input
            }], pageTitle: [{
                type: Input
            }] } });

let WelcomeComponent$1 = class WelcomeComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WelcomeComponent, selector: "app-preview-welcome", inputs: { questionDetails: "questionDetails" }, ngImport: i0, template: "<div class=\"welcome-preview vx-text-center vx-mb-5\">\n    <div class=\"image\" *ngIf=\"questionDetails?.hasWelcomeImage && questionDetails?.welcomeImage !=''\"><img [src]=\"questionDetails?.welcomeImage\" /></div>\n    <div class=\"heading vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\" *ngIf=\"questionDetails?.welcomeText\" [innerHTML]=\"questionDetails?.welcomeText\"></div>\n    <div *ngIf=\"questionDetails?.hasWelcomeDescription\"  class=\"details vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\" [innerHTML]=\"questionDetails?.welcomeDescription\"> </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.welcome-preview .image{width:30rem;margin:0 auto 2rem}.welcome-preview .image img{border-radius:.625rem;width:100%}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-welcome', template: "<div class=\"welcome-preview vx-text-center vx-mb-5\">\n    <div class=\"image\" *ngIf=\"questionDetails?.hasWelcomeImage && questionDetails?.welcomeImage !=''\"><img [src]=\"questionDetails?.welcomeImage\" /></div>\n    <div class=\"heading vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\" *ngIf=\"questionDetails?.welcomeText\" [innerHTML]=\"questionDetails?.welcomeText\"></div>\n    <div *ngIf=\"questionDetails?.hasWelcomeDescription\"  class=\"details vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\" [innerHTML]=\"questionDetails?.welcomeDescription\"> </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.welcome-preview .image{width:30rem;margin:0 auto 2rem}.welcome-preview .image img{border-radius:.625rem;width:100%}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { questionDetails: [{
                type: Input
            }] } });

class SectionDetailsComponent {
    constructor() {
        this.sectionDetails = {};
        this.isExpand = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SectionDetailsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SectionDetailsComponent, selector: "app-section-details", inputs: { sectionDetails: "sectionDetails" }, ngImport: i0, template: "<div class=\"section-details-header vx-pb-2 vx-mt-3 vx-mb-5\">\n  <span class=\"section-heading\">\n    <span\n      class=\"section-label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3 vx-mr-1 vx-d-inline-block\"\n      >SECTION {{ sectionDetails?.index + 1 }}:</span\n    >\n    <span\n      class=\"heading vx-fs-11 vx-label-txt vx-lh-4 vx-d-inline-block\"\n      [appTooltip]=\"sectionDetails?.sectionDetails?.title\"\n      placement=\"bottom-left\"\n      delay=\"0\"\n      type=\"black\"\n      [tooltipMandatory]=\"false\"\n      >{{ sectionDetails?.sectionDetails?.title }}</span\n    >\n  </span>\n  <div\n    class=\"section-details vx-fs-11 vx-paragraph-txt vx-mt-2 vx-pl-5\"\n    [class.expand]=\"isExpand\"\n    [id]=\"sectionDetails?.sectionDetails?.code\"\n    [innerHTML]=\"sectionDetails?.sectionDetails?.description\"\n  ></div>\n  <div class=\"section-details-btn vx-d-flex vx-justify-end\">\n    <button\n      *ngIf=\"\n        (sectionDetails?.sectionDetails?.code | isReadMore : 32) && !isExpand\n      \"\n      (click)=\"isExpand = true\"\n      class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n    >\n      Read More\n    </button>\n    <button\n      *ngIf=\"\n        isExpand && (sectionDetails?.sectionDetails?.code | isReadMore : 32)\n      \"\n      (click)=\"isExpand = false\"\n      class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n    >\n      Show Less\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .section-details-header{background:#fff;border-top:1px solid #f1f1f1;border-bottom:1px solid #f1f1f1;position:relative}::ng-deep .section-details-header .section-heading{background:#f1f1f1;padding:.125rem .5rem;position:relative;top:1px}::ng-deep .section-details-header .section-heading .section-label{position:relative;top:-.125rem}::ng-deep .section-details-header .section-heading .heading{max-width:calc(100% - 20rem);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;position:relative;top:.125rem}::ng-deep .section-details-header .section-details{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:break-word;max-height:2.5rem;position:relative}::ng-deep .section-details-header .section-details.expand{display:block;-webkit-line-clamp:unset;-webkit-box-orient:unset;word-break:unset;max-height:unset}::ng-deep .section-details-header .section-details-btn button{background:transparent;border-radius:0;border:none}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "pipe", type: IsReadMorePipe, name: "isReadMore" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SectionDetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-section-details', template: "<div class=\"section-details-header vx-pb-2 vx-mt-3 vx-mb-5\">\n  <span class=\"section-heading\">\n    <span\n      class=\"section-label vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3 vx-mr-1 vx-d-inline-block\"\n      >SECTION {{ sectionDetails?.index + 1 }}:</span\n    >\n    <span\n      class=\"heading vx-fs-11 vx-label-txt vx-lh-4 vx-d-inline-block\"\n      [appTooltip]=\"sectionDetails?.sectionDetails?.title\"\n      placement=\"bottom-left\"\n      delay=\"0\"\n      type=\"black\"\n      [tooltipMandatory]=\"false\"\n      >{{ sectionDetails?.sectionDetails?.title }}</span\n    >\n  </span>\n  <div\n    class=\"section-details vx-fs-11 vx-paragraph-txt vx-mt-2 vx-pl-5\"\n    [class.expand]=\"isExpand\"\n    [id]=\"sectionDetails?.sectionDetails?.code\"\n    [innerHTML]=\"sectionDetails?.sectionDetails?.description\"\n  ></div>\n  <div class=\"section-details-btn vx-d-flex vx-justify-end\">\n    <button\n      *ngIf=\"\n        (sectionDetails?.sectionDetails?.code | isReadMore : 32) && !isExpand\n      \"\n      (click)=\"isExpand = true\"\n      class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n    >\n      Read More\n    </button>\n    <button\n      *ngIf=\"\n        isExpand && (sectionDetails?.sectionDetails?.code | isReadMore : 32)\n      \"\n      (click)=\"isExpand = false\"\n      class=\"vx-fs-8 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n    >\n      Show Less\n    </button>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .section-details-header{background:#fff;border-top:1px solid #f1f1f1;border-bottom:1px solid #f1f1f1;position:relative}::ng-deep .section-details-header .section-heading{background:#f1f1f1;padding:.125rem .5rem;position:relative;top:1px}::ng-deep .section-details-header .section-heading .section-label{position:relative;top:-.125rem}::ng-deep .section-details-header .section-heading .heading{max-width:calc(100% - 20rem);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;position:relative;top:.125rem}::ng-deep .section-details-header .section-details{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;word-break:break-word;max-height:2.5rem;position:relative}::ng-deep .section-details-header .section-details.expand{display:block;-webkit-line-clamp:unset;-webkit-box-orient:unset;word-break:unset;max-height:unset}::ng-deep .section-details-header .section-details-btn button{background:transparent;border-radius:0;border:none}\n"] }]
        }], propDecorators: { sectionDetails: [{
                type: Input
            }] } });

class GetSectionOrderPipe {
    transform(assessmentDetails, sectionId) {
        const sectionDetails = assessmentDetails?.questions;
        const index = sectionDetails?.sectionArray?.findIndex((ele) => ele.code === sectionId);
        return {
            sectionDetails: sectionDetails?.sectionArray?.length
                ? sectionDetails?.sectionArray[index]
                : {},
            index: index,
            questionId: sectionDetails?.elements?.find((question) => question.sectionId === sectionId)?.name ?? '',
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetSectionOrderPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: GetSectionOrderPipe, name: "getSectionOrder" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetSectionOrderPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'getSectionOrder',
                }]
        }] });

class PreviewComponent {
    constructor() {
        this.previewBack = new EventEmitter();
        this.pageData = [];
        this.selectedDevice = 'DESKTOP';
    }
    ngOnInit() {
        this.generatePageDetails();
    }
    ngOnChanges() {
        this.generatePageDetails();
    }
    generatePageDetails() {
        let oldPage = 0;
        this.questionData?.questions?.elements.forEach((ele, index) => {
            if (oldPage !== ele.page) {
                oldPage = ele.page;
                const currentPage = this.questionData?.questions?.pageDetailsList.find((page) => {
                    return page.pageNumber === ele.page;
                });
                if (currentPage) {
                    this.pageData[index] = currentPage;
                }
                else {
                    this.pageData[index] = {
                        pageName: '',
                        pageNumber: ele.page,
                        pageDescription: '',
                    };
                }
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewComponent, selector: "app-preview", inputs: { questionData: "questionData" }, outputs: { previewBack: "previewBack" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"preview-page\" [class.with-datepicker]=\"false\">\n  <div\n    class=\"preview-page-heading vx-fs-14 vx-fw-500 vx-label-txt vx-pl-3 vx-pr-3 vx-mb-5 vx-d-flex vx-align-center\"\n  >\n    Preview\n    <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-d-flex vx-align-center\"\n      >(<span\n        class=\"value\"\n        [appTooltip]=\"questionData?.assessment_name\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n        >{{ questionData?.assessment_name }}</span\n      >)</span\n    >\n  </div>\n\n  <div\n    class=\"preview-page-mid\"\n    [class.with-tablet]=\"selectedDevice === 'TABLET'\"\n    [class.with-mobile]=\"selectedDevice === 'MOBILE'\"\n  >\n    <div\n      class=\"preview-page-mid-inner\"\n      [class.tablet]=\"selectedDevice === 'TABLET'\"\n      [class.mobile]=\"selectedDevice === 'MOBILE'\"\n    >\n      <ng-container>\n        <div class=\"mobile-top\" *ngIf=\"false\"></div>\n        <div class=\"preview-inside vx-pr-2\">\n          <!-- <app-question-welcome></app-question-welcome> -->\n          <app-page-header\n            *ngIf=\"questionData?.hasWelcome === true\"\n            [pageTitle]=\"'WELCOME SCREEN'\"\n          ></app-page-header>\n          <app-preview-welcome\n            [questionDetails]=\"questionData\"\n            *ngIf=\"questionData?.hasWelcome === true\"\n          ></app-preview-welcome>\n          <ng-container\n            *ngFor=\"\n              let question of questionData?.questions?.elements;\n              let i = index\n            \"\n          >\n            <app-page-header\n              *ngIf=\"pageData[i]\"\n              [pageDetail]=\"pageData[i]\"\n            ></app-page-header>\n            <ng-container\n              *ngIf=\"\n                questionData\n                  | getSectionOrder : question?.sectionId as sectionDetails\n              \"\n            >\n              <app-section-details\n                *ngIf=\"\n                  sectionDetails?.questionId === question.name &&\n                  sectionDetails?.index > -1\n                \"\n                [sectionDetails]=\"sectionDetails\"\n              ></app-section-details>\n            </ng-container>\n\n            <div class=\"question-area\" [class.last-question-area]=\"false\">\n              <app-radio-question\n                *ngIf=\"question.type === 'multiple-choice'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-radio-question>\n              <app-checkbox-question\n                *ngIf=\"question.type === 'checkbox'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-checkbox-question>\n              <!-- <app-image-radio-question></app-image-radio-question>\n                        <app-star-rating></app-star-rating> -->\n              <app-single-textbox\n                *ngIf=\"question.type === 'single-textbox'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-single-textbox>\n              <!-- <app-comment-question></app-comment-question>\n                        <app-rating-table></app-rating-table> -->\n              <app-select-question\n                *ngIf=\"question.type === 'dropdown'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-select-question>\n              <!-- <app-select-option-rating></app-select-option-rating>\n                        <app-ranking></app-ranking>\n                        <app-slider-question></app-slider-question>\n                        <app-multiple-textbox></app-multiple-textbox> -->\n              <app-preview-matrix-dropdown\n                *ngIf=\"question.type === 'matrix-dropdown'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-preview-matrix-dropdown>\n              <app-date-time\n                *ngIf=\"question.type === 'date-time'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-date-time>\n              <app-file-upload\n                *ngIf=\"question.type === 'file-upload'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-file-upload>\n            </div>\n          </ng-container>\n        </div>\n      </ng-container>\n      <div class=\"device-area\">\n        <app-device\n          (deviceChanged)=\"selectedDevice = $event\"\n          [selectedDevice]=\"selectedDevice\"\n        ></app-device>\n      </div>\n    </div>\n  </div>\n\n  <div\n    class=\"preview-page-footer vx-p-3 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div class=\"question-count vx-text-center\">\n      <!-- <div class=\"label vx-fs-12 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mb-1\">1 OF {{questionData?.questions?.elements?.length}} QUESTIONS ANSWERED</div>\n            <div class=\"question-progress\">\n                <div class=\"inner-line\" style=\"width: 20%;\"></div>\n            </div> -->\n    </div>\n    <div class=\"vx-d-flex vx-align-center\">\n      <div\n        class=\"powered-section vx-fs-9 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-pl-2 vx-pr-2 vx-d-flex vx-align-center vx-lh-7\"\n      >\n        POWERED BY&nbsp;<span class=\"vx-fw-700\">VCOMPLY</span>&nbsp;<sup\n          class=\"vx-fw-600\"\n          >TM</sup\n        >\n      </div>\n      <button\n        (click)=\"previewBack.emit()\"\n        class=\"back vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n      >\n        <i class=\"icons vx-fs-16 vx-mr-1\">&#xe91d;</i> BACK\n      </button>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";::ng-deep .preview-page{background:#fff;border-top:3px solid #1e5dd3;position:fixed;top:0;left:0;height:100vh;width:calc(100vw - 3rem);z-index:4}::ng-deep .preview-page.with-datepicker{z-index:11}::ng-deep .preview-page-heading{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .preview-page-heading .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:inline-block;max-width:calc(100vw - 42.5rem)}::ng-deep .preview-page-mid.with-tablet{overflow-y:auto;align-items:unset;padding:3rem 0;height:calc(100vh - 10rem)}::ng-deep .preview-page-mid.with-mobile{overflow-y:auto;align-items:unset;padding:3rem 0;height:calc(100vh - 10rem)}::ng-deep .preview-page-mid-inner .preview-inside{padding:0;width:calc(100% - 1.75rem);height:calc(100vh - 10.5rem);overflow-y:auto;width:64rem;margin:0 auto 1.5rem}@media screen and (max-width: 1280px){::ng-deep .preview-page-mid-inner .preview-inside{width:58rem}}@media screen and (max-width: 1024px){::ng-deep .preview-page-mid-inner .preview-inside{width:45rem}}::ng-deep .preview-page-mid-inner .preview-inside::-webkit-scrollbar-track{background-color:transparent}::ng-deep .preview-page-mid-inner .preview-inside app-page-header+app-section-details .section-details-header{border-top:none;top:-1.25rem;margin:0!important}::ng-deep .preview-page-mid-inner .preview-inside .question-area{padding:0 5rem 0 2.5rem;position:relative}@media screen and (max-width: 667px){::ng-deep .preview-page-mid-inner .preview-inside .question-area{padding-left:2rem}}::ng-deep .preview-page-mid-inner .preview-inside .question-area:before{background:#f1f1f1;content:\"\";position:absolute;top:-1.25rem;left:1.625rem;width:1px;height:calc(100% + 1.25rem)}@media screen and (max-width: 667px){::ng-deep .preview-page-mid-inner .preview-inside .question-area:before{left:1.125rem}}::ng-deep .preview-page-mid-inner .preview-inside .question-area.last-question-area:before{height:3.75rem}::ng-deep .preview-page-mid-inner.tablet{border-radius:1.25rem;border:1px solid #f1f1f1;box-shadow:0 6px 12px #1e5dd31a;width:36.25rem;min-height:40.5rem;position:relative;padding:1.25rem 1.25rem 4.25rem;margin:0 auto}::ng-deep .preview-page-mid-inner.tablet:before{border:1px solid #f1f1f1;border-radius:.625rem;content:\"\";position:absolute;top:1rem;left:1rem;width:calc(100% - 2rem);height:calc(100% - 5rem)}::ng-deep .preview-page-mid-inner.tablet:after{background:#dbdbdb;border-radius:50%;content:\"\";position:absolute;bottom:1rem;left:0;right:0;margin:0 auto;width:1.5rem;height:1.5rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside{padding-right:4.25rem;height:calc(100vh + 5rem);width:100%;margin:0 auto;padding:8px!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area{padding-right:0}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-block{padding:0 .75rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-details{padding-right:3rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-quick-settings{right:-2.75rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options{padding-right:3rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .image-row .image-items{width:8rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options ul.file-list{width:100%}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .custom-file-upload{max-width:100%}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-option .single-textbox{width:100%!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:8rem!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 8rem)!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-inner-inside .question-option .options-area{width:100%!important}::ng-deep .preview-page-mid-inner.mobile{border-radius:1.25rem;border:1px solid #f1f1f1;box-shadow:0 6px 12px #1e5dd31a;width:26.25rem;min-height:40.5rem;position:relative;padding:1.25rem 1.25rem 4.25rem;margin:0 auto}::ng-deep .preview-page-mid-inner.mobile:before{border:1px solid #f1f1f1;border-radius:.625rem;content:\"\";position:absolute;top:1rem;left:1rem;width:calc(100% - 2rem);height:calc(100% - 5rem)}::ng-deep .preview-page-mid-inner.mobile:after{background:#dbdbdb;border-radius:50%;content:\"\";position:absolute;bottom:1rem;left:0;right:0;margin:0 auto;width:1.5rem;height:1.5rem}::ng-deep .preview-page-mid-inner.mobile .mobile-top{background:#f1f1f1;border-radius:0 0 2rem 2rem;position:absolute;top:0;left:0;right:0;margin:0 auto;width:7rem;height:1.5rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside{padding-right:1.25rem;height:calc(100vh + 5rem);width:100%;margin:0 auto;padding:8px!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area{padding-right:0}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-block{padding:0 .75rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-details{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-quick-settings{right:-.25rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .image-row .image-items{width:7rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options ul.file-list{width:100%}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .custom-file-upload{max-width:100%}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options ul li button.rating-btn{font-size:1rem;padding:.5rem!important;line-height:1rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-inner-inside{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-option .single-textbox{width:100%!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:6rem!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 6rem)!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value{width:6rem!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-inner-inside .question-option .options-area{width:100%!important}::ng-deep .preview-page-mid-inner .device-area{position:fixed;top:38%;transform:translate(-50%);right:5rem}@media screen and (max-width: 1280px){::ng-deep .preview-page-mid-inner .device-area{right:5rem}}@media screen and (max-width: 1024px){::ng-deep .preview-page-mid-inner .device-area{right:4rem}}::ng-deep .preview-page-footer{background:#fff;border-radius:0 0 .125rem .125rem;box-shadow:0 0 10px #1e5dd326;height:3.25rem;margin-top:1.25rem;position:fixed;left:1rem;bottom:1.5rem;width:calc(100% - 4.75rem)}::ng-deep .preview-page-footer .question-count .question-progress{background:#dbdbdb;border-radius:1.25rem;width:12rem;height:.1875rem}::ng-deep .preview-page-footer .question-count .question-progress .inner-line{background:#34aa44;border-radius:1.25rem;height:.1875rem}::ng-deep .preview-page-footer button{border-radius:.125rem;height:1.75rem}::ng-deep .preview-page-footer button.back{background:#1e5dd3;border:none}::ng-deep .preview-page-footer button.disabled{background:#dbdbdb;color:#747576;pointer-events:none}::ng-deep .preview-page-footer .powered-section{background:#f1f1f1;border-radius:.125rem}::ng-deep .preview-page-footer .powered-section sup{position:relative;top:-.25rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PreviewMatrixDropdownComponent, selector: "app-preview-matrix-dropdown", inputs: ["question", "questionIndex"] }, { kind: "component", type: WelcomeComponent$2, selector: "app-preview-welcome" }, { kind: "component", type: CheckboxQuestionComponent, selector: "app-checkbox-question", inputs: ["question", "questionIndex"] }, { kind: "component", type: DateTimeComponent, selector: "app-date-time", inputs: ["question", "questionIndex"] }, { kind: "component", type: DeviceComponent, selector: "app-device", inputs: ["selectedDevice"], outputs: ["deviceChanged"] }, { kind: "component", type: FileUploadComponent, selector: "app-file-upload", inputs: ["question", "questionIndex"] }, { kind: "component", type: RadioQuestionComponent, selector: "app-radio-question", inputs: ["question", "questionIndex"] }, { kind: "component", type: SelectQuestionComponent, selector: "app-select-question", inputs: ["question", "questionIndex"] }, { kind: "component", type: SingleTextboxComponent, selector: "app-single-textbox", inputs: ["question", "questionIndex"] }, { kind: "component", type: PageAssessmentHeaderComponent, selector: "app-page-header", inputs: ["pageDetail", "pageTitle"] }, { kind: "component", type: WelcomeComponent$1, selector: "app-preview-welcome", inputs: ["questionDetails"] }, { kind: "component", type: SectionDetailsComponent, selector: "app-section-details", inputs: ["sectionDetails"] }, { kind: "pipe", type: GetSectionOrderPipe, name: "getSectionOrder" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview', template: "<div class=\"preview-page\" [class.with-datepicker]=\"false\">\n  <div\n    class=\"preview-page-heading vx-fs-14 vx-fw-500 vx-label-txt vx-pl-3 vx-pr-3 vx-mb-5 vx-d-flex vx-align-center\"\n  >\n    Preview\n    <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-d-flex vx-align-center\"\n      >(<span\n        class=\"value\"\n        [appTooltip]=\"questionData?.assessment_name\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n        >{{ questionData?.assessment_name }}</span\n      >)</span\n    >\n  </div>\n\n  <div\n    class=\"preview-page-mid\"\n    [class.with-tablet]=\"selectedDevice === 'TABLET'\"\n    [class.with-mobile]=\"selectedDevice === 'MOBILE'\"\n  >\n    <div\n      class=\"preview-page-mid-inner\"\n      [class.tablet]=\"selectedDevice === 'TABLET'\"\n      [class.mobile]=\"selectedDevice === 'MOBILE'\"\n    >\n      <ng-container>\n        <div class=\"mobile-top\" *ngIf=\"false\"></div>\n        <div class=\"preview-inside vx-pr-2\">\n          <!-- <app-question-welcome></app-question-welcome> -->\n          <app-page-header\n            *ngIf=\"questionData?.hasWelcome === true\"\n            [pageTitle]=\"'WELCOME SCREEN'\"\n          ></app-page-header>\n          <app-preview-welcome\n            [questionDetails]=\"questionData\"\n            *ngIf=\"questionData?.hasWelcome === true\"\n          ></app-preview-welcome>\n          <ng-container\n            *ngFor=\"\n              let question of questionData?.questions?.elements;\n              let i = index\n            \"\n          >\n            <app-page-header\n              *ngIf=\"pageData[i]\"\n              [pageDetail]=\"pageData[i]\"\n            ></app-page-header>\n            <ng-container\n              *ngIf=\"\n                questionData\n                  | getSectionOrder : question?.sectionId as sectionDetails\n              \"\n            >\n              <app-section-details\n                *ngIf=\"\n                  sectionDetails?.questionId === question.name &&\n                  sectionDetails?.index > -1\n                \"\n                [sectionDetails]=\"sectionDetails\"\n              ></app-section-details>\n            </ng-container>\n\n            <div class=\"question-area\" [class.last-question-area]=\"false\">\n              <app-radio-question\n                *ngIf=\"question.type === 'multiple-choice'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-radio-question>\n              <app-checkbox-question\n                *ngIf=\"question.type === 'checkbox'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-checkbox-question>\n              <!-- <app-image-radio-question></app-image-radio-question>\n                        <app-star-rating></app-star-rating> -->\n              <app-single-textbox\n                *ngIf=\"question.type === 'single-textbox'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-single-textbox>\n              <!-- <app-comment-question></app-comment-question>\n                        <app-rating-table></app-rating-table> -->\n              <app-select-question\n                *ngIf=\"question.type === 'dropdown'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-select-question>\n              <!-- <app-select-option-rating></app-select-option-rating>\n                        <app-ranking></app-ranking>\n                        <app-slider-question></app-slider-question>\n                        <app-multiple-textbox></app-multiple-textbox> -->\n              <app-preview-matrix-dropdown\n                *ngIf=\"question.type === 'matrix-dropdown'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-preview-matrix-dropdown>\n              <app-date-time\n                *ngIf=\"question.type === 'date-time'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-date-time>\n              <app-file-upload\n                *ngIf=\"question.type === 'file-upload'\"\n                [question]=\"question\"\n                [questionIndex]=\"i + 1\"\n              ></app-file-upload>\n            </div>\n          </ng-container>\n        </div>\n      </ng-container>\n      <div class=\"device-area\">\n        <app-device\n          (deviceChanged)=\"selectedDevice = $event\"\n          [selectedDevice]=\"selectedDevice\"\n        ></app-device>\n      </div>\n    </div>\n  </div>\n\n  <div\n    class=\"preview-page-footer vx-p-3 vx-d-flex vx-align-center vx-justify-between\"\n  >\n    <div class=\"question-count vx-text-center\">\n      <!-- <div class=\"label vx-fs-12 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mb-1\">1 OF {{questionData?.questions?.elements?.length}} QUESTIONS ANSWERED</div>\n            <div class=\"question-progress\">\n                <div class=\"inner-line\" style=\"width: 20%;\"></div>\n            </div> -->\n    </div>\n    <div class=\"vx-d-flex vx-align-center\">\n      <div\n        class=\"powered-section vx-fs-9 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-pl-2 vx-pr-2 vx-d-flex vx-align-center vx-lh-7\"\n      >\n        POWERED BY&nbsp;<span class=\"vx-fw-700\">VCOMPLY</span>&nbsp;<sup\n          class=\"vx-fw-600\"\n          >TM</sup\n        >\n      </div>\n      <button\n        (click)=\"previewBack.emit()\"\n        class=\"back vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n      >\n        <i class=\"icons vx-fs-16 vx-mr-1\">&#xe91d;</i> BACK\n      </button>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";::ng-deep .preview-page{background:#fff;border-top:3px solid #1e5dd3;position:fixed;top:0;left:0;height:100vh;width:calc(100vw - 3rem);z-index:4}::ng-deep .preview-page.with-datepicker{z-index:11}::ng-deep .preview-page-heading{background:#fbfbfb;border-bottom:1px solid #f1f1f1;height:2.75rem}::ng-deep .preview-page-heading .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:inline-block;max-width:calc(100vw - 42.5rem)}::ng-deep .preview-page-mid.with-tablet{overflow-y:auto;align-items:unset;padding:3rem 0;height:calc(100vh - 10rem)}::ng-deep .preview-page-mid.with-mobile{overflow-y:auto;align-items:unset;padding:3rem 0;height:calc(100vh - 10rem)}::ng-deep .preview-page-mid-inner .preview-inside{padding:0;width:calc(100% - 1.75rem);height:calc(100vh - 10.5rem);overflow-y:auto;width:64rem;margin:0 auto 1.5rem}@media screen and (max-width: 1280px){::ng-deep .preview-page-mid-inner .preview-inside{width:58rem}}@media screen and (max-width: 1024px){::ng-deep .preview-page-mid-inner .preview-inside{width:45rem}}::ng-deep .preview-page-mid-inner .preview-inside::-webkit-scrollbar-track{background-color:transparent}::ng-deep .preview-page-mid-inner .preview-inside app-page-header+app-section-details .section-details-header{border-top:none;top:-1.25rem;margin:0!important}::ng-deep .preview-page-mid-inner .preview-inside .question-area{padding:0 5rem 0 2.5rem;position:relative}@media screen and (max-width: 667px){::ng-deep .preview-page-mid-inner .preview-inside .question-area{padding-left:2rem}}::ng-deep .preview-page-mid-inner .preview-inside .question-area:before{background:#f1f1f1;content:\"\";position:absolute;top:-1.25rem;left:1.625rem;width:1px;height:calc(100% + 1.25rem)}@media screen and (max-width: 667px){::ng-deep .preview-page-mid-inner .preview-inside .question-area:before{left:1.125rem}}::ng-deep .preview-page-mid-inner .preview-inside .question-area.last-question-area:before{height:3.75rem}::ng-deep .preview-page-mid-inner.tablet{border-radius:1.25rem;border:1px solid #f1f1f1;box-shadow:0 6px 12px #1e5dd31a;width:36.25rem;min-height:40.5rem;position:relative;padding:1.25rem 1.25rem 4.25rem;margin:0 auto}::ng-deep .preview-page-mid-inner.tablet:before{border:1px solid #f1f1f1;border-radius:.625rem;content:\"\";position:absolute;top:1rem;left:1rem;width:calc(100% - 2rem);height:calc(100% - 5rem)}::ng-deep .preview-page-mid-inner.tablet:after{background:#dbdbdb;border-radius:50%;content:\"\";position:absolute;bottom:1rem;left:0;right:0;margin:0 auto;width:1.5rem;height:1.5rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside{padding-right:4.25rem;height:calc(100vh + 5rem);width:100%;margin:0 auto;padding:8px!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area{padding-right:0}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-block,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-block{padding:0 .75rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-head,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-details,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-details{padding-right:3rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-quick-settings,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-quick-settings{right:-2.75rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options{padding-right:3rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .image-row .image-items{width:8rem}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .single-textbox,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .comment-box,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .options-area,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .slider-container,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options ul,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options ul.file-list,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options ul.file-list{width:100%}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .textbox-group,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-checkbox-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-image-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-star-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-comment-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-rating-table .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-option-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-ranking .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-slider-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-multiple-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-date-time .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-file-upload .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-options .custom-file-upload{max-width:100%}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-single-textbox .question-option .single-textbox{width:100%!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:8rem!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 8rem)!important}::ng-deep .preview-page-mid-inner.tablet .preview-inside .question-area app-select-question .question-inner-inside .question-option .options-area{width:100%!important}::ng-deep .preview-page-mid-inner.mobile{border-radius:1.25rem;border:1px solid #f1f1f1;box-shadow:0 6px 12px #1e5dd31a;width:26.25rem;min-height:40.5rem;position:relative;padding:1.25rem 1.25rem 4.25rem;margin:0 auto}::ng-deep .preview-page-mid-inner.mobile:before{border:1px solid #f1f1f1;border-radius:.625rem;content:\"\";position:absolute;top:1rem;left:1rem;width:calc(100% - 2rem);height:calc(100% - 5rem)}::ng-deep .preview-page-mid-inner.mobile:after{background:#dbdbdb;border-radius:50%;content:\"\";position:absolute;bottom:1rem;left:0;right:0;margin:0 auto;width:1.5rem;height:1.5rem}::ng-deep .preview-page-mid-inner.mobile .mobile-top{background:#f1f1f1;border-radius:0 0 2rem 2rem;position:absolute;top:0;left:0;right:0;margin:0 auto;width:7rem;height:1.5rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside{padding-right:1.25rem;height:calc(100vh + 5rem);width:100%;margin:0 auto;padding:8px!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area{padding-right:0}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-block,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-block{padding:0 .75rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-head,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-details,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-details{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-quick-settings,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-quick-settings{right:-.25rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .image-row .image-items,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .image-row .image-items{width:7rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .single-textbox,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .comment-box,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .question-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .options-area,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .select-rating-table,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .slider-container,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options ul,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options ul.file-list,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options ul.file-list{width:100%}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .textbox-group,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options .custom-file-upload,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options .custom-file-upload{max-width:100%}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-options ul li button.rating-btn,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-options ul li button.rating-btn{font-size:1rem;padding:.5rem!important;line-height:1rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-radio-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-checkbox-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-image-radio-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-star-rating .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-comment-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-rating-table .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-option-rating .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-ranking .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-slider-question .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-multiple-textbox .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-date-time .question-inner-inside,::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-file-upload .question-inner-inside{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-single-textbox .question-option .single-textbox{width:100%!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside{padding-right:3rem}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .left{width:6rem!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right{width:calc(100% - 6rem)!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-preview-matrix-dropdown .question-inner-inside .preview-list .matrix-dropdown-table .matrix-table-row .right .body ul.columns li .matrix-value{width:6rem!important}::ng-deep .preview-page-mid-inner.mobile .preview-inside .question-area app-select-question .question-inner-inside .question-option .options-area{width:100%!important}::ng-deep .preview-page-mid-inner .device-area{position:fixed;top:38%;transform:translate(-50%);right:5rem}@media screen and (max-width: 1280px){::ng-deep .preview-page-mid-inner .device-area{right:5rem}}@media screen and (max-width: 1024px){::ng-deep .preview-page-mid-inner .device-area{right:4rem}}::ng-deep .preview-page-footer{background:#fff;border-radius:0 0 .125rem .125rem;box-shadow:0 0 10px #1e5dd326;height:3.25rem;margin-top:1.25rem;position:fixed;left:1rem;bottom:1.5rem;width:calc(100% - 4.75rem)}::ng-deep .preview-page-footer .question-count .question-progress{background:#dbdbdb;border-radius:1.25rem;width:12rem;height:.1875rem}::ng-deep .preview-page-footer .question-count .question-progress .inner-line{background:#34aa44;border-radius:1.25rem;height:.1875rem}::ng-deep .preview-page-footer button{border-radius:.125rem;height:1.75rem}::ng-deep .preview-page-footer button.back{background:#1e5dd3;border:none}::ng-deep .preview-page-footer button.disabled{background:#dbdbdb;color:#747576;pointer-events:none}::ng-deep .preview-page-footer .powered-section{background:#f1f1f1;border-radius:.125rem}::ng-deep .preview-page-footer .powered-section sup{position:relative;top:-.25rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { questionData: [{
                type: Input
            }], previewBack: [{
                type: Output
            }] } });

class WorkflowPaginationComponent {
    constructor() {
        this.activeAlphabet = '';
        this.pageArray = [];
        this.currentPage = 1;
        this.isInvalidInput = false;
        this.selectedPage = new EventEmitter();
        this.selectedAlphabet = new EventEmitter();
        this.alphabetsArray = 'abcdefghijklmnopqrstuvwxyz'.split('');
    }
    ngOnInit() { }
    alphabetChange(alphabet) {
        this.activeAlphabet = alphabet;
        this.selectedAlphabet.emit(alphabet);
        this.goToPageArrayGenerate(1, false);
    }
    ngOnChanges(event) {
        this.pageArray = [];
        if (this.pageCount > 0) {
            if (this.pageCount < 5) {
                for (let i = 1; i <= this.pageCount; i++) {
                    this.pageArray.push(i);
                }
                return;
            }
            this.goToPageArrayGenerate(this.currentPage, false);
        }
    }
    increaseOrDecrease(value) {
        this.currentPage += value;
        if (this.currentPage > 3 && this.currentPage <= this.pageCount && this.pageArray[this.pageArray.length - 1] < this.pageCount) {
            if (value > 0) {
                this.pageArray.shift();
                this.pageArray.push(this.pageArray[this.pageArray.length - 1] + 1);
            }
        }
        if (this.currentPage > 2 && value < 0 && this.pageArray[0] > 1 && this.currentPage < this.pageCount - 2) {
            this.pageArray.pop();
            this.pageArray.unshift(this.pageArray[0] - 1);
        }
        this.selectedPage.emit(this.currentPage);
    }
    onEnterPress(event) {
        if (event.key.toLowerCase() === 'enter') {
            if (!this.enterPageNumber || this.enterPageNumber > this.pageCount || this.enterPageNumber < 1) {
                this.isInvalidInput = true;
                return;
            }
            else {
                this.isInvalidInput = false;
                this.goToPageArrayGenerate(this.enterPageNumber, true);
            }
        }
    }
    goToPageArrayGenerate(page, shouldEmit) {
        this.isInvalidInput = false;
        this.currentPage = page;
        this.pageArray = [];
        if (this.currentPage > 3 && this.currentPage < this.pageCount - 2) {
            for (let i = this.currentPage - 2; i < this.currentPage + 3; i++) {
                this.pageArray.push(i);
            }
        }
        else if (this.currentPage <= 3) {
            if (this.pageCount > 4) {
                this.pageArray = [1, 2, 3, 4, 5];
            }
            else {
                for (let i = 1; i <= this.pageCount; i++) {
                    this.pageArray.push(i);
                }
            }
        }
        else if (this.currentPage > this.pageCount - 3) {
            for (let i = this.pageCount - 4; i < this.pageCount + 1; i++) {
                this.pageArray.push(i);
            }
        }
        else {
            for (let i = this.currentPage - 2; i < this.currentPage + 2; i++) {
                this.pageArray.push(i);
            }
        }
        if (shouldEmit) {
            this.selectedPage.emit(this.currentPage);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPaginationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowPaginationComponent, selector: "app-workflow-pagination", inputs: { activeAlphabet: "activeAlphabet", pageCount: "pageCount", start: "start", end: "end", total: "total", noFilter: "noFilter", currentPage: "currentPage" }, outputs: { selectedPage: "selectedPage", selectedAlphabet: "selectedAlphabet" }, usesOnChanges: true, ngImport: i0, template: "<!-- <p>workflow-pagination works!</p> -->\n<div class=\"pagination-sec\" [class.right-align]=\"noFilter\">\n    <div class=\"left\" *ngIf=\"!noFilter\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li><button (click)=\"alphabetChange('')\" [class.active]=\"!activeAlphabet\">All</button></li>\n                <li *ngFor=\"let data of alphabetsArray\" (click)=\"alphabetChange(data)\">\n                    <button [class.active]=\"activeAlphabet === data\" >{{data}}</button>\n                </li>\n            </ul>\n        </div>\n    </div>\n\n    <div *ngIf=\"pageCount > 1\" class=\"right\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li>\n                    <button [disabled]=\"currentPage === 1\" [class.disabled]=\"currentPage === 1\" (click)=\"increaseOrDecrease(-1)\">\n                        <\n                    </button>\n                </li>\n\n                <li *ngFor=\"let page of pageArray; let i = index\">\n                    <button [disabled]=\"page === currentPage\" (click)=\"goToPageArrayGenerate(page,true)\" [class.active]=\"page === currentPage\">\n                        {{page}}\n                    </button>\n                </li>\n\n                <li>\n                    <button (click)=\"increaseOrDecrease(1)\" [disabled]=\"currentPage === pageCount\" [class.disabled]=\"currentPage === pageCount\">\n                        >\n                    </button>\n                </li>\n            </ul>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.pagination-sec{display:flex;justify-content:space-between;padding:8px 0;align-items:center}.pagination-sec.right-align{justify-content:flex-end}.pagination-sec .left{width:auto;line-height:28px;font-size:12px;text-transform:uppercase;color:#161b2f;font-weight:400}.pagination-sec .left .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .left .pagination-box ul li{list-style:none;display:flex}.pagination-sec .left .pagination-box ul li+li{margin-left:3px}.pagination-sec .left .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:18px;min-width:18px;padding:0 2px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;text-transform:uppercase;font-size:11px;line-height:18px;margin:0 0 0 1px}.pagination-sec .left .pagination-box ul li button.active,.pagination-sec .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.pagination-sec .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .left .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .left .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right{width:auto;display:flex;align-items:center}.pagination-sec .right .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .right .pagination-box ul li{list-style:none;display:flex}.pagination-sec .right .pagination-box ul li:first-child{margin-right:4px;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:first-child{height:20px}}.pagination-sec .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li:last-child{margin-left:6px!important;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:last-child{height:20px}}.pagination-sec .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:24px;min-width:24px;padding:0 5px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;line-height:21px;margin-left:3px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li button{min-width:20px;height:20px;padding:0 4px;font-size:10px;line-height:18px}}.pagination-sec .right .pagination-box ul li button.active,.pagination-sec .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.pagination-sec .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .right .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .right .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right .goto-page{display:flex;align-items:center;background:#fff;border:1px solid #bcbcbc;border-radius:2px;height:25px;margin-left:10px}.pagination-sec .right .goto-page .goto-page-text{color:#161b2f;font-size:11px;text-transform:uppercase;display:block;padding:0 8px;border-right:1px solid #bcbcbc;height:23px;line-height:23px}.pagination-sec .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #bcbcbc}.pagination-sec .right .goto-page .goto-page-input{position:relative}.pagination-sec .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:11px;text-transform:uppercase;padding:0 25px 0 5px;width:95px;height:23px;position:relative;top:-1px}.pagination-sec .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.pagination-sec .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.pagination-sec .right .goto-page .goto-page-input input:focus{outline:none}.pagination-sec .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41}.pagination-sec .right .goto-page .goto-page-input button{background:#f1f1f1;border:none;position:absolute;right:3px;top:4px;cursor:pointer;padding:0;height:18px;width:19px;line-height:22px}.pagination-sec .right .goto-page .goto-page-input button img{width:12px;height:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPaginationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-pagination', template: "<!-- <p>workflow-pagination works!</p> -->\n<div class=\"pagination-sec\" [class.right-align]=\"noFilter\">\n    <div class=\"left\" *ngIf=\"!noFilter\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li><button (click)=\"alphabetChange('')\" [class.active]=\"!activeAlphabet\">All</button></li>\n                <li *ngFor=\"let data of alphabetsArray\" (click)=\"alphabetChange(data)\">\n                    <button [class.active]=\"activeAlphabet === data\" >{{data}}</button>\n                </li>\n            </ul>\n        </div>\n    </div>\n\n    <div *ngIf=\"pageCount > 1\" class=\"right\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li>\n                    <button [disabled]=\"currentPage === 1\" [class.disabled]=\"currentPage === 1\" (click)=\"increaseOrDecrease(-1)\">\n                        <\n                    </button>\n                </li>\n\n                <li *ngFor=\"let page of pageArray; let i = index\">\n                    <button [disabled]=\"page === currentPage\" (click)=\"goToPageArrayGenerate(page,true)\" [class.active]=\"page === currentPage\">\n                        {{page}}\n                    </button>\n                </li>\n\n                <li>\n                    <button (click)=\"increaseOrDecrease(1)\" [disabled]=\"currentPage === pageCount\" [class.disabled]=\"currentPage === pageCount\">\n                        >\n                    </button>\n                </li>\n            </ul>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.pagination-sec{display:flex;justify-content:space-between;padding:8px 0;align-items:center}.pagination-sec.right-align{justify-content:flex-end}.pagination-sec .left{width:auto;line-height:28px;font-size:12px;text-transform:uppercase;color:#161b2f;font-weight:400}.pagination-sec .left .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .left .pagination-box ul li{list-style:none;display:flex}.pagination-sec .left .pagination-box ul li+li{margin-left:3px}.pagination-sec .left .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:18px;min-width:18px;padding:0 2px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;text-transform:uppercase;font-size:11px;line-height:18px;margin:0 0 0 1px}.pagination-sec .left .pagination-box ul li button.active,.pagination-sec .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.pagination-sec .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .left .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .left .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right{width:auto;display:flex;align-items:center}.pagination-sec .right .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .right .pagination-box ul li{list-style:none;display:flex}.pagination-sec .right .pagination-box ul li:first-child{margin-right:4px;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:first-child{height:20px}}.pagination-sec .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li:last-child{margin-left:6px!important;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:last-child{height:20px}}.pagination-sec .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:24px;min-width:24px;padding:0 5px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;line-height:21px;margin-left:3px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li button{min-width:20px;height:20px;padding:0 4px;font-size:10px;line-height:18px}}.pagination-sec .right .pagination-box ul li button.active,.pagination-sec .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.pagination-sec .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .right .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .right .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right .goto-page{display:flex;align-items:center;background:#fff;border:1px solid #bcbcbc;border-radius:2px;height:25px;margin-left:10px}.pagination-sec .right .goto-page .goto-page-text{color:#161b2f;font-size:11px;text-transform:uppercase;display:block;padding:0 8px;border-right:1px solid #bcbcbc;height:23px;line-height:23px}.pagination-sec .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #bcbcbc}.pagination-sec .right .goto-page .goto-page-input{position:relative}.pagination-sec .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:11px;text-transform:uppercase;padding:0 25px 0 5px;width:95px;height:23px;position:relative;top:-1px}.pagination-sec .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.pagination-sec .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.pagination-sec .right .goto-page .goto-page-input input:focus{outline:none}.pagination-sec .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41}.pagination-sec .right .goto-page .goto-page-input button{background:#f1f1f1;border:none;position:absolute;right:3px;top:4px;cursor:pointer;padding:0;height:18px;width:19px;line-height:22px}.pagination-sec .right .goto-page .goto-page-input button img{width:12px;height:12px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { activeAlphabet: [{
                type: Input
            }], pageCount: [{
                type: Input
            }], start: [{
                type: Input
            }], end: [{
                type: Input
            }], total: [{
                type: Input
            }], noFilter: [{
                type: Input
            }], currentPage: [{
                type: Input
            }], selectedPage: [{
                type: Output
            }], selectedAlphabet: [{
                type: Output
            }] } });

class AssessmentListLoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentListLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssessmentListLoaderComponent, selector: "app-assessment-list-loader", ngImport: i0, template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentListLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-assessment-list-loader', template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"] }]
        }], ctorParameters: function () { return []; } });

class AssessmentListSubLoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentListSubLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssessmentListSubLoaderComponent, selector: "app-assessment-list-sub-loader", ngImport: i0, template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"sub-list\">\n        <div class=\"table-row\">\n            <div class=\"table-column serial\">\n                <div class=\"sr-no\"></div>\n            </div>\n            <div class=\"table-column sub-name\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"table-column question\">\n                <div class=\"loader\"></div>\n            </div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:none!important;border-top:1px solid #f1f1f1;border-radius:2px;margin-bottom:0!important}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:32px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}.assessment-list-item .table-row .table-column.sub-name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}.assessment-list-item .table-row .table-column.question .loader{width:72px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentListSubLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-assessment-list-sub-loader', template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"sub-list\">\n        <div class=\"table-row\">\n            <div class=\"table-column serial\">\n                <div class=\"sr-no\"></div>\n            </div>\n            <div class=\"table-column sub-name\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"table-column question\">\n                <div class=\"loader\"></div>\n            </div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:none!important;border-top:1px solid #f1f1f1;border-radius:2px;margin-bottom:0!important}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:32px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}.assessment-list-item .table-row .table-column.sub-name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}.assessment-list-item .table-row .table-column.question .loader{width:72px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"] }]
        }], ctorParameters: function () { return []; } });

class AssessmentListComponent {
    constructor(responsibilityService, assessmentService, auth) {
        this.responsibilityService = responsibilityService;
        this.assessmentService = assessmentService;
        this.auth = auth;
        this.ASSETS = ASSETS;
        this.animation = false;
        this.subList = false;
        this.isEdit = false;
        this.mode = '';
        this.openedCategory = [];
        this.assessmentPayload = {
            search_title: '',
            page_no: '1',
            state: 'ACTIVE',
            search_text: '',
            alphabet_filter: '',
        };
        this.dataPerPage = 0;
        this.assessmentCategory = {
            data: [],
            totalPage: 0,
            totalRecords: 0,
            start_value: 0,
            end_value: 0,
            currentPage: 0,
        };
        this.isLoader = false;
        this.selectedAssessment = {
            assessment_id: '',
            category_id: '',
            assessmentDetails: undefined,
            category_details: undefined,
        };
        this.isDeleted = false;
        this.searchAssessments = '';
        this.isPreview = false;
        this.program_ids = '';
        this.onAssessmentSelect = new EventEmitter();
        this.cancelAssessment = new EventEmitter();
        this.dataPerPage = this.responsibilityService.dataPerPage;
    }
    ngOnInit() {
        this.animation = true;
        this.getAssessmentCategoryList();
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    onAssessmentSelected(event) {
        this.selectedData = event;
    }
    preview(evt) {
        this.assessmentService.getAssessmentQuestions(evt?.id).subscribe({
            next: (res) => {
                this.auth.previewPanel.next(true);
                this.isPreview = true;
                this.previewQuestionData = res;
            },
        });
    }
    previewBack() {
        this.isPreview = false;
        this.previewQuestionData = {};
        this.auth.previewPanel.next(false);
    }
    /**
     *
     * @param index : Accept index of elementPosition
     *
     */
    showSubList(index, id) {
        if (this.openedCategory.includes(index)) {
            this.openedCategory = this.openedCategory.filter((ele) => ele !== index);
        }
        else {
            this.openedCategory.push(index);
            this.getAssessmentList(index, id);
        }
        return this.openedCategory;
    }
    // TODO: Pagination
    /**
     *
     * @param event : page number that has been selected
     */
    onPageSelection(event) {
        this.openedCategory = [];
        this.assessmentPayload.page_no = event.toString();
        this.getAssessmentCategoryList();
    }
    // TODO: Search
    /**
     *
     * @param search : search text
     */
    onAssessmentSearch(search) {
        this.openedCategory = [];
        this.assessmentPayload.page_no = '1';
        this.assessmentPayload.search_title = search;
        this.assessmentPayload.search_text = search;
        this.getAssessmentCategoryList();
    }
    // TODO: Filter by alphabet
    /**
     *
     * @param event : Assessment category filter of Alphabet
     */
    onAlphabetSelected(event) {
        this.openedCategory = [];
        this.assessmentPayload.page_no = '1';
        this.assessmentPayload.alphabet_filter = event;
        this.assessmentPayload.search_text = '';
        this.getAssessmentCategoryList();
    }
    // TODO: Call API method
    getAssessmentCategoryList() {
        this.isLoader = true;
        this.responsibilityService
            .getAssessmentCategory(this.assessmentPayload, this.program_ids)
            .subscribe((res) => {
            this.assessmentCategory = res;
            this.isLoader = false;
        });
    }
    // TODO: Call Sub data API method
    /**
     *
     * @param id : Assessment category id
     */
    getAssessmentList(index, id) {
        const payload = {
            search_title: '',
        };
        this.responsibilityService
            .getAssessmentList(payload, id, this.program_ids)
            .subscribe((res) => {
            this.assessmentCategory.data[index].assessmentData = [...new Set(res)];
        });
    }
    //  TODO: Select data
    /**
     *
     * @param category_id :selected assessment's category's object id
     * @param assessment_id : Selected assessment's object id
     */
    setAssessment(category_details, assessmentDetails) {
        this.selectedAssessment = {
            category_id: category_details?.id,
            assessment_id: assessmentDetails.id,
            assessmentDetails: assessmentDetails,
            category_details: category_details,
        };
    }
    // TODO: Display selected data in bottom floating bar with next enabled button having
    // TODO: Send data in payload of create Responsibility form
    save() {
        this.onAssessmentSelect.emit(this.selectedAssessment);
    }
    close() {
        this.cancelAssessment.emit();
    }
    deleteEvent(event) {
        this.selectedAssessment = {
            assessment_id: '',
            category_id: '',
            assessmentDetails: undefined,
            category_details: undefined,
        };
        this.isDeleted = true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentListComponent, deps: [{ token: ResponsibilityService }, { token: AssessmentService$2 }, { token: AuthService$1 }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssessmentListComponent, selector: "app-assessment-list", inputs: { isEdit: "isEdit", mode: "mode", selectedAssessment: "selectedAssessment", selectedAssessmentData: "selectedAssessmentData", program_ids: "program_ids" }, outputs: { onAssessmentSelect: "onAssessmentSelect", cancelAssessment: "cancelAssessment" }, ngImport: i0, template: "<app-preview\n  *ngIf=\"isPreview\"\n  [questionData]=\"previewQuestionData\"\n  (previewBack)=\"previewBack()\"\n></app-preview>\n<div class=\"assessment-list\" [class.animate]=\"animation\">\n  <div\n    class=\"assessment-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select an Assessment</div>\n  </div>\n  <div class=\"assessment-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"searchAssessments\"\n        (change)=\"onAssessmentSearch($event.target.value)\"\n        placeholder=\"Search Assessment Category\"\n      />\n    </div>\n    <app-workflow-pagination\n      [pageCount]=\"assessmentCategory?.totalPage\"\n      [total]=\"assessmentCategory?.totalRecords\"\n      [start]=\"assessmentCategory?.start_value\"\n      [end]=\"assessmentCategory?.end_value\"\n      [activeAlphabet]=\"''\"\n      (selectedAlphabet)=\"onAlphabetSelected($event)\"\n      (selectedPage)=\"onPageSelection($event)\"\n    ></app-workflow-pagination>\n    <div\n      *ngIf=\"\n        assessmentCategory.data.length === 0 && !isLoader && searchAssessments\n      \"\n      class=\"assessment-list-part vx-mb-4\"\n    >\n      <app-no-data\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Assessments Found.'\"\n      ></app-no-data>\n    </div>\n    <div\n      *ngIf=\"assessmentCategory.data.length || isLoader\"\n      class=\"assessment-list-part vx-mb-4\"\n    >\n      <div\n        *ngIf=\"isEdit && selectedAssessment?.assessmentDetails?.assessment_name\"\n        class=\"assessment-list-selected\"\n      >\n        <div class=\"assessment-list-heading\">\n          {{\n            mode === \"policy\"\n              ? \"Assessment already selected\"\n              : \"Assessment already selected for this responsibility\"\n          }}\n        </div>\n        <div class=\"assessment-list-item\">\n          <div class=\"table-row\">\n            <div class=\"table-column serial disabled\">\n              <app-cs-radio\n                [disabled]=\"true\"\n                class=\"disabled\"\n                [checked]=\"true\"\n                [readonly]=\"true\"\n              ></app-cs-radio>\n            </div>\n            <div class=\"table-column sub-name\">\n              <div class=\"name-inner\">\n                <div\n                  class=\"value\"\n                  [appTooltip]=\"\n                    selectedAssessment?.assessmentDetails?.assessment_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ selectedAssessment?.assessmentDetails?.assessment_name }}\n                </div>\n                <div class=\"within-part\">\n                  <span class=\"within-box\">Within</span>\n                  <span\n                    class=\"value\"\n                    [appTooltip]=\"\n                      selectedAssessment?.category_details?.category_name +\n                      (selectedAssessment?.category_details?.parent_tree\n                        ? ' > ' +\n                          selectedAssessment?.category_details?.parent_tree\n                        : '')\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{\n                      selectedAssessment?.category_details?.category_name +\n                        (selectedAssessment?.category_details?.parent_tree\n                          ? \" > \" +\n                            selectedAssessment?.category_details?.parent_tree\n                          : \"\")\n                    }}</span\n                  >\n                </div>\n              </div>\n            </div>\n            <div class=\"table-column question\">\n              <div class=\"buttons\">\n                <button\n                  class=\"action-btn\"\n                  (click)=\"preview(selectedAssessment?.assessmentDetails)\"\n                >\n                  <i class=\"icons\">&#xeae5;</i> Preview\n                </button>\n                <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe90c;</i> Edit</button> -->\n              </div>\n              <div class=\"label\">\n                {{ selectedAssessment?.assessmentDetails?.questions }}\n                {{\n                  selectedAssessment?.assessmentDetails?.questions > 1\n                    ? \"Questions\"\n                    : \"Question\"\n                }}\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div class=\"assessment-list-heading\">\n        {{\n          mode === \"policy\"\n            ? \"Select an Assessment\"\n            : \"Select an Assessment for this responsibility\"\n        }}\n      </div>\n\n      <!--\n                    Assessment category list \n                    active class is used for highlighting opened element\n            -->\n      <ng-container *ngIf=\"!isLoader\">\n        <div\n          *ngFor=\"let data of assessmentCategory.data; let i = index\"\n          class=\"assessment-list-item\"\n          [class.active]=\"\n            openedCategory.includes(i) ||\n            data.id === selectedAssessment?.category_id\n          \"\n        >\n          <div\n            class=\"table-row main-list\"\n            (click)=\"showSubList(i, data?.id)\"\n            [class.disabled]=\"data?.assessmentcount < 1\"\n          >\n            <div class=\"table-column serial\">\n              <div\n                [id]=\"'sr-no' + i\"\n                class=\"sr-no\"\n                [appTooltip]=\"i + 1\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ dataPerPage * (assessmentPayload.page_no - 1) + (i + 1) }}\n              </div>\n            </div>\n            <div class=\"table-column name\">\n              <div class=\"name-inner\">\n                <div\n                  class=\"value\"\n                  [appTooltip]=\"data.category_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.category_name }}\n                </div>\n                <div class=\"within-part\" *ngIf=\"data?.parent_tree\">\n                  <span class=\"within-box\">Within</span>\n                  <span\n                    class=\"value\"\n                    [appTooltip]=\"data.parent_tree\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ data?.parent_tree }}</span\n                  >\n                </div>\n              </div>\n            </div>\n            <div class=\"table-column action\">\n              <button\n                [id]=\"'arrow' + i\"\n                class=\"arrow\"\n                [class.disabled]=\"data?.assessmentcount < 1\"\n                [disabled]=\"data?.assessmentcount < 1\"\n              >\n                <i *ngIf=\"!openedCategory.includes(i)\" class=\"icons\"\n                  >&#xe970;</i\n                >\n                <i *ngIf=\"openedCategory.includes(i)\" class=\"icons\">&#xe9e8;</i>\n              </button>\n            </div>\n          </div>\n\n          <!-- Assessment list start from here -->\n          <div *ngIf=\"openedCategory.includes(i)\" class=\"sub-list\">\n            <ng-container *ngIf=\"data.assessmentData?.length > 0\">\n              <div\n                class=\"table-row\"\n                *ngFor=\"let assessment of data.assessmentData; let j = index\"\n                [class.active]=\"\n                  assessment.id === selectedAssessment?.assessment_id &&\n                  data.id === selectedAssessment?.category_id\n                \"\n              >\n                <div class=\"table-column serial\">\n                  <div\n                    [id]=\"'sub-sr-no' + i + j\"\n                    class=\"sr-no\"\n                    appTooltip=\"{{\n                      dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                    }}.{{ j + 1 }}\"\n                    placement=\"bottom\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{\n                      dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                    }}.{{ j + 1 }}\n                    <app-cs-radio\n                      name=\"assessment\"\n                      [value]=\"assessment.id\"\n                      [checked]=\"\n                        assessment?.id === selectedAssessment?.assessment_id &&\n                        data?.id === selectedAssessment?.category_id\n                      \"\n                      (checkedEvent)=\"setAssessment(data, assessment)\"\n                    ></app-cs-radio>\n                  </div>\n                </div>\n                <div class=\"table-column sub-name\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"\n                      'Mission and message, communications to external audiences'\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ assessment?.assessment_name }}\n                  </div>\n                </div>\n                <div class=\"table-column question\">\n                  <div class=\"buttons\">\n                    <button class=\"action-btn\" (click)=\"preview(assessment)\">\n                      <i class=\"icons\">&#xeae5;</i> Preview\n                    </button>\n                    <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe9ba;</i> Edit</button> -->\n                  </div>\n                  <div class=\"label\">\n                    {{ assessment?.questions }}\n                    {{ assessment?.questions > 1 ? \"Questions\" : \"Question\" }}\n                  </div>\n                </div>\n              </div>\n            </ng-container>\n            <!-- Loader loading isLoader  -->\n            <app-assessment-list-sub-loader\n              *ngIf=\"!data.assessmentData?.length\"\n            ></app-assessment-list-sub-loader>\n            <!-- <app-line-loader *ngIf=\"!data.assessmentData?.length\" [loaderHeight]=\"'5'\"></app-line-loader> -->\n          </div>\n        </div>\n      </ng-container>\n      <!-- Loader loading isLoader  -->\n      <app-assessment-list-loader *ngIf=\"isLoader\"></app-assessment-list-loader>\n    </div>\n    <!-- No data image  -->\n    <app-no-data\n      *ngIf=\"!assessmentCategory.data.length && !isLoader && !searchAssessments\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Data to Display'\"\n    ></app-no-data>\n\n    <app-floating-bar\n      [selectedData]=\"[]\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"!selectedAssessment?.assessment_id && !isDeleted\"\n      [selectedData]=\"\n        selectedAssessment?.assessment_id\n          ? [selectedAssessment?.assessmentDetails]\n          : []\n      \"\n      [displayElementKey]=\"'assessment_name'\"\n      [pluralText]=\"'Risk Categories selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-list{position:fixed;inset:0 500px 0 0}::ng-deep .assessment-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .assessment-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .assessment-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .assessment-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .assessment-list-body .search-block{position:relative}::ng-deep .assessment-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .assessment-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .assessment-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .assessment-list-body app-workflow-pagination .pagination-sec{padding-bottom:0!important}::ng-deep .assessment-list-body .assessment-list-part{height:calc(100vh - 242px);overflow:auto;padding:8px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-selected{margin-bottom:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-heading{color:#161b2f;font-size:12px;font-weight:600;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .main-list{cursor:pointer}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row.disabled{pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no app-cs-radio{position:absolute;top:8px;left:0;opacity:0;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no app-cs-radio .radio-item{position:absolute;left:8px;top:0}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .value{color:#747576;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons{display:flex;opacity:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:22px;text-transform:uppercase;padding:0 8px;display:flex;align-items:center;margin:0}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row:hover .table-column.question .buttons{opacity:1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no app-cs-radio,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no app-cs-radio{opacity:1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row .table-column{height:32px}::ng-deep .assessment-list-body ul{padding:0;margin:0}::ng-deep .assessment-list-body ul.assessment{max-height:calc(100vh - 240px);overflow:auto;padding:16px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body ul.assessment li{padding:0 0 12px;list-style:none;display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body ul.assessment li app-cs-radio{width:calc(100% - 260px)}::ng-deep .assessment-list-body ul.assessment li app-cs-radio .radio-item .value .name{font-size:12px;color:#161b2f;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assessment-list-body ul.assessment li .right{display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px}::ng-deep .assessment-list-body ul.assessment li .right .buttons{display:flex;width:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:24px;text-transform:uppercase;padding:0 8px;margin-left:12px;display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body ul.assessment li:hover .right .buttons{width:156px}::ng-deep .assessment-list-body app-no-data .no-data-wrapper{height:calc(100% - 118px)}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#747576}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: PreviewComponent, selector: "app-preview", inputs: ["questionData"], outputs: ["previewBack"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: WorkflowPaginationComponent, selector: "app-workflow-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "noFilter", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "component", type: AssessmentListLoaderComponent, selector: "app-assessment-list-loader" }, { kind: "component", type: AssessmentListSubLoaderComponent, selector: "app-assessment-list-sub-loader" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-assessment-list', template: "<app-preview\n  *ngIf=\"isPreview\"\n  [questionData]=\"previewQuestionData\"\n  (previewBack)=\"previewBack()\"\n></app-preview>\n<div class=\"assessment-list\" [class.animate]=\"animation\">\n  <div\n    class=\"assessment-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select an Assessment</div>\n  </div>\n  <div class=\"assessment-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [(ngModel)]=\"searchAssessments\"\n        (change)=\"onAssessmentSearch($event.target.value)\"\n        placeholder=\"Search Assessment Category\"\n      />\n    </div>\n    <app-workflow-pagination\n      [pageCount]=\"assessmentCategory?.totalPage\"\n      [total]=\"assessmentCategory?.totalRecords\"\n      [start]=\"assessmentCategory?.start_value\"\n      [end]=\"assessmentCategory?.end_value\"\n      [activeAlphabet]=\"''\"\n      (selectedAlphabet)=\"onAlphabetSelected($event)\"\n      (selectedPage)=\"onPageSelection($event)\"\n    ></app-workflow-pagination>\n    <div\n      *ngIf=\"\n        assessmentCategory.data.length === 0 && !isLoader && searchAssessments\n      \"\n      class=\"assessment-list-part vx-mb-4\"\n    >\n      <app-no-data\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Assessments Found.'\"\n      ></app-no-data>\n    </div>\n    <div\n      *ngIf=\"assessmentCategory.data.length || isLoader\"\n      class=\"assessment-list-part vx-mb-4\"\n    >\n      <div\n        *ngIf=\"isEdit && selectedAssessment?.assessmentDetails?.assessment_name\"\n        class=\"assessment-list-selected\"\n      >\n        <div class=\"assessment-list-heading\">\n          {{\n            mode === \"policy\"\n              ? \"Assessment already selected\"\n              : \"Assessment already selected for this responsibility\"\n          }}\n        </div>\n        <div class=\"assessment-list-item\">\n          <div class=\"table-row\">\n            <div class=\"table-column serial disabled\">\n              <app-cs-radio\n                [disabled]=\"true\"\n                class=\"disabled\"\n                [checked]=\"true\"\n                [readonly]=\"true\"\n              ></app-cs-radio>\n            </div>\n            <div class=\"table-column sub-name\">\n              <div class=\"name-inner\">\n                <div\n                  class=\"value\"\n                  [appTooltip]=\"\n                    selectedAssessment?.assessmentDetails?.assessment_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ selectedAssessment?.assessmentDetails?.assessment_name }}\n                </div>\n                <div class=\"within-part\">\n                  <span class=\"within-box\">Within</span>\n                  <span\n                    class=\"value\"\n                    [appTooltip]=\"\n                      selectedAssessment?.category_details?.category_name +\n                      (selectedAssessment?.category_details?.parent_tree\n                        ? ' > ' +\n                          selectedAssessment?.category_details?.parent_tree\n                        : '')\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{\n                      selectedAssessment?.category_details?.category_name +\n                        (selectedAssessment?.category_details?.parent_tree\n                          ? \" > \" +\n                            selectedAssessment?.category_details?.parent_tree\n                          : \"\")\n                    }}</span\n                  >\n                </div>\n              </div>\n            </div>\n            <div class=\"table-column question\">\n              <div class=\"buttons\">\n                <button\n                  class=\"action-btn\"\n                  (click)=\"preview(selectedAssessment?.assessmentDetails)\"\n                >\n                  <i class=\"icons\">&#xeae5;</i> Preview\n                </button>\n                <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe90c;</i> Edit</button> -->\n              </div>\n              <div class=\"label\">\n                {{ selectedAssessment?.assessmentDetails?.questions }}\n                {{\n                  selectedAssessment?.assessmentDetails?.questions > 1\n                    ? \"Questions\"\n                    : \"Question\"\n                }}\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div class=\"assessment-list-heading\">\n        {{\n          mode === \"policy\"\n            ? \"Select an Assessment\"\n            : \"Select an Assessment for this responsibility\"\n        }}\n      </div>\n\n      <!--\n                    Assessment category list \n                    active class is used for highlighting opened element\n            -->\n      <ng-container *ngIf=\"!isLoader\">\n        <div\n          *ngFor=\"let data of assessmentCategory.data; let i = index\"\n          class=\"assessment-list-item\"\n          [class.active]=\"\n            openedCategory.includes(i) ||\n            data.id === selectedAssessment?.category_id\n          \"\n        >\n          <div\n            class=\"table-row main-list\"\n            (click)=\"showSubList(i, data?.id)\"\n            [class.disabled]=\"data?.assessmentcount < 1\"\n          >\n            <div class=\"table-column serial\">\n              <div\n                [id]=\"'sr-no' + i\"\n                class=\"sr-no\"\n                [appTooltip]=\"i + 1\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ dataPerPage * (assessmentPayload.page_no - 1) + (i + 1) }}\n              </div>\n            </div>\n            <div class=\"table-column name\">\n              <div class=\"name-inner\">\n                <div\n                  class=\"value\"\n                  [appTooltip]=\"data.category_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ data?.category_name }}\n                </div>\n                <div class=\"within-part\" *ngIf=\"data?.parent_tree\">\n                  <span class=\"within-box\">Within</span>\n                  <span\n                    class=\"value\"\n                    [appTooltip]=\"data.parent_tree\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ data?.parent_tree }}</span\n                  >\n                </div>\n              </div>\n            </div>\n            <div class=\"table-column action\">\n              <button\n                [id]=\"'arrow' + i\"\n                class=\"arrow\"\n                [class.disabled]=\"data?.assessmentcount < 1\"\n                [disabled]=\"data?.assessmentcount < 1\"\n              >\n                <i *ngIf=\"!openedCategory.includes(i)\" class=\"icons\"\n                  >&#xe970;</i\n                >\n                <i *ngIf=\"openedCategory.includes(i)\" class=\"icons\">&#xe9e8;</i>\n              </button>\n            </div>\n          </div>\n\n          <!-- Assessment list start from here -->\n          <div *ngIf=\"openedCategory.includes(i)\" class=\"sub-list\">\n            <ng-container *ngIf=\"data.assessmentData?.length > 0\">\n              <div\n                class=\"table-row\"\n                *ngFor=\"let assessment of data.assessmentData; let j = index\"\n                [class.active]=\"\n                  assessment.id === selectedAssessment?.assessment_id &&\n                  data.id === selectedAssessment?.category_id\n                \"\n              >\n                <div class=\"table-column serial\">\n                  <div\n                    [id]=\"'sub-sr-no' + i + j\"\n                    class=\"sr-no\"\n                    appTooltip=\"{{\n                      dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                    }}.{{ j + 1 }}\"\n                    placement=\"bottom\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"true\"\n                  >\n                    {{\n                      dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                    }}.{{ j + 1 }}\n                    <app-cs-radio\n                      name=\"assessment\"\n                      [value]=\"assessment.id\"\n                      [checked]=\"\n                        assessment?.id === selectedAssessment?.assessment_id &&\n                        data?.id === selectedAssessment?.category_id\n                      \"\n                      (checkedEvent)=\"setAssessment(data, assessment)\"\n                    ></app-cs-radio>\n                  </div>\n                </div>\n                <div class=\"table-column sub-name\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"\n                      'Mission and message, communications to external audiences'\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ assessment?.assessment_name }}\n                  </div>\n                </div>\n                <div class=\"table-column question\">\n                  <div class=\"buttons\">\n                    <button class=\"action-btn\" (click)=\"preview(assessment)\">\n                      <i class=\"icons\">&#xeae5;</i> Preview\n                    </button>\n                    <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe9ba;</i> Edit</button> -->\n                  </div>\n                  <div class=\"label\">\n                    {{ assessment?.questions }}\n                    {{ assessment?.questions > 1 ? \"Questions\" : \"Question\" }}\n                  </div>\n                </div>\n              </div>\n            </ng-container>\n            <!-- Loader loading isLoader  -->\n            <app-assessment-list-sub-loader\n              *ngIf=\"!data.assessmentData?.length\"\n            ></app-assessment-list-sub-loader>\n            <!-- <app-line-loader *ngIf=\"!data.assessmentData?.length\" [loaderHeight]=\"'5'\"></app-line-loader> -->\n          </div>\n        </div>\n      </ng-container>\n      <!-- Loader loading isLoader  -->\n      <app-assessment-list-loader *ngIf=\"isLoader\"></app-assessment-list-loader>\n    </div>\n    <!-- No data image  -->\n    <app-no-data\n      *ngIf=\"!assessmentCategory.data.length && !isLoader && !searchAssessments\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Data to Display'\"\n    ></app-no-data>\n\n    <app-floating-bar\n      [selectedData]=\"[]\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      [isDisabled]=\"!selectedAssessment?.assessment_id && !isDeleted\"\n      [selectedData]=\"\n        selectedAssessment?.assessment_id\n          ? [selectedAssessment?.assessmentDetails]\n          : []\n      \"\n      [displayElementKey]=\"'assessment_name'\"\n      [pluralText]=\"'Risk Categories selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .assessment-list{position:fixed;inset:0 500px 0 0}::ng-deep .assessment-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .assessment-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .assessment-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .assessment-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .assessment-list-body .search-block{position:relative}::ng-deep .assessment-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .assessment-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .assessment-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .assessment-list-body app-workflow-pagination .pagination-sec{padding-bottom:0!important}::ng-deep .assessment-list-body .assessment-list-part{height:calc(100vh - 242px);overflow:auto;padding:8px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-selected{margin-bottom:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-heading{color:#161b2f;font-size:12px;font-weight:600;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .main-list{cursor:pointer}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row.disabled{pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no app-cs-radio{position:absolute;top:8px;left:0;opacity:0;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no app-cs-radio .radio-item{position:absolute;left:8px;top:0}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .value{color:#747576;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons{display:flex;opacity:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:22px;text-transform:uppercase;padding:0 8px;display:flex;align-items:center;margin:0}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row:hover .table-column.question .buttons{opacity:1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no app-cs-radio,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no app-cs-radio{opacity:1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row .table-column{height:32px}::ng-deep .assessment-list-body ul{padding:0;margin:0}::ng-deep .assessment-list-body ul.assessment{max-height:calc(100vh - 240px);overflow:auto;padding:16px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body ul.assessment li{padding:0 0 12px;list-style:none;display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body ul.assessment li app-cs-radio{width:calc(100% - 260px)}::ng-deep .assessment-list-body ul.assessment li app-cs-radio .radio-item .value .name{font-size:12px;color:#161b2f;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assessment-list-body ul.assessment li .right{display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px}::ng-deep .assessment-list-body ul.assessment li .right .buttons{display:flex;width:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:24px;text-transform:uppercase;padding:0 8px;margin-left:12px;display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body ul.assessment li:hover .right .buttons{width:156px}::ng-deep .assessment-list-body app-no-data .no-data-wrapper{height:calc(100% - 118px)}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#747576}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: ResponsibilityService }, { type: AssessmentService$2 }, { type: AuthService$1 }]; }, propDecorators: { isEdit: [{
                type: Input
            }], mode: [{
                type: Input
            }], selectedAssessment: [{
                type: Input
            }], selectedAssessmentData: [{
                type: Input
            }], program_ids: [{
                type: Input
            }], onAssessmentSelect: [{
                type: Output
            }], cancelAssessment: [{
                type: Output
            }] } });

class ProgramListingComponent {
    set getSelectedCategories(category) {
        this.selectedCategories = category;
        this.tempSelectedCategories = JSON.stringify(category);
    }
    set getLinkedProgram(program) {
        this.selectedProgramsDetail = [];
        this.selectedProgramsId = [];
        this.viewOnlyProgramsCategoryId = [];
        this.selectedProgramsDetail = program;
        this.selectedProgramsDetail.forEach((ele) => {
            this.selectedProgramsId.push(ele?._id);
            this.getSelectedProgramCount(true, ele?.programType);
            ele?.isViewOnlyProgram
                ? this.viewOnlyProgramsCategoryId?.push(ele?.category_id)
                : null;
        });
    }
    constructor(responsibilityService) {
        this.responsibilityService = responsibilityService;
        this.ASSETS = ASSETS;
        this.animation = false;
        this.subList = false;
        this.loader = false;
        this.openedFrom = '';
        // @Input() selectedCategories: any[] = [];
        this.viewOnlyProgramsCategoryId = [];
        this.selectedCategories = [];
        this.tempSelectedCategories = [];
        this.responsibilityId = '';
        this.mode = 'CREATE';
        this.previousSelectedValues = {
            program: {},
            categories: [],
        };
        this.programData = {
            data: [],
            from: 0,
            to: 0,
            totalPages: 0,
            totalRecords: 0,
            currentPage: 1,
            AllInternalControlsProgramsCount: 0,
            AllOthersProgramsCount: 0,
            AllRegulationProgramsCount: 0,
            AllStandardProgramsCount: 0,
            SelectedInternalControlsProgramsCount: 0,
            SelectedOthersProgramsCount: 0,
            SelectedRegulationProgramsCount: 0,
            SelectedStandardProgramsCount: 0,
            AllProgramsCount: 0,
            AllViewOnlyProgramCount: 0,
        };
        this.programTabDataCount = {
            allInternalControlsProgramsCount: 0,
            allOthersProgramsCount: 0,
            allRegulationProgramsCount: 0,
            allStandardProgramsCount: 0,
        };
        this.categoryData = {
            data: [],
            from: 0,
            to: 0,
            totalPages: 0,
            totalRecords: 0,
            currentPage: 1,
            selectedCategories: [],
        };
        this.showCategories = false;
        this.searchString = '';
        this.categorySearchString = '';
        this.activeTab = 'regulations';
        this.selectedIds = [];
        this.categoryList = [];
        this.programTypeObject = {
            regulations: 1,
            standards: 2,
            internal_controls: 3,
            others: 0,
        };
        this.displayConfirmationMessage = false;
        this.tempPrimaryProgram = {};
        this.primaryConfirmationMessage = `Once confirmed, the <em>Primary Program</em> for this responsibility will be changed. Hence, all the default settings related to the new <em>Primary Program</em> will now apply to this responsibility.`;
        this.isPrimaryConfirmation = false;
        this.isUncheckedProgram = false;
        this.isPrimaryUnchecked = false;
        this.selectedProgramsDetail = [];
        this.selectedProgramsId = [];
        this.programCountLoader = false;
        this.deprecatePrimaryProgramFlag = false;
        this.saveSelectedProgram = new EventEmitter();
        this.closeEvent = new EventEmitter();
        this.allCategories = [];
        this.selectedSubCategoryIds = [];
        this.programSubTab = 'PROGRAMS';
    }
    ngOnInit() {
        this.deprecatePrimaryProgramFlag = this.feature.isFeatureEnabled('ff_deprecate_primary_program_flag');
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        if (this.selectedProgram && this.selectedProgram[0]) {
            this.currentProgram = this.selectedProgram[0];
            if (this.mode === 'EDIT' || this.openedFrom === 'PROGRAM_WORKROOM') {
                this.viewOnlyProgramsCategoryId?.push(this.currentProgram?.category_id);
            }
            switch (this.currentProgram?.programType) {
                case 0:
                    this.activeTab = 'others';
                    break;
                case 1:
                    this.activeTab = 'regulations';
                    break;
                case 2:
                    this.activeTab = 'standards';
                    break;
                case 3:
                    this.activeTab = 'internal_controls';
                    break;
                default:
                    this.activeTab = 'regulations';
                    break;
            }
            this.getSelectedProgramCount();
            // if (this.selectedCategories?.length && this.currentProgram) {
            this.populateCategories();
            // }
        }
        if (this.hideProgramsList) {
            this.selectedProgramsId?.push(this.selectedProgram[0]?._id);
            this.getCategoriesList();
        }
        else {
            this.getProgramsList();
        }
        this.getProgramsCount();
        this.previousSelectedValues = {
            programs: this.currentProgram,
            categories: this.selectedCategories.length
                ? [...new Set(this.selectedCategories)]
                : [],
        };
        this.preservePreviousDetails();
    }
    populateCategories() {
        this.selectedIds = [];
        let params = new HttpParams();
        // params = params.append('program_id', this.currentProgram._id);
        params = params.append('isPagination', false);
        if (this.responsibilityId) {
            params = params.append('reportId', this.responsibilityId);
        }
        this.responsibilityService
            .getProgramsList(params, this.selectedProgramsId)
            .subscribe({
            next: (res) => {
                const allCategories = res.data;
                this.categoryData.selectedCategories = allCategories.filter((ele) => this.selectedCategories.includes(ele.category_id));
                this.categoryData.selectedCategories.forEach((element) => {
                    this.selectedIds.push(element.category_id);
                });
            },
            error: (err) => {
                console.error(err);
            },
        });
    }
    handleSearch(event) {
        if (this.searchString != event) {
            this.programData.currentPage = 1;
            this.searchString = event;
            this.getProgramsList({ search: true });
            this.getProgramsCount({ search: true });
        }
    }
    categorySearch(event) {
        if (this.categorySearchString != event) {
            this.categoryData.currentPage = 1;
            this.categorySearchString = event;
            this.getCategoriesList({ search: true });
        }
    }
    selectProgram(event, program) {
        this.updateSelectedPrograms(event, program);
        // this.getSelectedProgramCount(event, program?.programType);
        if (event) {
            if (!this.feature.isFeatureEnabled('ff_deprecate_primary_program_flag')) {
                Object.keys(this.currentProgram ?? {}).length
                    ? null
                    : (this.currentProgram = program);
            }
            // this.currentProgram = program;
            this.selectedIds = [];
            this.categoryList = [];
            // this.getSelectedProgramCount();
        }
    }
    /**
     * If the event is true, then push the program to the selectedProgramsDetail array. If the event is
     * false, then remove the program from the selectedProgramsDetail array.
     * @param {any} event - boolean
     * @param {any} program - any = {
     */
    updateSelectedPrograms(event, program) {
        if (event) {
            const indexOfProgram = this.selectedProgramsDetail?.findIndex((el) => el?.category_id === program?.category_id);
            if (indexOfProgram === -1 && Object.keys(program)?.length) {
                this.selectedProgramsId?.push(program?._id);
                this.selectedProgramsDetail?.push(program);
                this.getSelectedProgramCount(event, program?.programType);
            }
        }
        else {
            const indexOfProgram = this.selectedProgramsDetail?.findIndex((el) => el?.category_id === program?.category_id);
            if (indexOfProgram !== -1) {
                this.selectedProgramsDetail?.splice(indexOfProgram, 1);
            }
            const indexOfId = this.selectedProgramsId?.findIndex((el) => el === program?._id);
            if (indexOfId !== -1) {
                this.selectedProgramsId?.splice(indexOfId, 1);
            }
            this.isPrimaryUnchecked = false;
            if (this.currentProgram &&
                this.currentProgram?.category_id === program?.category_id) {
                // this.primaryConfirmationMessage = 'You cannot deselect this Program since this is the <em>Primary Program</em> for this responsibility. To proceed, first select another Program as the <em>Primary Program</em>.';
                this.isPrimaryConfirmation = true;
                this.isPrimaryUnchecked = true;
                this.tempPrimaryProgram = JSON.stringify(program);
                // this.currentProgram = undefined;
            }
            // }
            this.getSelectedProgramCount(event, program?.programType);
        }
        if (this.selectedProgramsDetail?.length && !this.currentProgram?.length) {
            this.currentProgram = this.selectedProgramsDetail[0];
        }
        else {
            this.currentProgram = [];
        }
    }
    /**
     * If the currentProgram is set, then set the currentProgram to the program passed in, and set the
     * tempPrimaryProgram to the currentProgram.
     * If the currentProgram is not set, then set the currentProgram to the program passed in.
     * @param {any} event - any - the event that is triggered when the user clicks on the checkbox
     * @param {any} program - the program that is being selected
     */
    setPrimaryProgram(event, program) {
        if (this.currentProgram) {
            const currentTemp = this.currentProgram;
            this.tempPrimaryProgram = JSON.stringify(currentTemp);
            this.currentProgram = program;
            this.updateSelectedPrograms(true, program);
            if (!event) {
                this.currentProgram = {};
            }
            this.primaryConfirmationMessage =
                'Once confirmed, the <em>Primary Program</em> for this responsibility will be changed. Hence, all the default settings related to the new <em>Primary Program</em> will now apply to this responsibility.';
            this.isPrimaryConfirmation = true;
        }
        if (event && !this.currentProgram) {
            this.currentProgram = program;
            this.updateSelectedPrograms(true, program);
        }
    }
    /**
     * If the user clicks "Yes" on the confirmation modal, then the function will remove the program from
     * the selectedProgramsDetail array and the selectedProgramsId array. If the user clicks "No" on the
     * confirmation modal, then the function will do nothing.
     * @param {boolean} event - boolean -&gt; this is the value of the checkbox
     */
    updatePrimaryProgram(event) {
        if (event && this.isPrimaryUnchecked) {
            const indexOfProgram = this.selectedProgramsDetail?.findIndex((el) => el?.category_id ===
                JSON.parse(this.tempPrimaryProgram ?? {})?.category_id);
            if (indexOfProgram !== -1) {
                this.selectedProgramsDetail?.splice(indexOfProgram, 1);
            }
            const indexOfId = this.selectedProgramsId?.findIndex((el) => el === JSON.parse(this.tempPrimaryProgram ?? {})?._id);
            if (indexOfId !== -1) {
                this.selectedProgramsId?.splice(indexOfId, 1);
            }
            this.isPrimaryConfirmation = false;
            this.currentProgram = {};
        }
        else if (!event && this.isPrimaryUnchecked) {
            this.updateSelectedPrograms(true, this.tempPrimaryProgram?.length
                ? JSON.parse(this.tempPrimaryProgram ?? {})
                : {});
            this.currentProgram = this.tempPrimaryProgram?.length
                ? JSON.parse(this.tempPrimaryProgram ?? {})
                : {};
            this.isPrimaryConfirmation = false;
        }
        else if (event) {
            // this.currentProgram = this.isPrimaryUnchecked ? {} : JSON.parse(this.tempPrimaryProgram);
            this.updateSelectedPrograms(this.isPrimaryUnchecked ? false : true, this.tempPrimaryProgram?.length
                ? JSON.parse(this.tempPrimaryProgram ?? {})
                : {});
            this.isPrimaryConfirmation = false;
        }
        else {
            let currentPrimary = JSON.stringify(this.currentProgram);
            this.currentProgram = {};
            // this.updateSelectedPrograms(false, JSON.parse(currentPrimary)?? {});
            this.updateSelectedPrograms(true, JSON.parse(currentPrimary) ?? {});
            this.currentProgram = this.tempPrimaryProgram?.length
                ? JSON.parse(this.tempPrimaryProgram ?? {})
                : {};
            this.isPrimaryConfirmation = false;
        }
        this.isPrimaryUnchecked = false;
    }
    selectAllCategories(value) {
        if (value) {
            this.selectedIds = [];
            this.categoryData.selectedCategories = [];
            if (this.categoryData.totalPages < 2) {
                this.categoryData.data.forEach((ele) => {
                    this.selectedIds.push(ele.category_id);
                    this.categoryData.selectedCategories.push(ele);
                });
            }
            else {
                this.loader = true;
                let params = new HttpParams();
                // params = params.append('program_id', this.currentProgram?._id);
                params = params.append('isPagination', false);
                if (this.responsibilityId) {
                    params = params.append('reportId', this.responsibilityId);
                }
                this.responsibilityService
                    .getProgramsList(params, this.selectedProgramsId)
                    .subscribe({
                    next: (res) => {
                        const allCategories = res.data;
                        this.categoryData.selectedCategories = res.data;
                        allCategories.forEach((element) => {
                            this.selectedIds.push(element.category_id);
                        });
                        this.loader = false;
                    },
                    error: (err) => {
                        console.error(err);
                        this.loader = false;
                    },
                });
            }
        }
        else {
            this.categoryData.selectedCategories = [];
            this.selectedIds = [];
        }
    }
    checkCategoriesSelection() {
        if (this.categoryData.selectedCategories.length ==
            this.categoryData.totalRecords) {
            return 'checked';
        }
        else if (!this.categoryData.selectedCategories.length) {
            return 'unchecked';
        }
        else {
            return 'indeterminate';
        }
    }
    openCategories() {
        this.searchString = '';
        this.categorySearchString = '';
        const isSubProgram = this.selectedProgramsDetail?.some((el) => el?.child_id?.length);
        this.populateCategories();
        if (this.currentProgram?.child_id?.length || isSubProgram) {
            this.showCategories = true;
            this.getCategoriesList();
        }
        else {
            this.selectedIds = [];
            this.save();
        }
    }
    backToPrograms() {
        if (!this.hideProgramsList) {
            this.showCategories = false;
            if (this.previousSelectedValues?.program?._id == this.currentProgram) {
                this.categoryData.selectedCategories = [
                    ...new Set(this.previousSelectedValues.categories),
                ];
                this.selectedIds = [];
                this.categoryData.selectedCategories.forEach((element) => {
                    this.selectedIds.push(element);
                });
            }
            else {
                this.getProgramsList();
                this.categoryData.selectedCategories = [];
                this.selectedIds = [];
            }
        }
        else {
            this.categoryData.selectedCategories = [];
            this.selectedIds = [];
            this.close();
        }
    }
    changeTab(type) {
        this.programSubTab = 'PROGRAMS';
        this.activeTab = type;
        this.programData.currentPage = 1;
        if (this.searchString?.length) {
            this.searchString = '';
            this.getProgramsCount();
        }
        // this.searchString = '';
        this.searchProgram.nativeElement.value = '';
        this.getProgramsList();
    }
    changePage(event, type) {
        switch (type) {
            case 'program':
                this.programData.currentPage = event;
                this.getProgramsList();
                break;
            case 'category':
                this.categoryData.currentPage = event;
                this.getCategoriesList();
                break;
        }
    }
    getProgramsList(paramsObject) {
        this.loader = true;
        let params = new HttpParams();
        params = params.append('programType', this.programTypeObject[this.activeTab]);
        if (paramsObject?.search || this.searchString) {
            params = params.append('searchText', this.searchString);
        }
        // else {
        params = params.append('pageNo', this.programData.currentPage);
        // }
        if (this.programSubTab === 'OTHER_PROGRAMS') {
            params = params.append('isViewOnlyPrograms', true);
        }
        if (this.responsibilityId) {
            params = params.append('reportId', this.responsibilityId);
        }
        this.responsibilityService.getProgramsList(params).subscribe({
            next: (res) => {
                this.programData.data = res.data;
                this.programData.from = res.from;
                this.programData.to = res.to;
                this.programData.totalPages = res.totalPages;
                this.programData.totalRecords = res.totalRecords;
                this.programData.AllInternalControlsProgramsCount =
                    res.AllInternalControlsProgramsCount;
                this.programData.AllOthersProgramsCount = res.AllOthersProgramsCount;
                this.programData.AllRegulationProgramsCount =
                    res.AllRegulationProgramsCount;
                this.programData.AllStandardProgramsCount =
                    res.AllStandardProgramsCount;
                this.programData.AllProgramsCount = res?.AllProgramsCount
                    ? res?.AllProgramsCount
                    : 0;
                this.programData.AllViewOnlyProgramCount = res?.AllViewOnlyProgramCount
                    ? res?.AllViewOnlyProgramCount
                    : 0;
                this.loader = false;
            },
            error: (err) => {
                console.error(err);
                this.loader = false;
            },
        });
    }
    getProgramsCount(paramsObject) {
        this.programCountLoader = true;
        let params = new HttpParams();
        // params = params.append('programType', this.programTypeObject[this.activeTab]);
        if (paramsObject?.search || this.searchString) {
            params = params.append('searchText', this.searchString);
        }
        if (this.responsibilityId) {
            params = params.append('reportId', this.responsibilityId);
        }
        this.responsibilityService.getProgramsListCount(params).subscribe({
            next: (res) => {
                this.programTabDataCount.allRegulationProgramsCount =
                    res?.AllRegulationProgramsCount;
                this.programTabDataCount.allStandardProgramsCount =
                    res?.AllStandardProgramsCount;
                this.programTabDataCount.allInternalControlsProgramsCount =
                    res?.AllInternalControlsProgramsCount;
                this.programTabDataCount.allOthersProgramsCount =
                    res?.AllOthersProgramsCount;
                this.programCountLoader = false;
            },
            error: (err) => {
                console.error(err);
                this.programCountLoader = false;
            },
        });
    }
    getCategoriesList(queryObject) {
        this.loader = true;
        let params = new HttpParams();
        // params = params.append('program_id', this.currentProgram?._id);
        params = params.append('pageNo', this.categoryData.currentPage);
        if (queryObject?.search || this.categorySearchString) {
            params = params.append('searchText', this.categorySearchString);
        }
        if (this.responsibilityId) {
            params = params.append('reportId', this.responsibilityId);
        }
        this.responsibilityService
            .getProgramsList(params, [...new Set(this.selectedProgramsId)])
            .subscribe({
            next: (res) => {
                this.categoryData.data = res.data;
                this.categoryData.from = res.from;
                this.categoryData.to = res.to;
                this.categoryData.totalPages = res.totalPages;
                this.categoryData.totalRecords = res.totalRecords;
                this.selectedSubCategoryIds = res?.selectedSubCategoryIds?.length
                    ? res?.selectedSubCategoryIds
                    : [];
                this.loader = false;
            },
            error: (err) => {
                console.error(err);
                this.loader = false;
            },
        });
        this.showCategories = true;
    }
    saveProgram() { }
    selectCategory(mode, category) {
        if (mode) {
            this.selectedIds.push(category.category_id);
            this.categoryData.selectedCategories.push(category);
            this.selectedCategories.push(category.category_id);
        }
        else {
            const index = this.selectedIds.findIndex((element) => element == category.category_id);
            this.selectedIds.splice(index, 1);
            const categoryIndex = this.categoryData.selectedCategories.findIndex((ele) => ele.category_id == category.category_id);
            this.categoryData.selectedCategories.splice(categoryIndex, 1);
            const selectedIndex = this.selectedCategories.findIndex((ele) => ele == category?.category_id);
            this.selectedCategories.splice(selectedIndex, 1);
        }
    }
    removeCategories(event) {
        const categoryIndex = this.categoryData.selectedCategories.findIndex((ele) => ele.category_id == event.category_id);
        this.categoryData.selectedCategories.splice(categoryIndex, 1);
        const index = this.selectedIds.findIndex((element) => element == event.category_id);
        this.selectedIds.splice(index, 1);
    }
    close() {
        const currentProgram = this.preservePrimaryProgram?.length
            ? JSON.parse(this.preservePrimaryProgram)
            : {};
        const selectedProgramsId = this.preservedProgramsId?.length
            ? JSON.parse(this.preservedProgramsId)
            : undefined;
        const selectedProgramsDetail = this.preservedSelectedPrograms?.length
            ? JSON.parse(this.preservedSelectedPrograms)
            : [];
        if (this.preservePrimaryProgram?.length &&
            this.preservedSelectedPrograms?.length) {
            this.saveSelectedProgram.emit({
                program: currentProgram,
                categories: JSON.parse(this.tempSelectedCategories),
                linkedProgram: selectedProgramsDetail,
            });
        }
        // this.saveSelectedProgram.emit({program: currentProgram, categories: this.selectedIds, linkedProgram: selectedProgramsDetail  });
        this.closeEvent.emit();
    }
    save() {
        if (!this.hideProgramsList && false) {
            this.displayConfirmationMessage = true;
        }
        else {
            const selectedCategoryIds = this.selectedIds.concat(this.selectedSubCategoryIds);
            this.saveSelectedProgram.emit({
                program: this.currentProgram,
                categories: [...new Set(selectedCategoryIds)],
                linkedProgram: this.selectedProgramsDetail,
            });
            // this.saveSelectedProgram.emit({ program: this.currentProgram, categories: this.selectedIds });
        }
    }
    saveChanges(value) {
        if (value) {
            const selectedCategoryIds = this.selectedIds.concat(this.selectedSubCategoryIds);
            this.saveSelectedProgram.emit({
                program: this.currentProgram,
                categories: [...new Set(selectedCategoryIds)],
                linkedProgram: this.selectedProgramsDetail,
            });
            // this.saveSelectedProgram.emit({ program: this.currentProgram, categories: this.selectedIds });
        }
        else {
            this.displayConfirmationMessage = false;
        }
    }
    deleteEvent(event) {
        const indexOfProgram = this.selectedProgramsDetail?.findIndex((el) => el?.category_id === event?.category_id);
        if (indexOfProgram !== -1) {
            this.selectedProgramsDetail?.splice(indexOfProgram, 1);
        }
        const indexOfId = this.selectedProgramsId?.findIndex((el) => el === event?._id);
        if (indexOfId !== -1) {
            this.selectedProgramsId?.splice(indexOfId, 1);
        }
        if (this.currentProgram?._id === event?._id) {
            if (this.selectedProgramsDetail?.length) {
                this.currentProgram = this.selectedProgramsDetail[0];
            }
            else {
                this.currentProgram = {};
            }
        }
        // this.currentProgram = undefined;
        this.showCategories = false;
        this.selectedIds = [];
        this.categoryList = [];
        //As this is a radio list and only one item can be selected thats why we are resetting all the counts to zero
        this.getSelectedProgramCount(false, event?.programType);
    }
    getSelectedProgramCount(event, programType) {
        // switch (this.currentProgram.programType) {
        switch (programType) {
            case 0:
                event
                    ? this.programData.SelectedOthersProgramsCount++
                    : this.programData.SelectedOthersProgramsCount--;
                break;
            case 1:
                event
                    ? this.programData.SelectedRegulationProgramsCount++
                    : this.programData.SelectedRegulationProgramsCount--;
                break;
            case 2:
                event
                    ? this.programData.SelectedStandardProgramsCount++
                    : this.programData.SelectedStandardProgramsCount--;
                break;
            case 3:
                event
                    ? this.programData.SelectedInternalControlsProgramsCount++
                    : this.programData.SelectedInternalControlsProgramsCount--;
                break;
        }
    }
    /**
     * If the selectedProgram array has a length, then preserve the first element of the array as the
     * preservePrimaryProgram variable. Otherwise, set the preservePrimaryProgram variable to an empty
     * object.
     *
     * If the selectedProgramsId array has a length, then preserve the array as the preservedProgramsId
     * variable. Otherwise, set the preservedProgramsId variable to an empty array.
     *
     * If the selectedProgramsDetail array has a length, then preserve the array as the
     * preservedSelectedPrograms variable. Otherwise, set the preservedSelectedPrograms variable to an
     * empty array.
     *
     * If the selectedProgram array does not have a length, then set the selectedProgramsDetail array to
     * an empty array and the selectedProgramsId array to an empty array.
     */
    preservePreviousDetails() {
        if (this.selectedProgram[0]?.length || this.currentProgram) {
            this.preservePrimaryProgram = this.selectedProgram?.length
                ? JSON.stringify(this.selectedProgram[0])
                : {};
            this.preservedProgramsId = this.selectedProgramsId?.length
                ? JSON.stringify(this.selectedProgramsId)
                : [];
            this.preservedSelectedPrograms = this.selectedProgramsDetail
                ? JSON.stringify(this.selectedProgramsDetail)
                : [];
        }
        else {
            this.selectedProgramsDetail = [];
            this.selectedProgramsId = [];
        }
    }
    setProgramSubTab(tab) {
        this.programSubTab = tab;
        this.getProgramsList();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ProgramListingComponent, deps: [{ token: ResponsibilityService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ProgramListingComponent, selector: "app-program-listing", inputs: { programsList: "programsList", selectedProgram: "selectedProgram", openedFrom: "openedFrom", getSelectedCategories: ["selectedCategories", "getSelectedCategories"], responsibilityId: "responsibilityId", feature: "feature", hideProgramsList: "hideProgramsList", mode: "mode", getLinkedProgram: ["linkedProgram", "getLinkedProgram"] }, outputs: { saveSelectedProgram: "saveSelectedProgram", closeEvent: "closeEvent" }, viewQueries: [{ propertyName: "searchProgram", first: true, predicate: ["searchProgram"], descendants: true }, { propertyName: "searchCategory", first: true, predicate: ["searchCategory"], descendants: true }], ngImport: i0, template: "<div\n  class=\"program-listing\"\n  [class.animate]=\"animation\"\n  *ngIf=\"!showCategories && !hideProgramsList\"\n>\n  <div\n    class=\"program-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Program</div>\n  </div>\n  <div class=\"program-listing-body\">\n    <div class=\"filter-card-row\">\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'regulations'\"\n        (click)=\"changeTab('regulations')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >REGULATIONS</label\n          >\n          <p *ngIf=\"programData?.SelectedRegulationProgramsCount > 0\">\n            {{ programData?.SelectedRegulationProgramsCount }}\n            {{\n              programData?.SelectedRegulationProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllRegulationProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allRegulationProgramsCount\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'standards'\"\n        (click)=\"changeTab('standards')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >STANDARDS</label\n          >\n          <p *ngIf=\"programData?.SelectedStandardProgramsCount > 0\">\n            {{ programData?.SelectedStandardProgramsCount }}\n            {{\n              programData?.SelectedStandardProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllStandardProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allStandardProgramsCount\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'internal_controls'\"\n        (click)=\"changeTab('internal_controls')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >INTERNAL CONTROLS</label\n          >\n          <p *ngIf=\"programData?.SelectedInternalControlsProgramsCount > 0\">\n            {{ programData?.SelectedInternalControlsProgramsCount }}\n            {{\n              programData?.SelectedInternalControlsProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllInternalControlsProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allInternalControlsProgramsCount\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"changeTab('others')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >OTHERS</label\n          >\n          <p *ngIf=\"programData?.SelectedOthersProgramsCount > 0\">\n            {{ programData?.SelectedOthersProgramsCount }}\n            {{\n              programData?.SelectedOthersProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllOthersProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allOthersProgramsCount\n        }}</span>\n      </div>\n    </div>\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchProgram\n        (keyup.enter)=\"handleSearch($event.target.value)\"\n        placeholder=\"Search Programs\"\n      />\n    </div>\n    <!-- mode === 'EDIT' -->\n    <div\n      *ngIf=\"mode === 'EDIT' && programData?.AllViewOnlyProgramCount\"\n      class=\"program-listing-tab vx-d-flex vx-align-center\"\n    >\n      <button\n        (click)=\"setProgramSubTab('PROGRAMS')\"\n        class=\"vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"programSubTab === 'PROGRAMS'\"\n      >\n        PROGRAMS\n        <span\n          class=\"count vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{ programData?.AllProgramsCount }}</span\n        >\n      </button>\n      <button\n        (click)=\"setProgramSubTab('OTHER_PROGRAMS')\"\n        class=\"vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"programSubTab === 'OTHER_PROGRAMS'\"\n      >\n        OTHER PROGRAMS\n        <span\n          class=\"count vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{ programData?.AllViewOnlyProgramCount }}</span\n        >\n      </button>\n    </div>\n    <app-pagination\n      *ngIf=\"programData.totalPages > 1\"\n      [start]=\"programData.from\"\n      [end]=\"programData.to\"\n      [total]=\"programData.totalRecords\"\n      [pageCount]=\"programData.totalPages\"\n      [currentPage]=\"programData.currentPage\"\n      (selectedPage)=\"changePage($event, 'program')\"\n    ></app-pagination>\n    <div\n      class=\"program-listing-part vx-mb-4\"\n      [class.with-category-list]=\"!showCategories && !hideProgramsList\"\n      [class.with-pagination]=\"programData.totalPages > 1\"\n    >\n      <app-no-data\n        *ngIf=\"programData?.data?.length === 0 && !loader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data Found'\"\n      ></app-no-data>\n\n      <div\n        class=\"program-listing-item\"\n        [class.active]=\"showCategories && currentProgram?._id == program?._id\"\n        *ngFor=\"let program of programData.data; let i = index\"\n        [class.final-select]=\"false\"\n      >\n        <!-- after category was select & user move to back and edit then final-select class was show -->\n        <!-- [class.disabled]=\"currentProgram?._id === program?._id && (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM') && programSubTab !== 'OTHER_PROGRAMS'\" -->\n        <div\n          class=\"table-row main-list\"\n          [class.active]=\"selectedProgramsId?.includes(program?._id)\"\n          [class.disabled]=\"\n            feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n              ? false\n              : currentProgram?._id === program?._id &&\n                (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM') &&\n                programSubTab !== 'OTHER_PROGRAMS'\n          \"\n        >\n          <div class=\"table-column serial\">\n            <div\n              class=\"sr-no\"\n              [appTooltip]=\"i + programData.from\"\n              placement=\"bottom\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ i + programData.from }}\n            </div>\n            <!-- [disabled]=\"currentProgram?._id === program?._id && (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM')\" -->\n            <app-cs-checkbox\n              *ngIf=\"programSubTab !== 'OTHER_PROGRAMS'\"\n              [disabled]=\"\n                feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n                  ? false\n                  : currentProgram?._id === program?._id &&\n                    (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM')\n              \"\n              [ngValue]=\"selectedProgramsId?.includes(program?._id)\"\n              (ngValueChange)=\"selectProgram($event, program)\"\n            ></app-cs-checkbox>\n            <!-- <app-cs-radio [name]=\"'t'\" [checked]=\"currentProgram?._id == program?._id\" (checkedEvent)=\"selectProgram($event.target.checked,program)\"></app-cs-radio> -->\n          </div>\n          <div class=\"table-column name\">\n            <div class=\"name-inner\">\n              <div class=\"name-with-count\">\n                <div\n                  class=\"value\"\n                  [appTooltip]=\"program?.item_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ program?.name }}\n                </div>\n              </div>\n            </div>\n          </div>\n          <div class=\"table-column primary-program\">\n            <ng-container\n              *ngIf=\"\n                !feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n              \"\n            >\n              <app-cs-switch\n                *ngIf=\"\n                  !(mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM') ||\n                  currentProgram?._id === program?._id\n                \"\n                [disabled]=\"currentProgram?._id === program?._id\"\n                [ngValue]=\"currentProgram?._id === program?._id\"\n                (ngValueChange)=\"setPrimaryProgram($event, program)\"\n                >{{\n                  currentProgram?._id === program?._id\n                    ? \"PRIMARY PROGRAM\"\n                    : \"SET AS PRIMARY PROGRAM\"\n                }}</app-cs-switch\n              >\n            </ng-container>\n          </div>\n          <!-- <div class=\"table-column action\">\n                        <button class=\"arrow\" *ngIf=\"program?.child_id?.length\" [class.disabled]=\"false\"\n                            [disabled]=\"false\">\n                            <i *ngIf=\"!(showCategories && currentProgram?._id == program?._id)\"\n                                (click)=\"selectProgram($event,program)\" class=\"icons\">&#xe970;</i>\n                            <i *ngIf=\"showCategories && currentProgram?._id == program?._id\" class=\"icons\">&#xe9e8;</i>\n                        </button>\n                    </div> -->\n        </div>\n      </div>\n    </div>\n\n    <app-floating-bar\n      *ngIf=\"feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n      [selectedData]=\"\n        selectedProgramsDetail?.length ? selectedProgramsDetail : []\n      \"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'Program selected'\"\n      [pluralText]=\"'Programs selected'\"\n      (closeEvent)=\"openCategories()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        (currentProgram?.category_id ? [currentProgram] : [])?.length\n          ? false\n          : true\n      \"\n      (closeList)=\"close()\"\n      [elementId]=\"'category_id'\"\n    >\n    </app-floating-bar>\n\n    <app-floating-bar\n      *ngIf=\"!feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n      [selectedData]=\"\n        selectedProgramsDetail?.length ? selectedProgramsDetail : []\n      \"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'Program selected'\"\n      [pluralText]=\"'Programs selected'\"\n      (closeEvent)=\"openCategories()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        (currentProgram?.category_id ? [currentProgram] : [])?.length\n          ? false\n          : true\n      \"\n      (closeList)=\"close()\"\n      [defaultSelected]=\"currentProgram\"\n      [nonRemovableUsersList]=\"\n        mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM'\n          ? viewOnlyProgramsCategoryId\n          : [currentProgram?.category_id]\n      \"\n      [elementId]=\"'category_id'\"\n    >\n    </app-floating-bar>\n  </div>\n  <ng-container\n    *ngIf=\"!feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n  >\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"displayConfirmationMessage\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\">\n          Once you select this Program, all default values associated with this\n          Program will also be updated.\n        </div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"saveChanges(false)\">NO</button>\n          <button class=\"yes-btn\" (click)=\"saveChanges(true)\">YES</button>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"isPrimaryConfirmation && !isPrimaryUnchecked\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\" [innerHTML]=\"primaryConfirmationMessage\"></div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"updatePrimaryProgram(false)\">\n            NO\n          </button>\n          <button class=\"yes-btn\" (click)=\"updatePrimaryProgram(true)\">\n            YES\n          </button>\n        </div>\n      </div>\n    </div>\n\n    <div\n      class=\"program-listing-confirmation error-confirmation\"\n      *ngIf=\"isPrimaryUnchecked\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"vx-d-flex vx-align-center\">\n          <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n          <div class=\"text vx-pr-4\">\n            You cannot deselect this Program since this is the\n            <em>Primary Program</em> for this responsibility. To proceed, first\n            select another Program as the <em>Primary Program</em>.\n          </div>\n        </div>\n        <button class=\"ok-btn\" (click)=\"updatePrimaryProgram(false)\">OK</button>\n      </div>\n    </div>\n  </ng-container>\n  <!-- <app-floating-bar [selectedData]=\"(currentProgram?.category_id)?[currentProgram]:[]\" [displayElementKey]=\"'name'\"\n        [singularText]=\"'Program selected'\" [pluralText]=\"'Programs selected'\" (closeEvent)=\"openCategories()\"\n        (deleteEvent)=\"deleteEvent($event)\" [isDisabled]=\"((currentProgram?.category_id)?[currentProgram]:[])?.length ? false :true \" (closeList)=\"close()\">\n    </app-floating-bar> -->\n\n  <!-- ((currentProgram?.category_id)?[currentProgram]:[])?.length ? false :true  -->\n\n  <app-loader *ngIf=\"loader\"></app-loader>\n</div>\n<div\n  class=\"program-listing\"\n  [class.animate]=\"animation\"\n  *ngIf=\"showCategories || hideProgramsList\"\n>\n  <div\n    class=\"program-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      <button\n        class=\"back-btn vx-fs-16 vx-p-0 vx-mr-2\"\n        (click)=\"backToPrograms()\"\n      >\n        <i class=\"icons\">&#xe91d;</i>\n      </button>\n      <!-- <span *ngIf=\"currentProgram?.name\"> {{currentProgram?.name}} > </span> -->\n      Program > Select Program Categories\n    </div>\n  </div>\n  <div class=\"program-listing-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchCategory\n        (keyup.enter)=\"categorySearch($event.target.value)\"\n        placeholder=\"Search Categories\"\n      />\n    </div>\n    <app-pagination\n      *ngIf=\"categoryData.totalPages > 1\"\n      class=\"category-pagination\"\n      [start]=\"categoryData.from\"\n      [end]=\"categoryData.to\"\n      [total]=\"categoryData.totalRecords\"\n      [pageCount]=\"categoryData.totalPages\"\n      [currentPage]=\"categoryData.currentPage\"\n      (selectedPage)=\"changePage($event, 'category')\"\n    ></app-pagination>\n    <div\n      class=\"program-listing-part vx-mb-4\"\n      [class.with-category-pagination]=\"categoryData.totalPages > 1\"\n    >\n      <app-no-data\n        *ngIf=\"categoryData?.data?.length === 0 && !loader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data Found'\"\n      ></app-no-data>\n\n      <ng-container *ngIf=\"!loader && categoryData.data?.length\">\n        <ng-container *ngIf=\"false\">\n          <div\n            class=\"selected-area\"\n            *ngIf=\"\n              !loader &&\n              (currentProgram?.name\n                ? categoryData.data?.length\n                : programData?.data?.length)\n            \"\n          >\n            <app-cs-checkbox\n              *ngIf=\"checkCategoriesSelection() == 'checked'\"\n              [ngValue]=\"true\"\n              (ngValueChange)=\"selectAllCategories(false)\"\n              >Deselect All</app-cs-checkbox\n            >\n            <app-cs-checkbox-indeterminate\n              *ngIf=\"checkCategoriesSelection() == 'indeterminate'\"\n              [ngValue]=\"true\"\n              (ngValueChange)=\"selectAllCategories(false)\"\n              >Deselect All</app-cs-checkbox-indeterminate\n            >\n            <app-cs-checkbox\n              *ngIf=\"checkCategoriesSelection() == 'unchecked'\"\n              [ngValue]=\"false\"\n              (ngValueChange)=\"selectAllCategories(true)\"\n              >Select All</app-cs-checkbox\n            >\n          </div>\n        </ng-container>\n        <div class=\"table-head\">\n          <div class=\"table-row\">\n            <div class=\"table-column serial\">#</div>\n            <div class=\"table-column category-name\">CATEGORIES</div>\n            <div class=\"table-column category-within\">WITHIN</div>\n          </div>\n        </div>\n        <div\n          class=\"program-listing-item\"\n          [class.active]=\"subList\"\n          *ngFor=\"let category of categoryData.data; let i = index\"\n          [class.active]=\"selectedIds.includes(category.category_id)\"\n        >\n          <div class=\"table-row main-list\" [class.disabled]=\"false\">\n            <div class=\"table-column serial\">\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"i + categoryData?.from\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ i + categoryData?.from }}\n              </div>\n              <app-cs-checkbox\n                [ngValue]=\"selectedIds.includes(category.category_id)\"\n                (ngValueChange)=\"selectCategory($event, category)\"\n              ></app-cs-checkbox>\n            </div>\n            <div class=\"table-column category-name\">\n              <div class=\"name-inner\">\n                <div class=\"name-with-count\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"category?.name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ category?.name }}\n                  </div>\n                </div>\n                <!-- <div class=\"within-part\" *ngIf=\"category?.parent_category_name?.length>0\">\n                                    <span class=\"within-box\">Within</span>\n                                    <span class=\"value\" [appTooltip]=\"'South Africa > America > India'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">\n                                        <span *ngFor=\"let parent of category?.parent_category_name;let j=index\">{{(j!=(category?.parent_category_name?.length-1))?\n                                            parent+' < ':parent}} </span>\n                                    </span>\n                                </div> -->\n              </div>\n            </div>\n            <div\n              class=\"table-column category-within\"\n              *ngIf=\"category?.parent_category_name?.length > 0\"\n            >\n              <div\n                *ngFor=\"\n                  let parent of category?.parent_category_name;\n                  let last = last\n                \"\n                class=\"within-name\"\n                [appTooltip]=\"\n                  category?.parent_category_name\n                    ?.slice()\n                    ?.reverse()\n                    ?.join(' > ')\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ parent }}\n                <span *ngIf=\"!last\"> >&nbsp; </span>\n              </div>\n              <div\n                *ngIf=\"\n                  category?.parent_category_ids?.includes(\n                    currentProgram?.category_id\n                  ) &&\n                  !feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n                \"\n                class=\"primary-label\"\n              >\n                PRIMARY\n              </div>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n\n    <app-floating-bar\n      [selectedData]=\"categoryData.selectedCategories\"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'Program Category selected'\"\n      [pluralText]=\"'Program Categories selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"removeCategories($event)\"\n      (closeList)=\"backToPrograms()\"\n    >\n    </app-floating-bar>\n  </div>\n  <ng-container\n    *ngIf=\"!feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n  >\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"displayConfirmationMessage\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\">\n          Once you select this Program, all default values associated with this\n          Program will also be updated.\n        </div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"saveChanges(false)\">NO</button>\n          <button class=\"yes-btn\" (click)=\"saveChanges(true)\">YES</button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n  <app-loader *ngIf=\"loader\"></app-loader>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .program-listing{position:fixed;inset:0 500px 0 0}::ng-deep .program-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .program-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .program-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .program-listing-head button.back-btn{background:transparent;border-radius:0;border:none;position:relative;top:.125rem}::ng-deep .program-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .program-listing-body .filter-card{box-shadow:0 0 2px #00000029;border-radius:.125rem;height:55px;cursor:pointer}::ng-deep .program-listing-body .filter-card.active{box-shadow:0 3px 12px #1e5dd340;border:none;pointer-events:none}::ng-deep .program-listing-body .filter-card.active span.counter{background:#f1f1f1;color:#042e7d}::ng-deep .program-listing-body .filter-card label{font-weight:500;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .program-listing-body .filter-card p{line-height:16px;font-size:11px;color:#161b2f;font-weight:600;margin:0}::ng-deep .program-listing-body .filter-card span.counter{display:flex;height:28px;min-width:28px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 4px;line-height:28px}::ng-deep .program-listing-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .program-listing-body .filter-card+.filter-card{margin-left:4px}::ng-deep .program-listing-body .filter-card-row{display:flex;padding-bottom:8px}::ng-deep .program-listing-body .search-block{position:relative;margin-bottom:8px}::ng-deep .program-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .program-listing-body .search-block input::placeholder{font-weight:400}::ng-deep .program-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .program-listing-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .program-listing-body app-pagination .wk-pagination-sec-ds{padding-top:0!important}::ng-deep .program-listing-body app-pagination.category-pagination .wk-pagination-sec-ds{padding-bottom:0!important}::ng-deep .program-listing-body .program-listing-part{height:calc(100vh - 225px);overflow:auto;padding:0 12px 0 0;width:calc(100% + 12px)}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .program-listing-body .program-listing-part.with-pagination{height:calc(100vh - 244px)}::ng-deep .program-listing-body .program-listing-part.with-category-list{height:calc(100vh - 288px)}::ng-deep .program-listing-body .program-listing-part.with-category-list.with-pagination{height:calc(100vh - 324px)}::ng-deep .program-listing-body .program-listing-part.with-category-pagination{height:calc(100vh - 252px)}::ng-deep .program-listing-body .program-listing-part .selected-area{background:#fff;height:32px;position:sticky;top:0;z-index:1}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:100%;height:16px}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item{width:100%;position:relative}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .value,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{color:#161b2f;font-size:12px;font-weight:500;margin-left:24px}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{margin-left:0}::ng-deep .program-listing-body .program-listing-part .table-head{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .program-listing-body .program-listing-part .table-head .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column{color:#161b2f;font-size:11px;font-weight:500;height:24px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px;text-transform:uppercase}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.category-name{width:calc(100% - 332px);min-width:calc(100% - 332px)}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.category-within{width:300px;min-width:300px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.final-select{background:#fbfbfb}::ng-deep .program-listing-body .program-listing-part .program-listing-item.final-select .table-row .table-column.serial .sr-no{background:transparent}::ng-deep .program-listing-body .program-listing-part .program-listing-item .main-list{border:1px solid #f1f1f1;border-radius:2px;cursor:pointer;margin-bottom:4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial .sr-no{opacity:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled{pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled .primary-program app-cs-switch .cs-switch .value{opacity:.4}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled .name .name-inner .name-with-count .value{color:#dbdbdb!important}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column{color:#747576;height:40px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{position:absolute;top:14px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:16px;height:16px;top:12px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name{width:calc(100% - 232px);min-width:calc(100% - 232px)}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .count{background:#1e5dd3;border-radius:20px;color:#fff;font-size:9px;font-weight:500;line-height:16px;min-width:24px;display:inline-block;text-align:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name{width:calc(100% - 332px);min-width:calc(100% - 332px)}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name .name-inner{width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name .name-inner .name-with-count .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-within{width:300px;min-width:300px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-within .within-name{color:#747576;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-within .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.primary-program{width:200px;max-width:200px;justify-content:end}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.primary-program app-cs-switch{opacity:0;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.primary-program app-cs-switch .cs-switch .value{font-size:11px!important;color:#747576!important;font-weight:500!important;width:auto!important;margin-right:8px;cursor:pointer}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.primary-program app-cs-switch,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.primary-program app-cs-switch{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row .table-column.name .name-inner .value{color:#747576;font-size:12px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-tab{border-bottom:1px solid #DBDBDB;margin-bottom:8px}::ng-deep .program-listing-tab button{background:transparent;border-radius:0;border:none;border-bottom:3px solid transparent;margin-right:40px!important}::ng-deep .program-listing-tab button span.count{border-radius:20px;color:#74757680;min-width:24px}::ng-deep .program-listing-tab button.active{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .program-listing-tab button.active span.count{background:#1e5dd3;color:#fff;font-weight:500}::ng-deep .program-listing-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .program-listing-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block{height:2.25rem;min-width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .program-listing-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .program-listing-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}::ng-deep .program-listing-confirmation.error-confirmation{background:#eb2424}::ng-deep .program-listing-confirmation.error-confirmation .confirmation-top{justify-content:space-between}::ng-deep .program-listing-confirmation.error-confirmation .confirmation-top button{height:1.5rem;width:3rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .program-listing-confirmation.error-confirmation .confirmation-top button.ok-btn{background:#fff;color:#eb2424;margin-left:.25rem}::ng-deep .program-listing app-loader .main-loader{position:absolute}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "component", type: CsCheckboxIndeterminateComponent, selector: "app-cs-checkbox-indeterminate", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderComponent$1, selector: "app-loader" }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ProgramListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-program-listing', template: "<div\n  class=\"program-listing\"\n  [class.animate]=\"animation\"\n  *ngIf=\"!showCategories && !hideProgramsList\"\n>\n  <div\n    class=\"program-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Program</div>\n  </div>\n  <div class=\"program-listing-body\">\n    <div class=\"filter-card-row\">\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'regulations'\"\n        (click)=\"changeTab('regulations')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >REGULATIONS</label\n          >\n          <p *ngIf=\"programData?.SelectedRegulationProgramsCount > 0\">\n            {{ programData?.SelectedRegulationProgramsCount }}\n            {{\n              programData?.SelectedRegulationProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllRegulationProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allRegulationProgramsCount\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'standards'\"\n        (click)=\"changeTab('standards')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >STANDARDS</label\n          >\n          <p *ngIf=\"programData?.SelectedStandardProgramsCount > 0\">\n            {{ programData?.SelectedStandardProgramsCount }}\n            {{\n              programData?.SelectedStandardProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllStandardProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allStandardProgramsCount\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'internal_controls'\"\n        (click)=\"changeTab('internal_controls')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >INTERNAL CONTROLS</label\n          >\n          <p *ngIf=\"programData?.SelectedInternalControlsProgramsCount > 0\">\n            {{ programData?.SelectedInternalControlsProgramsCount }}\n            {{\n              programData?.SelectedInternalControlsProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllInternalControlsProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allInternalControlsProgramsCount\n        }}</span>\n      </div>\n      <div\n        class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n        [class.active]=\"activeTab == 'others'\"\n        (click)=\"changeTab('others')\"\n      >\n        <div class=\"left\">\n          <label\n            class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n            >OTHERS</label\n          >\n          <p *ngIf=\"programData?.SelectedOthersProgramsCount > 0\">\n            {{ programData?.SelectedOthersProgramsCount }}\n            {{\n              programData?.SelectedOthersProgramsCount == 1\n                ? \"Program\"\n                : \"Programs\"\n            }}\n            selected\n          </p>\n        </div>\n        <!-- <span class=\"counter\">{{programData?.AllOthersProgramsCount}}</span> -->\n        <span class=\"counter\">{{\n          programTabDataCount?.allOthersProgramsCount\n        }}</span>\n      </div>\n    </div>\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchProgram\n        (keyup.enter)=\"handleSearch($event.target.value)\"\n        placeholder=\"Search Programs\"\n      />\n    </div>\n    <!-- mode === 'EDIT' -->\n    <div\n      *ngIf=\"mode === 'EDIT' && programData?.AllViewOnlyProgramCount\"\n      class=\"program-listing-tab vx-d-flex vx-align-center\"\n    >\n      <button\n        (click)=\"setProgramSubTab('PROGRAMS')\"\n        class=\"vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"programSubTab === 'PROGRAMS'\"\n      >\n        PROGRAMS\n        <span\n          class=\"count vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{ programData?.AllProgramsCount }}</span\n        >\n      </button>\n      <button\n        (click)=\"setProgramSubTab('OTHER_PROGRAMS')\"\n        class=\"vx-fs-11 vx-fw-600 vx-paragraph-txt vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n        [class.active]=\"programSubTab === 'OTHER_PROGRAMS'\"\n      >\n        OTHER PROGRAMS\n        <span\n          class=\"count vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center vx-ml-2 vx-lh-4\"\n          >{{ programData?.AllViewOnlyProgramCount }}</span\n        >\n      </button>\n    </div>\n    <app-pagination\n      *ngIf=\"programData.totalPages > 1\"\n      [start]=\"programData.from\"\n      [end]=\"programData.to\"\n      [total]=\"programData.totalRecords\"\n      [pageCount]=\"programData.totalPages\"\n      [currentPage]=\"programData.currentPage\"\n      (selectedPage)=\"changePage($event, 'program')\"\n    ></app-pagination>\n    <div\n      class=\"program-listing-part vx-mb-4\"\n      [class.with-category-list]=\"!showCategories && !hideProgramsList\"\n      [class.with-pagination]=\"programData.totalPages > 1\"\n    >\n      <app-no-data\n        *ngIf=\"programData?.data?.length === 0 && !loader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data Found'\"\n      ></app-no-data>\n\n      <div\n        class=\"program-listing-item\"\n        [class.active]=\"showCategories && currentProgram?._id == program?._id\"\n        *ngFor=\"let program of programData.data; let i = index\"\n        [class.final-select]=\"false\"\n      >\n        <!-- after category was select & user move to back and edit then final-select class was show -->\n        <!-- [class.disabled]=\"currentProgram?._id === program?._id && (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM') && programSubTab !== 'OTHER_PROGRAMS'\" -->\n        <div\n          class=\"table-row main-list\"\n          [class.active]=\"selectedProgramsId?.includes(program?._id)\"\n          [class.disabled]=\"\n            feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n              ? false\n              : currentProgram?._id === program?._id &&\n                (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM') &&\n                programSubTab !== 'OTHER_PROGRAMS'\n          \"\n        >\n          <div class=\"table-column serial\">\n            <div\n              class=\"sr-no\"\n              [appTooltip]=\"i + programData.from\"\n              placement=\"bottom\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ i + programData.from }}\n            </div>\n            <!-- [disabled]=\"currentProgram?._id === program?._id && (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM')\" -->\n            <app-cs-checkbox\n              *ngIf=\"programSubTab !== 'OTHER_PROGRAMS'\"\n              [disabled]=\"\n                feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n                  ? false\n                  : currentProgram?._id === program?._id &&\n                    (mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM')\n              \"\n              [ngValue]=\"selectedProgramsId?.includes(program?._id)\"\n              (ngValueChange)=\"selectProgram($event, program)\"\n            ></app-cs-checkbox>\n            <!-- <app-cs-radio [name]=\"'t'\" [checked]=\"currentProgram?._id == program?._id\" (checkedEvent)=\"selectProgram($event.target.checked,program)\"></app-cs-radio> -->\n          </div>\n          <div class=\"table-column name\">\n            <div class=\"name-inner\">\n              <div class=\"name-with-count\">\n                <div\n                  class=\"value\"\n                  [appTooltip]=\"program?.item_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ program?.name }}\n                </div>\n              </div>\n            </div>\n          </div>\n          <div class=\"table-column primary-program\">\n            <ng-container\n              *ngIf=\"\n                !feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n              \"\n            >\n              <app-cs-switch\n                *ngIf=\"\n                  !(mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM') ||\n                  currentProgram?._id === program?._id\n                \"\n                [disabled]=\"currentProgram?._id === program?._id\"\n                [ngValue]=\"currentProgram?._id === program?._id\"\n                (ngValueChange)=\"setPrimaryProgram($event, program)\"\n                >{{\n                  currentProgram?._id === program?._id\n                    ? \"PRIMARY PROGRAM\"\n                    : \"SET AS PRIMARY PROGRAM\"\n                }}</app-cs-switch\n              >\n            </ng-container>\n          </div>\n          <!-- <div class=\"table-column action\">\n                        <button class=\"arrow\" *ngIf=\"program?.child_id?.length\" [class.disabled]=\"false\"\n                            [disabled]=\"false\">\n                            <i *ngIf=\"!(showCategories && currentProgram?._id == program?._id)\"\n                                (click)=\"selectProgram($event,program)\" class=\"icons\">&#xe970;</i>\n                            <i *ngIf=\"showCategories && currentProgram?._id == program?._id\" class=\"icons\">&#xe9e8;</i>\n                        </button>\n                    </div> -->\n        </div>\n      </div>\n    </div>\n\n    <app-floating-bar\n      *ngIf=\"feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n      [selectedData]=\"\n        selectedProgramsDetail?.length ? selectedProgramsDetail : []\n      \"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'Program selected'\"\n      [pluralText]=\"'Programs selected'\"\n      (closeEvent)=\"openCategories()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        (currentProgram?.category_id ? [currentProgram] : [])?.length\n          ? false\n          : true\n      \"\n      (closeList)=\"close()\"\n      [elementId]=\"'category_id'\"\n    >\n    </app-floating-bar>\n\n    <app-floating-bar\n      *ngIf=\"!feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n      [selectedData]=\"\n        selectedProgramsDetail?.length ? selectedProgramsDetail : []\n      \"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'Program selected'\"\n      [pluralText]=\"'Programs selected'\"\n      (closeEvent)=\"openCategories()\"\n      (deleteEvent)=\"deleteEvent($event)\"\n      [isDisabled]=\"\n        (currentProgram?.category_id ? [currentProgram] : [])?.length\n          ? false\n          : true\n      \"\n      (closeList)=\"close()\"\n      [defaultSelected]=\"currentProgram\"\n      [nonRemovableUsersList]=\"\n        mode === 'EDIT' || openedFrom === 'PROGRAM_WORKROOM'\n          ? viewOnlyProgramsCategoryId\n          : [currentProgram?.category_id]\n      \"\n      [elementId]=\"'category_id'\"\n    >\n    </app-floating-bar>\n  </div>\n  <ng-container\n    *ngIf=\"!feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n  >\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"displayConfirmationMessage\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\">\n          Once you select this Program, all default values associated with this\n          Program will also be updated.\n        </div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"saveChanges(false)\">NO</button>\n          <button class=\"yes-btn\" (click)=\"saveChanges(true)\">YES</button>\n        </div>\n      </div>\n    </div>\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"isPrimaryConfirmation && !isPrimaryUnchecked\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\" [innerHTML]=\"primaryConfirmationMessage\"></div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"updatePrimaryProgram(false)\">\n            NO\n          </button>\n          <button class=\"yes-btn\" (click)=\"updatePrimaryProgram(true)\">\n            YES\n          </button>\n        </div>\n      </div>\n    </div>\n\n    <div\n      class=\"program-listing-confirmation error-confirmation\"\n      *ngIf=\"isPrimaryUnchecked\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"vx-d-flex vx-align-center\">\n          <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n          <div class=\"text vx-pr-4\">\n            You cannot deselect this Program since this is the\n            <em>Primary Program</em> for this responsibility. To proceed, first\n            select another Program as the <em>Primary Program</em>.\n          </div>\n        </div>\n        <button class=\"ok-btn\" (click)=\"updatePrimaryProgram(false)\">OK</button>\n      </div>\n    </div>\n  </ng-container>\n  <!-- <app-floating-bar [selectedData]=\"(currentProgram?.category_id)?[currentProgram]:[]\" [displayElementKey]=\"'name'\"\n        [singularText]=\"'Program selected'\" [pluralText]=\"'Programs selected'\" (closeEvent)=\"openCategories()\"\n        (deleteEvent)=\"deleteEvent($event)\" [isDisabled]=\"((currentProgram?.category_id)?[currentProgram]:[])?.length ? false :true \" (closeList)=\"close()\">\n    </app-floating-bar> -->\n\n  <!-- ((currentProgram?.category_id)?[currentProgram]:[])?.length ? false :true  -->\n\n  <app-loader *ngIf=\"loader\"></app-loader>\n</div>\n<div\n  class=\"program-listing\"\n  [class.animate]=\"animation\"\n  *ngIf=\"showCategories || hideProgramsList\"\n>\n  <div\n    class=\"program-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      <button\n        class=\"back-btn vx-fs-16 vx-p-0 vx-mr-2\"\n        (click)=\"backToPrograms()\"\n      >\n        <i class=\"icons\">&#xe91d;</i>\n      </button>\n      <!-- <span *ngIf=\"currentProgram?.name\"> {{currentProgram?.name}} > </span> -->\n      Program > Select Program Categories\n    </div>\n  </div>\n  <div class=\"program-listing-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        #searchCategory\n        (keyup.enter)=\"categorySearch($event.target.value)\"\n        placeholder=\"Search Categories\"\n      />\n    </div>\n    <app-pagination\n      *ngIf=\"categoryData.totalPages > 1\"\n      class=\"category-pagination\"\n      [start]=\"categoryData.from\"\n      [end]=\"categoryData.to\"\n      [total]=\"categoryData.totalRecords\"\n      [pageCount]=\"categoryData.totalPages\"\n      [currentPage]=\"categoryData.currentPage\"\n      (selectedPage)=\"changePage($event, 'category')\"\n    ></app-pagination>\n    <div\n      class=\"program-listing-part vx-mb-4\"\n      [class.with-category-pagination]=\"categoryData.totalPages > 1\"\n    >\n      <app-no-data\n        *ngIf=\"categoryData?.data?.length === 0 && !loader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data Found'\"\n      ></app-no-data>\n\n      <ng-container *ngIf=\"!loader && categoryData.data?.length\">\n        <ng-container *ngIf=\"false\">\n          <div\n            class=\"selected-area\"\n            *ngIf=\"\n              !loader &&\n              (currentProgram?.name\n                ? categoryData.data?.length\n                : programData?.data?.length)\n            \"\n          >\n            <app-cs-checkbox\n              *ngIf=\"checkCategoriesSelection() == 'checked'\"\n              [ngValue]=\"true\"\n              (ngValueChange)=\"selectAllCategories(false)\"\n              >Deselect All</app-cs-checkbox\n            >\n            <app-cs-checkbox-indeterminate\n              *ngIf=\"checkCategoriesSelection() == 'indeterminate'\"\n              [ngValue]=\"true\"\n              (ngValueChange)=\"selectAllCategories(false)\"\n              >Deselect All</app-cs-checkbox-indeterminate\n            >\n            <app-cs-checkbox\n              *ngIf=\"checkCategoriesSelection() == 'unchecked'\"\n              [ngValue]=\"false\"\n              (ngValueChange)=\"selectAllCategories(true)\"\n              >Select All</app-cs-checkbox\n            >\n          </div>\n        </ng-container>\n        <div class=\"table-head\">\n          <div class=\"table-row\">\n            <div class=\"table-column serial\">#</div>\n            <div class=\"table-column category-name\">CATEGORIES</div>\n            <div class=\"table-column category-within\">WITHIN</div>\n          </div>\n        </div>\n        <div\n          class=\"program-listing-item\"\n          [class.active]=\"subList\"\n          *ngFor=\"let category of categoryData.data; let i = index\"\n          [class.active]=\"selectedIds.includes(category.category_id)\"\n        >\n          <div class=\"table-row main-list\" [class.disabled]=\"false\">\n            <div class=\"table-column serial\">\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"i + categoryData?.from\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ i + categoryData?.from }}\n              </div>\n              <app-cs-checkbox\n                [ngValue]=\"selectedIds.includes(category.category_id)\"\n                (ngValueChange)=\"selectCategory($event, category)\"\n              ></app-cs-checkbox>\n            </div>\n            <div class=\"table-column category-name\">\n              <div class=\"name-inner\">\n                <div class=\"name-with-count\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"category?.name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ category?.name }}\n                  </div>\n                </div>\n                <!-- <div class=\"within-part\" *ngIf=\"category?.parent_category_name?.length>0\">\n                                    <span class=\"within-box\">Within</span>\n                                    <span class=\"value\" [appTooltip]=\"'South Africa > America > India'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">\n                                        <span *ngFor=\"let parent of category?.parent_category_name;let j=index\">{{(j!=(category?.parent_category_name?.length-1))?\n                                            parent+' < ':parent}} </span>\n                                    </span>\n                                </div> -->\n              </div>\n            </div>\n            <div\n              class=\"table-column category-within\"\n              *ngIf=\"category?.parent_category_name?.length > 0\"\n            >\n              <div\n                *ngFor=\"\n                  let parent of category?.parent_category_name;\n                  let last = last\n                \"\n                class=\"within-name\"\n                [appTooltip]=\"\n                  category?.parent_category_name\n                    ?.slice()\n                    ?.reverse()\n                    ?.join(' > ')\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ parent }}\n                <span *ngIf=\"!last\"> >&nbsp; </span>\n              </div>\n              <div\n                *ngIf=\"\n                  category?.parent_category_ids?.includes(\n                    currentProgram?.category_id\n                  ) &&\n                  !feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n                \"\n                class=\"primary-label\"\n              >\n                PRIMARY\n              </div>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n    </div>\n\n    <app-floating-bar\n      [selectedData]=\"categoryData.selectedCategories\"\n      [displayElementKey]=\"'name'\"\n      [singularText]=\"'Program Category selected'\"\n      [pluralText]=\"'Program Categories selected'\"\n      (closeEvent)=\"save()\"\n      (deleteEvent)=\"removeCategories($event)\"\n      (closeList)=\"backToPrograms()\"\n    >\n    </app-floating-bar>\n  </div>\n  <ng-container\n    *ngIf=\"!feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\"\n  >\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"displayConfirmationMessage\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\">\n          Once you select this Program, all default values associated with this\n          Program will also be updated.\n        </div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"saveChanges(false)\">NO</button>\n          <button class=\"yes-btn\" (click)=\"saveChanges(true)\">YES</button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n  <app-loader *ngIf=\"loader\"></app-loader>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .program-listing{position:fixed;inset:0 500px 0 0}::ng-deep .program-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .program-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .program-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .program-listing-head button.back-btn{background:transparent;border-radius:0;border:none;position:relative;top:.125rem}::ng-deep .program-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .program-listing-body .filter-card{box-shadow:0 0 2px #00000029;border-radius:.125rem;height:55px;cursor:pointer}::ng-deep .program-listing-body .filter-card.active{box-shadow:0 3px 12px #1e5dd340;border:none;pointer-events:none}::ng-deep .program-listing-body .filter-card.active span.counter{background:#f1f1f1;color:#042e7d}::ng-deep .program-listing-body .filter-card label{font-weight:500;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .program-listing-body .filter-card p{line-height:16px;font-size:11px;color:#161b2f;font-weight:600;margin:0}::ng-deep .program-listing-body .filter-card span.counter{display:flex;height:28px;min-width:28px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 4px;line-height:28px}::ng-deep .program-listing-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .program-listing-body .filter-card+.filter-card{margin-left:4px}::ng-deep .program-listing-body .filter-card-row{display:flex;padding-bottom:8px}::ng-deep .program-listing-body .search-block{position:relative;margin-bottom:8px}::ng-deep .program-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .program-listing-body .search-block input::placeholder{font-weight:400}::ng-deep .program-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .program-listing-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .program-listing-body app-pagination .wk-pagination-sec-ds{padding-top:0!important}::ng-deep .program-listing-body app-pagination.category-pagination .wk-pagination-sec-ds{padding-bottom:0!important}::ng-deep .program-listing-body .program-listing-part{height:calc(100vh - 225px);overflow:auto;padding:0 12px 0 0;width:calc(100% + 12px)}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .program-listing-body .program-listing-part.with-pagination{height:calc(100vh - 244px)}::ng-deep .program-listing-body .program-listing-part.with-category-list{height:calc(100vh - 288px)}::ng-deep .program-listing-body .program-listing-part.with-category-list.with-pagination{height:calc(100vh - 324px)}::ng-deep .program-listing-body .program-listing-part.with-category-pagination{height:calc(100vh - 252px)}::ng-deep .program-listing-body .program-listing-part .selected-area{background:#fff;height:32px;position:sticky;top:0;z-index:1}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:100%;height:16px}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item{width:100%;position:relative}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .value,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{color:#161b2f;font-size:12px;font-weight:500;margin-left:24px}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{margin-left:0}::ng-deep .program-listing-body .program-listing-part .table-head{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .program-listing-body .program-listing-part .table-head .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column{color:#161b2f;font-size:11px;font-weight:500;height:24px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px;text-transform:uppercase}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.category-name{width:calc(100% - 332px);min-width:calc(100% - 332px)}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.category-within{width:300px;min-width:300px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.final-select{background:#fbfbfb}::ng-deep .program-listing-body .program-listing-part .program-listing-item.final-select .table-row .table-column.serial .sr-no{background:transparent}::ng-deep .program-listing-body .program-listing-part .program-listing-item .main-list{border:1px solid #f1f1f1;border-radius:2px;cursor:pointer;margin-bottom:4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial .sr-no{opacity:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled{pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled .primary-program app-cs-switch .cs-switch .value{opacity:.4}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled .name .name-inner .name-with-count .value{color:#dbdbdb!important}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column{color:#747576;height:40px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{position:absolute;top:14px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:16px;height:16px;top:12px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name{width:calc(100% - 232px);min-width:calc(100% - 232px)}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .count{background:#1e5dd3;border-radius:20px;color:#fff;font-size:9px;font-weight:500;line-height:16px;min-width:24px;display:inline-block;text-align:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name{width:calc(100% - 332px);min-width:calc(100% - 332px)}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name .name-inner{width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-name .name-inner .name-with-count .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-within{width:300px;min-width:300px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-within .within-name{color:#747576;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.category-within .primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.primary-program{width:200px;max-width:200px;justify-content:end}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.primary-program app-cs-switch{opacity:0;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.primary-program app-cs-switch .cs-switch .value{font-size:11px!important;color:#747576!important;font-weight:500!important;width:auto!important;margin-right:8px;cursor:pointer}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.primary-program app-cs-switch,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.primary-program app-cs-switch{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row .table-column.name .name-inner .value{color:#747576;font-size:12px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-tab{border-bottom:1px solid #DBDBDB;margin-bottom:8px}::ng-deep .program-listing-tab button{background:transparent;border-radius:0;border:none;border-bottom:3px solid transparent;margin-right:40px!important}::ng-deep .program-listing-tab button span.count{border-radius:20px;color:#74757680;min-width:24px}::ng-deep .program-listing-tab button.active{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .program-listing-tab button.active span.count{background:#1e5dd3;color:#fff;font-weight:500}::ng-deep .program-listing-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .program-listing-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block{height:2.25rem;min-width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .program-listing-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .program-listing-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}::ng-deep .program-listing-confirmation.error-confirmation{background:#eb2424}::ng-deep .program-listing-confirmation.error-confirmation .confirmation-top{justify-content:space-between}::ng-deep .program-listing-confirmation.error-confirmation .confirmation-top button{height:1.5rem;width:3rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .program-listing-confirmation.error-confirmation .confirmation-top button.ok-btn{background:#fff;color:#eb2424;margin-left:.25rem}::ng-deep .program-listing app-loader .main-loader{position:absolute}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}\n"] }]
        }], ctorParameters: function () { return [{ type: ResponsibilityService }]; }, propDecorators: { programsList: [{
                type: Input
            }], selectedProgram: [{
                type: Input
            }], openedFrom: [{
                type: Input
            }], getSelectedCategories: [{
                type: Input,
                args: ['selectedCategories']
            }], responsibilityId: [{
                type: Input
            }], feature: [{
                type: Input
            }], hideProgramsList: [{
                type: Input
            }], mode: [{
                type: Input
            }], searchProgram: [{
                type: ViewChild,
                args: ['searchProgram']
            }], searchCategory: [{
                type: ViewChild,
                args: ['searchCategory']
            }], getLinkedProgram: [{
                type: Input,
                args: ['linkedProgram']
            }], saveSelectedProgram: [{
                type: Output
            }], closeEvent: [{
                type: Output
            }] } });

class WorkflowComplianceComponent {
    set closeOnEsc(escapeCondition) {
        if (escapeCondition) {
            this.activeDeselector();
        }
    }
    set setSelectedProgram(program) {
        if (program && Object.keys(program)?.length) {
            this.selectedProgram = program;
            this.responsibilityForm.program = [];
            this.responsibilityForm.linkedProgram = [];
            // this.responsibilityForm.program.push(program);
            this.responsibilityForm.linkedProgram.push(program);
        }
    }
    constructor(authService, responsibilityService, frequencyService, uiKitService, snackBar, permission, programService, grcService, organizationUserService, complianceCommonService, organizationCommonService, iframeService) {
        this.authService = authService;
        this.responsibilityService = responsibilityService;
        this.frequencyService = frequencyService;
        this.uiKitService = uiKitService;
        this.snackBar = snackBar;
        this.permission = permission;
        this.programService = programService;
        this.grcService = grcService;
        this.organizationUserService = organizationUserService;
        this.complianceCommonService = complianceCommonService;
        this.organizationCommonService = organizationCommonService;
        this.iframeService = iframeService;
        /* Defining the input parameters for the component. */
        this.mode = 'CREATE';
        this.responsibilityId = '';
        this.frameworkDetails = [];
        this.isEntrust = true;
        this.ASSETS = ASSETS;
        this.allGroupAssignee = true;
        this.assignorId = [];
        this.assigneeIds = [];
        this.reviewerIds = [];
        this.overseerIds = [];
        this.disableRadioAssignee = [];
        this.isResponsibilitySimplified = false;
        this.queryParam = '';
        this.recentResponsibilityUrl = {
            byResponsibilities: { type: ['recent_responsibilities'], subType: ['CC'] },
            byStatus: { type: [], subType: [] },
            filterObject: {
                responsibilityCenter: [],
                entrustedBy: [],
                entrustedTo: [],
                riskIds: [],
                responsibilityCategory: [],
            },
            timePeriodDetails: { type: '', selectedPeriod: '', selectedYear: '' },
            status: '',
        };
        this.isResponsibilityRcLinkEnabled = false;
        this.grcList = [];
        this.grcLoader = false;
        this.otherGRCCard = JSON.parse(JSON.stringify(OTHER_GRC_CARD));
        this.selectedGRCTab = 0;
        this.grcTabLoader = false;
        this.grcSearchString = '';
        this.GRC_TYPE_ARRAY = GRC_TYPE_ARRAY;
        this.grcDataWithTypes = {
            assets: [],
            processes: [],
            vendors: [],
            inventory: [],
        };
        this.url = 'q={"byResponsibilities":{"type":["responsibilities_in_queue"],"subType":["CC"]},"byStatus":{"type":["responsibilities_in_queue"],"subType":[]},"filterObject":{"responsibilityCenter":[],"entrustedBy":[],"entrustedTo":[],"riskIds":[],"responsibilityCategory":[]},"timePeriodDetails":{"type":"","selectedPeriod":"","selectedYear":""},"status":""}';
        this.pickerChanged = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.hideElementsFromMoreOptions = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.resetForm = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.checkpointCountUpdated = new EventEmitter();
        this.rcSelected = new EventEmitter();
        this.selectedRC = 0; // 4-5 digit id of selected rc by default when opened from risk treatment
        // @Input() selectedProgram: any = null;
        this.featureFlag_groups = false;
        this.selectedProgram = null;
        this.selectedReviewer = true;
        /* Creating an event emitter. */
        this.onRemovingCheckpoint = new EventEmitter();
        this.isAssessmentDisabled = new EventEmitter();
        this.assigneeTypeChange = new EventEmitter(); // it will emit when assignee type change
        this.onReviewerTypeChange = new EventEmitter(); // it will emit when reviewer type change
        this.entrustLoader = false;
        this.scrollToBottom = false;
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add more information about completing the responsibility',
        };
        this.programPeopleList = {
            assigneesList: [],
            reviewersList: [],
            overseersList: [],
        };
        this.loader = false;
        this.submitted = false;
        this.smileyMessage = `Done!`;
        this.actionButtons = [
            {
                buttonText: 'Entrust More Responsibilities',
                class: 'white-btn',
                id: 'addMore',
            },
            { buttonText: 'View Responsibilities', class: 'blue-btn', id: 'view' },
        ];
        this.showSmiley = false;
        this.memberId = 0;
        this.organizationId = 0;
        this.rcListLoaded = false;
        this.assignorsListLoaded = false;
        this.assigneesListLoaded = false;
        this.categoriesListLoaded = false;
        this.groupsListLoaded = false;
        this.assuranceCategoryListLoaded = false;
        this.hasReviewer = false;
        // usersList: any[] = [];
        this.assignorsList = [];
        this.assigneesList = [];
        this.reviewersList = [];
        this.disableAssigneeIds = [];
        this.disableReviewerIds = [];
        this.disableOverseerIds = [];
        this.reviewerMemberIdsList = [];
        this.groupOverseerList = [];
        this.groupReviewerList = [];
        this.groupAssigneeList = [];
        this.overseersList = [];
        this.allUsersList = [];
        this.behalfOfUsersList = [];
        this.assigneeUserList = [];
        this.reviewerUserList = [];
        this.overseerUserList = [];
        this.overseerUserNotifyList = [];
        this.allCategories = [];
        this.assuranceCategoriesList = [];
        this.assuranceRequiresAuditList = [];
        this.groupsList = [];
        this.OrgGroup = [];
        this.adminsList = [];
        this.responsibilityCentersList = [];
        this.categoryList = [];
        this.nonRemovableUsersList = [];
        this.responsibilityCenterType = 0;
        this.responsibilityForm = {
            assignors: {
                enable: false,
                list: [],
            },
            responsibility: {
                name: '',
                keyResponsibility: false,
            },
            assigneeGroups: {
                whoCanComplete: 'ANYONE',
                list: [],
            },
            assignees: {
                whoCanComplete: 'ALL',
                list: [],
            },
            allowEditDueDate: false,
            frequency: '',
            description: '',
            objective: '',
            rc: [],
            responsibilityCenterType: 0,
            category: [],
            program: [],
            program_selected_ids: [],
            checkpointInstruction: '',
            customTags: [],
            checkpoints: [],
            reviewers: {
                sequentialWorkflow: true,
                reviewFrequency: {
                    reviewCompleteDays: 2,
                    reviewNOtCompletedDays: 2,
                },
                list: [],
            },
            groupReviewers: {
                sequentialWorkflow: true,
                reviewFrequency: {
                    reviewCompleteDays: 2,
                    reviewNOtCompletedDays: 2,
                },
                list: [],
            },
            overseers: {
                notifyList: [],
                list: [],
            },
            overseersGroups: {
                notifyList: [],
                list: [],
            },
            formatAndEvidence: {
                formatRequired: false,
                formatFiles: [],
                formatLinks: [],
                evidenceRequired: false,
            },
            assuranceList: [],
            requiresAuditList: [],
            riskClass: 1,
            riskMatrix: '0,0,0,0,0,0',
            audit_category_details: {
                category_id: 0,
                sample: 5,
                percentage: 30,
                frequency_pattern: '1~0~3~1',
                frequency_time: DEFAULT_24HR,
            },
            assessment: {
                category_id: '',
                assessment_id: '',
            },
            new_checkpoints: {},
            linkedProgram: [],
            selectedGRCObjects: [],
        };
        this.moreOptions = {
            OBJECTIVE: false,
            RC: false,
            CATEGORY: false,
            PROGRAM: false,
            FORMATE_EVIDENCE: false,
            CHECKPOINTS: false,
            ASSESSMENT: false,
            RISK_CLASSIFICATION: false,
            REVIEWER: false,
            OVERSEER: false,
            ASSURANCE: false,
            APPS: false,
            REQUIRES_AUDIT: false,
            CHECKPOINTS_NEW: false,
            GRC_OBJECTS: false,
        };
        this.activeSelector = '';
        this.sideSelectorElements = [
            'assurance',
            'framework',
            'assignors',
            'assignees',
            'category',
            'program',
            'rc',
            'checkpoints',
            'frequency',
            'reviewer',
            'reviewerFrequency',
            'overseer',
            'overseerNotify',
            'riskCalculator',
            'isAssessment',
            'requires_audit',
            'checkpoints-new',
            'GRC_OBJECTS',
        ];
        this.focus = {
            responsibilityName: false,
            description: false,
            objective: false,
        };
        this.categories = {
            regulations: {
                list: [],
                selectedList: [],
            },
            standards: {
                list: [],
                selectedList: [],
            },
            internalControls: {
                list: [],
                selectedList: [],
            },
            others: {
                list: [],
                selectedList: [],
            },
        };
        this.allPrograms = [];
        this.riskClassification = [
            { name: 'Low', value: 1, class: 'low' },
            { name: 'Low-Medium', value: 2, class: 'low-med' },
            { name: 'Medium-High', value: 3, class: 'med-high' },
            { name: 'High', value: 4, class: 'high' },
        ];
        this.assignorMode = 'checkbox';
        this.rcMode = 'checkbox';
        this.invalidType = '';
        this.assigneeRadioSelect = false;
        this.programsList = [];
        // frequency variable declaration
        this.frequencyDetails = {
            pattern: '',
            notificationPending: 0,
            dateOfModified: 0,
            deactivationValue: 0,
            selectedReport: 0,
            lifecycle: '0000-00-00~~0',
            startDate: Math.floor(new Date().getTime() / 1000),
            startOnTheDay: Math.floor(new Date().getTime() / 1000),
            window: 0,
            failed: 0,
            time: DEFAULT_TIME,
            failedTime: '',
            continuous_failed_days: 0,
            onCompletionReportDetails: {},
        };
        this.frequencyPlaceholder = 'How often does the responsibility occur?';
        this.shortMonth = [];
        this.isEditWhat = true;
        this.isFrameworkAvailable = 1;
        this.isNotificationPending = 0;
        this.hiddenList = [];
        this.isRiskEnable = true;
        this.isDuplicateEntrust = false;
        this.auditTime = DEFAULT_TIME;
        this.sendAuditRemindersValue = 2;
        this.isSample = false;
        this.tempCheckValue = -1;
        this.isAssessment = false;
        this.managePermission = false;
        this.checkpointCount = 0;
        this.isGroupAssigned = false;
        this.userListLoader = false;
        this.assignorsListLoader = false;
        this.allowEditDueDateFeatureFlag = false;
        this.unSubscribeProgram = new Subject();
        this.organizationCommonService?.getOrgUserInfo()?.subscribe({
            next: (res) => {
                const complianceSubmodule = res?.roleActions[res?.roleActions?.findIndex((ele) => ele?.moduleName === 'compliance')]?.subModule;
                const permissions = complianceSubmodule[complianceSubmodule?.findIndex((ele) => ele?.subModuleName === 'Programs')]?.permissions;
                this.managePermission = permissions[permissions?.findIndex((ele) => ele?.name === 'manage programs')]?.enable
                    ? true
                    : false;
                if (this.managePermission) {
                    this.hiddenList.push('CATEGORY');
                    this.categoriesListLoaded = true;
                }
                else {
                    this.hiddenList.push('PROGRAM');
                    this.getCategoryList();
                }
            },
        });
    }
    ngOnInit() {
        this.setFeatureFlags();
        this.pickerChanged.emit(false);
        this.getInitialData();
        this.populateRCList();
    }
    populateRCList() {
        if (this.openedFrom === 'RISK_TREATMENT' && this.mode === 'CREATE') {
            this.getRCList();
        }
    }
    setFeatureFlags() {
        this.featureFlag_groups = this.feature.isFeatureEnabled('ff_responsibility_groups');
        this.isResponsibilitySimplified = this.feature.isFeatureEnabled('ff_responsibility_simplification');
        this.isResponsibilityRcLinkEnabled = this.feature.isFeatureEnabled('ff_responsibility_rc_link');
        this.allowEditDueDateFeatureFlag =
            this.feature.isFeatureEnabled('ff_edit_due_date');
    }
    getInitialData() {
        this.uiKitService.isLoader = true;
        this.hiddenList.push('ASSESSMENT');
        this.hiddenList.push('ASSURANCE');
        this.getAssigneesList();
        this.checkWhetherAllListsLoaded();
        this.getOrganizationDetails();
        this.getUserDetails();
        this.shortMonth = this.frequencyService.monthArray.map((month) => month.substring(0, 3));
        if (this.openedFrom === 'RISK_TREATMENT') {
            this.getRCDetailsinRiskTreatment();
        }
        if (this.mode === 'CREATE') {
            this.organizationId = this.authService.getOrganizationId();
            this.memberId = this.authService.getMemberId();
            this.hiddenList.push('CHECKPOINTS');
        }
        if (this.mode === 'EDIT') {
            this.loader = true;
            this.getRCList();
            this.getGroupsList();
            this.getAssignorsList();
            this.getAssuranceForRequiresAudit();
            this.getAssurance();
        }
        this.getOrgDetails();
        this.getSubscriptionDetail();
        this.setResponsibilityName();
        this.hideElementsFromMoreOptions.emit(this.hiddenList);
    }
    getRCDetailsinRiskTreatment() {
        this.responsibilityForm.rc = this.setList(this.responsibilityCentersList, [this.selectedRC], 'item_id');
        this.moreOptions.RC = true;
    }
    getOrgDetails() {
        this.organizationCommonService?.getOrgDetailsInfo()?.subscribe({
            next: (res) => {
                this.isRiskEnable = res?.enable_riskclass ? true : false;
                if (!res?.enable_riskclass) {
                    this.hiddenList.push('RISK_CLASSIFICATION');
                    this.hideElementsFromMoreOptions.emit(this.hiddenList);
                }
            },
            error: (err) => {
                console.error(err);
            },
        });
    }
    getSubscriptionDetail() {
        this.organizationCommonService?.getSubscriptionDetailsInfo()?.subscribe({
            next: (res) => {
                this.subscriptionDetails = res;
                this.hideOptionFromMoreOptions();
            },
            error: (err) => {
                console.error(err);
            },
        });
    }
    hideOptionFromMoreOptions() {
        const visibleOptions = [];
        if (this.subscriptionDetails[0]?.assessment_flag) {
            visibleOptions.push('ASSESSMENT');
        }
        if (this.subscriptionDetails[0]?.assurance_flag) {
            visibleOptions.push('ASSURANCE');
        }
        this.hiddenList = this.hiddenList?.filter((ele) => !visibleOptions.includes(ele));
        this.hideElementsFromMoreOptions.emit(this.hiddenList);
    }
    activateSelector(type, event) {
        this.activeSelector = event ? type : '';
        if (this.sideSelectorElements?.includes(type)) {
            this.pickerChanged.emit(event);
        }
        switch (type) {
            case 'checkpoints-new':
                this.authService.previewPanel.next(event);
                break;
            case 'rc':
                this.getRCList();
                break;
            case 'assignors':
                this.getAssignorsList();
                break;
            case 'requires_audit':
                this.getAssuranceForRequiresAudit();
                break;
            case 'assignees':
                this.getGroupsList();
                break;
            case 'assurance':
                this.getAssurance();
                break;
        }
    }
    setResponsibilityName() {
        if (this.assessmentDetails?.assessment_type === 'compliance_audit') {
            const assessmentData = {
                target: {
                    value: 'Audit: ' + this.assessmentDetails?.assessment_name,
                },
            };
            const payload = {
                assessment_id: this.assessmentDetails.assessment_id,
                category_id: this.assessmentDetails.category[0]?._id,
            };
            this.setAssessmentData([this.assessmentDetails], payload, 'assessment');
            this.whatChanged(assessmentData);
            this.hiddenList.push('CHECKPOINTS');
            this.hiddenList.push('CHECKPOINTS_NEW');
            this.hideElementsFromMoreOptions.emit(this.hiddenList);
        }
    }
    whatChanged(event) {
        this.responsibilityForm.responsibility.name = event?.target?.value;
        if (event.target.value.trim() !== '') {
            this.isEditWhat = true;
            if (this.invalidType === 'what') {
                this.invalidType = '';
            }
        }
        else {
            this.isEditWhat = false;
        }
    }
    activeDeselector() {
        this.activeSelector = '';
        this.pickerChanged.emit(false);
    }
    addMoreInfo(event) {
        console.log('add More info', event);
        this.scrollToBottom = true;
        if (event.code === 'CHECKPOINTS_NEW' &&
            event.checkpoint_new &&
            this.checkpointCount) {
        }
        else {
            this.moreOptions[event.code] = event.checked;
        }
    }
    onRcTypeChange(selectedType) {
        this.responsibilityCenterType = selectedType ?? 0;
    }
    getRCList(program_id) {
        let params = new HttpParams();
        if (program_id) {
            params = params.append('program_ids', program_id);
        }
        this.complianceCommonService?.getRcListInfo(params)?.subscribe({
            next: (res) => {
                this.responsibilityCentersList = res;
                this.rcListLoaded = true;
                const ids = this.returnIds(this.responsibilityForm.rc, 'item_id');
                const RC = this.responsibilityCentersList.filter((element) => ids?.includes(element.item_id));
                if (RC?.length) {
                    this.responsibilityForm.rc = RC;
                }
                else {
                    this.responsibilityForm.rc = [];
                }
                if (this.openedFrom === 'RISK_TREATMENT') {
                    this.responsibilityForm.rc = this.setList(this.responsibilityCentersList, [this.selectedRC], 'item_id');
                    this.moreOptions.RC = true;
                    this.actionButtons = [
                        {
                            buttonText: 'Go to risk treatment',
                            class: 'blue-btn',
                            id: 'view',
                        },
                    ];
                    // Previously there was only RC was emitting which made the checked options to de check now checking the condition and sending all the selected options
                    let checkedMoreOptions = [];
                    for (const key in this.moreOptions) {
                        if (this.moreOptions[key]) {
                            checkedMoreOptions.push(key);
                        }
                    }
                    this.populateOption.emit(checkedMoreOptions);
                }
            },
            error: (err) => {
                console.error(err);
                this.loader = false;
                this.rcListLoaded = true;
            },
        });
    }
    getUserDetails() {
        if (this.actionButtons?.length > 1) {
            this.organizationCommonService?.getOrgUserInfo()?.subscribe({
                next: (res) => {
                    this.isNotificationPending = res?.notification_pending_flag;
                    this.actionButtons[1].buttonText = this.isNotificationPending
                        ? 'View Responsibilities in Queue'
                        : 'View Responsibilities';
                },
            });
        }
    }
    getAssurance() {
        this.assuranceCategoryListLoaded = true;
        this.responsibilityService.getAssurance().subscribe((res) => {
            this.assuranceCategoriesList = res;
            if ((this.subscriptionDetails &&
                !this.subscriptionDetails[0].assurance_flag) ||
                this.assuranceCategoriesList?.length == 0) {
                this.hiddenList.push('ASSURANCE');
            }
            this.hideElementsFromMoreOptions.emit(this.hiddenList);
            this.assuranceCategoryListLoaded = true;
        }, (err) => {
            console.error(err);
            this.assuranceCategoryListLoaded = true;
        });
    }
    getAssuranceForRequiresAudit() {
        // this.assuranceCategoryListLoaded = true;
        this.responsibilityService.getAssuranceForRequiresAudit().subscribe((res) => {
            this.assuranceRequiresAuditList = res;
            if ((this.subscriptionDetails &&
                !this.subscriptionDetails[0].audit_flag) ||
                this.assuranceRequiresAuditList?.length == 0) {
                this.hiddenList.push('REQUIRES_AUDIT');
            }
            this.hideElementsFromMoreOptions.emit(this.hiddenList);
            // this.assuranceCategoryListLoaded = true;
        }, (err) => {
            console.error(err);
            // this.assuranceCategoryListLoaded = true;
        });
    }
    getOrganizationDetails() {
        this.organizationCommonService?.getOrgDetailsInfo()?.subscribe({
            next: (res) => {
                this.isFrameworkAvailable = res?.enable_responsibility_framework;
            },
            error: (err) => {
                console.error(err);
            },
        });
    }
    getCategoryList() {
        this.loader = true;
        this.uiKitService.isLoader = true;
        this.responsibilityService.getCategoriesList().subscribe((res) => {
            const data = res;
            this.allCategories = cloneDeep(res);
            data.forEach((element) => {
                if (element && element.compliance_type == 0) {
                    this.categories.others.list.push(element);
                }
                if (element && element.compliance_type == 1) {
                    this.categories.regulations.list.push(element);
                }
                if (element && element.compliance_type == 2) {
                    this.categories.standards.list.push(element);
                }
                if (element && element.compliance_type == 3) {
                    this.categories.internalControls.list.push(element);
                }
            });
            this.categoriesListLoaded = true;
        }, (err) => {
            console.error(err);
            this.categoriesListLoaded = true;
        });
    }
    filterListsAccordingToProgram(program_id) {
        this.unSubscribeProgram.next();
        this.unSubscribeProgram.complete();
        if (program_id && this.orgDetails?.hasProgramFullPermission) {
            this.getPeopleListAgainstPID(program_id);
            this.getRCList(program_id);
            this.getGroupsList(program_id);
            this.getAssignorsList(program_id);
        }
        else {
            this.getAssigneesList();
            this.getRCList();
            this.getGroupsList();
            this.getAssignorsList();
        }
    }
    getProgramDetails(programId) {
        this.loader = true;
        this.programService.getProgram(programId).subscribe((res) => {
            if (res?.assessment &&
                res?.assessment?.length &&
                Object.keys(this.responsibilityForm?.assessment)?.length) {
                const categoryAssessment = res?.assessment.filter((assessment) => this.responsibilityForm?.assessment?.category_id ===
                    assessment?.category_id);
                if (categoryAssessment?.length &&
                    categoryAssessment[0]?.assessmentIds?.length) {
                    const isExist = categoryAssessment[0]?.assessmentIds?.includes(this.responsibilityForm?.assessment?.assessment_id);
                    if (!isExist) {
                        this.responsibilityForm.assessment = {
                            assessment_id: '',
                            category_id: '',
                        };
                    }
                }
                else {
                    this.responsibilityForm.assessment = {
                        assessment_id: '',
                        category_id: '',
                    };
                }
            }
            this.loader = false;
        });
    }
    getListsAccordingToProgram(program_id) {
        this.getPeopleListAgainstPID(program_id);
        this.getRCList(program_id);
        this.getGroupsList(program_id);
        this.getAssignorsList(program_id);
    }
    getAssignorsList(program_id) {
        let params = new HttpParams();
        if (program_id) {
            params = params.append('program_ids', program_id);
        }
        this.assignorsListLoader = true;
        this.responsibilityService.getAssignorsList(params).subscribe((res) => {
            this.behalfOfUsersList = res;
            if (program_id) {
                this.refreshListsWhileProgramSelected();
            }
            else {
                this.refreshAllLists();
            }
            this.assignorsListLoaded = true;
        }, (err) => {
            console.error(err);
            this.assignorsListLoaded = true;
            this.assignorsListLoader = false;
        }, () => {
            this.assignorsListLoader = false;
            if (program_id) {
                this.refreshListsWhileProgramSelected();
            }
            else {
                this.refreshAllLists();
            }
        });
    }
    getAssigneesList(program_id) {
        let params = new HttpParams();
        if (program_id) {
            params = params.append('program_ids', program_id);
        }
        this.userListLoader = true;
        this.fetchAssignee(program_id);
    }
    fetchAssignee(program_id) {
        this.organizationUserService.getOrganizationUsers().subscribe((res) => {
            this.allUsersList = res.map((user) => {
                user.member_name = user.employee_name;
                return user;
            });
            if (program_id) {
                this.refreshListsWhileProgramSelected();
            }
            else {
                this.refreshAllLists();
            }
            this.assigneesListLoaded = true;
        }, (err) => {
            console.error(err);
            this.assigneesListLoaded = true;
            this.userListLoader = false;
        }, () => {
            this.userListLoader = false;
            if (program_id) {
                this.refreshListsWhileProgramSelected();
            }
            else {
                this.refreshAllLists();
            }
        });
    }
    getPeopleListAgainstPID(program_id) {
        let params = new HttpParams();
        if (program_id) {
            params = params.append('program_ids', program_id);
            this.userListLoader = true;
        }
        this.organizationUserService.getOrganizationUsers().subscribe((res) => {
            this.setOrganizationUserList(res);
            if (this.responsibilityForm?.program[0]?.default_assignee_ids ||
                this.responsibilityForm.assignees.list?.length) {
                if (this.responsibilityForm.assignees.list?.length) {
                    const ids = this.returnIds(this.responsibilityForm.assignees.list, 'my_member_id');
                    const allIds = [
                        ...new Set(ids),
                        ...new Set(this.responsibilityForm?.program[0]?.default_assignee_ids),
                    ];
                    const assignors = this.assigneesList.filter((element) => allIds?.includes(element?.my_member_id));
                    if (assignors?.length) {
                        this.responsibilityForm.assignees.list = assignors;
                    }
                    else {
                        this.responsibilityForm.assignees.list = [];
                    }
                }
                else {
                    const assignors = this.assigneesList.filter((element) => this.responsibilityForm?.program[0]?.default_assignee_ids?.includes(element?.my_member_id));
                    if (assignors?.length) {
                        this.responsibilityForm.assignees.list = assignors;
                    }
                }
            }
            else {
                this.responsibilityForm.assignees.list = [];
            }
            if (this.featureFlag_groups) {
                this.populateProgramAssigneeGroup();
            }
            const checkedMoreOptions = [];
            if (this.responsibilityForm?.program[0]?.default_reviewers ||
                this.responsibilityForm?.reviewers?.list?.length ||
                this.responsibilityForm?.groupReviewers?.list?.length) {
                const ids = this.returnIds(this.responsibilityForm.reviewers.list, 'my_member_id');
                const allIds = [
                    ...new Set(ids),
                    ...new Set(this.responsibilityForm.program[0].default_reviewers),
                ];
                const reviewers = this.reviewersList.filter((element) => allIds?.includes(element?.my_member_id));
                // const reviewers = this.reviewersList.filter((element: any) => this.responsibilityForm.program[0].default_reviewers?.includes(element?.my_member_id));
                if (reviewers?.length ||
                    (this.featureFlag_groups &&
                        this.responsibilityForm?.groupReviewers?.list?.length > 0)) {
                    this.responsibilityForm.reviewers.list = reviewers;
                    this.responsibilityForm.reviewers.list = reviewers;
                    if (this.featureFlag_groups) {
                        this.responsibilityForm.reviewers.list = this.assignUserMemberId(this.responsibilityForm.reviewers.list);
                    }
                    this.moreOptions.REVIEWER = true;
                }
                else {
                    this.responsibilityForm.reviewers.list = [];
                }
            }
            else {
                this.responsibilityForm.reviewers.list = [];
            }
            if (this.featureFlag_groups) {
                this.populateProgramReviewerGroup();
            }
            if (this.responsibilityForm.program[0].default_overseers ||
                this.responsibilityForm?.overseers?.list?.length ||
                this.responsibilityForm?.overseers?.notifyList?.length) {
                const ids = this.returnIds(this.responsibilityForm?.overseers?.list, 'my_member_id');
                const allDefaultCCIds = [
                    ...new Set(ids),
                    ...new Set(this.responsibilityForm?.program[0]?.default_overseers?.cc_member_email),
                ];
                const overseersCC = this.overseersList?.filter((element) => allDefaultCCIds?.includes(element?.my_member_id));
                // const overseers = this.overseersList.filter((element: any) => this.responsibilityForm.program[0].default_overseers.cc_email.includes(element.my_member_id));
                const notifyListIds = this.returnIds(this.responsibilityForm.overseers.notifyList, 'my_member_id');
                const allDefaultCCFailureIds = [
                    ...new Set(notifyListIds),
                    ...new Set(this.responsibilityForm?.program[0]?.default_overseers?.failure_cc_member_email),
                ];
                const overseersCCFailure = this.overseersList?.filter((element) => allDefaultCCFailureIds?.includes(element?.my_member_id));
                // const notifyOverseers = this.overseersList.filter((element: any) => this.responsibilityForm.program[0].default_overseers.failure_cc_email.includes(element.my_member_id));
                // if (overseers?.length) {
                //   this.responsibilityForm.overseers.list = overseers;
                //   this.moreOptions.OVERSEER = true;
                // }
                // if (notifyOverseers?.length) {
                //   this.responsibilityForm.overseers.notifyList = notifyOverseers;
                //   this.moreOptions.OVERSEER = true;
                // }
                if (overseersCC?.length) {
                    this.responsibilityForm.overseers.list = overseersCC;
                    if (this.featureFlag_groups) {
                        this.responsibilityForm.overseers.list = this.assignUserMemberId(this.responsibilityForm.overseers.list);
                    }
                    this.moreOptions.OVERSEER = true;
                }
                else {
                    this.responsibilityForm.overseers.list = [];
                }
                if (overseersCCFailure?.length) {
                    this.responsibilityForm.overseers.notifyList = overseersCCFailure;
                    if (this.featureFlag_groups) {
                        this.responsibilityForm.overseers.notifyList =
                            this.assignUserMemberId(this.responsibilityForm.overseers.notifyList);
                    }
                    this.moreOptions.OVERSEER = true;
                }
                else {
                    this.responsibilityForm.overseers.notifyList = [];
                }
            }
            else {
                this.responsibilityForm.overseers.list = [];
                this.responsibilityForm.overseers.notifyList = [];
            }
            if (this.featureFlag_groups) {
                this.populateProgramOverseerGroup();
            }
            for (const key in this.moreOptions) {
                if (this.moreOptions[key]) {
                    checkedMoreOptions.push(key);
                }
            }
            this.populateOption.emit(checkedMoreOptions);
        }, (err) => {
            this.userListLoader = false;
            console.error(err);
        }, () => {
            this.refreshAllLists();
            this.userListLoader = false;
        });
    }
    setOrganizationUserList(res) {
        this.assigneesList = res.assignee.map((user) => {
            user.member_name = user.employee_name;
            return user;
        });
        this.overseersList = res.overseer.map((user) => {
            user.member_name = user.employee_name;
            return user;
        });
        this.reviewersList = res.reviewer.map((user) => {
            user.member_name = user.employee_name;
            return user;
        });
        this.programPeopleList = {
            assigneesList: [...new Set(this.assigneesList)],
            reviewersList: [...new Set(this.reviewersList)],
            overseersList: [...new Set(this.overseersList)],
        };
    }
    getGroupsList(program_id) {
        let params = new HttpParams();
        if (program_id) {
            params = params.append('program_ids', program_id);
        }
        this.responsibilityService
            .getOrganizationGroups(params)
            .pipe(takeUntil(this.unSubscribeProgram))
            .subscribe((res) => {
            const data = res ?? [];
            if (!program_id) {
                this.OrgGroup = data;
            }
            const groups = [];
            if (data?.length) {
                data?.forEach((element) => {
                    const obj = {
                        groupName: element.group_name,
                        userIds: element.member_ids,
                    };
                    groups.push(obj);
                });
            }
            this.groupsList = groups;
            this.groupsListLoaded = true;
            if (this.featureFlag_groups &&
                this.OrgGroup?.length &&
                this.responsibilityForm.program?.length &&
                program_id) {
                this.refreshListsWhileProgramSelected();
            }
            else {
                this.refreshAllLists();
            }
            if (this.responsibilityForm?.program[0]?.default_assignee_group_ids &&
                program_id) {
                const selectedGroups = data.filter((element) => this.responsibilityForm.program[0].default_assignee_group_ids?.includes(element.group_id));
                if (groups?.length) {
                    let memberIds = [];
                    selectedGroups.forEach((eachGroup) => {
                        if (eachGroup?.member_ids?.length) {
                            memberIds = [
                                ...new Set(memberIds.concat(eachGroup?.member_ids)),
                            ];
                        }
                    });
                    if (this.responsibilityForm.assignees.list?.length) {
                        const ids = this.returnIds(this.responsibilityForm.assignees.list, 'my_member_id');
                        const allIds = [...new Set(ids), ...new Set(memberIds)];
                        const assignors = this.assigneesList.filter((element) => allIds?.includes(element?.my_member_id));
                        if (assignors?.length) {
                            this.responsibilityForm.assignees.list = assignors;
                        }
                    }
                    else {
                        const assignors = this.assigneesList.filter((element) => memberIds?.includes(element?.my_member_id));
                        if (assignors?.length) {
                            this.responsibilityForm.assignees.list = assignors;
                        }
                    }
                }
            }
        }, (err) => {
            console.error(err);
            this.groupsListLoaded = true;
        });
    }
    getEditResponsibilityDetails(id) {
        this.responsibilityService.editResponsibility(id).subscribe((res) => {
            this.isDuplicateEntrust = true;
            if (res) {
                this.rawResponsibility = res;
                this.originalAssignee = [Number(res.assignee_member_id)];
                const currentUser = this.authService.getUserDetails()?.user;
                this.isGroupAssigned = res?.isGroupAssignTo ? true : false;
                const currentsUerInfo = {
                    member_email: currentUser?.email,
                    member_id: currentUser.id,
                    member_name: currentUser.name,
                    organisation_id: currentUser.organisation_id,
                    _id: this.authService.getUserDetails()._id,
                };
                const testPlanCategory = typeof res?.testplan_category_id === 'string'
                    ? []
                    : res?.testplan_category_id;
                const requiredAuditCategoryId = res?.audit_category_details?.category_id
                    ? [res?.audit_category_details?.category_id]
                    : [];
                const reviewerDetails = Object.keys(res?.reviewer_arr);
                this.hasReviewer = reviewerDetails?.length > 0;
                this.assigneeRadioSelect =
                    res?.assigned_to_member_id?.length == 0 ? true : false;
                this.isEntrust = res.isGroupAssignTo ? true : false;
                let linkage = res?.linkedProgramDetails;
                linkage.push(res?.programDetails);
                this.responsibilityForm = {
                    assignors: {
                        enable: false,
                        list: this.setList(this.assignorsList, [res.member_id], 'member_id')
                            ?.length > 0
                            ? this.setList(this.assignorsList, [res.member_id], 'member_id')
                            : [currentsUerInfo],
                    },
                    responsibility: {
                        name: res?.report_name,
                        keyResponsibility: res?.key_compliance,
                    },
                    assignees: {
                        whoCanComplete: res.isGroupAssignTo ? 'ANY_ONE' : 'ALL',
                        list: res.assigned_to_member_id?.length == 0
                            ? this.setList(this.assigneesList, [Number(res.assignee_member_id)], 'employee_id')
                            : this.setList(this.assigneesList, res.assigned_to_member_id, 'my_member_id'),
                    },
                    allowEditDueDate: res?.allowEditDueDate,
                    frequency: res?.frequency_details,
                    description: res?.remarks,
                    objective: res?.objective,
                    rc: this.setList(this.responsibilityCentersList, [Number(res?.rc_id)], 'rc_id'),
                    responsibilityCenterType: this.isResponsibilityRcLinkEnabled && res?.responsibilityCenterType
                        ? parseInt(res?.responsibilityCenterType)
                        : 0,
                    category: res?.program_cat_ids?.length
                        ? res?.category_ids_array.filter((ele) => !res.program_cat_ids?.includes(ele))
                        : res?.category_ids_array,
                    program_selected_ids: res?.category_id.split(',') ?? [],
                    category_id: res?.category_id ?? '',
                    linkedProgram: linkage ?? res?.linkedProgramDetails,
                    program: res?.programDetails?.category_id
                        ? [res?.programDetails]
                        : [],
                    checkpointInstruction: res?.checkpoint_description,
                    customTags: res?.custom_tags ? JSON.parse(res?.custom_tags) : '',
                    checkpoints: res?.checkpoint_details
                        ? JSON.parse(res?.checkpoint_details)
                        : '',
                    reviewers: {
                        sequentialWorkflow: res?.reviewer_arr?.level1?.type == 'SEQUENTIAL' ? true : false,
                        reviewFrequency: {
                            reviewCompleteDays: reviewerDetails?.length > 0 ? res?.review_after_days : 2,
                            reviewNOtCompletedDays: reviewerDetails?.length > 0 ? res?.review_failed_after_days : 2,
                        },
                        acceptedData: reviewerDetails?.length > 0
                            ? res?.reviewer_arr?.level1?.reviewers
                            : [],
                        list: reviewerDetails?.length > 0
                            ? this.setReviewerPayload(res?.reviewer_arr?.level1?.reviewers, 'object', res?.reviewer_arr?.level1?.type)
                            : [],
                    },
                    overseers: {
                        list: res?.cc_member_email
                            ? this.setList(this.overseersList, Object.keys(res?.cc_member_email).map(Number), 'employee_id')
                            : [],
                        notifyList: res?.failure_cc_member_email
                            ? this.setList(this.overseersList, Object.keys(res?.failure_cc_member_email).map(Number), 'employee_id')
                            : [],
                    },
                    formatAndEvidence: {
                        formatRequired: res?.report_format?.length > 0 ||
                            res?.link_for_details?.length > 0 ||
                            res?.isFormatUpload
                            ? true
                            : false,
                        formatFiles: res?.report_format,
                        formatLinks: res?.link_for_details,
                        evidenceRequired: res?.report_upload_flag ? true : false,
                    },
                    assuranceList: this.setList(this.assuranceCategoriesList, testPlanCategory, 'category_id'),
                    requiresAuditList: this.setList(this.assuranceRequiresAuditList, requiredAuditCategoryId, 'category_id'),
                    riskClass: res?.risk_class,
                    riskMatrix: res?.risk_matrix_data,
                    selectedGRCObjects: res?.linkedGrcDetails ?? [],
                };
                if (res?.linkedGrcDetails?.length > 0) {
                    this.setOtherGRCTypesFormate();
                }
                if (this.featureFlag_groups) {
                    this.populateAssigneeData(res);
                    this.populateOverseerData(res);
                    this.populateReviewerData(res);
                }
                this.responsibilityCenterType =
                    this.isResponsibilityRcLinkEnabled && res?.responsibilityCenterType
                        ? parseInt(res?.responsibilityCenterType)
                        : 0;
                this.selectedProgram = res?.programDetails?.category_id
                    ? res.programDetails
                    : undefined;
                if (this.selectedProgram?._id &&
                    this.orgDetails?.hasProgramFullPermission) {
                    this.getListsAccordingToProgram(this.selectedProgram?._id);
                }
                this.isNotificationPending = res.notification_pending;
                if (this.isNotificationPending) {
                    this.actionButtons[1].buttonText = 'View Responsibilities in Queue';
                }
                else {
                    this.actionButtons[1].buttonText = 'View Responsibilities';
                }
                // 5~0~0~0 this is for other frequency
                if (res.frequency_details !== '' &&
                    res.frequency_details !== '5~0~0~0') {
                    this.frequencyDataPopulation(res);
                    this.getFrequencyPlaceholder(res);
                    res.placeholder = this.frequencyPlaceholder;
                }
                else {
                    this.isEntrust = true;
                    this.mode = 'CREATE';
                    this.assigneeRadioSelect = false;
                    this.responsibilityForm.assignors.enable = false;
                    this.responsibilityForm.assignors.list = [];
                    this.organizationId = this.authService.getOrganizationId();
                    this.memberId = this.authService.getMemberId();
                }
                if (this.responsibilityForm.assignees.list?.length === 0 &&
                    (!this.featureFlag_groups ||
                        (this.responsibilityForm?.assigneeGroups.list?.length === 0 &&
                            this.featureFlag_groups))) {
                    this.isEntrust = true;
                    this.mode = 'CREATE';
                    this.assigneeRadioSelect = false;
                    this.responsibilityForm.assignors.enable = false;
                    this.responsibilityForm.assignors.list = [];
                    this.organizationId = this.authService.getOrganizationId();
                    this.memberId = this.authService.getMemberId();
                }
                //
                if (res.frequency_details.split('~')[0] !== 6) {
                    this.loader = false;
                    this.uiKitService.isLoader = false;
                }
                if (res?.rc_id > 0) {
                    this.rcSelected.emit(true);
                }
                if (this.isResponsibilityRcLinkEnabled &&
                    res?.responsibilityCenterArr?.length &&
                    res?.responsibilityCenterType === 1) {
                    this.responsibilityForm.rc = this.setList(this.responsibilityCentersList, res.responsibilityCenterArr, 'rc_id');
                    this.rcSelected.emit(true);
                }
                if (res?.audit_category_details) {
                    this.populateAssuranceList(res?.audit_category_details);
                }
                else {
                    this.responsibilityForm.audit_category_details = {
                        category_id: 0,
                        sample: 0,
                        percentage: 0,
                        frequency_pattern: '',
                        frequency_time: '',
                    };
                }
                if (res.assessment?.assessment_id) {
                    this.getAssessmentDetails(res.assessment, res.questionnaire_type);
                }
                if (!this.responsibilityForm.checkpoints) {
                    this.hiddenList.push('CHECKPOINTS');
                    this.hideElementsFromMoreOptions.emit(this.hiddenList);
                }
                else {
                    this.isAssessmentDisabled.emit(true);
                }
                this.callRefreshList();
                this.getEditMoreOptions(res);
                this.getOtherGRCTabCount({ rc_ids: '' });
                this.getOtherGRCObjects({ rc_ids: '', type: this.selectedGRCTab });
            }
        });
    }
    setList(list, ids, key) {
        const data = [];
        ids?.forEach((element) => {
            const index = list.findIndex((listElement) => listElement[key] == element);
            if (index !== -1) {
                data.push(list[index]);
            }
        });
        return data;
    }
    returnIds(list, key) {
        return list
            ?.map((ele) => {
            if (ele[key]) {
                return ele[key];
            }
        })
            .filter((ele) => ele);
    }
    populateProgramAssigneeGroup() {
        if (this.responsibilityForm?.program[0]?.default_assignee_group_ids ||
            this.responsibilityForm?.assigneeGroups?.list?.length) {
            if (this.responsibilityForm?.assigneeGroups?.list?.length) {
                const ids = this.returnIds(this.responsibilityForm?.assigneeGroups?.list, 'group_id');
                const allIds = [
                    ...new Set(ids),
                    ...new Set(this.responsibilityForm?.program[0]?.default_assignee_group_ids),
                ];
                const assigneeGroups = this.groupAssigneeList?.filter((element) => allIds?.includes(element?.group_id));
                if (assigneeGroups?.length) {
                    this.responsibilityForm.assigneeGroups.list = assigneeGroups;
                }
                else {
                    this.responsibilityForm.assigneeGroups.list = [];
                }
            }
            else {
                const assigneeGroups = this.groupAssigneeList?.filter((element) => this.responsibilityForm?.program[0]?.default_assignee_group_ids?.includes(element?.group_id));
                if (assigneeGroups?.length) {
                    this.responsibilityForm.assigneeGroups.list = assigneeGroups;
                }
            }
        }
        else {
            this.responsibilityForm.assigneeGroups.list = [];
        }
    }
    populateProgramOverseerGroup() {
        if (this.responsibilityForm?.program[0]?.default_overseers?.cc_email_groups ||
            this.responsibilityForm?.overseersGroups?.notifyList?.length ||
            this.responsibilityForm?.overseersGroups?.list?.length ||
            this.responsibilityForm?.program[0]?.default_overseers
                ?.failure_cc_email_groups) {
            if (this.responsibilityForm?.overseersGroups?.list?.length) {
                const ids = this.returnIds(this.responsibilityForm?.overseersGroups?.list, 'group_id');
                const allDefaultCCGroupIds = [
                    ...new Set(ids),
                    ...new Set(this.responsibilityForm?.program[0]?.default_overseers?.cc_email_groups),
                ];
                const overseersCCGroup = this.groupOverseerList?.filter((element) => allDefaultCCGroupIds?.includes(element?.group_id));
                const notifyListIds = this.returnIds(this.responsibilityForm.overseersGroups.notifyList, 'group_id');
                const allDefaultCCFailureGroupIds = [
                    ...new Set(notifyListIds),
                    ...new Set(this.responsibilityForm?.program[0]?.default_overseers?.failure_cc_email_groups),
                ];
                const overseersCCFailureGroup = this.groupOverseerList?.filter((element) => allDefaultCCFailureGroupIds?.includes(element?.group_id));
                if (overseersCCGroup?.length) {
                    this.responsibilityForm.overseersGroups.list = overseersCCGroup;
                    this.moreOptions.OVERSEER = true;
                }
                else {
                    this.responsibilityForm.overseersGroups.list = [];
                }
                if (overseersCCFailureGroup?.length) {
                    this.responsibilityForm.overseersGroups.notifyList =
                        overseersCCFailureGroup;
                    this.moreOptions.OVERSEER = true;
                }
                else {
                    this.responsibilityForm.overseersGroups.notifyList = [];
                }
            }
            else {
                const overseersCCGroup = this.groupOverseerList?.filter((element) => this.responsibilityForm?.program[0]?.default_overseers?.cc_email_groups?.includes(element?.group_id));
                const overseersCCFailureGroup = this.groupOverseerList?.filter((element) => this.responsibilityForm?.program[0]?.default_overseers?.failure_cc_email_groups?.includes(element?.group_id));
                if (overseersCCGroup?.length) {
                    this.responsibilityForm.overseersGroups.list = overseersCCGroup;
                    this.moreOptions.OVERSEER = true;
                }
                if (overseersCCFailureGroup.length) {
                    this.responsibilityForm.overseersGroups.notifyList =
                        overseersCCFailureGroup;
                    this.moreOptions.OVERSEER = true;
                }
            }
        }
        else {
            this.responsibilityForm.overseersGroups.list = [];
            this.responsibilityForm.overseersGroups.notifyList = [];
        }
    }
    populateProgramReviewerGroup() {
        if (this.responsibilityForm?.program[0]?.default_reviewer_group_ids ||
            this.responsibilityForm?.groupReviewers?.list?.length) {
            const ids = this.returnIds(this.responsibilityForm?.groupReviewers?.list, 'group_id');
            const allIds = [
                ...new Set(ids),
                ...new Set(this.responsibilityForm.program[0]?.default_reviewer_group_ids),
            ];
            const reviewersGroup = this.groupReviewerList.filter((element) => allIds?.includes(element?.group_id));
            if (reviewersGroup?.length ||
                (this.featureFlag_groups &&
                    this.responsibilityForm?.groupReviewers?.list?.length > 0)) {
                this.responsibilityForm.groupReviewers.list = reviewersGroup;
                this.moreOptions.REVIEWER = true;
            }
            else {
                this.responsibilityForm.groupReviewers.list = [];
            }
        }
        else {
            this.responsibilityForm.groupReviewers.list = [];
        }
    }
    populateOverseerData(res) {
        let overseerUserList = [];
        let overseerUserNotifyList = [];
        let overseerEmployeesList = res?.cc_member_email
            ? Object.keys(res?.cc_member_email).map(Number)
            : [];
        overseerUserList =
            overseerEmployeesList?.length > 0 &&
                res?.userGroupIds?.ccEmailGroupIds?.length > 0
                ? overseerEmployeesList.filter((employeeIds) => res?.existingUserIds?.ccEmailMemberIds?.includes(employeeIds))
                : [...overseerEmployeesList];
        let overseerEmployeeNotifyList = res?.failure_cc_member_email
            ? Object.keys(res?.failure_cc_member_email).map(Number)
            : [];
        overseerUserNotifyList =
            overseerEmployeeNotifyList?.length > 0 &&
                res?.userGroupIds?.failureCCEmailGroupIds?.length > 0
                ? overseerEmployeeNotifyList.filter((employeeIds) => res?.existingUserIds?.failureCCEmailMemberIds?.includes(employeeIds))
                : [...overseerEmployeeNotifyList];
        this.responsibilityForm['overseers'] = {
            list: res?.cc_member_email
                ? this.setList(this.overseersList, overseerUserList, 'employee_id')
                : [],
            notifyList: res?.failure_cc_member_email
                ? this.setList(this.overseersList, overseerUserNotifyList, 'employee_id')
                : [],
        };
        this.responsibilityForm['overseersGroups'] = {
            list: res?.userGroupIds?.ccEmailGroupIds
                ? this.setList(this.OrgGroup, res?.userGroupIds?.ccEmailGroupIds, 'group_id')
                : [],
            notifyList: res?.userGroupIds?.failureCCEmailGroupIds
                ? this.setList(this.OrgGroup, res?.userGroupIds?.failureCCEmailGroupIds, 'group_id')
                : [],
        };
    }
    populateReviewerData(res) {
        const reviewerDetails = Object.keys(res?.reviewer_arr);
        this.hasReviewer = reviewerDetails?.length > 0;
        const groupReviewerDetails = res?.userGroupIds?.reviewerGroupIds?.length
            ? Object.assign(res?.userGroupIds?.reviewerGroupIds)
            : [];
        let reviewer_users = [];
        reviewer_users =
            res?.reviewer_arr?.level1?.reviewers?.length > 0 &&
                res?.userGroupIds?.reviewerGroupIds?.length > 0
                ? res?.reviewer_arr?.level1?.reviewers.filter((memberId) => res?.existingUserIds?.reviewerIds?.includes(memberId?.member_id))
                : res?.reviewer_arr?.level1?.reviewers;
        this.responsibilityForm['reviewers'] = {
            sequentialWorkflow: res?.reviewer_arr?.level1?.type == 'SEQUENTIAL' ? true : false,
            reviewFrequency: {
                reviewCompleteDays: reviewerDetails?.length > 0 ? res?.review_after_days : 2,
                reviewNOtCompletedDays: reviewerDetails?.length > 0 ? res?.review_failed_after_days : 2,
            },
            acceptedData: reviewerDetails?.length > 0 ? reviewer_users : [],
            list: reviewerDetails?.length > 0
                ? this.setReviewerPayload(reviewer_users, 'object', res?.reviewer_arr?.level1?.type)
                : [],
        };
        this.responsibilityForm['groupReviewers'] = {
            sequentialWorkflow: res?.reviewer_arr?.level1?.type == 'SEQUENTIAL' ? true : false,
            reviewFrequency: {
                reviewCompleteDays: reviewerDetails?.length > 0 ? res?.review_after_days : 2,
                reviewNOtCompletedDays: reviewerDetails?.length > 0 ? res?.review_failed_after_days : 2,
            },
            list: groupReviewerDetails?.length > 0
                ? this.setList(this.OrgGroup, groupReviewerDetails, 'group_id')
                : [],
        };
    }
    populateAssigneeData(res) {
        let AssigneeAnyUserList = [];
        let AssigneeAllUserList = [];
        let assigneeAnyOneList = res?.assigned_to_member_id && this.isEntrust
            ? res?.assigned_to_member_id
            : [];
        AssigneeAnyUserList =
            res?.assigned_to_member_id?.length > 0 &&
                res?.userGroupIds?.assigneeAnyoneGroupIds?.length > 0
                ? assigneeAnyOneList.filter((employeeIds) => res?.existingUserIds?.assigneeAnyoneIds?.includes(employeeIds))
                : [...assigneeAnyOneList];
        AssigneeAllUserList =
            res?.assignee_member_id && !this.isEntrust ? res?.assignee_member_id : [];
        const assignedToUserDetails = this.setList(this.assigneesList, [Number(res?.assignee_member_id)], 'employee_id');
        if (assignedToUserDetails?.length) {
            const member_id = assignedToUserDetails[0]?.my_member_id;
            if (res?.existingUserIds?.assigneeAllIds?.includes(member_id)) {
                AssigneeAllUserList = res?.assignee_member_id;
                res.userGroupIds['assigneeAllGroupIds'] = [];
            }
            else if (res?.userGroupIds?.assigneeAllGroupIds?.length > 0) {
                AssigneeAllUserList = [];
            }
        }
        this.responsibilityForm['assignees'] = {
            whoCanComplete: res.isGroupAssignTo ? 'ANY_ONE' : 'ALL',
            list: res?.assigned_to_member_id?.length == 0
                ? this.setList(this.assigneesList, [Number(AssigneeAllUserList)], 'employee_id')
                : this.setList(this.assigneesList, AssigneeAnyUserList, 'my_member_id'),
        };
        this.responsibilityForm['assigneeGroups'] = {
            whoCanComplete: res?.isGroupAssignTo ? 'ANY_ONE' : 'ALL',
            list: res?.userGroupIds?.assigneeAnyoneGroupIds?.length == 0
                ? res?.userGroupIds?.assigneeAllGroupIds?.length > 0
                    ? this.setList(this.OrgGroup, res?.userGroupIds?.assigneeAllGroupIds, 'group_id')
                    : []
                : this.setList(this.OrgGroup, res?.userGroupIds?.assigneeAnyoneGroupIds, 'group_id'),
        };
        this.allGroupAssignee =
            this.responsibilityForm?.assigneeGroups?.list?.length > 0 &&
                !this.isEntrust;
    }
    /**
     * this function is for getting the users data based on member_id of users of selected User Group
     * @param userlist contains users data
     * @param selectedgroups contains selected User Group data
     * @returns user data of Selected user group.
     */
    getGroupsUserEmployeesId(userList, selectedGroups) {
        let groupMemberIds = [];
        let groupUserEmployee = [];
        selectedGroups?.forEach((group) => {
            groupMemberIds = [...new Set([...groupMemberIds, ...group?.member_ids])];
        });
        userList?.forEach((ele) => {
            if (groupMemberIds?.includes(ele?.my_member_id)) {
                groupUserEmployee.push(ele);
            }
        });
        return groupUserEmployee;
    }
    setReviewerPayload(ids, type, acceptedData, reviewerType) {
        if (type === 'object') {
            const idObjArray = this.returnIds(ids, 'member_id');
            return this.setList(this.allUsersList, idObjArray, 'my_member_id');
        }
        else if (type === 'list') {
            const payLoad = [];
            const idsList = this.returnIds(ids, 'my_member_id');
            idsList.forEach((element) => {
                let index = -1;
                if ((acceptedData ?? [])?.length > 0) {
                    index =
                        acceptedData?.findIndex((ele) => ele.member_id === element) ?? -1;
                }
                let acceptStatus = index > -1 && acceptedData ? acceptedData[index].reviewer_accept : 0;
                if (acceptStatus === 0 && reviewerType === 'ANYONE') {
                    acceptStatus = 1;
                }
                payLoad.push({ member_id: element, reviewer_accept: acceptStatus });
            });
            return payLoad;
        }
    }
    checkWhetherAllListsLoaded() {
        const editLoader = this.mode === 'EDIT'
            ? this.rcListLoaded &&
                this.groupsListLoaded &&
                this.assignorsListLoaded &&
                this.assuranceCategoryListLoaded
            : true;
        if (this.categoriesListLoaded && this.assigneesListLoaded && editLoader) {
            if (this.frameworkDetails?.length > 0) {
                this.assignFromFramework(this.frameworkDetails[0]);
            }
            if (this.mode === 'EDIT') {
                this.getEditResponsibilityDetails(this.responsibilityId);
            }
            else {
                this.loader = false;
                this.uiKitService.isLoader = false;
                if (this.selectedProgram) {
                    this.responsibilityForm.program.push(this.selectedProgram);
                    this.responsibilityForm.program_selected_ids.push(this.selectedProgram.category_id);
                    this.responsibilityForm.category_id =
                        this.selectedProgram?.category_id?.toString();
                    if (this.orgDetails?.hasProgramFullPermission) {
                        this.responsibilityForm.assignees.whoCanComplete =
                            this.selectedProgram?.default_assignee_type == 'ANYONE'
                                ? 'ANY_ONE'
                                : 'ALL';
                        this.responsibilityForm.reviewers.sequentialWorkflow =
                            this.selectedProgram?.default_reviewers_type == 'SEQUENTIAL'
                                ? true
                                : false;
                        this.responsibilityForm.formatAndEvidence.evidenceRequired = this
                            .selectedProgram?.evidence_upload_flag
                            ? true
                            : false;
                    }
                    const programCustomTags = this.selectedProgram?.custom_tags
                        ? JSON.parse(this.selectedProgram.custom_tags)
                        : [];
                    programCustomTags.forEach((tag) => {
                        const tagData = JSON.parse(tag);
                        const index = this.responsibilityForm.customTags.findIndex((tagElement) => tagElement.tag_name == tagData.tag_name);
                        if (index == -1) {
                            this.responsibilityForm.customTags.push(tagData);
                        }
                    });
                    const checkedMoreOptions = [];
                    this.moreOptions.PROGRAM = true;
                    checkedMoreOptions.push('PROGRAM');
                    if (this.selectedProgram?.evidence_upload_flag &&
                        this.orgDetails?.hasProgramFullPermission) {
                        checkedMoreOptions.push('FORMATE_EVIDENCE');
                        this.moreOptions.FORMATE_EVIDENCE = true;
                    }
                    this.filterListsAccordingToProgram(this.selectedProgram?._id);
                    this.populateOption.emit(checkedMoreOptions);
                }
            }
        }
        else {
            setTimeout(() => {
                this.checkWhetherAllListsLoaded();
            }, 300);
        }
    }
    saveSelectedList(type, selectedItems) {
        switch (type) {
            case 'assignors':
                if (this.invalidType === 'whom') {
                    this.invalidType = '';
                }
                this.responsibilityForm.assignors.list = this.setList(this.assignorsList, [selectedItems.member_id], 'member_id');
                // this.callRefreshList();
                break;
            case 'assignees':
                if (this.invalidType === 'who') {
                    this.invalidType = '';
                }
                if (!this.isEntrust &&
                    this.responsibilityForm.assignees.whoCanComplete !== 'ANY_ONE') {
                    this.responsibilityForm.assignees.list = this.setList(this.assigneesList, [selectedItems.employee_id], 'employee_id');
                    // this.callRefreshList();
                }
                else {
                    if (this.featureFlag_groups) {
                        this.saveGroupAssigneeData(selectedItems);
                    }
                    else {
                        this.responsibilityForm.assignees.list = this.setList(this.assigneesList, selectedItems, 'my_member_id');
                    }
                    // this.callRefreshList();
                }
                break;
            case 'rc':
                this.responsibilityForm.rc = this.setList(this.responsibilityCentersList, selectedItems, 'item_id');
                this.rcSelected.emit(this.responsibilityForm.rc?.length > 0);
                if (this.responsibilityForm.rc?.length === 0) {
                    this.responsibilityForm.requiresAuditList = [];
                    this.responsibilityForm['audit_category_details']['category_id'] = 0;
                    this.responsibilityForm.selectedGRCObjects = [];
                }
                this.getOtherGRCTabCount({ rc_ids: '' });
                this.getOtherGRCObjects({ rc_ids: '', type: this.selectedGRCTab });
                break;
            case 'category':
                this.responsibilityForm.category = selectedItems;
                selectedItems.forEach((element) => {
                    const tag = element.custom_tags !== '' &&
                        element.custom_tags !== 'null' &&
                        element.custom_tags != '[]'
                        ? JSON.parse(element.custom_tags)
                        : [];
                    if (tag?.length > 0) {
                        tag.forEach((tagData) => {
                            const index = this.responsibilityForm.customTags.findIndex((tagElement) => tagElement.tag_name == tagData.tag_name);
                            if (index == -1) {
                                this.responsibilityForm.customTags.push(tagData);
                            }
                        });
                    }
                });
                break;
            case 'program':
                this.responsibilityForm.linkedProgram = selectedItems?.linkedProgram;
                if (this.selectedProgram &&
                    !((this.selectedProgram?.programType === 0 &&
                        this.selectedProgram?.name?.toLowerCase() === 'uncategorized') ||
                        !this.orgDetails?.hasProgramFullPermission) &&
                    !this.feature.isFeatureEnabled('ff_deprecate_primary_program_flag')) {
                    this.responsibilityForm.category = selectedItems.categories
                        ? selectedItems.categories
                        : [];
                    let categoryId = selectedItems?.categories?.toString();
                    if (selectedItems?.categories?.length) {
                        this.responsibilityForm.category_id =
                            selectedItems?.program?.category_id + ',' + categoryId;
                    }
                    else {
                        this.responsibilityForm.category_id =
                            selectedItems?.program?.category_id?.toString();
                    }
                    this.responsibilityForm.program_selected_ids = [
                        ...new Set(selectedItems?.categories),
                        ...new Set([selectedItems?.program?.category_id]),
                    ];
                    const programCustomTags = selectedItems?.program?.custom_tags
                        ? JSON.parse(selectedItems?.program?.custom_tags)
                        : [];
                    programCustomTags?.forEach((tag) => {
                        const tagData = typeof tag === 'string' ? JSON.parse(tag) : tag;
                        const index = this.responsibilityForm.customTags.findIndex((tagElement) => tagElement.tag_name == tagData.tag_name);
                        if (index == -1) {
                            this.responsibilityForm.customTags.push(tagData);
                        }
                    });
                }
                else {
                    if (this.responsibilityForm?.assessment) {
                        Object.keys(this.responsibilityForm?.assessment)?.length
                            ? this.getProgramDetails(selectedItems?.program._id)
                            : null;
                    }
                    this.responsibilityForm.category = selectedItems.categories
                        ? selectedItems.categories
                        : [];
                    this.responsibilityForm.program = [];
                    this.responsibilityForm.category_id = '';
                    this.responsibilityForm.program_selected_ids = [];
                    this.responsibilityForm.customTags = [];
                    this.responsibilityForm.program = selectedItems.program
                        ? [selectedItems.program]
                        : [];
                    let categoryId = selectedItems?.categories?.toString();
                    if (selectedItems?.categories?.length) {
                        this.responsibilityForm.category_id =
                            selectedItems?.program?.category_id + ',' + categoryId;
                    }
                    else {
                        this.responsibilityForm.category_id =
                            selectedItems?.program?.category_id?.toString();
                    }
                    this.responsibilityForm.program_selected_ids = [
                        ...new Set(selectedItems?.categories),
                        ...new Set([selectedItems?.program?.category_id]),
                    ];
                    const programCustomTags = selectedItems?.program?.custom_tags
                        ? JSON.parse(selectedItems?.program?.custom_tags)
                        : [];
                    programCustomTags?.forEach((tag) => {
                        const tagData = typeof tag === 'string' ? JSON.parse(tag) : tag;
                        const index = this.responsibilityForm.customTags.findIndex((tagElement) => tagElement.tag_name == tagData.tag_name);
                        if (index == -1) {
                            this.responsibilityForm.customTags.push(tagData);
                        }
                    });
                    if (this.orgDetails?.hasProgramFullPermission) {
                        this.responsibilityForm.assignees.whoCanComplete =
                            selectedItems?.program?.default_assignee_type == 'ANYONE'
                                ? 'ANY_ONE'
                                : 'ALL';
                        this.responsibilityForm.reviewers.sequentialWorkflow =
                            selectedItems?.program?.default_reviewers_type == 'SEQUENTIAL'
                                ? true
                                : false;
                        this.responsibilityForm.formatAndEvidence.evidenceRequired =
                            selectedItems?.program?.evidence_upload_flag ? true : false;
                        if (selectedItems?.program?.evidence_upload_flag) {
                            this.moreOptions.FORMATE_EVIDENCE = true;
                        }
                    }
                    if (!(this.selectedProgram?.programType === 0 &&
                        this.selectedProgram?.name?.toLowerCase() === 'uncategorized')) {
                        if (selectedItems?.program?._id &&
                            this.orgDetails?.hasProgramFullPermission) {
                            this.filterListsAccordingToProgram(selectedItems.program._id);
                        }
                        else {
                            this.filterListsAccordingToProgram();
                        }
                    }
                }
                break;
            case 'reviewer':
                if (this.featureFlag_groups) {
                    this.saveGroupReviewerData(selectedItems);
                }
                else {
                    this.responsibilityForm.reviewers.list = this.setList(this.reviewersList, selectedItems, 'employee_id');
                }
                // this.callRefreshList();
                break;
            case 'overseer':
                if (this.featureFlag_groups) {
                    this.saveOverseerData(selectedItems, 'overseerList');
                }
                else {
                    this.responsibilityForm.overseers.list = this.setList(this.allUsersList, selectedItems, 'employee_id');
                }
                // this.callRefreshList();
                break;
            case 'overseerNotify':
                if (this.featureFlag_groups) {
                    this.saveOverseerData(selectedItems, 'overseerNotifyList');
                }
                else {
                    this.responsibilityForm.overseers.notifyList = this.setList(this.allUsersList, selectedItems, 'employee_id');
                }
                // this.callRefreshList();
                break;
            case 'assurance':
                this.responsibilityForm.assuranceList = this.setList(this.assuranceCategoriesList, selectedItems, 'category_id');
                break;
            case 'requires_audit':
                this.responsibilityForm.requiresAuditList = this.setList(this.assuranceRequiresAuditList, [selectedItems?.category_id], 'category_id');
                this.responsibilityForm['audit_category_details']['category_id'] =
                    selectedItems?.category_id;
                break;
            case 'checkpoints':
                this.responsibilityForm.checkpoints = selectedItems?.checkpointDetails;
                this.responsibilityForm.checkpointInstruction =
                    selectedItems?.checkpointInstruction;
                break;
            case 'calculatedrisk':
                this.responsibilityForm.riskClass = selectedItems?.riskClass;
                this.responsibilityForm.riskMatrix = selectedItems?.riskMatrix;
                break;
            case 'formate_evidence':
                this.responsibilityForm.formatAndEvidence.formatRequired =
                    selectedItems?.isFormateUploaded ?? false;
                this.responsibilityForm.formatAndEvidence.formatFiles =
                    selectedItems?.files ?? [];
                this.responsibilityForm.formatAndEvidence.formatLinks =
                    selectedItems?.links ?? [];
                this.responsibilityForm.formatAndEvidence.evidenceRequired =
                    selectedItems?.isEvidenceRequired ?? false;
                break;
            case 'reviewFrequency':
                this.responsibilityForm.reviewers.reviewFrequency = {
                    reviewCompleteDays: selectedItems.completeDays,
                    reviewNOtCompletedDays: selectedItems.notCompleted,
                };
                break;
            case 'GRC_OBJECTS':
                this.responsibilityForm.selectedGRCObjects = selectedItems;
                this.setOtherGRCTypesFormate();
        }
        this.activeDeselector();
    }
    /**
     * If the program is selected and the user has full permission, refresh the lists while the program
     * is selected. Otherwise, refresh all lists.
     * </code>
     */
    callRefreshList() {
        if (this.responsibilityForm.program?.length &&
            this.orgDetails?.hasProgramFullPermission) {
            this.refreshListsWhileProgramSelected();
        }
        else {
            this.refreshAllLists();
        }
    }
    remove(type, event) {
        switch (type) {
            case 'rc':
                const rcIndex = this.responsibilityForm.rc.findIndex((rc) => rc.rc_id == event.rc_id);
                this.responsibilityForm.rc.splice(rcIndex, 1);
                this.rcSelected.emit(this.responsibilityForm.rc?.length > 0);
                if (this.responsibilityForm.rc?.length === 0) {
                    this.responsibilityForm.requiresAuditList = [];
                    this.responsibilityForm['audit_category_details']['category_id'] = 0;
                }
                this.getOtherGRCTabCount({ rc_ids: '' });
                this.getOtherGRCObjects({ rc_ids: '', type: this.selectedGRCTab });
                break;
            case 'assignors':
                this.responsibilityForm.assignors.list = [];
                this.callRefreshList();
                break;
            case 'assignees':
                const entrustIndex = this.responsibilityForm?.assignees?.list.findIndex((owner) => owner.employee_id == event.employee_id);
                this.responsibilityForm.assignees.list.splice(entrustIndex, 1);
                this.callRefreshList();
                break;
            case 'groupassignees':
                const groupIndex = this.responsibilityForm?.assigneeGroups?.list.findIndex((group) => group.group_id == event.group_id);
                this.responsibilityForm.assigneeGroups.list.splice(groupIndex, 1);
                this.callRefreshList();
                break;
            case 'reviewer':
                const reviewerIndex = this.responsibilityForm.reviewers.list.findIndex((reviewer) => reviewer.employee_id == event.employee_id);
                this.responsibilityForm.reviewers.list.splice(reviewerIndex, 1);
                this.callRefreshList();
                break;
            case 'groupReviewer':
                const groupReviewerIndex = this.responsibilityForm?.groupReviewers?.list.findIndex((reviewer) => reviewer.group_id == event.group_id);
                this.responsibilityForm.groupReviewers.list.splice(groupReviewerIndex, 1);
                this.callRefreshList();
                break;
            case 'overseer':
                const overseerIndex = this.responsibilityForm?.overseers?.list.findIndex((overseer) => overseer.employee_id == event.employee_id);
                this.responsibilityForm.overseers.list.splice(overseerIndex, 1);
                this.callRefreshList();
                break;
            case 'overseerGroup':
                const overseerGroupIndex = this.responsibilityForm?.overseersGroups?.list.findIndex((overseer) => overseer.group_id == event.group_id);
                this.responsibilityForm.overseersGroups.list.splice(overseerGroupIndex, 1);
                this.callRefreshList();
                break;
            case 'overseerNotifyList':
                const overseerNotifyIndex = this.responsibilityForm?.overseers?.notifyList.findIndex((overseerN) => overseerN.employee_id == event.employee_id);
                this.responsibilityForm.overseers.notifyList.splice(overseerNotifyIndex, 1);
                this.callRefreshList();
                break;
            case 'overseerGroupNotifyList':
                const overseerGroupNotifyIndex = this.responsibilityForm?.overseersGroups?.notifyList.findIndex((overseerN) => overseerN.group_id == event.group_id);
                this.responsibilityForm.overseersGroups.notifyList.splice(overseerGroupNotifyIndex, 1);
                this.callRefreshList();
                break;
            case 'category':
                const categoryIndex = this.responsibilityForm.category.findIndex((category) => category.category_id == event.category_id);
                this.responsibilityForm.category.splice(categoryIndex, 1);
                const tag = JSON.parse(event.custom_tags);
                if (tag?.length > 0) {
                    tag.forEach((tagData) => {
                        const indexCT = this.responsibilityForm.customTags.findIndex((tagElement) => tagElement.tag_name == tagData.tag_name);
                        if (indexCT != -1) {
                            this.responsibilityForm.customTags.splice(indexCT, 1);
                        }
                    });
                }
                if (this.responsibilityForm.category?.length > 0) {
                    this.responsibilityForm.category.forEach((element) => {
                        const tag = JSON.parse(element.custom_tags);
                        if (tag?.length > 0) {
                            tag.forEach((tagData) => {
                                const index = this.responsibilityForm.customTags.findIndex((tagElement) => tagElement.tag_name == tagData.tag_name);
                                if (index == -1) {
                                    this.responsibilityForm.customTags.push(tagData);
                                }
                            });
                        }
                    });
                }
                break;
            case 'program':
                this.checkDefaultProgramOnRemove(event);
                // this.responsibilityForm.category = [];
                // this.responsibilityForm.program = [];
                // this.filterListsAccordingToProgram();
                break;
            case 'requires_audit':
                this.responsibilityForm.requiresAuditList = [];
                this.responsibilityForm.audit_category_details = {
                    category_id: 0,
                    sample: 0,
                    percentage: 0,
                    frequency_pattern: '',
                    frequency_time: '',
                };
                break;
            case 'assurance':
                const assuranceIndex = this.responsibilityForm.assuranceList.findIndex((assurance) => assurance.category_id == assurance.category_id);
                this.responsibilityForm.assuranceList.splice(assuranceIndex, 1);
                break;
            case 'checkpoint':
                this.responsibilityForm.checkpoints.splice(event, 1);
                break;
            case 'assessment':
                this.responsibilityForm.assessment = {
                    category_id: '',
                    assessment_id: '',
                };
                break;
            case 'new-checkpoints':
                this.responsibilityForm.new_checkpoints = {};
                this.checkpointCount = 0;
                this.checkpointCountUpdated.emit(this.checkpointCount);
                break;
            case 'GRC_OBJECTS':
                this.removeOtherGRCObjects(event);
                break;
        }
    }
    saveGroupAssigneeData(selectedItems) {
        let userObj;
        userObj = selectedItems?.length ? selectedItems : selectedItems?.users;
        this.responsibilityForm.assignees.list = this.setList(this.assigneesList, userObj, 'my_member_id');
        this.responsibilityForm.assigneeGroups.list = this.setList(this.OrgGroup, selectedItems?.groups, 'group_id');
    }
    saveGroupReviewerData(selectedItems) {
        let userObj = [];
        selectedItems.users.forEach((ele) => {
            userObj.push(ele.employee_id);
        });
        this.responsibilityForm.reviewers.list = this.setList(this.reviewersList, userObj, 'employee_id');
        this.responsibilityForm.groupReviewers = {
            list: selectedItems?.groups?.length > 0 ? selectedItems?.groups : [],
        };
        this.responsibilityForm.reviewers.sequentialWorkflow =
            this.responsibilityForm?.groupReviewers?.list?.length > 0
                ? false
                : this.responsibilityForm.reviewers.sequentialWorkflow;
    }
    saveOverseerData(selectedItems, type) {
        switch (type) {
            case 'overseerList':
                let overseerselectedlist = this.returnIds(selectedItems.users, 'employee_id');
                this.responsibilityForm.overseers.list = this.setList(this.overseersList, overseerselectedlist, 'employee_id');
                this.responsibilityForm.overseersGroups['list'] =
                    selectedItems?.groups?.length > 0 ? selectedItems?.groups : [];
                break;
            case 'overseerNotifyList':
                let overseerselectedNotifylist = this.returnIds(selectedItems.users, 'employee_id');
                this.responsibilityForm.overseers.notifyList = this.setList(this.overseersList, overseerselectedNotifylist, 'employee_id');
                this.responsibilityForm.overseersGroups['notifyList'] =
                    selectedItems?.groups?.length > 0 ? selectedItems?.groups : [];
                break;
        }
    }
    entrustFramework(event) {
        this.reset();
        this.activeDeselector();
        this.responsibilityForm.responsibility = {
            name: event.report_name,
            keyResponsibility: event.key_compliance ? true : false,
        };
        const newStartDate = event.start_date || event.start_date != null || event.start_date !== ''
            ? new Date(event.start_date * 1000)
            : new Date();
        const pvtTemplate = event.frequency_template && event.frequency_template !== ''
            ? event.frequency_template
            : event.frequency;
        const frequencyDetailsObject = this.frequencyService.shortHand_freqCal(pvtTemplate, newStartDate.getDate(), newStartDate.getMonth(), newStartDate.getFullYear());
        this.responsibilityForm.frequency_details = frequencyDetailsObject?.pattern;
        event.frequency_details = this.responsibilityForm.frequency_details;
        event.frequency_time = DEFAULT_24HR;
        event.reminder_before_days = event.remind_days_before_due_date
            ? event.remind_days_before_due_date
            : 2;
        event.failed_after_days = event.mark_failed_after
            ? event.mark_failed_after
            : 2;
        event.lifecycle_details = '0000-00-00~~0';
        event.start_of_day_utc = this.frequencyService.frameworkStartDate(event);
        event.on_completion_of = [];
        event.dom_utc = new Date().getTime();
        event.continuous_failed_days =
            frequencyDetailsObject.continuous_failed_days;
        this.responsibilityForm.frequency =
            this.responsibilityForm.frequency_details;
        this.responsibilityForm.frequency_time = DEFAULT_24HR;
        this.responsibilityForm.reminder_before_days =
            event.remind_days_before_due_date ? event.remind_days_before_due_date : 2;
        this.responsibilityForm.failed_after_days = event.mark_failed_after
            ? event.mark_failed_after
            : 2;
        this.responsibilityForm.lifecycleDetails = '0000-00-00~~0';
        this.responsibilityForm.start_of_day_utc = this.frequencyService
            .frameworkStartDate(event)
            .toFixed()
            .toString();
        this.responsibilityForm.on_completion_of = [];
        this.responsibilityForm.dom_utc = new Date().getTime();
        this.responsibilityForm.description =
            event.remarks.trim() != '' ? event.remarks : '';
        this.responsibilityForm.customTags =
            event.custom_tags &&
                event.custom_tags !== null &&
                event.custom_tags !== 'null' &&
                event.custom_tags !== ''
                ? JSON.parse(event.custom_tags)
                : [];
        this.responsibilityForm.objective = event.control_objective
            ? event.control_objective
            : '';
        this.responsibilityForm.category = this.setList(this.allCategories, [event.category_id], 'category_id'); //
        this.responsibilityForm.reviewers.reviewFrequency.reviewCompleteDays = 2;
        this.responsibilityForm.reviewers.reviewFrequency.reviewNOtCompletedDays = 2;
        this.responsibilityForm.rc = this.responsibilityCentersList.find((rc) => rc.rc_id === event.entity_id)
            ? [
                this.responsibilityCentersList.find((rc) => rc.rc_id === event.entity_id),
            ]
            : [];
        this.responsibilityForm.riskClass = this.isRiskEnable ? 1 : 2;
        this.responsibilityForm.private_library_id = event.report_id;
        this.responsibilityForm.frequency =
            this.responsibilityForm.frequency_details;
        this.responsibilityForm.classification = this.isRiskEnable ? 1 : 2;
        this.responsibilityForm.continuous_failed_days =
            frequencyDetailsObject.continuous_failed_days;
        this.responsibilityForm.startDate =
            this.frequencyService.frameworkStartDate(event);
        this.responsibilityForm.formatAndEvidence = {
            evidenceRequired: event.report_upload_flag ? true : false,
            formatFiles: event.report_format,
            formatLinks: !event.report_format_link || event.report_format_link == ''
                ? []
                : [event.report_format_link],
            formatRequired: event.report_format?.length > 0 ||
                (event.report_format_link && event.report_format_link != '')
                ? true
                : false,
        };
        this.responsibilityForm.audit_category_details = {
            category_id: 0,
            sample: 5,
            percentage: 30,
            frequency_pattern: '1~0~3~1',
            frequency_time: DEFAULT_24HR,
        };
        event.frequency_time = DEFAULT_TIME;
        if (event.frequency_details !== '' &&
            event.frequency_details !== '5~0~0~0') {
            this.frequencyPopulation(event);
        }
        else {
            this.responsibilityForm.frequency = '';
        }
        event.frequency_time = DEFAULT_24HR;
        event.placeholder = this.getFrequencyPlaceholder(event);
        const checkedMoreOptions = [];
        if (this.responsibilityForm.objective !== '') {
            checkedMoreOptions.push('OBJECTIVE');
            this.moreOptions.OBJECTIVE = true;
        }
        checkedMoreOptions.push('RISK_CLASSIFICATION');
        this.moreOptions.RISK_CLASSIFICATION = true;
        if (this.responsibilityForm.category?.length > 0) {
            checkedMoreOptions.push('CATEGORY');
            this.moreOptions.CATEGORY = true;
        }
        if (this.responsibilityForm?.formatAndEvidence?.evidenceRequired ||
            this.responsibilityForm?.formatAndEvidence?.formatRequired) {
            checkedMoreOptions.push('FORMATE_EVIDENCE');
            this.moreOptions.FORMATE_EVIDENCE = true;
        }
        if (event.entity_id > 0) {
            checkedMoreOptions.push('RC');
            this.moreOptions.RC = true;
        }
        this.populateOption.emit(checkedMoreOptions);
        //  event.placeholder
    }
    assignFromFramework(freqObj) {
        if (freqObj.data) {
            // this.reset();
            this.activeDeselector();
            const newStartDate = new Date();
            const frequencyDetailsObject = this.frequencyService.shortHand_freqCal(freqObj.data.frequency, newStartDate.getDate(), newStartDate.getMonth(), newStartDate.getFullYear());
            let event = {};
            event.frequency_details = frequencyDetailsObject?.pattern;
            event.frequency_time = DEFAULT_24HR;
            event.reminder_before_days = 2;
            event.failed_after_days = 2;
            event.lifecycle_details = '0000-00-00~~0';
            event.start_of_day_utc = Date.now() / 1000;
            event.on_completion_of = [];
            event.dom_utc = new Date().getTime();
            event.continuous_failed_days =
                frequencyDetailsObject.continuous_failed_days;
            this.getFrequencyPlaceholder(event);
            event.placeholder = this.frequencyPlaceholder;
            event.frequency_time = DEFAULT_TIME;
            this.frequencyPopulation(event);
            this.responsibilityForm.responsibility.name = freqObj.data.name ?? '';
            this.responsibilityForm.objective = freqObj.data.objectives ?? '';
            this.responsibilityForm.frequency = frequencyDetailsObject?.pattern ?? '';
            this.responsibilityForm.startDate = event.start_of_day_utc;
            this.responsibilityForm.reminder_before_days = event.reminder_before_days;
            this.responsibilityForm.continuous_failed_days =
                event.continuous_failed_days;
            this.responsibilityForm.failed_after_days = event.failed_after_days;
            this.selectedFrameworkValues = freqObj.selectedFrameworkData ?? undefined;
            if (freqObj?.data?.description) {
                this.responsibilityForm.description = freqObj?.data?.description;
            }
            if (freqObj?.data?.objectives) {
                this.responsibilityForm.objective = freqObj.data.objectives ?? '';
                this.moreOptions.OBJECTIVE = true;
                let checkedMoreOptions = [];
                for (const key in this.moreOptions) {
                    if (this.moreOptions[key]) {
                        checkedMoreOptions.push(key);
                    }
                }
                this.populateOption.emit(checkedMoreOptions);
            }
        }
    }
    /**
     *
     * @param list userlist for listing users
     * @returns assign user's my_member_id  to member_id data
     */
    assignUserMemberId(list) {
        const userObj = [...list];
        userObj?.forEach((user) => {
            user.member_id = user?.my_member_id;
        });
        list = [...userObj];
        return list;
    }
    refreshAllLists() {
        let assignorAndAssigneesIds = [];
        let allUsersIds = [];
        let assigneeGroupIds = [];
        let reviewersIds = [];
        let overseerIds = [];
        let assigneeIds = [];
        let groupReviewerIds = [];
        let groupOverseerIds = [];
        this.reviewerIds = [];
        this.assignorId = [];
        this.overseerIds = [];
        this.assigneeIds = [];
        const allUsers = cloneDeep(this.allUsersList);
        const allGroups = cloneDeep(this.OrgGroup);
        const behalfUsers = cloneDeep(this.behalfOfUsersList);
        const assignors = cloneDeep(this.responsibilityForm?.assignors?.list);
        const assignees = cloneDeep(this.responsibilityForm?.assignees?.list);
        const assigneeGroupList = cloneDeep(this.responsibilityForm?.assigneeGroups?.list);
        const reviewers = cloneDeep(this.responsibilityForm.reviewers.list);
        const groupReviewersList = this.featureFlag_groups
            ? cloneDeep(this.responsibilityForm?.groupReviewers?.list)
            : [];
        const overseerList = cloneDeep(this.responsibilityForm?.overseers?.list);
        const groupOverseerList = this.featureFlag_groups
            ? cloneDeep(this.responsibilityForm?.overseersGroups?.list)
            : [];
        const notifyOverseers = cloneDeep(this.responsibilityForm?.overseers?.notifyList);
        const groupNotifyOverseers = this.featureFlag_groups
            ? cloneDeep(this.responsibilityForm?.overseersGroups?.notifyList)
            : [];
        assignors?.forEach((user) => {
            assignorAndAssigneesIds.push(user.member_id);
            this.assignorId.push(user.member_id);
        });
        assignees?.forEach((user) => {
            assignorAndAssigneesIds.push(user?.my_member_id);
            assigneeIds.push(user?.my_member_id);
            this.assigneeIds.push(user?.my_member_id);
        });
        if (this.responsibilityForm.assignors.list?.length == 0) {
            assignorAndAssigneesIds.push(this.memberId);
            this.assignorId.push(this.memberId);
        }
        allUsers?.forEach((user) => {
            allUsersIds.push(user?.my_member_id);
        });
        assigneeGroupList?.forEach((group) => {
            assigneeGroupIds.push(group?.group_id);
        });
        reviewers?.forEach((user) => {
            reviewersIds.push(user?.my_member_id);
            this.reviewerIds.push(user?.my_member_id);
        });
        groupReviewersList?.forEach((group) => {
            groupReviewerIds.push(group?.group_id);
        });
        groupOverseerList?.forEach((group) => {
            groupOverseerIds.push(group?.group_id);
        });
        groupNotifyOverseers?.forEach((group) => {
            groupOverseerIds.push(group?.group_id);
        });
        overseerList?.forEach((user) => {
            overseerIds.push(user?.my_member_id);
            this.overseerIds.push(user?.my_member_id);
        });
        notifyOverseers?.forEach((user) => {
            overseerIds.push(user?.my_member_id);
            this.overseerIds.push(user?.my_member_id);
        });
        assignorAndAssigneesIds = [...new Set(assignorAndAssigneesIds)];
        allUsersIds = [...new Set(allUsersIds)];
        assigneeIds = [...new Set(assigneeIds)];
        reviewersIds = [...new Set(reviewersIds)];
        overseerIds = [...new Set(overseerIds)];
        this.assignorId = [...new Set(this.assignorId)];
        this.assigneeIds = [...new Set(this.assigneeIds)];
        this.reviewerIds = [...new Set(this.reviewerIds)];
        this.overseerIds = [...new Set(this.overseerIds)];
        assigneeGroupIds = [...new Set(assigneeGroupIds)];
        groupReviewerIds = [...new Set(groupReviewerIds)];
        groupOverseerIds = [...new Set(groupOverseerIds)];
        this.assignorsList = behalfUsers.filter((user) => !overseerIds?.includes(user.member_id));
        this.assigneesList = allUsers;
        this.reviewersList = allUsers;
        this.overseersList = allUsers;
        this.disableList(allUsers, assignorAndAssigneesIds, assigneeIds, reviewersIds, overseerIds);
        if (this.featureFlag_groups) {
            this.groupAssigneeList = allGroups.filter((group) => !(groupReviewerIds?.includes(group?.group_id) ||
                groupOverseerIds?.includes(group?.group_id)));
            this.reviewerMemberIdsList = this.assignUserMemberId(this.allUsersList);
            this.overseersList = this.assignUserMemberId(this.allUsersList);
            this.groupReviewerList = allGroups.filter((group) => !(groupOverseerIds?.includes(group?.group_id) ||
                assigneeGroupIds?.includes(group?.group_id)));
            this.groupOverseerList = allGroups.filter((group) => !(assigneeGroupIds?.includes(group?.group_id) ||
                groupReviewerIds?.includes(group?.group_id)));
        }
    }
    disableList(allUsers, assignorAndAssigneesIds, assigneeIds, reviewersIds, overseerIds) {
        let disableAssigneeList = allUsers.filter((user) => reviewersIds?.includes(user?.my_member_id) ||
            overseerIds?.includes(user?.my_member_id));
        this.disableAssigneeIds = this.returnIds(disableAssigneeList, 'my_member_id');
        this.disableRadioAssignee = this.returnIds(disableAssigneeList, 'employee_id');
        let disableReviewerList = allUsers.filter((user) => overseerIds?.includes(user?.my_member_id) ||
            assigneeIds?.includes(user?.my_member_id));
        this.disableReviewerIds = this.returnIds(disableReviewerList, 'employee_id');
        let disableOverseerList = allUsers.filter((user) => assignorAndAssigneesIds?.includes(user?.my_member_id) ||
            reviewersIds?.includes(user?.my_member_id));
        this.disableOverseerIds = this.returnIds(disableOverseerList, 'employee_id');
        if (this.featureFlag_groups) {
            let disableReviewerList = allUsers.filter((user) => overseerIds?.includes(user?.my_member_id) ||
                assigneeIds?.includes(user?.my_member_id));
            this.disableReviewerIds = this.returnIds(disableReviewerList, 'member_id');
            let disableOverseersList = allUsers.filter((user) => assignorAndAssigneesIds?.includes(user?.my_member_id) ||
                reviewersIds?.includes(user?.my_member_id));
            this.disableOverseerIds = this.returnIds(disableOverseersList, 'member_id');
        }
    }
    refreshListsWhileProgramSelected() {
        let assignorAndAssigneesIds = [];
        let reviewersIds = [];
        let overseerIds = [];
        let assigneeIds = [];
        let assigneeGroupIds = [];
        let groupReviewerIds = [];
        let groupOverseerIds = [];
        this.reviewerIds = [];
        this.assignorId = [];
        this.overseerIds = [];
        this.assigneeIds = [];
        const behalfUsers = cloneDeep(this.behalfOfUsersList);
        const allGroups = cloneDeep(this.OrgGroup);
        const assignors = cloneDeep(this.responsibilityForm.assignors.list);
        const assignees = cloneDeep(this.responsibilityForm?.assignees?.list);
        const assigneeGroupList = this.featureFlag_groups
            ? cloneDeep(this.responsibilityForm?.assigneeGroups?.list)
            : [];
        const reviewers = cloneDeep(this.responsibilityForm?.reviewers?.list);
        const groupReviewersList = this.featureFlag_groups
            ? cloneDeep(this.responsibilityForm?.groupReviewers?.list)
            : [];
        const overseerList = cloneDeep(this.responsibilityForm?.overseers?.list);
        const groupOverseerList = this.featureFlag_groups
            ? cloneDeep(this.responsibilityForm?.overseersGroups?.list)
            : [];
        const notifyOverseers = cloneDeep(this.responsibilityForm?.overseers?.notifyList);
        const groupNotifyOverseers = this.featureFlag_groups
            ? cloneDeep(this.responsibilityForm?.overseersGroups?.notifyList)
            : [];
        assignors?.forEach((user) => {
            this.assignorId.push(user?.member_id);
            assignorAndAssigneesIds.push(user?.member_id);
        });
        assignees?.forEach((user) => {
            assignorAndAssigneesIds.push(user?.my_member_id);
            assigneeIds.push(user?.my_member_id);
            this.assigneeIds.push(user?.my_member_id);
        });
        if (this.responsibilityForm?.assignors?.list?.length == 0) {
            assignorAndAssigneesIds.push(this.memberId);
            this.assignorId.push(this.memberId);
        }
        assigneeGroupList?.forEach((group) => {
            assigneeGroupIds.push(group?.group_id);
        });
        reviewers?.forEach((user) => {
            reviewersIds.push(user?.my_member_id);
            this.reviewerIds.push(user?.my_member_id);
        });
        groupReviewersList?.forEach((group) => {
            groupReviewerIds.push(group?.group_id);
        });
        overseerList?.forEach((user) => {
            overseerIds.push(user?.my_member_id);
            this.overseerIds.push(user?.my_member_id);
        });
        notifyOverseers?.forEach((user) => {
            overseerIds.push(user?.my_member_id);
            this.overseerIds.push(user?.my_member_id);
        });
        groupOverseerList?.forEach((group) => {
            groupOverseerIds.push(group?.group_id);
        });
        groupNotifyOverseers?.forEach((group) => {
            groupOverseerIds.push(group?.group_id);
        });
        assignorAndAssigneesIds = [...new Set(assignorAndAssigneesIds)];
        assigneeIds = [...new Set(assigneeIds)];
        reviewersIds = [...new Set(reviewersIds)];
        overseerIds = [...new Set(overseerIds)];
        assigneeGroupIds = [...new Set(assigneeGroupIds)];
        groupReviewerIds = [...new Set(groupReviewerIds)];
        groupOverseerIds = [...new Set(groupOverseerIds)];
        this.assignorId = [...new Set(this.assignorId)];
        this.assigneeIds = [...new Set(this.assigneeIds)];
        this.reviewerIds = [...new Set(this.reviewerIds)];
        this.overseerIds = [...new Set(this.overseerIds)];
        this.assignorsList = behalfUsers.filter((user) => !overseerIds?.includes(user.member_id));
        this.assigneesList = this.programPeopleList?.assigneesList;
        this.reviewersList = this.programPeopleList?.reviewersList;
        this.overseersList = this.programPeopleList?.overseersList;
        if (this.featureFlag_groups) {
            this.groupAssigneeList =
                this.selectedProgram &&
                    this.selectedProgram?.assignee_group_ids?.length > 0
                    ? this.programGroupList(allGroups, this.selectedProgram?.assignee_group_ids)
                    : allGroups.filter((group) => !(groupReviewerIds?.includes(group?.group_id) ||
                        groupOverseerIds?.includes(group?.group_id)));
            this.reviewerMemberIdsList = this.assignUserMemberId(this.programPeopleList.reviewersList);
            this.groupReviewerList =
                this.selectedProgram &&
                    this.selectedProgram?.reviewer_group_ids?.length > 0
                    ? this.programGroupList(allGroups, this.selectedProgram?.reviewer_group_ids)
                    : allGroups.filter((group) => !(groupOverseerIds?.includes(group?.group_id) ||
                        assigneeGroupIds?.includes(group?.group_id)));
            this.overseersList = this.assignUserMemberId(this.programPeopleList.overseersList);
            this.groupOverseerList =
                this.selectedProgram &&
                    this.selectedProgram?.overseers?.cc_email_groups?.length > 0
                    ? this.programGroupList(allGroups, this.selectedProgram?.overseers?.cc_email_groups)
                    : allGroups.filter((group) => !(assigneeGroupIds?.includes(group?.group_id) ||
                        groupReviewerIds?.includes(group?.group_id)));
        }
        this.disableProgramList(assignorAndAssigneesIds, assigneeIds, reviewersIds, overseerIds);
    }
    programGroupList(allGroups, ...args) {
        // args[0]
        let assigneeProgram = [];
        let groupIds = args[0];
        if (this.selectedProgram && this.selectedProgram?.assignee_group_ids) {
            assigneeProgram = allGroups.filter((group) => groupIds.includes(group.group_id));
        }
        return assigneeProgram;
    }
    disableProgramList(assignorAndAssigneesIds, assigneeIds, reviewersIds, overseerIds) {
        let disableAssigneeList = this.programPeopleList?.assigneesList.filter((user) => reviewersIds?.includes(user?.my_member_id) ||
            overseerIds?.includes(user?.my_member_id));
        this.disableAssigneeIds = this.returnIds(disableAssigneeList, 'my_member_id');
        this.disableRadioAssignee = this.returnIds(disableAssigneeList, 'employee_id');
        let disableReviewerList = this.programPeopleList?.reviewersList.filter((user) => overseerIds?.includes(user?.my_member_id) ||
            assigneeIds?.includes(user?.my_member_id));
        this.disableReviewerIds = this.returnIds(disableReviewerList, 'employee_id');
        let disableOverseerList = this.programPeopleList?.overseersList.filter((user) => assignorAndAssigneesIds?.includes(user?.my_member_id) ||
            reviewersIds?.includes(user?.my_member_id));
        this.disableOverseerIds = this.returnIds(disableOverseerList, 'employee_id');
        if (this.featureFlag_groups) {
            let disableReviewerList = this.reviewerMemberIdsList.filter((user) => overseerIds?.includes(user?.my_member_id) ||
                assigneeIds?.includes(user?.my_member_id));
            this.disableReviewerIds = this.returnIds(disableReviewerList, 'member_id');
            let disableOverseerList = this.overseersList.filter((user) => assignorAndAssigneesIds?.includes(user?.my_member_id) ||
                reviewersIds?.includes(user?.my_member_id));
            this.disableOverseerIds = this.returnIds(disableOverseerList, 'member_id');
        }
    }
    /**
     * If the form is valid, then if the mode is EDIT, then set the organizationId and memberId to the
     * authService values, and then call the entrustResponsibility function with the responsibilityForm as
     * a parameter.
     *
     * If the mode is not EDIT, then call the entrustResponsibility function with the responsibilityForm
     * as a parameter.
     * @returns a boolean value.
     */
    submitResponsibility() {
        const valid = this.validateResponsibility();
        if (!valid) {
            return false;
        }
        else if (this.mode == 'EDIT') {
            this.organizationId = this.authService.getOrganizationId();
            this.memberId = this.authService.getMemberId();
            this.entrustResponsibility(this.responsibilityForm);
            // edit conditions
        }
        else {
            this.entrustResponsibility(this.responsibilityForm);
        }
    }
    /**
     * If the responsibility name is empty, or the frequency is empty, or the assignees list is empty,
     * then return false. Otherwise, return true.
     */
    validateResponsibility() {
        this.submitted = true;
        if (this.responsibilityForm.assignors.enable &&
            this.responsibilityForm.assignors.list?.length === 0) {
            this.invalidType = 'whom';
            return;
        }
        if (!this.responsibilityForm.responsibility.name ||
            this.responsibilityForm.responsibility.name.trim() == '') {
            this.invalidType = 'what';
        }
        else if (!this.responsibilityForm?.assignees?.list ||
            (this.responsibilityForm?.assignees?.list?.length == 0 &&
                (!this.featureFlag_groups ||
                    ((!this.responsibilityForm?.assigneeGroups?.list ||
                        this.responsibilityForm?.assigneeGroups?.list?.length == 0) &&
                        this.featureFlag_groups)))) {
            this.invalidType = 'who';
        }
        else if (!this.responsibilityForm.frequency ||
            this.responsibilityForm.frequency == '' ||
            this.responsibilityForm.frequency === '' ||
            this.responsibilityForm.frequency === '5~0~0~0') {
            this.invalidType = 'when';
        }
        else {
            this.invalidType = '';
        }
        if (!this.responsibilityForm.responsibility.name ||
            this.responsibilityForm.responsibility.name.trim() == '' ||
            !this.responsibilityForm.frequency ||
            this.responsibilityForm.frequency === '' ||
            this.responsibilityForm.frequency === '5~0~0~0' ||
            (this.responsibilityForm.assignees.list?.length == 0 &&
                (!this.featureFlag_groups ||
                    ((!this.responsibilityForm.assigneeGroups.list ||
                        this.responsibilityForm.assigneeGroups.list?.length == 0) &&
                        this.featureFlag_groups)))) {
            return false;
        }
        else {
            return true;
        }
    }
    entrustResponsibility(entrustForm) {
        this.loader = true;
        this.uiKitService.isLoader = true;
        this.entrustLoader = true;
        let startDate = moment$1(parseInt(entrustForm.startDate) * 1000).format('YYYY-MM-DD HH:mm:ss');
        startDate = moment$1(startDate.split(' ')[0] + ' 00:00:00').format('YYYY-MM-DD HH:mm:ss');
        const rcDetails = entrustForm.rc?.length > 0
            ? entrustForm.rc.map((rc) => {
                if (rc) {
                    const rcDetailsArr = {
                        parent_rc_ids: rc.parent_rc_ids,
                        rc_id: rc.rc_id,
                        child_rc_ids: rc?.item_child_ids,
                    };
                    return rcDetailsArr;
                }
            })
            : [];
        const rcDetailsIdArr = entrustForm.rc?.length > 0
            ? entrustForm.rc.map((rc) => {
                if (rc) {
                    return rc.rc_id;
                }
            })
            : [];
        const moreOptions = this.moreOptions;
        const checkContinuousFailedValue = (details) => {
            const frequencyType = parseInt(details.split('~')[0]);
            if (frequencyType === 1 || frequencyType === 2 || frequencyType === 3) {
                return true;
            }
            else {
                return false;
            }
        };
        let linkedProgramIds = [];
        let linkedCategoryIds = [];
        this.responsibilityForm?.linkedProgram?.forEach((ele) => {
            if (this.responsibilityForm?.program[0]?.category_id !== ele?.category_id) {
                const program = {
                    programId: ele?.category_id,
                    programObjectId: ele?._id,
                    subProgramIds: ele?.child_id?.filter((el) => {
                        return this.responsibilityForm.category?.includes(el);
                    }),
                };
                linkedProgramIds?.push(program);
                linkedCategoryIds?.push(ele?.category_id);
            }
        });
        let categoryIdsExceptDefault = [];
        categoryIdsExceptDefault = this.responsibilityForm?.category?.filter((el) => {
            return (el !== this.responsibilityForm?.program[0]?.category_id &&
                !this.responsibilityForm?.program[0]?.child_id?.includes(el));
        });
        this.combineUserAndUserGroupMembers(this.mode === 'EDIT' &&
            this.responsibilityForm.assignees.whoCanComplete === 'ALL' &&
            this.rawResponsibility?.userGroupIds?.assigneeAllGroupIds?.length);
        const remarks = entrustForm.description.replace(/\&nbsp;/g, '').trim() !== ''
            ? entrustForm.description
            : '';
        const objective = entrustForm.objective.replace(/\&nbsp;/g, '').trim() !== ''
            ? entrustForm.objective
            : '';
        let payload = {
            app_association: [],
            assignee_member_id: this.returnIds(this.assigneeUserList, 'employee_id').toString(),
            program_cat_ids: moreOptions?.PROGRAM
                ? entrustForm?.program?.length
                    ? [entrustForm?.program[0]?.category_id]
                    : []
                : [],
            linked_program_ids: linkedProgramIds,
            linked_category_ids: this.getUniqueIds([
                ...categoryIdsExceptDefault,
                ...linkedCategoryIds,
            ]),
            // category_id: (this.responsibilityForm?.program_selected_ids?.length > 0) ? this.responsibilityForm?.category_id : '',
            category_id: this.responsibilityForm?.program_selected_ids?.length > 0
                ? this.getUniqueIds([
                    ...this.responsibilityForm?.category,
                    ...linkedCategoryIds,
                    ...[entrustForm?.program[0]?.category_id],
                ])?.reverse().toString()
                : '',
            cc_member_email: moreOptions?.OVERSEER
                ? this.returnIds(this.overseerUserList, 'employee_id').toString()
                : '',
            checkpoint_description: moreOptions?.CHECKPOINTS
                ? entrustForm.checkpointInstruction
                : '',
            checkpoint_details: moreOptions?.CHECKPOINTS
                ? JSON.stringify(this.responsibilityForm.checkpoints)
                : '',
            checkpoint_flag: 0,
            collaborator_mark_done: 0,
            comment: '',
            continuous_failed_days: checkContinuousFailedValue(entrustForm.frequency)
                ? entrustForm.continuous_failed_days
                : 0,
            cost_of_compliance: '',
            created_by: entrustForm.assignors.list?.length < 1 ? 0 : this.memberId,
            creation_window: 0,
            custom_tags: JSON.stringify(entrustForm.customTags),
            entity_tree: moreOptions?.RC
                ? this.isResponsibilityRcLinkEnabled &&
                    this.responsibilityCenterType == 1
                    ? []
                    : rcDetails
                : [],
            entrust_from_risk: this.openedFrom === 'RISK_TREATMENT' ? true : false,
            failed_after_days: entrustForm.failed_after_days,
            failed_time_utc: entrustForm.failed_time_utc,
            failure_cc_member_email: moreOptions?.OVERSEER
                ? this.returnIds(this.overseerUserNotifyList, 'employee_id').toString()
                : '',
            frequency_details: entrustForm.frequency,
            frequency_time: entrustForm.timeIn24Hr ?? DEFAULT_24HR,
            grc_object_id: 0,
            grc_relationship: '',
            if_testplan_failed: 0,
            impact: '',
            isGroupAssignTo: entrustForm.assignees.whoCanComplete == 'ANY_ONE' ? 1 : 0,
            is_key_compliance: entrustForm.responsibility.keyResponsibility ? 1 : 0,
            allowEditDueDate: entrustForm?.allowEditDueDate ? true : false,
            library_report_id: 0,
            lifecycle_details: entrustForm.lifecycleDetails ?? '0000-00-00~~0',
            link_for_details: moreOptions?.FORMATE_EVIDENCE
                ? entrustForm.formatAndEvidence.formatLinks
                : [],
            linkages: { compliance: [] },
            member_id: this.returnIds(entrustForm.assignors.list, 'member_id')?.length > 0
                ? this.returnIds(entrustForm.assignors.list, 'member_id')[0]
                : this.memberId,
            objective: moreOptions?.OBJECTIVE ? objective : '',
            on_completion_of: entrustForm.reportId ? [entrustForm.reportId] : [],
            on_completion_of_type: 1,
            organisation_id: this.organizationId,
            override_weekly: 0,
            parent_id: 0,
            penalty: '',
            private_library_id: 0,
            remarks: remarks,
            reminder_before_days: entrustForm.reminder_before_days,
            report_format: moreOptions?.FORMATE_EVIDENCE
                ? entrustForm.formatAndEvidence.formatFiles
                : [],
            isFormatUpload: moreOptions?.FORMATE_EVIDENCE &&
                entrustForm.formatAndEvidence.formatRequired
                ? 1
                : 0,
            report_format_link: '',
            report_name: entrustForm.responsibility.name,
            report_upload_flag: entrustForm.formatAndEvidence.evidenceRequired
                ? 1
                : 0,
            review_after_days: moreOptions?.REVIEWER
                ? entrustForm.reviewers.reviewFrequency.reviewCompleteDays === ''
                    ? 0
                    : Number(entrustForm.reviewers.reviewFrequency.reviewCompleteDays)
                : 0,
            review_failed_after_days: moreOptions?.REVIEWER
                ? entrustForm.reviewers.reviewFrequency.reviewNOtCompletedDays === ''
                    ? 0
                    : Number(entrustForm.reviewers.reviewFrequency.reviewNOtCompletedDays)
                : 0,
            reviewer_arr: moreOptions?.REVIEWER
                ? {
                    level1: {
                        reviewers: this.setReviewerPayload(this.reviewerUserList, 'list', entrustForm.reviewers.acceptedData, entrustForm.reviewers.sequentialWorkflow
                            ? 'SEQUENTIAL'
                            : 'ANYONE'),
                        type: entrustForm.reviewers.sequentialWorkflow
                            ? 'SEQUENTIAL'
                            : 'ANYONE',
                    },
                }
                : {},
            userGroupIds: {
                assigneeAllGroupIds: entrustForm.assignees.whoCanComplete !== 'ANY_ONE'
                    ? this.returnIds(entrustForm?.assigneeGroups?.list, 'group_id')
                    : [],
                assigneeAnyoneGroupIds: entrustForm.assignees.whoCanComplete === 'ANY_ONE'
                    ? this.returnIds(entrustForm?.assigneeGroups?.list, 'group_id')
                    : [],
                ccEmailGroupIds: this.returnIds(this.responsibilityForm?.overseersGroups?.list, 'group_id') ?? [],
                failureCCEmailGroupIds: this.returnIds(this.responsibilityForm?.overseersGroups?.notifyList, 'group_id') ?? [],
                reviewerGroupIds: this.returnIds(this.responsibilityForm?.groupReviewers?.list, 'group_id') ?? [],
            },
            existingUserIds: {
                assigneeAllIds: entrustForm.assignees.whoCanComplete !== 'ANY_ONE'
                    ? this.returnIds(entrustForm?.assignees?.list, 'my_member_id')
                    : [],
                assigneeAnyoneIds: entrustForm.assignees.whoCanComplete === 'ANY_ONE'
                    ? this.returnIds(entrustForm?.assignees?.list, 'my_member_id')
                    : [],
                ccEmailMemberIds: this.returnIds(entrustForm?.overseers?.list, 'employee_id') ?? [],
                failureCCEmailMemberIds: this.returnIds(entrustForm?.overseers?.notifyList, 'employee_id') ??
                    [],
                reviewerIds: this.returnIds(this.responsibilityForm?.reviewers?.list, 'member_id') ?? [],
            },
            reviewer_checkpoints: [{ checkpoints: [], instruction: '' }],
            reviewer_id: 0,
            risk_class: this.isRiskEnable ? entrustForm.riskClass : 2,
            risk_ids: '',
            risk_matrix_data: moreOptions?.RISK_CLASSIFICATION
                ? entrustForm.riskMatrix
                : '0,0,0,0,0,0',
            sample_size: 0,
            start_date_utc: startDate,
            statutory_day: 0,
            test_required_flag: moreOptions?.ASSURANCE
                ? entrustForm.assuranceList?.length > 0
                    ? 1
                    : 0
                : 0,
            testplan_category_id: moreOptions?.ASSURANCE
                ? this.returnIds(entrustForm.assuranceList, 'category_id')
                : [],
            testplan_category_manager: '',
            audit_category_details: moreOptions?.REQUIRES_AUDIT &&
                this.responsibilityForm?.audit_category_details?.category_id
                ? {
                    category_id: this.responsibilityForm.audit_category_details.category_id,
                    sample: this.selectedSample === 0 ? this.sampleValue : 0,
                    percentage: this.selectedSample === 1 ? this.samplePercentage : 0,
                    frequency_pattern: `1~0~${this.sendAuditRemindersValue}~1`,
                    frequency_time: moment$1(this.auditTime, 'HH:mm a').format('HH:mm:ss'),
                }
                : {
                    category_id: 0,
                    sample: 0,
                    percentage: 0,
                    frequency_pattern: ``,
                    frequency_time: '',
                },
            assessment: {
                category_id: moreOptions?.ASSESSMENT
                    ? entrustForm?.assessment?.category_id
                    : '',
                assessment_id: moreOptions?.ASSESSMENT
                    ? entrustForm?.assessment?.assessment_id
                    : '',
            },
            assessment_checkpoint: moreOptions?.CHECKPOINTS_NEW
                ? Object.keys(entrustForm?.new_checkpoints)?.length > 0
                    ? entrustForm?.new_checkpoints
                    : {}
                : {},
            questionnaire_type: moreOptions?.CHECKPOINTS_NEW
                ? Object.keys(entrustForm?.new_checkpoints)?.length > 0
                    ? 'assessment_checkpoint'
                    : moreOptions?.ASSESSMENT && entrustForm?.assessment?.category_id
                        ? 'assessment'
                        : JSON.stringify(this.responsibilityForm?.checkpoints) != '' &&
                            moreOptions?.CHECKPOINTS
                            ? 'checkpoint'
                            : ''
                : '',
            linked_GRC_ids: moreOptions?.GRC_OBJECTS
                ? entrustForm.selectedGRCObjects.map((grc) => grc._id)
                : [],
        };
        if (this.isResponsibilityRcLinkEnabled) {
            payload['responsibilityCenterType'] =
                this.isResponsibilityRcLinkEnabled && moreOptions?.RC
                    ? this.responsibilityCenterType
                    : 0;
            payload['responsibilityCenterArr'] =
                this.isResponsibilityRcLinkEnabled && moreOptions?.RC
                    ? rcDetailsIdArr
                    : [];
        }
        this.responsibilityPayload = payload;
        if (this.mode == 'CREATE' && !this.isDuplicateEntrust) {
            this.responsibilityService.submitEntrust(payload).subscribe((res) => {
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.entrustLoader = false;
                this.responsibilityData = res;
                if (res.message && res.message.toLowerCase() === 'bulk entrust') {
                    this.smileyMessage = `You have entrusted ${res.calculate_no_of_responsibiities} responsibilities. These would be reflected within your account in sometime.`;
                }
                if (this.isNotificationPending && payload.created_by == 0) {
                    this.smileyMessage =
                        'This responsibility has been added to the notification queue.';
                }
                else {
                    if (payload.created_by > 0) {
                        this.actionButtons[1].buttonText = 'View Responsibilities';
                        this.smileyMessage = `You just created a responsibility on behalf ${entrustForm.assignors.list.find((member) => member.member_id === payload.member_id).member_name}`;
                    }
                }
                //this.reset();
            }, (err) => {
                console.error(err);
                this.loader = false;
                this.entrustLoader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
        if (this.mode == 'EDIT' || this.isDuplicateEntrust) {
            this.smileyMessage = `The responsibility has been modified.`;
            this.responsibilityService
                .updateEntrust(payload, this.responsibilityId, true)
                .subscribe((res) => {
                this.responsibilityData = res;
                this.loader = false;
                this.entrustLoader = false;
                this.uiKitService.isLoader = false;
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.isDuplicateEntrust = false;
                // this.resetForm();
            }, (err) => {
                console.error(err);
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
    }
    uniqueIdUserGroups(totalUserList, selectedGroup, selectedUsers) {
        let groupUserList = this.getGroupsUserEmployeesId(totalUserList, selectedGroup);
        let ids = new Set(selectedUsers.map((user) => user?.my_member_id));
        let userList = [
            ...selectedUsers,
            ...groupUserList.filter((groupUser) => !ids.has(groupUser?.my_member_id)),
        ];
        return userList;
    }
    combineUserAndUserGroupMembers(isGroup) {
        if (this.featureFlag_groups) {
            this.assigneeUserList = isGroup
                ? [{ employee_id: this.rawResponsibility?.assignee_member_id }]
                : this.uniqueIdUserGroups(this.allUsersList, this.responsibilityForm?.assigneeGroups?.list, this.responsibilityForm?.assignees?.list);
            this.reviewerUserList = this.uniqueIdUserGroups(this.allUsersList, this.responsibilityForm?.groupReviewers?.list, this.responsibilityForm?.reviewers?.list);
            this.overseerUserList = this.uniqueIdUserGroups(this.allUsersList, this.responsibilityForm?.overseersGroups?.list, this.responsibilityForm?.overseers?.list);
            this.overseerUserNotifyList = this.uniqueIdUserGroups(this.allUsersList, this.responsibilityForm?.overseersGroups?.notifyList, this.responsibilityForm?.overseers?.notifyList);
        }
        else {
            this.assigneeUserList = this.responsibilityForm?.assignees?.list;
            this.reviewerUserList = this.responsibilityForm?.reviewers?.list;
            this.overseerUserList = this.responsibilityForm?.overseers?.list;
            this.overseerUserNotifyList =
                this.responsibilityForm?.overseers?.notifyList;
        }
    }
    /**
     * It resets the form.
     */
    reset() {
        this.scrollToBottom = false;
        this.showSmiley = false;
        this.uiKitService.isSmileyOn = false;
        this.responsibilityForm = {
            assignors: {
                enable: false,
                list: [],
            },
            responsibility: {
                name: '',
                keyResponsibility: false,
            },
            assigneeGroups: {
                whoCanComplete: 'ALL',
                list: [],
            },
            assignees: {
                whoCanComplete: 'ALL',
                list: [],
            },
            allowEditDueDate: false,
            frequency: '',
            description: '',
            objective: '',
            rc: [],
            category: [],
            checkpointInstruction: '',
            customTags: [],
            checkpoints: [],
            reviewers: {
                sequentialWorkflow: true,
                reviewFrequency: {
                    reviewCompleteDays: 2,
                    reviewNOtCompletedDays: 2,
                },
                list: [],
            },
            groupReviewers: {
                sequentialWorkflow: true,
                reviewFrequency: {
                    reviewCompleteDays: 2,
                    reviewNOtCompletedDays: 2,
                },
                list: [],
            },
            overseers: {
                notifyList: [],
                list: [],
            },
            overseersGroups: {
                notifyList: [],
                list: [],
            },
            formatAndEvidence: {
                formatRequired: false,
                formatFiles: [],
                formatLinks: [],
                evidenceRequired: false,
            },
            assuranceList: [],
            requiresAuditList: [],
            riskClass: 1,
            riskMatrix: '0,0,0,0,0,0',
            program: [],
            program_selected_ids: [],
        };
        this.moreOptions = {
            OBJECTIVE: false,
            RC: false,
            CATEGORY: false,
            FORMATE_EVIDENCE: false,
            CHECKPOINTS: false,
            RISK_CLASSIFICATION: false,
            REVIEWER: false,
            OVERSEER: false,
            ASSURANCE: false,
            APPS: false,
        };
        this.frequencyPlaceholder = 'How often does the responsibility occur?';
        this.frequencyDetails = {
            pattern: '',
            notificationPending: 0,
            dateOfModified: 0,
            deactivationValue: 0,
            selectedReport: 0,
            lifecycle: '0000-00-00~~0',
            startDate: Math.floor(new Date().getTime() / 1000),
            startOnTheDay: Math.floor(new Date().getTime() / 1000),
            window: 0,
            failed: 0,
            time: DEFAULT_TIME,
            failedTime: '',
            continuous_failed_days: 0,
            onCompletionReportDetails: {},
        };
        this.sampleValue = undefined;
        this.samplePercentage = undefined;
        this.selectedSample = -1;
        this.sendAuditRemindersValue = 2;
        this.auditTime = DEFAULT_TIME;
        this.mode = 'CREATE';
        this.isEntrust = true;
        this.assessmentDetails = null;
        this.resetForm.emit(true);
    }
    action(event) {
        if (this.openedFrom === 'RISK_TREATMENT') {
            this.closeSmiley('ds');
            return;
        }
        switch (event) {
            case 'addMore':
                this.reset();
                break;
            case 'view':
                this.viewResponsibilities();
                break;
        }
    }
    viewResponsibilities() {
        let url;
        let urlSubstring = '';
        this.disconnectRefresh.emit(false);
        if (this.isNotificationPending &&
            this.responsibilityPayload.created_by == 0) {
            if (this.isResponsibilitySimplified) {
                urlSubstring = 'compliance/manage-responsibility?' + this.url;
            }
            else {
                urlSubstring =
                    'compliance/manage-responsibilities/responsibilities-queue';
            }
        }
        else {
            if (this.isResponsibilitySimplified) {
                this.queryParam = JSON?.stringify(this.recentResponsibilityUrl);
                urlSubstring = 'compliance/manage-responsibility?q=' + this.queryParam;
            }
            else {
                urlSubstring = 'compliance/manage-responsibilities';
            }
        }
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host + '/#/' + urlSubstring;
        }
        else {
            url = 'https://' + window.location.host + '/compliance/#/' + urlSubstring;
        }
        this.iframeService.redirectIfInIframe(url, this.mode !== 'EDIT');
        this.closeSmiley('ds');
        this.reset();
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.uiKitService.isSmileyOn = false;
        // this.closeWorkflow.emit(this.responsibilityData);
        this.closeWorkflow.emit({ evt: this.responsibilityData, confirm: false });
    }
    getOnCompletionReportDetails(event) {
        const frequencyData = event?.frequency_details?.split('~');
        if (parseInt(frequencyData[0]) == 6) {
            return event?.onCompletionReportDetails;
        }
        return null;
    }
    // for edit responsibility
    frequencyDataPopulation(event) {
        let data = {
            pattern: event?.frequency_details,
            window: event?.reminder_before_days,
            failedAfter: event?.failed_after_days,
            failed_time_utc: event.failed_time_utc,
            lifecycleDetails: event?.lifecycle_details,
            startFrom: Number(event?.start_of_day_utc),
            timeIn24Hr: event.frequency_time,
            continuous_failed_days: event.continuous_failed_days,
            startDate: Number(event?.start_of_day_utc),
            reportId: event?.on_completion_of[0] ?? 0,
            timeIn12hr: this.frequencyService.timeIn12(event.frequency_time != '' ? event.frequency_time : DEFAULT_24HR),
        };
        let onCompletionReportDetails = this.getOnCompletionReportDetails(event);
        if (onCompletionReportDetails != null) {
            data.onCompletionReportDetails = onCompletionReportDetails;
        }
        this.frequencyData(data);
    }
    frequencyPopulation(event) {
        this.frequencyDetails.pattern = event?.frequency_details;
        this.frequencyDetails.failedTime = event?.frequency_time;
        this.frequencyDetails.window = event?.reminder_before_days;
        this.frequencyDetails.failed = event?.failed_after_days;
        this.frequencyDetails.lifecycle = event?.lifecycle_details;
        this.frequencyDetails.startDate = event?.start_of_day_utc;
        this.frequencyDetails.selectedReport = event?.on_completion_of[0] ?? 0;
        this.frequencyDetails.dateOfModified = event?.dom_utc;
        this.frequencyDetails.continuous_failed_days =
            event?.continuous_failed_days;
        this.frequencyPlaceholder = event?.placeholder;
        let onCompletionReportDetails = this.getOnCompletionReportDetails(event);
        if (onCompletionReportDetails != null) {
            this.frequencyDetails.onCompletionReportDetails =
                onCompletionReportDetails;
        }
    }
    frequencyData(event) {
        if (this.invalidType === 'when') {
            this.invalidType = '';
        }
        this.responsibilityForm.frequency = event.pattern;
        this.responsibilityForm.reminder_before_days =
            event.case === 'daily' ? 0 : event.window;
        //this.responsibilityForm.reminder_before_days = event.window;
        this.responsibilityForm.failed_after_days = event.failedAfter;
        this.responsibilityForm.failed_time_utc = event.failed_time_utc;
        this.responsibilityForm.lifecycleDetails = event.lifecycleDetails;
        this.responsibilityForm.reportId = event.reportId ?? 0;
        this.responsibilityForm.startDate = event.startFrom;
        this.responsibilityForm.timeIn24Hr = event.timeIn24Hr;
        this.responsibilityForm.continuous_failed_days =
            event.continuous_failed_days;
        this.activateSelector('frequency', false);
        let payload = {
            frequency_details: event.pattern,
            frequency_time: event.timeIn12hr,
            reminder_before_days: event.window,
            failed_after_days: event.failedAfter,
            lifecycle_details: event.lifecycleDetails,
            start_of_day_utc: event.startFrom,
            on_completion_of: [event.reportId],
            dom_utc: Math.floor(Date.now() / 1000),
            continuous_failed_days: event.continuous_failed_days,
            placeholder: event.placeholder,
        };
        event.frequency_details = event.pattern;
        let onCompletionReportDetails = this.getOnCompletionReportDetails(event);
        if (onCompletionReportDetails != null) {
            payload.onCompletionReportDetails = onCompletionReportDetails;
        }
        this.frequencyPopulation(payload);
    }
    checkBlank(data) {
        if (data) {
            let text = data;
            return text.replace(/\&nbsp;/g, '');
        }
        else {
            return '';
        }
    }
    /**
     * It takes a string and returns a string.
     * @param {any} res - any = {
     */
    getFrequencyPlaceholder(res) {
        try {
            if (res.frequency_details) {
                const frequencyDetails = res?.frequency_details.split('~');
                const frequencyTime = res?.frequency_time === '00:00:00'
                    ? '12:00 am'
                    : this.frequencyService.timeIn12(res?.frequency_time);
                switch (parseInt(frequencyDetails[0])) {
                    case 1:
                        this.getDailyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 2:
                        this.getWeeklyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 3:
                        this.getMonthlyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 7:
                        this.getQuarterlyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 9:
                        this.getBiannualPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 4:
                        this.getYearlyPlaceholder(frequencyDetails, frequencyTime);
                        break;
                    case 0:
                        {
                            const dateObject = new Date(moment$1(frequencyDetails[1] +
                                '-' +
                                frequencyDetails[2] +
                                '-' +
                                frequencyDetails[3] +
                                ' 00:00:00', 'YYYY-MM-DD HH:mm:ss').unix() * 1000);
                            // tslint:disable-next-line: max-line-length
                            this.frequencyPlaceholder =
                                'One Time ' +
                                    dateObject.getDate() +
                                    ' ' +
                                    this.shortMonth[dateObject.getMonth()] +
                                    ' ' +
                                    dateObject.getFullYear() +
                                    ' by ' +
                                    frequencyTime;
                        }
                        break;
                    case 8:
                        this.getRandomPlaceholder(frequencyDetails, frequencyTime);
                        // tslint:disable-next-line: max-line-length
                        break;
                    case 10:
                        {
                            this.frequencyPlaceholder =
                                'You have selected an ongoing frequency.';
                        }
                        break;
                    case 6:
                        this.getOnCompletionOf(frequencyDetails, res?.on_completion_of[0], res.onCompletionReportDetails);
                }
            }
        }
        catch (e) {
            // tslint:disable-next-line: no-console
            console.error(e);
        }
    }
    /**
     * It gets the frequency details and report id, then it sets the frequency placeholder to the frequency
     * details and then it gets the on completion of responsibility and sets the frequency placeholder to
     * the frequency details and the report name.
     * @param {any} frequencyDetails - [0] =&gt; "1"
     * @param {number} reportId - number
     */
    getOnCompletionOf(frequencyDetails, reportId, onCompletionReportDetails) {
        this.frequencyPlaceholder =
            frequencyDetails[3] +
                ' ' +
                (parseInt(frequencyDetails[3]) > 1 ? 'days' : 'day') +
                ' after completion of ';
        if (onCompletionReportDetails) {
            if (reportId === onCompletionReportDetails.ReportId) {
                this.frequencyPlaceholder =
                    frequencyDetails[3] +
                        ' ' +
                        (parseInt(frequencyDetails[3]) > 1 ? 'days' : 'day') +
                        ' after completion of ' +
                        (onCompletionReportDetails
                            ? onCompletionReportDetails.report_name
                            : '');
            }
        }
        this.loader = false;
        this.uiKitService.isLoader = false;
    }
    /**
     * "If the frequencyDetails[3] is 1, then set the frequencyPlaceholder to 'Daily by ' + frequencyTime,
     * otherwise if frequencyDetails[3] is greater than 1, then set the frequencyPlaceholder to 'Every ' +
     * parseInt(frequencyDetails[3]) + ' days by ' + frequencyTime."
     * @param {any} frequencyDetails - [0, 0, 0, 1]
     * @param {any} frequencyTime - "12:00 AM"
     */
    getDailyPlaceholder(frequencyDetails, frequencyTime) {
        {
            frequencyDetails = frequencyDetails.map(Number);
            if (parseInt(frequencyDetails[3]) === 1) {
                this.frequencyPlaceholder = 'Daily by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[3]) > 1) {
                this.frequencyPlaceholder =
                    'Every ' +
                        parseInt(frequencyDetails[3]) +
                        ' days by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * It takes a string of comma separated numbers and returns a string of comma separated words.
     *
     * The function is called with a string of comma separated numbers, like this:
     *
     * getWeeklyPlaceholder(["1","2,3,4,5,6,7","1","1"], "10:00 AM")
     *
     * The function returns a string of comma separated words, like this:
     *
     * "Every Monday,Tuesday,Wednesday,Thursday,Friday,Saturday by 10:00 AM"</code>
     * @param {any} frequencyDetails - ["1", "1,2,3,4,5", "", "1", ""]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getWeeklyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const selectedDay = frequencyDetails[1].split(',').map((ele) => {
                return this.frequencyService.dayName[parseInt(ele) - 1];
            });
            if (parseInt(frequencyDetails[3]) === 1) {
                this.frequencyPlaceholder =
                    'Every ' + selectedDay.join() + ' by ' + frequencyTime;
            }
            if (parseInt(frequencyDetails[3]) === 2) {
                this.frequencyPlaceholder =
                    'Every alternate ' + selectedDay.join() + ' by ' + frequencyTime;
            }
            if (parseInt(frequencyDetails[3]) === 3) {
                this.frequencyPlaceholder =
                    'Every 3rd ' + selectedDay.join() + ' by ' + frequencyTime;
            }
            if (parseInt(frequencyDetails[3]) > 3) {
                this.frequencyPlaceholder =
                    'Every ' +
                        parseInt(frequencyDetails[1]) +
                        'th ' +
                        selectedDay.join() +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * It takes a string of comma separated numbers, converts them to month names, and then adds them to a
     * sentence.
     * @param {any} frequencyDetails - ["1", "1", "1,2,3,4,5,6,7,8,9,10,11,12"]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getMonthlyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const selectedMonth = frequencyDetails[2].split(',').map((ele) => {
                return this.shortMonth[parseInt(ele) - 1];
            });
            if (parseInt(frequencyDetails[1]) === 1) {
                this.frequencyPlaceholder =
                    '1st of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 2) {
                this.frequencyPlaceholder =
                    '2nd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 3) {
                this.frequencyPlaceholder =
                    '3rd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 21 ||
                parseInt(frequencyDetails[1]) === 31) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'st of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 22) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'nd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 23) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'rd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) > 3) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'th of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * If the frequencyDetails[1] is 1, 2, 3, 21, 22, 23, or greater than 3, then set the
     * frequencyPlaceholder to a string that includes the frequencyDetails[1] and the frequencyDetails[2]
     * and the frequencyTime.
     * @param {any} frequencyDetails - ["3", "1", "1,2,3"]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getQuarterlyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const quarterly = [
                'January, April, July, October',
                'February, May, August, November',
                ' March, June, September, December',
            ];
            if (parseInt(frequencyDetails[1]) === 1) {
                this.frequencyPlaceholder =
                    '1st of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 2) {
                this.frequencyPlaceholder =
                    '2nd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 3) {
                this.frequencyPlaceholder =
                    '3rd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 21 ||
                parseInt(frequencyDetails[1]) === 31) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'st of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 22) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'nd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 23) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'rd of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) > 3) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'th of every ' +
                        quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * It takes a string of comma separated numbers and returns a string of comma separated month names.
     * @param {any} frequencyDetails - ["1", "1", "1,2,3,4,5,6,7,8,9,10,11,12"]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getBiannualPlaceholder(frequencyDetails, frequencyTime) {
        {
            const selectedMonth = frequencyDetails[2].split(',').map((ele) => {
                return this.shortMonth[parseInt(ele) - 1];
            });
            if (parseInt(frequencyDetails[1]) === 1) {
                this.frequencyPlaceholder =
                    '1st of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 2) {
                this.frequencyPlaceholder =
                    '2nd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 3) {
                this.frequencyPlaceholder =
                    '3rd of every ' + selectedMonth.join(', ') + ' by ' + frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 21 ||
                parseInt(frequencyDetails[1]) === 31) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'st of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 22) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'nd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) === 23) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'rd of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
            else if (parseInt(frequencyDetails[1]) > 3) {
                this.frequencyPlaceholder =
                    parseInt(frequencyDetails[1]) +
                        'th of every ' +
                        selectedMonth.join(', ') +
                        ' by ' +
                        frequencyTime;
            }
        }
    }
    /**
     * If the frequencyDetails[1] is less than 2, then the frequencyPlaceholder is set to the 1st, 2nd,
     * 3rd, or nth of every month by frequencyTime.
     *
     * If the frequencyDetails[1] is greater than 1, then the frequencyPlaceholder is set to the 1st, 2nd,
     * 3rd, or nth of every month, Interval: every yearSequence years by frequencyTime.
     * @param {any} frequencyDetails - ["Yearly", "1", "1", "1"]
     * @param {any} frequencyTime - "10:00 AM"
     */
    getYearlyPlaceholder(frequencyDetails, frequencyTime) {
        {
            const yearSequence = parseInt(frequencyDetails[3]) > 0 ? parseInt(frequencyDetails[3]) : 1;
            if (parseInt(frequencyDetails[1]) < 2) {
                if (parseInt(frequencyDetails[1]) === 1) {
                    this.frequencyPlaceholder =
                        '1st of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 2) {
                    this.frequencyPlaceholder =
                        '2nd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 3) {
                    this.frequencyPlaceholder =
                        '3rd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) > 3) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'th of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 31 ||
                    parseInt(frequencyDetails[1]) === 21) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'st of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 22) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'nd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 23) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'rd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
            }
            if (parseInt(frequencyDetails[1]) > 1) {
                if (parseInt(frequencyDetails[1]) === 1) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        '1st ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 2) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        '2nd ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 3) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        '3rd ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) > 3) {
                    // tslint:disable-next-line: max-line-length
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'th of  ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ', Interval: every ' +
                            yearSequence +
                            ' years by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 31 ||
                    parseInt(frequencyDetails[1]) === 21) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'st of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 22) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'nd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
                if (parseInt(frequencyDetails[1]) === 23) {
                    this.frequencyPlaceholder =
                        parseInt(frequencyDetails[1]) +
                            'rd of every ' +
                            this.shortMonth[parseInt(frequencyDetails[2]) - 1] +
                            ' by ' +
                            frequencyTime;
                }
            }
        }
    }
    /**
     * It takes a frequencyDetails array and a frequencyTime array and returns a string.
     * @param {any} frequencyDetails - [4,1,1,1]
     */
    getRandomPlaceholder(frequencyDetails, frequencyTime) {
        const quarterly = [
            'January, April, July, October',
            'February, May, August, November',
            ' March, June, September, December',
        ];
        {
            switch (parseInt(frequencyDetails[1])) {
                case 1:
                    this.frequencyPlaceholder =
                        'Every week for ' + frequencyDetails[3] + ' random instances';
                    break;
                case 2:
                    this.frequencyPlaceholder =
                        ' Every ' +
                            frequencyDetails[2].split(',').map((ele) => {
                                return this.shortMonth[parseInt(ele) - 1];
                                // tslint:disable-next-line: align
                            }) +
                            ' for ' +
                            frequencyDetails[3] +
                            ' random instances';
                    break;
                case 3:
                    this.frequencyPlaceholder =
                        'Every ' +
                            quarterly[parseInt(frequencyDetails[2].split(',')[0]) - 1] +
                            ' for ' +
                            frequencyDetails[3] +
                            ' random instances';
                    break;
                case 4:
                    this.frequencyPlaceholder =
                        'Every year for ' + frequencyDetails[3] + ' random instances';
            }
        }
    }
    /**
     * "When the user clicks the edit button, the edit button is hidden and the input field is shown.
     * When the user clicks the input field, the input field is hidden and the edit button is shown."
     * @param {any} event - any - the event that triggered the function
     */
    onEditWhat(event) {
        setTimeout(() => {
            // this will make the execution after the above boolean has changed
            this.isEditWhat = false;
            this.whatInput?.nativeElement?.focus();
        }, 0);
    }
    /**
     *
     * The function is called with a parameter and returns an array of strings.
     * @param {any} [res] - is the response from the API
     */
    getEditMoreOptions(res) {
        let checkedMoreOptions = [];
        if (this.responsibilityForm.objective !== '') {
            checkedMoreOptions.push('OBJECTIVE');
            this.moreOptions.OBJECTIVE = true;
        }
        checkedMoreOptions.push('RISK_CLASSIFICATION');
        this.moreOptions.RISK_CLASSIFICATION = true;
        if (this.responsibilityForm.program?.length > 0) {
            checkedMoreOptions.push('PROGRAM');
            this.moreOptions.PROGRAM = true;
        }
        if (this.responsibilityForm.formatAndEvidence.evidenceRequired ||
            this.responsibilityForm.formatAndEvidence.formatRequired) {
            checkedMoreOptions.push('FORMATE_EVIDENCE');
            this.moreOptions.FORMATE_EVIDENCE = true;
        }
        if (this.responsibilityForm.rc?.length > 0) {
            checkedMoreOptions.push('RC');
            this.moreOptions.RC = true;
        }
        if (this.isResponsibilityRcLinkEnabled &&
            res?.responsibilityCenterArr &&
            res?.responsibilityCenterArr?.length) {
            checkedMoreOptions.push('RC');
            this.moreOptions.RC = true;
        }
        if (this.responsibilityForm.checkpoints?.length > 0) {
            checkedMoreOptions.push('CHECKPOINTS');
            this.moreOptions.CHECKPOINTS = true;
        }
        if (this.responsibilityForm.selectedGRCObjects?.length > 0) {
            checkedMoreOptions.push('GRC_OBJECTS');
            this.moreOptions.GRC_OBJECTS = true;
        }
        if (this.responsibilityForm?.reviewers?.list?.length > 0 ||
            this.responsibilityForm?.groupReviewer?.list?.length > 0) {
            checkedMoreOptions.push('REVIEWER');
            this.moreOptions.REVIEWER = true;
        }
        if (this.responsibilityForm?.overseers?.list?.length > 0 ||
            this.responsibilityForm?.overseers?.notifyList?.length > 0 ||
            this.responsibilityForm?.overseersGroups?.list?.length > 0 ||
            this.responsibilityForm?.overseersGroups?.notifyList?.length > 0) {
            checkedMoreOptions.push('OVERSEER');
            this.moreOptions.OVERSEER = true;
        }
        if (this.responsibilityForm?.assuranceList?.length > 0) {
            checkedMoreOptions.push('ASSURANCE');
            this.moreOptions.ASSURANCE = true;
        }
        if (this.responsibilityForm.requiresAuditList?.length > 0) {
            checkedMoreOptions.push('REQUIRES_AUDIT');
            this.moreOptions.REQUIRES_AUDIT = true;
        }
        if (res.questionnaire_type === 'assessment') {
            checkedMoreOptions.push('ASSESSMENT');
            this.moreOptions.ASSESSMENT = true;
        }
        if (res.questionnaire_type === 'assessment_checkpoint') {
            checkedMoreOptions.push('CHECKPOINTS_NEW');
            this.moreOptions.CHECKPOINTS_NEW = true;
        }
        this.populateOption.emit(checkedMoreOptions);
    }
    // Format & Evidence
    testFunction() {
        if (this.responsibilityForm.responsibility.name.trim() !== '' &&
            this.isEditWhat === false) {
            this.isEditWhat = true;
        }
        if (this.responsibilityForm.description == '<br>') {
            this.responsibilityForm.description = '';
        }
        if (this.responsibilityForm.objective == '<br>') {
            this.responsibilityForm.objective = '';
        }
    }
    reviewerTypeChange(event) {
        this.responsibilityForm.reviewers.sequentialWorkflow =
            event === 'SEQUENTIAL' ? true : false;
    }
    selectedSampleData(event) {
        this.selectedSample = event;
        this.tempCheckValue = event;
    }
    /**
     * It populates a list of assurance categories based on the test plan category selected.
     * @param {any} testPlanCategory - any
     */
    populateAssuranceList(testPlanCategory) {
        this.responsibilityForm.assurance = this.setList(this.assuranceCategoriesList, [testPlanCategory?.category_id], 'category_id');
        this.responsibilityForm.audit_category_details = testPlanCategory;
        if (testPlanCategory.sample) {
            this.isSample = true;
            this.sampleValue = testPlanCategory.sample;
            this.selectedSample = 0;
        }
        if (testPlanCategory.percentage) {
            this.isSample = true;
            this.samplePercentage = testPlanCategory.percentage;
            this.selectedSample = 1;
        }
        this.tempCheckValue = this.selectedSample;
        this.sendAuditRemindersValue = testPlanCategory.frequency_pattern
            ? parseInt(testPlanCategory.frequency_pattern.split('~')[2])
            : 2;
        this.auditTime = moment$1(testPlanCategory?.frequency_time, 'HH:mm:ss').format('HH:mm a');
    }
    //on sample toggle on/off
    checkInputValue(event) {
        let key = event.charCode; //         key = event.keyCode;  (Both can be used)
        return (key > 47 && key < 58) || key == 45;
    }
    switchEnable(event) {
        if (event) {
            this.selectedSample = this.tempCheckValue;
        }
        else {
            this.selectedSample = -1;
        }
    }
    // TODO:  select Assessment list and set id to payload
    onAssessmentSelect(event) {
        this.isAssessment = false;
        console.log('event ===> 1', this.responsibilityForm);
        this.responsibilityForm.assessment = event;
        console.log('event ===>', event, this.responsibilityForm);
    }
    // TODO: Populate assessment data from already selected data
    /**
     *
     * @param assessmentDetails : selected assessment details like it's object id and category_id
     */
    getAssessmentDetails(assessmentDetails, type) {
        this.responsibilityService
            .getAssessmentDetailsByID(assessmentDetails.assessment_id)
            .subscribe((res) => {
            this.setAssessmentData(res, assessmentDetails, type);
        });
    }
    setAssessmentData(res, assessmentDetails, type) {
        if (res?.length > 0) {
            if (type === 'assessment') {
                const categoryDetails = res[0].category.find((ele) => ele._id == assessmentDetails.category_id);
                this.moreOptions.ASSESSMENT = true;
                const assessmentData = {
                    category_id: assessmentDetails.category_id,
                    assessment_id: assessmentDetails.assessment_id,
                    assessmentDetails: {
                        id: assessmentDetails.assessment_id,
                        assessment_name: res[0].assessment_name,
                        questions: res[0].questionsCount,
                    },
                    category_details: categoryDetails,
                };
                this.responsibilityForm.assessment = JSON.parse(JSON.stringify(assessmentData));
            }
            else {
                this.moreOptions.CHECKPOINTS_NEW = true;
                this.postAssessment({ assessmentDetails: res[0].questions });
            }
        }
    }
    onRemoveCheckpoints(type) {
        this.onRemovingCheckpoint.emit(type);
    }
    removeCheckpoint() {
        this.moreOptions.CHECKPOINTS = false;
        this.responsibilityForm.checkpoints = [];
    }
    /**
     *
     * @param event Assessment details
     */
    postAssessment(event) {
        this.responsibilityForm.new_checkpoints = event.assessmentDetails;
        this.checkpointCount = event.assessmentDetails.elements?.length;
        this.checkpointCountUpdated.emit(this.checkpointCount);
        this.setIsUploaded(false);
    }
    setIsUploaded(event) {
        if (!event)
            this.activeDeselector();
        this.authService.previewPanel.next(event);
    }
    checkDefaultProgramOnRemove(program) {
        const index = this.responsibilityForm?.linkedProgram?.findIndex((el) => el?.category_id === program?.category_id);
        const programIndex = this.responsibilityForm?.program?.findIndex((el) => el?.category_id === program?.category_id);
        if (index !== -1) {
            this.responsibilityForm?.linkedProgram?.splice(index, 1);
            const updatedCategories = this.responsibilityForm?.category?.filter((el) => !(el === program?.category_id || program?.child_id?.includes(el)));
            this.responsibilityForm.category = updatedCategories;
        }
        if (programIndex !== -1) {
            this.responsibilityForm.program = [];
            if (this.responsibilityForm?.linkedProgram?.length) {
                this.responsibilityForm?.program.push(this.responsibilityForm?.linkedProgram[0]);
            }
        }
    }
    /**
     * It takes an array of numbers and returns an array of unique numbers.
     * @param {any} array - The array you want to get the unique values from.
     * @returns An array of unique values.
     */
    getUniqueIds(array) {
        const unique = [...new Set(array)];
        return unique;
    }
    openAssigneeChangeConfirmation(event) {
        if (event) {
            this.responsibilityForm.assignees.whoCanComplete = 'ANY_ONE';
        }
        else {
            this.responsibilityForm.assignees.whoCanComplete = '';
            this.assigneeTypeChange.emit(true);
        }
    }
    /**
     * If the mode is EDIT, emit the event.
     * @param {any} event - any - the event that is triggered when the user selects a radio button
     */
    onReviewerWorkflowChange(event) {
        this.responsibilityForm.reviewers.sequentialWorkflow =
            event === 'sequential' ? true : false;
        if (this.mode === 'EDIT' && this.hasReviewer) {
            this.onReviewerTypeChange.emit(event);
        }
    }
    getOtherGRCObjects(event) {
        if (this.otherGRCSubscription) {
            this.otherGRCSubscription.unsubscribe();
        }
        if (!event) {
            event = {
                rc_ids: '',
                type: this.selectedGRCTab,
                state: 1,
                page: 1,
            };
        }
        if (event?.searchString && this.grcSearchString !== event?.searchString) {
            this.grcSearchString = event?.searchString;
            this.getOtherGRCTabCount({
                rc_ids: '',
                searchString: this.grcSearchString,
            });
        }
        this.grcLoader = true;
        event['rc_ids'] = this.getAllRCIds(this.responsibilityForm.rc);
        event['grcType'] = this.selectedGRCTab;
        this.otherGRCSubscription = this.grcService
            .getGRCList(event)
            .subscribe((data) => {
            this.grcList = data;
            this.grcLoader = false;
        });
    }
    /**
     * The function `getOtherGRCTabCount` retrieves the count of different types of items (assets,
     * processes, vendors, inventory) and updates the corresponding tabs with the count.
     * @param {any} [event] - The "event" parameter is an optional parameter that can be passed to the
     * "getOtherGRCTabCount" function. It is of type "any", which means it can accept any data type.
     */
    getOtherGRCTabCount(event) {
        event['rc_ids'] = this.getAllRCIds(this.responsibilityForm.rc);
        this.grcTabLoader = true;
        this.grcService.getGRCTabsCount(event).subscribe((data) => {
            this.otherGRCCard.forEach((tab, index) => {
                const OBJECT_LABEL = {
                    ASSET: 'Assets',
                    PROCESS: 'Processes',
                    VENDOR: 'Vendors',
                    INVENTORY: 'Inventory',
                };
                this.grcTabLoader = false;
                const TAB_NAME = OBJECT_LABEL[tab?.title?.toUpperCase()];
                if (TAB_NAME) {
                    tab.title = TAB_NAME;
                    tab.value = index;
                    tab.selectedCount = 0;
                    tab.key = TAB_NAME?.toLowerCase();
                }
                const key = `${tab.key}_type_count`;
                if (data.hasOwnProperty(key)) {
                    tab.count = data[key];
                }
            });
        });
    }
    getAllRCIds(rcIds) {
        const allIds = rcIds.flatMap((rc) => [
            ...rc.item_parent_ids.map(Number),
            ...rc.item_child_ids.map(Number),
            Number(rc.rc_id),
        ]);
        return this.responsibilityCentersList
            .filter((rc) => allIds.includes(rc?.rc_id))
            .map((ele) => ele._id)
            .join(',');
    }
    setOtherGRCTypesFormate() {
        const grcTypes = GRC_TYPE_ARRAY;
        this.resetGRCDataWithTypes();
        if (this.responsibilityForm?.selectedGRCObjects?.length > 0) {
            this.responsibilityForm?.selectedGRCObjects?.forEach((item) => {
                this.grcDataWithTypes[grcTypes[item?.type]]?.push(item);
            });
        }
    }
    resetGRCDataWithTypes() {
        this.grcDataWithTypes = {
            assets: [],
            processes: [],
            vendors: [],
            inventory: [],
        };
    }
    removeOtherGRCObjects(event) {
        const grcTypes = GRC_TYPE_ARRAY;
        this.responsibilityForm.selectedGRCObjects =
            this.responsibilityForm?.selectedGRCObjects.filter((grc) => grc?._id !== event?._id);
        this.filterOtherGRCData(event, grcTypes[event?.type]);
        this.otherGRCCard[0].selectedCount
            ? (this.otherGRCCard[event?.type].selectedCount -= 1)
            : 0;
    }
    filterOtherGRCData(event, type) {
        this.grcDataWithTypes[type] = this.grcDataWithTypes[type]?.filter((grc) => grc?._id !== event?._id);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowComplianceComponent, deps: [{ token: AuthService$1 }, { token: ResponsibilityService }, { token: FrequencyService }, { token: UiKitService }, { token: SnackBarService }, { token: AuthService$1 }, { token: ProgramsService }, { token: GrcService }, { token: OrganizationUserService }, { token: ComplianceCommonService }, { token: OrganizationCommonService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowComplianceComponent, selector: "app-workflow-compliance", inputs: { mode: "mode", responsibilityId: "responsibilityId", frameworkDetails: "frameworkDetails", isEntrust: "isEntrust", feature: "feature", assessmentDetails: "assessmentDetails", closeOnEsc: "closeOnEsc", orgDetails: "orgDetails", openedFrom: "openedFrom", selectedRC: "selectedRC", setSelectedProgram: ["selectedProgram", "setSelectedProgram"] }, outputs: { pickerChanged: "pickerChanged", populateOption: "populateOption", hideElementsFromMoreOptions: "hideElementsFromMoreOptions", closeWorkflow: "closeWorkflow", resetForm: "resetForm", disconnectRefresh: "disconnectRefresh", checkpointCountUpdated: "checkpointCountUpdated", rcSelected: "rcSelected", onRemovingCheckpoint: "onRemovingCheckpoint", isAssessmentDisabled: "isAssessmentDisabled", assigneeTypeChange: "assigneeTypeChange", onReviewerTypeChange: "onReviewerTypeChange" }, viewQueries: [{ propertyName: "whatInput", first: true, predicate: ["what"], descendants: true }], ngImport: i0, template: "<div class=\"workflw-compliance\" *ngIf=\"!showSmiley\">\n  <!-- Behalf -->\n  <div\n    *ngIf=\"mode !== 'EDIT'\"\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'assignors'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assignors' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.assignors?.list?.length > 0 &&\n        activeSelector !== 'assignors'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.im_creating\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.assignors?.list?.length == 0 ||\n          activeSelector === 'assignors'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.assignors?.list?.length > 0 &&\n          activeSelector !== 'assignors'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >I am creating this responsibility on behalf of someone else\n          <app-cs-switch\n            [ngValue]=\"responsibilityForm.assignors.enable\"\n            (ngValueChange)=\"\n              responsibilityForm.assignors.enable = $event;\n              responsibilityForm.assignors.list = []\n            \"\n          >\n          </app-cs-switch>\n        </label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            responsibilityForm?.assignors?.list?.length === 0 ||\n            activeSelector === 'assignors'\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('assignors', true)\"\n            placeholder=\"Who is responsible for managing this responsibility?\"\n            readonly\n            [disabled]=\"!responsibilityForm?.assignors?.enable\"\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            responsibilityForm?.assignors?.list?.length > 0 &&\n            activeSelector !== 'assignors'\n          \"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let b_user of responsibilityForm?.assignors?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                (click)=\"remove('assignors', b_user)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"b_user.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ b_user.member_name }}</span\n              >\n            </ng-container>\n            <button\n              *ngIf=\"responsibilityForm?.assignors?.list?.length > 1\"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"behalf.popover()\"\n              placement=\"right\"\n            >\n              +{{ responsibilityForm?.assignors?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\" *ngFor=\"let b_user of responsibilityForm?.assignors?.list?.slice(0,2)\"><i\n                              class=\"icons\" (click)=\"remove('assignors',b_user)\">&#xe90d;</i>\n                          {{b_user.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.assignors?.list?.length > 2\" type=\"button\"\n                          appPopover (click)=\"behalf.popover()\" placement=\"right\">+\n                          {{responsibilityForm?.assignors?.list?.slice(2).length}}</button>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'assignors'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('assignors', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #behalf [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let b_user of responsibilityForm?.assignors?.list | slice : 2;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assignors', b_user)\"\n                      >&#xe90d;</i\n                    >\n                    {{ b_user.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <p\n          *ngIf=\"invalidType === 'whom'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please select the person responsible for managing this responsibility.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- What -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'framework'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'responsibilityName' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.responsibility?.name.trim() !== '' &&\n        !focus.responsibilityName\n      \"\n    >\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.responsibility?.name.trim() === '' ||\n          focus.responsibilityName\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.responsibility?.name.trim() !== '' &&\n          !focus.responsibilityName\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          What? <span class=\"required\">*</span>\n          <button\n            *ngIf=\"\n              isFrameworkAvailable &&\n              mode !== 'EDIT' &&\n              openedFrom !== 'RISK_TREATMENT' &&\n              assessmentDetails?.assessment_type !== 'compliance_audit'\n            \"\n            (click)=\"activateSelector('framework', true)\"\n            class=\"button\"\n          >\n            Select From A framework\n          </button>\n        </label>\n        <span\n          *ngIf=\"responsibilityForm?.responsibility?.keyResponsibility\"\n          class=\"indicator\"\n          [appTooltip]=\"'This responsibility is marked as key responsibility.'\"\n          placement=\"bottom\"\n          type=\"black\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n        >\n          <i class=\"icons\">&#xea70;</i>\n        </span>\n        <input\n          *ngIf=\"\n            responsibilityForm?.responsibility?.name.trim() == '' || !isEditWhat\n          \"\n          type=\"text\"\n          [ngModel]=\"responsibilityForm.responsibility.name\"\n          placeholder=\"What is the responsibility?\"\n          (change)=\"whatChanged($event)\"\n          (focusin)=\"activateSelector('responsibilityName', true)\"\n          (focusout)=\"activeDeselector()\"\n          (clickOutside)=\"testFunction()\"\n          #what\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            responsibilityForm?.responsibility?.name.trim() != '' && isEditWhat\n          \"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{\n              responsibilityForm.responsibility?.name\n            }}</span>\n          </div>\n          <button\n            *ngIf=\"assessmentDetails?.assessment_type !== 'compliance_audit'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"onEditWhat($event)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"invalidType === 'what'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please enter a name for this responsibility.\n        </p>\n        <div class=\"switch-row align-right\">\n          <app-cs-switch\n            [ngValue]=\"responsibilityForm.responsibility?.keyResponsibility\"\n            (ngValueChange)=\"\n              responsibilityForm.responsibility.keyResponsibility = $event\n            \"\n            >Key Responsibility\n          </app-cs-switch>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Who -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'assignees'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assignees' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.assignees?.list?.length > 0 &&\n        activeSelector !== 'assignees'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.case_assignees\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.assignees?.list?.length == 0 ||\n          activeSelector === 'assignees'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.assignees?.list?.length > 0 &&\n          activeSelector !== 'assignees'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <div class=\"edit-due-date\">\n          <label class=\"vx-control-panel\"\n            >Who? <span class=\"required\">*</span></label\n          >\n          <div\n            *ngIf=\"allowEditDueDateFeatureFlag\"\n            class=\"switch-row align-right\"\n          >\n            <app-cs-switch\n              [ngValue]=\"responsibilityForm.allowEditDueDate\"\n              (ngValueChange)=\"responsibilityForm.allowEditDueDate = $event\"\n              >ALLOW ASSIGNEE TO EDIT COMPLETED WORK<i\n                class=\"icons\"\n                [appTooltip]=\"\n                  'If it\u2019s enabled, the assignee will have the option to modify a previously completed due date.'\n                \"\n                placement=\"bottom-right\"\n                type=\"white\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                >&#xe91f;</i\n              >\n            </app-cs-switch>\n          </div>\n        </div>\n        <div\n          class=\"select vx-mt-0\"\n          *ngIf=\"\n            responsibilityForm?.assignees?.list?.length == 0 &&\n            (!featureFlag_groups ||\n              (responsibilityForm?.assigneeGroups?.list?.length == 0 &&\n                featureFlag_groups))\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('assignees', true)\"\n            placeholder=\"Who is responsible for completing the responsibility?\"\n            readonly\n          />\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.assignees?.list?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.assignees?.list?.length > 0 ||\n              responsibilityForm?.assigneeGroups?.list?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let e_user of responsibilityForm?.assignees?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                (click)=\"remove('assignees', e_user)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"e_user.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ e_user.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenbg\"\n              appPopover\n              (click)=\"assignees.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.assignees?.list?.length > 1\"\n            >\n              +{{ responsibilityForm?.assignees?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureFlag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.assignees?.list?.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('assignees', responsibilityForm?.assignees?.list[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.assignees?.list[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.assignees?.list[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"user.popover()\"\n                placement=\"left\"\n                *ngIf=\"responsibilityForm?.assignees?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.assignees?.list?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.assignees?.list?.length > 0 &&\n                responsibilityForm?.assigneeGroups?.list?.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"!allGroupAssignee || mode !== 'EDIT'\"\n                (click)=\"\n                  remove(\n                    'groupassignees',\n                    responsibilityForm?.assigneeGroups?.list[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.assigneeGroups?.list[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.assigneeGroups?.list[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.assigneeGroups?.list?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.assignees?.length>1\" [class.plus]=\"responsibilityForm?.assignees?.length>2\" *ngIf=\"!featureFlag_groups\">\n                      <span class=\"chip\" *ngFor=\"let e_user of responsibilityForm?.assignees?.list?.slice(0,2)\"><i\n                              class=\"icons\" (click)=\"remove('assignees',e_user)\">&#xe90d;</i>\n                          {{e_user.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.assignees?.list?.length > 2\" type=\"button\"\n                          appPopover (click)=\"assignees.popover()\" placement=\"right\">+\n                          {{responsibilityForm?.assignees?.list?.slice(2).length}}</button>\n                  </div> -->\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.assignees?.list?.length > 0\" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('assignees',responsibilityForm?.assignees?.list[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.assignees?.list[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.assignees?.list[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.assignees?.list?.length > 1\" class=\"count user\" appPopover (click)=\"user.popover()\" placement=\"left\"> +{{responsibilityForm?.assignees?.list?.length -1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"  *ngIf=\"responsibilityForm?.assignees?.list?.length > 0 && responsibilityForm?.assigneeGroups?.list?.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length\" >\n                          <i *ngIf=\"(!allGroupAssignee || mode !== 'EDIT')\" class=\"icons cross vx-mr-1\" (click)=\"remove('groupassignees',responsibilityForm?.assigneeGroups?.list[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.assigneeGroups?.list[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.assigneeGroups?.list[0]?.group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length > 1\" class=\"count\" appPopover (click)=\"group.popover()\" placement=\"right\">+{{responsibilityForm?.assigneeGroups?.list?.length - 1}}</button>\n                      </div>\n                  </div> -->\n          <button\n            *ngIf=\"\n              activeSelector !== 'assignees' &&\n              (!featureFlag_groups ||\n                (featureFlag_groups && (!allGroupAssignee || mode !== 'EDIT')))\n            \"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('assignees', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #user [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let e_user of responsibilityForm?.assignees?.list | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assignees', e_user)\"\n                      >&#xe90d;</i\n                    >\n                    {{ e_user.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #group [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of responsibilityForm?.assigneeGroups?.list\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      *ngIf=\"\n                        !featureFlag_groups ||\n                        (featureFlag_groups &&\n                          (!allGroupAssignee || mode !== 'EDIT'))\n                      \"\n                      class=\"icons\"\n                      (click)=\"remove('groupassignees', group)\"\n                      >&#xe90d;</i\n                    >\n                    {{ group.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <p\n          *ngIf=\"invalidType === 'who'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please select the person responsible for completing this\n          responsibility.\n        </p>\n        <ng-container *ngIf=\"!isGroupAssigned\">\n          <app-cs-radio\n            *ngIf=\"mode !== 'EDIT'\"\n            (checkedEvent)=\"responsibilityForm.assignees.whoCanComplete = 'ALL'\"\n            [checked]=\"responsibilityForm.assignees.whoCanComplete == 'ALL'\"\n            [name]=\"'what'\"\n            >ALL SELECTED PERSONS NEED TO COMPLETE THIS<i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, separate responsibilities will be created for each person.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            >\n          </app-cs-radio>\n          <app-cs-radio\n            *ngIf=\"mode !== 'EDIT'\"\n            (checkedEvent)=\"\n              responsibilityForm.assignees.whoCanComplete = 'ANY_ONE'\n            \"\n            [checked]=\"responsibilityForm.assignees.whoCanComplete == 'ANY_ONE'\"\n            [name]=\"'what'\"\n            >ANY SELECTED PERSON CAN COMPLETE THIS\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, only one responsibility will be created.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            >\n          </app-cs-radio>\n\n          <div\n            class=\"switch-row align-right\"\n            *ngIf=\"\n              mode == 'EDIT' &&\n              (!featureFlag_groups ||\n                (responsibilityForm?.assigneeGroups?.list.length === 0 &&\n                  featureFlag_groups))\n            \"\n          >\n            <app-cs-switch\n              (ngValueChange)=\"openAssigneeChangeConfirmation($event)\"\n              [ngValue]=\"\n                responsibilityForm.assignees.whoCanComplete == 'ANY_ONE'\n              \"\n            >\n              ANY SELECTED PERSON CAN COMPLETE THIS\n            </app-cs-switch>\n          </div>\n        </ng-container>\n        <app-popover #assignees [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let e_user of responsibilityForm?.assignees?.list | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assignees', e_user)\"\n                      >&#xe90d;</i\n                    >\n                    {{ e_user.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- When? -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'frequency'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'frequency' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        !responsibilityForm?.frequency || activeSelector === 'frequency'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.when\"\n        alt=\"im\"\n        *ngIf=\"!responsibilityForm?.frequency || activeSelector === 'frequency'\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.frequency &&\n          activeSelector !== 'frequency' &&\n          responsibilityForm?.frequency != '' &&\n          responsibilityForm?.frequency != '5~0~0~0'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >When? <span class=\"required\">*</span></label\n        >\n        <div\n          *ngIf=\"\n            responsibilityForm?.frequency == '' ||\n            responsibilityForm?.frequency == '5~0~0~0'\n          \"\n          class=\"select button-sec\"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('frequency', true)\"\n            [placeholder]=\"frequencyPlaceholder\"\n            readonly\n          />\n          <button (click)=\"activateSelector('frequency', true)\" type=\"button\">\n            Set A frequency\n          </button>\n        </div>\n        <div\n          *ngIf=\"\n            responsibilityForm?.frequency != '' &&\n            responsibilityForm?.frequency !== '5~0~0~0'\n          \"\n          class=\"selected button-sec\"\n        >\n          <span\n            class=\"chip\"\n            [appTooltip]=\"frequencyPlaceholder\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            >{{ frequencyPlaceholder }}</span\n          >\n          <button\n            *ngIf=\"activeSelector !== 'frequency'\"\n            type=\"button\"\n            class=\"edit\"\n            (click)=\"activateSelector('frequency', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"invalidType === 'when'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please select the frequency of occurrence for this responsibility.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Notes -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'notes'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'notes' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        checkBlank(responsibilityForm?.description).trim() !== '' &&\n        !focus.description\n      \"\n    >\n      <img\n        [src]=\"ASSETS.notes\"\n        alt=\"im\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.description).trim() === '' ||\n          focus.description\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.description).trim() !== '' &&\n          !focus.description\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Notes</label>\n        <vcomply-editor\n          [(ngModel)]=\"responsibilityForm.description\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            id: 'notes',\n            placeholder:\n              'Add more information about completing the responsibility'\n          }\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Objective -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.OBJECTIVE\"\n    [attr.id]=\"'OBJECTIVE'\"\n    [class.active]=\"activeSelector === 'objective'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'objective' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        checkBlank(responsibilityForm?.objective).trim() !== '' &&\n        !focus.objective\n      \"\n    >\n      <img\n        [src]=\"ASSETS.objectives\"\n        alt=\"im\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.objective).trim() === '' ||\n          focus.objective\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.objective).trim() !== '' &&\n          !focus.objective\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Objective</label>\n        <vcomply-editor\n          [(ngModel)]=\"responsibilityForm.objective\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            id: 'objective',\n            link: true,\n            placeholder:\n              'This option lets you specify an objective for the responsibility.'\n          }\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Responsibility Center -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.RC\"\n    [attr.id]=\"'RC'\"\n    [class.active]=\"activeSelector === 'rc'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'rc' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.rc?.length > 0 && activeSelector !== 'rc'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.responsibility_center\"\n        alt=\"\"\n        *ngIf=\"responsibilityForm?.rc?.length == 0 || activeSelector === 'rc'\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"responsibilityForm?.rc?.length > 0 && activeSelector !== 'rc'\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Responsibility Center </label>\n\n        <div class=\"select\" *ngIf=\"responsibilityForm?.rc?.length === 0\">\n          <div\n            class=\"custom-input\"\n            (click)=\"activateSelector('rc', true)\"\n            aria-placeholder=\"Select the responsibility center or the responsibility centers for this responsibility.\"\n          ></div>\n          <!-- <input type=\"text\" (click)=\"activateSelector('rc',true)\" placeholder=\"Select Responsibility Center(s)\" readonly> -->\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm?.rc?.length > 0\"\n          [class.readOnly]=\"openedFrom === 'RISK_TREATMENT'\"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngFor=\"let rc of responsibilityForm?.rc?.slice(0, 1)\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('rc', rc)\"\n              *ngIf=\"openedFrom !== 'RISK_TREATMENT'\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"rc?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ rc?.item_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              *ngIf=\"responsibilityForm?.rc?.length > 1\"\n              appPopover\n              (click)=\"rcPopover.popover()\"\n              placement=\"left\"\n            >\n              +{{ responsibilityForm?.rc?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.rc?.length>1\" [class.plus]=\"responsibilityForm?.rc?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let rc of responsibilityForm?.rc?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('rc',rc)\" *ngIf=\"openedFrom !== 'RISK_TREATMENT'\">&#xe90d;</i>{{rc?.item_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.rc?.length > 2\" type=\"button\" appPopover (click)=\"rc.popover()\" placement=\"right\" placement=\"right\">+{{responsibilityForm?.rc?.slice(2).length}}</button>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'rc' && openedFrom !== 'RISK_TREATMENT'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('rc', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #rcPopover [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let rc of responsibilityForm?.rc | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('rc', rc)\">&#xe90d;</i>\n                    {{ rc.item_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <ng-container\n          *ngIf=\"\n            isResponsibilityRcLinkEnabled &&\n            (mode != 'EDIT' || responsibilityForm?.rc?.length <= 1)\n          \"\n        >\n          <!-- <app-cs-radio><div [appTooltip]=\"'Create separate responsibilities for each responsibility center'\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\">CREATE SEPARATE RESPONSIBILITIES FOR EACH RESPONSIBILITY CEN\u2026</div><i class=\"icons\" [appTooltip]=\"'If selected, separate responsibilities will be created for each Responsibility Center.'\" placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=\"true\">&#xe91f;</i></app-cs-radio> -->\n          <app-cs-radio\n            [class.disabled]=\"\n              mode == 'EDIT' &&\n              responsibilityForm.responsibilityCenterType === 1 &&\n              responsibilityForm?.rc?.length > 1\n            \"\n            [checked]=\"responsibilityCenterType === 0\"\n            [name]=\"'ff_responsibility_rc_link'\"\n            (checkedEvent)=\"onRcTypeChange(0)\"\n            ><div\n              class=\"rc-radio-text\"\n              [appTooltip]=\"\n                'Create separate responsibilities for each responsibility centers'\n              \"\n              placement=\"bottom-left\"\n              type=\"black\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              CREATE SEPARATE RESPONSIBILITIES FOR EACH RESPONSIBILITY CEN\u2026\n            </div>\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, separate responsibilities will be created for each Responsibility Center.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-radio\n          >\n          <app-cs-radio\n            [class.disabled]=\"\n              mode == 'EDIT' &&\n              responsibilityForm.responsibilityCenterType === 1 &&\n              responsibilityForm?.rc?.length > 1\n            \"\n            [checked]=\"responsibilityCenterType === 1\"\n            [name]=\"'ff_responsibility_rc_link'\"\n            (checkedEvent)=\"onRcTypeChange(1)\"\n            >DISPLAY THE SAME RESPONSIBILITY IN ALL RESPONSIBILITY CENTERS<i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, the same responsibility will be linked to each Responsibility Center.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-radio\n          >\n        </ng-container>\n      </div>\n    </div>\n  </div>\n\n  <!-- Program -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.PROGRAM\"\n    [attr.id]=\"'PROGRAM'\"\n    [class.active]=\"activeSelector === 'program'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'program' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.program?.length > 0 && activeSelector !== 'program'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.program?.length == 0 ||\n          activeSelector === 'program'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.program?.length > 0 &&\n          activeSelector !== 'program'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Program</label>\n        <div class=\"select\" *ngIf=\"responsibilityForm?.program?.length == 0\">\n          <div\n            class=\"custom-input\"\n            (click)=\"activateSelector('program', true)\"\n            aria-placeholder=\"Select the Program or Program Categories that this responsibility relates to.\"\n          ></div>\n          <!-- <input type=\"text\" (click)=\"activateSelector('program',true)\" placeholder=\"Select Responsibility program(s)\" readonly> -->\n        </div>\n        <div class=\"selected\" *ngIf=\"responsibilityForm?.program?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container *ngFor=\"let program of responsibilityForm?.program\">\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"\n                  !hiddenList?.includes('PROGRAM') &&\n                  !program?.isViewOnlyProgram\n                \"\n                (click)=\"remove('program', program)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"program?.name ?? '--'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ program?.name ?? \"--\" }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"program.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.linkedProgram?.length > 1\"\n            >\n              +{{ responsibilityForm?.linkedProgram?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.program?.length>1\" [class.plus]=\"responsibilityForm?.program?.length>2\">\n                              <span class=\"chip\" *ngFor=\"let program of responsibilityForm?.program\"><i class=\"icons\" *ngIf=\"feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\" (click)=\"remove('program',program)\">&#xe90d;</i> {{program?.name??'--'}}</span>\n                              <!- - <button *ngIf=\"responsibilityForm?.program?.length > 2\" class=\"count\" type=\"button\" appPopover (click)=\"program.popover()\" placement=\"right\">+ {{responsibilityForm?.program?.slice(2).length}}</button> - ->\n                              <button *ngIf=\"responsibilityForm?.linkedProgram?.length > 1\" class=\"count\" type=\"button\" appPopover (click)=\"program.popover()\" placement=\"right\">+ {{responsibilityForm?.linkedProgram?.length - 1}}</button>\n                          </div> -->\n\n          <button\n            *ngIf=\"\n              activeSelector !== 'program' && !hiddenList.includes('PROGRAM')\n            \"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('program', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n\n        <app-popover #program [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <ng-container\n                *ngIf=\"\n                  !feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n                \"\n              >\n                <li class=\"multiple-program\">\n                  <div class=\"avatar-card\">\n                    <span\n                      class=\"value\"\n                      [appTooltip]=\"responsibilityForm?.program[0]?.name\"\n                      placement=\"bottom\"\n                      type=\"black\"\n                      delay=\"0\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ responsibilityForm?.program[0]?.name }}\n                    </span>\n                    <div class=\"primary-label\">PRIMARY</div>\n                  </div>\n                </li>\n              </ng-container>\n              <li\n                *ngFor=\"\n                  let program of responsibilityForm?.linkedProgram;\n                  let j = index\n                \"\n              >\n                <div\n                  class=\"avatar-card\"\n                  *ngIf=\"\n                    program?.category_id !==\n                    responsibilityForm?.program[0]?.category_id\n                  \"\n                >\n                  <span\n                    class=\"value\"\n                    [appTooltip]=\"program?.name\"\n                    placement=\"bottom\"\n                    type=\"black\"\n                    delay=\"0\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    <i\n                      *ngIf=\"\n                        !hiddenList?.includes('PROGRAM') &&\n                        !program?.isViewOnlyProgram\n                      \"\n                      class=\"icons\"\n                      (click)=\"remove('program', program)\"\n                      >&#xe90d;</i\n                    >\n                    {{ program?.name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <div *ngIf=\"responsibilityForm?.customTags?.length > 0\">\n          <ng-container *ngFor=\"let tag of responsibilityForm?.customTags\">\n            <ng-container *ngIf=\"tag?.tag_name?.trim()\">\n              <label class=\"vx-control-panel vx-mt-2\">{{\n                tag?.tag_name\n              }}</label>\n              <input\n                type=\"text\"\n                [(ngModel)]=\"tag.value\"\n                placeholder=\"{{ tag?.tag_name }}\"\n              />\n            </ng-container>\n          </ng-container>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Format & Evidence -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.FORMATE_EVIDENCE\"\n    [attr.id]=\"'FORMATE_EVIDENCE'\"\n    [class.active]=\"activeSelector === 'formate_evidence'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'formate_evidence' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        *ngIf=\"\n          this.responsibilityForm.formatAndEvidence.evidenceRequired == false &&\n          this.responsibilityForm.formatAndEvidence.formatFiles.length == 0 &&\n          this.responsibilityForm.formatAndEvidence.formatLinks?.length == 0\n        \"\n        [src]=\"ASSETS.format_evidence\"\n        alt=\"im\"\n      />\n\n      <svg\n        *ngIf=\"\n          this.responsibilityForm.formatAndEvidence.evidenceRequired ||\n          this.responsibilityForm.formatAndEvidence.formatFiles.length ||\n          this.responsibilityForm.formatAndEvidence.formatLinks?.length\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <app-format-and-evidence\n        (updateFiles)=\"saveSelectedList('formate_evidence', $event)\"\n        [mode]=\"'responsibility'\"\n        [formatEvidanceData]=\"responsibilityForm?.formatAndEvidence\"\n      >\n      </app-format-and-evidence>\n    </div>\n  </div>\n\n  <!-- Assessment -->\n  <div\n    *ngIf=\"moreOptions?.ASSESSMENT\"\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [attr.id]=\"'ASSESSMENT'\"\n    [class.active]=\"activeSelector === 'isAssessment'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'isAssessment' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"responsibilityForm.assessment?.assessment_id\"\n    >\n      <img\n        *ngIf=\"!responsibilityForm.assessment?.assessment_id\"\n        [src]=\"ASSETS.assessments\"\n        alt=\"im\"\n      />\n\n      <svg\n        *ngIf=\"responsibilityForm.assessment?.assessment_id\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">ASSESSMENTS</label>\n        <div\n          *ngIf=\"!responsibilityForm.assessment?.assessment_id\"\n          class=\"select\"\n        >\n          <input\n            type=\"text\"\n            (click)=\"\n              activateSelector('isAssessment', true); isAssessment = true\n            \"\n            placeholder=\"Select an assessment for this responsibility\"\n            [disabled]=\"responsibilityForm.checkpoints?.length\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm.assessment?.assessment_id\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              *ngIf=\"assessmentDetails?.assessment_type !== 'compliance_audit'\"\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('assessment', category)\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                responsibilityForm.assessment?.assessmentDetails\n                  ?.assessment_name\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                responsibilityForm.assessment?.assessmentDetails\n                  ?.assessment_name\n              }}</span\n            >\n            <div\n              class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-ml-1 vx-text-center\"\n            >\n              {{ responsibilityForm.assessment?.assessmentDetails?.questions }}\n              {{\n                responsibilityForm.assessment?.assessmentDetails?.questions > 1\n                  ? \"Questions\"\n                  : \"Question\"\n              }}\n            </div>\n          </div>\n\n          <button\n            *ngIf=\"assessmentDetails?.assessment_type !== 'compliance_audit'\"\n            (click)=\"\n              activateSelector('isAssessment', true); isAssessment = true\n            \"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Checkpoints -->\n  <!-- *ngIf=\"moreOptions.checkpoints\" -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.CHECKPOINTS\"\n    [attr.id]=\"'CHECKPOINTS'\"\n    [class.active]=\"activeSelector === 'checkpoints'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'checkpoints' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\">\n      <img\n        [src]=\"ASSETS.checkpoints\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.checkpoints?.length == 0 ||\n          activeSelector === 'checkpoints'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.checkpoints?.length > 0 &&\n          activeSelector !== 'checkpoints'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          <!-- {{responsibilityForm.checkpoints|json}}\n                {{responsibilityForm.checkpointInstruction}} -->\n\n          Checkpoints\n          <!-- <button *ngIf=\"responsibilityForm?.checkpoints?.length === 0\" class=\"button\"\n                      (click)=\"activateSelector('checkpoints',true)\">+ Add Checkpoints</button> -->\n        </label>\n        <div\n          class=\"select button-sec\"\n          *ngIf=\"responsibilityForm?.checkpoints?.length === 0\"\n        >\n          <input\n            [disabled]=\"!responsibilityForm.checkpoints?.length\"\n            type=\"text\"\n            (click)=\"activateSelector('checkpoints', true)\"\n            placeholder=\"Add checkpoints for this responsibility\"\n            readonly\n          />\n          <button\n            [disabled]=\"!responsibilityForm.checkpoints?.length\"\n            (click)=\"activateSelector('checkpoints', true)\"\n            type=\"button\"\n          >\n            Add Checkpoints\n          </button>\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm.checkpoints?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let checkpoint of responsibilityForm.checkpoints?.slice(0, 1)\n              \"\n            >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"checkpoint?.label\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ checkpoint?.label }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"checkpoint.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm.checkpoints?.length > 1\"\n            >\n              +{{ responsibilityForm.checkpoints?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container checkpoints\" [class.more-one]=\"responsibilityForm.checkpoints?.length>1\" [class.plus]=\"responsibilityForm.checkpoints?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let checkpoint of responsibilityForm.checkpoints?.slice(0,1)\">{{checkpoint?.label}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm.checkpoints?.length > 1\" type=\"button\" appPopover (click)=\"checkpoint.popover()\" placement=\"right\">+{{responsibilityForm.checkpoints?.length- 1}}</button>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'checkpoints'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('checkpoints', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <div\n        *ngIf=\"this.responsibilityForm.checkpoints?.length\"\n        class=\"assessment-text\"\n      >\n        <i class=\"icons alert-icon\">&#xe930;</i>\n        <span\n          >You can now use the new <strong>Checkpoints </strong>or\n          <strong>Assessments</strong> feature instead of the old checkpoints\n          functionality to create analytical questions.\n          <button\n            class=\"remove-btn\"\n            (click)=\"onRemoveCheckpoints('checkpoint')\"\n          >\n            Remove Checkpoints\n          </button>\n          to continue.</span\n        >\n      </div>\n      <app-popover #checkpoint [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let checkpoint of responsibilityForm.checkpoints | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  {{ checkpoint?.label }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- New  Checkpoints -->\n  <!-- *ngIf=\"moreOptions.checkpoints\" -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.CHECKPOINTS_NEW\"\n    [attr.id]=\"'CHECKPOINTS-NEW'\"\n    [class.active]=\"activeSelector === 'checkpoints-new'\"\n  >\n    <div class=\"left\">\n      <img\n        [src]=\"ASSETS.checkpoints\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.checkpoints?.length == 0 ||\n          activeSelector === 'checkpoints'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"checkpointCount > 0 && activeSelector !== 'checkpoints'\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          <!-- {{responsibilityForm.checkpoints|json}}\n                {{responsibilityForm.checkpointInstruction}} -->\n\n          Checkpoints\n          <!-- <span class=\"checkpoint-version\"> V2.0</span> -->\n          <!-- <button  class=\"button\"\n                      (click)=\"activateSelector('checkpoints-new',true)\">+ Add Checkpoints</button> -->\n        </label>\n        <div class=\"select button-sec\" *ngIf=\"checkpointCount === 0\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('checkpoints-new', true)\"\n            placeholder=\"Add checkpoints for this responsibility\"\n            readonly\n          />\n          <button\n            (click)=\"activateSelector('checkpoints-new', true)\"\n            type=\"button\"\n          >\n            Add Checkpoints\n          </button>\n        </div>\n        <div class=\"selected\" *ngIf=\"checkpointCount > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"onRemoveCheckpoints('new-checkpoints')\"\n              >&#xe9ae;</i\n            >\n            <span class=\"chipName vx-fs-11 vx-label-txt\"\n              >{{ checkpointCount }}\n              {{ checkpointCount > 1 ? \"Questions\" : \"Question\" }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container checkpoints\" [class.more-one]=\"checkpointCount > 0\">\n                      <span class=\"chip\">\n                          <i class=\"icons\" (click)=\"onRemoveCheckpoints('new-checkpoints')\">&#xe90d;</i>\n                          {{checkpointCount}} {{checkpointCount > 1 ? 'Questions': 'Question'}}</span>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'checkpoints-new'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('checkpoints-new', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #checkpoint [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let checkpoint of responsibilityForm.checkpoints | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  {{ checkpoint?.label }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Risk Classification -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.RISK_CLASSIFICATION\"\n    [attr.id]=\"'RISK_CLASSIFICATION'\"\n    [class.active]=\"activeSelector === 'riskCalculator'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'riskCalculator' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\">\n      <img [src]=\"ASSETS.risks\" alt=\"im\" />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          Risk Classification\n          <button\n            (click)=\"activateSelector('riskCalculator', true)\"\n            class=\"button\"\n          >\n            + Risk Calculator\n          </button>\n        </label>\n\n        <div class=\"classification\">\n          <label\n            class=\"low\"\n            *ngFor=\"let risk of riskClassification\"\n            [ngClass]=\"[risk.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification\"\n              [(ngModel)]=\"responsibilityForm.riskClass\"\n              [value]=\"risk?.value\"\n            />\n            <span>{{ risk?.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Reviewer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.REVIEWER\"\n    [attr.id]=\"'REVIEWER'\"\n    [class.active]=\"\n      activeSelector === 'reviewerFrequency' || activeSelector === 'reviewer'\n    \"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'reviewer' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.reviewer\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.reviewers?.list?.length == 0 ||\n          activeSelector === 'reviewer'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.reviewers?.list?.length > 0 &&\n          activeSelector !== 'reviewer'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Reviewer</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            (responsibilityForm?.reviewers?.list?.length == 0 &&\n              !featureFlag_groups) ||\n            (responsibilityForm?.reviewers?.list?.length == 0 &&\n              responsibilityForm?.groupReviewers?.list?.length == 0 &&\n              featureFlag_groups)\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('reviewer', true)\"\n            placeholder=\"Select Reviewer\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.reviewers?.list?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.reviewers?.list?.length > 0 ||\n              responsibilityForm?.groupReviewers?.list?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let reviewer of responsibilityForm?.reviewers?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('reviewer', reviewer)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"reviewer.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ reviewer.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"reviewer.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.reviewers?.list?.length > 1\"\n            >\n              +{{ responsibilityForm?.reviewers?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"!featureFlag_groups\" [class.more-one]=\"responsibilityForm?.reviewers?.list?.length>1\"\n                      [class.plus]=\"responsibilityForm?.reviewers?.list?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let reviewer of responsibilityForm?.reviewers?.list?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('reviewer',reviewer)\">&#xe90d;</i> {{reviewer.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.reviewers?.list?.length > 2\" type=\"button\" appPopover (click)=\"reviewer.popover()\" placement=\"right\">+{{responsibilityForm?.reviewers?.list?.slice(2).length}}</button>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureFlag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.reviewers?.list.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('reviewer', responsibilityForm?.reviewers?.list[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.reviewers?.list[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.reviewers?.list[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"user.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.reviewers?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.reviewers?.list?.length - 1 }}\n              </button>\n            </div>\n            <div\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.reviewers?.list.length > 0 &&\n                responsibilityForm?.groupReviewers?.list?.length > 0\n              \"\n            >\n              &\n            </div>\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.groupReviewers?.list.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'groupReviewer',\n                    responsibilityForm?.groupReviewers?.list[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.groupReviewers?.list[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.groupReviewers?.list[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.groupReviewers?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.groupReviewers?.list?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.reviewers?.list.length > 0 \">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('reviewer',responsibilityForm?.reviewers?.list[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.reviewers?.list[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.reviewers?.list[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.reviewers?.list?.length > 1\" class=\"count user\" appPopover (click)=\"user.popover()\" placement=\"left\"> +{{responsibilityForm?.reviewers?.list?.length - 1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"responsibilityForm?.reviewers?.list.length > 0 && responsibilityForm?.groupReviewers?.list?.length > 0\">&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.groupReviewers?.list.length > 0 \" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('groupReviewer',responsibilityForm?.groupReviewers?.list[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.groupReviewers?.list[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.groupReviewers?.list[0]?.group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.groupReviewers?.list?.length > 1\" class=\"count\" appPopover (click)=\"group.popover()\" placement=\"right\">+{{responsibilityForm?.groupReviewers?.list?.length - 1}}</button>\n\n                      </div>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'reviewer'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('reviewer', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-cs-radio\n          [checked]=\"responsibilityForm.reviewers.sequentialWorkflow\"\n          [name]=\"'reviewer'\"\n          (checkedEvent)=\"onReviewerWorkflowChange('sequential')\"\n          [class.disabled]=\"\n            responsibilityForm?.groupReviewers?.list?.length > 0\n          \"\n        >\n          SEQUENTIAL<i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review one at a time in the sequence defined by you.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-cs-radio\n          [checked]=\"!responsibilityForm.reviewers.sequentialWorkflow\"\n          [name]=\"'reviewer'\"\n          (checkedEvent)=\"onReviewerWorkflowChange('anyReviewer')\"\n        >\n          ANY REVIEWER CAN MARK THIS AS REVIEWED<i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review to all reviewers at the same time. If anyone of the reviewer reviews the responsibility, it will be considered as reviewed.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-popover #reviewer [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let reviewer of responsibilityForm?.reviewers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('reviewer', reviewer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ reviewer.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #user [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let reviewer of responsibilityForm?.reviewers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('reviewer', reviewer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ reviewer.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #group [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of responsibilityForm?.groupReviewers?.list\n                    | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('groupReviewer', group)\"\n                      >&#xe90d;</i\n                    >\n                    {{ group.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.OVERSEER\"\n    [attr.id]=\"'OVERSEER'\"\n    [class.active]=\"\n      activeSelector === 'overseerNotify' || activeSelector === 'overseer'\n    \"\n    [class.disabled]=\"\n      activeSelector &&\n      !['overseerNotify', 'overseerNotify'].includes(activeSelector) &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n        *ngIf=\"\n          (responsibilityForm?.overseers?.list?.length == 0 &&\n            responsibilityForm?.overseers?.notifyList?.length == 0) ||\n          activeSelector === 'overseerNotify' ||\n          activeSelector === 'overseer'\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          (responsibilityForm?.overseers?.list?.length > 0 ||\n            responsibilityForm?.overseers?.notifyList?.length > 0) &&\n          !(\n            activeSelector === 'overseerNotify' || activeSelector === 'overseer'\n          )\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Oversight</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.list?.length == 0 &&\n              !featureFlag_groups) ||\n            (responsibilityForm?.overseers?.list?.length == 0 &&\n              responsibilityForm?.overseersGroups?.list?.length == 0 &&\n              featureFlag_groups)\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('overseer', true)\"\n            placeholder=\"Who should have oversight of the responsibility?\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.list?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.overseers?.list?.length > 0 ||\n              responsibilityForm?.overseersGroups?.list?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let overseer of responsibilityForm?.overseers?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('overseer', overseer)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"overseer.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ overseer.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"overseers.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.overseers?.list?.length > 1\"\n            >\n              +{{ responsibilityForm?.overseers?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.overseers?.list?.length>1\" [class.plus]=\"responsibilityForm?.overseers?.list?.length>2\" *ngIf=\"!featureFlag_groups\" >\n                      <span class=\"chip\" *ngFor=\"let overseer of responsibilityForm?.overseers?.list?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('overseer',overseer)\">&#xe90d;</i> {{overseer.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.overseers?.list?.length > 2\" type=\"button\" appPopover (click)=\"overseers.popover()\" placement=\"right\">+{{responsibilityForm?.overseers?.list?.slice(2).length}}</button>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureFlag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.overseers?.list.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('overseer', responsibilityForm?.overseers?.list[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseers?.list[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseers?.list[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"overseerUser.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.overseers?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.overseers?.list?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.overseers?.list.length > 0 &&\n                responsibilityForm?.overseersGroups?.list?.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'overseerGroup',\n                    responsibilityForm?.overseersGroups?.list[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseersGroups?.list[0].group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseersGroups?.list[0].group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.overseersGroups?.list?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseers?.list.length > 0\" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseer',responsibilityForm?.overseers?.list[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseers?.list[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.overseers?.list[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseers?.list?.length > 1\" class=\"count user\" appPopover (click)=\"overseerUser.popover()\" placement=\"left\"> +{{responsibilityForm?.overseers?.list?.length -1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"  *ngIf=\"responsibilityForm?.overseers?.list.length > 0 && responsibilityForm?.overseersGroups?.list?.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 0 \" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseerGroup',responsibilityForm?.overseersGroups?.list[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseersGroups?.list[0].group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\"  >{{responsibilityForm?.overseersGroups?.list[0].group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 1\" class=\"count\" appPopover (click)=\"overseerGroup.popover()\" placement=\"right\">+{{responsibilityForm?.overseersGroups?.list?.length -1}}</button>\n                      </div>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'overseer'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('overseer', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n\n        <div\n          class=\"select\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.notifyList?.length == 0 &&\n              !featureFlag_groups) ||\n            (responsibilityForm?.overseers?.notifyList?.length == 0 &&\n              responsibilityForm?.overseersGroups?.notifyList?.length == 0 &&\n              featureFlag_groups)\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('overseerNotify', true)\"\n            placeholder=\"Who should be notified if the responsibility is not complet...\"\n            readonly\n            [appTooltip]=\"\n              'Who should be notified if the responsibility is not completed?'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.notifyList?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.overseers?.notifyList?.length > 0 ||\n              responsibilityForm?.overseersGroups?.notifyList?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let overseer of responsibilityForm?.overseers?.notifyList?.slice(\n                  0,\n                  1\n                )\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('overseerNotifyList', overseer)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"overseer.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ overseer.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"notify.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 1\"\n            >\n              +{{ responsibilityForm?.overseers?.notifyList?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.overseers?.notifyList?.length>1\" [class.plus]=\"responsibilityForm?.overseers?.notifyList?.length>2\" *ngIf=\"!featureFlag_groups\">\n                      <span class=\"chip\" *ngFor=\"let overseer of responsibilityForm?.overseers?.notifyList?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('overseerNotifyList',overseer)\">&#xe90d;</i> {{overseer.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 2\" type=\"button\" appPopover (click)=\"notify.popover()\" placement=\"right\">+{{responsibilityForm?.overseers?.notifyList?.slice(2).length}}</button>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.overseers?.notifyList.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'overseerNotifyList',\n                    responsibilityForm?.overseers?.notifyList[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseers?.notifyList[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseers?.notifyList[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"notifyUser.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 1\"\n              >\n                +{{ responsibilityForm?.overseers?.notifyList?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.overseers?.notifyList.length > 0 &&\n                responsibilityForm?.overseersGroups?.notifyList?.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"\n                responsibilityForm?.overseersGroups?.notifyList?.length > 0\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'overseerGroupNotifyList',\n                    responsibilityForm?.overseersGroups?.notifyList[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseersGroups?.notifyList[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseersGroups?.notifyList[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"notifyGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"\n                  responsibilityForm?.overseersGroups?.notifyList?.length > 1\n                \"\n              >\n                +{{\n                  responsibilityForm?.overseersGroups?.notifyList?.length - 1\n                }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseers?.notifyList.length > 0\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseerNotifyList',responsibilityForm?.overseers?.notifyList[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseers?.notifyList[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.overseers?.notifyList[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 1\" class=\"count user\" appPopover (click)=\"notifyUser.popover()\" placement=\"left\"> +{{responsibilityForm?.overseers?.notifyList?.length - 1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"  *ngIf=\"responsibilityForm?.overseers?.notifyList.length > 0 && responsibilityForm?.overseersGroups?.notifyList?.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseersGroups?.notifyList?.length > 0 \" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseerGroupNotifyList',responsibilityForm?.overseersGroups?.notifyList[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseersGroups?.notifyList[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\"  >{{responsibilityForm?.overseersGroups?.notifyList[0]?.group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseersGroups?.notifyList?.length > 1\" class=\"count\" appPopover (click)=\"notifyGroup.popover()\" placement=\"right\">+{{responsibilityForm?.overseersGroups?.notifyList?.length - 1}}</button>\n                      </div>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'overseerNotify'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('overseerNotify', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #overseers [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerUser [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseers of responsibilityForm?.overseers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', overseers)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseers?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseersGroups?.list\n                    | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseerGroup', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #notify [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseers?.notifyList\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove('overseerNotifyList', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #notifyUser [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseers?.notifyList\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove('overseerNotifyList', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #notifyGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of responsibilityForm?.overseersGroups?.notifyList\n                    | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove('overseerGroupNotifyList', group)\"\n                      >&#xe90d;</i\n                    >\n                    {{ group?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Assurance -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.ASSURANCE\"\n    [attr.id]=\"'ASSURANCE'\"\n    [class.active]=\"activeSelector === 'assurance'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assurance' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.reviewer\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.assuranceList?.length == 0 ||\n          activeSelector === 'assurance'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.assuranceList?.length > 0 &&\n          activeSelector !== 'assurance'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Assurance</label>\n        <div\n          class=\"select\"\n          *ngIf=\"responsibilityForm?.assuranceList?.length == 0\"\n        >\n          <div\n            class=\"custom-input\"\n            (click)=\"activateSelector('assurance', true)\"\n            aria-placeholder=\"Select the test plan categories that you would like to add this responsibility to.\"\n          ></div>\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm?.assuranceList?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let assurance of responsibilityForm?.assuranceList?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('assurance', assurance)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"assurance.category_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ assurance.category_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"assurance.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.assuranceList?.length > 1\"\n            >\n              +{{ responsibilityForm?.assuranceList?.slice(1).length }}\n            </button>\n          </div>\n\n          <button\n            *ngIf=\"activeSelector !== 'assurance'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('assurance', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #assurance [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let assurance of responsibilityForm?.assuranceList\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assurance', assurance)\"\n                      >&#xe90d;</i\n                    >\n                    {{ assurance.category_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Requires Audit -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.REQUIRES_AUDIT && responsibilityForm.rc.length > 0\"\n    [attr.id]=\"'REQUIRES_AUDIT'\"\n    [class.active]=\"activeSelector === 'requires_audit'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'requires_audit' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.audit\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.requiresAuditList?.length == 0 ||\n          activeSelector === 'requires_audit'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.requiresAuditList?.length > 0 &&\n          activeSelector !== 'requires_audit'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">REQUIRES AUDIT?</label>\n        <div\n          class=\"select\"\n          *ngIf=\"responsibilityForm?.requiresAuditList?.length == 0\"\n        >\n          <input\n            type=\"text\"\n            placeholder=\"If yes, select an Audit Category.\"\n            readonly\n            (click)=\"activateSelector('requires_audit', true)\"\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm?.requiresAuditList?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('requires_audit', overseer)\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                responsibilityForm?.requiresAuditList[0]?.category_name\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                responsibilityForm?.requiresAuditList[0]?.category_name\n              }}</span\n            >\n          </div>\n\n          <button\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('requires_audit', true)\"\n          >\n            <i class=\"icons\">&#xe90c;</i> Edit\n          </button>\n          <!-- class=\"icons\">&#xe9ba;</i>\n                      Edit</button> -->\n        </div>\n        <ng-container *ngIf=\"responsibilityForm?.requiresAuditList?.length\">\n          <label class=\"vx-control-panel vx-mt-8\">\n            SAMPLE SIZE\n            <app-cs-switch\n              [(ngValue)]=\"isSample\"\n              (ngValueChange)=\"switchEnable($event)\"\n            ></app-cs-switch>\n          </label>\n          <div class=\"sample-part\" [class.disabled]=\"!isSample\">\n            <app-cs-radio\n              value=\"0\"\n              class=\"sample-radio\"\n              (click)=\"selectedSampleData(0)\"\n              [checked]=\"selectedSample === 0\"\n            >\n              <div class=\"name\">COUNT</div>\n              <input\n                type=\"number\"\n                placeholder=\"--\"\n                (keypress)=\"checkInputValue($event)\"\n                [(ngModel)]=\"sampleValue\"\n              />\n            </app-cs-radio>\n            <div class=\"or\">OR</div>\n            <app-cs-radio\n              value=\"1\"\n              class=\"sample-radio\"\n              (click)=\"selectedSampleData(1)\"\n              [checked]=\"selectedSample === 1\"\n            >\n              <div class=\"name\">PERCENTAGE</div>\n              <input\n                type=\"number\"\n                (keypress)=\"checkInputValue($event)\"\n                [(ngModel)]=\"samplePercentage\"\n                placeholder=\"--\"\n              />\n            </app-cs-radio>\n          </div>\n          <label class=\"vx-control-panel vx-mt-8\"\n            >SET A REMINDER IF THE AUDIT PLAN IS NOT CREATED.</label\n          >\n          <div class=\"reminder-part\">\n            Send reminder every\n            <input\n              type=\"number\"\n              value=\"2\"\n              [(ngModel)]=\"sendAuditRemindersValue\"\n            />\n            Day by\n            <div class=\"picker-group\">\n              <input\n                class=\"time\"\n                aria-label=\"12hr format\"\n                [(ngModel)]=\"auditTime\"\n                [ngxTimepicker]=\"dailyTime\"\n                placeholder=\"auditTime.toUpperCase()\"\n                type=\"text\"\n                [min]=\"currentTime\"\n                readonly\n              />\n              <i class=\"icons\">&#xe955;</i>\n              <ngx-material-timepicker #dailyTime [defaultTime]=\"auditTime\">\n              </ngx-material-timepicker>\n            </div>\n          </div>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n\n  <!-- Link of GRC objects -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.GRC_OBJECTS && responsibilityForm.rc.length > 0\"\n    [attr.id]=\"'GRC_OBJECTS'\"\n    [class.active]=\"activeSelector === 'GRC_OBJECTS'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'GRC_OBJECTS' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.audit\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.selectedGRCObjects?.length == 0 ||\n          activeSelector === 'GRC_OBJECTS'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.selectedGRCObjects?.length > 0 &&\n          activeSelector !== 'GRC_OBJECTS'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">LINK GRC OBJECT(S)</label>\n        <div\n          class=\"select\"\n          *ngIf=\"responsibilityForm?.selectedGRCObjects?.length === 0\"\n        >\n          <input\n            type=\"text\"\n            placeholder=\"Select GRC object(s) to link with this responsibility\"\n            readonly\n            (click)=\"activateSelector('GRC_OBJECTS', true)\"\n          />\n        </div>\n        <ng-container *ngIf=\"responsibilityForm?.selectedGRCObjects?.length\">\n          <ng-container\n            *ngFor=\"let selectedGRC of GRC_TYPE_ARRAY; let i = index\"\n          >\n            <div\n              *ngIf=\"grcDataWithTypes[selectedGRC]?.length\"\n              class=\"selected vx-mb-2\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <ng-container\n                  *ngFor=\"let grc of grcDataWithTypes[selectedGRC]?.slice(0, 1)\"\n                >\n                  <i\n                    class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                    (click)=\"remove('GRC_OBJECTS', grc, 0)\"\n                    >&#xe9ae;</i\n                  >\n                  <div\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    {{ selectedGRC | titlecase }}\n                  </div>\n\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"grc?.name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ grc?.name }}</span\n                  >\n                </ng-container>\n\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"popoverGRC.popover()\"\n                  placement=\"left\"\n                  *ngIf=\"grcDataWithTypes[selectedGRC]?.length > 1\"\n                >\n                  +{{ grcDataWithTypes[selectedGRC].length - 1 }}\n                </button>\n              </div>\n\n              <button\n                *ngIf=\"activeSelector !== 'GRC'\"\n                class=\"edit\"\n                type=\"button\"\n                (click)=\"\n                  selectedGRCTab = grcDataWithTypes[selectedGRC][0]?.type;\n                  getOtherGRCObjects();\n                  activateSelector('GRC_OBJECTS', true)\n                \"\n              >\n                <i class=\"icons\">&#xe9ba;</i> Edit\n              </button>\n            </div>\n            <app-popover #popoverGRC [dontCloseonClick]=\"true\">\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"\n                      let grc of grcDataWithTypes[selectedGRC] | slice : 1;\n                      let j = index\n                    \"\n                  >\n                    <div class=\"avatar-card\">\n                      <span class=\"value\">\n                        <i\n                          class=\"icons\"\n                          (click)=\"remove('GRC_OBJECTS', grc, j + 1)\"\n                          >&#xe90d;</i\n                        >\n                        {{ grc.name }}\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n          </ng-container>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n</div>\n\n<app-users-radio-list\n  *ngIf=\"activeSelector === 'assignors'\"\n  [usersList]=\"assignorsList\"\n  [selectedUsers]=\"responsibilityForm.assignors.list\"\n  [itemEmailKey]=\"'member_email'\"\n  [userIdKey]=\"'member_id'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('assignors', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [loaded]=\"assignorsListLoaded\"\n>\n</app-users-radio-list>\n\n<ng-container *ngIf=\"activeSelector === 'assignees'\">\n  <app-group-users-list\n    *ngIf=\"\n      isEntrust || responsibilityForm?.assignees?.whoCanComplete === 'ANY_ONE'\n    \"\n    [openedFrom]=\"openedFrom\"\n    [usersList]=\"assigneesList\"\n    [fromResponsibility]=\"'Assignee'\"\n    [groupsList]=\"groupsList\"\n    [assigneeGroupsList]=\"groupAssigneeList\"\n    [selectedUsers]=\"responsibilityForm?.assignees?.list\"\n    [selectedGroups]=\"responsibilityForm?.assigneeGroups?.list\"\n    [userIdKey]=\"'my_member_id'\"\n    [groupIdKey]=\"'group_id'\"\n    [loader]=\"userListLoader || assignorsListLoader\"\n    (saveSelectedList)=\"saveSelectedList('assignees', $event)\"\n    (closeUsersList)=\"activeDeselector()\"\n    [groupsEnabled]=\"featureFlag_groups\"\n  >\n  </app-group-users-list>\n  <app-users-radio-list\n    *ngIf=\"\n      !isEntrust && responsibilityForm.assignees.whoCanComplete !== 'ANY_ONE'\n    \"\n    [itemEmailKey]=\"'employee_email'\"\n    [usersList]=\"assigneesList\"\n    [selectedUsers]=\"responsibilityForm.assignees.list\"\n    [userIdKey]=\"'employee_id'\"\n    [itemNameKey]=\"'employee_name'\"\n    [fromResponsibility]=\"'Assignee'\"\n    (saveSelectedList)=\"saveSelectedList('assignees', $event)\"\n    (closeUsersList)=\"activeDeselector()\"\n    [loaded]=\"assigneesListLoaded\"\n  >\n  </app-users-radio-list>\n</ng-container>\n\n<app-checkpoints\n  *ngIf=\"activeSelector === 'checkpoints'\"\n  [checkpointInstruction]=\"responsibilityForm?.checkpointInstruction\"\n  [checkpointData]=\"responsibilityForm?.checkpoints\"\n  (saveCheckPoint)=\"saveSelectedList('checkpoints', $event)\"\n  (closeCheckPoint)=\"activeDeselector()\"\n></app-checkpoints>\n<app-frequency-container\n  *ngIf=\"activeSelector === 'frequency'\"\n  [frequencyDetails]=\"frequencyDetails\"\n  [feature]=\"feature\"\n  (selectedFrequency)=\"frequencyData($event)\"\n  [mode]=\"'responsibility'\"\n  (closeFrequency)=\"activeDeselector()\"\n>\n</app-frequency-container>\n\n<app-responsibility-centers-list\n  *ngIf=\"activeSelector === 'rc'\"\n  [loaded]=\"rcListLoaded\"\n  [responsibilityCentersList]=\"responsibilityCentersList\"\n  [radioSelection]=\"\n    mode == 'EDIT' && responsibilityCenterType === 0 ? true : false\n  \"\n  [selectedResponsibilityCenters]=\"responsibilityForm.rc\"\n  [rcIdKey]=\"'item_id'\"\n  (saveSelectedList)=\"saveSelectedList('rc', $event)\"\n  (closeRcList)=\"activeDeselector()\"\n>\n</app-responsibility-centers-list>\n\n<app-category-multi-select\n  *ngIf=\"activeSelector === 'category'\"\n  [categoryList]=\"categories\"\n  [allCategories]=\"allCategories\"\n  [categoryIdKey]=\"'category_id'\"\n  [selectedCategories]=\"responsibilityForm.category\"\n  (saveSelectedCategory)=\"saveSelectedList('category', $event)\"\n  (closeCategoriesList)=\"activeDeselector()\"\n>\n</app-category-multi-select>\n\n<!-- [hideProgramsList]=\"(selectedProgram  && !(this.selectedProgram?.programType === 0 && this.selectedProgram?.name?.toLowerCase() === 'uncategorized' )) ? true : false\" -->\n<app-program-listing\n  *ngIf=\"activeSelector === 'program'\"\n  [feature]=\"feature\"\n  [programsList]=\"programsList\"\n  [selectedCategories]=\"responsibilityForm.category | refDisconnect\"\n  [selectedProgram]=\"responsibilityForm.program | refDisconnect\"\n  (saveSelectedProgram)=\"saveSelectedList('program', $event)\"\n  (closeEvent)=\"activeDeselector()\"\n  [linkedProgram]=\"responsibilityForm?.linkedProgram\"\n  [mode]=\"\n    this.selectedProgram?.programType === 0 &&\n    this.selectedProgram?.name?.toLowerCase() === 'uncategorized'\n      ? ''\n      : mode\n  \"\n  [openedFrom]=\"openedFrom\"\n  [responsibilityId]=\"responsibilityId\"\n></app-program-listing>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'reviewer' && !featureFlag_groups\"\n  [listHeading]=\"'Select a Reviewer'\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allUsersList\"\n  [showWorkflow]=\"true\"\n  [selectedUsers]=\"responsibilityForm.reviewers.list\"\n  [userIdKey]=\"'employee_id'\"\n  [itemEmailKey]=\"'employee_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"\n    saveSelectedList('reviewer', $event);\n    activateSelector('reviewerFrequency', true)\n  \"\n  (closeUsersList)=\"activeDeselector()\"\n  [mode]=\"mode\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [reviewerWorkflowType]=\"\n    responsibilityForm?.reviewers?.sequentialWorkflow\n      ? 'SEQUENTIAL'\n      : 'ANY REVIEWER CAN MARK THIS AS REVIEWED'\n  \"\n  (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n>\n</app-owner-list>\n<user-group-list\n  *ngIf=\"activeSelector === 'reviewer' && featureFlag_groups\"\n  [selectedReviewer]=\"true\"\n  [userlist]=\"reviewerMemberIdsList\"\n  [groupEnabled]=\"true\"\n  [groupList]=\"groupReviewerList\"\n  [selectedGroups]=\"responsibilityForm?.groupReviewers?.list\"\n  [selectedUsers]=\"responsibilityForm?.reviewers?.list\"\n  (cancel)=\"activeDeselector()\"\n  (save)=\"\n    saveSelectedList('reviewer', $event);\n    activateSelector('reviewerFrequency', true)\n  \"\n  [mode]=\"mode\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [loading]=\"userListLoader || assignorsListLoader\"\n  (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n  [reviewerWorkflowType]=\"\n    responsibilityForm?.reviewers?.sequentialWorkflow\n      ? 'SEQUENTIAL'\n      : 'ANY REVIEWER CAN MARK THIS AS REVIEWED'\n  \"\n  [featureflag]=\"featureFlag_groups\"\n>\n</user-group-list>\n<app-owner-list\n  *ngIf=\"activeSelector === 'overseer' && !featureFlag_groups\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allUsersList\"\n  [selectedUsers]=\"responsibilityForm.overseers.list\"\n  [userIdKey]=\"'employee_id'\"\n  [fromResponsibility]=\"'Overseer'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('overseer', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [itemEmailKey]=\"'employee_email'\"\n>\n</app-owner-list>\n<user-group-list\n  *ngIf=\"activeSelector === 'overseer' && featureFlag_groups\"\n  [groupEnabled]=\"true\"\n  [groupList]=\"groupOverseerList\"\n  [selectedGroups]=\"responsibilityForm?.overseersGroups?.list\"\n  [userlist]=\"overseersList\"\n  [selectedUsers]=\"responsibilityForm.overseers.list\"\n  [fromResponsibility]=\"'Overseer'\"\n  [loading]=\"userListLoader || assignorsListLoader\"\n  (save)=\"saveSelectedList('overseer', $event)\"\n  (cancel)=\"activeDeselector()\"\n  [featureflag]=\"featureFlag_groups\"\n>\n</user-group-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'overseerNotify' && !featureFlag_groups\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allUsersList\"\n  [fromResponsibility]=\"'Overseer'\"\n  [selectedUsers]=\"responsibilityForm.overseers.notifyList\"\n  [userIdKey]=\"'employee_id'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('overseerNotify', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [itemEmailKey]=\"'employee_email'\"\n></app-owner-list>\n<user-group-list\n  *ngIf=\"activeSelector === 'overseerNotify' && featureFlag_groups\"\n  [userlist]=\"overseersList\"\n  [groupEnabled]=\"true\"\n  [groupList]=\"groupOverseerList\"\n  [selectedGroups]=\"responsibilityForm?.overseersGroups?.notifyList\"\n  [selectedUsers]=\"responsibilityForm.overseers.notifyList\"\n  [fromResponsibility]=\"'Overseer'\"\n  [loading]=\"userListLoader || assignorsListLoader\"\n  (save)=\"saveSelectedList('overseerNotify', $event)\"\n  (cancel)=\"activeDeselector()\"\n  [featureflag]=\"featureFlag_groups\"\n>\n</user-group-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'assurance'\"\n  [singularText]=\"'Test Category selected'\"\n  [pluralText]=\"'Test Categories selected'\"\n  [searchPlaceholder]=\"'Search Test Category...'\"\n  [listHeading]=\"'Select Test Categories'\"\n  [usersList]=\"assuranceCategoriesList\"\n  [noDataText]=\"'No Test Categories Found'\"\n  [selectedUsers]=\"responsibilityForm.assuranceList\"\n  [userIdKey]=\"'category_id'\"\n  [itemEmailKey]=\"'category_name'\"\n  [itemNameKey]=\"'category_name'\"\n  (saveSelectedList)=\"saveSelectedList('assurance', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [searchPlaceholder]=\"'Search Category'\"\n>\n</app-owner-list>\n\n<app-audit-category-list\n  *ngIf=\"activeSelector === 'requires_audit'\"\n  (closeList)=\"activeDeselector()\"\n  [auditCategory]=\"assuranceRequiresAuditList\"\n  (saveSelectedList)=\"saveSelectedList('requires_audit', $event)\"\n  [selectedData]=\"responsibilityForm?.requiresAuditList[0]\"\n></app-audit-category-list>\n\n<app-loader-inline\n  *ngIf=\"(loader && this.mode === 'EDIT') || entrustLoader\"\n></app-loader-inline>\n<app-framework-list\n  *ngIf=\"activeSelector === 'framework'\"\n  (assignControl)=\"assignFromFramework($event)\"\n  [previousSelectedValues]=\"selectedFrameworkValues\"\n  (closeFramework)=\"activeDeselector()\"\n  (entrustFramework)=\"entrustFramework($event)\"\n></app-framework-list>\n\n<!-- risk-calculator here -->\n<app-risk-classification\n  *ngIf=\"activeSelector === 'riskCalculator'\"\n  [currentRiskValue]=\"responsibilityForm.riskClass\"\n  (saveList)=\"saveSelectedList('calculatedrisk', $event)\"\n  (closeList)=\"activeDeselector()\"\n>\n</app-risk-classification>\n\n<app-review-frequency\n  *ngIf=\"activeSelector === 'reviewerFrequency'\"\n  [reviewCompleteDays]=\"\n    responsibilityForm.reviewers.reviewFrequency.reviewCompleteDays\n  \"\n  [reviewNOtCompletedDays]=\"\n    responsibilityForm.reviewers.reviewFrequency.reviewNOtCompletedDays\n  \"\n  (saveReviewFrequency)=\"saveSelectedList('reviewFrequency', $event)\"\n  (closeReviewFrequency)=\"\n    activeDeselector();\n    activateSelector('reviewer', false);\n    responsibilityForm.reviewers.list = [];\n    responsibilityForm.groupReviewers.list = []\n  \"\n  (backToUserList)=\"activeDeselector(); activateSelector('reviewer', true)\"\n>\n</app-review-frequency>\n\n<app-assessment-list\n  *ngIf=\"isAssessment\"\n  [program_ids]=\"responsibilityForm.program[0]?._id\"\n  (cancelAssessment)=\"\n    isAssessment = false; activateSelector('isAssessment', false)\n  \"\n  [isEdit]=\"responsibilityForm?.assessment?.assessment_id ? true : false\"\n  [selectedAssessment]=\"responsibilityForm?.assessment\"\n  (onAssessmentSelect)=\"\n    onAssessmentSelect($event); activateSelector('isAssessment', false)\n  \"\n></app-assessment-list>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n\n<div class=\"import\" *ngIf=\"activeSelector === 'checkpoints-new'\">\n  <app-create-assessment-container\n    #editor\n    [openPortal]=\"'RESPONSIBILITY_CHECKPOINT'\"\n    (postAssessment)=\"postAssessment($event)\"\n    (setIsUploaded)=\"setIsUploaded($event)\"\n    [checkpointJSON]=\"responsibilityForm.new_checkpoints\"\n  >\n  </app-create-assessment-container>\n</div>\n\n<app-grc-object-list\n  *ngIf=\"activeSelector === 'GRC_OBJECTS'\"\n  [grcObject]=\"grcList\"\n  [selectedGRC]=\"responsibilityForm.selectedGRCObjects | refDisconnect\"\n  [loader]=\"grcLoader\"\n  [tableCard]=\"otherGRCCard\"\n  [selectedTab]=\"selectedGRCTab\"\n  [cardLoader]=\"grcTabLoader\"\n  (getOtherGRCObjects)=\"getOtherGRCObjects($event)\"\n  (saveOtherGRC)=\"saveSelectedList('GRC_OBJECTS', $event)\"\n  (closeOtherGRC)=\"activateSelector('GRC_OBJECTS', false)\"\n></app-grc-object-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflw-compliance{display:block;position:relative}::ng-deep .workflw-compliance vcomply-editor .editor-container{border-radius:4px}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block{min-height:72px;padding:11px 15px;line-height:20px;font-size:14px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}@media not all and (min-resolution: .001dpcm){@supports (-webkit-appearance: none){::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block:before{opacity:.72}}}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ul li{list-style:unset}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:22px}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .workflw-compliance .sample-part{display:flex;align-items:center;margin-bottom:4px}::ng-deep .workflw-compliance .sample-part .sample-radio{width:100%}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item{position:relative;width:100%}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .radio{position:absolute;left:12px;top:12px}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value{border:1px solid #DBDBDB;border-radius:4px;height:40px;padding:8px 8px 8px 36px;margin:0;max-width:100%;width:100%;display:flex;align-items:center;justify-content:space-between;pointer-events:none}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value .name{color:#747576;font-size:11px;font-weight:500;text-transform:uppercase}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value input{border:1px solid #DCDCDC;background:#fff;border-radius:4px;height:24px;width:64px;text-align:center;padding:4px;color:#747576;font-size:13px}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value input:focus{outline:none;box-shadow:none}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item input:checked~svg{position:absolute;left:12px;top:12px}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item input:checked~.value{border:1px solid #34AA44;background:#eefcf0;pointer-events:auto}::ng-deep .workflw-compliance .sample-part .or{color:#161b2f;font-size:9px;font-weight:500;text-transform:uppercase;margin:0 10px}::ng-deep .workflw-compliance .sample-part.disabled{pointer-events:none}::ng-deep .workflw-compliance .sample-part.disabled .sample-radio .radio-item .value{background:#fbfbfb;border:1px solid #f1f1f1}::ng-deep .workflw-compliance .reminder-part{border:1px solid #DBDBDB;border-radius:4px;height:40px;padding:4px 12px;color:#747576;font-size:12px;display:flex;align-items:center}::ng-deep .workflw-compliance .reminder-part input{width:30px;border:none;border-radius:0;border-bottom:1px solid #DBDBDB;text-align:center;color:#747576;font-size:13px;font-weight:500;margin:0 4px}::ng-deep .workflw-compliance .reminder-part input:focus{outline:none!important;box-shadow:none!important}::ng-deep .workflw-compliance .reminder-part .picker-group{position:relative}::ng-deep .workflw-compliance .reminder-part .picker-group input{border:1px solid #F1F1F1!important;border-radius:4px!important;width:104px!important;height:28px!important;margin-left:8px!important;padding:6px 8px!important;cursor:pointer;color:#747576!important;font-size:12px!important;font-weight:500!important;text-align:left!important}::ng-deep .workflw-compliance .reminder-part .picker-group input:hover,::ng-deep .workflw-compliance .reminder-part .picker-group input:focus{outline:none!important;box-shadow:none!important}::ng-deep .workflw-compliance .reminder-part .picker-group i{color:#1e5dd3;position:absolute;top:6px;right:10px;font-size:16px}.assessment-text{color:#747576;font-size:11px;display:flex;align-items:center;padding:0 8px;margin:-16px 0 20px}.assessment-text i.alert-icon{color:#f2bf19;font-size:16px;margin-right:8px}.assessment-text strong{font-weight:600}.assessment-text button.remove-btn{background:transparent;border-radius:0;border:none;color:#1e5dd3;font-size:10px;font-weight:600;padding:0;margin:0}.import{position:fixed;inset:0 30px 0 0;z-index:-1;width:calc(100vw - 30px)}.wf-action-list ul.action-item li.multiple-program{background:#f8f8f8}.wf-action-list ul.action-item li.multiple-program .avatar-card{padding:2px 7.5px}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value{color:#747576;font-size:11px;font-weight:600;width:unset}.primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.edit-due-date{display:flex;align-items:baseline;justify-content:space-between}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: CreateAssessmentContainerComponent, selector: "app-create-assessment-container", inputs: ["openPortal", "assessmentJSON", "checkpointJSON"], outputs: ["setIsUploaded", "postAssessment"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i5$1.NgxMaterialTimepickerComponent, selector: "ngx-material-timepicker", inputs: ["cancelBtnTmpl", "editableHintTmpl", "confirmBtnTmpl", "ESC", "enableKeyboardInput", "preventOverlayClick", "disableAnimation", "appendToInput", "hoursOnly", "defaultTime", "timepickerClass", "theme", "min", "max", "ngxMaterialTimepickerTheme", "format", "minutesGap"], outputs: ["timeSet", "opened", "closed", "hourSelected", "timeChanged"] }, { kind: "directive", type: i5$1.TimepickerDirective, selector: "[ngxTimepicker]", inputs: ["format", "min", "max", "ngxTimepicker", "value", "disabled", "disableClick"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "directive", type: ClickOutsideDirective$1, selector: "[clickOutside]", outputs: ["clickOutside"] }, { kind: "component", type: UserGroupListComponent, selector: "user-group-list", inputs: ["groupEnabled", "panelTitle", "singleSelect", "selectedReviewer", "featureflag", "reviewerWorkflowType", "mode", "fieldType", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds", "FromProgram", "userListInfo", "groupListInfo", "fromApprovalWorkflow", "approvalType", "showFutureUsersSwitch", "futureUsersWillSelect", "isAllDisabled", "isGroupTabShow", "disabledIds", "nonRemovableUserIds", "allUserSelectedDisabled", "nonRemovableGroupIds", "loading", "userlist", "selectedUsers", "defaultSelectedUsers", "userType", "groupList", "selectedGroups"], outputs: ["save", "cancel", "reviewerWorkflowTypeChange", "fetchUserData"] }, { kind: "component", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: ["responsibilityCentersList", "selectedResponsibilityCenters", "rcIdKey", "radioSelection", "pluralText", "singularText", "loaded"], outputs: ["saveSelectedList", "closeRcList"] }, { kind: "component", type: GroupUsersListComponent, selector: "app-group-users-list", inputs: ["groupsEnabled", "usersList", "groupsList", "selectedUsers", "userIdKey", "groupIdKey", "openedFrom", "selectedGroups", "assigneeGroupsList", "disabledId", "fromResponsibility", "reviewerIds", "overseerIds", "assignorId", "loader", "isDisabledSelected"], outputs: ["saveSelectedList", "closeUsersList"] }, { kind: "component", type: GrcObjectListComponent, selector: "app-grc-object-list", inputs: ["grcObject", "currentPage", "loader", "tableCard", "selectedTab", "cardLoader", "onEditGRCId", "mode", "selectedGRC"], outputs: ["saveOtherGRC", "closeOtherGRC", "getOtherGRCObjects"] }, { kind: "component", type: FormatAndEvidenceComponent, selector: "app-format-and-evidence", inputs: ["mode", "categories", "organization_id", "formatEvidanceData"], outputs: ["updateFiles"] }, { kind: "component", type: OwnerListComponent, selector: "app-owner-list", inputs: ["usersList", "selectedUsers", "userIdKey", "itemNameKey", "itemEmailKey", "showWorkflow", "listHeading", "searchPlaceholder", "pluralText", "singularText", "reviewerWorkflowType", "mode", "noDataText", "workflowList", "workflowText", "disabledIds", "nonRemovableUsersList", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds"], outputs: ["saveSelectedList", "closeUsersList", "reviewerWorkflowTypeChange"] }, { kind: "component", type: UserRadioListComponent, selector: "app-users-radio-list", inputs: ["usersList", "selectedUsers", "userIdKey", "itemNameKey", "itemEmailKey", "disabledId", "fromResponsibility", "reviewerIds", "overseerIds", "assignorId", "headerText", "loaded"], outputs: ["saveSelectedList", "closeUsersList"] }, { kind: "component", type: CategoryMultiSelectComponent, selector: "app-category-multi-select", inputs: ["categoryList", "allCategories", "categoryIdKey", "selectedCategories"], outputs: ["saveSelectedCategory", "closeList", "closeCategoriesList"] }, { kind: "component", type: CheckpointsComponent, selector: "app-checkpoints", inputs: ["checkpointData", "checkpointInstruction"], outputs: ["closeCheckPoint", "saveCheckPoint"] }, { kind: "component", type: ReviewFrequencyComponent, selector: "app-review-frequency", inputs: ["reviewCompleteDays", "reviewNOtCompletedDays"], outputs: ["closeReviewFrequency", "backToUserList", "saveReviewFrequency"] }, { kind: "component", type: FrequencyContainerComponent, selector: "app-frequency-container", inputs: ["frequencyDetails", "mode", "feature", "pageType"], outputs: ["selectedFrequency", "closeFrequency"] }, { kind: "component", type: FrameworkListComponent, selector: "app-framework-list", inputs: ["previousSelectedValues", "headerText", "workflowPage", "policy", "frameWorkList", "selectedFrameWork", "selectedCategories"], outputs: ["entrustFramework", "closeFramework", "assignControl"] }, { kind: "component", type: RiskClassificationComponent, selector: "app-risk-classification", inputs: ["currentRiskValue"], outputs: ["saveList", "closeList"] }, { kind: "component", type: AuditCategoryListComponent, selector: "app-audit-category-list", inputs: ["selectedData", "selectedIndex", "auditCategory"], outputs: ["closeList", "saveSelectedList"] }, { kind: "component", type: AssessmentListComponent, selector: "app-assessment-list", inputs: ["isEdit", "mode", "selectedAssessment", "selectedAssessmentData", "program_ids"], outputs: ["onAssessmentSelect", "cancelAssessment"] }, { kind: "component", type: ProgramListingComponent, selector: "app-program-listing", inputs: ["programsList", "selectedProgram", "openedFrom", "selectedCategories", "responsibilityId", "feature", "hideProgramsList", "mode", "linkedProgram"], outputs: ["saveSelectedProgram", "closeEvent"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: i1$1.TitleCasePipe, name: "titlecase" }, { kind: "pipe", type: RefDisconnectPipe, name: "refDisconnect" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowComplianceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-compliance', template: "<div class=\"workflw-compliance\" *ngIf=\"!showSmiley\">\n  <!-- Behalf -->\n  <div\n    *ngIf=\"mode !== 'EDIT'\"\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'assignors'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assignors' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.assignors?.list?.length > 0 &&\n        activeSelector !== 'assignors'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.im_creating\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.assignors?.list?.length == 0 ||\n          activeSelector === 'assignors'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.assignors?.list?.length > 0 &&\n          activeSelector !== 'assignors'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >I am creating this responsibility on behalf of someone else\n          <app-cs-switch\n            [ngValue]=\"responsibilityForm.assignors.enable\"\n            (ngValueChange)=\"\n              responsibilityForm.assignors.enable = $event;\n              responsibilityForm.assignors.list = []\n            \"\n          >\n          </app-cs-switch>\n        </label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            responsibilityForm?.assignors?.list?.length === 0 ||\n            activeSelector === 'assignors'\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('assignors', true)\"\n            placeholder=\"Who is responsible for managing this responsibility?\"\n            readonly\n            [disabled]=\"!responsibilityForm?.assignors?.enable\"\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            responsibilityForm?.assignors?.list?.length > 0 &&\n            activeSelector !== 'assignors'\n          \"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let b_user of responsibilityForm?.assignors?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                (click)=\"remove('assignors', b_user)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"b_user.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ b_user.member_name }}</span\n              >\n            </ng-container>\n            <button\n              *ngIf=\"responsibilityForm?.assignors?.list?.length > 1\"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"behalf.popover()\"\n              placement=\"right\"\n            >\n              +{{ responsibilityForm?.assignors?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\" *ngFor=\"let b_user of responsibilityForm?.assignors?.list?.slice(0,2)\"><i\n                              class=\"icons\" (click)=\"remove('assignors',b_user)\">&#xe90d;</i>\n                          {{b_user.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.assignors?.list?.length > 2\" type=\"button\"\n                          appPopover (click)=\"behalf.popover()\" placement=\"right\">+\n                          {{responsibilityForm?.assignors?.list?.slice(2).length}}</button>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'assignors'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('assignors', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #behalf [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let b_user of responsibilityForm?.assignors?.list | slice : 2;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assignors', b_user)\"\n                      >&#xe90d;</i\n                    >\n                    {{ b_user.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <p\n          *ngIf=\"invalidType === 'whom'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please select the person responsible for managing this responsibility.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- What -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'framework'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'responsibilityName' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.responsibility?.name.trim() !== '' &&\n        !focus.responsibilityName\n      \"\n    >\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.responsibility?.name.trim() === '' ||\n          focus.responsibilityName\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.responsibility?.name.trim() !== '' &&\n          !focus.responsibilityName\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          What? <span class=\"required\">*</span>\n          <button\n            *ngIf=\"\n              isFrameworkAvailable &&\n              mode !== 'EDIT' &&\n              openedFrom !== 'RISK_TREATMENT' &&\n              assessmentDetails?.assessment_type !== 'compliance_audit'\n            \"\n            (click)=\"activateSelector('framework', true)\"\n            class=\"button\"\n          >\n            Select From A framework\n          </button>\n        </label>\n        <span\n          *ngIf=\"responsibilityForm?.responsibility?.keyResponsibility\"\n          class=\"indicator\"\n          [appTooltip]=\"'This responsibility is marked as key responsibility.'\"\n          placement=\"bottom\"\n          type=\"black\"\n          delay=\"0\"\n          [tooltipMandatory]=\"true\"\n        >\n          <i class=\"icons\">&#xea70;</i>\n        </span>\n        <input\n          *ngIf=\"\n            responsibilityForm?.responsibility?.name.trim() == '' || !isEditWhat\n          \"\n          type=\"text\"\n          [ngModel]=\"responsibilityForm.responsibility.name\"\n          placeholder=\"What is the responsibility?\"\n          (change)=\"whatChanged($event)\"\n          (focusin)=\"activateSelector('responsibilityName', true)\"\n          (focusout)=\"activeDeselector()\"\n          (clickOutside)=\"testFunction()\"\n          #what\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            responsibilityForm?.responsibility?.name.trim() != '' && isEditWhat\n          \"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{\n              responsibilityForm.responsibility?.name\n            }}</span>\n          </div>\n          <button\n            *ngIf=\"assessmentDetails?.assessment_type !== 'compliance_audit'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"onEditWhat($event)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"invalidType === 'what'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please enter a name for this responsibility.\n        </p>\n        <div class=\"switch-row align-right\">\n          <app-cs-switch\n            [ngValue]=\"responsibilityForm.responsibility?.keyResponsibility\"\n            (ngValueChange)=\"\n              responsibilityForm.responsibility.keyResponsibility = $event\n            \"\n            >Key Responsibility\n          </app-cs-switch>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Who -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'assignees'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assignees' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.assignees?.list?.length > 0 &&\n        activeSelector !== 'assignees'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.case_assignees\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.assignees?.list?.length == 0 ||\n          activeSelector === 'assignees'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.assignees?.list?.length > 0 &&\n          activeSelector !== 'assignees'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <div class=\"edit-due-date\">\n          <label class=\"vx-control-panel\"\n            >Who? <span class=\"required\">*</span></label\n          >\n          <div\n            *ngIf=\"allowEditDueDateFeatureFlag\"\n            class=\"switch-row align-right\"\n          >\n            <app-cs-switch\n              [ngValue]=\"responsibilityForm.allowEditDueDate\"\n              (ngValueChange)=\"responsibilityForm.allowEditDueDate = $event\"\n              >ALLOW ASSIGNEE TO EDIT COMPLETED WORK<i\n                class=\"icons\"\n                [appTooltip]=\"\n                  'If it\u2019s enabled, the assignee will have the option to modify a previously completed due date.'\n                \"\n                placement=\"bottom-right\"\n                type=\"white\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n                >&#xe91f;</i\n              >\n            </app-cs-switch>\n          </div>\n        </div>\n        <div\n          class=\"select vx-mt-0\"\n          *ngIf=\"\n            responsibilityForm?.assignees?.list?.length == 0 &&\n            (!featureFlag_groups ||\n              (responsibilityForm?.assigneeGroups?.list?.length == 0 &&\n                featureFlag_groups))\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('assignees', true)\"\n            placeholder=\"Who is responsible for completing the responsibility?\"\n            readonly\n          />\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.assignees?.list?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.assignees?.list?.length > 0 ||\n              responsibilityForm?.assigneeGroups?.list?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let e_user of responsibilityForm?.assignees?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                (click)=\"remove('assignees', e_user)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"e_user.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ e_user.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenbg\"\n              appPopover\n              (click)=\"assignees.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.assignees?.list?.length > 1\"\n            >\n              +{{ responsibilityForm?.assignees?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureFlag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.assignees?.list?.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('assignees', responsibilityForm?.assignees?.list[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.assignees?.list[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.assignees?.list[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"user.popover()\"\n                placement=\"left\"\n                *ngIf=\"responsibilityForm?.assignees?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.assignees?.list?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.assignees?.list?.length > 0 &&\n                responsibilityForm?.assigneeGroups?.list?.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"!allGroupAssignee || mode !== 'EDIT'\"\n                (click)=\"\n                  remove(\n                    'groupassignees',\n                    responsibilityForm?.assigneeGroups?.list[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.assigneeGroups?.list[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                type=\"black\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.assigneeGroups?.list[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.assigneeGroups?.list?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.assignees?.length>1\" [class.plus]=\"responsibilityForm?.assignees?.length>2\" *ngIf=\"!featureFlag_groups\">\n                      <span class=\"chip\" *ngFor=\"let e_user of responsibilityForm?.assignees?.list?.slice(0,2)\"><i\n                              class=\"icons\" (click)=\"remove('assignees',e_user)\">&#xe90d;</i>\n                          {{e_user.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.assignees?.list?.length > 2\" type=\"button\"\n                          appPopover (click)=\"assignees.popover()\" placement=\"right\">+\n                          {{responsibilityForm?.assignees?.list?.slice(2).length}}</button>\n                  </div> -->\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.assignees?.list?.length > 0\" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('assignees',responsibilityForm?.assignees?.list[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.assignees?.list[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.assignees?.list[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.assignees?.list?.length > 1\" class=\"count user\" appPopover (click)=\"user.popover()\" placement=\"left\"> +{{responsibilityForm?.assignees?.list?.length -1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"  *ngIf=\"responsibilityForm?.assignees?.list?.length > 0 && responsibilityForm?.assigneeGroups?.list?.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length\" >\n                          <i *ngIf=\"(!allGroupAssignee || mode !== 'EDIT')\" class=\"icons cross vx-mr-1\" (click)=\"remove('groupassignees',responsibilityForm?.assigneeGroups?.list[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.assigneeGroups?.list[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.assigneeGroups?.list[0]?.group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.assigneeGroups?.list?.length > 1\" class=\"count\" appPopover (click)=\"group.popover()\" placement=\"right\">+{{responsibilityForm?.assigneeGroups?.list?.length - 1}}</button>\n                      </div>\n                  </div> -->\n          <button\n            *ngIf=\"\n              activeSelector !== 'assignees' &&\n              (!featureFlag_groups ||\n                (featureFlag_groups && (!allGroupAssignee || mode !== 'EDIT')))\n            \"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('assignees', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #user [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let e_user of responsibilityForm?.assignees?.list | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assignees', e_user)\"\n                      >&#xe90d;</i\n                    >\n                    {{ e_user.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #group [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of responsibilityForm?.assigneeGroups?.list\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      *ngIf=\"\n                        !featureFlag_groups ||\n                        (featureFlag_groups &&\n                          (!allGroupAssignee || mode !== 'EDIT'))\n                      \"\n                      class=\"icons\"\n                      (click)=\"remove('groupassignees', group)\"\n                      >&#xe90d;</i\n                    >\n                    {{ group.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <p\n          *ngIf=\"invalidType === 'who'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please select the person responsible for completing this\n          responsibility.\n        </p>\n        <ng-container *ngIf=\"!isGroupAssigned\">\n          <app-cs-radio\n            *ngIf=\"mode !== 'EDIT'\"\n            (checkedEvent)=\"responsibilityForm.assignees.whoCanComplete = 'ALL'\"\n            [checked]=\"responsibilityForm.assignees.whoCanComplete == 'ALL'\"\n            [name]=\"'what'\"\n            >ALL SELECTED PERSONS NEED TO COMPLETE THIS<i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, separate responsibilities will be created for each person.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            >\n          </app-cs-radio>\n          <app-cs-radio\n            *ngIf=\"mode !== 'EDIT'\"\n            (checkedEvent)=\"\n              responsibilityForm.assignees.whoCanComplete = 'ANY_ONE'\n            \"\n            [checked]=\"responsibilityForm.assignees.whoCanComplete == 'ANY_ONE'\"\n            [name]=\"'what'\"\n            >ANY SELECTED PERSON CAN COMPLETE THIS\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, only one responsibility will be created.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            >\n          </app-cs-radio>\n\n          <div\n            class=\"switch-row align-right\"\n            *ngIf=\"\n              mode == 'EDIT' &&\n              (!featureFlag_groups ||\n                (responsibilityForm?.assigneeGroups?.list.length === 0 &&\n                  featureFlag_groups))\n            \"\n          >\n            <app-cs-switch\n              (ngValueChange)=\"openAssigneeChangeConfirmation($event)\"\n              [ngValue]=\"\n                responsibilityForm.assignees.whoCanComplete == 'ANY_ONE'\n              \"\n            >\n              ANY SELECTED PERSON CAN COMPLETE THIS\n            </app-cs-switch>\n          </div>\n        </ng-container>\n        <app-popover #assignees [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let e_user of responsibilityForm?.assignees?.list | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assignees', e_user)\"\n                      >&#xe90d;</i\n                    >\n                    {{ e_user.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- When? -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'frequency'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'frequency' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        !responsibilityForm?.frequency || activeSelector === 'frequency'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.when\"\n        alt=\"im\"\n        *ngIf=\"!responsibilityForm?.frequency || activeSelector === 'frequency'\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.frequency &&\n          activeSelector !== 'frequency' &&\n          responsibilityForm?.frequency != '' &&\n          responsibilityForm?.frequency != '5~0~0~0'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >When? <span class=\"required\">*</span></label\n        >\n        <div\n          *ngIf=\"\n            responsibilityForm?.frequency == '' ||\n            responsibilityForm?.frequency == '5~0~0~0'\n          \"\n          class=\"select button-sec\"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('frequency', true)\"\n            [placeholder]=\"frequencyPlaceholder\"\n            readonly\n          />\n          <button (click)=\"activateSelector('frequency', true)\" type=\"button\">\n            Set A frequency\n          </button>\n        </div>\n        <div\n          *ngIf=\"\n            responsibilityForm?.frequency != '' &&\n            responsibilityForm?.frequency !== '5~0~0~0'\n          \"\n          class=\"selected button-sec\"\n        >\n          <span\n            class=\"chip\"\n            [appTooltip]=\"frequencyPlaceholder\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"false\"\n            >{{ frequencyPlaceholder }}</span\n          >\n          <button\n            *ngIf=\"activeSelector !== 'frequency'\"\n            type=\"button\"\n            class=\"edit\"\n            (click)=\"activateSelector('frequency', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"invalidType === 'when'\"\n          [appScrollInView]=\"true\"\n          class=\"error-message\"\n        >\n          Please select the frequency of occurrence for this responsibility.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Notes -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'notes'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'notes' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        checkBlank(responsibilityForm?.description).trim() !== '' &&\n        !focus.description\n      \"\n    >\n      <img\n        [src]=\"ASSETS.notes\"\n        alt=\"im\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.description).trim() === '' ||\n          focus.description\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.description).trim() !== '' &&\n          !focus.description\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Notes</label>\n        <vcomply-editor\n          [(ngModel)]=\"responsibilityForm.description\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            id: 'notes',\n            placeholder:\n              'Add more information about completing the responsibility'\n          }\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Objective -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.OBJECTIVE\"\n    [attr.id]=\"'OBJECTIVE'\"\n    [class.active]=\"activeSelector === 'objective'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'objective' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        checkBlank(responsibilityForm?.objective).trim() !== '' &&\n        !focus.objective\n      \"\n    >\n      <img\n        [src]=\"ASSETS.objectives\"\n        alt=\"im\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.objective).trim() === '' ||\n          focus.objective\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          checkBlank(responsibilityForm?.objective).trim() !== '' &&\n          !focus.objective\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Objective</label>\n        <vcomply-editor\n          [(ngModel)]=\"responsibilityForm.objective\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            id: 'objective',\n            link: true,\n            placeholder:\n              'This option lets you specify an objective for the responsibility.'\n          }\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Responsibility Center -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.RC\"\n    [attr.id]=\"'RC'\"\n    [class.active]=\"activeSelector === 'rc'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'rc' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.rc?.length > 0 && activeSelector !== 'rc'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.responsibility_center\"\n        alt=\"\"\n        *ngIf=\"responsibilityForm?.rc?.length == 0 || activeSelector === 'rc'\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"responsibilityForm?.rc?.length > 0 && activeSelector !== 'rc'\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Responsibility Center </label>\n\n        <div class=\"select\" *ngIf=\"responsibilityForm?.rc?.length === 0\">\n          <div\n            class=\"custom-input\"\n            (click)=\"activateSelector('rc', true)\"\n            aria-placeholder=\"Select the responsibility center or the responsibility centers for this responsibility.\"\n          ></div>\n          <!-- <input type=\"text\" (click)=\"activateSelector('rc',true)\" placeholder=\"Select Responsibility Center(s)\" readonly> -->\n        </div>\n\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm?.rc?.length > 0\"\n          [class.readOnly]=\"openedFrom === 'RISK_TREATMENT'\"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngFor=\"let rc of responsibilityForm?.rc?.slice(0, 1)\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('rc', rc)\"\n              *ngIf=\"openedFrom !== 'RISK_TREATMENT'\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"rc?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ rc?.item_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              *ngIf=\"responsibilityForm?.rc?.length > 1\"\n              appPopover\n              (click)=\"rcPopover.popover()\"\n              placement=\"left\"\n            >\n              +{{ responsibilityForm?.rc?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.rc?.length>1\" [class.plus]=\"responsibilityForm?.rc?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let rc of responsibilityForm?.rc?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('rc',rc)\" *ngIf=\"openedFrom !== 'RISK_TREATMENT'\">&#xe90d;</i>{{rc?.item_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.rc?.length > 2\" type=\"button\" appPopover (click)=\"rc.popover()\" placement=\"right\" placement=\"right\">+{{responsibilityForm?.rc?.slice(2).length}}</button>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'rc' && openedFrom !== 'RISK_TREATMENT'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('rc', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #rcPopover [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let rc of responsibilityForm?.rc | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('rc', rc)\">&#xe90d;</i>\n                    {{ rc.item_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n\n        <ng-container\n          *ngIf=\"\n            isResponsibilityRcLinkEnabled &&\n            (mode != 'EDIT' || responsibilityForm?.rc?.length <= 1)\n          \"\n        >\n          <!-- <app-cs-radio><div [appTooltip]=\"'Create separate responsibilities for each responsibility center'\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\">CREATE SEPARATE RESPONSIBILITIES FOR EACH RESPONSIBILITY CEN\u2026</div><i class=\"icons\" [appTooltip]=\"'If selected, separate responsibilities will be created for each Responsibility Center.'\" placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=\"true\">&#xe91f;</i></app-cs-radio> -->\n          <app-cs-radio\n            [class.disabled]=\"\n              mode == 'EDIT' &&\n              responsibilityForm.responsibilityCenterType === 1 &&\n              responsibilityForm?.rc?.length > 1\n            \"\n            [checked]=\"responsibilityCenterType === 0\"\n            [name]=\"'ff_responsibility_rc_link'\"\n            (checkedEvent)=\"onRcTypeChange(0)\"\n            ><div\n              class=\"rc-radio-text\"\n              [appTooltip]=\"\n                'Create separate responsibilities for each responsibility centers'\n              \"\n              placement=\"bottom-left\"\n              type=\"black\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n            >\n              CREATE SEPARATE RESPONSIBILITIES FOR EACH RESPONSIBILITY CEN\u2026\n            </div>\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, separate responsibilities will be created for each Responsibility Center.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-radio\n          >\n          <app-cs-radio\n            [class.disabled]=\"\n              mode == 'EDIT' &&\n              responsibilityForm.responsibilityCenterType === 1 &&\n              responsibilityForm?.rc?.length > 1\n            \"\n            [checked]=\"responsibilityCenterType === 1\"\n            [name]=\"'ff_responsibility_rc_link'\"\n            (checkedEvent)=\"onRcTypeChange(1)\"\n            >DISPLAY THE SAME RESPONSIBILITY IN ALL RESPONSIBILITY CENTERS<i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, the same responsibility will be linked to each Responsibility Center.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-radio\n          >\n        </ng-container>\n      </div>\n    </div>\n  </div>\n\n  <!-- Program -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.PROGRAM\"\n    [attr.id]=\"'PROGRAM'\"\n    [class.active]=\"activeSelector === 'program'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'program' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        responsibilityForm?.program?.length > 0 && activeSelector !== 'program'\n      \"\n    >\n      <img\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.program?.length == 0 ||\n          activeSelector === 'program'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.program?.length > 0 &&\n          activeSelector !== 'program'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Program</label>\n        <div class=\"select\" *ngIf=\"responsibilityForm?.program?.length == 0\">\n          <div\n            class=\"custom-input\"\n            (click)=\"activateSelector('program', true)\"\n            aria-placeholder=\"Select the Program or Program Categories that this responsibility relates to.\"\n          ></div>\n          <!-- <input type=\"text\" (click)=\"activateSelector('program',true)\" placeholder=\"Select Responsibility program(s)\" readonly> -->\n        </div>\n        <div class=\"selected\" *ngIf=\"responsibilityForm?.program?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container *ngFor=\"let program of responsibilityForm?.program\">\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"\n                  !hiddenList?.includes('PROGRAM') &&\n                  !program?.isViewOnlyProgram\n                \"\n                (click)=\"remove('program', program)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"program?.name ?? '--'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ program?.name ?? \"--\" }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"program.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.linkedProgram?.length > 1\"\n            >\n              +{{ responsibilityForm?.linkedProgram?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.program?.length>1\" [class.plus]=\"responsibilityForm?.program?.length>2\">\n                              <span class=\"chip\" *ngFor=\"let program of responsibilityForm?.program\"><i class=\"icons\" *ngIf=\"feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\" (click)=\"remove('program',program)\">&#xe90d;</i> {{program?.name??'--'}}</span>\n                              <!- - <button *ngIf=\"responsibilityForm?.program?.length > 2\" class=\"count\" type=\"button\" appPopover (click)=\"program.popover()\" placement=\"right\">+ {{responsibilityForm?.program?.slice(2).length}}</button> - ->\n                              <button *ngIf=\"responsibilityForm?.linkedProgram?.length > 1\" class=\"count\" type=\"button\" appPopover (click)=\"program.popover()\" placement=\"right\">+ {{responsibilityForm?.linkedProgram?.length - 1}}</button>\n                          </div> -->\n\n          <button\n            *ngIf=\"\n              activeSelector !== 'program' && !hiddenList.includes('PROGRAM')\n            \"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('program', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n\n        <app-popover #program [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <ng-container\n                *ngIf=\"\n                  !feature.isFeatureEnabled('ff_deprecate_primary_program_flag')\n                \"\n              >\n                <li class=\"multiple-program\">\n                  <div class=\"avatar-card\">\n                    <span\n                      class=\"value\"\n                      [appTooltip]=\"responsibilityForm?.program[0]?.name\"\n                      placement=\"bottom\"\n                      type=\"black\"\n                      delay=\"0\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ responsibilityForm?.program[0]?.name }}\n                    </span>\n                    <div class=\"primary-label\">PRIMARY</div>\n                  </div>\n                </li>\n              </ng-container>\n              <li\n                *ngFor=\"\n                  let program of responsibilityForm?.linkedProgram;\n                  let j = index\n                \"\n              >\n                <div\n                  class=\"avatar-card\"\n                  *ngIf=\"\n                    program?.category_id !==\n                    responsibilityForm?.program[0]?.category_id\n                  \"\n                >\n                  <span\n                    class=\"value\"\n                    [appTooltip]=\"program?.name\"\n                    placement=\"bottom\"\n                    type=\"black\"\n                    delay=\"0\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    <i\n                      *ngIf=\"\n                        !hiddenList?.includes('PROGRAM') &&\n                        !program?.isViewOnlyProgram\n                      \"\n                      class=\"icons\"\n                      (click)=\"remove('program', program)\"\n                      >&#xe90d;</i\n                    >\n                    {{ program?.name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <div *ngIf=\"responsibilityForm?.customTags?.length > 0\">\n          <ng-container *ngFor=\"let tag of responsibilityForm?.customTags\">\n            <ng-container *ngIf=\"tag?.tag_name?.trim()\">\n              <label class=\"vx-control-panel vx-mt-2\">{{\n                tag?.tag_name\n              }}</label>\n              <input\n                type=\"text\"\n                [(ngModel)]=\"tag.value\"\n                placeholder=\"{{ tag?.tag_name }}\"\n              />\n            </ng-container>\n          </ng-container>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Format & Evidence -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.FORMATE_EVIDENCE\"\n    [attr.id]=\"'FORMATE_EVIDENCE'\"\n    [class.active]=\"activeSelector === 'formate_evidence'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'formate_evidence' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        *ngIf=\"\n          this.responsibilityForm.formatAndEvidence.evidenceRequired == false &&\n          this.responsibilityForm.formatAndEvidence.formatFiles.length == 0 &&\n          this.responsibilityForm.formatAndEvidence.formatLinks?.length == 0\n        \"\n        [src]=\"ASSETS.format_evidence\"\n        alt=\"im\"\n      />\n\n      <svg\n        *ngIf=\"\n          this.responsibilityForm.formatAndEvidence.evidenceRequired ||\n          this.responsibilityForm.formatAndEvidence.formatFiles.length ||\n          this.responsibilityForm.formatAndEvidence.formatLinks?.length\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <app-format-and-evidence\n        (updateFiles)=\"saveSelectedList('formate_evidence', $event)\"\n        [mode]=\"'responsibility'\"\n        [formatEvidanceData]=\"responsibilityForm?.formatAndEvidence\"\n      >\n      </app-format-and-evidence>\n    </div>\n  </div>\n\n  <!-- Assessment -->\n  <div\n    *ngIf=\"moreOptions?.ASSESSMENT\"\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [attr.id]=\"'ASSESSMENT'\"\n    [class.active]=\"activeSelector === 'isAssessment'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'isAssessment' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"responsibilityForm.assessment?.assessment_id\"\n    >\n      <img\n        *ngIf=\"!responsibilityForm.assessment?.assessment_id\"\n        [src]=\"ASSETS.assessments\"\n        alt=\"im\"\n      />\n\n      <svg\n        *ngIf=\"responsibilityForm.assessment?.assessment_id\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">ASSESSMENTS</label>\n        <div\n          *ngIf=\"!responsibilityForm.assessment?.assessment_id\"\n          class=\"select\"\n        >\n          <input\n            type=\"text\"\n            (click)=\"\n              activateSelector('isAssessment', true); isAssessment = true\n            \"\n            placeholder=\"Select an assessment for this responsibility\"\n            [disabled]=\"responsibilityForm.checkpoints?.length\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm.assessment?.assessment_id\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              *ngIf=\"assessmentDetails?.assessment_type !== 'compliance_audit'\"\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('assessment', category)\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                responsibilityForm.assessment?.assessmentDetails\n                  ?.assessment_name\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                responsibilityForm.assessment?.assessmentDetails\n                  ?.assessment_name\n              }}</span\n            >\n            <div\n              class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-ml-1 vx-text-center\"\n            >\n              {{ responsibilityForm.assessment?.assessmentDetails?.questions }}\n              {{\n                responsibilityForm.assessment?.assessmentDetails?.questions > 1\n                  ? \"Questions\"\n                  : \"Question\"\n              }}\n            </div>\n          </div>\n\n          <button\n            *ngIf=\"assessmentDetails?.assessment_type !== 'compliance_audit'\"\n            (click)=\"\n              activateSelector('isAssessment', true); isAssessment = true\n            \"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Checkpoints -->\n  <!-- *ngIf=\"moreOptions.checkpoints\" -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.CHECKPOINTS\"\n    [attr.id]=\"'CHECKPOINTS'\"\n    [class.active]=\"activeSelector === 'checkpoints'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'checkpoints' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\">\n      <img\n        [src]=\"ASSETS.checkpoints\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.checkpoints?.length == 0 ||\n          activeSelector === 'checkpoints'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          responsibilityForm?.checkpoints?.length > 0 &&\n          activeSelector !== 'checkpoints'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          <!-- {{responsibilityForm.checkpoints|json}}\n                {{responsibilityForm.checkpointInstruction}} -->\n\n          Checkpoints\n          <!-- <button *ngIf=\"responsibilityForm?.checkpoints?.length === 0\" class=\"button\"\n                      (click)=\"activateSelector('checkpoints',true)\">+ Add Checkpoints</button> -->\n        </label>\n        <div\n          class=\"select button-sec\"\n          *ngIf=\"responsibilityForm?.checkpoints?.length === 0\"\n        >\n          <input\n            [disabled]=\"!responsibilityForm.checkpoints?.length\"\n            type=\"text\"\n            (click)=\"activateSelector('checkpoints', true)\"\n            placeholder=\"Add checkpoints for this responsibility\"\n            readonly\n          />\n          <button\n            [disabled]=\"!responsibilityForm.checkpoints?.length\"\n            (click)=\"activateSelector('checkpoints', true)\"\n            type=\"button\"\n          >\n            Add Checkpoints\n          </button>\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm.checkpoints?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let checkpoint of responsibilityForm.checkpoints?.slice(0, 1)\n              \"\n            >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"checkpoint?.label\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ checkpoint?.label }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"checkpoint.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm.checkpoints?.length > 1\"\n            >\n              +{{ responsibilityForm.checkpoints?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container checkpoints\" [class.more-one]=\"responsibilityForm.checkpoints?.length>1\" [class.plus]=\"responsibilityForm.checkpoints?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let checkpoint of responsibilityForm.checkpoints?.slice(0,1)\">{{checkpoint?.label}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm.checkpoints?.length > 1\" type=\"button\" appPopover (click)=\"checkpoint.popover()\" placement=\"right\">+{{responsibilityForm.checkpoints?.length- 1}}</button>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'checkpoints'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('checkpoints', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <div\n        *ngIf=\"this.responsibilityForm.checkpoints?.length\"\n        class=\"assessment-text\"\n      >\n        <i class=\"icons alert-icon\">&#xe930;</i>\n        <span\n          >You can now use the new <strong>Checkpoints </strong>or\n          <strong>Assessments</strong> feature instead of the old checkpoints\n          functionality to create analytical questions.\n          <button\n            class=\"remove-btn\"\n            (click)=\"onRemoveCheckpoints('checkpoint')\"\n          >\n            Remove Checkpoints\n          </button>\n          to continue.</span\n        >\n      </div>\n      <app-popover #checkpoint [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let checkpoint of responsibilityForm.checkpoints | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  {{ checkpoint?.label }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- New  Checkpoints -->\n  <!-- *ngIf=\"moreOptions.checkpoints\" -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.CHECKPOINTS_NEW\"\n    [attr.id]=\"'CHECKPOINTS-NEW'\"\n    [class.active]=\"activeSelector === 'checkpoints-new'\"\n  >\n    <div class=\"left\">\n      <img\n        [src]=\"ASSETS.checkpoints\"\n        alt=\"im\"\n        *ngIf=\"\n          responsibilityForm?.checkpoints?.length == 0 ||\n          activeSelector === 'checkpoints'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"checkpointCount > 0 && activeSelector !== 'checkpoints'\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          <!-- {{responsibilityForm.checkpoints|json}}\n                {{responsibilityForm.checkpointInstruction}} -->\n\n          Checkpoints\n          <!-- <span class=\"checkpoint-version\"> V2.0</span> -->\n          <!-- <button  class=\"button\"\n                      (click)=\"activateSelector('checkpoints-new',true)\">+ Add Checkpoints</button> -->\n        </label>\n        <div class=\"select button-sec\" *ngIf=\"checkpointCount === 0\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('checkpoints-new', true)\"\n            placeholder=\"Add checkpoints for this responsibility\"\n            readonly\n          />\n          <button\n            (click)=\"activateSelector('checkpoints-new', true)\"\n            type=\"button\"\n          >\n            Add Checkpoints\n          </button>\n        </div>\n        <div class=\"selected\" *ngIf=\"checkpointCount > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"onRemoveCheckpoints('new-checkpoints')\"\n              >&#xe9ae;</i\n            >\n            <span class=\"chipName vx-fs-11 vx-label-txt\"\n              >{{ checkpointCount }}\n              {{ checkpointCount > 1 ? \"Questions\" : \"Question\" }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container checkpoints\" [class.more-one]=\"checkpointCount > 0\">\n                      <span class=\"chip\">\n                          <i class=\"icons\" (click)=\"onRemoveCheckpoints('new-checkpoints')\">&#xe90d;</i>\n                          {{checkpointCount}} {{checkpointCount > 1 ? 'Questions': 'Question'}}</span>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'checkpoints-new'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('checkpoints-new', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #checkpoint [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let checkpoint of responsibilityForm.checkpoints | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  {{ checkpoint?.label }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Risk Classification -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.RISK_CLASSIFICATION\"\n    [attr.id]=\"'RISK_CLASSIFICATION'\"\n    [class.active]=\"activeSelector === 'riskCalculator'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'riskCalculator' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\">\n      <img [src]=\"ASSETS.risks\" alt=\"im\" />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          Risk Classification\n          <button\n            (click)=\"activateSelector('riskCalculator', true)\"\n            class=\"button\"\n          >\n            + Risk Calculator\n          </button>\n        </label>\n\n        <div class=\"classification\">\n          <label\n            class=\"low\"\n            *ngFor=\"let risk of riskClassification\"\n            [ngClass]=\"[risk.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification\"\n              [(ngModel)]=\"responsibilityForm.riskClass\"\n              [value]=\"risk?.value\"\n            />\n            <span>{{ risk?.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Reviewer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.REVIEWER\"\n    [attr.id]=\"'REVIEWER'\"\n    [class.active]=\"\n      activeSelector === 'reviewerFrequency' || activeSelector === 'reviewer'\n    \"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'reviewer' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.reviewer\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.reviewers?.list?.length == 0 ||\n          activeSelector === 'reviewer'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.reviewers?.list?.length > 0 &&\n          activeSelector !== 'reviewer'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Reviewer</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            (responsibilityForm?.reviewers?.list?.length == 0 &&\n              !featureFlag_groups) ||\n            (responsibilityForm?.reviewers?.list?.length == 0 &&\n              responsibilityForm?.groupReviewers?.list?.length == 0 &&\n              featureFlag_groups)\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('reviewer', true)\"\n            placeholder=\"Select Reviewer\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.reviewers?.list?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.reviewers?.list?.length > 0 ||\n              responsibilityForm?.groupReviewers?.list?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let reviewer of responsibilityForm?.reviewers?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('reviewer', reviewer)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"reviewer.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ reviewer.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"reviewer.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.reviewers?.list?.length > 1\"\n            >\n              +{{ responsibilityForm?.reviewers?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"!featureFlag_groups\" [class.more-one]=\"responsibilityForm?.reviewers?.list?.length>1\"\n                      [class.plus]=\"responsibilityForm?.reviewers?.list?.length>2\">\n                      <span class=\"chip\" *ngFor=\"let reviewer of responsibilityForm?.reviewers?.list?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('reviewer',reviewer)\">&#xe90d;</i> {{reviewer.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.reviewers?.list?.length > 2\" type=\"button\" appPopover (click)=\"reviewer.popover()\" placement=\"right\">+{{responsibilityForm?.reviewers?.list?.slice(2).length}}</button>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureFlag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.reviewers?.list.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('reviewer', responsibilityForm?.reviewers?.list[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.reviewers?.list[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.reviewers?.list[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"user.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.reviewers?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.reviewers?.list?.length - 1 }}\n              </button>\n            </div>\n            <div\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.reviewers?.list.length > 0 &&\n                responsibilityForm?.groupReviewers?.list?.length > 0\n              \"\n            >\n              &\n            </div>\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.groupReviewers?.list.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'groupReviewer',\n                    responsibilityForm?.groupReviewers?.list[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.groupReviewers?.list[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.groupReviewers?.list[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.groupReviewers?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.groupReviewers?.list?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.reviewers?.list.length > 0 \">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('reviewer',responsibilityForm?.reviewers?.list[0])\" >&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.reviewers?.list[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.reviewers?.list[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.reviewers?.list?.length > 1\" class=\"count user\" appPopover (click)=\"user.popover()\" placement=\"left\"> +{{responsibilityForm?.reviewers?.list?.length - 1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"responsibilityForm?.reviewers?.list.length > 0 && responsibilityForm?.groupReviewers?.list?.length > 0\">&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.groupReviewers?.list.length > 0 \" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('groupReviewer',responsibilityForm?.groupReviewers?.list[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.groupReviewers?.list[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.groupReviewers?.list[0]?.group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.groupReviewers?.list?.length > 1\" class=\"count\" appPopover (click)=\"group.popover()\" placement=\"right\">+{{responsibilityForm?.groupReviewers?.list?.length - 1}}</button>\n\n                      </div>\n                  </div> -->\n\n          <button\n            *ngIf=\"activeSelector !== 'reviewer'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('reviewer', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-cs-radio\n          [checked]=\"responsibilityForm.reviewers.sequentialWorkflow\"\n          [name]=\"'reviewer'\"\n          (checkedEvent)=\"onReviewerWorkflowChange('sequential')\"\n          [class.disabled]=\"\n            responsibilityForm?.groupReviewers?.list?.length > 0\n          \"\n        >\n          SEQUENTIAL<i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review one at a time in the sequence defined by you.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-cs-radio\n          [checked]=\"!responsibilityForm.reviewers.sequentialWorkflow\"\n          [name]=\"'reviewer'\"\n          (checkedEvent)=\"onReviewerWorkflowChange('anyReviewer')\"\n        >\n          ANY REVIEWER CAN MARK THIS AS REVIEWED<i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review to all reviewers at the same time. If anyone of the reviewer reviews the responsibility, it will be considered as reviewed.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-popover #reviewer [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let reviewer of responsibilityForm?.reviewers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('reviewer', reviewer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ reviewer.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #user [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let reviewer of responsibilityForm?.reviewers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('reviewer', reviewer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ reviewer.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #group [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of responsibilityForm?.groupReviewers?.list\n                    | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('groupReviewer', group)\"\n                      >&#xe90d;</i\n                    >\n                    {{ group.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.OVERSEER\"\n    [attr.id]=\"'OVERSEER'\"\n    [class.active]=\"\n      activeSelector === 'overseerNotify' || activeSelector === 'overseer'\n    \"\n    [class.disabled]=\"\n      activeSelector &&\n      !['overseerNotify', 'overseerNotify'].includes(activeSelector) &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n        *ngIf=\"\n          (responsibilityForm?.overseers?.list?.length == 0 &&\n            responsibilityForm?.overseers?.notifyList?.length == 0) ||\n          activeSelector === 'overseerNotify' ||\n          activeSelector === 'overseer'\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          (responsibilityForm?.overseers?.list?.length > 0 ||\n            responsibilityForm?.overseers?.notifyList?.length > 0) &&\n          !(\n            activeSelector === 'overseerNotify' || activeSelector === 'overseer'\n          )\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Oversight</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.list?.length == 0 &&\n              !featureFlag_groups) ||\n            (responsibilityForm?.overseers?.list?.length == 0 &&\n              responsibilityForm?.overseersGroups?.list?.length == 0 &&\n              featureFlag_groups)\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('overseer', true)\"\n            placeholder=\"Who should have oversight of the responsibility?\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.list?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.overseers?.list?.length > 0 ||\n              responsibilityForm?.overseersGroups?.list?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let overseer of responsibilityForm?.overseers?.list?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('overseer', overseer)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"overseer.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ overseer.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"overseers.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.overseers?.list?.length > 1\"\n            >\n              +{{ responsibilityForm?.overseers?.list?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.overseers?.list?.length>1\" [class.plus]=\"responsibilityForm?.overseers?.list?.length>2\" *ngIf=\"!featureFlag_groups\" >\n                      <span class=\"chip\" *ngFor=\"let overseer of responsibilityForm?.overseers?.list?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('overseer',overseer)\">&#xe90d;</i> {{overseer.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.overseers?.list?.length > 2\" type=\"button\" appPopover (click)=\"overseers.popover()\" placement=\"right\">+{{responsibilityForm?.overseers?.list?.slice(2).length}}</button>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\" *ngIf=\"featureFlag_groups\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.overseers?.list.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove('overseer', responsibilityForm?.overseers?.list[0])\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseers?.list[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseers?.list[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"overseerUser.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.overseers?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.overseers?.list?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.overseers?.list.length > 0 &&\n                responsibilityForm?.overseersGroups?.list?.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'overseerGroup',\n                    responsibilityForm?.overseersGroups?.list[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseersGroups?.list[0].group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseersGroups?.list[0].group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 1\"\n              >\n                +{{ responsibilityForm?.overseersGroups?.list?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseers?.list.length > 0\" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseer',responsibilityForm?.overseers?.list[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseers?.list[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.overseers?.list[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseers?.list?.length > 1\" class=\"count user\" appPopover (click)=\"overseerUser.popover()\" placement=\"left\"> +{{responsibilityForm?.overseers?.list?.length -1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"  *ngIf=\"responsibilityForm?.overseers?.list.length > 0 && responsibilityForm?.overseersGroups?.list?.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 0 \" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseerGroup',responsibilityForm?.overseersGroups?.list[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseersGroups?.list[0].group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\"  >{{responsibilityForm?.overseersGroups?.list[0].group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseersGroups?.list?.length > 1\" class=\"count\" appPopover (click)=\"overseerGroup.popover()\" placement=\"right\">+{{responsibilityForm?.overseersGroups?.list?.length -1}}</button>\n                      </div>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'overseer'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('overseer', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n\n        <div\n          class=\"select\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.notifyList?.length == 0 &&\n              !featureFlag_groups) ||\n            (responsibilityForm?.overseers?.notifyList?.length == 0 &&\n              responsibilityForm?.overseersGroups?.notifyList?.length == 0 &&\n              featureFlag_groups)\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('overseerNotify', true)\"\n            placeholder=\"Who should be notified if the responsibility is not complet...\"\n            readonly\n            [appTooltip]=\"\n              'Who should be notified if the responsibility is not completed?'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            (responsibilityForm?.overseers?.notifyList?.length > 0 &&\n              !featureFlag_groups) ||\n            ((responsibilityForm?.overseers?.notifyList?.length > 0 ||\n              responsibilityForm?.overseersGroups?.notifyList?.length > 0) &&\n              featureFlag_groups)\n          \"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"!featureFlag_groups\"\n          >\n            <ng-container\n              *ngFor=\"\n                let overseer of responsibilityForm?.overseers?.notifyList?.slice(\n                  0,\n                  1\n                )\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('overseerNotifyList', overseer)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"overseer.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ overseer.member_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"notify.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 1\"\n            >\n              +{{ responsibilityForm?.overseers?.notifyList?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\" [class.more-one]=\"responsibilityForm?.overseers?.notifyList?.length>1\" [class.plus]=\"responsibilityForm?.overseers?.notifyList?.length>2\" *ngIf=\"!featureFlag_groups\">\n                      <span class=\"chip\" *ngFor=\"let overseer of responsibilityForm?.overseers?.notifyList?.slice(0,2)\"><i class=\"icons\" (click)=\"remove('overseerNotifyList',overseer)\">&#xe90d;</i> {{overseer.member_name}}</span>\n                      <button class=\"count\" *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 2\" type=\"button\" appPopover (click)=\"notify.popover()\" placement=\"right\">+{{responsibilityForm?.overseers?.notifyList?.slice(2).length}}</button>\n                  </div> -->\n\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"responsibilityForm?.overseers?.notifyList.length > 0\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'overseerNotifyList',\n                    responsibilityForm?.overseers?.notifyList[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseers?.notifyList[0]?.employee_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseers?.notifyList[0]?.employee_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"notifyUser.popover()\"\n                placement=\"right\"\n                *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 1\"\n              >\n                +{{ responsibilityForm?.overseers?.notifyList?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                responsibilityForm?.overseers?.notifyList.length > 0 &&\n                responsibilityForm?.overseersGroups?.notifyList?.length > 0\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"\n                responsibilityForm?.overseersGroups?.notifyList?.length > 0\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    'overseerGroupNotifyList',\n                    responsibilityForm?.overseersGroups?.notifyList[0]\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  responsibilityForm?.overseersGroups?.notifyList[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  responsibilityForm?.overseersGroups?.notifyList[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"notifyGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"\n                  responsibilityForm?.overseersGroups?.notifyList?.length > 1\n                \"\n              >\n                +{{\n                  responsibilityForm?.overseersGroups?.notifyList?.length - 1\n                }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\" *ngIf=\"featureFlag_groups\">\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseers?.notifyList.length > 0\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseerNotifyList',responsibilityForm?.overseers?.notifyList[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseers?.notifyList[0]?.employee_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\">{{responsibilityForm?.overseers?.notifyList[0]?.employee_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseers?.notifyList?.length > 1\" class=\"count user\" appPopover (click)=\"notifyUser.popover()\" placement=\"left\"> +{{responsibilityForm?.overseers?.notifyList?.length - 1}}</button>\n                      </div>\n                      <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"  *ngIf=\"responsibilityForm?.overseers?.notifyList.length > 0 && responsibilityForm?.overseersGroups?.notifyList?.length > 0\" >&</span>\n                      <div class=\"chip-inner\" *ngIf=\"responsibilityForm?.overseersGroups?.notifyList?.length > 0 \" >\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove('overseerGroupNotifyList',responsibilityForm?.overseersGroups?.notifyList[0])\">&#xe90d;</i>\n                          <span class=\"chip\" [appTooltip]=\"responsibilityForm?.overseersGroups?.notifyList[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\"><span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500\"  >{{responsibilityForm?.overseersGroups?.notifyList[0]?.group_name}}</span></span>\n                          <button *ngIf=\"responsibilityForm?.overseersGroups?.notifyList?.length > 1\" class=\"count\" appPopover (click)=\"notifyGroup.popover()\" placement=\"right\">+{{responsibilityForm?.overseersGroups?.notifyList?.length - 1}}</button>\n                      </div>\n                  </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'overseerNotify'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('overseerNotify', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #overseers [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerUser [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseers of responsibilityForm?.overseers?.list\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseer', overseers)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseers?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseersGroups?.list\n                    | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('overseerGroup', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #notify [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseers?.notifyList\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove('overseerNotifyList', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #notifyUser [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of responsibilityForm?.overseers?.notifyList\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove('overseerNotifyList', overseer)\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #notifyGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of responsibilityForm?.overseersGroups?.notifyList\n                    | slice : 1;\n                  let i = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove('overseerGroupNotifyList', group)\"\n                      >&#xe90d;</i\n                    >\n                    {{ group?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Assurance -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.ASSURANCE\"\n    [attr.id]=\"'ASSURANCE'\"\n    [class.active]=\"activeSelector === 'assurance'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'assurance' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.reviewer\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.assuranceList?.length == 0 ||\n          activeSelector === 'assurance'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.assuranceList?.length > 0 &&\n          activeSelector !== 'assurance'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Assurance</label>\n        <div\n          class=\"select\"\n          *ngIf=\"responsibilityForm?.assuranceList?.length == 0\"\n        >\n          <div\n            class=\"custom-input\"\n            (click)=\"activateSelector('assurance', true)\"\n            aria-placeholder=\"Select the test plan categories that you would like to add this responsibility to.\"\n          ></div>\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm?.assuranceList?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <ng-container\n              *ngFor=\"\n                let assurance of responsibilityForm?.assuranceList?.slice(0, 1)\n              \"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('assurance', assurance)\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"assurance.category_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ assurance.category_name }}</span\n              >\n            </ng-container>\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"assurance.popover()\"\n              placement=\"right\"\n              *ngIf=\"responsibilityForm?.assuranceList?.length > 1\"\n            >\n              +{{ responsibilityForm?.assuranceList?.slice(1).length }}\n            </button>\n          </div>\n\n          <button\n            *ngIf=\"activeSelector !== 'assurance'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('assurance', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <app-popover #assurance [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let assurance of responsibilityForm?.assuranceList\n                    | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('assurance', assurance)\"\n                      >&#xe90d;</i\n                    >\n                    {{ assurance.category_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n\n  <!-- Requires Audit -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.REQUIRES_AUDIT && responsibilityForm.rc.length > 0\"\n    [attr.id]=\"'REQUIRES_AUDIT'\"\n    [class.active]=\"activeSelector === 'requires_audit'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'requires_audit' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.audit\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.requiresAuditList?.length == 0 ||\n          activeSelector === 'requires_audit'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.requiresAuditList?.length > 0 &&\n          activeSelector !== 'requires_audit'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">REQUIRES AUDIT?</label>\n        <div\n          class=\"select\"\n          *ngIf=\"responsibilityForm?.requiresAuditList?.length == 0\"\n        >\n          <input\n            type=\"text\"\n            placeholder=\"If yes, select an Audit Category.\"\n            readonly\n            (click)=\"activateSelector('requires_audit', true)\"\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"responsibilityForm?.requiresAuditList?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('requires_audit', overseer)\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                responsibilityForm?.requiresAuditList[0]?.category_name\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                responsibilityForm?.requiresAuditList[0]?.category_name\n              }}</span\n            >\n          </div>\n\n          <button\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('requires_audit', true)\"\n          >\n            <i class=\"icons\">&#xe90c;</i> Edit\n          </button>\n          <!-- class=\"icons\">&#xe9ba;</i>\n                      Edit</button> -->\n        </div>\n        <ng-container *ngIf=\"responsibilityForm?.requiresAuditList?.length\">\n          <label class=\"vx-control-panel vx-mt-8\">\n            SAMPLE SIZE\n            <app-cs-switch\n              [(ngValue)]=\"isSample\"\n              (ngValueChange)=\"switchEnable($event)\"\n            ></app-cs-switch>\n          </label>\n          <div class=\"sample-part\" [class.disabled]=\"!isSample\">\n            <app-cs-radio\n              value=\"0\"\n              class=\"sample-radio\"\n              (click)=\"selectedSampleData(0)\"\n              [checked]=\"selectedSample === 0\"\n            >\n              <div class=\"name\">COUNT</div>\n              <input\n                type=\"number\"\n                placeholder=\"--\"\n                (keypress)=\"checkInputValue($event)\"\n                [(ngModel)]=\"sampleValue\"\n              />\n            </app-cs-radio>\n            <div class=\"or\">OR</div>\n            <app-cs-radio\n              value=\"1\"\n              class=\"sample-radio\"\n              (click)=\"selectedSampleData(1)\"\n              [checked]=\"selectedSample === 1\"\n            >\n              <div class=\"name\">PERCENTAGE</div>\n              <input\n                type=\"number\"\n                (keypress)=\"checkInputValue($event)\"\n                [(ngModel)]=\"samplePercentage\"\n                placeholder=\"--\"\n              />\n            </app-cs-radio>\n          </div>\n          <label class=\"vx-control-panel vx-mt-8\"\n            >SET A REMINDER IF THE AUDIT PLAN IS NOT CREATED.</label\n          >\n          <div class=\"reminder-part\">\n            Send reminder every\n            <input\n              type=\"number\"\n              value=\"2\"\n              [(ngModel)]=\"sendAuditRemindersValue\"\n            />\n            Day by\n            <div class=\"picker-group\">\n              <input\n                class=\"time\"\n                aria-label=\"12hr format\"\n                [(ngModel)]=\"auditTime\"\n                [ngxTimepicker]=\"dailyTime\"\n                placeholder=\"auditTime.toUpperCase()\"\n                type=\"text\"\n                [min]=\"currentTime\"\n                readonly\n              />\n              <i class=\"icons\">&#xe955;</i>\n              <ngx-material-timepicker #dailyTime [defaultTime]=\"auditTime\">\n              </ngx-material-timepicker>\n            </div>\n          </div>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n\n  <!-- Link of GRC objects -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"moreOptions?.GRC_OBJECTS && responsibilityForm.rc.length > 0\"\n    [attr.id]=\"'GRC_OBJECTS'\"\n    [class.active]=\"activeSelector === 'GRC_OBJECTS'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'GRC_OBJECTS' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.audit\"\n        alt=\"\"\n        *ngIf=\"\n          responsibilityForm?.selectedGRCObjects?.length == 0 ||\n          activeSelector === 'GRC_OBJECTS'\n        \"\n      />\n\n      <svg\n        *ngIf=\"\n          responsibilityForm?.selectedGRCObjects?.length > 0 &&\n          activeSelector !== 'GRC_OBJECTS'\n        \"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">LINK GRC OBJECT(S)</label>\n        <div\n          class=\"select\"\n          *ngIf=\"responsibilityForm?.selectedGRCObjects?.length === 0\"\n        >\n          <input\n            type=\"text\"\n            placeholder=\"Select GRC object(s) to link with this responsibility\"\n            readonly\n            (click)=\"activateSelector('GRC_OBJECTS', true)\"\n          />\n        </div>\n        <ng-container *ngIf=\"responsibilityForm?.selectedGRCObjects?.length\">\n          <ng-container\n            *ngFor=\"let selectedGRC of GRC_TYPE_ARRAY; let i = index\"\n          >\n            <div\n              *ngIf=\"grcDataWithTypes[selectedGRC]?.length\"\n              class=\"selected vx-mb-2\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <ng-container\n                  *ngFor=\"let grc of grcDataWithTypes[selectedGRC]?.slice(0, 1)\"\n                >\n                  <i\n                    class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                    (click)=\"remove('GRC_OBJECTS', grc, 0)\"\n                    >&#xe9ae;</i\n                  >\n                  <div\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    {{ selectedGRC | titlecase }}\n                  </div>\n\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"grc?.name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ grc?.name }}</span\n                  >\n                </ng-container>\n\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"popoverGRC.popover()\"\n                  placement=\"left\"\n                  *ngIf=\"grcDataWithTypes[selectedGRC]?.length > 1\"\n                >\n                  +{{ grcDataWithTypes[selectedGRC].length - 1 }}\n                </button>\n              </div>\n\n              <button\n                *ngIf=\"activeSelector !== 'GRC'\"\n                class=\"edit\"\n                type=\"button\"\n                (click)=\"\n                  selectedGRCTab = grcDataWithTypes[selectedGRC][0]?.type;\n                  getOtherGRCObjects();\n                  activateSelector('GRC_OBJECTS', true)\n                \"\n              >\n                <i class=\"icons\">&#xe9ba;</i> Edit\n              </button>\n            </div>\n            <app-popover #popoverGRC [dontCloseonClick]=\"true\">\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"\n                      let grc of grcDataWithTypes[selectedGRC] | slice : 1;\n                      let j = index\n                    \"\n                  >\n                    <div class=\"avatar-card\">\n                      <span class=\"value\">\n                        <i\n                          class=\"icons\"\n                          (click)=\"remove('GRC_OBJECTS', grc, j + 1)\"\n                          >&#xe90d;</i\n                        >\n                        {{ grc.name }}\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n          </ng-container>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n</div>\n\n<app-users-radio-list\n  *ngIf=\"activeSelector === 'assignors'\"\n  [usersList]=\"assignorsList\"\n  [selectedUsers]=\"responsibilityForm.assignors.list\"\n  [itemEmailKey]=\"'member_email'\"\n  [userIdKey]=\"'member_id'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('assignors', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [loaded]=\"assignorsListLoaded\"\n>\n</app-users-radio-list>\n\n<ng-container *ngIf=\"activeSelector === 'assignees'\">\n  <app-group-users-list\n    *ngIf=\"\n      isEntrust || responsibilityForm?.assignees?.whoCanComplete === 'ANY_ONE'\n    \"\n    [openedFrom]=\"openedFrom\"\n    [usersList]=\"assigneesList\"\n    [fromResponsibility]=\"'Assignee'\"\n    [groupsList]=\"groupsList\"\n    [assigneeGroupsList]=\"groupAssigneeList\"\n    [selectedUsers]=\"responsibilityForm?.assignees?.list\"\n    [selectedGroups]=\"responsibilityForm?.assigneeGroups?.list\"\n    [userIdKey]=\"'my_member_id'\"\n    [groupIdKey]=\"'group_id'\"\n    [loader]=\"userListLoader || assignorsListLoader\"\n    (saveSelectedList)=\"saveSelectedList('assignees', $event)\"\n    (closeUsersList)=\"activeDeselector()\"\n    [groupsEnabled]=\"featureFlag_groups\"\n  >\n  </app-group-users-list>\n  <app-users-radio-list\n    *ngIf=\"\n      !isEntrust && responsibilityForm.assignees.whoCanComplete !== 'ANY_ONE'\n    \"\n    [itemEmailKey]=\"'employee_email'\"\n    [usersList]=\"assigneesList\"\n    [selectedUsers]=\"responsibilityForm.assignees.list\"\n    [userIdKey]=\"'employee_id'\"\n    [itemNameKey]=\"'employee_name'\"\n    [fromResponsibility]=\"'Assignee'\"\n    (saveSelectedList)=\"saveSelectedList('assignees', $event)\"\n    (closeUsersList)=\"activeDeselector()\"\n    [loaded]=\"assigneesListLoaded\"\n  >\n  </app-users-radio-list>\n</ng-container>\n\n<app-checkpoints\n  *ngIf=\"activeSelector === 'checkpoints'\"\n  [checkpointInstruction]=\"responsibilityForm?.checkpointInstruction\"\n  [checkpointData]=\"responsibilityForm?.checkpoints\"\n  (saveCheckPoint)=\"saveSelectedList('checkpoints', $event)\"\n  (closeCheckPoint)=\"activeDeselector()\"\n></app-checkpoints>\n<app-frequency-container\n  *ngIf=\"activeSelector === 'frequency'\"\n  [frequencyDetails]=\"frequencyDetails\"\n  [feature]=\"feature\"\n  (selectedFrequency)=\"frequencyData($event)\"\n  [mode]=\"'responsibility'\"\n  (closeFrequency)=\"activeDeselector()\"\n>\n</app-frequency-container>\n\n<app-responsibility-centers-list\n  *ngIf=\"activeSelector === 'rc'\"\n  [loaded]=\"rcListLoaded\"\n  [responsibilityCentersList]=\"responsibilityCentersList\"\n  [radioSelection]=\"\n    mode == 'EDIT' && responsibilityCenterType === 0 ? true : false\n  \"\n  [selectedResponsibilityCenters]=\"responsibilityForm.rc\"\n  [rcIdKey]=\"'item_id'\"\n  (saveSelectedList)=\"saveSelectedList('rc', $event)\"\n  (closeRcList)=\"activeDeselector()\"\n>\n</app-responsibility-centers-list>\n\n<app-category-multi-select\n  *ngIf=\"activeSelector === 'category'\"\n  [categoryList]=\"categories\"\n  [allCategories]=\"allCategories\"\n  [categoryIdKey]=\"'category_id'\"\n  [selectedCategories]=\"responsibilityForm.category\"\n  (saveSelectedCategory)=\"saveSelectedList('category', $event)\"\n  (closeCategoriesList)=\"activeDeselector()\"\n>\n</app-category-multi-select>\n\n<!-- [hideProgramsList]=\"(selectedProgram  && !(this.selectedProgram?.programType === 0 && this.selectedProgram?.name?.toLowerCase() === 'uncategorized' )) ? true : false\" -->\n<app-program-listing\n  *ngIf=\"activeSelector === 'program'\"\n  [feature]=\"feature\"\n  [programsList]=\"programsList\"\n  [selectedCategories]=\"responsibilityForm.category | refDisconnect\"\n  [selectedProgram]=\"responsibilityForm.program | refDisconnect\"\n  (saveSelectedProgram)=\"saveSelectedList('program', $event)\"\n  (closeEvent)=\"activeDeselector()\"\n  [linkedProgram]=\"responsibilityForm?.linkedProgram\"\n  [mode]=\"\n    this.selectedProgram?.programType === 0 &&\n    this.selectedProgram?.name?.toLowerCase() === 'uncategorized'\n      ? ''\n      : mode\n  \"\n  [openedFrom]=\"openedFrom\"\n  [responsibilityId]=\"responsibilityId\"\n></app-program-listing>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'reviewer' && !featureFlag_groups\"\n  [listHeading]=\"'Select a Reviewer'\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allUsersList\"\n  [showWorkflow]=\"true\"\n  [selectedUsers]=\"responsibilityForm.reviewers.list\"\n  [userIdKey]=\"'employee_id'\"\n  [itemEmailKey]=\"'employee_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"\n    saveSelectedList('reviewer', $event);\n    activateSelector('reviewerFrequency', true)\n  \"\n  (closeUsersList)=\"activeDeselector()\"\n  [mode]=\"mode\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [reviewerWorkflowType]=\"\n    responsibilityForm?.reviewers?.sequentialWorkflow\n      ? 'SEQUENTIAL'\n      : 'ANY REVIEWER CAN MARK THIS AS REVIEWED'\n  \"\n  (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n>\n</app-owner-list>\n<user-group-list\n  *ngIf=\"activeSelector === 'reviewer' && featureFlag_groups\"\n  [selectedReviewer]=\"true\"\n  [userlist]=\"reviewerMemberIdsList\"\n  [groupEnabled]=\"true\"\n  [groupList]=\"groupReviewerList\"\n  [selectedGroups]=\"responsibilityForm?.groupReviewers?.list\"\n  [selectedUsers]=\"responsibilityForm?.reviewers?.list\"\n  (cancel)=\"activeDeselector()\"\n  (save)=\"\n    saveSelectedList('reviewer', $event);\n    activateSelector('reviewerFrequency', true)\n  \"\n  [mode]=\"mode\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [loading]=\"userListLoader || assignorsListLoader\"\n  (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n  [reviewerWorkflowType]=\"\n    responsibilityForm?.reviewers?.sequentialWorkflow\n      ? 'SEQUENTIAL'\n      : 'ANY REVIEWER CAN MARK THIS AS REVIEWED'\n  \"\n  [featureflag]=\"featureFlag_groups\"\n>\n</user-group-list>\n<app-owner-list\n  *ngIf=\"activeSelector === 'overseer' && !featureFlag_groups\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allUsersList\"\n  [selectedUsers]=\"responsibilityForm.overseers.list\"\n  [userIdKey]=\"'employee_id'\"\n  [fromResponsibility]=\"'Overseer'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('overseer', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [itemEmailKey]=\"'employee_email'\"\n>\n</app-owner-list>\n<user-group-list\n  *ngIf=\"activeSelector === 'overseer' && featureFlag_groups\"\n  [groupEnabled]=\"true\"\n  [groupList]=\"groupOverseerList\"\n  [selectedGroups]=\"responsibilityForm?.overseersGroups?.list\"\n  [userlist]=\"overseersList\"\n  [selectedUsers]=\"responsibilityForm.overseers.list\"\n  [fromResponsibility]=\"'Overseer'\"\n  [loading]=\"userListLoader || assignorsListLoader\"\n  (save)=\"saveSelectedList('overseer', $event)\"\n  (cancel)=\"activeDeselector()\"\n  [featureflag]=\"featureFlag_groups\"\n>\n</user-group-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'overseerNotify' && !featureFlag_groups\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allUsersList\"\n  [fromResponsibility]=\"'Overseer'\"\n  [selectedUsers]=\"responsibilityForm.overseers.notifyList\"\n  [userIdKey]=\"'employee_id'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('overseerNotify', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [itemEmailKey]=\"'employee_email'\"\n></app-owner-list>\n<user-group-list\n  *ngIf=\"activeSelector === 'overseerNotify' && featureFlag_groups\"\n  [userlist]=\"overseersList\"\n  [groupEnabled]=\"true\"\n  [groupList]=\"groupOverseerList\"\n  [selectedGroups]=\"responsibilityForm?.overseersGroups?.notifyList\"\n  [selectedUsers]=\"responsibilityForm.overseers.notifyList\"\n  [fromResponsibility]=\"'Overseer'\"\n  [loading]=\"userListLoader || assignorsListLoader\"\n  (save)=\"saveSelectedList('overseerNotify', $event)\"\n  (cancel)=\"activeDeselector()\"\n  [featureflag]=\"featureFlag_groups\"\n>\n</user-group-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'assurance'\"\n  [singularText]=\"'Test Category selected'\"\n  [pluralText]=\"'Test Categories selected'\"\n  [searchPlaceholder]=\"'Search Test Category...'\"\n  [listHeading]=\"'Select Test Categories'\"\n  [usersList]=\"assuranceCategoriesList\"\n  [noDataText]=\"'No Test Categories Found'\"\n  [selectedUsers]=\"responsibilityForm.assuranceList\"\n  [userIdKey]=\"'category_id'\"\n  [itemEmailKey]=\"'category_name'\"\n  [itemNameKey]=\"'category_name'\"\n  (saveSelectedList)=\"saveSelectedList('assurance', $event)\"\n  (closeUsersList)=\"activeDeselector()\"\n  [searchPlaceholder]=\"'Search Category'\"\n>\n</app-owner-list>\n\n<app-audit-category-list\n  *ngIf=\"activeSelector === 'requires_audit'\"\n  (closeList)=\"activeDeselector()\"\n  [auditCategory]=\"assuranceRequiresAuditList\"\n  (saveSelectedList)=\"saveSelectedList('requires_audit', $event)\"\n  [selectedData]=\"responsibilityForm?.requiresAuditList[0]\"\n></app-audit-category-list>\n\n<app-loader-inline\n  *ngIf=\"(loader && this.mode === 'EDIT') || entrustLoader\"\n></app-loader-inline>\n<app-framework-list\n  *ngIf=\"activeSelector === 'framework'\"\n  (assignControl)=\"assignFromFramework($event)\"\n  [previousSelectedValues]=\"selectedFrameworkValues\"\n  (closeFramework)=\"activeDeselector()\"\n  (entrustFramework)=\"entrustFramework($event)\"\n></app-framework-list>\n\n<!-- risk-calculator here -->\n<app-risk-classification\n  *ngIf=\"activeSelector === 'riskCalculator'\"\n  [currentRiskValue]=\"responsibilityForm.riskClass\"\n  (saveList)=\"saveSelectedList('calculatedrisk', $event)\"\n  (closeList)=\"activeDeselector()\"\n>\n</app-risk-classification>\n\n<app-review-frequency\n  *ngIf=\"activeSelector === 'reviewerFrequency'\"\n  [reviewCompleteDays]=\"\n    responsibilityForm.reviewers.reviewFrequency.reviewCompleteDays\n  \"\n  [reviewNOtCompletedDays]=\"\n    responsibilityForm.reviewers.reviewFrequency.reviewNOtCompletedDays\n  \"\n  (saveReviewFrequency)=\"saveSelectedList('reviewFrequency', $event)\"\n  (closeReviewFrequency)=\"\n    activeDeselector();\n    activateSelector('reviewer', false);\n    responsibilityForm.reviewers.list = [];\n    responsibilityForm.groupReviewers.list = []\n  \"\n  (backToUserList)=\"activeDeselector(); activateSelector('reviewer', true)\"\n>\n</app-review-frequency>\n\n<app-assessment-list\n  *ngIf=\"isAssessment\"\n  [program_ids]=\"responsibilityForm.program[0]?._id\"\n  (cancelAssessment)=\"\n    isAssessment = false; activateSelector('isAssessment', false)\n  \"\n  [isEdit]=\"responsibilityForm?.assessment?.assessment_id ? true : false\"\n  [selectedAssessment]=\"responsibilityForm?.assessment\"\n  (onAssessmentSelect)=\"\n    onAssessmentSelect($event); activateSelector('isAssessment', false)\n  \"\n></app-assessment-list>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n\n<div class=\"import\" *ngIf=\"activeSelector === 'checkpoints-new'\">\n  <app-create-assessment-container\n    #editor\n    [openPortal]=\"'RESPONSIBILITY_CHECKPOINT'\"\n    (postAssessment)=\"postAssessment($event)\"\n    (setIsUploaded)=\"setIsUploaded($event)\"\n    [checkpointJSON]=\"responsibilityForm.new_checkpoints\"\n  >\n  </app-create-assessment-container>\n</div>\n\n<app-grc-object-list\n  *ngIf=\"activeSelector === 'GRC_OBJECTS'\"\n  [grcObject]=\"grcList\"\n  [selectedGRC]=\"responsibilityForm.selectedGRCObjects | refDisconnect\"\n  [loader]=\"grcLoader\"\n  [tableCard]=\"otherGRCCard\"\n  [selectedTab]=\"selectedGRCTab\"\n  [cardLoader]=\"grcTabLoader\"\n  (getOtherGRCObjects)=\"getOtherGRCObjects($event)\"\n  (saveOtherGRC)=\"saveSelectedList('GRC_OBJECTS', $event)\"\n  (closeOtherGRC)=\"activateSelector('GRC_OBJECTS', false)\"\n></app-grc-object-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflw-compliance{display:block;position:relative}::ng-deep .workflw-compliance vcomply-editor .editor-container{border-radius:4px}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block{min-height:72px;padding:11px 15px;line-height:20px;font-size:14px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}@media not all and (min-resolution: .001dpcm){@supports (-webkit-appearance: none){::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block:before{opacity:.72}}}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ul li{list-style:unset}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .workflw-compliance vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:22px}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .workflw-compliance vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .workflw-compliance .sample-part{display:flex;align-items:center;margin-bottom:4px}::ng-deep .workflw-compliance .sample-part .sample-radio{width:100%}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item{position:relative;width:100%}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .radio{position:absolute;left:12px;top:12px}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value{border:1px solid #DBDBDB;border-radius:4px;height:40px;padding:8px 8px 8px 36px;margin:0;max-width:100%;width:100%;display:flex;align-items:center;justify-content:space-between;pointer-events:none}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value .name{color:#747576;font-size:11px;font-weight:500;text-transform:uppercase}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value input{border:1px solid #DCDCDC;background:#fff;border-radius:4px;height:24px;width:64px;text-align:center;padding:4px;color:#747576;font-size:13px}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item .value input:focus{outline:none;box-shadow:none}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item input:checked~svg{position:absolute;left:12px;top:12px}::ng-deep .workflw-compliance .sample-part .sample-radio .radio-item input:checked~.value{border:1px solid #34AA44;background:#eefcf0;pointer-events:auto}::ng-deep .workflw-compliance .sample-part .or{color:#161b2f;font-size:9px;font-weight:500;text-transform:uppercase;margin:0 10px}::ng-deep .workflw-compliance .sample-part.disabled{pointer-events:none}::ng-deep .workflw-compliance .sample-part.disabled .sample-radio .radio-item .value{background:#fbfbfb;border:1px solid #f1f1f1}::ng-deep .workflw-compliance .reminder-part{border:1px solid #DBDBDB;border-radius:4px;height:40px;padding:4px 12px;color:#747576;font-size:12px;display:flex;align-items:center}::ng-deep .workflw-compliance .reminder-part input{width:30px;border:none;border-radius:0;border-bottom:1px solid #DBDBDB;text-align:center;color:#747576;font-size:13px;font-weight:500;margin:0 4px}::ng-deep .workflw-compliance .reminder-part input:focus{outline:none!important;box-shadow:none!important}::ng-deep .workflw-compliance .reminder-part .picker-group{position:relative}::ng-deep .workflw-compliance .reminder-part .picker-group input{border:1px solid #F1F1F1!important;border-radius:4px!important;width:104px!important;height:28px!important;margin-left:8px!important;padding:6px 8px!important;cursor:pointer;color:#747576!important;font-size:12px!important;font-weight:500!important;text-align:left!important}::ng-deep .workflw-compliance .reminder-part .picker-group input:hover,::ng-deep .workflw-compliance .reminder-part .picker-group input:focus{outline:none!important;box-shadow:none!important}::ng-deep .workflw-compliance .reminder-part .picker-group i{color:#1e5dd3;position:absolute;top:6px;right:10px;font-size:16px}.assessment-text{color:#747576;font-size:11px;display:flex;align-items:center;padding:0 8px;margin:-16px 0 20px}.assessment-text i.alert-icon{color:#f2bf19;font-size:16px;margin-right:8px}.assessment-text strong{font-weight:600}.assessment-text button.remove-btn{background:transparent;border-radius:0;border:none;color:#1e5dd3;font-size:10px;font-weight:600;padding:0;margin:0}.import{position:fixed;inset:0 30px 0 0;z-index:-1;width:calc(100vw - 30px)}.wf-action-list ul.action-item li.multiple-program{background:#f8f8f8}.wf-action-list ul.action-item li.multiple-program .avatar-card{padding:2px 7.5px}.wf-action-list ul.action-item li.multiple-program .avatar-card span.value{color:#747576;font-size:11px;font-weight:600;width:unset}.primary-label{background:#7aa7f7;border-radius:2px;color:#fff;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;line-height:12px;margin:0 4px}.edit-due-date{display:flex;align-items:baseline;justify-content:space-between}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AuthService$1 }, { type: ResponsibilityService }, { type: FrequencyService }, { type: UiKitService }, { type: SnackBarService }, { type: AuthService$1 }, { type: ProgramsService }, { type: GrcService }, { type: OrganizationUserService }, { type: ComplianceCommonService }, { type: OrganizationCommonService }, { type: IframeService }]; }, propDecorators: { mode: [{
                type: Input
            }], responsibilityId: [{
                type: Input
            }], frameworkDetails: [{
                type: Input
            }], isEntrust: [{
                type: Input
            }], feature: [{
                type: Input
            }], assessmentDetails: [{
                type: Input
            }], closeOnEsc: [{
                type: Input,
                args: ['closeOnEsc']
            }], orgDetails: [{
                type: Input
            }], pickerChanged: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], hideElementsFromMoreOptions: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }], resetForm: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], checkpointCountUpdated: [{
                type: Output
            }], rcSelected: [{
                type: Output
            }], openedFrom: [{
                type: Input
            }], selectedRC: [{
                type: Input
            }], setSelectedProgram: [{
                type: Input,
                args: ['selectedProgram']
            }], onRemovingCheckpoint: [{
                type: Output
            }], isAssessmentDisabled: [{
                type: Output
            }], assigneeTypeChange: [{
                type: Output
            }], onReviewerTypeChange: [{
                type: Output
            }], whatInput: [{
                type: ViewChild,
                args: ['what']
            }] } });

const CONSTANTS = {
    DEFAULT_PAGE_NUMBER: 1,
    PAGE_IN_SINGLE_VIEW: 5,
    NO_DATA_IMAGE_TEXT: 'No data to display.',
    LINK_POLICY: 'isLinkedPolices',
    LINK_POLICY_HELP_TEXT: 'If enabled, all the related policies will be visible when this policy is published on the Policy Portal.',
    POLICY_ID: 'policyId',
};

const API = {
    subscriptionList: `subscriptionList`,
    goToPolicyWorkroom: `/all/policy/workroom?id=`,
    editPolicy: `/all/policy/edit-policy?id=`,
};

class RestApiService {
    constructor(httpClient, authService, config) {
        this.httpClient = httpClient;
        this.authService = authService;
        if (config) {
            this.env = config.envConfig;
        }
    }
    /**
     * Interceptor where will intercept any thing has to be intercept in header like token or business cycle
     * anything related to common which needs to pass in each api
     */
    intercept(request, next) {
        return next.handle(request);
    }
    /**
     * This Handler contains REST_URL which is used to host the server.
     */
    /**
     * This displays the error message when the server is not taking the data.
     * There are Two types errors.
     * Client-side errors.
     * Server-side errors
     */
    handleError(error) {
        let errorMessage = 'Unknown error!';
        if (error.error instanceof ErrorEvent) {
            // Client-side errors
            errorMessage = `Error: ${error.error.message}`;
        }
        else {
            // Server-side errors
            if (error.status === 401) {
                // auto logout if 401 response returned from api
                localStorage.clear();
                location.reload();
            }
            errorMessage = `Error Code: ${error.status}\nMessage: ${error.message}`;
        }
        return throwError(errorMessage);
    }
    //business cycle code added
    getBusinessCycle() {
        const localStorageData = localStorage.getItem('businessCycle') ?? '';
        const businessCycle = JSON.parse(localStorageData)?.selectedCycle;
        let currentBusinessCycle = {
            selected_cycle: businessCycle?.start_date + '-' + businessCycle?.end_date,
            start_date: businessCycle?.start_date,
            end_date: businessCycle?.end_date,
            selected_cycle_arr: businessCycle?.selected_cycle_arr,
        };
        return currentBusinessCycle;
    }
    apiDelegate(req, additionalUrl) {
        let httpOptions = {};
        let headers = new HttpHeaders();
        httpOptions.headers = headers.append('token', this.authService.getAuthorizationToken());
        if (req?.params) {
            httpOptions.params = req.params;
        }
        if (req?.payloadObject) {
            httpOptions.headers = httpOptions.headers.append('payload-object', JSON.stringify(req.payloadObject));
        }
        if (req?.businessCycle) {
            httpOptions.headers = httpOptions.headers.append('x-business-cycle', JSON.stringify(req.businessCycle));
        }
        const url = this.env[req?.action];
        switch (req.method.toLowerCase()) {
            case 'get':
                return this.httpClient
                    .get(url + additionalUrl, httpOptions)
                    .pipe(retry(2), catchError$1(this.handleError));
            case 'post':
                return this.httpClient.post(url + additionalUrl, req.data, httpOptions);
            case 'put':
                return this.httpClient
                    .put(url + additionalUrl, req.data)
                    .pipe(retry(2), catchError$1(this.handleError));
            case 'patch':
                return this.httpClient
                    .patch(url + additionalUrl, req.data)
                    .pipe(retry(2), catchError$1(this.handleError));
            case 'delete':
                return this.httpClient
                    .delete(url + additionalUrl, httpOptions)
                    .pipe(retry(2), catchError$1(this.handleError));
            default:
                return of('invalid req');
        }
    }
    // don't use this
    apiTestDelegate(req) {
        let httpOptions = {};
        let headers = new HttpHeaders();
        httpOptions.headers = headers.append('token', this.authService.getAuthorizationToken());
        if (req?.params) {
            httpOptions.params = req.params;
        }
        if (req?.payloadObject) {
            httpOptions.headers = httpOptions.headers.append('payload-object', JSON.stringify(req.payloadObject));
        }
        if (req?.businessCycle) {
            httpOptions.headers = httpOptions.headers.append('x-business-cycle', JSON.stringify(req.businessCycle));
        }
        const url = 'http://localhost:3000/dev';
        switch (req.method.toLowerCase()) {
            case 'get':
                return this.httpClient
                    .get(url + req.action, httpOptions)
                    .pipe(retry(2), catchError$1(this.handleError));
            case 'post':
                return this.httpClient.post(url + req.action, req.data, httpOptions);
            case 'put':
                return this.httpClient
                    .put(url + req.action, req.data)
                    .pipe(retry(2), catchError$1(this.handleError));
            case 'patch':
                return this.httpClient
                    .patch(url + req.action, req.data)
                    .pipe(retry(2), catchError$1(this.handleError));
            case 'delete':
                return this.httpClient
                    .delete(url + req.action, httpOptions)
                    .pipe(retry(2), catchError$1(this.handleError));
            default:
                return of('invalid req');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RestApiService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RestApiService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RestApiService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

const NO_DATA_FOUND_IMAGE = ASSETS.search_data;
const NO_DATA_FOUND_MESSAGE = 'No results matched your search criteria.';

const APIs = {
    fetchTemplates: 'templates/list',
    default_categories: `default/getDefaultCategories`,
    fetch_content: 'fetchTemplateContent?id=',
};

class TemplateService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.tokenDetails = '';
        this.env = config?.envConfig;
        this.tokenDetails = this.authService.getToken();
    }
    sortByKey(array, key, order = 1) {
        return array.sort((a, b) => {
            const comparison = a[key] > b[key] ? 1 : a[key] < b[key] ? -1 : 0;
            return order === 1 ? comparison : -comparison;
        });
    }
    get headerToken() {
        return new HttpHeaders().set('token', this.tokenDetails);
    }
    fetchTemplates(payload) {
        const headers = this.headerToken;
        return this.http.post(this.env.policyPost + APIs.fetchTemplates, payload, {
            headers,
        });
    }
    fetchDefaultCategories() {
        const headers = this.headerToken;
        return this.http
            .get(this.env.policyGet + APIs.default_categories, {
            headers,
        })
            .pipe(map((res) => {
            return res.map((category) => {
                return {
                    item_id: category.categoryId,
                    item_name: category.name,
                    parent_item_ids: [],
                    parent_items: [],
                    name: category.name,
                };
            });
        }));
    }
    getTemplateContent(id, type = '') {
        return this.http.get(this.env.nodeDomain +
            APIs.fetch_content +
            id +
            (type ? `&type=${type}` : ''));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplateService, deps: [{ token: i1.HttpClient }, { token: i2.AuthorizerService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplateService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplateService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: i2.AuthorizerService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class MultiSelectService {
    constructor() {
        this.overflowHidden = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultiSelectService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultiSelectService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultiSelectService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class CsMultiselectComponent {
    set content(content) {
        if (content) {
            // initially setter gets called with undefined
            this.optionList = content;
        }
    }
    constructor(multiSelectService) {
        this.multiSelectService = multiSelectService;
        this.placeholder = '';
        this.selectedItem = [];
        this.valueChange = new EventEmitter();
        this.applyFilter = new EventEmitter();
        this.searchText = new EventEmitter();
        this.resetSelectedData = new EventEmitter();
        this.previousItems = [];
        this.itemsDisplayedList = [];
        this.filterApplied = true;
        this.tempSelectedData = [];
        this.value = [];
        this.items = [];
        this.name = nanoid();
        this.searchPlaceholder = 'Search...';
        // alert(this.tempSelectedData.length);
    }
    /**
     *
     * @param index - Represents the index of the value to be removed
     */
    removeValue(index) {
        this.items.splice(index, 1);
        this.value.splice(index, 1);
        this.writeValue(this.value);
        this.itemsDisplayedList = [...new Set(this.items)];
        this.applyFilter.emit(this.filterApplied);
        this.tempSelectedData = [...this.value];
        this.previousItems = [...new Set(this.items)];
        this.multiSelectService.overflowHidden = false;
    }
    resetState(type) {
        this.value = [];
        this.items = [];
        if (type === 'allReset') {
            this.previousItems = [];
            this.tempSelectedData = [];
        }
        if (this.previousItems?.length === 0) {
            this.resetSelectedData.emit(true);
        }
    }
    ngOnChanges(changes) {
        if (changes.searchPlaceholder) {
            this.searchPlaceholder = this.searchPlaceholder || 'Search...';
        }
    }
    ngAfterViewInit() {
        if (this.selectedItem && this.selectedItem?.length) {
            this.selectedItem.forEach((ele) => {
                // this.addValue({key: ele?.rc_name ?? ele?.category_name , value: ele});
                this.addValue({ key: ele?.item_short_name, value: ele });
            });
        }
        this.tempSelectedData = this.selectedItem ? [...this.selectedItem] : [];
        this.previousItems = [...new Set(this.items)];
    }
    set CheckBoxVal(val) {
        if (val !== undefined && val !== null) {
            this.value = val;
            this.valueChange.emit(this.value);
        }
    }
    search(event) {
        this.searchText.emit(event);
        clearTimeout(this.timer);
        this.timer = setTimeout(() => {
            this.searchKey = event;
        }, 400);
    }
    writeValue(value) {
        if (value?.length) {
            this.CheckBoxVal = value;
        }
    }
    /**
     *
     * @param obj - Represents the object which is added to the value list
     */
    addValue(obj) {
        this.items.push(obj.key);
        this.value.push(obj.value);
        this.writeValue(this.value);
    }
    /**
     *
     * @param value - Represents the value to be removed from the value list
     */
    removeValueFromCheckbox(value) {
        let index = this.value.indexOf(value);
        this.items.splice(index, 1);
        this.value.splice(index, 1);
        this.writeValue(this.value);
    }
    openDropdown(event) {
        this.dropdownOption = true;
        this.multiSelectService.overflowHidden = true;
        setTimeout(() => {
            const dropdown = event.target.getBoundingClientRect();
            const selectOption = this.optionList.nativeElement.offsetHeight;
            if (dropdown.top + selectOption + 50 > window.innerHeight) {
                this.getTop = dropdown.top - selectOption;
            }
            else {
                this.getTop = dropdown.top + dropdown.height;
            }
            this.getLeft = dropdown.left;
            this.getWidth = dropdown.width;
            this.maxWidth = dropdown.width * 1.25;
        }, 10);
        setTimeout(() => {
            this.activeDropdown = true;
        }, 100);
    }
    /**
     *
     * @param applyFilter - Determines whether filter is applied or not
     */
    closeDropdown(applyFilter) {
        this.dropdownOption = false;
        this.search('');
        this.filterApplied = applyFilter;
        this.multiSelectService.overflowHidden = false;
        this.searchKey = '';
        if (applyFilter) {
            this.tempSelectedData = [...this.value];
            this.previousItems = [...new Set(this.items)];
            this.itemsDisplayedList = [...new Set(this.items)];
            this.applyFilter.emit(applyFilter);
        }
        else {
            this.filterApplied = true;
            this.resetState();
            this.tempSelectedData?.forEach((ele) => {
                // this.addValue({key: ele?.rc_name ?? ele?.category_name, value: ele});
                this.addValue({ key: ele?.item_short_name, value: ele });
            });
            this.previousItems = [...new Set(this.items)];
        }
    }
    checkChanges() {
        if (this.previousItems?.length === 0 && this.items?.length > 0) {
            return false;
        }
        else if (this.previousItems?.length === 0 && this.items?.length === 0) {
            return true;
        }
        else {
            return (this.previousItems?.every((element) => this.items?.includes(element)) &&
                this.previousItems?.length === this.items?.length);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsMultiselectComponent, deps: [{ token: MultiSelectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsMultiselectComponent, selector: "cs-multi-select", inputs: { isRequired: "isRequired", dropdownLabel: "dropdownLabel", dropdownSubLabel: "dropdownSubLabel", disabled: "disabled", placeholder: "placeholder", searchPlaceholder: "searchPlaceholder", value: "value", selectedItem: "selectedItem" }, outputs: { valueChange: "valueChange", applyFilter: "applyFilter", searchText: "searchText", resetSelectedData: "resetSelectedData" }, viewQueries: [{ propertyName: "content", first: true, predicate: ["optionList"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"multi-select-input-group\" (clickOutside)=\"dropdownOption = false\">\n  <label *ngIf=\"dropdownLabel\">\n    {{ dropdownLabel }}\n    <span class=\"sub-label\" *ngIf=\"dropdownSubLabel\">{{\n      dropdownSubLabel\n    }}</span>\n    <span class=\"required\" *ngIf=\"isRequired\">*</span></label\n  >\n  <div class=\"custom-select-box\" [class.disabled]=\"disabled\">\n    <div class=\"multiple-value vx-d-flex vx-align-center vx-justify-between\">\n      <div\n        class=\"multiple-value-inner vx-d-flex vx-align-center vx-justify-end vx-pr-2\"\n        (click)=\"openDropdown($event)\"\n      ></div>\n      <span class=\"placeholder\" *ngIf=\"!value || value?.length === 0\">{{\n        placeholder\n      }}</span>\n      <!-- <i class=\"icons arrow-down vx-fs-9\">&#xe9e8;</i> -->\n      <div class=\"vx-d-flex vx-align-center\" *ngIf=\"value && value?.length > 0\">\n        <div\n          class=\"chip\"\n          *ngFor=\"let data of items | slice : 0 : 1; let i = index\"\n        >\n          <span class=\"close\" (click)=\"removeValue(i)\">&times;</span\n          ><span class=\"value\">{{ data }}</span>\n        </div>\n        <span\n          class=\"counter\"\n          *ngIf=\"items.length > 1\"\n          appPopover\n          (click)=\"actionButton.popover()\"\n          placement=\"right\"\n          >+{{ items.length - 1 }}</span\n        >\n        <app-popover #actionButton>\n          <div class=\"template-filter-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let data of items.slice(1); let j = index\">\n                <div class=\"chip-item\">\n                  <i class=\"icons\" (click)=\"removeValue(j + 1)\">&#xe90d;</i>\n                  <span>{{ data }}</span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"overlay active\"\n    *ngIf=\"dropdownOption === true\"\n    (click)=\"closeDropdown(false)\"\n  ></div>\n  <ul\n    class=\"list-of-option\"\n    *ngIf=\"dropdownOption === true\"\n    #optionList\n    (keyup.Escape)=\"closeDropdown(false)\"\n    [style.top.px]=\"getTop\"\n    [style.left.px]=\"getLeft\"\n    [style.min-width.px]=\"getWidth\"\n    [style.max-width.px]=\"maxWidth\"\n    [class.active]=\"activeDropdown\"\n  >\n    <div class=\"input-group\">\n      <input\n        type=\"text\"\n        [placeholder]=\"searchPlaceholder\"\n        [ngModel]=\"searchKey\"\n        (ngModelChange)=\"search($event)\"\n      />\n    </div>\n    <ng-content></ng-content>\n    <div class=\"button-block\">\n      <button\n        type=\"button\"\n        [class.disabled]=\"checkChanges()\"\n        (click)=\"closeDropdown(true)\"\n      >\n        Apply\n      </button>\n    </div>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .multi-select-input-group{position:relative;margin-bottom:0}::ng-deep .multi-select-input-group label{font-size:11px;color:#161b2f;font-weight:500;line-height:16px;margin-bottom:5px;text-transform:uppercase;display:block}::ng-deep .multi-select-input-group label span.required{color:#eb2424;font-size:14px}::ng-deep .multi-select-input-group label span.sub-label{color:#747576;font-size:11px;font-weight:400;margin-left:4px}::ng-deep .multi-select-input-group .multiple-value{height:36px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:#fff;border:1px solid #cdced6;border-radius:4px;width:100%;display:flex;padding:6px 25px 6px 6px;cursor:pointer;outline:none;overflow:hidden;text-overflow:ellipsis;position:relative}::ng-deep .multi-select-input-group .multiple-value-inner{position:absolute;top:0;left:0;width:100%;height:100%;cursor:pointer}::ng-deep .multi-select-input-group .multiple-value-inner:after{border-left-color:#707070;border-bottom:1px solid #707070;border-right:1px solid #707070;border-top-color:#707070;content:\"\";display:inline-block;right:8px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .multi-select-input-group .multiple-value .placeholder{color:#565a6f;font-size:11px;line-height:16px;pointer-events:none}::ng-deep .multi-select-input-group .multiple-value .arrow-down{position:relative;right:-16px;z-index:1}::ng-deep .multi-select-input-group .multiple-value.line{border:none;border-bottom:1px solid #dbdbdb;border-radius:0;padding-left:0}::ng-deep .multi-select-input-group .multiple-value .chip{display:inline-flex;border-radius:2px;background:#f8f8f8;border:1px solid #f8f8f8;height:22px;padding:0 5px;pointer-events:none;max-width:100%;position:relative;z-index:1;box-shadow:0 1px 4px #1e5dd340;max-width:150px}::ng-deep .multi-select-input-group .multiple-value .chip span{display:inline-block}::ng-deep .multi-select-input-group .multiple-value .chip span.close{cursor:pointer;color:#1e5dd3;font-size:16px;line-height:20px;pointer-events:auto}::ng-deep .multi-select-input-group .multiple-value .chip span.value{color:#747576;margin-left:5px;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .multi-select-input-group .multiple-value .chip+.chip{margin-left:4px}::ng-deep .multi-select-input-group .multiple-value .counter{display:inline-flex;border-radius:2px;background:#34aa44;border:1px solid #34aa44;height:22px;padding:0 5px;color:#fff;margin-left:5px;cursor:pointer;position:relative;z-index:1}::ng-deep .multi-select-input-group .multiple-value app-popover .action-list ul.action-item li .chip-item span{color:#747576}::ng-deep .multi-select-input-group .custom-select-box{position:relative}::ng-deep .multi-select-input-group .custom-select-box input[type=text],::ng-deep .multi-select-input-group .custom-select-box .input{cursor:pointer;padding-right:30px}::ng-deep .multi-select-input-group .custom-select-box input[type=text].line,::ng-deep .multi-select-input-group .custom-select-box .input.line{padding-right:20px}::ng-deep .multi-select-input-group .custom-select-box.disabled{filter:grayscale(1);pointer-events:none}ul.list-of-option{position:fixed;overflow:hidden;overflow-y:auto;max-height:260px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:9;background:#fff;border-radius:2px;opacity:0;width:230px;max-width:230px!important}ul.list-of-option.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}ul.list-of-option.active{opacity:1}ul.list-of-option app-cs-multi-select-option{display:block;width:100%}ul.list-of-option .input-group{padding:4px 10px;position:sticky;top:0;background:#fff;box-shadow:0 0 3px #1e5dd240;z-index:1;margin-bottom:4px}ul.list-of-option .input-group input{border:1px solid transparent;border-bottom-color:transparent;color:#747576;outline:none;width:100%;padding:0}ul.list-of-option li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}ul.list-of-option li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}ul.list-of-option li label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=radio]:checked+span,ul.list-of-option li label input[type=radio]:hover+span{background:#dcdcdc}ul.list-of-option li label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}ul.list-of-option li label.multi-select{padding:0 15px}ul.list-of-option li label.multi-select span.checkbox{display:inline-block;border:1px solid #dbdbdb;border-radius:2px;height:16px;width:16px;position:relative;padding:2px}ul.list-of-option li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=checkbox]:checked+span{background:#dcdcdc}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox{border-color:#34aa44;background:#34aa44}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox:after{width:8px;height:3px;border-bottom:2px solid #ffffff;border-left:2px solid #ffffff;transform:rotate(-45deg);content:\"\";position:absolute;top:3px;left:2px}ul.list-of-option .button-block{width:100%;display:flex;justify-content:flex-end;position:sticky;bottom:0;padding:4px 8px;background:#fff;box-shadow:0 0 3px #1e5dd240;z-index:1}ul.list-of-option .button-block button{display:flex;padding:0 12px;font-size:11px;text-transform:uppercase;font-weight:500;cursor:pointer;background:#1e5dd3;color:#fff;border:none;outline:none;border-radius:2px}.overlay{position:fixed;inset:0;z-index:2}.disabled{pointer-events:none;filter:grayscale(1);opacity:.3}.template-filter-list{width:220px}.template-filter-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.template-filter-list ul.action-item{display:block}.template-filter-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.template-filter-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.template-filter-list ul.action-item li button i{font-size:17px;margin-right:10px;color:#1c5bd1}.template-filter-list ul.action-item li button:hover{background:#f3f3f3}.template-filter-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.template-filter-list ul.action-item li .avatar-card.within-con{display:block}.template-filter-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.template-filter-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%}.template-filter-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.template-filter-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.template-filter-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#1c5bd1;cursor:pointer;margin-right:4px}.template-filter-list ul.action-item li .avatar-card span.value i.cross-icon{color:#747576}.template-filter-list ul.action-item li .avatar-card.no-image{display:block}.template-filter-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.template-filter-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.template-filter-list ul.action-item li .chip-item i{margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}.template-filter-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.template-filter-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.template-filter-list ul.action-item li .chip-item span.id{font-size:9px}.template-filter-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.template-filter-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.template-filter-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.template-filter-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsMultiselectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cs-multi-select', template: "<div class=\"multi-select-input-group\" (clickOutside)=\"dropdownOption = false\">\n  <label *ngIf=\"dropdownLabel\">\n    {{ dropdownLabel }}\n    <span class=\"sub-label\" *ngIf=\"dropdownSubLabel\">{{\n      dropdownSubLabel\n    }}</span>\n    <span class=\"required\" *ngIf=\"isRequired\">*</span></label\n  >\n  <div class=\"custom-select-box\" [class.disabled]=\"disabled\">\n    <div class=\"multiple-value vx-d-flex vx-align-center vx-justify-between\">\n      <div\n        class=\"multiple-value-inner vx-d-flex vx-align-center vx-justify-end vx-pr-2\"\n        (click)=\"openDropdown($event)\"\n      ></div>\n      <span class=\"placeholder\" *ngIf=\"!value || value?.length === 0\">{{\n        placeholder\n      }}</span>\n      <!-- <i class=\"icons arrow-down vx-fs-9\">&#xe9e8;</i> -->\n      <div class=\"vx-d-flex vx-align-center\" *ngIf=\"value && value?.length > 0\">\n        <div\n          class=\"chip\"\n          *ngFor=\"let data of items | slice : 0 : 1; let i = index\"\n        >\n          <span class=\"close\" (click)=\"removeValue(i)\">&times;</span\n          ><span class=\"value\">{{ data }}</span>\n        </div>\n        <span\n          class=\"counter\"\n          *ngIf=\"items.length > 1\"\n          appPopover\n          (click)=\"actionButton.popover()\"\n          placement=\"right\"\n          >+{{ items.length - 1 }}</span\n        >\n        <app-popover #actionButton>\n          <div class=\"template-filter-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let data of items.slice(1); let j = index\">\n                <div class=\"chip-item\">\n                  <i class=\"icons\" (click)=\"removeValue(j + 1)\">&#xe90d;</i>\n                  <span>{{ data }}</span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"overlay active\"\n    *ngIf=\"dropdownOption === true\"\n    (click)=\"closeDropdown(false)\"\n  ></div>\n  <ul\n    class=\"list-of-option\"\n    *ngIf=\"dropdownOption === true\"\n    #optionList\n    (keyup.Escape)=\"closeDropdown(false)\"\n    [style.top.px]=\"getTop\"\n    [style.left.px]=\"getLeft\"\n    [style.min-width.px]=\"getWidth\"\n    [style.max-width.px]=\"maxWidth\"\n    [class.active]=\"activeDropdown\"\n  >\n    <div class=\"input-group\">\n      <input\n        type=\"text\"\n        [placeholder]=\"searchPlaceholder\"\n        [ngModel]=\"searchKey\"\n        (ngModelChange)=\"search($event)\"\n      />\n    </div>\n    <ng-content></ng-content>\n    <div class=\"button-block\">\n      <button\n        type=\"button\"\n        [class.disabled]=\"checkChanges()\"\n        (click)=\"closeDropdown(true)\"\n      >\n        Apply\n      </button>\n    </div>\n  </ul>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .multi-select-input-group{position:relative;margin-bottom:0}::ng-deep .multi-select-input-group label{font-size:11px;color:#161b2f;font-weight:500;line-height:16px;margin-bottom:5px;text-transform:uppercase;display:block}::ng-deep .multi-select-input-group label span.required{color:#eb2424;font-size:14px}::ng-deep .multi-select-input-group label span.sub-label{color:#747576;font-size:11px;font-weight:400;margin-left:4px}::ng-deep .multi-select-input-group .multiple-value{height:36px;line-height:16px;font-size:13px;color:#747576;font-weight:400;background:#fff;border:1px solid #cdced6;border-radius:4px;width:100%;display:flex;padding:6px 25px 6px 6px;cursor:pointer;outline:none;overflow:hidden;text-overflow:ellipsis;position:relative}::ng-deep .multi-select-input-group .multiple-value-inner{position:absolute;top:0;left:0;width:100%;height:100%;cursor:pointer}::ng-deep .multi-select-input-group .multiple-value-inner:after{border-left-color:#707070;border-bottom:1px solid #707070;border-right:1px solid #707070;border-top-color:#707070;content:\"\";display:inline-block;right:8px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .multi-select-input-group .multiple-value .placeholder{color:#565a6f;font-size:11px;line-height:16px;pointer-events:none}::ng-deep .multi-select-input-group .multiple-value .arrow-down{position:relative;right:-16px;z-index:1}::ng-deep .multi-select-input-group .multiple-value.line{border:none;border-bottom:1px solid #dbdbdb;border-radius:0;padding-left:0}::ng-deep .multi-select-input-group .multiple-value .chip{display:inline-flex;border-radius:2px;background:#f8f8f8;border:1px solid #f8f8f8;height:22px;padding:0 5px;pointer-events:none;max-width:100%;position:relative;z-index:1;box-shadow:0 1px 4px #1e5dd340;max-width:150px}::ng-deep .multi-select-input-group .multiple-value .chip span{display:inline-block}::ng-deep .multi-select-input-group .multiple-value .chip span.close{cursor:pointer;color:#1e5dd3;font-size:16px;line-height:20px;pointer-events:auto}::ng-deep .multi-select-input-group .multiple-value .chip span.value{color:#747576;margin-left:5px;display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .multi-select-input-group .multiple-value .chip+.chip{margin-left:4px}::ng-deep .multi-select-input-group .multiple-value .counter{display:inline-flex;border-radius:2px;background:#34aa44;border:1px solid #34aa44;height:22px;padding:0 5px;color:#fff;margin-left:5px;cursor:pointer;position:relative;z-index:1}::ng-deep .multi-select-input-group .multiple-value app-popover .action-list ul.action-item li .chip-item span{color:#747576}::ng-deep .multi-select-input-group .custom-select-box{position:relative}::ng-deep .multi-select-input-group .custom-select-box input[type=text],::ng-deep .multi-select-input-group .custom-select-box .input{cursor:pointer;padding-right:30px}::ng-deep .multi-select-input-group .custom-select-box input[type=text].line,::ng-deep .multi-select-input-group .custom-select-box .input.line{padding-right:20px}::ng-deep .multi-select-input-group .custom-select-box.disabled{filter:grayscale(1);pointer-events:none}ul.list-of-option{position:fixed;overflow:hidden;overflow-y:auto;max-height:260px;padding:0;margin:0;display:block;border:1px solid #dbdbdb;box-shadow:0 3px 6px #1e5dd333;z-index:9;background:#fff;border-radius:2px;opacity:0;width:230px;max-width:230px!important}ul.list-of-option.reset{top:inherit;bottom:100%;box-shadow:0 -3px 6px #1e5dd333}ul.list-of-option.active{opacity:1}ul.list-of-option app-cs-multi-select-option{display:block;width:100%}ul.list-of-option .input-group{padding:4px 10px;position:sticky;top:0;background:#fff;box-shadow:0 0 3px #1e5dd240;z-index:1;margin-bottom:4px}ul.list-of-option .input-group input{border:1px solid transparent;border-bottom-color:transparent;color:#747576;outline:none;width:100%;padding:0}ul.list-of-option li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}ul.list-of-option li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}ul.list-of-option li label input[type=radio]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=radio]:checked+span,ul.list-of-option li label input[type=radio]:hover+span{background:#dcdcdc}ul.list-of-option li label span.value{color:#747576;font-size:14px;line-height:21px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:5px 15px;width:100%;text-transform:none;cursor:pointer;text-align:left}ul.list-of-option li label.multi-select{padding:0 15px}ul.list-of-option li label.multi-select span.checkbox{display:inline-block;border:1px solid #dbdbdb;border-radius:2px;height:16px;width:16px;position:relative;padding:2px}ul.list-of-option li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}ul.list-of-option li label input[type=checkbox]:checked+span{background:#dcdcdc}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox{border-color:#34aa44;background:#34aa44}ul.list-of-option li label input[type=checkbox]:checked+span.checkbox:after{width:8px;height:3px;border-bottom:2px solid #ffffff;border-left:2px solid #ffffff;transform:rotate(-45deg);content:\"\";position:absolute;top:3px;left:2px}ul.list-of-option .button-block{width:100%;display:flex;justify-content:flex-end;position:sticky;bottom:0;padding:4px 8px;background:#fff;box-shadow:0 0 3px #1e5dd240;z-index:1}ul.list-of-option .button-block button{display:flex;padding:0 12px;font-size:11px;text-transform:uppercase;font-weight:500;cursor:pointer;background:#1e5dd3;color:#fff;border:none;outline:none;border-radius:2px}.overlay{position:fixed;inset:0;z-index:2}.disabled{pointer-events:none;filter:grayscale(1);opacity:.3}.template-filter-list{width:220px}.template-filter-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.template-filter-list ul.action-item{display:block}.template-filter-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.template-filter-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.template-filter-list ul.action-item li button i{font-size:17px;margin-right:10px;color:#1c5bd1}.template-filter-list ul.action-item li button:hover{background:#f3f3f3}.template-filter-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.template-filter-list ul.action-item li .avatar-card.within-con{display:block}.template-filter-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.template-filter-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%}.template-filter-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.template-filter-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.template-filter-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#1c5bd1;cursor:pointer;margin-right:4px}.template-filter-list ul.action-item li .avatar-card span.value i.cross-icon{color:#747576}.template-filter-list ul.action-item li .avatar-card.no-image{display:block}.template-filter-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.template-filter-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.template-filter-list ul.action-item li .chip-item i{margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}.template-filter-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.template-filter-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.template-filter-list ul.action-item li .chip-item span.id{font-size:9px}.template-filter-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.template-filter-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.template-filter-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.template-filter-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.template-filter-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: MultiSelectService }]; }, propDecorators: { isRequired: [{
                type: Input
            }], dropdownLabel: [{
                type: Input
            }], dropdownSubLabel: [{
                type: Input
            }], disabled: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], searchPlaceholder: [{
                type: Input
            }], value: [{
                type: Input
            }], selectedItem: [{
                type: Input
            }], valueChange: [{
                type: Output
            }], applyFilter: [{
                type: Output
            }], searchText: [{
                type: Output
            }], resetSelectedData: [{
                type: Output
            }], content: [{
                type: ViewChild,
                args: ['optionList']
            }] } });

class CsMultiselectOptionComponent {
    constructor(select) {
        this.select = select;
    }
    change(event) {
        if (event.target.checked) {
            this.select.addValue({
                key: this.option.nativeElement.innerHTML.replace(/&lt;/g, "<"),
                value: this.value,
            });
        }
        else {
            this.select.removeValueFromCheckbox(this.value);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsMultiselectOptionComponent, deps: [{ token: CsMultiselectComponent }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CsMultiselectOptionComponent, selector: "cs-multi-select-option", inputs: { value: "value" }, viewQueries: [{ propertyName: "option", first: true, predicate: ["options"], descendants: true, read: ElementRef }], ngImport: i0, template: "<li>\n  <label class=\"multi-select\">\n    <input type=\"checkbox\" tabindex=\"0\" [value]=\"value\" [checked]=\"select.value.includes(value)\" (change)=\"change($event)\" />\n    <span class=\"checkbox\"></span>\n    <span class=\"value\" #options>\n      <ng-content> </ng-content>\n    </span>\n  </label>\n</li>\n", styles: ["li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer;pointer-events:none}li label input[type=checkbox]:checked+span,li label input[type=checkbox]:hover+span{background:#dcdcdc}li label span.value{color:#161b2f;font-size:12px;line-height:20px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:4px 8px;width:100%;text-transform:none;cursor:pointer;text-align:left}li label.multi-select{padding:0 8px}li label.multi-select span.checkbox{background:#fff!important;display:inline-block;border:1px solid #dbdbdb;border-radius:2px;height:16px;width:16px;position:relative;padding:2px}li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}li label input[type=checkbox]:checked+span{background:#dcdcdc}li label input[type=checkbox]:checked+span.checkbox{border-color:#34aa44;background:#34aa44!important}li label input[type=checkbox]:checked+span.checkbox:after{width:8px;height:3px;border-bottom:2px solid #ffffff;border-left:2px solid #ffffff;transform:rotate(-45deg);content:\"\";position:absolute;top:3px;left:2px}li:hover label{background:#f1f1f1}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CsMultiselectOptionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cs-multi-select-option', template: "<li>\n  <label class=\"multi-select\">\n    <input type=\"checkbox\" tabindex=\"0\" [value]=\"value\" [checked]=\"select.value.includes(value)\" (change)=\"change($event)\" />\n    <span class=\"checkbox\"></span>\n    <span class=\"value\" #options>\n      <ng-content> </ng-content>\n    </span>\n  </label>\n</li>\n", styles: ["li{width:100%;display:block;margin-bottom:0;padding:0;height:auto}li label{line-height:23px;font-size:13px;font-weight:400;border-radius:4px;display:flex;position:relative;margin:0;align-items:center}li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer;pointer-events:none}li label input[type=checkbox]:checked+span,li label input[type=checkbox]:hover+span{background:#dcdcdc}li label span.value{color:#161b2f;font-size:12px;line-height:20px;font-weight:400;max-width:100%;white-space:nowrap;overflow:hidden;display:block;text-overflow:ellipsis;padding:4px 8px;width:100%;text-transform:none;cursor:pointer;text-align:left}li label.multi-select{padding:0 8px}li label.multi-select span.checkbox{background:#fff!important;display:inline-block;border:1px solid #dbdbdb;border-radius:2px;height:16px;width:16px;position:relative;padding:2px}li label input[type=checkbox]{position:absolute;margin:0;height:100%;width:100%;opacity:0;cursor:pointer}li label input[type=checkbox]:checked+span{background:#dcdcdc}li label input[type=checkbox]:checked+span.checkbox{border-color:#34aa44;background:#34aa44!important}li label input[type=checkbox]:checked+span.checkbox:after{width:8px;height:3px;border-bottom:2px solid #ffffff;border-left:2px solid #ffffff;transform:rotate(-45deg);content:\"\";position:absolute;top:3px;left:2px}li:hover label{background:#f1f1f1}\n"] }]
        }], ctorParameters: function () { return [{ type: CsMultiselectComponent }]; }, propDecorators: { value: [{
                type: Input
            }], option: [{
                type: ViewChild,
                args: ['options', { read: ElementRef, static: false }]
            }] } });

class TemplateListTableComponent {
    constructor() {
        this.previewEnabled = false;
        this.templateList = [];
        this.loader = false;
        this.categoryList = [];
        this.onSort = new EventEmitter();
        this.onSelectTemplate = new EventEmitter();
        this.onPreview = new EventEmitter();
    }
    ngOnInit() {
        this.previewEnabled = this.feature?.isFeatureEnabled('ff_preview_enabled');
    }
    onSelect(template) {
        this.selectedTemplate = template;
        this.onSelectTemplate.emit(template);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplateListTableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TemplateListTableComponent, selector: "app-template-list-table", inputs: { selectedTemplate: "selectedTemplate", templateList: "templateList", loader: "loader", categoryList: "categoryList", feature: "feature" }, outputs: { onSort: "onSort", onSelectTemplate: "onSelectTemplate", onPreview: "onPreview" }, ngImport: i0, template: "<div class=\"template-list-table\">\n  <div class=\"table-header\">\n    <div class=\"table-row\">\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n      >\n        #\n      </div>\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center template-name\"\n      >\n        <span\n          (click)=\"onSort.emit('name')\"\n          class=\"sorting vx-fs-9 vx-txt-blue vx-mr-1\"\n          ><i class=\"icons\">&#xeaf0;</i></span\n        >\n        TEMPLATE NAME\n      </div>\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n      >\n        <!-- <span class=\"sorting vx-fs-9 vx-txt-blue vx-mr-1\"\n          ><i class=\"icons\">&#xeaf0;</i></span\n        > -->\n        CATEGORIES\n      </div>\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center view-action\"\n      ></div>\n    </div>\n  </div>\n  <div class=\"table-body\">\n    <div\n      class=\"table-row\"\n      *ngFor=\"let eachTemplate of templateList; let i = index\"\n      [class.active]=\"selectedTemplate?._id === eachTemplate?._id\"\n    >\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n      >\n        <div\n          class=\"sr-no\"\n          [appTooltip]=\"i + 1\"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"true\"\n        >\n          {{ i + 1 }}\n        </div>\n        <app-cs-radio\n          name=\"template\"\n          [value]=\"selectedTemplate?._id\"\n          [checked]=\"selectedTemplate?._id === eachTemplate?._id\"\n          (checkedEvent)=\"onSelect(eachTemplate)\"\n        ></app-cs-radio>\n      </div>\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center template-name\"\n      >\n        <div\n          class=\"value vx-fs-12 vx-label-txt\"\n          [appTooltip]=\"eachTemplate?.name\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n        >\n          {{ eachTemplate?.name }}\n        </div>\n      </div>\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n        *ngIf=\"eachTemplate?.categoryDetails as categoryDetails\"\n      >\n        <div class=\"category-inner\">\n          <div class=\"category-name vx-fs-12 vx-lh-4\">\n            {{ categoryDetails[0]?.item_name }}\n          </div>\n          <div\n            *ngIf=\"categoryDetails[0]?.parent_items?.length\"\n            class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n          >\n            <span\n              class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n              >Within</span\n            >\n            <span\n              class=\"within-value vx-fs-11 vx-paragraph-txt\"\n              [appTooltip]=\"categoryDetails[0]?.parent_items?.join(' < ')\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ categoryDetails[0]?.parent_items?.join(\" < \") }}</span\n            >\n          </div>\n        </div>\n        <button\n          *ngIf=\"categoryDetails?.length > 1\"\n          class=\"countBtn vx-fs-9 vx-fw-600 vx-txt-blue vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n          appPopover\n          (click)=\"MoreCategory.popover()\"\n          placement=\"right\"\n        >\n          +{{ categoryDetails?.length - 1 }}\n        </button>\n\n        <app-popover #MoreCategory>\n          <div class=\"wf-action-list category-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let eachTemplate of categoryDetails | slice : 1\">\n                <div class=\"avatar-card\">\n                  <div class=\"vx-w-100\">\n                    <span\n                      class=\"value vx-p-0 vx-w-100\"\n                      [appTooltip]=\"eachTemplate?.item_name\"\n                      placement=\"bottom-left\"\n                      type=\"black\"\n                      delay=\"0\"\n                      [tooltipMandatory]=\"false\"\n                      >{{ eachTemplate?.item_name }}</span\n                    >\n                    <div\n                      *ngIf=\"eachTemplate?.parent_items?.length\"\n                      class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                    >\n                      <span\n                        class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n                        >Within</span\n                      >\n                      <span\n                        class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                        [appTooltip]=\"eachTemplate?.parent_items?.join(' < ')\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                        >{{ eachTemplate?.parent_items?.join(\" < \") }}</span\n                      >\n                    </div>\n                  </div>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center view-action\"\n      >\n        <button\n          *ngIf=\"previewEnabled\"\n          class=\"previewBtn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-lh-6\"\n          (click)=\"onPreview.emit(eachTemplate)\"\n        >\n          PREVIEW\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .template-list-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .template-list-table .table-header .table-column{color:#747576!important;line-height:1rem!important;min-height:2rem!important}::ng-deep .template-list-table .table-body{position:relative}::ng-deep .template-list-table .table-body .table-row{background:#fff;border-radius:4px;border:1px solid #e3e3e9;transition:all .2s ease-in-out;margin-bottom:.25rem}::ng-deep .template-list-table .table-body .table-row:hover{background:#f8f8f8;transition:all .2s ease-in-out}::ng-deep .template-list-table .table-body .table-row:hover .table-column.serial app-cs-radio{opacity:1}::ng-deep .template-list-table .table-body .table-row:hover .table-column.view-action button.previewBtn{opacity:1}::ng-deep .template-list-table .table-body .table-row.active .table-column.serial app-cs-radio{opacity:1}::ng-deep .template-list-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .template-list-table .table-row .table-column{color:#000;min-height:2.5rem;position:relative;width:100%}::ng-deep .template-list-table .table-row .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .template-list-table .table-row .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .template-list-table .table-row .table-column .sorting i{cursor:pointer}::ng-deep .template-list-table .table-row .table-column.serial{width:2rem;max-width:2rem;flex:0 0 2rem;justify-content:center}::ng-deep .template-list-table .table-row .table-column.serial .sr-no{width:1rem;background:#f2f2f5;writing-mode:vertical-lr;color:#787a8c;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .template-list-table .table-row .table-column.serial app-cs-radio{position:absolute;top:12px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .template-list-table .table-row .table-column.template-name{width:calc(100% - 25rem);min-width:calc(100% - 25rem)}::ng-deep .template-list-table .table-row .table-column.template-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 3rem)}::ng-deep .template-list-table .table-row .table-column.category{width:18rem;min-width:18rem}::ng-deep .template-list-table .table-row .table-column.category .category-inner{max-width:calc(100% - 3rem)}::ng-deep .template-list-table .table-row .table-column.category .category-inner .category-name{color:#787a8c;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .template-list-table .table-row .table-column.category button.countBtn{background:#fff;border-radius:1.25rem;border:1px solid #cdced6;height:1rem;min-width:1.5rem}::ng-deep .template-list-table .table-row .table-column.view-action{width:5rem;min-width:5rem}::ng-deep .template-list-table .table-row .table-column.view-action button.previewBtn{background:#fff;border-radius:.125rem;border:1px solid #dbdbdb;height:1.25rem;transition:all .2s ease-in-out;opacity:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplateListTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-template-list-table', template: "<div class=\"template-list-table\">\n  <div class=\"table-header\">\n    <div class=\"table-row\">\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n      >\n        #\n      </div>\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center template-name\"\n      >\n        <span\n          (click)=\"onSort.emit('name')\"\n          class=\"sorting vx-fs-9 vx-txt-blue vx-mr-1\"\n          ><i class=\"icons\">&#xeaf0;</i></span\n        >\n        TEMPLATE NAME\n      </div>\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n      >\n        <!-- <span class=\"sorting vx-fs-9 vx-txt-blue vx-mr-1\"\n          ><i class=\"icons\">&#xeaf0;</i></span\n        > -->\n        CATEGORIES\n      </div>\n      <div\n        class=\"table-column vx-fs-11 vx-fw-500 vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center view-action\"\n      ></div>\n    </div>\n  </div>\n  <div class=\"table-body\">\n    <div\n      class=\"table-row\"\n      *ngFor=\"let eachTemplate of templateList; let i = index\"\n      [class.active]=\"selectedTemplate?._id === eachTemplate?._id\"\n    >\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n      >\n        <div\n          class=\"sr-no\"\n          [appTooltip]=\"i + 1\"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"true\"\n        >\n          {{ i + 1 }}\n        </div>\n        <app-cs-radio\n          name=\"template\"\n          [value]=\"selectedTemplate?._id\"\n          [checked]=\"selectedTemplate?._id === eachTemplate?._id\"\n          (checkedEvent)=\"onSelect(eachTemplate)\"\n        ></app-cs-radio>\n      </div>\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center template-name\"\n      >\n        <div\n          class=\"value vx-fs-12 vx-label-txt\"\n          [appTooltip]=\"eachTemplate?.name\"\n          placement=\"bottom-left\"\n          delay=\"0\"\n          type=\"black\"\n          [tooltipMandatory]=\"false\"\n        >\n          {{ eachTemplate?.name }}\n        </div>\n      </div>\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n        *ngIf=\"eachTemplate?.categoryDetails as categoryDetails\"\n      >\n        <div class=\"category-inner\">\n          <div class=\"category-name vx-fs-12 vx-lh-4\">\n            {{ categoryDetails[0]?.item_name }}\n          </div>\n          <div\n            *ngIf=\"categoryDetails[0]?.parent_items?.length\"\n            class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n          >\n            <span\n              class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n              >Within</span\n            >\n            <span\n              class=\"within-value vx-fs-11 vx-paragraph-txt\"\n              [appTooltip]=\"categoryDetails[0]?.parent_items?.join(' < ')\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ categoryDetails[0]?.parent_items?.join(\" < \") }}</span\n            >\n          </div>\n        </div>\n        <button\n          *ngIf=\"categoryDetails?.length > 1\"\n          class=\"countBtn vx-fs-9 vx-fw-600 vx-txt-blue vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n          appPopover\n          (click)=\"MoreCategory.popover()\"\n          placement=\"right\"\n        >\n          +{{ categoryDetails?.length - 1 }}\n        </button>\n\n        <app-popover #MoreCategory>\n          <div class=\"wf-action-list category-list\">\n            <ul class=\"action-item\">\n              <li *ngFor=\"let eachTemplate of categoryDetails | slice : 1\">\n                <div class=\"avatar-card\">\n                  <div class=\"vx-w-100\">\n                    <span\n                      class=\"value vx-p-0 vx-w-100\"\n                      [appTooltip]=\"eachTemplate?.item_name\"\n                      placement=\"bottom-left\"\n                      type=\"black\"\n                      delay=\"0\"\n                      [tooltipMandatory]=\"false\"\n                      >{{ eachTemplate?.item_name }}</span\n                    >\n                    <div\n                      *ngIf=\"eachTemplate?.parent_items?.length\"\n                      class=\"within-part vx-d-flex vx-align-center vx-pr-3\"\n                    >\n                      <span\n                        class=\"within-box vx-fs-9 vx-fw-600 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2 vx-lh-3\"\n                        >Within</span\n                      >\n                      <span\n                        class=\"within-value vx-fs-11 vx-paragraph-txt\"\n                        [appTooltip]=\"eachTemplate?.parent_items?.join(' < ')\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                        >{{ eachTemplate?.parent_items?.join(\" < \") }}</span\n                      >\n                    </div>\n                  </div>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n      <div\n        class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center view-action\"\n      >\n        <button\n          *ngIf=\"previewEnabled\"\n          class=\"previewBtn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-pl-2 vx-pr-2 vx-m-0 vx-d-flex vx-align-center vx-lh-6\"\n          (click)=\"onPreview.emit(eachTemplate)\"\n        >\n          PREVIEW\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .template-list-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .template-list-table .table-header .table-column{color:#747576!important;line-height:1rem!important;min-height:2rem!important}::ng-deep .template-list-table .table-body{position:relative}::ng-deep .template-list-table .table-body .table-row{background:#fff;border-radius:4px;border:1px solid #e3e3e9;transition:all .2s ease-in-out;margin-bottom:.25rem}::ng-deep .template-list-table .table-body .table-row:hover{background:#f8f8f8;transition:all .2s ease-in-out}::ng-deep .template-list-table .table-body .table-row:hover .table-column.serial app-cs-radio{opacity:1}::ng-deep .template-list-table .table-body .table-row:hover .table-column.view-action button.previewBtn{opacity:1}::ng-deep .template-list-table .table-body .table-row.active .table-column.serial app-cs-radio{opacity:1}::ng-deep .template-list-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .template-list-table .table-row .table-column{color:#000;min-height:2.5rem;position:relative;width:100%}::ng-deep .template-list-table .table-row .table-column i.info{color:#1e5dd3;cursor:pointer}::ng-deep .template-list-table .table-row .table-column .sorting{cursor:pointer;position:relative;top:1px;left:-1px}::ng-deep .template-list-table .table-row .table-column .sorting i{cursor:pointer}::ng-deep .template-list-table .table-row .table-column.serial{width:2rem;max-width:2rem;flex:0 0 2rem;justify-content:center}::ng-deep .template-list-table .table-row .table-column.serial .sr-no{width:1rem;background:#f2f2f5;writing-mode:vertical-lr;color:#787a8c;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .template-list-table .table-row .table-column.serial app-cs-radio{position:absolute;top:12px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .template-list-table .table-row .table-column.template-name{width:calc(100% - 25rem);min-width:calc(100% - 25rem)}::ng-deep .template-list-table .table-row .table-column.template-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 3rem)}::ng-deep .template-list-table .table-row .table-column.category{width:18rem;min-width:18rem}::ng-deep .template-list-table .table-row .table-column.category .category-inner{max-width:calc(100% - 3rem)}::ng-deep .template-list-table .table-row .table-column.category .category-inner .category-name{color:#787a8c;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .template-list-table .table-row .table-column.category button.countBtn{background:#fff;border-radius:1.25rem;border:1px solid #cdced6;height:1rem;min-width:1.5rem}::ng-deep .template-list-table .table-row .table-column.view-action{width:5rem;min-width:5rem}::ng-deep .template-list-table .table-row .table-column.view-action button.previewBtn{background:#fff;border-radius:.125rem;border:1px solid #dbdbdb;height:1.25rem;transition:all .2s ease-in-out;opacity:0}\n"] }]
        }], propDecorators: { selectedTemplate: [{
                type: Input
            }], templateList: [{
                type: Input
            }], loader: [{
                type: Input
            }], categoryList: [{
                type: Input
            }], feature: [{
                type: Input
            }], onSort: [{
                type: Output
            }], onSelectTemplate: [{
                type: Output
            }], onPreview: [{
                type: Output
            }] } });

/**
 * @Pipe SearchByKeys
 *
 * A custom Angular pipe that filters an array of objects based on a search value and specified keys.
 *
 * @example
 * <div *ngFor="let item of items | SearchByKeys: ['name', 'description']: searchValue">
 *   {{ item.name }}
 * </div>
 *
 * @class
 * @implements {PipeTransform}
 */
/**
 * Transforms an array of objects by filtering them based on the provided keys and search value.
 *
 * @param {any[]} items - The array of objects to be filtered.
 * @param {string[]} keys - The keys of the objects to be searched.
 * @param {string} value - The search value to filter the objects.
 * @returns {any[]} - The filtered array of objects.
 */
/**
 * Searches within an object for a value.
 *
 * @private
 * @param {any} obj - The object to search within.
 * @param {string} value - The search value.
 * @returns {boolean} - True if the value is found within the object, otherwise false.
 */
class SearchByKeysPipe {
    transform(items, keys, value) {
        if (!items || !keys || !value) {
            return items;
        }
        value = value.toLowerCase();
        return items.filter((item) => {
            return keys.some((key) => {
                if (Array.isArray(item[key])) {
                    return item[key].some((subItem) => this.searchInObject(subItem, value));
                }
                return item[key]?.toString().toLowerCase().includes(value);
            });
        });
    }
    searchInObject(obj, value) {
        return Object.values(obj).some((val) => val?.toString().toLowerCase().includes(value));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchByKeysPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SearchByKeysPipe, name: "SearchByKeys" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchByKeysPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'SearchByKeys',
                }]
        }] });

class SelectTemplateListComponent {
    constructor(templateService, policyService, config) {
        this.templateService = templateService;
        this.policyService = policyService;
        this.fileUrl = '';
        this.animation = false;
        this.defaultTemplates = [];
        this.customTemplates = null;
        this.templateList = [];
        this.currentTab = 'VCOMPLY';
        this.loader = false;
        this.categoryList = [];
        this.defaultCategoryList = [];
        this.userCreatedCategoryList = [];
        this.sortStatus = -1;
        this.searchCategory = '';
        this.searchTemplate = '';
        this.selectedCategory = [];
        this.NO_DATA_FOUND_IMAGE = NO_DATA_FOUND_IMAGE;
        this.NO_DATA_FOUND_MESSAGE = NO_DATA_FOUND_MESSAGE;
        this.selectedTemplate = [];
        this.isPreview = false;
        this.selectedCategoryId = [];
        this.onTemplateSelect = new EventEmitter();
        if (config) {
            this.env = config?.envConfig;
        }
    }
    ngOnInit() {
        this.setAnimation();
        this.getTemplate();
    }
    setAnimation() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    switchTab(tab) {
        this.currentTab = tab;
        this.selectedCategory = [];
        if (tab === 'VCOMPLY') {
            this.templateList = [...this.defaultTemplates];
            this.categoryList = this.defaultCategoryList;
        }
        else {
            if (this.customTemplates === null) {
                this.getCustomTemplates();
            }
            else {
                this.templateList = [...this.customTemplates];
                this.categoryList = this.userCreatedCategoryList;
            }
        }
    }
    getCustomTemplates() {
        this.loader = true;
        const payload = {
            type: 'custom',
            categoryId: this.selectedCategoryId.map((category) => category.item_id),
        };
        this.templateService.fetchTemplates(payload).subscribe((res) => {
            this.customTemplates = res?.templates ?? [];
            this.mapCustomTemplate();
        });
    }
    mapCustomTemplate() {
        this.policyService.getCategoriesList().subscribe((res) => {
            this.userCreatedCategoryList = [...res];
            this.userCreatedCategoryList = this.userCreatedCategoryList.map((res) => {
                const parentItems = [...new Set(res?.parent_items ?? [])];
                parentItems.unshift(res.item_name);
                return {
                    ...res,
                    name: parentItems?.join(' < '),
                    parent_items: res?.parent_items.reverse(),
                };
            });
            if (this.customTemplates) {
                this.customTemplates = this.customTemplates.map((template) => {
                    return {
                        ...template,
                        categoryDetails: this.userCreatedCategoryList.filter((category) => template?.categoryId?.includes(category.item_id)),
                    };
                });
            }
            this.templateList = [...new Set(this.customTemplates ?? [])];
            const categoryIds = this.selectedCategoryId.map((category) => category.item_id);
            this.userCreatedCategoryList = this.userCreatedCategoryList.filter((category) => categoryIds?.includes(category.item_id));
            this.loader = false;
            this.categoryList = this.userCreatedCategoryList;
        });
    }
    getTemplate() {
        this.loader = true;
        const payload = {
            type: 'default',
        };
        forkJoin([
            this.templateService.fetchTemplates(payload),
            this.templateService.fetchDefaultCategories(),
        ]).subscribe((res) => {
            this.defaultTemplates = res[0]?.templates;
            this.defaultCategoryList = res[1];
            this.mapDefaultTemplate();
            this.categoryList = [...new Set(this.defaultCategoryList)];
            this.templateList = this.defaultTemplates;
            this.loader = false;
        });
    }
    mapDefaultTemplate() {
        this.defaultTemplates = this.defaultTemplates.map((template) => {
            const category = this.defaultCategoryList.filter((category) => template?.categoryId?.includes(category.item_id));
            return {
                ...template,
                categoryDetails: category,
            };
        });
    }
    sortBy(key) {
        this.sortStatus = this.sortStatus * -1;
        this.templateList = this.templateService.sortByKey(this.templateList, key, this.sortStatus);
    }
    onSelectCategory(category, event) {
        if (event.target.checked) {
            this.selectedCategory.push(category?.item_id);
        }
        else {
            this.selectedCategory = this.selectedCategory.filter((id) => id !== category?.item_id);
        }
        this.selectedCategory = [...new Set(this.selectedCategory)];
    }
    onApplyFilter(event) {
        if (!event) {
            this.selectedCategory = [];
            return;
        }
        let selectedTemplate = this.currentTab === 'VCOMPLY'
            ? this.defaultTemplates
            : this.customTemplates ?? [];
        selectedTemplate = [...new Set(selectedTemplate)];
        if (this.selectedCategory.length === 0) {
            this.templateList = selectedTemplate;
            return;
        }
        this.templateList = selectedTemplate.filter((template) => {
            return template?.categoryId?.some((id) => this.selectedCategory.includes(id));
        });
    }
    onSelectTemplate(template) {
        this.selectedTemplate = [template];
    }
    save() {
        this.onTemplateSelect.emit(this.selectedTemplate);
    }
    close() {
        this.onTemplateSelect.emit([]);
    }
    deleteEvent() {
        this.selectedTemplate = [];
    }
    onPreview(details) {
        this.loader = false;
        this.isPreview = true;
        this.previewTemplate = details;
        this.fileUrl = `${this.env?.s3Url}${this.env?.s3Bucket}/${details?.s3DocxPath}`;
        console.log(this.fileUrl, 'fileUrl');
    }
    onClosePreview() {
        this.isPreview = false;
        this.previewTemplate = null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectTemplateListComponent, deps: [{ token: TemplateService }, { token: PolicyService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SelectTemplateListComponent, selector: "app-select-template-list", inputs: { selectedCategoryId: "selectedCategoryId", feature: "feature" }, outputs: { onTemplateSelect: "onTemplateSelect" }, ngImport: i0, template: "<div\n  class=\"select-template-list\"\n  [class.animate]=\"animation\"\n  [class.withPreview]=\"isPreview\"\n>\n  <ng-container *ngIf=\"!isPreview\">\n    <div\n      class=\"select-template-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Template</div>\n    </div>\n    <div class=\"select-template-list-body\">\n      <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n      <div class=\"select-template-list-tab vx-d-flex vx-align-center vx-mb-2\">\n        <button\n          (click)=\"switchTab('VCOMPLY')\"\n          class=\"tab-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n          [class.active]=\"currentTab === 'VCOMPLY'\"\n        >\n          VCOMPLY TEMPLATES\n        </button>\n        <button\n          (click)=\"switchTab('USER_CREATED')\"\n          class=\"tab-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n          [class.active]=\"currentTab === 'USER_CREATED'\"\n        >\n          USER-CREATED TEMPLATES\n        </button>\n      </div>\n      <div class=\"search-block vx-mb-2\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input type=\"text\" [(ngModel)]=\"searchTemplate\" placeholder=\"Search\" />\n      </div>\n      <div class=\"body-top vx-d-flex vx-align-center vx-justify-end vx-mb-2\">\n        <cs-multi-select\n          (searchText)=\"searchCategory = $event\"\n          [placeholder]=\"'Select Category'\"\n          [value]=\"selectedCategory\"\n          (applyFilter)=\"onApplyFilter($event)\"\n        >\n          <ng-container\n            *ngFor=\"\n              let eachCategory of categoryList\n                | SearchByKeys : ['name'] : searchCategory\n            \"\n          >\n            <cs-multi-select-option\n              [appTooltip]=\"eachCategory?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [value]=\"eachCategory?.item_id\"\n              (change)=\"onSelectCategory(eachCategory, $event)\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ eachCategory?.name }}\n            </cs-multi-select-option>\n          </ng-container>\n        </cs-multi-select>\n      </div>\n      <div class=\"body-inner vx-mb-1\">\n        <ng-container *ngIf=\"!loader\">\n          <ng-container\n            *ngIf=\"\n              templateList\n                | SearchByKeys\n                  : ['name', 'categoryDetails']\n                  : searchTemplate as allTemplate\n            \"\n          >\n            <app-template-list-table\n              *ngIf=\"allTemplate.length\"\n              [templateList]=\"allTemplate\"\n              [loader]=\"loader\"\n              [categoryList]=\"categoryList\"\n              [selectedTemplate]=\"selectedTemplate[0]\"\n              [feature]=\"feature\"\n              (onSort)=\"sortBy($event)\"\n              (onSelectTemplate)=\"onSelectTemplate($event)\"\n              (onPreview)=\"onPreview($event)\"\n            ></app-template-list-table>\n            <app-no-data\n              *ngIf=\"!allTemplate?.length\"\n              [noDataImage]=\"NO_DATA_FOUND_IMAGE\"\n              [noDataText]=\"NO_DATA_FOUND_MESSAGE\"\n            ></app-no-data>\n          </ng-container>\n        </ng-container>\n      </div>\n\n      <app-floating-bar\n        (closeEvent)=\"save()\"\n        (closeList)=\"close()\"\n        [isDisabled]=\"selectedTemplate?.length === 0\"\n        [selectedData]=\"selectedTemplate\"\n        [displayElementKey]=\"'name'\"\n        [singularText]=\"'Template Selected'\"\n        (deleteEvent)=\"deleteEvent()\"\n      >\n      </app-floating-bar>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"isPreview\">\n    <div\n      class=\"select-template-list-head vx-d-flex vx-align-center vx-pl-4 vx-pr-4\"\n    >\n      <button\n        (click)=\"onClosePreview()\"\n        class=\"previewBtn vx-fs-14 vx-fw-500 vx-label-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n      >\n        <i class=\"icons vx-mr-1\">&#xe91d;</i>Preview\n      </button>\n      <div\n        class=\"template-name vx-fs-14 vx-ml-1\"\n        [appTooltip]=\"previewTemplate?.name\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n      >\n        {{ previewTemplate?.name }}\n      </div>\n    </div>\n    <div class=\"preview-template-body vx-d-flex vx-justify-center\">\n      <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n      <div *ngIf=\"!loader\" class=\"preview-template-body-inner\">\n        <ngx-doc-viewer\n          [url]=\"fileUrl\"\n          viewer=\"office\"\n          style=\"width: 100%; height: 100%; margin: 0\"\n          disableContent=\"popout-hide\"\n        >\n        </ngx-doc-viewer>\n      </div>\n    </div>\n  </ng-container>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .select-template-list{background:#fff;position:fixed;inset:0 500px 0 0;z-index:10}::ng-deep .select-template-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .select-template-list:after{background:#f1f1f1;content:\"\";position:absolute;top:3px;right:0;width:1px;height:calc(100% - 3px)}::ng-deep .select-template-list.withPreview{background:#f2f2f5}::ng-deep .select-template-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .select-template-list-head button.previewBtn{background:transparent;border-radius:0;border:none}::ng-deep .select-template-list-head .template-name{color:#787a8c;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .select-template-list-tab{border-bottom:1px solid #dbdbdb}::ng-deep .select-template-list-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.1875rem solid transparent;color:#565a6f;height:23px;margin-right:1.75rem!important}::ng-deep .select-template-list-tab button.active{pointer-events:none}::ng-deep .select-template-list-tab button.active.tab-btn{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .select-template-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .select-template-list-body .search-block{position:relative}::ng-deep .select-template-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .select-template-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .select-template-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .select-template-list-body .body-top cs-multi-select{display:block;width:320px}::ng-deep .select-template-list-body .body-inner{height:calc(100% - 180px);width:calc(100% + 2rem);padding-right:2rem;overflow:hidden;overflow-y:auto;scrollbar-width:thin}::ng-deep .select-template-list-body .body-inner::-webkit-scrollbar-track{background-color:#f1f1f1}::ng-deep .select-template-list-body .body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .select-template-list .preview-template-body{margin-top:3rem;height:calc(100% - 6rem)}::ng-deep .select-template-list .preview-template-body-inner{background:#fff;border-radius:8px 8px 0 0;border:1px solid #dbdbdb;width:50rem}::ng-deep .select-template-list .preview-template-body-inner app-view-policy{display:block;height:100%}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer{height:100%!important;min-height:unset!important}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn{height:100%}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn .e-de-ctnr-properties-pane{height:calc(100% - 30px)}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn .e-de-ctnr-properties-pane .e-control.e-documenteditor{height:100%!important;min-height:unset!important}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn .e-de-ctnr-properties-pane .e-control.e-documenteditor .e-documenteditor-optionspane{height:100%}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: CsMultiselectComponent, selector: "cs-multi-select", inputs: ["isRequired", "dropdownLabel", "dropdownSubLabel", "disabled", "placeholder", "searchPlaceholder", "value", "selectedItem"], outputs: ["valueChange", "applyFilter", "searchText", "resetSelectedData"] }, { kind: "component", type: CsMultiselectOptionComponent, selector: "cs-multi-select-option", inputs: ["value"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i12.NgxDocViewerComponent, selector: "ngx-doc-viewer", inputs: ["url", "queryParams", "viewerUrl", "googleCheckInterval", "googleMaxChecks", "disableContent", "googleCheckContentLoaded", "viewer", "overrideLocalhost"], outputs: ["loaded"] }, { kind: "component", type: TemplateListTableComponent, selector: "app-template-list-table", inputs: ["selectedTemplate", "templateList", "loader", "categoryList", "feature"], outputs: ["onSort", "onSelectTemplate", "onPreview"] }, { kind: "pipe", type: SearchByKeysPipe, name: "SearchByKeys" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectTemplateListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-select-template-list', template: "<div\n  class=\"select-template-list\"\n  [class.animate]=\"animation\"\n  [class.withPreview]=\"isPreview\"\n>\n  <ng-container *ngIf=\"!isPreview\">\n    <div\n      class=\"select-template-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Template</div>\n    </div>\n    <div class=\"select-template-list-body\">\n      <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n      <div class=\"select-template-list-tab vx-d-flex vx-align-center vx-mb-2\">\n        <button\n          (click)=\"switchTab('VCOMPLY')\"\n          class=\"tab-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n          [class.active]=\"currentTab === 'VCOMPLY'\"\n        >\n          VCOMPLY TEMPLATES\n        </button>\n        <button\n          (click)=\"switchTab('USER_CREATED')\"\n          class=\"tab-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-p-0 vx-pb-2 vx-m-0 vx-d-flex vx-align-center vx-lh-4\"\n          [class.active]=\"currentTab === 'USER_CREATED'\"\n        >\n          USER-CREATED TEMPLATES\n        </button>\n      </div>\n      <div class=\"search-block vx-mb-2\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input type=\"text\" [(ngModel)]=\"searchTemplate\" placeholder=\"Search\" />\n      </div>\n      <div class=\"body-top vx-d-flex vx-align-center vx-justify-end vx-mb-2\">\n        <cs-multi-select\n          (searchText)=\"searchCategory = $event\"\n          [placeholder]=\"'Select Category'\"\n          [value]=\"selectedCategory\"\n          (applyFilter)=\"onApplyFilter($event)\"\n        >\n          <ng-container\n            *ngFor=\"\n              let eachCategory of categoryList\n                | SearchByKeys : ['name'] : searchCategory\n            \"\n          >\n            <cs-multi-select-option\n              [appTooltip]=\"eachCategory?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [value]=\"eachCategory?.item_id\"\n              (change)=\"onSelectCategory(eachCategory, $event)\"\n              [tooltipMandatory]=\"true\"\n            >\n              {{ eachCategory?.name }}\n            </cs-multi-select-option>\n          </ng-container>\n        </cs-multi-select>\n      </div>\n      <div class=\"body-inner vx-mb-1\">\n        <ng-container *ngIf=\"!loader\">\n          <ng-container\n            *ngIf=\"\n              templateList\n                | SearchByKeys\n                  : ['name', 'categoryDetails']\n                  : searchTemplate as allTemplate\n            \"\n          >\n            <app-template-list-table\n              *ngIf=\"allTemplate.length\"\n              [templateList]=\"allTemplate\"\n              [loader]=\"loader\"\n              [categoryList]=\"categoryList\"\n              [selectedTemplate]=\"selectedTemplate[0]\"\n              [feature]=\"feature\"\n              (onSort)=\"sortBy($event)\"\n              (onSelectTemplate)=\"onSelectTemplate($event)\"\n              (onPreview)=\"onPreview($event)\"\n            ></app-template-list-table>\n            <app-no-data\n              *ngIf=\"!allTemplate?.length\"\n              [noDataImage]=\"NO_DATA_FOUND_IMAGE\"\n              [noDataText]=\"NO_DATA_FOUND_MESSAGE\"\n            ></app-no-data>\n          </ng-container>\n        </ng-container>\n      </div>\n\n      <app-floating-bar\n        (closeEvent)=\"save()\"\n        (closeList)=\"close()\"\n        [isDisabled]=\"selectedTemplate?.length === 0\"\n        [selectedData]=\"selectedTemplate\"\n        [displayElementKey]=\"'name'\"\n        [singularText]=\"'Template Selected'\"\n        (deleteEvent)=\"deleteEvent()\"\n      >\n      </app-floating-bar>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"isPreview\">\n    <div\n      class=\"select-template-list-head vx-d-flex vx-align-center vx-pl-4 vx-pr-4\"\n    >\n      <button\n        (click)=\"onClosePreview()\"\n        class=\"previewBtn vx-fs-14 vx-fw-500 vx-label-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n      >\n        <i class=\"icons vx-mr-1\">&#xe91d;</i>Preview\n      </button>\n      <div\n        class=\"template-name vx-fs-14 vx-ml-1\"\n        [appTooltip]=\"previewTemplate?.name\"\n        placement=\"bottom-left\"\n        delay=\"0\"\n        type=\"black\"\n        [tooltipMandatory]=\"false\"\n      >\n        {{ previewTemplate?.name }}\n      </div>\n    </div>\n    <div class=\"preview-template-body vx-d-flex vx-justify-center\">\n      <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n      <div *ngIf=\"!loader\" class=\"preview-template-body-inner\">\n        <ngx-doc-viewer\n          [url]=\"fileUrl\"\n          viewer=\"office\"\n          style=\"width: 100%; height: 100%; margin: 0\"\n          disableContent=\"popout-hide\"\n        >\n        </ngx-doc-viewer>\n      </div>\n    </div>\n  </ng-container>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .select-template-list{background:#fff;position:fixed;inset:0 500px 0 0;z-index:10}::ng-deep .select-template-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .select-template-list:after{background:#f1f1f1;content:\"\";position:absolute;top:3px;right:0;width:1px;height:calc(100% - 3px)}::ng-deep .select-template-list.withPreview{background:#f2f2f5}::ng-deep .select-template-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .select-template-list-head button.previewBtn{background:transparent;border-radius:0;border:none}::ng-deep .select-template-list-head .template-name{color:#787a8c;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .select-template-list-tab{border-bottom:1px solid #dbdbdb}::ng-deep .select-template-list-tab button.tab-btn{background:transparent;border-radius:0;border:none;border-bottom:.1875rem solid transparent;color:#565a6f;height:23px;margin-right:1.75rem!important}::ng-deep .select-template-list-tab button.active{pointer-events:none}::ng-deep .select-template-list-tab button.active.tab-btn{border-color:#1e5dd3;color:#1e5dd3}::ng-deep .select-template-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .select-template-list-body .search-block{position:relative}::ng-deep .select-template-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .select-template-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .select-template-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .select-template-list-body .body-top cs-multi-select{display:block;width:320px}::ng-deep .select-template-list-body .body-inner{height:calc(100% - 180px);width:calc(100% + 2rem);padding-right:2rem;overflow:hidden;overflow-y:auto;scrollbar-width:thin}::ng-deep .select-template-list-body .body-inner::-webkit-scrollbar-track{background-color:#f1f1f1}::ng-deep .select-template-list-body .body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .select-template-list .preview-template-body{margin-top:3rem;height:calc(100% - 6rem)}::ng-deep .select-template-list .preview-template-body-inner{background:#fff;border-radius:8px 8px 0 0;border:1px solid #dbdbdb;width:50rem}::ng-deep .select-template-list .preview-template-body-inner app-view-policy{display:block;height:100%}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer{height:100%!important;min-height:unset!important}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn{height:100%}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn .e-de-ctnr-properties-pane{height:calc(100% - 30px)}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn .e-de-ctnr-properties-pane .e-control.e-documenteditor{height:100%!important;min-height:unset!important}::ng-deep .select-template-list .preview-template-body-inner app-view-policy ejs-documenteditorcontainer .e-de-ctn .e-de-ctnr-properties-pane .e-control.e-documenteditor .e-documenteditor-optionspane{height:100%}\n"] }]
        }], ctorParameters: function () { return [{ type: TemplateService }, { type: PolicyService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { selectedCategoryId: [{
                type: Input
            }], feature: [{
                type: Input
            }], onTemplateSelect: [{
                type: Output
            }] } });

class CheckpointsPolicyQuestionsComponent {
    set checkpointDetails(value) {
        this.checkPointQuestions = value;
        if (this.checkPointQuestions.length) {
            this.checkPointQuestions.forEach((element, index) => {
                const answerIndex = element?.answers.indexOf(element?.ranswer);
                if (answerIndex > -1 && element.ranswer.trim().length > 0) {
                    this.rightAnswerIndex[index] = answerIndex;
                }
            });
        }
    }
    constructor() {
        this.checkPointQuestions = [];
        this.changeMax = new EventEmitter();
        this.requiredPoint = 0;
        this.requiredPointChange = new EventEmitter();
        this.saveValidQuestions = new EventEmitter();
        this.activeQuestionIndex = 0;
        this.errorTracker = [];
        this.rightAnswerIndex = [];
    }
    ngOnInit() { }
    /**
     * Changes active question index
     * @param index
     */
    changeActiveQuestion(index) {
        this.activeQuestionIndex = index;
    }
    cloneQuestion(index, isBlank) {
        if (isBlank === false) {
            const COPY_ARR = JSON.parse(JSON.stringify(this.checkPointQuestions[index]));
            this.checkPointQuestions.splice(index + 1, 0, COPY_ARR);
        }
        if (isBlank === true) {
            const QUESTION = {
                ranswer: '',
                question: '',
                answers: ['', ''],
            };
            this.checkPointQuestions.splice(index + 1, 0, QUESTION);
        }
        this.changeActiveQuestion(index + 1);
        this.requiredPointChange.emit(this.requiredPoint + 1);
        //this.changeMax.emit(this.checkPointQuestions.length)
    }
    addOption(questionIndex, optionIndex) {
        this.checkPointQuestions[questionIndex].answers.splice(optionIndex + 1, 0, '');
        this.focusAnOption(questionIndex, optionIndex + 1);
    }
    deleteOption(questionIndex, optionIndex) {
        this.checkPointQuestions[questionIndex].answers.splice(optionIndex, 1);
        this.focusAnOption(questionIndex, optionIndex - 1);
    }
    focusAnOption(questionIndex, optionIndex) {
        setTimeout(() => {
            const EL = document.getElementById('option' + '-' + questionIndex + '' + optionIndex);
            if (EL) {
                EL.focus();
            }
        }, 10);
    }
    deleteOnBackspace(questionIndex, optionIndex) {
        if (this.checkPointQuestions[questionIndex].answers?.length > 2 &&
            this.checkPointQuestions[questionIndex].answers[optionIndex].trim()
                .length === 0) {
            this.deleteOption(questionIndex, optionIndex);
        }
    }
    deleteQuestion(questionIndex) {
        this.checkPointQuestions.splice(questionIndex, 1);
        if (this.checkPointQuestions.length === 0) {
            const QUESTION = {
                ranswer: '',
                question: '',
                answers: ['', ''],
            };
            this.checkPointQuestions.push(QUESTION);
            this.requiredPoint = 1;
        }
        //this.changeMax.emit(this.checkPointQuestions.length)
        this.requiredPointChange.emit(this.requiredPoint - 1);
    }
    selectRightAnswer(evt, index, answerIndex) {
        if (evt) {
            this.checkPointQuestions[index].ranswer =
                this.checkPointQuestions[index][answerIndex];
            this.rightAnswerIndex[index] = answerIndex;
            this.reValidate(index);
        }
    }
    reValidate(questionIndex) {
        if (this.errorTracker[questionIndex]) {
            this.validateForm();
        }
    }
    async saveCheckPoint() {
        const validStatus = await this.validateForm();
        if (validStatus) {
            this.saveValidQuestions.emit(this.checkPointQuestions);
        }
    }
    mapRightAnswers() {
        this.checkPointQuestions.forEach((element, index) => {
            element.ranswer = element.answers[this.rightAnswerIndex[index]] ?? '';
        });
    }
    async validateForm() {
        await this.mapRightAnswers();
        this.errorTracker = [];
        await this.checkPointQuestions.forEach((element, index) => {
            if (element.question.trim().length === 0) {
                this.errorTracker[index] = {
                    type: 'QUESTION',
                    message: 'Please add a question.',
                };
            }
            else {
                if (element.answers.length >= 2) {
                    if (this.isOptionValid(element.answers) === false) {
                        this.errorTracker[index] = {
                            type: 'OPTION',
                            message: 'You need to complete all the answer options.',
                        };
                    }
                    else {
                        if (this.checkDuplicate(element?.answers) === true) {
                            this.errorTracker[index] = {
                                type: 'OPTION',
                                message: 'Two options cannot have same title.',
                            };
                        }
                        else {
                            if (element?.ranswer?.length === 0) {
                                this.errorTracker[index] = {
                                    type: 'OPTION',
                                    message: 'Select the correct answer choice for this question.',
                                };
                            }
                        }
                    }
                }
            }
        });
        return this.errorTracker.length > 0 ? false : true;
    }
    isOptionValid(options) {
        if (options.length ===
            options.filter((ele) => ele.trim().length > 0).length) {
            return true;
        }
        else {
            return false;
        }
    }
    checkDuplicate(arr) {
        let result = false;
        // create a Set with array elements
        const s = new Set(arr);
        // compare the size of array and Set
        if (arr.length !== s.size) {
            result = true;
        }
        return result;
    }
    trackByFn(index, item) {
        return index;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsPolicyQuestionsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckpointsPolicyQuestionsComponent, selector: "app-checkpoints-policy-questions", inputs: { requiredPoint: "requiredPoint", checkpointDetails: "checkpointDetails" }, outputs: { changeMax: "changeMax", requiredPointChange: "requiredPointChange", saveValidQuestions: "saveValidQuestions" }, ngImport: i0, template: "<div class=\"checkpoints-policy-questions\">\n    <!-- <div class=\"checkpoints-questions-blocks instruction\">\n        <div class=\"container\">\n            <h3 class=\"question\">\n                <span class=\"counter\"><i class=\"icons\">&#xe932;</i></span>\n                <span class=\"text\">Add instruction</span>\n            </h3>\n        </div>\n    </div> -->\n    <!-- <small>\n      <pre>\n        {{checkPointQuestions |json}}\n      </pre>\n    </small> -->\n    <div class=\"checkpoints-policy-questions-top vx-d-flex vx-align-center vx-justify-between vx-pb-2 vx-mb-2\">\n        <div class=\"vx-d-flex vx-align-center\">\n            <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">TOTAL POINTS</span>\n            <span class=\"vx-fs-11 vx-paragraph-txt vx-mr-1\">(Each question carries 1 point)</span>\n            <div class=\"question-count vx-fs-12 vx-paragraph-txt vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center\">{{checkPointQuestions.length}}</div>\n        </div>\n        <div class=\"vx-d-flex vx-align-center\">\n            <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">POINTS REQUIRED TO ATTEST: <span class=\"vx-fs-14 vx-txt-red\">*</span></span>\n            <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-2\" appPopover (click)=\"policyPassing.popover()\" placement=\"right\">&#xe91f;</i>\n            <input class=\"attestInput\"  type=\"number\" [(ngModel)]=\"requiredPoint\" [max]=\"checkPointQuestions.length\"   onkeydown=\"return event.keyCode !== 190\" min=\"0\"\n            oninput=\"this.value = Math.abs(this.value);\" (ngModelChange)=\"requiredPointChange.emit(requiredPoint)\"/>\n            <app-popover #policyPassing [dontCloseonClick]=\"true\">\n                <div class=\"infoPopup\">\n                 Every correct answer choice carries 1 point. You can specify the total number of questions that the reader must answer correctly in order to attest the policy.\n                </div>\n            </app-popover>\n        </div>\n    </div>\n    <ng-container *ngFor=\"let questionValue of checkPointQuestions; let questionIndex = index\">\n      <!-- [class.error]=\"questionIndex === 0\" -->\n        <div class=\"checkpoints-policy-questions-blocks\" [appScrollInView]=\"activeQuestionIndex === questionIndex\"   [class.active]=\"activeQuestionIndex === questionIndex\" (click)=\"changeActiveQuestion(questionIndex)\">\n            <div class=\"container\">\n                <h3 class=\"question\" >\n                    <span class=\"counter\">{{questionIndex + 1}}.\n                      <!-- <span class=\"required\">*</span> -->\n                    </span>\n                    <input [appConditionalFocus]=\"activeQuestionIndex === questionIndex\" [(ngModel)]=\"questionValue.question\" class=\"text\" type=\"text\"\n                        placeholder=\"Type your question here\" (ngModelChange)=\"reValidate(questionIndex)\"\n                       >\n                </h3>\n                <p class=\"error-message\" *ngIf=\"errorTracker[questionIndex]?.type === 'QUESTION'\">{{errorTracker[questionIndex]?.message}}</p>\n                <ul class=\"list\">\n\n                    <li *ngFor=\"let option of questionValue.answers; let optionIndex = index;trackBy:trackByFn\">\n                        <app-cs-radio  [readonly]=\"option?.trim()?.length === 0\" [name]=\"'option-' + '' + questionIndex + '' + optionIndex\" [checked]=\"rightAnswerIndex[questionIndex] === optionIndex ? true  :false \"\n                        (checkedEvent)=\"selectRightAnswer($event,questionIndex,optionIndex)\" [oneLine]=\"true\" [id]=\"optionIndex + 'wee'\" >\n                          <input  [id]=\"'option-' + '' + questionIndex + '' + optionIndex\" (ngModelChange)=\"reValidate(questionIndex)\"\n                          (keydown.enter)=\"addOption(questionIndex,optionIndex)\"\n                          (keydown.backspace)=\"deleteOnBackspace(questionIndex,optionIndex)\"\n                          placeholder=\"Option\" [(ngModel)]=\"questionValue.answers[optionIndex]\" type=\"text\" placeholder=\"Option\" />\n                        </app-cs-radio>\n                        <button *ngIf=\"questionValue?.answers?.length > 2 && activeQuestionIndex === questionIndex\" (click)=\"deleteOption(questionIndex,optionIndex)\" class=\"close\" ><i class=\"icons\">&#xe90d;</i></button>\n                    </li>\n\n                    <li class=\"add-new\" *ngIf=\"activeQuestionIndex === questionIndex\">\n                        <app-cs-radio [oneLine]=\"true\" [readonly]=\"true\">\n                            <input type=\"text\" readonly placeholder=\"Add more option\"\n                                (click)=\"addOption(questionIndex,questionValue?.answers?.length-1)\">\n                        </app-cs-radio>\n                    </li>\n                </ul>\n                <p class=\"error-message\" *ngIf=\"errorTracker[questionIndex]?.type === 'OPTION'\">{{errorTracker[questionIndex]?.message}}</p>\n            </div>\n\n            <div class=\"footer\">\n                <div class=\"left\">\n                    <!-- <app-cs-checkbox>Is required</app-cs-checkbox> -->\n                </div>\n                <div class=\"right\">\n                    <ul>\n                        <li>\n                            <button (click)=\"cloneQuestion(questionIndex,true);$event.stopPropagation();\" [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li>\n                        <li>\n                            <button  (click)=\"deleteQuestion(questionIndex)\" class=\"delete\" [appTooltip]=\"'Delete'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\">\n                                <i class=\"icons\">&#xe923;</i>\n                            </button>\n                        </li>\n                        <li>\n                            <button (click)=\"cloneQuestion(questionIndex,false);$event.stopPropagation();\" [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n    </ng-container>\n    <button class=\"btn-add-new vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" type=\"button\" (click)=\"cloneQuestion(checkPointQuestions.length -1,true);$event.stopPropagation();\">+ ADD A NEW QUESTION</button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .checkpoints-policy-questions-top{background:#fff;border-bottom:1px solid #dbdbdb;position:sticky;top:0;z-index:1}::ng-deep .checkpoints-policy-questions-top:before{background:#fff;content:\"\";position:absolute;top:0;left:-1rem;width:1rem;height:100%}::ng-deep .checkpoints-policy-questions-top:after{background:#fff;content:\"\";position:absolute;top:0;right:-1rem;width:1rem;height:100%}::ng-deep .checkpoints-policy-questions-top .question-count{background:#f1f1f1;border-radius:.125rem;min-width:1.5rem;height:1.5rem}::ng-deep .checkpoints-policy-questions-top .info{cursor:pointer}::ng-deep .checkpoints-policy-questions-top input[type=number]{-moz-appearance:textfield;border:1px solid #dbdbdb;border-radius:.125rem;color:#747576;font-size:12px;min-width:2.25rem;width:2.25rem;height:1.5rem;text-align:center;margin-left:.25rem}::ng-deep .checkpoints-policy-questions-top input[type=number]:focus{outline:none}::ng-deep .checkpoints-policy-questions-blocks{padding:0;overflow:hidden;border-radius:4px}::ng-deep .checkpoints-policy-questions-blocks .container{padding:28px 32px 24px 45px}::ng-deep .checkpoints-policy-questions-blocks .question{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;position:relative;display:flex;align-items:flex-start;margin:0}::ng-deep .checkpoints-policy-questions-blocks .question:before{top:1px;left:-45px;height:24px;width:4px;content:\"\";background:#dbdbdb;position:absolute}::ng-deep .checkpoints-policy-questions-blocks .question span.counter{display:inline-block;font-weight:600;width:auto;padding:0 0 0 8px;position:absolute;left:-41px;top:1px;line-height:25px}::ng-deep .checkpoints-policy-questions-blocks .question span.counter .required{color:#eb2424;position:absolute;top:0;right:-6px}::ng-deep .checkpoints-policy-questions-blocks .question input.text{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;width:calc(100% - 28px);border:none;border-bottom:1px solid transparent;outline:none;padding-left:0;margin:0}::ng-deep .checkpoints-policy-questions-blocks .question input.text:focus{border-color:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks .question input.text:read-only{border:none}::ng-deep .checkpoints-policy-questions-blocks .date-picker{margin:12px 0;position:relative;width:400px}::ng-deep .checkpoints-policy-questions-blocks .date-picker input{width:100%;border:1px solid #DBDBDB;height:36px;line-height:24px;border-radius:4px;padding:4px 8px 4px 28px}::ng-deep .checkpoints-policy-questions-blocks .date-picker input:focus{outline:none;color:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks .date-picker i{font-size:16px;margin-right:8px;position:absolute;top:10px;left:10px;color:#747576}::ng-deep .checkpoints-policy-questions-blocks .file-upload{position:relative;display:block;margin:12px 0;cursor:pointer;width:400px}::ng-deep .checkpoints-policy-questions-blocks .file-upload input{opacity:0;width:100%;height:100%;position:absolute;inset:0;cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks .file-upload span{background:#1e5dd3;height:32px;border-radius:4px;display:flex;color:#fff;font-weight:400;font-size:11px;padding:8px 12px;justify-content:flex-starts;cursor:pointer;align-items:center}::ng-deep .checkpoints-policy-questions-blocks .file-upload span i{margin-right:8px}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker input:focus{outline:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .checkpoints-policy-questions-blocks .footer{background:#f1f1f180;display:none;border-top:1px solid #DBDBDB;justify-content:space-between;padding:0 0 0 8px;align-items:center}::ng-deep .checkpoints-policy-questions-blocks .footer .left{width:150px;display:flex;align-items:center}::ng-deep .checkpoints-policy-questions-blocks .footer .left app-cs-checkbox{display:flex}::ng-deep .checkpoints-policy-questions-blocks .footer .left app-cs-checkbox label.checkbox-item span.value{white-space:nowrap;text-transform:uppercase;font-size:11px;font-weight:500}::ng-deep .checkpoints-policy-questions-blocks .footer .right{width:calc(100% - 100px);display:flex;justify-content:flex-end}::ng-deep .checkpoints-policy-questions-blocks .footer .right ul{padding:0;margin:0;display:flex}::ng-deep .checkpoints-policy-questions-blocks .footer .right ul li{list-style:none;border-left:1px solid #DBDBDB;padding:0}::ng-deep .checkpoints-policy-questions-blocks .footer .right ul li button{width:48px;height:36px;font-size:15px;color:#1e5dd3;outline:none;display:flex;align-items:center;justify-content:center;background:transparent;border:none}::ng-deep .checkpoints-policy-questions-blocks ul.list{padding:8px 0;margin:0;display:inline-block;min-width:400px}::ng-deep .checkpoints-policy-questions-blocks ul.list li{list-style:none;display:flex;padding:0;position:relative}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:none}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item span.radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item span.radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item span.radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.radio{position:absolute!important;top:9px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.value{padding:8px 8px 8px 40px;width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid #BCBCBC;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .checkpoints-policy-questions-blocks ul.list li input,::ng-deep .checkpoints-policy-questions-blocks ul.list li span{color:#161b2f;font-size:14px;line-height:20px;display:block;border:none;outline:none;margin-left:0!important;margin:0;padding:0}::ng-deep .checkpoints-policy-questions-blocks ul.list li input{height:20px;background:transparent;width:100%}::ng-deep .checkpoints-policy-questions-blocks ul.list li+li{margin-top:8px}::ng-deep .checkpoints-policy-questions-blocks ul.list li button.close{font-size:12px;color:#9c1d22;padding:8px;cursor:pointer;background:transparent;border:none;outline:none}::ng-deep .checkpoints-policy-questions-blocks.active{border:1px solid #1E5DD3;padding-bottom:0;box-shadow:0 3px 6px #1e5dd326}::ng-deep .checkpoints-policy-questions-blocks.active .question:before{background:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks.active .footer{display:flex}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:auto}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item span.value{width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid transparent;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border:1px solid #34AA44}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new{opacity:.6;cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-radio label.radio-item span.value input,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-checkbox label.radio-item span.value input,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-radio label.checkbox-item span.value input,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-checkbox label.checkbox-item span.value input{cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks.instruction{border:1px solid #DBDBDB;margin-bottom:12px}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.counter i{font-weight:400;color:#f2bf19}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.text{width:100%;cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.text vcomply-editor{cursor:text}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.text *{margin-top:0}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled{background:#f8f8f8;max-height:100px;overflow:auto}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container{padding:12px 12px 12px 32px}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container .question{font-size:14px;line-height:22px}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container .question:before{left:-32px}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container .question span.counter{left:-32px}::ng-deep .checkpoints-policy-questions .btn-add-new{background:transparent;border-radius:.25rem;border:1px dashed #1E5DD3;margin:1.25rem 0 0;width:100%;height:2.5rem}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:0;margin-bottom:0}.infoPopup{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block;padding:8px;font-size:12px;color:#6e717e}input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{appearance:none;-webkit-appearance:none;margin:0}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i1$3.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsPolicyQuestionsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkpoints-policy-questions', template: "<div class=\"checkpoints-policy-questions\">\n    <!-- <div class=\"checkpoints-questions-blocks instruction\">\n        <div class=\"container\">\n            <h3 class=\"question\">\n                <span class=\"counter\"><i class=\"icons\">&#xe932;</i></span>\n                <span class=\"text\">Add instruction</span>\n            </h3>\n        </div>\n    </div> -->\n    <!-- <small>\n      <pre>\n        {{checkPointQuestions |json}}\n      </pre>\n    </small> -->\n    <div class=\"checkpoints-policy-questions-top vx-d-flex vx-align-center vx-justify-between vx-pb-2 vx-mb-2\">\n        <div class=\"vx-d-flex vx-align-center\">\n            <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mr-1\">TOTAL POINTS</span>\n            <span class=\"vx-fs-11 vx-paragraph-txt vx-mr-1\">(Each question carries 1 point)</span>\n            <div class=\"question-count vx-fs-12 vx-paragraph-txt vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center\">{{checkPointQuestions.length}}</div>\n        </div>\n        <div class=\"vx-d-flex vx-align-center\">\n            <span class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase\">POINTS REQUIRED TO ATTEST: <span class=\"vx-fs-14 vx-txt-red\">*</span></span>\n            <i class=\"icons info vx-fs-12 vx-txt-blue vx-ml-2\" appPopover (click)=\"policyPassing.popover()\" placement=\"right\">&#xe91f;</i>\n            <input class=\"attestInput\"  type=\"number\" [(ngModel)]=\"requiredPoint\" [max]=\"checkPointQuestions.length\"   onkeydown=\"return event.keyCode !== 190\" min=\"0\"\n            oninput=\"this.value = Math.abs(this.value);\" (ngModelChange)=\"requiredPointChange.emit(requiredPoint)\"/>\n            <app-popover #policyPassing [dontCloseonClick]=\"true\">\n                <div class=\"infoPopup\">\n                 Every correct answer choice carries 1 point. You can specify the total number of questions that the reader must answer correctly in order to attest the policy.\n                </div>\n            </app-popover>\n        </div>\n    </div>\n    <ng-container *ngFor=\"let questionValue of checkPointQuestions; let questionIndex = index\">\n      <!-- [class.error]=\"questionIndex === 0\" -->\n        <div class=\"checkpoints-policy-questions-blocks\" [appScrollInView]=\"activeQuestionIndex === questionIndex\"   [class.active]=\"activeQuestionIndex === questionIndex\" (click)=\"changeActiveQuestion(questionIndex)\">\n            <div class=\"container\">\n                <h3 class=\"question\" >\n                    <span class=\"counter\">{{questionIndex + 1}}.\n                      <!-- <span class=\"required\">*</span> -->\n                    </span>\n                    <input [appConditionalFocus]=\"activeQuestionIndex === questionIndex\" [(ngModel)]=\"questionValue.question\" class=\"text\" type=\"text\"\n                        placeholder=\"Type your question here\" (ngModelChange)=\"reValidate(questionIndex)\"\n                       >\n                </h3>\n                <p class=\"error-message\" *ngIf=\"errorTracker[questionIndex]?.type === 'QUESTION'\">{{errorTracker[questionIndex]?.message}}</p>\n                <ul class=\"list\">\n\n                    <li *ngFor=\"let option of questionValue.answers; let optionIndex = index;trackBy:trackByFn\">\n                        <app-cs-radio  [readonly]=\"option?.trim()?.length === 0\" [name]=\"'option-' + '' + questionIndex + '' + optionIndex\" [checked]=\"rightAnswerIndex[questionIndex] === optionIndex ? true  :false \"\n                        (checkedEvent)=\"selectRightAnswer($event,questionIndex,optionIndex)\" [oneLine]=\"true\" [id]=\"optionIndex + 'wee'\" >\n                          <input  [id]=\"'option-' + '' + questionIndex + '' + optionIndex\" (ngModelChange)=\"reValidate(questionIndex)\"\n                          (keydown.enter)=\"addOption(questionIndex,optionIndex)\"\n                          (keydown.backspace)=\"deleteOnBackspace(questionIndex,optionIndex)\"\n                          placeholder=\"Option\" [(ngModel)]=\"questionValue.answers[optionIndex]\" type=\"text\" placeholder=\"Option\" />\n                        </app-cs-radio>\n                        <button *ngIf=\"questionValue?.answers?.length > 2 && activeQuestionIndex === questionIndex\" (click)=\"deleteOption(questionIndex,optionIndex)\" class=\"close\" ><i class=\"icons\">&#xe90d;</i></button>\n                    </li>\n\n                    <li class=\"add-new\" *ngIf=\"activeQuestionIndex === questionIndex\">\n                        <app-cs-radio [oneLine]=\"true\" [readonly]=\"true\">\n                            <input type=\"text\" readonly placeholder=\"Add more option\"\n                                (click)=\"addOption(questionIndex,questionValue?.answers?.length-1)\">\n                        </app-cs-radio>\n                    </li>\n                </ul>\n                <p class=\"error-message\" *ngIf=\"errorTracker[questionIndex]?.type === 'OPTION'\">{{errorTracker[questionIndex]?.message}}</p>\n            </div>\n\n            <div class=\"footer\">\n                <div class=\"left\">\n                    <!-- <app-cs-checkbox>Is required</app-cs-checkbox> -->\n                </div>\n                <div class=\"right\">\n                    <ul>\n                        <li>\n                            <button (click)=\"cloneQuestion(questionIndex,true);$event.stopPropagation();\" [appTooltip]=\"'Add new'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\">\n                                <i class=\"icons\">&#xe915;</i>\n                            </button>\n                        </li>\n                        <li>\n                            <button  (click)=\"deleteQuestion(questionIndex)\" class=\"delete\" [appTooltip]=\"'Delete'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\">\n                                <i class=\"icons\">&#xe923;</i>\n                            </button>\n                        </li>\n                        <li>\n                            <button (click)=\"cloneQuestion(questionIndex,false);$event.stopPropagation();\" [appTooltip]=\"'Copy'\" placement=\"bottom\" delay=\"0\" [tooltipMandatory]=\"true\">\n                                <i class=\"icons\">&#xe9b6;</i>\n                            </button>\n                        </li>\n                    </ul>\n                </div>\n            </div>\n        </div>\n    </ng-container>\n    <button class=\"btn-add-new vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" type=\"button\" (click)=\"cloneQuestion(checkPointQuestions.length -1,true);$event.stopPropagation();\">+ ADD A NEW QUESTION</button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .checkpoints-policy-questions-top{background:#fff;border-bottom:1px solid #dbdbdb;position:sticky;top:0;z-index:1}::ng-deep .checkpoints-policy-questions-top:before{background:#fff;content:\"\";position:absolute;top:0;left:-1rem;width:1rem;height:100%}::ng-deep .checkpoints-policy-questions-top:after{background:#fff;content:\"\";position:absolute;top:0;right:-1rem;width:1rem;height:100%}::ng-deep .checkpoints-policy-questions-top .question-count{background:#f1f1f1;border-radius:.125rem;min-width:1.5rem;height:1.5rem}::ng-deep .checkpoints-policy-questions-top .info{cursor:pointer}::ng-deep .checkpoints-policy-questions-top input[type=number]{-moz-appearance:textfield;border:1px solid #dbdbdb;border-radius:.125rem;color:#747576;font-size:12px;min-width:2.25rem;width:2.25rem;height:1.5rem;text-align:center;margin-left:.25rem}::ng-deep .checkpoints-policy-questions-top input[type=number]:focus{outline:none}::ng-deep .checkpoints-policy-questions-blocks{padding:0;overflow:hidden;border-radius:4px}::ng-deep .checkpoints-policy-questions-blocks .container{padding:28px 32px 24px 45px}::ng-deep .checkpoints-policy-questions-blocks .question{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;position:relative;display:flex;align-items:flex-start;margin:0}::ng-deep .checkpoints-policy-questions-blocks .question:before{top:1px;left:-45px;height:24px;width:4px;content:\"\";background:#dbdbdb;position:absolute}::ng-deep .checkpoints-policy-questions-blocks .question span.counter{display:inline-block;font-weight:600;width:auto;padding:0 0 0 8px;position:absolute;left:-41px;top:1px;line-height:25px}::ng-deep .checkpoints-policy-questions-blocks .question span.counter .required{color:#eb2424;position:absolute;top:0;right:-6px}::ng-deep .checkpoints-policy-questions-blocks .question input.text{font-size:16px;font-weight:300;color:#161b2f;line-height:24px;width:calc(100% - 28px);border:none;border-bottom:1px solid transparent;outline:none;padding-left:0;margin:0}::ng-deep .checkpoints-policy-questions-blocks .question input.text:focus{border-color:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks .question input.text:read-only{border:none}::ng-deep .checkpoints-policy-questions-blocks .date-picker{margin:12px 0;position:relative;width:400px}::ng-deep .checkpoints-policy-questions-blocks .date-picker input{width:100%;border:1px solid #DBDBDB;height:36px;line-height:24px;border-radius:4px;padding:4px 8px 4px 28px}::ng-deep .checkpoints-policy-questions-blocks .date-picker input:focus{outline:none;color:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks .date-picker i{font-size:16px;margin-right:8px;position:absolute;top:10px;left:10px;color:#747576}::ng-deep .checkpoints-policy-questions-blocks .file-upload{position:relative;display:block;margin:12px 0;cursor:pointer;width:400px}::ng-deep .checkpoints-policy-questions-blocks .file-upload input{opacity:0;width:100%;height:100%;position:absolute;inset:0;cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks .file-upload span{background:#1e5dd3;height:32px;border-radius:4px;display:flex;color:#fff;font-weight:400;font-size:11px;padding:8px 12px;justify-content:flex-starts;cursor:pointer;align-items:center}::ng-deep .checkpoints-policy-questions-blocks .file-upload span i{margin-right:8px}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker input:focus{outline:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep .checkpoints-policy-questions-blocks dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .checkpoints-policy-questions-blocks .footer{background:#f1f1f180;display:none;border-top:1px solid #DBDBDB;justify-content:space-between;padding:0 0 0 8px;align-items:center}::ng-deep .checkpoints-policy-questions-blocks .footer .left{width:150px;display:flex;align-items:center}::ng-deep .checkpoints-policy-questions-blocks .footer .left app-cs-checkbox{display:flex}::ng-deep .checkpoints-policy-questions-blocks .footer .left app-cs-checkbox label.checkbox-item span.value{white-space:nowrap;text-transform:uppercase;font-size:11px;font-weight:500}::ng-deep .checkpoints-policy-questions-blocks .footer .right{width:calc(100% - 100px);display:flex;justify-content:flex-end}::ng-deep .checkpoints-policy-questions-blocks .footer .right ul{padding:0;margin:0;display:flex}::ng-deep .checkpoints-policy-questions-blocks .footer .right ul li{list-style:none;border-left:1px solid #DBDBDB;padding:0}::ng-deep .checkpoints-policy-questions-blocks .footer .right ul li button{width:48px;height:36px;font-size:15px;color:#1e5dd3;outline:none;display:flex;align-items:center;justify-content:center;background:transparent;border:none}::ng-deep .checkpoints-policy-questions-blocks ul.list{padding:8px 0;margin:0;display:inline-block;min-width:400px}::ng-deep .checkpoints-policy-questions-blocks ul.list li{list-style:none;display:flex;padding:0;position:relative}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:none}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.checkbox,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item span.radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item span.radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item span.radio,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.radio{position:absolute!important;top:9px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item span.value{padding:8px 8px 8px 40px;width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid #BCBCBC;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px;height:20px!important;width:20px!important}::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .checkpoints-policy-questions-blocks ul.list li input,::ng-deep .checkpoints-policy-questions-blocks ul.list li span{color:#161b2f;font-size:14px;line-height:20px;display:block;border:none;outline:none;margin-left:0!important;margin:0;padding:0}::ng-deep .checkpoints-policy-questions-blocks ul.list li input{height:20px;background:transparent;width:100%}::ng-deep .checkpoints-policy-questions-blocks ul.list li+li{margin-top:8px}::ng-deep .checkpoints-policy-questions-blocks ul.list li button.close{font-size:12px;color:#9c1d22;padding:8px;cursor:pointer;background:transparent;border:none;outline:none}::ng-deep .checkpoints-policy-questions-blocks.active{border:1px solid #1E5DD3;padding-bottom:0;box-shadow:0 3px 6px #1e5dd326}::ng-deep .checkpoints-policy-questions-blocks.active .question:before{background:#1e5dd3}::ng-deep .checkpoints-policy-questions-blocks.active .footer{display:flex}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox{display:block;width:100%;pointer-events:auto}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item{width:100%}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item span.value{width:100%;max-width:100%!important;justify-content:flex-start;border:1px solid transparent;border-radius:4px;color:#161b2f!important}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item svg,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item svg,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item svg{position:absolute;top:8px;bottom:8px;left:8px}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.radio-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-radio label.checkbox-item input:checked~span.value,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li app-cs-checkbox label.checkbox-item input:checked~span.value{background:#eefcf0;border:1px solid #34AA44}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new{opacity:.6;cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-radio label.radio-item span.value input,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-checkbox label.radio-item span.value input,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-radio label.checkbox-item span.value input,::ng-deep .checkpoints-policy-questions-blocks.active ul.list li.add-new app-cs-checkbox label.checkbox-item span.value input{cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks.instruction{border:1px solid #DBDBDB;margin-bottom:12px}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.counter i{font-weight:400;color:#f2bf19}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.text{width:100%;cursor:pointer}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.text vcomply-editor{cursor:text}::ng-deep .checkpoints-policy-questions-blocks.instruction .question span.text *{margin-top:0}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled{background:#f8f8f8;max-height:100px;overflow:auto}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container{padding:12px 12px 12px 32px}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container .question{font-size:14px;line-height:22px}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container .question:before{left:-32px}::ng-deep .checkpoints-policy-questions-blocks.instruction.filled .container .question span.counter{left:-32px}::ng-deep .checkpoints-policy-questions .btn-add-new{background:transparent;border-radius:.25rem;border:1px dashed #1E5DD3;margin:1.25rem 0 0;width:100%;height:2.5rem}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:0;margin-bottom:0}.infoPopup{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block;padding:8px;font-size:12px;color:#6e717e}input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{appearance:none;-webkit-appearance:none;margin:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { changeMax: [{
                type: Output
            }], requiredPoint: [{
                type: Input
            }], requiredPointChange: [{
                type: Output
            }], checkpointDetails: [{
                type: Input
            }], saveValidQuestions: [{
                type: Output
            }] } });

class CheckpointsPolicyContainerComponent {
    constructor(snackbarService) {
        this.snackbarService = snackbarService;
        this.animation = true;
        this.closeCheckPoint = new EventEmitter();
        this.saveCheckPoint = new EventEmitter();
        this.requiredPoint = 0;
        this.checkpointData = [];
    }
    ngOnInit() {
        this.checkpointData = cloneDeep$2(this.checkpointData);
        if (this.checkpointData.length === 0) {
            this.checkpointData = [
                {
                    ranswer: '',
                    question: '',
                    answers: ['', ''],
                },
            ];
        }
        setTimeout(() => {
            this.animation = false;
        }, 500);
        if (this.requiredPoint === 0) {
            this.requiredPoint = 1;
        }
    }
    next() {
        this.CheckpointsPolicyQuestionsComponent.saveCheckPoint();
    }
    saveQuestions(event) {
        this.checkpointData = event;
        this.checkpointData.forEach((element) => {
            if (element?._id) {
                delete element._id;
            }
        });
        if (this.requiredPoint > this.checkpointData.length) {
            this.snackbarService.show(`The points required to attest this policy cannot exceed ${this.checkpointData.length}.`);
        }
        else {
            if (this.requiredPoint < 1) {
                this.snackbarService.show(`The points required to attest this policy cannot be 0`);
            }
            else {
                this.saveCheckPoint.emit({
                    requiredPoint: this.requiredPoint,
                    checkpointDetails: this.checkpointData,
                });
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsPolicyContainerComponent, deps: [{ token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckpointsPolicyContainerComponent, selector: "app-checkpoints-policy-container", inputs: { requiredPoint: "requiredPoint", checkpointData: "checkpointData" }, outputs: { closeCheckPoint: "closeCheckPoint", saveCheckPoint: "saveCheckPoint" }, viewQueries: [{ propertyName: "CheckpointsPolicyQuestionsComponent", first: true, predicate: ["checkpoint"], descendants: true }], ngImport: i0, template: "<!-- <p>checkpoints works!</p> -->\n<div class=\"checkpoints\" [class.animate]=\"animation\">\n  <div\n    class=\"checkpoints-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Add Questions</div>\n  </div>\n  <div class=\"checkpoints-body\">\n    <div class=\"checkpoints-body-inner vx-mb-4\">\n      <div class=\"checkpoints-body-inside\">\n        <!-- <app-checkpoints-list></app-checkpoints-list> -->\n        <app-checkpoints-policy-questions\n          [(requiredPoint)]=\"requiredPoint\"\n          (changeMax)=\"requiredPoint = $event\"\n          #checkpoint\n          [checkpointDetails]=\"checkpointData\"\n          (saveValidQuestions)=\"saveQuestions($event)\"\n        ></app-checkpoints-policy-questions>\n      </div>\n    </div>\n\n    <div class=\"checkpoints-footer\">\n      <app-checkpoint-floating-bar\n        [isPolicyCheckpoint]=\"true\"\n        (closeList)=\"closeCheckPoint.emit()\"\n        [pluralText]=\"'Questions selected'\"\n        [singularText]=\"'Question selected'\"\n        (saveList)=\"next()\"\n        [(requiredPoint)]=\"requiredPoint\"\n        [count]=\"checkpointData?.length\"\n      ></app-checkpoint-floating-bar>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.checkpoints{background:#fff;position:fixed;inset:0 500px 0 0}.checkpoints:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}.checkpoints.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}.checkpoints-head{background:#fbfbfb;height:2.75rem;border:1px solid #f1f1f1;border-right:none}.checkpoints-body{padding:60px 156px;padding:2rem;height:calc(100vh - 2.75rem)}.checkpoints-body-inner{height:calc(100vh - 10.875rem);overflow:hidden;overflow-y:auto}.checkpoints-body-inner::-webkit-scrollbar-track{background-color:transparent;position:absolute}.checkpoints-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}.checkpoints-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}.checkpoints-body-inside{width:40rem;margin:0 auto}.checkpoints-footer{display:block}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "component", type: CheckpointsPolicyQuestionsComponent, selector: "app-checkpoints-policy-questions", inputs: ["requiredPoint", "checkpointDetails"], outputs: ["changeMax", "requiredPointChange", "saveValidQuestions"] }, { kind: "component", type: CheckpointFloatingBarComponent, selector: "app-checkpoint-floating-bar", inputs: ["count", "pluralText", "singularText", "requiredPoint", "isPolicyCheckpoint"], outputs: ["closeList", "saveList", "requiredPointChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsPolicyContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkpoints-policy-container', template: "<!-- <p>checkpoints works!</p> -->\n<div class=\"checkpoints\" [class.animate]=\"animation\">\n  <div\n    class=\"checkpoints-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Add Questions</div>\n  </div>\n  <div class=\"checkpoints-body\">\n    <div class=\"checkpoints-body-inner vx-mb-4\">\n      <div class=\"checkpoints-body-inside\">\n        <!-- <app-checkpoints-list></app-checkpoints-list> -->\n        <app-checkpoints-policy-questions\n          [(requiredPoint)]=\"requiredPoint\"\n          (changeMax)=\"requiredPoint = $event\"\n          #checkpoint\n          [checkpointDetails]=\"checkpointData\"\n          (saveValidQuestions)=\"saveQuestions($event)\"\n        ></app-checkpoints-policy-questions>\n      </div>\n    </div>\n\n    <div class=\"checkpoints-footer\">\n      <app-checkpoint-floating-bar\n        [isPolicyCheckpoint]=\"true\"\n        (closeList)=\"closeCheckPoint.emit()\"\n        [pluralText]=\"'Questions selected'\"\n        [singularText]=\"'Question selected'\"\n        (saveList)=\"next()\"\n        [(requiredPoint)]=\"requiredPoint\"\n        [count]=\"checkpointData?.length\"\n      ></app-checkpoint-floating-bar>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.checkpoints{background:#fff;position:fixed;inset:0 500px 0 0}.checkpoints:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}.checkpoints.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}.checkpoints-head{background:#fbfbfb;height:2.75rem;border:1px solid #f1f1f1;border-right:none}.checkpoints-body{padding:60px 156px;padding:2rem;height:calc(100vh - 2.75rem)}.checkpoints-body-inner{height:calc(100vh - 10.875rem);overflow:hidden;overflow-y:auto}.checkpoints-body-inner::-webkit-scrollbar-track{background-color:transparent;position:absolute}.checkpoints-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}.checkpoints-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}.checkpoints-body-inside{width:40rem;margin:0 auto}.checkpoints-footer{display:block}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }]; }, propDecorators: { closeCheckPoint: [{
                type: Output
            }], saveCheckPoint: [{
                type: Output
            }], CheckpointsPolicyQuestionsComponent: [{
                type: ViewChild,
                args: ['checkpoint', { static: false }]
            }], requiredPoint: [{
                type: Input
            }], checkpointData: [{
                type: Input
            }] } });

const WORD_CONSTANTS = {
    MS_WORD_OPTION: 'Create a Policy using MS Word',
    createWordPolicy_snackbar_message: "Oops! Something went wrong and we were unable to complete this action. Let's give it another try, shall we?",
};
const WORD_PAYLOAD = {
    module_name: 'POLICY',
    increment: 'MAJOR',
    action: 'CREATED',
    ms_word_type: 1,
    docx_file_path: '',
    url: {
        edit: '',
        preview: '',
    },
};
const WORD_URL_CONSTANTS = {
    new_word_policy_url: 'https://word.new',
    createVersion: 'createVersion',
    workroom_url: '/all/policy/workroom?id=',
};

class PolicyAPIService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.config = config;
        this.env = config?.envConfig;
    }
    payloadBuilder_wordPolicy(policyId) {
        const tokenDetails = this.authService.getUserDetails();
        const memberId = tokenDetails.user.id;
        return {
            member_id: memberId,
            document_id: policyId,
            ...WORD_PAYLOAD,
        };
    }
    createWordPolicy(policyId) {
        const payload = this.payloadBuilder_wordPolicy(policyId);
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.createVersion + WORD_URL_CONSTANTS.createVersion, payload, { headers });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyAPIService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyAPIService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyAPIService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations }]; } });

class DocumentSectionComponent {
    constructor(snackBar, policyService, policyAPIService, router, route, platformLocation, iframeService) {
        this.snackBar = snackBar;
        this.policyService = policyService;
        this.policyAPIService = policyAPIService;
        this.router = router;
        this.route = route;
        this.iframeService = iframeService;
        this.filename = '';
        this.fileType = '';
        this.pdf = false;
        this.draft = false;
        this.doc = false;
        this.isUploading = false;
        this.isLoader = false;
        this.ff_policy_ms_word_integration = false;
        this.createWordPolicyText = WORD_CONSTANTS.MS_WORD_OPTION;
        this.selectedDocumentType = '';
        this.templateView = false;
        this.policyId = '';
        this.policyName = '';
        this.organization_id = '';
        this.templateUrl = '';
        this.isTemplateOpened = false;
        this.disconnectRefresh = new EventEmitter();
        this.editPolicy = new EventEmitter();
        this.openTemplate = new EventEmitter();
        this.baseURL = '';
        this.docxError = {
            visible: false,
            message: '',
        };
        this.showPdfBlock = true;
        this.showDocxBlock = true;
        this.baseURL = location?.origin;
        if (this.baseURL == 'http://localhost:4200') {
            this.baseURL = 'https://dev.v-comply.com';
        }
    }
    ngOnChanges(changes) {
        if (changes?.templateView?.currentValue === false) {
            this.selectedDocumentType = '';
        }
    }
    ngOnInit() {
        this.initialiseFeatureFlags();
        const data = JSON.parse(localStorage.getItem('lastFileNameAndType') ?? '"{}"');
        if (data.name !== null &&
            data.name !== undefined &&
            data.type !== null &&
            data.type !== undefined &&
            data.policyId == this.policyId) {
            this.selectedDocumentType = data.type;
            this.filename = data.name;
            localStorage.removeItem('lastFileNameAndType');
        }
    }
    initialiseFeatureFlags() {
        this.ff_policy_ms_word_integration = this.feature.isFeatureEnabled('ff_policy_ms_word_integration');
    }
    redirectUserToWordPolicy() {
        window.open(WORD_URL_CONSTANTS.new_word_policy_url, '_blank');
        window.location.href = this.baseURL + WORD_URL_CONSTANTS.workroom_url + this.policyId;
    }
    createWordPolicy() {
        this.isLoader = true;
        this.policyAPIService.createWordPolicy(this.policyId).subscribe((res) => {
            if (res) {
                this.redirectUserToWordPolicy();
            }
            this.isLoader = false;
        }, (err) => {
            this.isLoader = false;
            this.snackBar.show(WORD_CONSTANTS.createWordPolicy_snackbar_message, 'alert');
        });
    }
    handleFileInput(files) {
        this.fileToUpload = files[0];
        this.filename = this.fileToUpload.name;
        this.fileType = this.fileToUpload.name
            .slice(this.fileToUpload.name.lastIndexOf('.') + 1, this.fileToUpload.name.length)
            .toLowerCase();
        if (this.fileType === 'pdf') {
            this.uploadFile({ file: this.fileToUpload, fileType: this.fileType });
        }
        else if (this.fileType === 'docx') {
            this.uploadFile({ file: this.fileToUpload, fileType: this.fileType });
        }
        else {
            this.snackBar.show('Please upload a valid file', 'alert');
        }
    }
    uploadFile(event) {
        this.isUploading = true;
        if (event.fileType === 'docx') {
            this.changeDocType('docx');
            this.uploadDocxfile(event);
        }
        else if (event.fileType === 'pdf') {
            this.changeDocType('pdf');
            this.showPdfBlock = false;
            setTimeout(() => {
                this.showPdfBlock = true;
            }, 10);
            const uploadData = new FormData();
            uploadData.append('file', event.file);
            const path = 'o/' + this.organization_id + '/policy/';
            this.policyService.uploadFile(uploadData, this.policyId, path).subscribe((res) => {
                if (res) {
                    this.isUploading = false;
                }
            }, (err) => {
                this.isUploading = false;
                this.snackBar.show("Oops! Something went wrong and we were unable to complete this action. Let's give it another try, shall we?", 'alert');
            });
        }
    }
    uploadDocxfile(event) {
        this.resetDocsError();
        this.showDocxBlock = false;
        setTimeout(() => {
            this.showDocxBlock = true;
        }, 10);
        const uploadData = new FormData();
        uploadData.append('file', event.file);
        const path = 'o/' + this.organization_id + '/policy/';
        this.policyService
            .uploadDocxFile(uploadData, this.policyId, path)
            .subscribe((res) => {
            if (res) {
                this.isUploading = false;
                if (res?.message?.includes('done')) {
                    this.resetDocsError();
                }
                else {
                    if (res.message?.includes('RangeError')) {
                        this.docxError = {
                            visible: true,
                            message: 'The file size is too large and cannot be uploaded.',
                        };
                    }
                    else {
                        this.docxError = {
                            visible: true,
                            message: 'Oops! An error occurred while uploading this file.',
                        };
                    }
                }
            }
        }, (err) => {
            this.isUploading = false;
            this.snackBar.show("Oops! Something went wrong and we were unable to complete this action. Let's give it another try, shall we?", 'alert');
        });
    }
    resetDocsError() {
        this.docxError = {
            visible: false,
            message: '',
        };
    }
    changeDocType(event) {
        this.resetDocsError();
        this.selectedDocumentType = event;
        if (event === 'template') {
            this.openTemplateList();
        }
    }
    editor(event) {
        this.disconnectRefresh.emit(false);
        if (event === 'draft') {
            // If it is a draft go directly to the editor
            const uname = this.userInfo ? this.userInfo.name : '';
            const uid = this.member_obj_id;
            const name = this.policyName.trim();
            const id = this.policyId;
            this.isLoader = true;
            this.policyService
                .savePolicyDetails(uname, uid, id, name, '', 0)
                .subscribe((res) => {
                if (res) {
                    this.isLoader = false;
                    const url = this.baseURL + '/all/policy/edit-policy?id=' + this.policyId;
                    this.iframeService.redirectIfInIframe(url, true);
                }
            }, (err) => {
                this.isLoader = false;
                this.snackBar.show("Oops! Something went wrong and we were unable to complete this action. Let's give it another try, shall we?", 'alert');
            });
        }
        else if (event === 'docx') {
            const url = this.baseURL + '/all/policy/edit-policy?id=' + this.policyId;
            this.iframeService.redirectIfInIframe(url, true);
        }
        else if (event === 'word') {
            this.createWordPolicy();
        }
        else if (event === 'pdf') {
            // If it is a pdf send to the workroom
            const url = this.baseURL + '/all/policy/workroom?id=' + this.policyId;
            this.iframeService.redirectIfInIframe(url, true);
        }
        else if (event === 'template') {
            this.iframeService.redirectIfInIframe(this.templateUrl, true);
        }
        localStorage.setItem('_dId', this.policyId);
    }
    editPolicyEmit() {
        this.selectedDocumentType = '';
        localStorage.setItem('lastFileNameAndType', JSON.stringify({
            type: this.selectedDocumentType,
            name: this.filename,
            policyId: this.policyId,
        }));
        this.editPolicy.emit();
    }
    openTemplateList() {
        this.openTemplate.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DocumentSectionComponent, deps: [{ token: SnackBarService }, { token: PolicyService }, { token: PolicyAPIService }, { token: i3.Router }, { token: i3.ActivatedRoute }, { token: i1$1.PlatformLocation }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DocumentSectionComponent, selector: "lib-document-section", inputs: { selectedDocumentType: "selectedDocumentType", feature: "feature", templateView: "templateView", policyId: "policyId", policyName: "policyName", organization_id: "organization_id", member_obj_id: "member_obj_id", userInfo: "userInfo", templateUrl: "templateUrl", isTemplateOpened: "isTemplateOpened" }, outputs: { disconnectRefresh: "disconnectRefresh", editPolicy: "editPolicy", openTemplate: "openTemplate" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"document-section\" [class.grayscale]=\"isTemplateOpened\">\n  <div class=\"document-section-inner\">\n    <div class=\"message-box\">\n      <svg\n        version=\"1.1\"\n        id=\"Capa_1\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        xmlns:xlink=\"http://www.w3.org/1999/xlink\"\n        x=\"0px\"\n        y=\"0px\"\n        viewBox=\"0 0 480.8 480.8\"\n        style=\"enable-background: new 0 0 480.8 480.8\"\n        xml:space=\"preserve\"\n      >\n        <path\n          style=\"fill: #ffd517\"\n          d=\"M317.112,314.4c-22.4,22.4-19.6,67.6-19.6,67.6h-113.6c0,0,2.4-45.2-19.6-67.6\n                                        c-24.4-21.6-40-52.8-40-87.6c0-64,52-116,116-116s116,52,116,116C356.312,261.6,341.112,292.8,317.112,314.4L317.112,314.4z\"\n        />\n        <g>\n          <path\n            style=\"fill: #e5e5e5\"\n            d=\"M300.712,417.6c0,6-4.8,10.8-10.8,10.8h-98.8c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h98.4C295.512,406.8,300.712,411.6,300.712,417.6L300.712,417.6z\"\n          />\n          <path\n            style=\"fill: #e5e5e5\"\n            d=\"M285.912,462.4c0,6-4.8,10.8-10.8,10.8h-69.2c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h69.2C281.112,451.6,285.912,456.4,285.912,462.4L285.912,462.4z\"\n          />\n        </g>\n        <g>\n          <path\n            style=\"fill: #210b20\"\n            d=\"M323.112,318.4c26-23.6,40.8-56.8,40.8-91.6c0-68-55.6-123.6-123.6-123.6s-123.6,55.6-123.6,123.6\n                                            c0,35.6,15.6,69.6,42,92.8c19.6,19.6,17.6,61.2,17.6,61.6c0,2,0.8,4,2,5.6c1.6,1.6,3.6,2.4,5.6,2.4h113.2c2,0,4-0.8,5.6-2.4\n                                            s2-3.6,2-5.6c0-0.4-2-42,17.6-61.6C322.712,319.2,323.112,318.8,323.112,318.4z M311.912,308.4c-0.8,0.4-1.2,1.2-1.6,2\n                                            c-17.6,18.8-20.4,49.6-20.8,64h-98c-0.4-14.8-3.6-46.8-22.4-65.6c-23.6-20.8-37.2-50.4-37.2-81.6c0-60,48.8-108.4,108.4-108.4\n                                            c60,0,108.4,48.8,108.4,108.4C348.712,258,335.512,288,311.912,308.4z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M240.312,135.2c-4,0-7.6,3.2-7.6,7.6c0,4,3.2,7.6,7.6,7.6c44.8,0,81.2,36.4,81.2,81.2\n                                            c0,4,3.2,7.6,7.6,7.6c4,0,7.6-3.2,7.6-7.6C336.712,178.4,293.512,135.2,240.312,135.2z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M308.312,417.6c0-10.4-8.4-18.4-18.4-18.4h-98.8c-10.4,0-18.4,8.4-18.4,18.4\n                                            c0,10.4,8.4,18.4,18.4,18.4h98.4C299.912,436,308.312,428,308.312,417.6z M289.512,420.8h-98.4c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h98.4c2,0,3.2,1.6,3.2,3.2C293.112,419.6,291.512,420.8,289.512,420.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M275.112,444h-69.2c-10.4,0-18.4,8.4-18.4,18.4c0,10.4,8.4,18.4,18.4,18.4h69.2\n                                            c10.4,0,18.4-8.4,18.4-18.4C293.512,452.4,285.112,444,275.112,444z M275.112,465.6h-69.2c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h69.2c2,0,3.2,1.6,3.2,3.2C278.312,464.4,277.112,465.6,275.112,465.6z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M247.912,58.8V7.6c0-4-3.2-7.6-7.6-7.6c-4,0-7.6,3.2-7.6,7.6v51.6c0,4,3.2,7.6,7.6,7.6\n                                            C244.712,66.4,247.912,63.2,247.912,58.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M366.312,38c-3.6-2.4-8-1.2-10.4,2l-28.4,42.8c-2.4,3.6-1.2,8,2,10.4c1.2,0.8,2.8,1.2,4,1.2\n                                            c2.4,0,4.8-1.2,6.4-3.2l28.4-42.8C370.712,45.2,369.512,40.4,366.312,38z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M149.912,92.8c1.2,0,2.8-0.4,4-1.2c3.6-2.4,4.4-6.8,2.4-10.4l-27.6-43.2c-2.4-3.6-6.8-4.4-10.4-2.4\n                                            c-3.6,2.4-4.4,6.8-2.4,10.4l27.6,43.2C145.112,91.6,147.512,92.8,149.912,92.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M43.912,128.8l45.2,24.4c1.2,0.8,2.4,0.8,3.6,0.8c2.8,0,5.2-1.6,6.8-4c2-3.6,0.8-8.4-3.2-10.4\n                                            l-45.2-24.4c-3.6-2-8.4-0.8-10.4,3.2C39.112,122.4,40.312,126.8,43.912,128.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M387.912,154.4c1.2,0,2.4-0.4,3.6-0.8l45.2-24.4c3.6-2,5.2-6.4,3.2-10.4c-2-3.6-6.4-5.2-10.4-3.2\n                                            l-45.2,24.4c-3.6,2-5.2,6.4-3.2,10.4C382.312,152.8,385.112,154.4,387.912,154.4z\"\n          />\n        </g>\n      </svg>\n      <p>\n        There are multiple ways to create a policy on VComply. You can either\n        draft it from scratch using VComply's online editor or upload an\n        existing DOCX or PDF file.\n      </p>\n    </div>\n    <label\n      class=\"document-box\"\n      [class.active]=\"selectedDocumentType == 'draft'\"\n    >\n      <input\n        type=\"radio\"\n        name=\"selectedDocumentType\"\n        (change)=\"changeDocType('draft')\"\n        [checked]=\"selectedDocumentType === 'draft'\"\n      />\n      <svg id=\"Draft\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20402\" data-name=\"Path 20402\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#565a6f\"/>\n        <path id=\"Path_20403\" data-name=\"Path 20403\" d=\"M21.884,8.51,10.549,10.384,12.426,21.06l4.38-.61a.333.333,0,0,1,.326.435c-.051.219-.338.235-.514.267-1.474.266-3.009.388-4.491.631-.416-.032-.321-.718-.441-1l-3-.365c-.213-.12-.2-.273-.2-.492.019-.622.092-1.251.125-1.872.16-3,.316-6,.5-8.993A9.457,9.457,0,0,1,9.152,8.1a.369.369,0,0,1,.265-.3l8.519.681L22.2,7.8c.225.068.246.19.3.393.553,2.288.758,4.775,1.285,7.083.143.531-.507.731-.642.2ZM17.211,21.932a.563.563,0,0,0-.072.24,8.549,8.549,0,0,0,0,1.187c.019.217.088.393.328.421a9.138,9.138,0,0,0,1.448-.021.53.53,0,0,0,.122-.065l3.756-3.771L21,18.13Zm5.329-5.35c-.365.286-.7.757-1.061,1.062L23.3,19.437c.3-.35.777-.687,1.05-1.044.15-.2.174-.312.017-.516a13.851,13.851,0,0,0-1.327-1.327.393.393,0,0,0-.23-.1.476.476,0,0,0-.271.13\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\"><strong>Create</strong> a Policy</div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea46;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n    </label>\n\n    \n    <label\n      *ngIf=\"ff_policy_ms_word_integration\"\n      class=\"document-box\"\n      [class.active]=\"selectedDocumentType == 'word'\"\n    >\n      <input\n        type=\"radio\"\n        name=\"selectedDocumentType\"\n        (change)=\"changeDocType('word')\"\n        [checked]=\"selectedDocumentType === 'word'\"\n      />\n      <svg id=\"Word-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20404\" data-name=\"Path 20404\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#1e5dd3\"/>\n        <path id=\"Path_20405\" data-name=\"Path 20405\" d=\"M10.419,9.718l1.889,9.121L12.44,20l.132-.885,2.152-9.4,2.626.018,2.187,9.106.174,1.132a13.4,13.4,0,0,1,.174-1.352c.5-2.954,1.188-5.88,1.7-8.832l.04-.07H24L21.085,22.281l-2.818-.026L15.931,12.22l-.16,1.077-2.015,8.986-2.829-.028L8,9.718Z\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">{{createWordPolicyText}}</div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea46;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n    </label>\n\n\n\n    <label\n      class=\"document-box\"\n      *ngIf=\"showDocxBlock\"\n      [class.active]=\"selectedDocumentType == 'docx' && !docxError?.visible\"\n      [class.error]=\"docxError?.visible\"\n    >\n      <input\n        type=\"file\"\n        accept=\".docx\"\n        id=\"DOCfile\"\n        (change)=\"handleFileInput($event.target.files)\"\n        onclick=\"event.stopPropagation();\"\n        #docxUploadButton\n      />\n      <svg id=\"Word-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20404\" data-name=\"Path 20404\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#1e5dd3\"/>\n        <path id=\"Path_20405\" data-name=\"Path 20405\" d=\"M10.419,9.718l1.889,9.121L12.44,20l.132-.885,2.152-9.4,2.626.018,2.187,9.106.174,1.132a13.4,13.4,0,0,1,.174-1.352c.5-2.954,1.188-5.88,1.7-8.832l.04-.07H24L21.085,22.281l-2.818-.026L15.931,12.22l-.16,1.077-2.015,8.986-2.829-.028L8,9.718Z\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">\n          <ng-container *ngIf=\"!(selectedDocumentType == 'docx' && filename)\"\n            >Upload a <strong>DOCX</strong></ng-container\n          >\n          <ng-container *ngIf=\"selectedDocumentType == 'docx' && filename\">{{\n            filename\n          }}</ng-container>\n        </div>\n        <div class=\"error-msg-text\" *ngIf=\"docxError?.visible\">\n          {{ docxError?.message }}\n        </div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea97;</i>\n        <div class=\"check-circle\" *ngIf=\"!docxError?.visible\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n        <i class=\"icons error-icon\" *ngIf=\"docxError?.visible\">&#xe914;</i>\n      </div>\n      <div\n        class=\"line-progress\"\n        *ngIf=\"selectedDocumentType == 'docx' && isUploading\"\n      >\n        <div class=\"line-progress-bar\"></div>\n      </div>\n    </label>\n    <label\n      class=\"document-box\"\n      *ngIf=\"showPdfBlock\"\n      [class.active]=\"selectedDocumentType == 'pdf'\"\n    >\n      <input\n        type=\"file\"\n        accept=\".pdf\"\n        id=\"PDFfile\"\n        (change)=\"handleFileInput($event.target.files)\"\n        onclick=\"event.stopPropagation();\"\n        #pdfUploadButton\n      />\n      <svg id=\"PDF-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20408\" data-name=\"Path 20408\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#a82a1d\"/>\n        <path id=\"Path_20409\" data-name=\"Path 20409\" d=\"M16.125,13.778A1.39,1.39,0,0,0,16.285,15a16.106,16.106,0,0,0,2.106,2.554c.312-.045.6-.047,1.2-.092a6.964,6.964,0,0,1,3.616.239,1.31,1.31,0,0,1,.784,1.361,1.176,1.176,0,0,1-1.075.981c-2.224.336-3.305-.9-4.579-1.746a2.094,2.094,0,0,0-.812.021,25.782,25.782,0,0,0-3.412.916c-.253.089-.338.3-.533.609a11.062,11.062,0,0,1-2.82,3.427,2.145,2.145,0,0,1-1.861.445c-1-.222-1.178-1.182-.5-1.942A9.452,9.452,0,0,1,10,20.462a14.714,14.714,0,0,1,2.418-1.109c.491-.461.556-.686.966-1.764.431-1.136.922-2.25,1.324-3.4a1.679,1.679,0,0,0-.035-1.062,7.7,7.7,0,0,1-.638-3.476,1.4,1.4,0,0,1,.959-1.393,1.279,1.279,0,0,1,1.464.8c.2.479.552,1.75-.331,4.728m-.377,1.377-1.418,3.422,3.353-.883-1.935-2.539m3.222,2.882A4.5,4.5,0,0,0,21.92,19.37c.377,0,.714-.131.733-.6.051-1.251-2.656-.864-3.682-.73m-6.96,2.037a9.788,9.788,0,0,0-2.975,1.8c-.218.171-.446.718-.282.984s.81.067,1-.12a9.29,9.29,0,0,0,2.253-2.664m3.246-7.243c-.045-.878.461-2.172.437-3.224-.008-.355-.051-.747-.5-.772-.364-.02-.534.476-.569.762a5.8,5.8,0,0,0,.636,3.234\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">\n          <ng-container *ngIf=\"!(selectedDocumentType == 'pdf' && filename)\"\n            >Upload a <strong>PDF</strong></ng-container\n          >\n          <ng-container *ngIf=\"selectedDocumentType == 'pdf' && filename\">{{\n            filename\n          }}</ng-container>\n        </div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea97;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n      <div\n        class=\"line-progress\"\n        *ngIf=\"selectedDocumentType == 'pdf' && isUploading\"\n      >\n        <div class=\"line-progress-bar\"></div>\n      </div>\n    </label>\n    <!-- Select a template -->\n    <label\n      class=\"document-box\"\n      [class.active]=\"selectedDocumentType === 'template'\"\n    >\n      <input\n        type=\"radio\"\n        name=\"selectedDocumentType\"\n        (change)=\"changeDocType('template')\"\n        [checked]=\"selectedDocumentType === 'template'\"\n      />\n      <svg id=\"TMP-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20406\" data-name=\"Path 20406\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#34aa44\"/>\n        <path id=\"Path_20410\" data-name=\"Path 20410\" d=\"M16,1.778V3.555H0V1.778A1.783,1.783,0,0,1,1.778,0H14.223A1.783,1.783,0,0,1,16,1.778M0,4.444H16v8.889a1.778,1.778,0,0,1-1.777,1.778H1.778A1.778,1.778,0,0,1,0,13.333ZM6.99,9.928A.891.891,0,0,0,6.1,9.039H3.642a.891.891,0,0,0-.888.889v2.456a.891.891,0,0,0,.888.889H6.1a.891.891,0,0,0,.888-.889Zm6.306,0a.892.892,0,0,0-.889-.889H9.948a.891.891,0,0,0-.888.889v2.456a.891.891,0,0,0,.888.889h2.459a.892.892,0,0,0,.889-.889ZM2.667,7.111A.889.889,0,0,0,3.556,8h8.889a.889.889,0,0,0,0-1.778H3.556a.889.889,0,0,0-.889.889\" transform=\"translate(8 7.999)\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">Draft Using a <strong>Template</strong></div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea46;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n    </label>\n    <!-- End Select a template -->\n    <app-loader-inline *ngIf=\"isLoader\"></app-loader-inline>\n  </div>\n</div>\n<div class=\"bottom-button\" [class.grayscale]=\"isTemplateOpened\">\n  <button\n    type=\"button\"\n    (click)=\"editPolicyEmit()\"\n    class=\"back\"\n    [class.disabled]=\"isTemplateOpened\"\n  >\n    <i class=\"icons\">&#xe91d;</i> Back\n  </button>\n  <button\n    type=\"button\"\n    (click)=\"editor(selectedDocumentType)\"\n    class=\"next\"\n    [class.disabled]=\"!selectedDocumentType || isTemplateOpened || isLoader\"\n  >\n    Next <i class=\"icons\">&#xe91e;</i>\n  </button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .document-section{display:flex;align-items:center;height:calc(100vh - 50px);position:absolute;top:0;right:0;background:#fff;z-index:10;padding:50px;width:100%;overflow:hidden;overflow-y:scroll}@media screen and (max-width: 1365px){::ng-deep .document-section{align-items:unset}}::ng-deep .document-section.grayscale{filter:grayscale(1)!important;pointer-events:none!important}::ng-deep .document-section-inner .message-box{background:#fbfbfb;border-radius:4px;border:1px solid #f1f1f1;padding:16px 8px 12px 16px;margin-bottom:20px;display:flex;align-items:flex-start}::ng-deep .document-section-inner .message-box svg{background:#fff;width:33px;min-width:33px;border-radius:4px;box-shadow:0 3px 6px #1e5dd333;margin-right:12px;padding:4px}::ng-deep .document-section-inner .message-box p{font-size:12px;font-weight:500;color:#787a8c;margin:0}::ng-deep .document-section-inner .document-box{position:relative;cursor:pointer;display:flex;align-items:center;justify-content:space-between;border:1px solid #CDCED6;border-radius:8px;width:100%;background:transparent;height:64px;padding:0 16px;margin-bottom:8px}::ng-deep .document-section-inner .document-box.error{border:1px solid #dbdbdb}::ng-deep .document-section-inner .document-box input{width:100%;position:absolute;inset:0;margin:0;padding:0;z-index:1;opacity:0;height:100%;pointer-events:none}::ng-deep .document-section-inner .document-box svg.doc-svg{width:82px}::ng-deep .document-section-inner .document-box .label-right{width:calc(100% - 64px);display:flex;align-items:center;justify-content:center;position:relative}::ng-deep .document-section-inner .document-box .label-right .value{font-size:16px;font-weight:500;line-height:24px;color:#000;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word;width:270px;margin-right:25px}::ng-deep .document-section-inner .document-box .label-right .value strong{font-weight:500}::ng-deep .document-section-inner .document-box .label-right .error-msg-text{color:#d93b41;font-size:10px;position:absolute;top:24px;left:0;right:0;width:250px}::ng-deep .document-section-inner .document-box .label-right .check-circle{display:none;width:16px;height:16px;position:absolute;right:8px;top:2px}::ng-deep .document-section-inner .document-box .label-right .check-circle .checkIcon{width:16px;height:16px;background:#ddf4e0;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-right:10px;position:static}::ng-deep .document-section-inner .document-box .label-right .check-circle .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .document-section-inner .document-box .label-right .check-circle .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .document-section-inner .document-box .label-right .error-icon{color:#d93b41;font-size:16px;position:relative;top:0;right:8px}::ng-deep .document-section-inner .document-box.active{background:#ddf4e0;border:1px solid #B7E2BD}::ng-deep .document-section-inner .document-box.active .document-box-icon{display:none}::ng-deep .document-section-inner .document-box.active .label-right .check-circle{display:block}::ng-deep .document-section-inner .document-box.error{background:#ffeaea;border:1px solid #d93b41}::ng-deep .document-section-inner .document-box-icon{color:#565a6f}.bottom-button{background:#fff;display:flex;align-items:center;position:absolute;bottom:0;right:0;width:100%;z-index:10}.bottom-button button{background:#1e5dd3;border:none;border-radius:0;color:#fff;font-size:13px;font-weight:600;text-transform:uppercase;width:100%;padding:0;position:relative;margin:0!important;height:50px;display:flex;align-items:center;justify-content:center;line-height:19px;letter-spacing:3.08px;outline:none}.bottom-button button i{position:absolute;top:16px;font-size:18px;font-weight:500}.bottom-button button.next i{right:16px}.bottom-button button.disabled{pointer-events:none!important;opacity:.3!important;filter:grayscale(1)!important}.bottom-button button.back{background:#f1f1f1;color:#1e5dd3}.bottom-button button.back i{left:16px}.line-progress{position:absolute;left:0;top:0;height:2px;display:block;width:100%;background-color:#d4e2fc;background-clip:padding-box;overflow:hidden}.line-progress-bar{bottom:0;width:40%;background:#34aa44;border-radius:5px;display:inline-block;position:absolute;animation:linear infinite;animation-name:run;animation-duration:1s;top:0}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes run{0%{left:0}50%{left:60%}to{left:0}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DocumentSectionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-document-section', template: "<div class=\"document-section\" [class.grayscale]=\"isTemplateOpened\">\n  <div class=\"document-section-inner\">\n    <div class=\"message-box\">\n      <svg\n        version=\"1.1\"\n        id=\"Capa_1\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        xmlns:xlink=\"http://www.w3.org/1999/xlink\"\n        x=\"0px\"\n        y=\"0px\"\n        viewBox=\"0 0 480.8 480.8\"\n        style=\"enable-background: new 0 0 480.8 480.8\"\n        xml:space=\"preserve\"\n      >\n        <path\n          style=\"fill: #ffd517\"\n          d=\"M317.112,314.4c-22.4,22.4-19.6,67.6-19.6,67.6h-113.6c0,0,2.4-45.2-19.6-67.6\n                                        c-24.4-21.6-40-52.8-40-87.6c0-64,52-116,116-116s116,52,116,116C356.312,261.6,341.112,292.8,317.112,314.4L317.112,314.4z\"\n        />\n        <g>\n          <path\n            style=\"fill: #e5e5e5\"\n            d=\"M300.712,417.6c0,6-4.8,10.8-10.8,10.8h-98.8c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h98.4C295.512,406.8,300.712,411.6,300.712,417.6L300.712,417.6z\"\n          />\n          <path\n            style=\"fill: #e5e5e5\"\n            d=\"M285.912,462.4c0,6-4.8,10.8-10.8,10.8h-69.2c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h69.2C281.112,451.6,285.912,456.4,285.912,462.4L285.912,462.4z\"\n          />\n        </g>\n        <g>\n          <path\n            style=\"fill: #210b20\"\n            d=\"M323.112,318.4c26-23.6,40.8-56.8,40.8-91.6c0-68-55.6-123.6-123.6-123.6s-123.6,55.6-123.6,123.6\n                                            c0,35.6,15.6,69.6,42,92.8c19.6,19.6,17.6,61.2,17.6,61.6c0,2,0.8,4,2,5.6c1.6,1.6,3.6,2.4,5.6,2.4h113.2c2,0,4-0.8,5.6-2.4\n                                            s2-3.6,2-5.6c0-0.4-2-42,17.6-61.6C322.712,319.2,323.112,318.8,323.112,318.4z M311.912,308.4c-0.8,0.4-1.2,1.2-1.6,2\n                                            c-17.6,18.8-20.4,49.6-20.8,64h-98c-0.4-14.8-3.6-46.8-22.4-65.6c-23.6-20.8-37.2-50.4-37.2-81.6c0-60,48.8-108.4,108.4-108.4\n                                            c60,0,108.4,48.8,108.4,108.4C348.712,258,335.512,288,311.912,308.4z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M240.312,135.2c-4,0-7.6,3.2-7.6,7.6c0,4,3.2,7.6,7.6,7.6c44.8,0,81.2,36.4,81.2,81.2\n                                            c0,4,3.2,7.6,7.6,7.6c4,0,7.6-3.2,7.6-7.6C336.712,178.4,293.512,135.2,240.312,135.2z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M308.312,417.6c0-10.4-8.4-18.4-18.4-18.4h-98.8c-10.4,0-18.4,8.4-18.4,18.4\n                                            c0,10.4,8.4,18.4,18.4,18.4h98.4C299.912,436,308.312,428,308.312,417.6z M289.512,420.8h-98.4c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h98.4c2,0,3.2,1.6,3.2,3.2C293.112,419.6,291.512,420.8,289.512,420.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M275.112,444h-69.2c-10.4,0-18.4,8.4-18.4,18.4c0,10.4,8.4,18.4,18.4,18.4h69.2\n                                            c10.4,0,18.4-8.4,18.4-18.4C293.512,452.4,285.112,444,275.112,444z M275.112,465.6h-69.2c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h69.2c2,0,3.2,1.6,3.2,3.2C278.312,464.4,277.112,465.6,275.112,465.6z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M247.912,58.8V7.6c0-4-3.2-7.6-7.6-7.6c-4,0-7.6,3.2-7.6,7.6v51.6c0,4,3.2,7.6,7.6,7.6\n                                            C244.712,66.4,247.912,63.2,247.912,58.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M366.312,38c-3.6-2.4-8-1.2-10.4,2l-28.4,42.8c-2.4,3.6-1.2,8,2,10.4c1.2,0.8,2.8,1.2,4,1.2\n                                            c2.4,0,4.8-1.2,6.4-3.2l28.4-42.8C370.712,45.2,369.512,40.4,366.312,38z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M149.912,92.8c1.2,0,2.8-0.4,4-1.2c3.6-2.4,4.4-6.8,2.4-10.4l-27.6-43.2c-2.4-3.6-6.8-4.4-10.4-2.4\n                                            c-3.6,2.4-4.4,6.8-2.4,10.4l27.6,43.2C145.112,91.6,147.512,92.8,149.912,92.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M43.912,128.8l45.2,24.4c1.2,0.8,2.4,0.8,3.6,0.8c2.8,0,5.2-1.6,6.8-4c2-3.6,0.8-8.4-3.2-10.4\n                                            l-45.2-24.4c-3.6-2-8.4-0.8-10.4,3.2C39.112,122.4,40.312,126.8,43.912,128.8z\"\n          />\n          <path\n            style=\"fill: #210b20\"\n            d=\"M387.912,154.4c1.2,0,2.4-0.4,3.6-0.8l45.2-24.4c3.6-2,5.2-6.4,3.2-10.4c-2-3.6-6.4-5.2-10.4-3.2\n                                            l-45.2,24.4c-3.6,2-5.2,6.4-3.2,10.4C382.312,152.8,385.112,154.4,387.912,154.4z\"\n          />\n        </g>\n      </svg>\n      <p>\n        There are multiple ways to create a policy on VComply. You can either\n        draft it from scratch using VComply's online editor or upload an\n        existing DOCX or PDF file.\n      </p>\n    </div>\n    <label\n      class=\"document-box\"\n      [class.active]=\"selectedDocumentType == 'draft'\"\n    >\n      <input\n        type=\"radio\"\n        name=\"selectedDocumentType\"\n        (change)=\"changeDocType('draft')\"\n        [checked]=\"selectedDocumentType === 'draft'\"\n      />\n      <svg id=\"Draft\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20402\" data-name=\"Path 20402\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#565a6f\"/>\n        <path id=\"Path_20403\" data-name=\"Path 20403\" d=\"M21.884,8.51,10.549,10.384,12.426,21.06l4.38-.61a.333.333,0,0,1,.326.435c-.051.219-.338.235-.514.267-1.474.266-3.009.388-4.491.631-.416-.032-.321-.718-.441-1l-3-.365c-.213-.12-.2-.273-.2-.492.019-.622.092-1.251.125-1.872.16-3,.316-6,.5-8.993A9.457,9.457,0,0,1,9.152,8.1a.369.369,0,0,1,.265-.3l8.519.681L22.2,7.8c.225.068.246.19.3.393.553,2.288.758,4.775,1.285,7.083.143.531-.507.731-.642.2ZM17.211,21.932a.563.563,0,0,0-.072.24,8.549,8.549,0,0,0,0,1.187c.019.217.088.393.328.421a9.138,9.138,0,0,0,1.448-.021.53.53,0,0,0,.122-.065l3.756-3.771L21,18.13Zm5.329-5.35c-.365.286-.7.757-1.061,1.062L23.3,19.437c.3-.35.777-.687,1.05-1.044.15-.2.174-.312.017-.516a13.851,13.851,0,0,0-1.327-1.327.393.393,0,0,0-.23-.1.476.476,0,0,0-.271.13\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\"><strong>Create</strong> a Policy</div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea46;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n    </label>\n\n    \n    <label\n      *ngIf=\"ff_policy_ms_word_integration\"\n      class=\"document-box\"\n      [class.active]=\"selectedDocumentType == 'word'\"\n    >\n      <input\n        type=\"radio\"\n        name=\"selectedDocumentType\"\n        (change)=\"changeDocType('word')\"\n        [checked]=\"selectedDocumentType === 'word'\"\n      />\n      <svg id=\"Word-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20404\" data-name=\"Path 20404\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#1e5dd3\"/>\n        <path id=\"Path_20405\" data-name=\"Path 20405\" d=\"M10.419,9.718l1.889,9.121L12.44,20l.132-.885,2.152-9.4,2.626.018,2.187,9.106.174,1.132a13.4,13.4,0,0,1,.174-1.352c.5-2.954,1.188-5.88,1.7-8.832l.04-.07H24L21.085,22.281l-2.818-.026L15.931,12.22l-.16,1.077-2.015,8.986-2.829-.028L8,9.718Z\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">{{createWordPolicyText}}</div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea46;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n    </label>\n\n\n\n    <label\n      class=\"document-box\"\n      *ngIf=\"showDocxBlock\"\n      [class.active]=\"selectedDocumentType == 'docx' && !docxError?.visible\"\n      [class.error]=\"docxError?.visible\"\n    >\n      <input\n        type=\"file\"\n        accept=\".docx\"\n        id=\"DOCfile\"\n        (change)=\"handleFileInput($event.target.files)\"\n        onclick=\"event.stopPropagation();\"\n        #docxUploadButton\n      />\n      <svg id=\"Word-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20404\" data-name=\"Path 20404\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#1e5dd3\"/>\n        <path id=\"Path_20405\" data-name=\"Path 20405\" d=\"M10.419,9.718l1.889,9.121L12.44,20l.132-.885,2.152-9.4,2.626.018,2.187,9.106.174,1.132a13.4,13.4,0,0,1,.174-1.352c.5-2.954,1.188-5.88,1.7-8.832l.04-.07H24L21.085,22.281l-2.818-.026L15.931,12.22l-.16,1.077-2.015,8.986-2.829-.028L8,9.718Z\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">\n          <ng-container *ngIf=\"!(selectedDocumentType == 'docx' && filename)\"\n            >Upload a <strong>DOCX</strong></ng-container\n          >\n          <ng-container *ngIf=\"selectedDocumentType == 'docx' && filename\">{{\n            filename\n          }}</ng-container>\n        </div>\n        <div class=\"error-msg-text\" *ngIf=\"docxError?.visible\">\n          {{ docxError?.message }}\n        </div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea97;</i>\n        <div class=\"check-circle\" *ngIf=\"!docxError?.visible\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n        <i class=\"icons error-icon\" *ngIf=\"docxError?.visible\">&#xe914;</i>\n      </div>\n      <div\n        class=\"line-progress\"\n        *ngIf=\"selectedDocumentType == 'docx' && isUploading\"\n      >\n        <div class=\"line-progress-bar\"></div>\n      </div>\n    </label>\n    <label\n      class=\"document-box\"\n      *ngIf=\"showPdfBlock\"\n      [class.active]=\"selectedDocumentType == 'pdf'\"\n    >\n      <input\n        type=\"file\"\n        accept=\".pdf\"\n        id=\"PDFfile\"\n        (change)=\"handleFileInput($event.target.files)\"\n        onclick=\"event.stopPropagation();\"\n        #pdfUploadButton\n      />\n      <svg id=\"PDF-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20408\" data-name=\"Path 20408\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#a82a1d\"/>\n        <path id=\"Path_20409\" data-name=\"Path 20409\" d=\"M16.125,13.778A1.39,1.39,0,0,0,16.285,15a16.106,16.106,0,0,0,2.106,2.554c.312-.045.6-.047,1.2-.092a6.964,6.964,0,0,1,3.616.239,1.31,1.31,0,0,1,.784,1.361,1.176,1.176,0,0,1-1.075.981c-2.224.336-3.305-.9-4.579-1.746a2.094,2.094,0,0,0-.812.021,25.782,25.782,0,0,0-3.412.916c-.253.089-.338.3-.533.609a11.062,11.062,0,0,1-2.82,3.427,2.145,2.145,0,0,1-1.861.445c-1-.222-1.178-1.182-.5-1.942A9.452,9.452,0,0,1,10,20.462a14.714,14.714,0,0,1,2.418-1.109c.491-.461.556-.686.966-1.764.431-1.136.922-2.25,1.324-3.4a1.679,1.679,0,0,0-.035-1.062,7.7,7.7,0,0,1-.638-3.476,1.4,1.4,0,0,1,.959-1.393,1.279,1.279,0,0,1,1.464.8c.2.479.552,1.75-.331,4.728m-.377,1.377-1.418,3.422,3.353-.883-1.935-2.539m3.222,2.882A4.5,4.5,0,0,0,21.92,19.37c.377,0,.714-.131.733-.6.051-1.251-2.656-.864-3.682-.73m-6.96,2.037a9.788,9.788,0,0,0-2.975,1.8c-.218.171-.446.718-.282.984s.81.067,1-.12a9.29,9.29,0,0,0,2.253-2.664m3.246-7.243c-.045-.878.461-2.172.437-3.224-.008-.355-.051-.747-.5-.772-.364-.02-.534.476-.569.762a5.8,5.8,0,0,0,.636,3.234\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">\n          <ng-container *ngIf=\"!(selectedDocumentType == 'pdf' && filename)\"\n            >Upload a <strong>PDF</strong></ng-container\n          >\n          <ng-container *ngIf=\"selectedDocumentType == 'pdf' && filename\">{{\n            filename\n          }}</ng-container>\n        </div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea97;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n      <div\n        class=\"line-progress\"\n        *ngIf=\"selectedDocumentType == 'pdf' && isUploading\"\n      >\n        <div class=\"line-progress-bar\"></div>\n      </div>\n    </label>\n    <!-- Select a template -->\n    <label\n      class=\"document-box\"\n      [class.active]=\"selectedDocumentType === 'template'\"\n    >\n      <input\n        type=\"radio\"\n        name=\"selectedDocumentType\"\n        (change)=\"changeDocType('template')\"\n        [checked]=\"selectedDocumentType === 'template'\"\n      />\n      <svg id=\"TMP-Icon\" xmlns=\"http://www.w3.org/2000/svg\" width=\"32\" height=\"32\" viewBox=\"0 0 32 32\">\n        <path id=\"Path_20406\" data-name=\"Path 20406\" d=\"M28,32H4a4,4,0,0,1-4-4V4A4,4,0,0,1,4,0H28a4,4,0,0,1,4,4V28a4,4,0,0,1-4,4\" fill=\"#34aa44\"/>\n        <path id=\"Path_20410\" data-name=\"Path 20410\" d=\"M16,1.778V3.555H0V1.778A1.783,1.783,0,0,1,1.778,0H14.223A1.783,1.783,0,0,1,16,1.778M0,4.444H16v8.889a1.778,1.778,0,0,1-1.777,1.778H1.778A1.778,1.778,0,0,1,0,13.333ZM6.99,9.928A.891.891,0,0,0,6.1,9.039H3.642a.891.891,0,0,0-.888.889v2.456a.891.891,0,0,0,.888.889H6.1a.891.891,0,0,0,.888-.889Zm6.306,0a.892.892,0,0,0-.889-.889H9.948a.891.891,0,0,0-.888.889v2.456a.891.891,0,0,0,.888.889h2.459a.892.892,0,0,0,.889-.889ZM2.667,7.111A.889.889,0,0,0,3.556,8h8.889a.889.889,0,0,0,0-1.778H3.556a.889.889,0,0,0-.889.889\" transform=\"translate(8 7.999)\" fill=\"#fff\"/>\n      </svg>\n      \n      <div class=\"label-right\">\n        <div class=\"value\">Draft Using a <strong>Template</strong></div>\n        <i class=\"icons document-box-icon vx-fs-16 vx-mr-2\">&#xea46;</i>\n        <div class=\"check-circle\">\n          <svg\n            class=\"checkIcon\"\n            xmlns=\"http://www.w3.org/2000/svg\"\n            viewBox=\"0 0 52 52\"\n          >\n            <circle\n              class=\"checkIcon__circle\"\n              cx=\"26\"\n              cy=\"26\"\n              r=\"25\"\n              fill=\"none\"\n            />\n            <path\n              class=\"checkIcon__check\"\n              fill=\"none\"\n              d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n            />\n          </svg>\n        </div>\n      </div>\n    </label>\n    <!-- End Select a template -->\n    <app-loader-inline *ngIf=\"isLoader\"></app-loader-inline>\n  </div>\n</div>\n<div class=\"bottom-button\" [class.grayscale]=\"isTemplateOpened\">\n  <button\n    type=\"button\"\n    (click)=\"editPolicyEmit()\"\n    class=\"back\"\n    [class.disabled]=\"isTemplateOpened\"\n  >\n    <i class=\"icons\">&#xe91d;</i> Back\n  </button>\n  <button\n    type=\"button\"\n    (click)=\"editor(selectedDocumentType)\"\n    class=\"next\"\n    [class.disabled]=\"!selectedDocumentType || isTemplateOpened || isLoader\"\n  >\n    Next <i class=\"icons\">&#xe91e;</i>\n  </button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .document-section{display:flex;align-items:center;height:calc(100vh - 50px);position:absolute;top:0;right:0;background:#fff;z-index:10;padding:50px;width:100%;overflow:hidden;overflow-y:scroll}@media screen and (max-width: 1365px){::ng-deep .document-section{align-items:unset}}::ng-deep .document-section.grayscale{filter:grayscale(1)!important;pointer-events:none!important}::ng-deep .document-section-inner .message-box{background:#fbfbfb;border-radius:4px;border:1px solid #f1f1f1;padding:16px 8px 12px 16px;margin-bottom:20px;display:flex;align-items:flex-start}::ng-deep .document-section-inner .message-box svg{background:#fff;width:33px;min-width:33px;border-radius:4px;box-shadow:0 3px 6px #1e5dd333;margin-right:12px;padding:4px}::ng-deep .document-section-inner .message-box p{font-size:12px;font-weight:500;color:#787a8c;margin:0}::ng-deep .document-section-inner .document-box{position:relative;cursor:pointer;display:flex;align-items:center;justify-content:space-between;border:1px solid #CDCED6;border-radius:8px;width:100%;background:transparent;height:64px;padding:0 16px;margin-bottom:8px}::ng-deep .document-section-inner .document-box.error{border:1px solid #dbdbdb}::ng-deep .document-section-inner .document-box input{width:100%;position:absolute;inset:0;margin:0;padding:0;z-index:1;opacity:0;height:100%;pointer-events:none}::ng-deep .document-section-inner .document-box svg.doc-svg{width:82px}::ng-deep .document-section-inner .document-box .label-right{width:calc(100% - 64px);display:flex;align-items:center;justify-content:center;position:relative}::ng-deep .document-section-inner .document-box .label-right .value{font-size:16px;font-weight:500;line-height:24px;color:#000;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word;width:270px;margin-right:25px}::ng-deep .document-section-inner .document-box .label-right .value strong{font-weight:500}::ng-deep .document-section-inner .document-box .label-right .error-msg-text{color:#d93b41;font-size:10px;position:absolute;top:24px;left:0;right:0;width:250px}::ng-deep .document-section-inner .document-box .label-right .check-circle{display:none;width:16px;height:16px;position:absolute;right:8px;top:2px}::ng-deep .document-section-inner .document-box .label-right .check-circle .checkIcon{width:16px;height:16px;background:#ddf4e0;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-right:10px;position:static}::ng-deep .document-section-inner .document-box .label-right .check-circle .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .document-section-inner .document-box .label-right .check-circle .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .document-section-inner .document-box .label-right .error-icon{color:#d93b41;font-size:16px;position:relative;top:0;right:8px}::ng-deep .document-section-inner .document-box.active{background:#ddf4e0;border:1px solid #B7E2BD}::ng-deep .document-section-inner .document-box.active .document-box-icon{display:none}::ng-deep .document-section-inner .document-box.active .label-right .check-circle{display:block}::ng-deep .document-section-inner .document-box.error{background:#ffeaea;border:1px solid #d93b41}::ng-deep .document-section-inner .document-box-icon{color:#565a6f}.bottom-button{background:#fff;display:flex;align-items:center;position:absolute;bottom:0;right:0;width:100%;z-index:10}.bottom-button button{background:#1e5dd3;border:none;border-radius:0;color:#fff;font-size:13px;font-weight:600;text-transform:uppercase;width:100%;padding:0;position:relative;margin:0!important;height:50px;display:flex;align-items:center;justify-content:center;line-height:19px;letter-spacing:3.08px;outline:none}.bottom-button button i{position:absolute;top:16px;font-size:18px;font-weight:500}.bottom-button button.next i{right:16px}.bottom-button button.disabled{pointer-events:none!important;opacity:.3!important;filter:grayscale(1)!important}.bottom-button button.back{background:#f1f1f1;color:#1e5dd3}.bottom-button button.back i{left:16px}.line-progress{position:absolute;left:0;top:0;height:2px;display:block;width:100%;background-color:#d4e2fc;background-clip:padding-box;overflow:hidden}.line-progress-bar{bottom:0;width:40%;background:#34aa44;border-radius:5px;display:inline-block;position:absolute;animation:linear infinite;animation-name:run;animation-duration:1s;top:0}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes run{0%{left:0}50%{left:60%}to{left:0}}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }, { type: PolicyService }, { type: PolicyAPIService }, { type: i3.Router }, { type: i3.ActivatedRoute }, { type: i1$1.PlatformLocation }, { type: IframeService }]; }, propDecorators: { selectedDocumentType: [{
                type: Input
            }], feature: [{
                type: Input
            }], templateView: [{
                type: Input
            }], policyId: [{
                type: Input
            }], policyName: [{
                type: Input
            }], organization_id: [{
                type: Input
            }], member_obj_id: [{
                type: Input
            }], userInfo: [{
                type: Input
            }], templateUrl: [{
                type: Input
            }], isTemplateOpened: [{
                type: Input
            }], disconnectRefresh: [{
                type: Output
            }], editPolicy: [{
                type: Output
            }], openTemplate: [{
                type: Output
            }] } });

class StopPropagationDirective {
    onClick(event) {
        event.preventDefault();
        event.stopPropagation();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StopPropagationDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: StopPropagationDirective, selector: "[appStopPropagation]", host: { listeners: { "click": "onClick($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StopPropagationDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appStopPropagation]'
                }]
        }], propDecorators: { onClick: [{
                type: HostListener,
                args: ["click", ["$event"]]
            }] } });

class ApprovalWorkflowListComponent {
    constructor() {
        this.hideDetails = false;
        this.openIndexId = -1;
        this.isNextDisabled = true;
        this.createApprovalClicked = new EventEmitter();
        this.listCancelClicked = new EventEmitter();
        this.selectedWorkflowNext = new EventEmitter();
        this.onApprovalEdit = new EventEmitter();
    }
    ngOnInit() {
        this.selectedWorkflow = this.editApprovalWorkflow;
        if (this.editApprovalWorkflow) {
            this.isNextDisabled = false;
        }
    }
    ngOnChanges() {
        this.selectedWorkflow = this.editApprovalWorkflow;
    }
    showDetails(id) {
        this.openIndexId === id ? (this.openIndexId = -1) : (this.openIndexId = id);
        this.hideDetails = !this.hideDetails;
    }
    createApprovalClick(event) {
        this.createApprovalClicked.emit(event);
    }
    selectApproval(approval) {
        this.selectedWorkflow = approval;
        this.isNextDisabled = false;
    }
    cancelClicked() {
        this.listCancelClicked.emit(true);
    }
    nextClicked() {
        this.selectedWorkflow = this.approverWorkFlowList.find((workflow) => workflow?._id === this.selectedWorkflow?._id);
        this.selectedWorkflowNext.emit(this.selectedWorkflow);
    }
    onEdit(approverWorkflow) {
        this.onApprovalEdit.emit(JSON.parse(JSON.stringify(approverWorkflow)));
    }
    removeWorkflow() {
        this.selectedWorkflow = null;
        this.isNextDisabled = true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApprovalWorkflowListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ApprovalWorkflowListComponent, selector: "app-approval-workflow-list", inputs: { approverWorkFlowList: "approverWorkFlowList", editApprovalWorkflow: "editApprovalWorkflow" }, outputs: { createApprovalClicked: "createApprovalClicked", listCancelClicked: "listCancelClicked", selectedWorkflowNext: "selectedWorkflowNext", onApprovalEdit: "onApprovalEdit" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"approval-workflow-list-dialog\">\n  <div\n    class=\"approval-workflow-list-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select Approval Workflow</div>\n  </div>\n  <div class=\"approval-workflow-list-dialog-body\">\n    <div *ngIf=\"true\" class=\"approval-workflow-list-dialog-body-inner\">\n      <div class=\"approval-table\">\n        <div class=\"approval-table-head\">\n          <div class=\"approval-table-row\">\n            <div\n              class=\"approval-table-column vx-fs-11 vx-fw-500 vx-tt-uppercase serial\"\n            >\n              #\n            </div>\n            <div\n              class=\"approval-table-column vx-fs-11 vx-fw-500 vx-tt-uppercase workflow\"\n            >\n              APPROVAL WORKFLOWS\n            </div>\n            <button\n              (click)=\"createApprovalClick(true)\"\n              class=\"create-approval-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n            >\n              + CREATE A NEW APPROVAL WORKFLOW\n            </button>\n          </div>\n        </div>\n        <div class=\"approval-table-body\">\n          <ng-container\n            *ngFor=\"let approvalWorkflow of approverWorkFlowList; let i = index\"\n          >\n            <div\n              (click)=\"showDetails(approvalWorkflow?._id)\"\n              class=\"approval-table-row clickable\"\n              [class.active]=\"selectedWorkflow?._id === approvalWorkflow?._id\"\n              [class.open]=\"approvalWorkflow?._id === openIndexId\"\n            >\n              <div class=\"approval-table-column serial\">\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + 1\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + 1 }}\n                </div>\n                <app-cs-radio\n                  [checked]=\"selectedWorkflow?._id === approvalWorkflow?._id\"\n                  (checkedEvent)=\"selectApproval(approvalWorkflow)\"\n                ></app-cs-radio>\n              </div>\n              <div class=\"approval-table-column workflow\">\n                <div\n                  class=\"name vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"approvalWorkflow?.workflow_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ approvalWorkflow?.workflow_name }}\n                </div>\n              </div>\n              <div class=\"approval-table-column action\" appStopPropagation>\n                <button\n                  appPopover\n                  (click)=\"moreAction.popover()\"\n                  placement=\"right\"\n                  class=\"more-action vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  [class.disabled]=\"false\"\n                >\n                  <i class=\"icons\">&#xe911;</i>\n                </button>\n                <app-popover #moreAction>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li>\n                        <button (click)=\"onEdit(approvalWorkflow)\">\n                          <i class=\"icons\">&#xe90c;</i> Edit\n                        </button>\n                      </li>\n                      <!-- <li>\n                        <button><i class=\"icons\">&#xe923;</i> Delete</button>\n                      </li> -->\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n              <div class=\"approval-table-column action\">\n                <button\n                  class=\"arrow vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  [class.disabled]=\"false\"\n                >\n                  <i *ngIf=\"approvalWorkflow?._id !== openIndexId\" class=\"icons\"\n                    >&#xe9e8;</i\n                  >\n                  <i *ngIf=\"approvalWorkflow?._id === openIndexId\" class=\"icons\"\n                    >&#xe9e7;</i\n                  >\n                </button>\n              </div>\n            </div>\n            <div\n              *ngIf=\"approvalWorkflow?._id === openIndexId\"\n              class=\"approval-table-details\"\n            >\n              <div class=\"details-item vx-mb-4\">\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\"\n                >\n                  POLICY CATEGORIES:\n                </div>\n                <div class=\"vx-d-flex\">\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-1\"\n                    *ngFor=\"\n                      let category of approvalWorkflow?.category_arr\n                        | slice : 0 : 3\n                    \"\n                  >\n                    <div\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"category?.category_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ category?.category_name }}\n                    </div>\n                  </div>\n                  <button\n                    *ngIf=\"approvalWorkflow?.category_arr?.length > 3\"\n                    appPopover\n                    (click)=\"criteriaAction.popover()\"\n                    placement=\"right\"\n                    class=\"details-chip-count vx-fs-11 vx-fw-500 vx-txt-blue vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  >\n                    + {{ approvalWorkflow?.category_arr?.length - 3 }}\n                  </button>\n                  <app-popover #criteriaAction>\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let category of approvalWorkflow?.category_arr\n                              | slice : 3\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"category?.category_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                              >{{ category?.category_name }}</span\n                            >\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n              </div>\n              <div class=\"details-item vx-mb-1\">\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\"\n                >\n                  APPROVERS:\n                </div>\n                <div\n                  *ngFor=\"\n                    let approverLevel of approvalWorkflow?.approval_workflow;\n                    let k = index\n                  \"\n                  class=\"approver-item vx-mb-2 vx-pb-2 vx-d-flex vx-align-center\"\n                >\n                  <div class=\"lavel-area vx-pl-1 vx-pr-1\">\n                    <div\n                      class=\"lavel-name vx-fs-9 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-3\"\n                      [appTooltip]=\"\n                        approverLevel?.alias_name\n                          ? approverLevel?.alias_name\n                          : approverLevel?.level1\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{\n                        approverLevel?.alias_name\n                          ? approverLevel?.alias_name\n                          : approverLevel?.level1\n                      }}\n                    </div>\n                    <div\n                      class=\"vx-fs-9 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3\"\n                    >\n                      {{\n                        (approverLevel?.type | lowercase) === \"roundrobin\"\n                          ? \"ROUND-ROBIN\"\n                          : (approverLevel?.type | lowercase) === \"anyone\"\n                          ? \"ANY ONE\"\n                          : approverLevel?.type\n                      }}\n                    </div>\n                  </div>\n                  <div class=\"lavel-chips vx-d-flex vx-flex-wrap\">\n                    <div\n                      class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-1\"\n                      *ngFor=\"\n                        let approver of approverLevel?.approvers\n                          | slice : 0 : 3;\n                        let approverIndex = index\n                      \"\n                    >\n                      <div\n                        *ngIf=\"\n                          approverLevel?.type?.toLowerCase() === 'sequential' &&\n                          approverLevel?.approvers?.length < 3\n                        \"\n                        class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                      >\n                        {{\n                          approverIndex == approverLevel?.approvers?.length - 1\n                            ? \"Final\"\n                            : approverIndex + 1\n                        }}\n                      </div>\n                      <div\n                        *ngIf=\"\n                          approverLevel?.approvers?.length > 3 &&\n                          approverLevel?.type?.toLowerCase() === 'sequential'\n                        \"\n                        class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                      >\n                        {{ approverIndex + 1 }}\n                      </div>\n                      <div\n                        class=\"chipName vx-fs-11 vx-label-txt\"\n                        [appTooltip]=\"approver?.member_name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ approver?.member_name }}\n                      </div>\n                    </div>\n                    <button\n                      *ngIf=\"approverLevel?.approvers?.length > 3\"\n                      appPopover\n                      (click)=\"approversAction.popover()\"\n                      placement=\"right\"\n                      class=\"details-chip-count vx-fs-11 vx-fw-500 vx-txt-blue vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                    >\n                      + {{ approverLevel?.approvers?.length - 3 }}\n                    </button>\n                    <app-popover #approversAction>\n                      <div class=\"wf-action-list\">\n                        <ul class=\"action-item\">\n                          <li\n                            *ngFor=\"\n                              let approver of approverLevel?.approvers\n                                | slice : 3;\n                              let approverIndex = index\n                            \"\n                          >\n                            <div class=\"avatar-card\">\n                              <div\n                                *ngIf=\"\n                                  approverLevel?.type?.toLowerCase() ===\n                                  'sequential'\n                                \"\n                                class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                              >\n                                {{\n                                  approverIndex + 3 ===\n                                  approverLevel?.approvers?.length - 1\n                                    ? \"Final\"\n                                    : approverIndex + 4\n                                }}\n                              </div>\n                              <span\n                                class=\"value\"\n                                [appTooltip]=\"approver?.member_name\"\n                                placement=\"bottom-left\"\n                                delay=\"0\"\n                                type=\"black\"\n                                [tooltipMandatory]=\"false\"\n                                >{{ approver?.member_name }}</span\n                              >\n                            </div>\n                          </li>\n                        </ul>\n                      </div>\n                    </app-popover>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </ng-container>\n        </div>\n      </div>\n    </div>\n\n    <vui-floating-bar\n      (closeList)=\"cancelClicked()\"\n      (closeEvent)=\"nextClicked()\"\n      [nextDisabled]=\"isNextDisabled\"\n    >\n      <ng-container *ngIf=\"selectedWorkflow\">\n        <div\n          class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n        >\n          <i\n            class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n            (click)=\"removeWorkflow()\"\n            >&#xe9ae;</i\n          >\n          <span class=\"chipName vx-fs-11 vx-label-txt\">\n            {{ selectedWorkflow?.workflow_name }}</span\n          >\n        </div>\n      </ng-container>\n    </vui-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .approval-workflow-list-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .approval-workflow-list-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .approval-workflow-list-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-list-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .approval-workflow-list-dialog-body-inner{height:calc(100vh - 10.75rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem;padding-right:.5rem;width:calc(100% + .5rem)}::ng-deep .approval-workflow-list-dialog-body-inner::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .approval-workflow-list-dialog-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .approval-workflow-list-dialog-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-head{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-head .approval-table-row{border-radius:0;border:none;margin-bottom:0}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-head .approval-table-row .approval-table-column{color:#161b2f;height:1.5rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details{border:1px solid #f1f1f1;border-radius:0 0 .25rem .25rem;padding:1rem 2rem 0;margin-bottom:.25rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item button.details-chip-count{background:#fff;border-radius:.125rem;border:1px solid #f1f1f1;min-width:1.5rem;height:1.5rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item{border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area{width:4.75rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area .lavel-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-chips{width:calc(100% - 4.75rem)}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row{border-radius:.25rem;border:1px solid #f1f1f1;display:flex;align-items:center;position:relative;margin-bottom:.25rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row.clickable{cursor:pointer}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row button.create-approval-btn{background:transparent;border-radius:0;border:none;position:absolute;top:.25rem;right:0}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row:hover .approval-table-column.serial app-cs-radio,::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row.active .approval-table-column.serial app-cs-radio{opacity:1}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row.open{border-radius:.25rem .25rem 0 0;border-bottom:none;margin-bottom:0}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column{color:#747576;height:40px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial.serial app-cs-radio{position:absolute;top:12px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.workflow{width:calc(100% - 96px);min-width:calc(100% - 96px)}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.workflow .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 3rem)}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action button.more-action,::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action button.arrow{background:transparent;border:none;border-radius:0;height:100%;width:100%}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .reviewer-floating-bar{padding:0!important}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: VuiFloatingBarComponent, selector: "vui-floating-bar", inputs: ["selectedData", "groupSelected", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "nextDisabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "workflowTypeChanged"] }, { kind: "directive", type: StopPropagationDirective, selector: "[appStopPropagation]" }, { kind: "pipe", type: i1$1.LowerCasePipe, name: "lowercase" }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApprovalWorkflowListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-approval-workflow-list', template: "<div class=\"approval-workflow-list-dialog\">\n  <div\n    class=\"approval-workflow-list-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select Approval Workflow</div>\n  </div>\n  <div class=\"approval-workflow-list-dialog-body\">\n    <div *ngIf=\"true\" class=\"approval-workflow-list-dialog-body-inner\">\n      <div class=\"approval-table\">\n        <div class=\"approval-table-head\">\n          <div class=\"approval-table-row\">\n            <div\n              class=\"approval-table-column vx-fs-11 vx-fw-500 vx-tt-uppercase serial\"\n            >\n              #\n            </div>\n            <div\n              class=\"approval-table-column vx-fs-11 vx-fw-500 vx-tt-uppercase workflow\"\n            >\n              APPROVAL WORKFLOWS\n            </div>\n            <button\n              (click)=\"createApprovalClick(true)\"\n              class=\"create-approval-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n            >\n              + CREATE A NEW APPROVAL WORKFLOW\n            </button>\n          </div>\n        </div>\n        <div class=\"approval-table-body\">\n          <ng-container\n            *ngFor=\"let approvalWorkflow of approverWorkFlowList; let i = index\"\n          >\n            <div\n              (click)=\"showDetails(approvalWorkflow?._id)\"\n              class=\"approval-table-row clickable\"\n              [class.active]=\"selectedWorkflow?._id === approvalWorkflow?._id\"\n              [class.open]=\"approvalWorkflow?._id === openIndexId\"\n            >\n              <div class=\"approval-table-column serial\">\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + 1\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + 1 }}\n                </div>\n                <app-cs-radio\n                  [checked]=\"selectedWorkflow?._id === approvalWorkflow?._id\"\n                  (checkedEvent)=\"selectApproval(approvalWorkflow)\"\n                ></app-cs-radio>\n              </div>\n              <div class=\"approval-table-column workflow\">\n                <div\n                  class=\"name vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"approvalWorkflow?.workflow_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ approvalWorkflow?.workflow_name }}\n                </div>\n              </div>\n              <div class=\"approval-table-column action\" appStopPropagation>\n                <button\n                  appPopover\n                  (click)=\"moreAction.popover()\"\n                  placement=\"right\"\n                  class=\"more-action vx-fs-16 vx-txt-blue vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  [class.disabled]=\"false\"\n                >\n                  <i class=\"icons\">&#xe911;</i>\n                </button>\n                <app-popover #moreAction>\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li>\n                        <button (click)=\"onEdit(approvalWorkflow)\">\n                          <i class=\"icons\">&#xe90c;</i> Edit\n                        </button>\n                      </li>\n                      <!-- <li>\n                        <button><i class=\"icons\">&#xe923;</i> Delete</button>\n                      </li> -->\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n              <div class=\"approval-table-column action\">\n                <button\n                  class=\"arrow vx-fs-12 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  [class.disabled]=\"false\"\n                >\n                  <i *ngIf=\"approvalWorkflow?._id !== openIndexId\" class=\"icons\"\n                    >&#xe9e8;</i\n                  >\n                  <i *ngIf=\"approvalWorkflow?._id === openIndexId\" class=\"icons\"\n                    >&#xe9e7;</i\n                  >\n                </button>\n              </div>\n            </div>\n            <div\n              *ngIf=\"approvalWorkflow?._id === openIndexId\"\n              class=\"approval-table-details\"\n            >\n              <div class=\"details-item vx-mb-4\">\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\"\n                >\n                  POLICY CATEGORIES:\n                </div>\n                <div class=\"vx-d-flex\">\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-1\"\n                    *ngFor=\"\n                      let category of approvalWorkflow?.category_arr\n                        | slice : 0 : 3\n                    \"\n                  >\n                    <div\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"category?.category_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ category?.category_name }}\n                    </div>\n                  </div>\n                  <button\n                    *ngIf=\"approvalWorkflow?.category_arr?.length > 3\"\n                    appPopover\n                    (click)=\"criteriaAction.popover()\"\n                    placement=\"right\"\n                    class=\"details-chip-count vx-fs-11 vx-fw-500 vx-txt-blue vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  >\n                    + {{ approvalWorkflow?.category_arr?.length - 3 }}\n                  </button>\n                  <app-popover #criteriaAction>\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let category of approvalWorkflow?.category_arr\n                              | slice : 3\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"category?.category_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                              >{{ category?.category_name }}</span\n                            >\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n              </div>\n              <div class=\"details-item vx-mb-1\">\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\"\n                >\n                  APPROVERS:\n                </div>\n                <div\n                  *ngFor=\"\n                    let approverLevel of approvalWorkflow?.approval_workflow;\n                    let k = index\n                  \"\n                  class=\"approver-item vx-mb-2 vx-pb-2 vx-d-flex vx-align-center\"\n                >\n                  <div class=\"lavel-area vx-pl-1 vx-pr-1\">\n                    <div\n                      class=\"lavel-name vx-fs-9 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-3\"\n                      [appTooltip]=\"\n                        approverLevel?.alias_name\n                          ? approverLevel?.alias_name\n                          : approverLevel?.level1\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{\n                        approverLevel?.alias_name\n                          ? approverLevel?.alias_name\n                          : approverLevel?.level1\n                      }}\n                    </div>\n                    <div\n                      class=\"vx-fs-9 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3\"\n                    >\n                      {{\n                        (approverLevel?.type | lowercase) === \"roundrobin\"\n                          ? \"ROUND-ROBIN\"\n                          : (approverLevel?.type | lowercase) === \"anyone\"\n                          ? \"ANY ONE\"\n                          : approverLevel?.type\n                      }}\n                    </div>\n                  </div>\n                  <div class=\"lavel-chips vx-d-flex vx-flex-wrap\">\n                    <div\n                      class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-1\"\n                      *ngFor=\"\n                        let approver of approverLevel?.approvers\n                          | slice : 0 : 3;\n                        let approverIndex = index\n                      \"\n                    >\n                      <div\n                        *ngIf=\"\n                          approverLevel?.type?.toLowerCase() === 'sequential' &&\n                          approverLevel?.approvers?.length < 3\n                        \"\n                        class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                      >\n                        {{\n                          approverIndex == approverLevel?.approvers?.length - 1\n                            ? \"Final\"\n                            : approverIndex + 1\n                        }}\n                      </div>\n                      <div\n                        *ngIf=\"\n                          approverLevel?.approvers?.length > 3 &&\n                          approverLevel?.type?.toLowerCase() === 'sequential'\n                        \"\n                        class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                      >\n                        {{ approverIndex + 1 }}\n                      </div>\n                      <div\n                        class=\"chipName vx-fs-11 vx-label-txt\"\n                        [appTooltip]=\"approver?.member_name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ approver?.member_name }}\n                      </div>\n                    </div>\n                    <button\n                      *ngIf=\"approverLevel?.approvers?.length > 3\"\n                      appPopover\n                      (click)=\"approversAction.popover()\"\n                      placement=\"right\"\n                      class=\"details-chip-count vx-fs-11 vx-fw-500 vx-txt-blue vx-pl-1 vx-pr-1 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                    >\n                      + {{ approverLevel?.approvers?.length - 3 }}\n                    </button>\n                    <app-popover #approversAction>\n                      <div class=\"wf-action-list\">\n                        <ul class=\"action-item\">\n                          <li\n                            *ngFor=\"\n                              let approver of approverLevel?.approvers\n                                | slice : 3;\n                              let approverIndex = index\n                            \"\n                          >\n                            <div class=\"avatar-card\">\n                              <div\n                                *ngIf=\"\n                                  approverLevel?.type?.toLowerCase() ===\n                                  'sequential'\n                                \"\n                                class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                              >\n                                {{\n                                  approverIndex + 3 ===\n                                  approverLevel?.approvers?.length - 1\n                                    ? \"Final\"\n                                    : approverIndex + 4\n                                }}\n                              </div>\n                              <span\n                                class=\"value\"\n                                [appTooltip]=\"approver?.member_name\"\n                                placement=\"bottom-left\"\n                                delay=\"0\"\n                                type=\"black\"\n                                [tooltipMandatory]=\"false\"\n                                >{{ approver?.member_name }}</span\n                              >\n                            </div>\n                          </li>\n                        </ul>\n                      </div>\n                    </app-popover>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </ng-container>\n        </div>\n      </div>\n    </div>\n\n    <vui-floating-bar\n      (closeList)=\"cancelClicked()\"\n      (closeEvent)=\"nextClicked()\"\n      [nextDisabled]=\"isNextDisabled\"\n    >\n      <ng-container *ngIf=\"selectedWorkflow\">\n        <div\n          class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n        >\n          <i\n            class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n            (click)=\"removeWorkflow()\"\n            >&#xe9ae;</i\n          >\n          <span class=\"chipName vx-fs-11 vx-label-txt\">\n            {{ selectedWorkflow?.workflow_name }}</span\n          >\n        </div>\n      </ng-container>\n    </vui-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .approval-workflow-list-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .approval-workflow-list-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .approval-workflow-list-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-list-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .approval-workflow-list-dialog-body-inner{height:calc(100vh - 10.75rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem;padding-right:.5rem;width:calc(100% + .5rem)}::ng-deep .approval-workflow-list-dialog-body-inner::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .approval-workflow-list-dialog-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .approval-workflow-list-dialog-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-head{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-head .approval-table-row{border-radius:0;border:none;margin-bottom:0}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-head .approval-table-row .approval-table-column{color:#161b2f;height:1.5rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details{border:1px solid #f1f1f1;border-radius:0 0 .25rem .25rem;padding:1rem 2rem 0;margin-bottom:.25rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item button.details-chip-count{background:#fff;border-radius:.125rem;border:1px solid #f1f1f1;min-width:1.5rem;height:1.5rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item{border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area{width:4.75rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area .lavel-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-chips{width:calc(100% - 4.75rem)}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row{border-radius:.25rem;border:1px solid #f1f1f1;display:flex;align-items:center;position:relative;margin-bottom:.25rem}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row.clickable{cursor:pointer}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row button.create-approval-btn{background:transparent;border-radius:0;border:none;position:absolute;top:.25rem;right:0}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row:hover .approval-table-column.serial app-cs-radio,::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row.active .approval-table-column.serial app-cs-radio{opacity:1}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-row.open{border-radius:.25rem .25rem 0 0;border-bottom:none;margin-bottom:0}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column{color:#747576;height:40px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.serial.serial app-cs-radio{position:absolute;top:12px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.workflow{width:calc(100% - 96px);min-width:calc(100% - 96px)}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.workflow .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 3rem)}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action button.more-action,::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action button.arrow{background:transparent;border:none;border-radius:0;height:100%;width:100%}::ng-deep .approval-workflow-list-dialog-body-inner .approval-table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .reviewer-floating-bar{padding:0!important}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .approval-workflow-list-dialog-body vui-floating-bar .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { approverWorkFlowList: [{
                type: Input
            }], editApprovalWorkflow: [{
                type: Input
            }], createApprovalClicked: [{
                type: Output
            }], listCancelClicked: [{
                type: Output
            }], selectedWorkflowNext: [{
                type: Output
            }], onApprovalEdit: [{
                type: Output
            }] } });

class SelectApproversComponent {
    constructor() {
        this.approvalLevelName = '';
        this.approversPayload = [];
        this.selectedType = 'SEQUENTIAL';
        this.levels = 1;
        this.closeSelectApprover = new EventEmitter();
        this.selectedApprover = new EventEmitter();
        this.ASSETS = ASSETS;
    }
    ngOnInit() {
        this.approvalLevelName = `Level ${this.levels - 1}`;
        if (this.editApprovalData?.length) {
            this.approvalLevelName = this.editApprovalData[0]?.alias_name;
            this.selectedType = this.editApprovalData[0]?.type;
        }
    }
    closeUserList() {
        this.closeSelectApprover.emit();
    }
    selectedUsers(event) {
        // this.generatePayload(event);
        this.generateApprovers(event.users);
    }
    generateApprovers(approvers) {
        let approversList = [];
        approversList = approvers.map((ele) => {
            return {
                member_id: ele.member_id,
                member_name: ele.member_name,
                approval_flag: false,
                reject_flag: false,
                remove_flag: false,
            };
        });
        this.generatePayload(approversList);
    }
    approvalType(type) {
        this.selectedType = type;
    }
    generatePayload(event) {
        this.approversPayload = [];
        this.approversPayload = [
            {
                approvers: event,
                type: this.selectedType,
                approval_done: false,
                level1: `Level ${this.levels - 1}`,
                alias_name: this.approvalLevelName === ''
                    ? `Level ${this.levels - 1}`
                    : this.approvalLevelName,
            },
        ];
        this.selectedApprover.emit(this.approversPayload);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectApproversComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SelectApproversComponent, selector: "app-select-approvers", inputs: { allApprovers: "allApprovers", levels: "levels", editApprovalData: "editApprovalData" }, outputs: { closeSelectApprover: "closeSelectApprover", selectedApprover: "selectedApprover" }, ngImport: i0, template: "<div class=\"select-approvers-dialog\">\n  <div\n    class=\"select-approvers-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Select Approvers & Approval Workflow\n    </div>\n  </div>\n  <div class=\"select-approvers-dialog-body\">\n    <div class=\"select-approvers-dialog-body-inner\">\n      <!-- Step 1 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 1: APPROVAL LEVEL NAME <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <input\n          [(ngModel)]=\"approvalLevelName\"\n          class=\"textField\"\n          type=\"text\"\n          placeholder=\"Level 1\"\n        />\n      </div>\n\n      <!-- Step 2 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 2: APPROVAL WORKFLOW TYPE\n          <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n          <app-cs-radio [checked]=\"selectedType === 'SEQUENTIAL'\">\n            <div\n              (click)=\"approvalType('SEQUENTIAL')\"\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.sequential\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  SEQUENTIAL\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'The policy would be sent for approval one at a time in the sequence defined by you.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-radio [checked]=\"selectedType === 'ROUNDROBIN'\">\n            <div\n              (click)=\"approvalType('ROUNDROBIN')\"\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.round_robin\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  ROUND-ROBIN\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'The policy will be sent for approval to all approvers at the same time. However, it is mandatory for all approvers to take action.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-radio [checked]=\"selectedType === 'ANYONE'\">\n            <div\n              (click)=\"approvalType('ANYONE')\"\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.anyone\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  ANY ONE\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'The policy will be sent for approval to all approvers at the same time. If anyone of the approver approves the policy, it will be considered as approved.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n        </div>\n      </div>\n\n      <!-- Step 3 -->\n      <div class=\"approvers-form-group\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 3: APPROVERS <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"approvers-user-group\">\n          <!-- <app-owner-list  [listHeading]=\"'Select Approvers'\" [singularText]=\"'User selected'\" [pluralText]=\"'Users selected'\" [usersList]=\"allApprovers\" [showWorkflow]=\"true\" [usersList]=\"allApprovers\" [userIdKey]=\"'member_id'\" [itemEmailKey]=\"'member_email'\" [itemNameKey]=\"'member_name'\" [mode]=\"'CREATE'\"></app-owner-list> -->\n          <user-group-list\n            [userlist]=\"allApprovers\"\n            [groupEnabled]=\"false\"\n            (cancel)=\"closeUserList()\"\n            (save)=\"selectedUsers($event)\"\n            [selectedUsers]=\"editApprovalData[0]?.approvers\"\n            [fromApprovalWorkflow]=\"true\"\n            [approvalType]=\"selectedType\"\n          ></user-group-list>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .select-approvers-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .select-approvers-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .select-approvers-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .select-approvers-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .select-approvers-dialog-body-inner{height:calc(100vh - 10.5rem);overflow:hidden;overflow-y:auto;padding-right:.75rem;width:calc(100% + .75rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio{width:calc(33.33% - .25rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item{width:100%}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radio,::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radiomark{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value{margin-left:0!important;max-width:100%!important;width:100%}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type{border-radius:.25rem;border:1px solid #dbdbdb;width:100%}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type img{height:2rem;margin-right:.75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .circle-selection{border-radius:50%;border:1px solid #dbdbdb;display:block;width:1rem;min-width:1rem;height:1rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .ckeck-selection{color:#34aa44;display:none}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type{background:#eefcf0;border:1px solid #34AA44}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .circle-selection{display:none}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .ckeck-selection{display:block}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list{position:static!important;animation:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list:before{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list{animation:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-head{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body{padding:0!important;height:auto!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body-inner{border-radius:.25rem;border:1px solid #dbdbdb;padding-top:.75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-tab{border-bottom:1px solid #dbdbdb;padding:.75rem .75rem 0}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block{padding:0 .75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block i{left:1.75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-mid{padding:0 .75rem;width:100%;height:auto}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-mid{height:calc(100vh - 25.95rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-footer{position:fixed;bottom:2rem;left:2rem;width:calc(100% - 35.25rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-footer vui-floating-bar .reviewer-floating-bar{padding:0!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list{position:static!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list:before{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list .add-risk-owner-list-head{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list .add-risk-owner-list-body{border-radius:.25rem;border:1px solid #dbdbdb;padding:0!important;height:auto!important;margin-bottom:1rem}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: UserGroupListComponent, selector: "user-group-list", inputs: ["groupEnabled", "panelTitle", "singleSelect", "selectedReviewer", "featureflag", "reviewerWorkflowType", "mode", "fieldType", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds", "FromProgram", "userListInfo", "groupListInfo", "fromApprovalWorkflow", "approvalType", "showFutureUsersSwitch", "futureUsersWillSelect", "isAllDisabled", "isGroupTabShow", "disabledIds", "nonRemovableUserIds", "allUserSelectedDisabled", "nonRemovableGroupIds", "loading", "userlist", "selectedUsers", "defaultSelectedUsers", "userType", "groupList", "selectedGroups"], outputs: ["save", "cancel", "reviewerWorkflowTypeChange", "fetchUserData"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectApproversComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-select-approvers', template: "<div class=\"select-approvers-dialog\">\n  <div\n    class=\"select-approvers-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Select Approvers & Approval Workflow\n    </div>\n  </div>\n  <div class=\"select-approvers-dialog-body\">\n    <div class=\"select-approvers-dialog-body-inner\">\n      <!-- Step 1 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 1: APPROVAL LEVEL NAME <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <input\n          [(ngModel)]=\"approvalLevelName\"\n          class=\"textField\"\n          type=\"text\"\n          placeholder=\"Level 1\"\n        />\n      </div>\n\n      <!-- Step 2 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 2: APPROVAL WORKFLOW TYPE\n          <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n          <app-cs-radio [checked]=\"selectedType === 'SEQUENTIAL'\">\n            <div\n              (click)=\"approvalType('SEQUENTIAL')\"\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.sequential\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  SEQUENTIAL\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'The policy would be sent for approval one at a time in the sequence defined by you.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-radio [checked]=\"selectedType === 'ROUNDROBIN'\">\n            <div\n              (click)=\"approvalType('ROUNDROBIN')\"\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.round_robin\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  ROUND-ROBIN\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'The policy will be sent for approval to all approvers at the same time. However, it is mandatory for all approvers to take action.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-radio [checked]=\"selectedType === 'ANYONE'\">\n            <div\n              (click)=\"approvalType('ANYONE')\"\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.anyone\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  ANY ONE\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'The policy will be sent for approval to all approvers at the same time. If anyone of the approver approves the policy, it will be considered as approved.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n        </div>\n      </div>\n\n      <!-- Step 3 -->\n      <div class=\"approvers-form-group\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 3: APPROVERS <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"approvers-user-group\">\n          <!-- <app-owner-list  [listHeading]=\"'Select Approvers'\" [singularText]=\"'User selected'\" [pluralText]=\"'Users selected'\" [usersList]=\"allApprovers\" [showWorkflow]=\"true\" [usersList]=\"allApprovers\" [userIdKey]=\"'member_id'\" [itemEmailKey]=\"'member_email'\" [itemNameKey]=\"'member_name'\" [mode]=\"'CREATE'\"></app-owner-list> -->\n          <user-group-list\n            [userlist]=\"allApprovers\"\n            [groupEnabled]=\"false\"\n            (cancel)=\"closeUserList()\"\n            (save)=\"selectedUsers($event)\"\n            [selectedUsers]=\"editApprovalData[0]?.approvers\"\n            [fromApprovalWorkflow]=\"true\"\n            [approvalType]=\"selectedType\"\n          ></user-group-list>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .select-approvers-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .select-approvers-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .select-approvers-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .select-approvers-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .select-approvers-dialog-body-inner{height:calc(100vh - 10.5rem);overflow:hidden;overflow-y:auto;padding-right:.75rem;width:calc(100% + .75rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio{width:calc(33.33% - .25rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item{width:100%}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radio,::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radiomark{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value{margin-left:0!important;max-width:100%!important;width:100%}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type{border-radius:.25rem;border:1px solid #dbdbdb;width:100%}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type img{height:2rem;margin-right:.75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .circle-selection{border-radius:50%;border:1px solid #dbdbdb;display:block;width:1rem;min-width:1rem;height:1rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .ckeck-selection{color:#34aa44;display:none}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type{background:#eefcf0;border:1px solid #34AA44}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .circle-selection{display:none}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .ckeck-selection{display:block}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list{position:static!important;animation:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list:before{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list{animation:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-head{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body{padding:0!important;height:auto!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body-inner{border-radius:.25rem;border:1px solid #dbdbdb;padding-top:.75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-tab{border-bottom:1px solid #dbdbdb;padding:.75rem .75rem 0}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block{padding:0 .75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block i{left:1.75rem}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-mid{padding:0 .75rem;width:100%;height:auto}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-mid{height:calc(100vh - 25.95rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-footer{position:fixed;bottom:2rem;left:2rem;width:calc(100% - 35.25rem)}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-footer vui-floating-bar .reviewer-floating-bar{padding:0!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list{position:static!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list:before{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list .add-risk-owner-list-head{display:none!important}::ng-deep .select-approvers-dialog-body-inner .approvers-form-group .approvers-user-group app-owner-list .add-risk-owner-list .add-risk-owner-list-body{border-radius:.25rem;border:1px solid #dbdbdb;padding:0!important;height:auto!important;margin-bottom:1rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { allApprovers: [{
                type: Input
            }], levels: [{
                type: Input
            }], editApprovalData: [{
                type: Input
            }], closeSelectApprover: [{
                type: Output
            }], selectedApprover: [{
                type: Output
            }] } });

class ApprovalCreateFormComponent {
    constructor(authService, policyService) {
        this.authService = authService;
        this.policyService = policyService;
        this.ASSETS = ASSETS;
        this.enableApprovalCreate = false;
        this.enableApprovalLevel = false;
        this.enablePolicyCategory = false;
        this.workflowName = '';
        this.selectApprovalPayload = [];
        this.createApprovalPayload = [];
        this.approvalWorkflows = [];
        this.filteredCategory = [];
        this.levels = 1;
        this.categoryConfig = {
            panelTitle: 'Select Category',
            floatingTextSingular: 'Category selected',
            floatingTextPlural: 'Categories selected',
            searchPlaceholder: 'Search Category',
            searchEnabled: true,
            selectAllEnabled: true,
            workflow: 'policy',
        };
        this.selectedCat = [];
        this.editApprovalData = [];
        this.editIndex = -1;
        this.createDescription = '';
        this.selectedCategoryId = [];
        this.isSaving = false;
        this.mode = 'CREATE';
        this.saveApprovalWorkflow = new EventEmitter();
        this.closeCreateClicked = new EventEmitter();
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add a description for this approval workflow',
        };
    }
    ngOnInit() {
        if (this.mode == 'EDIT') {
            this.populateApprover();
        }
        if (this.editWorkflowLevel?.editLevel) {
            this.editApproval(this.editWorkflowLevel?.editLevel, this.editWorkflowLevel?.index);
        }
        if (this.enableCreateForm) {
            this.enableApprovalCreate = true;
        }
    }
    createApprovalAction(event) {
        if (event.toLowerCase() === 'approval') {
            this.enableApprovalCreate = true;
        }
    }
    addLevelsClicked(event) {
        this.enableApprovalLevel = event;
        if (event)
            this.levels++;
    }
    getCategoryId(category) {
        this.selectedCategoryId = category.map((cat) => cat.item_id);
    }
    saveCategoryList(event) {
        this.selectedCat = event;
        this.filterSelectedCategory(event);
        this.enablePolicyCategory = false;
    }
    filterSelectedCategory(selectedCategory) {
        this.filteredCategory = this.selectedCategory.filter((category) => selectedCategory.includes(category._id));
        this.getCategoryId(this.filteredCategory);
    }
    removeCategory(event) {
        const categoryIndex = this.filteredCategory.findIndex((category) => category?.item_id === event?.item_id);
        this.filteredCategory?.splice(categoryIndex, 1);
    }
    closeCategoryList() {
        this.enablePolicyCategory = false;
    }
    enableCategory(event) {
        this.enablePolicyCategory = event;
    }
    closeSelectApprover() {
        this.enableApprovalLevel = false;
        this.approvalWorkflows = this.approvalWorkflows.filter((workflow) => workflow.approvers?.length);
        this.levels = this.approvalWorkflows?.length + 1;
    }
    selectedApprover(event) {
        this.selectApprovalPayload = event;
        if (this.editIndex !== -1) {
            this.approvalWorkflows?.splice(this.editIndex, 1);
            this.approvalWorkflows?.splice(this.editIndex, 0, event[0]);
            this.editIndex = -1;
            this.editApprovalData = [];
        }
        else {
            this.approvalWorkflows.push(event[0]);
        }
        this.approvalWorkflows = this.approvalWorkflows.filter((workflow) => workflow.approvers?.length);
        this.levels = this.approvalWorkflows?.length + 1;
        this.enableApprovalLevel = false;
    }
    deleteLevel(index) {
        this.approvalWorkflows.splice(index, 1);
        this.levels = this.approvalWorkflows?.length + 1;
        for (let i = index; i < this.approvalWorkflows.length; i++) {
            if (this.approvalWorkflows[index]['level1'] ===
                this.approvalWorkflows[index]['alias_name']) {
                this.approvalWorkflows[index]['alias_name'] = `Level ${i + 1}`;
            }
            this.approvalWorkflows[index]['level1'] = `Level ${i + 1}`;
        }
    }
    checkLevel() {
        if (this.levels === 0) {
            this.levels = 1;
        }
    }
    editApproval(approval, index) {
        this.editApprovalData = [approval];
        this.editIndex = index;
        this.enableApprovalLevel = true;
    }
    closeCreateForm() {
        this.closeCreateClicked.emit();
    }
    nextClick() {
        this.removeMemberNameKey();
    }
    removeMemberNameKey() {
        this.approvalWorkflows = this.approvalWorkflows.map(({ approvers, ...rest }) => ({
            ...rest,
            approvers: approvers.map(({ member_name, ...rest }) => ({ ...rest })),
        }));
        this.generatePayload();
    }
    generatePayload() {
        this.isSaving = true;
        this.setDefaultValues();
        const payload = {
            workflow_module: 'POLICY',
            workflow_name: this.workflowName,
            category_id: this.selectedCategoryId,
            approval_workflow: this.approvalWorkflows,
            created_by: this.authService.getMemberId(),
            organisation_id: this.authService.getOrganizationId(),
            delete_flag: 0,
            Is_approval: 1,
            description: {
                attachments: [],
                text: this.createDescription,
            },
        };
        if (this.mode === 'EDIT') {
            this._editWorkflow(payload);
        }
        else {
            this.createNewWorkflow(payload);
        }
    }
    setDefaultValues() {
        const approvers = JSON.parse(JSON.stringify(this.approvalWorkflows));
        this.approvalWorkflows = approvers.map((ele) => {
            ele['approvers'] = ele['approvers'].map((approvers) => {
                approvers['approval_flag'] = false;
                approvers['reject_flag'] = false;
                approvers['remove_flag'] = false;
                return approvers;
            });
            return ele;
        });
    }
    createNewWorkflow(payload) {
        this.policyService.createApprovalWorkflow(payload).subscribe({
            next: (res) => {
                this.isSaving = false;
                this.saveApprovalWorkflow.emit(true);
            },
            error: (err) => {
                console.error(err);
            },
        });
    }
    _editWorkflow(payload) {
        this.policyService
            .editApprovalWorkflow(payload, this.approverDetails._id)
            .subscribe({
            next: (res) => {
                this.isSaving = false;
                this.saveApprovalWorkflow.emit(true);
            },
            error: (err) => {
                console.error(err);
            },
        });
    }
    populateApprover() {
        const { workflow_name, approval_workflow, description, category_arr } = this.approverDetails;
        this.workflowName = workflow_name;
        this.approvalWorkflows = approval_workflow;
        this.createDescription = description?.text ?? '';
        const categoryDetails = category_arr.map((category) => {
            return {
                item_id: category?.cal_category_id,
                item_name: category?.category_name,
                _id: category?._id,
                parent_items: [],
                parent_item_ids: [],
                custom_tags: [],
            };
        });
        this.selectedCategoryId = category_arr.map((category) => category?.cal_category_id);
        this.filteredCategory = categoryDetails;
    }
    closeForm() {
        this.saveApprovalWorkflow.emit();
    }
    deselectUser(approver, index) {
        const removeIndex = this.approvalWorkflows[index]?.approvers.findIndex((ele) => ele?.member_id === approver?.member_id);
        this.approvalWorkflows[index]?.approvers.splice(removeIndex, 1);
        this.approvalWorkflows = this.approvalWorkflows.filter((workflow) => workflow.approvers?.length);
        this.levels = this.approvalWorkflows?.length + 1;
    }
    approvalNameSelection(type, event) {
        this.approvalName = event ? type : '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApprovalCreateFormComponent, deps: [{ token: AuthService$1 }, { token: PolicyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ApprovalCreateFormComponent, selector: "app-approval-create-form", inputs: { mode: "mode", approverDetails: "approverDetails", approverWorkFlowList: "approverWorkFlowList", enableCreateForm: "enableCreateForm", allApprovers: "allApprovers", selectedCategory: "selectedCategory", editWorkflowLevel: "editWorkflowLevel" }, outputs: { saveApprovalWorkflow: "saveApprovalWorkflow", closeCreateClicked: "closeCreateClicked" }, ngImport: i0, template: "<div\n  class=\"approval-workflow-dialog\"\n  *ngIf=\"!enableApprovalLevel && !enablePolicyCategory\"\n>\n  <div\n    class=\"approval-workflow-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      <button (click)=\"closeCreateForm()\" class=\"back-btn vx-p-0 vx-m-0\">\n        <i class=\"icons vx-mr-1\">&#xe91d;</i></button\n      >Select Approval Workflow\n    </div>\n  </div>\n  <div class=\"approval-workflow-dialog-body\">\n    <app-no-data\n      *ngIf=\"!approverWorkFlowList.length && !enableApprovalCreate\"\n      [noDataImage]=\"ASSETS.approval_workflow\"\n      noDataText=\"\n        You did not set any approval workflow.<br><span class='small-text'>Click on the <strong>Create An Approval Workflow</strong> button to begin.</span>\n      \"\n      [noDataButton]=\"'CREATE AN APPROVAL WORKFLOW'\"\n      [button]=\"'approval'\"\n      (buttonAction)=\"createApprovalAction($event)\"\n    ></app-no-data>\n\n    <div\n      *ngIf=\"enableApprovalCreate || enableCreateForm\"\n      class=\"approval-workflow-dialog-body-inner vx-d-flex vx-align-center vx-justify-center\"\n    >\n      <div class=\"approval-workflow-form\">\n        <!-- Workflow Name -->\n        <div class=\"approval-workflow-form-row vx-mb-5\">\n          <div class=\"form-left\">\n            <img [src]=\"ASSETS.what\" />\n          </div>\n          <div class=\"form-right\">\n            <div\n              class=\"label-heading vx-fs-11 vx-fw-500 vx-tt-uppercase vx-tt-uppercase vx-mb-2\"\n            >\n              WORKFLOW NAME <span class=\"required vx-fs-14 vx-fw-500\">*</span>\n            </div>\n            <input\n              *ngIf=\"!workflowName?.length || approvalName === 'name'\"\n              (keydown)=\"approvalName = 'name'\"\n              (focusin)=\"approvalNameSelection('name', true)\"\n              (focusout)=\"approvalNameSelection('name', false)\"\n              class=\"textField\"\n              type=\"text\"\n              [(ngModel)]=\"workflowName\"\n              placeholder=\"Name of the approval workflow\"\n            />\n            <div\n              *ngIf=\"workflowName?.length && approvalName !== 'name'\"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            >\n              <div\n                class=\"selectBoxText vx-fs-13 vx-paragraph-txt\"\n                [appTooltip]=\"workflowName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ workflowName }}\n              </div>\n              <button\n                (click)=\"approvalNameSelection('name', true)\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n            <div class=\"vx-mt-2\">\n              <vcomply-editor\n                [editorConfig]=\"description\"\n                [(ngModel)]=\"createDescription\"\n              ></vcomply-editor>\n            </div>\n          </div>\n        </div>\n\n        <!-- Policy Category -->\n        <div class=\"approval-workflow-form-row vx-mb-5\">\n          <div class=\"form-left\">\n            <img [src]=\"ASSETS.case_category\" />\n          </div>\n          <div class=\"form-right\">\n            <div\n              class=\"label-heading vx-fs-11 vx-fw-500 vx-tt-uppercase vx-tt-uppercase vx-mb-2\"\n            >\n              SELECT POLICY CATEGORY\n              <span class=\"required vx-fs-14 vx-fw-500\">*</span>\n            </div>\n            <div\n              *ngIf=\"filteredCategory?.length === 0\"\n              (click)=\"enableCategory(true)\"\n              class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n              [class.disabled]=\"false\"\n            >\n              <div\n                class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                Select the policy category that this approval<br />workflow\n                applies to\n              </div>\n            </div>\n\n            <div\n              *ngIf=\"filteredCategory?.length > 0\"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-1 vx-pr-2\"\n              >\n                <ng-container\n                  *ngFor=\"\n                    let category of filteredCategory | slice : 0 : 1;\n                    let catIndex = index\n                  \"\n                >\n                  <i\n                    (click)=\"removeCategory(category)\"\n                    class=\"icons cross vx-fs-12 vx-paragraph-txt vx-mr-1\"\n                    >&#xe9ae;</i\n                  >\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"category?.item_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ category?.item_name }}</span\n                  >\n                </ng-container>\n                <button\n                  *ngIf=\"filteredCategory?.length > 1\"\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"policyOwnerPopover.popover()\"\n                  placement=\"right\"\n                >\n                  +{{ filteredCategory?.length - 1 }}\n                </button>\n              </div>\n              <app-popover #policyOwnerPopover [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li *ngFor=\"let category of filteredCategory | slice : 1\">\n                      <div class=\"avatar-card\">\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"category?.item_name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          <i (click)=\"removeCategory(category)\" class=\"icons\"\n                            >&#xe90d;</i\n                          >\n                          {{ category?.item_name }}\n                        </span>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n              <button\n                filteredCategory\n                (click)=\"enableCategory(true)\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n          </div>\n        </div>\n\n        <!-- Approval Workflow -->\n        <div class=\"approval-workflow-form-row vx-mb-5\">\n          <div class=\"form-left\">\n            <img [src]=\"ASSETS.approval\" />\n          </div>\n          <div class=\"form-right\">\n            <div\n              class=\"label-heading vx-fs-11 vx-fw-500 vx-tt-uppercase vx-tt-uppercase vx-mb-2\"\n            >\n              APPROVERS & APPROVAL WORKFLOW\n              <span class=\"required vx-fs-14 vx-fw-500\">*</span>\n            </div>\n            <div\n              *ngIf=\"approvalWorkflows?.length === 0\"\n              (click)=\"addLevelsClicked(true)\"\n              class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n              [class.disabled]=\"false\"\n            >\n              <div\n                class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                Select approvers and select the order of approval\n              </div>\n            </div>\n            <ng-container *ngIf=\"approvalWorkflows?.length > 0\">\n              <div\n                *ngFor=\"\n                  let approvalWorkflow of approvalWorkflows;\n                  let i = index\n                \"\n                class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n              >\n                <div class=\"vx-d-flex vx-align-center\">\n                  <div class=\"level-left vx-d-flex vx-align-center\">\n                    <div class=\"vx-d-block\">\n                      <div\n                        class=\"level-name vx-fs-9 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-3\"\n                        [appTooltip]=\"approvalWorkflow?.alias_name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ approvalWorkflow?.alias_name }}\n                      </div>\n                      <div\n                        class=\"vx-fs-9 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3\"\n                      >\n                        <!-- {{ approvalWorkflow?.type }} -->\n                        {{\n                          (approvalWorkflow?.type | lowercase) === \"roundrobin\"\n                            ? \"ROUND-ROBIN\"\n                            : (approvalWorkflow?.type | lowercase) === \"anyone\"\n                            ? \"ANY ONE\"\n                            : approvalWorkflow?.type\n                        }}\n                      </div>\n                    </div>\n                  </div>\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-1 vx-pr-2 vx-ml-2\"\n                  >\n                    <i\n                      (click)=\"deselectUser(approvalWorkflow?.approvers[0], i)\"\n                      class=\"icons cross vx-fs-12 vx-paragraph-txt vx-mr-1\"\n                      >&#xe9ae;</i\n                    >\n                    <div\n                      *ngIf=\"\n                        approvalWorkflow?.type?.toLowerCase() ===\n                          'sequential' &&\n                        approvalWorkflow?.approvers?.length < 2\n                      \"\n                      class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                    >\n                      {{\n                        1 == approvalWorkflow?.approvers?.length ? \"Final\" : 1\n                      }}\n                    </div>\n                    <div\n                      *ngIf=\"\n                        approvalWorkflow?.approvers?.length > 1 &&\n                        approvalWorkflow?.type?.toLowerCase() === 'sequential'\n                      \"\n                      class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                    >\n                      1\n                    </div>\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"approvalWorkflow?.approvers[0]?.member_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{ approvalWorkflow?.approvers[0]?.member_name }}</span\n                    >\n                    <button\n                      *ngIf=\"approvalWorkflow?.approvers?.length > 1\"\n                      class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                      appPopover\n                      (click)=\"workflowPopover.popover()\"\n                      placement=\"right\"\n                    >\n                      + {{ approvalWorkflow?.approvers?.length - 1 }}\n                    </button>\n                  </div>\n                  <app-popover #workflowPopover [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let approver of approvalWorkflow?.approvers\n                              | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"approver?.member_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                            >\n                              <i\n                                (click)=\"deselectUser(approver, i)\"\n                                class=\"icons\"\n                                >&#xe90d;</i\n                              >\n                              <span\n                                *ngIf=\"\n                                  approvalWorkflow?.type?.toLowerCase() ===\n                                  'sequential'\n                                \"\n                                class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                                >{{\n                                  j + 1 ===\n                                  approvalWorkflow?.approvers?.length - 1\n                                    ? \"Final\"\n                                    : j + 2\n                                }}</span\n                              >\n                              {{ approver?.member_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n\n                <div class=\"vx-d-flex vx-align-center\">\n                  <button\n                    (click)=\"editApproval(approvalWorkflow, i)\"\n                    class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                  >\n                    <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n                  </button>\n                  <button\n                    (click)=\"deleteLevel(i)\"\n                    class=\"deleteBtn vx-fs-11 vx-fw-600 vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"\n                  >\n                    <i class=\"icons vx-mr-1\">&#xe9ae;</i> DELETE\n                  </button>\n                </div>\n              </div>\n            </ng-container>\n\n            <button\n              *ngIf=\"approvalWorkflows?.length > 0\"\n              (click)=\"addLevelsClicked(true)\"\n              class=\"addMoreBtn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-mt-1\"\n            >\n              + ADD MORE LEVELS\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <vui-floating-bar\n      *ngIf=\"enableApprovalCreate || enableCreateForm\"\n      [nextDisabled]=\"\n        workflowName?.trim() === '' ||\n        approvalWorkflows?.length === 0 ||\n        filteredCategory?.length === 0 ||\n        isSaving\n      \"\n      (closeList)=\"closeCreateForm()\"\n      (closeEvent)=\"nextClick()\"\n    ></vui-floating-bar>\n  </div>\n</div>\n\n<!-- [selectedItems]=\"policyForm.selectedCategories\" -->\n\n<app-select-approvers\n  *ngIf=\"enableApprovalLevel\"\n  [allApprovers]=\"allApprovers\"\n  (closeSelectApprover)=\"closeSelectApprover()\"\n  (selectedApprover)=\"selectedApprover($event)\"\n  [levels]=\"levels\"\n  [editApprovalData]=\"editApprovalData\"\n></app-select-approvers>\n\n<app-checkbox-list\n  *ngIf=\"enablePolicyCategory\"\n  [config]=\"categoryConfig\"\n  [twoColumn]=\"false\"\n  [itemsList]=\"selectedCategory\"\n  [identifierKey]=\"'_id'\"\n  [displayKey]=\"'item_name'\"\n  [tooltipKey]=\"'item_name'\"\n  [loaded]=\"false\"\n  (saveList)=\"saveCategoryList($event)\"\n  (closeList)=\"closeCategoryList()\"\n  [selectedItems]=\"filteredCategory\"\n>\n</app-checkbox-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .approval-workflow-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .approval-workflow-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .approval-workflow-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-dialog-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .approval-workflow-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .approval-workflow-dialog-body-inner{height:calc(100vh - 10.75rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem;padding-right:.5rem;width:calc(100% + .5rem)}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form{width:30.75rem;max-height:calc(100vh - 10.75rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row{position:relative}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left{position:absolute;top:30px;left:0}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left img{width:2.5rem;height:2.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right{padding-left:3.75rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right .label-heading .required{color:#eb2424;position:relative;top:-.125rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right button.addMoreBtn{background:transparent;border-radius:0;border:none}::ng-deep .approval-workflow-dialog-body vui-floating-bar .reviewer-floating-bar{padding:0!important}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: VuiFloatingBarComponent, selector: "vui-floating-bar", inputs: ["selectedData", "groupSelected", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "nextDisabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "workflowTypeChanged"] }, { kind: "component", type: CheckboxListComponent, selector: "app-checkbox-list", inputs: ["itemsList", "selectedItems", "identifierKey", "displayKey", "tooltipKey", "config", "twoColumn", "loaded"], outputs: ["closeList", "saveList"] }, { kind: "component", type: SelectApproversComponent, selector: "app-select-approvers", inputs: ["allApprovers", "levels", "editApprovalData"], outputs: ["closeSelectApprover", "selectedApprover"] }, { kind: "pipe", type: i1$1.LowerCasePipe, name: "lowercase" }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApprovalCreateFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-approval-create-form', template: "<div\n  class=\"approval-workflow-dialog\"\n  *ngIf=\"!enableApprovalLevel && !enablePolicyCategory\"\n>\n  <div\n    class=\"approval-workflow-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      <button (click)=\"closeCreateForm()\" class=\"back-btn vx-p-0 vx-m-0\">\n        <i class=\"icons vx-mr-1\">&#xe91d;</i></button\n      >Select Approval Workflow\n    </div>\n  </div>\n  <div class=\"approval-workflow-dialog-body\">\n    <app-no-data\n      *ngIf=\"!approverWorkFlowList.length && !enableApprovalCreate\"\n      [noDataImage]=\"ASSETS.approval_workflow\"\n      noDataText=\"\n        You did not set any approval workflow.<br><span class='small-text'>Click on the <strong>Create An Approval Workflow</strong> button to begin.</span>\n      \"\n      [noDataButton]=\"'CREATE AN APPROVAL WORKFLOW'\"\n      [button]=\"'approval'\"\n      (buttonAction)=\"createApprovalAction($event)\"\n    ></app-no-data>\n\n    <div\n      *ngIf=\"enableApprovalCreate || enableCreateForm\"\n      class=\"approval-workflow-dialog-body-inner vx-d-flex vx-align-center vx-justify-center\"\n    >\n      <div class=\"approval-workflow-form\">\n        <!-- Workflow Name -->\n        <div class=\"approval-workflow-form-row vx-mb-5\">\n          <div class=\"form-left\">\n            <img [src]=\"ASSETS.what\" />\n          </div>\n          <div class=\"form-right\">\n            <div\n              class=\"label-heading vx-fs-11 vx-fw-500 vx-tt-uppercase vx-tt-uppercase vx-mb-2\"\n            >\n              WORKFLOW NAME <span class=\"required vx-fs-14 vx-fw-500\">*</span>\n            </div>\n            <input\n              *ngIf=\"!workflowName?.length || approvalName === 'name'\"\n              (keydown)=\"approvalName = 'name'\"\n              (focusin)=\"approvalNameSelection('name', true)\"\n              (focusout)=\"approvalNameSelection('name', false)\"\n              class=\"textField\"\n              type=\"text\"\n              [(ngModel)]=\"workflowName\"\n              placeholder=\"Name of the approval workflow\"\n            />\n            <div\n              *ngIf=\"workflowName?.length && approvalName !== 'name'\"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            >\n              <div\n                class=\"selectBoxText vx-fs-13 vx-paragraph-txt\"\n                [appTooltip]=\"workflowName\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ workflowName }}\n              </div>\n              <button\n                (click)=\"approvalNameSelection('name', true)\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n            <div class=\"vx-mt-2\">\n              <vcomply-editor\n                [editorConfig]=\"description\"\n                [(ngModel)]=\"createDescription\"\n              ></vcomply-editor>\n            </div>\n          </div>\n        </div>\n\n        <!-- Policy Category -->\n        <div class=\"approval-workflow-form-row vx-mb-5\">\n          <div class=\"form-left\">\n            <img [src]=\"ASSETS.case_category\" />\n          </div>\n          <div class=\"form-right\">\n            <div\n              class=\"label-heading vx-fs-11 vx-fw-500 vx-tt-uppercase vx-tt-uppercase vx-mb-2\"\n            >\n              SELECT POLICY CATEGORY\n              <span class=\"required vx-fs-14 vx-fw-500\">*</span>\n            </div>\n            <div\n              *ngIf=\"filteredCategory?.length === 0\"\n              (click)=\"enableCategory(true)\"\n              class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n              [class.disabled]=\"false\"\n            >\n              <div\n                class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                Select the policy category that this approval<br />workflow\n                applies to\n              </div>\n            </div>\n\n            <div\n              *ngIf=\"filteredCategory?.length > 0\"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-1 vx-pr-2\"\n              >\n                <ng-container\n                  *ngFor=\"\n                    let category of filteredCategory | slice : 0 : 1;\n                    let catIndex = index\n                  \"\n                >\n                  <i\n                    (click)=\"removeCategory(category)\"\n                    class=\"icons cross vx-fs-12 vx-paragraph-txt vx-mr-1\"\n                    >&#xe9ae;</i\n                  >\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"category?.item_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ category?.item_name }}</span\n                  >\n                </ng-container>\n                <button\n                  *ngIf=\"filteredCategory?.length > 1\"\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"policyOwnerPopover.popover()\"\n                  placement=\"right\"\n                >\n                  +{{ filteredCategory?.length - 1 }}\n                </button>\n              </div>\n              <app-popover #policyOwnerPopover [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li *ngFor=\"let category of filteredCategory | slice : 1\">\n                      <div class=\"avatar-card\">\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"category?.item_name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          <i (click)=\"removeCategory(category)\" class=\"icons\"\n                            >&#xe90d;</i\n                          >\n                          {{ category?.item_name }}\n                        </span>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n              <button\n                filteredCategory\n                (click)=\"enableCategory(true)\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n          </div>\n        </div>\n\n        <!-- Approval Workflow -->\n        <div class=\"approval-workflow-form-row vx-mb-5\">\n          <div class=\"form-left\">\n            <img [src]=\"ASSETS.approval\" />\n          </div>\n          <div class=\"form-right\">\n            <div\n              class=\"label-heading vx-fs-11 vx-fw-500 vx-tt-uppercase vx-tt-uppercase vx-mb-2\"\n            >\n              APPROVERS & APPROVAL WORKFLOW\n              <span class=\"required vx-fs-14 vx-fw-500\">*</span>\n            </div>\n            <div\n              *ngIf=\"approvalWorkflows?.length === 0\"\n              (click)=\"addLevelsClicked(true)\"\n              class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n              [class.disabled]=\"false\"\n            >\n              <div\n                class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                Select approvers and select the order of approval\n              </div>\n            </div>\n            <ng-container *ngIf=\"approvalWorkflows?.length > 0\">\n              <div\n                *ngFor=\"\n                  let approvalWorkflow of approvalWorkflows;\n                  let i = index\n                \"\n                class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n              >\n                <div class=\"vx-d-flex vx-align-center\">\n                  <div class=\"level-left vx-d-flex vx-align-center\">\n                    <div class=\"vx-d-block\">\n                      <div\n                        class=\"level-name vx-fs-9 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-3\"\n                        [appTooltip]=\"approvalWorkflow?.alias_name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ approvalWorkflow?.alias_name }}\n                      </div>\n                      <div\n                        class=\"vx-fs-9 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3\"\n                      >\n                        <!-- {{ approvalWorkflow?.type }} -->\n                        {{\n                          (approvalWorkflow?.type | lowercase) === \"roundrobin\"\n                            ? \"ROUND-ROBIN\"\n                            : (approvalWorkflow?.type | lowercase) === \"anyone\"\n                            ? \"ANY ONE\"\n                            : approvalWorkflow?.type\n                        }}\n                      </div>\n                    </div>\n                  </div>\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-1 vx-pr-2 vx-ml-2\"\n                  >\n                    <i\n                      (click)=\"deselectUser(approvalWorkflow?.approvers[0], i)\"\n                      class=\"icons cross vx-fs-12 vx-paragraph-txt vx-mr-1\"\n                      >&#xe9ae;</i\n                    >\n                    <div\n                      *ngIf=\"\n                        approvalWorkflow?.type?.toLowerCase() ===\n                          'sequential' &&\n                        approvalWorkflow?.approvers?.length < 2\n                      \"\n                      class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                    >\n                      {{\n                        1 == approvalWorkflow?.approvers?.length ? \"Final\" : 1\n                      }}\n                    </div>\n                    <div\n                      *ngIf=\"\n                        approvalWorkflow?.approvers?.length > 1 &&\n                        approvalWorkflow?.type?.toLowerCase() === 'sequential'\n                      \"\n                      class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                    >\n                      1\n                    </div>\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"approvalWorkflow?.approvers[0]?.member_name\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{ approvalWorkflow?.approvers[0]?.member_name }}</span\n                    >\n                    <button\n                      *ngIf=\"approvalWorkflow?.approvers?.length > 1\"\n                      class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                      appPopover\n                      (click)=\"workflowPopover.popover()\"\n                      placement=\"right\"\n                    >\n                      + {{ approvalWorkflow?.approvers?.length - 1 }}\n                    </button>\n                  </div>\n                  <app-popover #workflowPopover [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let approver of approvalWorkflow?.approvers\n                              | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"approver?.member_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                            >\n                              <i\n                                (click)=\"deselectUser(approver, i)\"\n                                class=\"icons\"\n                                >&#xe90d;</i\n                              >\n                              <span\n                                *ngIf=\"\n                                  approvalWorkflow?.type?.toLowerCase() ===\n                                  'sequential'\n                                \"\n                                class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                                >{{\n                                  j + 1 ===\n                                  approvalWorkflow?.approvers?.length - 1\n                                    ? \"Final\"\n                                    : j + 2\n                                }}</span\n                              >\n                              {{ approver?.member_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n\n                <div class=\"vx-d-flex vx-align-center\">\n                  <button\n                    (click)=\"editApproval(approvalWorkflow, i)\"\n                    class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                  >\n                    <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n                  </button>\n                  <button\n                    (click)=\"deleteLevel(i)\"\n                    class=\"deleteBtn vx-fs-11 vx-fw-600 vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"\n                  >\n                    <i class=\"icons vx-mr-1\">&#xe9ae;</i> DELETE\n                  </button>\n                </div>\n              </div>\n            </ng-container>\n\n            <button\n              *ngIf=\"approvalWorkflows?.length > 0\"\n              (click)=\"addLevelsClicked(true)\"\n              class=\"addMoreBtn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-mt-1\"\n            >\n              + ADD MORE LEVELS\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <vui-floating-bar\n      *ngIf=\"enableApprovalCreate || enableCreateForm\"\n      [nextDisabled]=\"\n        workflowName?.trim() === '' ||\n        approvalWorkflows?.length === 0 ||\n        filteredCategory?.length === 0 ||\n        isSaving\n      \"\n      (closeList)=\"closeCreateForm()\"\n      (closeEvent)=\"nextClick()\"\n    ></vui-floating-bar>\n  </div>\n</div>\n\n<!-- [selectedItems]=\"policyForm.selectedCategories\" -->\n\n<app-select-approvers\n  *ngIf=\"enableApprovalLevel\"\n  [allApprovers]=\"allApprovers\"\n  (closeSelectApprover)=\"closeSelectApprover()\"\n  (selectedApprover)=\"selectedApprover($event)\"\n  [levels]=\"levels\"\n  [editApprovalData]=\"editApprovalData\"\n></app-select-approvers>\n\n<app-checkbox-list\n  *ngIf=\"enablePolicyCategory\"\n  [config]=\"categoryConfig\"\n  [twoColumn]=\"false\"\n  [itemsList]=\"selectedCategory\"\n  [identifierKey]=\"'_id'\"\n  [displayKey]=\"'item_name'\"\n  [tooltipKey]=\"'item_name'\"\n  [loaded]=\"false\"\n  (saveList)=\"saveCategoryList($event)\"\n  (closeList)=\"closeCategoryList()\"\n  [selectedItems]=\"filteredCategory\"\n>\n</app-checkbox-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .approval-workflow-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .approval-workflow-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .approval-workflow-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-dialog-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .approval-workflow-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .approval-workflow-dialog-body-inner{height:calc(100vh - 10.75rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem;padding-right:.5rem;width:calc(100% + .5rem)}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form{width:30.75rem;max-height:calc(100vh - 10.75rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row{position:relative}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left{position:absolute;top:30px;left:0}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left img{width:2.5rem;height:2.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right{padding-left:3.75rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right .label-heading .required{color:#eb2424;position:relative;top:-.125rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right button.addMoreBtn{background:transparent;border-radius:0;border:none}::ng-deep .approval-workflow-dialog-body vui-floating-bar .reviewer-floating-bar{padding:0!important}\n"] }]
        }], ctorParameters: function () { return [{ type: AuthService$1 }, { type: PolicyService }]; }, propDecorators: { mode: [{
                type: Input
            }], approverDetails: [{
                type: Input
            }], approverWorkFlowList: [{
                type: Input
            }], enableCreateForm: [{
                type: Input
            }], allApprovers: [{
                type: Input
            }], selectedCategory: [{
                type: Input
            }], editWorkflowLevel: [{
                type: Input
            }], saveApprovalWorkflow: [{
                type: Output
            }], closeCreateClicked: [{
                type: Output
            }] } });

class ApprovalWorkflowComponent {
    constructor() {
        this.hideDetails = false;
        this.enableCreateForm = false;
        this.createApprovalClick = false;
        this.selectedWorkflowNext = new EventEmitter();
        this.listCancelClicked = new EventEmitter();
        this.saveApprovalWorkflow = new EventEmitter();
        this.closeCreateClicked = new EventEmitter();
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add a description for this policy',
        };
        this.mode = 'CREATE';
    }
    ngOnInit() {
        if (this.createApprovalClick) {
            this.enableCreateForm = true;
        }
        if (this.editWorkflowLevel.editLevel) {
            this.enableCreateForm = true;
        }
    }
    showDetails() {
        this.hideDetails = !this.hideDetails;
    }
    createApprovalClicked(event) {
        this.enableCreateForm = event;
    }
    cancelClicked(event) {
        this.enableCreateForm = false;
        this.listCancelClicked.emit(event);
    }
    nextClicked(event) {
        this.selectedWorkflowNext.emit(event);
    }
    approvalWorkflowAPICalled(event) {
        this.enableCreateForm = false;
        this.saveApprovalWorkflow.emit(event);
    }
    onApprovalEdit(event) {
        this.enableCreateForm = true;
        this.mode = 'EDIT';
        this.approverDetails = event;
    }
    closeCreateFormClicked() {
        this.closeCreateClicked.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApprovalWorkflowComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ApprovalWorkflowComponent, selector: "app-approval-workflow", inputs: { approverWorkFlowList: "approverWorkFlowList", allApprovers: "allApprovers", selectedCategory: "selectedCategory", editApprovalWorkflow: "editApprovalWorkflow", createApprovalClick: "createApprovalClick", editWorkflowLevel: "editWorkflowLevel" }, outputs: { selectedWorkflowNext: "selectedWorkflowNext", listCancelClicked: "listCancelClicked", saveApprovalWorkflow: "saveApprovalWorkflow", closeCreateClicked: "closeCreateClicked" }, ngImport: i0, template: "<app-approval-workflow-list\n  *ngIf=\"approverWorkFlowList.length && !enableCreateForm\"\n  [approverWorkFlowList]=\"approverWorkFlowList\"\n  (createApprovalClicked)=\"createApprovalClicked($event)\"\n  (selectedWorkflowNext)=\"nextClicked($event)\"\n  (listCancelClicked)=\"cancelClicked($event)\"\n  (onApprovalEdit)=\"onApprovalEdit($event)\"\n  [editApprovalWorkflow]=\"editApprovalWorkflow\"\n></app-approval-workflow-list>\n<app-approval-create-form\n  *ngIf=\"!approverWorkFlowList.length || enableCreateForm\"\n  [selectedCategory]=\"selectedCategory\"\n  [approverWorkFlowList]=\"approverWorkFlowList\"\n  [enableCreateForm]=\"enableCreateForm\"\n  [allApprovers]=\"allApprovers\"\n  [mode]=\"mode\"\n  [approverDetails]=\"approverDetails\"\n  (saveApprovalWorkflow)=\"approvalWorkflowAPICalled($event)\"\n  (closeCreateClicked) = closeCreateFormClicked()\n  [editWorkflowLevel]=\"editWorkflowLevel\"\n></app-approval-create-form>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .approval-workflow-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .approval-workflow-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .approval-workflow-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .approval-workflow-dialog-body-inner{height:calc(100vh - 10.75rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem;padding-right:.5rem;width:calc(100% + .5rem)}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form{width:30.75rem;max-height:calc(100vh - 10.75rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row{position:relative}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left{position:absolute;top:30px;left:0}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left img{width:2.5rem;height:2.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right{padding-left:3.75rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right .label-heading .required{color:#eb2424;position:relative;top:-.125rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right button.addMoreBtn{background:transparent;border-radius:0;border:none}::ng-deep .approval-workflow-dialog-body-inner .approval-table-head{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .approval-workflow-dialog-body-inner .approval-table-head .approval-table-row{border-radius:0;border:none;margin-bottom:0}::ng-deep .approval-workflow-dialog-body-inner .approval-table-head .approval-table-row .approval-table-column{color:#161b2f;height:1.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details{border:1px solid #f1f1f1;border-radius:0 0 .25rem .25rem;padding:1rem 2rem 0;margin-bottom:.25rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item button.details-chip-count{background:#fff;border-radius:.125rem;border:1px solid #f1f1f1;min-width:1.5rem;height:1.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item{border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area{width:4.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area .lavel-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-chips{width:calc(100% - 4.5rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row{border-radius:.25rem;border:1px solid #f1f1f1;display:flex;align-items:center;position:relative;margin-bottom:.25rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row.clickable{cursor:pointer}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row button.create-approval-btn{background:transparent;border-radius:0;border:none;position:absolute;top:.25rem;right:0}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row:hover .approval-table-column.serial app-cs-radio,::ng-deep .approval-workflow-dialog-body-inner .approval-table-row.active .approval-table-column.serial app-cs-radio{opacity:1}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row.open{border-radius:.25rem .25rem 0 0;border-bottom:none;margin-bottom:0}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column{color:#747576;height:40px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial.serial app-cs-radio{position:absolute;top:12px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.workflow{width:calc(100% - 96px);min-width:calc(100% - 96px)}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.workflow .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 3rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action button.more-action,::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action button.arrow{background:transparent;border:none;border-radius:0;height:100%;width:100%}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .approval-workflow-dialog-body vui-floating-bar .reviewer-floating-bar{padding:0!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: ApprovalWorkflowListComponent, selector: "app-approval-workflow-list", inputs: ["approverWorkFlowList", "editApprovalWorkflow"], outputs: ["createApprovalClicked", "listCancelClicked", "selectedWorkflowNext", "onApprovalEdit"] }, { kind: "component", type: ApprovalCreateFormComponent, selector: "app-approval-create-form", inputs: ["mode", "approverDetails", "approverWorkFlowList", "enableCreateForm", "allApprovers", "selectedCategory", "editWorkflowLevel"], outputs: ["saveApprovalWorkflow", "closeCreateClicked"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ApprovalWorkflowComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-approval-workflow', template: "<app-approval-workflow-list\n  *ngIf=\"approverWorkFlowList.length && !enableCreateForm\"\n  [approverWorkFlowList]=\"approverWorkFlowList\"\n  (createApprovalClicked)=\"createApprovalClicked($event)\"\n  (selectedWorkflowNext)=\"nextClicked($event)\"\n  (listCancelClicked)=\"cancelClicked($event)\"\n  (onApprovalEdit)=\"onApprovalEdit($event)\"\n  [editApprovalWorkflow]=\"editApprovalWorkflow\"\n></app-approval-workflow-list>\n<app-approval-create-form\n  *ngIf=\"!approverWorkFlowList.length || enableCreateForm\"\n  [selectedCategory]=\"selectedCategory\"\n  [approverWorkFlowList]=\"approverWorkFlowList\"\n  [enableCreateForm]=\"enableCreateForm\"\n  [allApprovers]=\"allApprovers\"\n  [mode]=\"mode\"\n  [approverDetails]=\"approverDetails\"\n  (saveApprovalWorkflow)=\"approvalWorkflowAPICalled($event)\"\n  (closeCreateClicked) = closeCreateFormClicked()\n  [editWorkflowLevel]=\"editWorkflowLevel\"\n></app-approval-create-form>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .approval-workflow-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .approval-workflow-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .approval-workflow-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .approval-workflow-dialog-body-inner{height:calc(100vh - 10.75rem);overflow:hidden;overflow-y:auto;margin-bottom:1rem;padding-right:.5rem;width:calc(100% + .5rem)}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .approval-workflow-dialog-body-inner::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form{width:30.75rem;max-height:calc(100vh - 10.75rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row{position:relative}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left{position:absolute;top:30px;left:0}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-left img{width:2.5rem;height:2.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right{padding-left:3.75rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right .label-heading .required{color:#eb2424;position:relative;top:-.125rem}::ng-deep .approval-workflow-dialog-body-inner .approval-workflow-form-row .form-right button.addMoreBtn{background:transparent;border-radius:0;border:none}::ng-deep .approval-workflow-dialog-body-inner .approval-table-head{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .approval-workflow-dialog-body-inner .approval-table-head .approval-table-row{border-radius:0;border:none;margin-bottom:0}::ng-deep .approval-workflow-dialog-body-inner .approval-table-head .approval-table-row .approval-table-column{color:#161b2f;height:1.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details{border:1px solid #f1f1f1;border-radius:0 0 .25rem .25rem;padding:1rem 2rem 0;margin-bottom:.25rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item button.details-chip-count{background:#fff;border-radius:.125rem;border:1px solid #f1f1f1;min-width:1.5rem;height:1.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item{border-bottom:1px solid #f1f1f1}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area{width:4.5rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-area .lavel-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-body .approval-table-details .details-item .approver-item .lavel-chips{width:calc(100% - 4.5rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row{border-radius:.25rem;border:1px solid #f1f1f1;display:flex;align-items:center;position:relative;margin-bottom:.25rem}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row.clickable{cursor:pointer}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row button.create-approval-btn{background:transparent;border-radius:0;border:none;position:absolute;top:.25rem;right:0}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row:hover .approval-table-column.serial app-cs-radio,::ng-deep .approval-workflow-dialog-body-inner .approval-table-row.active .approval-table-column.serial app-cs-radio{opacity:1}::ng-deep .approval-workflow-dialog-body-inner .approval-table-row.open{border-radius:.25rem .25rem 0 0;border-bottom:none;margin-bottom:0}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column{color:#747576;height:40px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.serial.serial app-cs-radio{position:absolute;top:12px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.workflow{width:calc(100% - 96px);min-width:calc(100% - 96px)}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.workflow .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 3rem)}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action button.more-action,::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action button.arrow{background:transparent;border:none;border-radius:0;height:100%;width:100%}::ng-deep .approval-workflow-dialog-body-inner .approval-table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .approval-workflow-dialog-body vui-floating-bar .reviewer-floating-bar{padding:0!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { approverWorkFlowList: [{
                type: Input
            }], allApprovers: [{
                type: Input
            }], selectedCategory: [{
                type: Input
            }], editApprovalWorkflow: [{
                type: Input
            }], createApprovalClick: [{
                type: Input
            }], editWorkflowLevel: [{
                type: Input
            }], selectedWorkflowNext: [{
                type: Output
            }], listCancelClicked: [{
                type: Output
            }], saveApprovalWorkflow: [{
                type: Output
            }], closeCreateClicked: [{
                type: Output
            }] } });

class PolicyAccessComponent {
    constructor() {
        this.ASSETS = ASSETS;
        this.policyAccessType = 0;
        this.orgUsersList = [];
        this.groupList = [];
        this.selectedUsers = [];
        this.selectedGroups = [];
        this.disabledIds = [];
        this.usersAccessList = [];
        this.groupsAccessList = [];
        this.disabledGroupIds = [];
        this.futureUsersWillSelect = false;
        this.close = new EventEmitter();
        this.saveCheckPoint = new EventEmitter();
        this.setPolicyAccessType = new EventEmitter();
        this.isConfirmationAlertVisible = false;
    }
    ngOnInit() { }
    setAccessField(event) {
        this.policyAccessType = event;
        this.selectedGroups = [];
        if (event === 1) {
            this.selectedUsers = [];
        }
    }
    disableSelector() {
        this.close.emit();
    }
    saveSelectedUsers(event) {
        if (event?.futureUsersWillSelect) {
            this.isConfirmationAlertVisible = event?.futureUsersWillSelect;
            this.selectedUsersDetailsOnNext = event;
        }
        else {
            this.saveCheckPoint.emit(event);
            this.setPolicyAccessType.emit(this.policyAccessType);
        }
    }
    saveChanges(event) {
        this.isConfirmationAlertVisible = false;
        if (event) {
            this.saveCheckPoint.emit(this.selectedUsersDetailsOnNext);
            this.setPolicyAccessType.emit(this.policyAccessType);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyAccessComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PolicyAccessComponent, selector: "app-policy-access", inputs: { policyAccessType: "policyAccessType", SelectedCategory: "SelectedCategory", orgUsersList: "orgUsersList", groupList: "groupList", selectedUsers: "selectedUsers", selectedGroups: "selectedGroups", disabledIds: "disabledIds", usersAccessList: "usersAccessList", groupsAccessList: "groupsAccessList", disabledGroupIds: "disabledGroupIds", futureUsersWillSelect: "futureUsersWillSelect" }, outputs: { close: "close", saveCheckPoint: "saveCheckPoint", setPolicyAccessType: "setPolicyAccessType" }, ngImport: i0, template: "<div class=\"policy-access-dialog\">\n  <div\n    class=\"policy-access-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Specify Policy Portal Access Type\n    </div>\n  </div>\n  <div class=\"policy-access-dialog-body\">\n    <div class=\"policy-access-dialog-body-inner\">\n      <!-- Step 1 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 1: ACCESS TYPE <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n          <app-cs-radio\n            [name]=\"'policyAccessType'\"\n            [checked]=\"policyAccessType === 0\"\n            (checkedEvent)=\"setAccessField(0)\"\n          >\n            <div\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.select_users\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  EVERYONE WHO HAS ACCESS TO THIS POLICY CATEGORY\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'If selected, this policy will be visible to all users selected as authors, approvers and category owners of the policy categories linked with this policy.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-radio\n            [name]=\"'policyAccessType'\"\n            [checked]=\"policyAccessType === 1\"\n            (checkedEvent)=\"setAccessField(1)\"\n          >\n            <div\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.everyone_as_per_category\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  SELECT USERS & GROUPS\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'This option allows you to specify users or groups that can view this policy, This is the list of all users within your VComply account.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n        </div>\n      </div>\n\n      <!-- Step 2 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 2: SELECT USER(S) <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"approvers-user-group\">\n          <user-group-list\n            *ngIf=\"policyAccessType === 0\"\n            [userlist]=\"orgUsersList\"\n            [groupEnabled]=\"true\"\n            [isGroupTabShow]=\"true\"\n            [selectedUsers]=\"usersAccessList\"\n            [selectedGroups]=\"groupsAccessList\"\n            [disabledIds]=\"disabledIds\"\n            [nonRemovableUserIds]=\"disabledIds\"\n            [nonRemovableGroupIds]=\"disabledGroupIds\"\n            [groupList]=\"groupsAccessList\"\n            [allUserSelectedDisabled]=\"true\"\n            [showFutureUsersSwitch]=\"false\"\n            [isAllDisabled]=\"true\"\n            (cancel)=\"disableSelector()\"\n            (save)=\"saveSelectedUsers($event)\"\n          ></user-group-list>\n\n          <user-group-list\n            *ngIf=\"policyAccessType === 1\"\n            [userlist]=\"orgUsersList\"\n            [groupEnabled]=\"true\"\n            [groupList]=\"groupList\"\n            [selectedUsers]=\"selectedUsers\"\n            [selectedGroups]=\"selectedGroups\"\n            [showFutureUsersSwitch]=\"true\"\n            [futureUsersWillSelect]=\"futureUsersWillSelect\"\n            (cancel)=\"disableSelector()\"\n            (save)=\"saveSelectedUsers($event)\"\n          ></user-group-list>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"policy-access-dialog-confirmation\"\n    *ngIf=\"isConfirmationAlertVisible\"\n  >\n    <div class=\"confirmation-top\">\n      <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n      <div class=\"text\">\n        The policies that you intend to make accessible to the entire\n        organization can be added to the policy portal. It is like a shared\n        catalog of all active & updated policies that any logged in user can\n        read/ download for reference. Hence, if this option is enabled, it is\n        not necessary for you to set up an attestation schedule or select\n        readers to attest the policies.\n      </div>\n    </div>\n    <div class=\"confirmation-bottom\">\n      <div class=\"message\">Are you sure you would like to proceed?</div>\n      <div class=\"button-group\">\n        <button class=\"no-btn\" (click)=\"saveChanges(false)\">NO</button>\n        <button class=\"yes-btn\" (click)=\"saveChanges(true)\">YES</button>\n      </div>\n    </div>\n  </div>\n</div>\n\n<!-- [selectedUsers]=\"policyForm.CCFailEmail\"\n[selectedGroups]=\"policyForm.CCFailEmailGroup\"\n(save)=\"saveSelectedList('ccFail', $event)\" -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .policy-access-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .policy-access-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .policy-access-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .policy-access-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem;overflow:hidden}::ng-deep .policy-access-dialog-body-inner{height:calc(100vh - 6.75rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio{width:calc(50% - .25rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item{width:100%}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radio,::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radiomark{display:none!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value{margin-left:0!important;max-width:100%!important;width:100%}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type{border-radius:.25rem;border:1px solid #dbdbdb;width:100%}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type img{height:2rem;margin-right:.75rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .circle-selection{border-radius:50%;border:1px solid #dbdbdb;display:block;width:1rem;min-width:1rem;height:1rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .ckeck-selection{color:#34aa44;display:none}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type{background:#eefcf0;border:1px solid #34AA44}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .circle-selection{display:none}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .ckeck-selection{display:block}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list{position:static!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list:before{display:none!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-head{display:none!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body{padding:0!important;height:auto!important;margin-bottom:1rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body-inner{border-radius:.25rem;border:1px solid #dbdbdb;margin-bottom:1rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-tab{border-bottom:1px solid #dbdbdb;padding:.75rem .75rem 0}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block{padding:0 .75rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block i{left:1.75rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-mid{padding:0 .75rem;width:100%;height:calc(100vh - 24.4rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-mid{height:calc(100vh - 25.95rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-footer vui-floating-bar .reviewer-floating-bar{padding:0!important}::ng-deep .policy-access-dialog-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .policy-access-dialog-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .policy-access-dialog-confirmation .confirmation-top .icon-block{height:2.25rem;min-width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .policy-access-dialog-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .policy-access-dialog-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}::ng-deep .policy-access-dialog-confirmation.error-confirmation{background:#eb2424}::ng-deep .policy-access-dialog-confirmation.error-confirmation .confirmation-top{justify-content:space-between}::ng-deep .policy-access-dialog-confirmation.error-confirmation .confirmation-top button{height:1.5rem;width:3rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .policy-access-dialog-confirmation.error-confirmation .confirmation-top button.ok-btn{background:#fff;color:#eb2424;margin-left:.25rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: UserGroupListComponent, selector: "user-group-list", inputs: ["groupEnabled", "panelTitle", "singleSelect", "selectedReviewer", "featureflag", "reviewerWorkflowType", "mode", "fieldType", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds", "FromProgram", "userListInfo", "groupListInfo", "fromApprovalWorkflow", "approvalType", "showFutureUsersSwitch", "futureUsersWillSelect", "isAllDisabled", "isGroupTabShow", "disabledIds", "nonRemovableUserIds", "allUserSelectedDisabled", "nonRemovableGroupIds", "loading", "userlist", "selectedUsers", "defaultSelectedUsers", "userType", "groupList", "selectedGroups"], outputs: ["save", "cancel", "reviewerWorkflowTypeChange", "fetchUserData"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyAccessComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-policy-access', template: "<div class=\"policy-access-dialog\">\n  <div\n    class=\"policy-access-dialog-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      Specify Policy Portal Access Type\n    </div>\n  </div>\n  <div class=\"policy-access-dialog-body\">\n    <div class=\"policy-access-dialog-body-inner\">\n      <!-- Step 1 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 1: ACCESS TYPE <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n          <app-cs-radio\n            [name]=\"'policyAccessType'\"\n            [checked]=\"policyAccessType === 0\"\n            (checkedEvent)=\"setAccessField(0)\"\n          >\n            <div\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.select_users\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  EVERYONE WHO HAS ACCESS TO THIS POLICY CATEGORY\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'If selected, this policy will be visible to all users selected as authors, approvers and category owners of the policy categories linked with this policy.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n          <app-cs-radio\n            [name]=\"'policyAccessType'\"\n            [checked]=\"policyAccessType === 1\"\n            (checkedEvent)=\"setAccessField(1)\"\n          >\n            <div\n              class=\"approval-type vx-d-flex vx-align-center vx-justify-between vx-p-2 vx-pl-3 vx-pr-3\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <img [src]=\"ASSETS.everyone_as_per_category\" />\n                <div\n                  class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase\"\n                >\n                  SELECT USERS & GROUPS\n                </div>\n                <i\n                  class=\"icons vx-fs-12 vx-txt-blue vx-ml-2\"\n                  [appTooltip]=\"\n                    'This option allows you to specify users or groups that can view this policy, This is the list of all users within your VComply account.'\n                  \"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"white\"\n                  [tooltipMandatory]=\"true\"\n                  >&#xe91f;</i\n                >\n              </div>\n              <div class=\"vx-d-block\">\n                <span class=\"circle-selection\"></span>\n                <i class=\"icons ckeck-selection vx-fs-16\">&#xe949;</i>\n              </div>\n            </div>\n          </app-cs-radio>\n        </div>\n      </div>\n\n      <!-- Step 2 -->\n      <div class=\"approvers-form-group vx-mb-2\">\n        <div class=\"vx-fs-11 vx-fw-500 vx-label-txt vx-tt-uppercase vx-mb-1\">\n          STEP 2: SELECT USER(S) <span class=\"vx-fs-14 vx-txt-red\">*</span>\n        </div>\n        <div class=\"approvers-user-group\">\n          <user-group-list\n            *ngIf=\"policyAccessType === 0\"\n            [userlist]=\"orgUsersList\"\n            [groupEnabled]=\"true\"\n            [isGroupTabShow]=\"true\"\n            [selectedUsers]=\"usersAccessList\"\n            [selectedGroups]=\"groupsAccessList\"\n            [disabledIds]=\"disabledIds\"\n            [nonRemovableUserIds]=\"disabledIds\"\n            [nonRemovableGroupIds]=\"disabledGroupIds\"\n            [groupList]=\"groupsAccessList\"\n            [allUserSelectedDisabled]=\"true\"\n            [showFutureUsersSwitch]=\"false\"\n            [isAllDisabled]=\"true\"\n            (cancel)=\"disableSelector()\"\n            (save)=\"saveSelectedUsers($event)\"\n          ></user-group-list>\n\n          <user-group-list\n            *ngIf=\"policyAccessType === 1\"\n            [userlist]=\"orgUsersList\"\n            [groupEnabled]=\"true\"\n            [groupList]=\"groupList\"\n            [selectedUsers]=\"selectedUsers\"\n            [selectedGroups]=\"selectedGroups\"\n            [showFutureUsersSwitch]=\"true\"\n            [futureUsersWillSelect]=\"futureUsersWillSelect\"\n            (cancel)=\"disableSelector()\"\n            (save)=\"saveSelectedUsers($event)\"\n          ></user-group-list>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"policy-access-dialog-confirmation\"\n    *ngIf=\"isConfirmationAlertVisible\"\n  >\n    <div class=\"confirmation-top\">\n      <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n      <div class=\"text\">\n        The policies that you intend to make accessible to the entire\n        organization can be added to the policy portal. It is like a shared\n        catalog of all active & updated policies that any logged in user can\n        read/ download for reference. Hence, if this option is enabled, it is\n        not necessary for you to set up an attestation schedule or select\n        readers to attest the policies.\n      </div>\n    </div>\n    <div class=\"confirmation-bottom\">\n      <div class=\"message\">Are you sure you would like to proceed?</div>\n      <div class=\"button-group\">\n        <button class=\"no-btn\" (click)=\"saveChanges(false)\">NO</button>\n        <button class=\"yes-btn\" (click)=\"saveChanges(true)\">YES</button>\n      </div>\n    </div>\n  </div>\n</div>\n\n<!-- [selectedUsers]=\"policyForm.CCFailEmail\"\n[selectedGroups]=\"policyForm.CCFailEmailGroup\"\n(save)=\"saveSelectedList('ccFail', $event)\" -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .policy-access-dialog{position:fixed;inset:0 500px 0 0}::ng-deep .policy-access-dialog:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .policy-access-dialog-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .policy-access-dialog-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem;overflow:hidden}::ng-deep .policy-access-dialog-body-inner{height:calc(100vh - 6.75rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio{width:calc(50% - .25rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item{width:100%}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radio,::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .radiomark{display:none!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value{margin-left:0!important;max-width:100%!important;width:100%}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type{border-radius:.25rem;border:1px solid #dbdbdb;width:100%}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type img{height:2rem;margin-right:.75rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .circle-selection{border-radius:50%;border:1px solid #dbdbdb;display:block;width:1rem;min-width:1rem;height:1rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item .value .approval-type .ckeck-selection{color:#34aa44;display:none}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type{background:#eefcf0;border:1px solid #34AA44}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .circle-selection{display:none}::ng-deep .policy-access-dialog-body-inner .approvers-form-group app-cs-radio .radio-item input[type=radio]:checked~.value .approval-type .ckeck-selection{display:block}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list{position:static!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list:before{display:none!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-head{display:none!important}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body{padding:0!important;height:auto!important;margin-bottom:1rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body-inner{border-radius:.25rem;border:1px solid #dbdbdb;margin-bottom:1rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-tab{border-bottom:1px solid #dbdbdb;padding:.75rem .75rem 0}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block{padding:0 .75rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .search-block i{left:1.75rem}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-body .user-group-list-mid{padding:0 .75rem;width:100%;height:calc(100vh - 24.4rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-mid{height:calc(100vh - 25.95rem)}::ng-deep .policy-access-dialog-body-inner .approvers-form-group .approvers-user-group user-group-list .user-group-list .user-group-list-footer vui-floating-bar .reviewer-floating-bar{padding:0!important}::ng-deep .policy-access-dialog-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .policy-access-dialog-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .policy-access-dialog-confirmation .confirmation-top .icon-block{height:2.25rem;min-width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .policy-access-dialog-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .policy-access-dialog-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .policy-access-dialog-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}::ng-deep .policy-access-dialog-confirmation.error-confirmation{background:#eb2424}::ng-deep .policy-access-dialog-confirmation.error-confirmation .confirmation-top{justify-content:space-between}::ng-deep .policy-access-dialog-confirmation.error-confirmation .confirmation-top button{height:1.5rem;width:3rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .policy-access-dialog-confirmation.error-confirmation .confirmation-top button.ok-btn{background:#fff;color:#eb2424;margin-left:.25rem}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { policyAccessType: [{
                type: Input
            }], SelectedCategory: [{
                type: Input
            }], orgUsersList: [{
                type: Input
            }], groupList: [{
                type: Input
            }], selectedUsers: [{
                type: Input
            }], selectedGroups: [{
                type: Input
            }], disabledIds: [{
                type: Input
            }], usersAccessList: [{
                type: Input
            }], groupsAccessList: [{
                type: Input
            }], disabledGroupIds: [{
                type: Input
            }], futureUsersWillSelect: [{
                type: Input
            }], close: [{
                type: Output
            }], saveCheckPoint: [{
                type: Output
            }], setPolicyAccessType: [{
                type: Output
            }] } });

class TooltipValidationPipe {
    transform(value, program) {
        value = value?.toString();
        const index = value?.indexOf('<br>');
        if (index == -1) {
            let newVal = value?.replaceAll(/<\/?span[^>]*>/g, "");
            newVal = newVal?.replaceAll("<", "&lt;");
            if (program?.name?.length) {
                newVal = newVal + `<span class='small-text'>WITHIN: ${program?.name?.join(' < ')}</span>`;
            }
            return newVal;
        }
        else {
            return value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TooltipValidationPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: TooltipValidationPipe, name: "tooltipValidation" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TooltipValidationPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'tooltipValidation'
                }]
        }] });

class LinkProgramComponent {
    set getSelectedProgram(program) {
        this.selectedValues = JSON.parse(JSON.stringify(program)) ?? {
            program: {},
            categories: [],
            responsibilities: [],
        };
    }
    //program
    constructor(restApiService, snackbar) {
        this.restApiService = restApiService;
        this.snackbar = snackbar;
        this.animation = false;
        this.ASSETS = ASSETS;
        this.subCategoriesList = {
            from: 1,
            to: 0,
            currentPage: 1,
            totalPage: 0,
            totalRecords: 0,
            data: [],
        };
        this.responsibilitiesList = {
            from: 1,
            to: 0,
            currentPage: 1,
            totalPage: 0,
            totalRecords: 0,
            data: [],
        };
        this.searchText = {
            program: '',
            category: '',
            responsibility: '',
        };
        this.selectedValues = {
            program: {},
            categories: [],
            responsibilities: [],
        };
        this.selectedIds = {
            categories: [],
            responsibilities: [],
        };
        this.submissionLoader = false;
        this.currentCategory = {};
        this.policy = {};
        this.mode = '';
        this.changeTab = new EventEmitter();
        this.updatedProgramDetails = new EventEmitter();
        this.loader = false;
        this.programSortBy = 'desc';
        this.currentList = 'programs';
        this.unsubscribe = new Subject();
        this.save = new EventEmitter();
        this.close = new EventEmitter();
        this.refreshLinkedPolicies = new EventEmitter();
        //program
        this.subList = false;
        this.selectedCategories = [];
        this.selectedLinkProgram = {
            _id: '',
        };
        this.previousSelectedValues = {
            program: {},
            categories: [],
        };
        this.programData = {
            data: [],
            from: 0,
            to: 0,
            totalPages: 0,
            totalRecords: 0,
            currentPage: 1,
            AllInternalControlsProgramsCount: 0,
            AllOthersProgramsCount: 0,
            AllRegulationProgramsCount: 0,
            AllStandardProgramsCount: 0,
            SelectedInternalControlsProgramsCount: 0,
            SelectedOthersProgramsCount: 0,
            SelectedRegulationProgramsCount: 0,
            SelectedStandardProgramsCount: 0,
        };
        this.programTypeObject = {
            regulations: 1,
            standards: 2,
            internal_controls: 3,
            others: 0,
        };
        this.displayConfirmationMessage = false;
        this.activeTab = 'regulations';
        this.getPrograms();
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.currentBusinessCycle = this.restApiService.getBusinessCycle();
    }
    getPrograms(data) {
        this.loader = true;
        let params = new HttpParams();
        // params = params.append('mode', 'complianceCategory/programList');
        params = params.append('programType', this.programTypeObject[this.activeTab]);
        params = params.append('pageName', 'policyWorkroom');
        if (data?.search || this.searchText.program) {
            params = params.append('searchText', this.searchText.program);
        }
        else {
            params = params.append('pageNo', this.programData.currentPage);
        }
        const request = {
            method: 'get',
            action: 'complianceGet',
            params,
        };
        this.restApiService
            .apiDelegate(request, 'complianceCategory/programList')
            .pipe(takeUntil$1(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.programData.data = res.data;
                this.programData.from = res.from;
                this.programData.to = res.to;
                this.programData.totalPages = res.totalPages;
                this.programData.totalRecords = res.totalRecords;
                this.programData.AllInternalControlsProgramsCount =
                    res.AllInternalControlsProgramsCount;
                this.programData.AllOthersProgramsCount = res.AllOthersProgramsCount;
                this.programData.AllRegulationProgramsCount =
                    res.AllRegulationProgramsCount;
                this.programData.AllStandardProgramsCount =
                    res.AllStandardProgramsCount;
                this.loader = false;
            },
            error: (err) => {
                this.loader = false;
            },
        });
    }
    getCategories(data) {
        this.loader = true;
        let params = new HttpParams();
        params = params.append('parentId', this.selectedValues.program?._id);
        if (data?.search) {
            params = params.append('q', this.searchText.category);
        }
        const request = {
            method: 'get',
            action: 'programEndpoint',
            params,
        };
        this.restApiService
            .apiDelegate(request, '/subCategories')
            .pipe(takeUntil$1(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.subCategoriesList.from = res.items_from ?? 1;
                this.subCategoriesList.to = res.items_to ?? 0;
                this.subCategoriesList.totalPage = res.total_pages ?? 0;
                this.subCategoriesList.totalRecords = res.total_items ?? 0;
                this.subCategoriesList.data = res.data ?? [];
                this.loader = false;
            },
            error: (err) => {
                this.loader = false;
            },
        });
    }
    changeTabProgram(type) {
        this.activeTab = type;
        this.programData.currentPage = 1;
        this.searchText.program = '';
        this.searchProgram.nativeElement.value = '';
        this.getPrograms();
    }
    getResponsibilities(data) {
        this.loader = true;
        const request = {
            method: 'get',
            action: 'programEndpoint',
            payloadObject: {
                categoryIds: this.selectedIds?.categories,
                pageNo: this.responsibilitiesList?.currentPage,
                searchText: data?.search ? this.searchText?.responsibility : '',
                pageName: 'policyWorkroom',
            },
        };
        this.restApiService
            .apiDelegate(request, '/categoryResponsibilities')
            .pipe(takeUntil$1(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.loader = false;
                this.responsibilitiesList.from = res.items_from ?? 1;
                this.responsibilitiesList.to = res.items_to ?? 0;
                this.responsibilitiesList.totalPage = res.total_pages ?? 1;
                this.responsibilitiesList.totalRecords = res.total_items ?? 0;
                this.responsibilitiesList.data = res.data ?? [];
            },
            error: (err) => {
                this.loader = false;
            },
        });
    }
    changePage(event, type) {
        switch (type) {
            case 'programs':
                this.programData.currentPage = event;
                this.getPrograms();
                break;
            case 'categories':
                this.subCategoriesList.currentPage = event;
                this.getCategories();
                break;
            case 'responsibilities':
                this.responsibilitiesList.currentPage = event;
                this.getResponsibilities();
                break;
        }
    }
    searchBy(event, type) {
        switch (type) {
            case 'programs':
                if (this.searchText.program != event) {
                    this.searchText.program = event;
                    this.getPrograms({ search: true });
                }
                break;
            case 'categories':
                if (this.searchText.category != event) {
                    this.searchText.category = event;
                    this.getCategories({ search: true });
                }
                break;
            case 'responsibilities':
                if (this.searchText.responsibility != event) {
                    this.searchText.responsibility = event;
                    this.getResponsibilities({ search: true });
                }
                break;
        }
    }
    selectProgram(event, data) {
        if (event) {
            this.selectedValues.program = data;
            this.selectedIds.categories = [];
            this.selectedValues.categories = [];
            this.selectedIds.responsibilities = [];
            this.selectedValues.responsibilities = [];
        }
    }
    selectCategory(event, category) {
        if (event) {
            this.selectedIds.categories.push(category.category_id);
            this.selectedValues.categories.push(category);
        }
        else {
            const index = this.selectedIds.categories.findIndex((element) => element == category.category_id);
            this.selectedIds.categories.splice(index, 1);
            const categoryIndex = this.selectedValues.categories.findIndex((ele) => ele.category_id == category.category_id);
            this.selectedValues.categories.splice(categoryIndex, 1);
        }
    }
    selectResponsibility(event, data) {
        if (event) {
            this.selectedIds.responsibilities.push(data.ReportId);
            this.selectedValues.responsibilities.push(data);
        }
        else {
            const index = this.selectedIds.responsibilities.findIndex((element) => element == data.ReportId);
            this.selectedIds.responsibilities.splice(index, 1);
            const reportIndex = this.selectedValues.responsibilities.findIndex((ele) => ele.ReportId == data.ReportId);
            this.selectedValues.responsibilities.splice(reportIndex, 1);
        }
    }
    goBack(from) {
        if (from) {
            switch (from) {
                case 'categories':
                    this.currentList = 'programs';
                    this.selectedIds.categories = [];
                    break;
                case 'responsibilities':
                    this.currentList = 'categories';
                    this.selectedIds.responsibilities = [];
                    break;
            }
        }
        else {
            this.close.emit();
        }
    }
    remove(type, item) {
        switch (type) {
            case 'programs':
                this.selectedValues.program = {};
                this.selectedValues.categories = [];
                this.selectedValues.responsibilities = [];
                break;
            case 'categories':
                const categoryIndex = this.selectedValues.categories.findIndex((ele) => ele.category_id == item.category_id);
                if (categoryIndex != -1) {
                    this.selectedValues.categories.splice(categoryIndex, 1);
                    this.selectedValues.responsibilities = [];
                }
                const categoryIdIndex = this.selectedIds.categories.findIndex((element) => element == item.category_id);
                if (categoryIdIndex != -1) {
                    this.selectedIds.categories.splice(categoryIdIndex, 1);
                }
                break;
            case 'responsibilities':
                const respIndex = this.selectedValues.responsibilities.findIndex((ele) => ele.ReportId == item.ReportId);
                if (respIndex != -1) {
                    this.selectedValues.responsibilities.splice(respIndex, 1);
                }
                const index = this.selectedIds.responsibilities.findIndex((element) => element == item.ReportId);
                if (index != -1) {
                    this.selectedIds.responsibilities.splice(index, 1);
                }
                break;
        }
    }
    saveChanges(type) {
        switch (type) {
            case 'programs':
                this.currentList = 'categories';
                this.selectedValues.categories = [];
                this.selectedValues.responsibilities = [];
                this.getCategories();
                break;
            case 'categories':
                this.currentList = 'responsibilities';
                this.selectedValues.responsibilities = [];
                this.getResponsibilities();
                break;
            case 'responsibilities':
                this.submitprogramIntegration();
                break;
            case 'programsOnly':
                this.displayConfirmationMessage = true;
                break;
        }
    }
    saveChangesFromProgram(event) {
        if (event) {
            this.displayConfirmationMessage = false;
            this.submitprogramIntegration();
        }
        else {
            this.displayConfirmationMessage = false;
        }
    }
    submitprogramIntegration() {
        // this.submissionLoader = true;
        let params = new HttpParams();
        params = params.append('mode', 'programPolicyUpdate/update');
        const categoryArray = this.selectedIds?.categories;
        const payload = {
            policyId: this.policy?.policy_id ?? 0,
            report_ids: this.selectedIds?.responsibilities ?? 0,
            category_id: [...new Set(categoryArray)],
            parentId: this.selectedValues?.program?.category_id,
        };
        let remove = {};
        if (this.selectedLinkProgram?._id &&
            this.selectedValues?.program?._id !== this.selectedLinkProgram?._id) {
            remove = {
                policyIds: [this.policy?.policy_id ?? 0],
                programId: this.selectedLinkProgram?._id,
            };
        }
        const currentBusinessCycle = {
            start_date: this.currentBusinessCycle?.start_date,
            end_date: this.currentBusinessCycle?.end_date,
            selected_cycle_arr: this.currentBusinessCycle?.selected_cycle_arr,
            selected_cycle: this.currentBusinessCycle?.selected_cycle,
        };
        let linkProgram = {
            added: Object.keys(payload).length ? [payload] : [],
            removed: Object.keys(remove).length ? [remove] : [],
        };
        let selectedProgram = {
            selectedValues: this.selectedValues,
            linkProgram: linkProgram,
            businessCycle: currentBusinessCycle,
        };
        this.updatedProgramDetails.emit(JSON.parse(JSON.stringify(selectedProgram)));
        this.submissionLoader = false;
        const request = {
            method: 'post',
            action: '/compliance_post',
            params,
            data: payload,
            businessCycle: currentBusinessCycle,
        };
        // this.restApiService.apiDelegate(request).pipe(takeUntil(this.unsubscribe)).subscribe({
        //   next: (res: any) => {
        //     this.submissionLoader = false;
        //     this.snackbar.show('The program has been linked with this Policy.', 'success');
        //     setTimeout(() => {
        //       if(this.currentTab != 'linked_programs'){
        //         this.refreshLinkedPolicies.emit();
        //         // this.changeTab.emit();
        //       }
        //       this.close.emit();
        //     }, 1000);
        //   },
        //   error: (err: any) => {
        //     this.submissionLoader = false;
        //     this.snackbar.show("Oops Something went wrong and we were unable to complete this action. Let's give it another try shall we ?");
        //   },
        // });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkProgramComponent, deps: [{ token: RestApiService }, { token: SnackBarService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LinkProgramComponent, selector: "vc-link-program", inputs: { policy: "policy", currentTab: "currentTab", mode: "mode", programsList: "programsList", getSelectedProgram: ["selectedProgram", "getSelectedProgram"], selectedCategories: "selectedCategories", selectedLinkProgram: "selectedLinkProgram", hideProgramsList: "hideProgramsList" }, outputs: { changeTab: "changeTab", updatedProgramDetails: "updatedProgramDetails", save: "save", close: "close", refreshLinkedPolicies: "refreshLinkedPolicies" }, viewQueries: [{ propertyName: "searchProgram", first: true, predicate: ["searchProgram"], descendants: true }], ngImport: i0, template: "<div class=\"link-policy\" [class.animate]=\"animation\">\n  <ng-container *ngIf=\"currentList == 'programs'\">\n    <div\n      class=\"program-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Program</div>\n      <!-- <button (click)=\"goBack()\" class=\"back-btn vx-fs-12 vx-fw-500 vx-lable-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons vx-mr-1\">&#xe91d;</i> Back</button> -->\n    </div>\n    <div class=\"program-listing-body\">\n      <div class=\"filter-card-row vx-d-flex vx-mb-2\">\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'regulations'\"\n          (click)=\"changeTabProgram('regulations')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >REGULATIONS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedRegulationProgramsCount > 0\"\n                  >{{ programData?.SelectedRegulationProgramsCount }}\n                  {{\n                    programData?.SelectedRegulationProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllRegulationProgramsCount }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'standards'\"\n          (click)=\"changeTabProgram('standards')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >STANDARDS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedStandardProgramsCount > 0\"\n                  >{{ programData?.SelectedStandardProgramsCount }}\n                  {{\n                    programData?.SelectedStandardProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllStandardProgramsCount }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'internal_controls'\"\n          (click)=\"changeTabProgram('internal_controls')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >INTERNAL CONTROLS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedInternalControlsProgramsCount > 0\"\n                  >{{ programData?.SelectedInternalControlsProgramsCount }}\n                  {{\n                    programData?.SelectedInternalControlsProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllInternalControlsProgramsCount }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'others'\"\n          (click)=\"changeTabProgram('others')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >OTHERS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedOthersProgramsCount > 0\"\n                  >{{ programData?.SelectedOthersProgramsCount }}\n                  {{\n                    programData?.SelectedOthersProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllOthersProgramsCount }}</span\n            >\n          </div>\n        </div>\n\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'regulations'\" (click)=\"changeTabProgram('regulations')\">\n                    <div class=\"left\">\n                        <label>REGULATIONS</label>\n                        <p *ngIf=\"programData?.SelectedRegulationProgramsCount> 0\">\n                            {{programData?.SelectedRegulationProgramsCount}}\n                            {{(programData?.SelectedRegulationProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllRegulationProgramsCount}}</span>\n                </div> -->\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'standards'\" (click)=\"changeTabProgram('standards')\">\n                    <div class=\"left\">\n                        <label>STANDARDS</label>\n                        <p *ngIf=\"programData?.SelectedStandardProgramsCount> 0\">\n                            {{programData?.SelectedStandardProgramsCount}}\n                            {{(programData?.SelectedStandardProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllStandardProgramsCount}}</span>\n                </div> -->\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'internal_controls'\" (click)=\"changeTabProgram('internal_controls')\">\n                    <div class=\"left\">\n                        <label>INTERNAL CONTROLS</label>\n                        <p *ngIf=\"programData?.SelectedInternalControlsProgramsCount> 0\">\n                            {{programData?.SelectedInternalControlsProgramsCount}}\n                            {{(programData?.SelectedInternalControlsProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllInternalControlsProgramsCount}}</span>\n                </div> -->\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'others'\" (click)=\"changeTabProgram('others')\">\n                    <div class=\"left\">\n                        <label>OTHERS</label>\n                        <p *ngIf=\"programData?.SelectedOthersProgramsCount> 0\">\n                            {{programData?.SelectedOthersProgramsCount}}\n                            {{(programData?.SelectedOthersProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllOthersProgramsCount}}</span>\n                </div> -->\n      </div>\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Programs\"\n          #searchProgram\n          (keyup.enter)=\"searchBy($event.target.value, 'programs')\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"!loader && programData.totalPages > 1\"\n        [from]=\"programData.from\"\n        [to]=\"programData.to\"\n        [total]=\"programData.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"programData.totalPages\"\n        [currentPage]=\"programData.currentPage\"\n        [pageInSingleView]=\"5\"\n        (pageChanged)=\"changePage($event, 'programs')\"\n      >\n      </vui-pagination>\n      <div\n        class=\"program-listing-part vx-mb-4\"\n        [class.with-pagination]=\"!loader && programData.totalPages > 1\"\n      >\n        <app-no-data\n          *ngIf=\"programData?.data?.length == 0 && !loader\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No data to display'\"\n        ></app-no-data>\n\n        <div\n          class=\"program-listing-item\"\n          [class.active]=\"\n            selectedValues?.program?.category_id == program?.category_id\n          \"\n          *ngFor=\"let program of programData.data; let i = index\"\n        >\n          <div\n            class=\"table-row main-list\"\n            [class.active]=\"\n              selectedValues?.program?.category_id == program?.category_id\n            \"\n            [class.disabled]=\"program?.programReportExists == 0\"\n            (click)=\"selectProgram(true, program)\"\n          >\n            <div class=\"table-column serial\">\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"i + programData.from\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ i + programData.from }}\n              </div>\n\n              <app-cs-radio\n                [name]=\"'policyName'\"\n                [checked]=\"\n                  selectedValues?.program?.category_id == program?.category_id\n                \"\n                (checkedEvent)=\"selectProgram($event.target.checked, program)\"\n              ></app-cs-radio>\n            </div>\n            <div class=\"table-column name\">\n              <div class=\"name-inner\">\n                <div class=\"name-with-count\">\n                  <div\n                    class=\"value\"\n                    appTooltip=\"{{ program?.name | tooltipValidation }}\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ program?.name }}\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"selectedValues?.program?.name\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('programs', '')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedValues?.program?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedValues?.program?.name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip vx-pl-2 vx-pr-2 vx-txt-blue vx-fs-12 vx-lh-6 vx-mr-1\" *ngIf=\"selectedValues?.program?.name\"><i class=\"icons vx-mr-1\" (click)=\"remove('programs','')\">&#xe9ae;</i>{{selectedValues?.program?.name}}</div> -->\n          <!-- <div class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\">Policy selected</div> -->\n        </div>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack()\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-m-0 vx-mr-2 vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <!-- <button (click)=\"saveChanges('programs')\" [class.disabled]=\"!selectedValues?.program?.name\" class=\"white-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-m-0 vx-mr-1 vx-d-flex vx-align-center vx-justify-center vx-txt-blue\">\n                        LINK CATEGORIES AND RESPONSIBILITIES</button> -->\n          <button\n            (click)=\"saveChanges('programs')\"\n            [class.disabled]=\"!selectedValues?.program?.name\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-txt-white\"\n          >\n            Link <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"displayConfirmationMessage\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\">\n          You have opted to link all the responsibilities under the selected\n          program \"{{ selectedValues?.program?.name }}\" and it's sub-categories.\n        </div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"saveChangesFromProgram(false)\">\n            NO\n          </button>\n          <button class=\"yes-btn\" (click)=\"saveChangesFromProgram(true)\">\n            YES\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n\n  <ng-container *ngIf=\"currentList == 'categories'\">\n    <div\n      class=\"link-policy-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt vx-d-flex vx-align-center\">\n        <button\n          (click)=\"goBack('categories')\"\n          class=\"back-btn vx-fs-14 vx-fw-500 vx-lable-txt vx-p-0 vx-mr-2 vx-d-flex vx-align-center\"\n        >\n          <i class=\"icons\">&#xe91d;</i>\n        </button>\n        Select program categories to link with this policy\n      </div>\n    </div>\n    <div class=\"link-policy-body\">\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search program categories\"\n          #searchCategory\n          (keyup.enter)=\"searchBy($event.target.value, 'categories')\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"!loader && subCategoriesList.totalPage > 1\"\n        [from]=\"subCategoriesList.from\"\n        [to]=\"subCategoriesList.to\"\n        [total]=\"subCategoriesList.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"subCategoriesList.totalPage\"\n        [currentPage]=\"subCategoriesList.currentPage\"\n        [pageInSingleView]=\"5\"\n        (pageChanged)=\"changePage($event, 'programs')\"\n      >\n      </vui-pagination>\n\n      <div\n        class=\"link-policy-table vx-mb-4\"\n        [class.with-pagination]=\"!loader && subCategoriesList.totalPage > 1\"\n      >\n        <ng-container *ngIf=\"!loader && subCategoriesList.data?.length > 0\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                CATEGORIES\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <!-- when checkbox was checked then active class was true -->\n            <div\n              class=\"table-row\"\n              [class.active]=\"\n                selectedIds.categories.includes(category.category_id)\n              \"\n              *ngFor=\"let category of subCategoriesList.data; let i = index\"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + subCategoriesList.from\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + subCategoriesList.from }}\n                </div>\n                <vui-checkbox\n                  [checked]=\"\n                    selectedIds.categories.includes(category.category_id)\n                  \"\n                  (change)=\"selectCategory($event.target.checked, category)\"\n                ></vui-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                <div class=\"vx-d-block vx-w-100\">\n                  <div\n                    class=\"value vx-fs-12 vx-label-txt\"\n                    [appTooltip]=\"category?.item_name | tooltipValidation\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ category?.item_name }}\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </ng-container>\n\n        <app-no-data\n          *ngIf=\"!loader && subCategoriesList.data?.length == 0\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No data to display'\"\n        ></app-no-data>\n      </div>\n\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"selectedValues?.categories?.length > 0\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('categories', selectedValues?.categories[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedValues?.categories[0]?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedValues?.categories[0]?.item_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"programCount.popover()\"\n              placement=\"left\"\n              *ngIf=\"selectedValues?.categories?.length > 1\"\n            >\n              +{{ selectedValues?.categories?.slice(1).length }}\n            </button>\n          </div>\n          <div\n            *ngIf=\"selectedValues?.categories?.slice(1).length\"\n            class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\"\n          >\n            {{\n              selectedValues?.categories?.slice(1).length === 1\n                ? \"Program category\n                        selected\"\n                : \"Program categories selected\"\n            }}\n          </div>\n          <app-popover #programCount>\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let selectedCategory of selectedValues?.categories?.slice(1)\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <i\n                      class=\"icons cross-btn vx-fs-12 vx-paragraph-txt vx-mr-2\"\n                      (click)=\"remove('categories', selectedCategory)\"\n                      >&#xe9ae;</i\n                    >\n                    <span class=\"value\">{{ selectedCategory?.item_name }}</span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n\n          <!-- <div class=\"chip vx-pl-2 vx-pr-2 vx-txt-blue vx-fs-12 vx-lh-6 vx-mr-1\" *ngIf=\"selectedValues.categories.length>0\"><i (click)=\"remove('categories',selectedValues?.categories[0])\" class=\"icons vx-mr-1\">&#xe9ae;</i> {{selectedValues?.categories[0]?.item_name}}</div>\n                    <ng-container *ngIf=\"selectedValues.categories.length>1\">\n                        <button class=\"count vx-fs-12 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" vcPopover (click)=\"programCount.popover()\" position=\"left\">+{{selectedValues?.categories?.slice(1).length}}</button>\n                        <div class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\">{{(selectedValues?.categories?.slice(1)?.length==1)?'Category selected':'Categories selected'}}</div>\n                        <app-popover #programCount>\n                            <div class=\"wf-action-list\">\n                                <ul class=\"action-item\">\n                                    <li *ngFor=\"let selectedCategory of selectedValues?.categories?.slice(1)\">\n                                        <div class=\"avatar-card\">\n                                            <i class=\"icons cross-btn vx-fs-12 vx-txt-blue vx-mr-2\" (click)=\"remove('categories',selectedCategory)\">&#xe9ae;</i>\n                                            <span class=\"value\">{{selectedCategory?.item_name}}</span>\n                                        </div>\n                                    </li>\n                                </ul>\n                            </div>\n                        </app-popover>\n                    </ng-container> -->\n        </div>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack('categories')\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <button\n            (click)=\"saveChanges('categories')\"\n            [class.disabled]=\"!selectedValues?.categories?.length\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-ml-5\"\n          >\n            Add <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n\n  <ng-container *ngIf=\"currentList == 'responsibilities'\">\n    <div\n      class=\"link-policy-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt vx-d-flex vx-align-center\">\n        <button\n          (click)=\"goBack('responsibilities')\"\n          class=\"back-btn vx-fs-14 vx-fw-500 vx-lable-txt vx-p-0 vx-mr-2 vx-d-flex vx-align-center\"\n        >\n          <i class=\"icons\">&#xe91d;</i>\n        </button>\n        Select Responsibilities to link with this policy\n      </div>\n      <!-- <div class=\"page-title vx-fs-14 vx-fw-500 vx-label-txt\">Select Responsibilities to link with this policy </div> -->\n\n      <!-- <button  (click)=\"goBack('responsibilities')\"\n                class=\"back-btn vx-fs-14 vx-fw-500 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i\n                    class=\"icons vx-mr-1\">&#xe91d;</i> BACK</button> -->\n    </div>\n    <div class=\"link-policy-body\">\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Responsibilities\"\n          (keyup.enter)=\"searchBy($event.target.value, 'responsibilities')\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"!loader && responsibilitiesList.totalPage > 1\"\n        [from]=\"responsibilitiesList.from\"\n        [to]=\"responsibilitiesList.to\"\n        [total]=\"responsibilitiesList.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"responsibilitiesList.totalPage\"\n        [currentPage]=\"responsibilitiesList.currentPage\"\n        [pageInSingleView]=\"5\"\n        (pageChanged)=\"changePage($event, 'responsibilities')\"\n      >\n      </vui-pagination>\n\n      <div\n        class=\"link-policy-table vx-mb-4\"\n        [class.with-pagination]=\"!loader && subCategoriesList.totalPage > 1\"\n      >\n        <ng-container *ngIf=\"!loader && responsibilitiesList.data?.length > 0\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                RESPONSIBLITIES\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <!-- when checkbox was checked then active class was true -->\n\n            <div\n              class=\"table-row\"\n              [class.active]=\"\n                selectedIds.responsibilities.includes(responsibility.ReportId)\n              \"\n              *ngFor=\"\n                let responsibility of responsibilitiesList.data;\n                let i = index\n              \"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + responsibilitiesList.from\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + responsibilitiesList.from }}\n                </div>\n                <vui-checkbox\n                  [checked]=\"\n                    selectedIds.responsibilities.includes(\n                      responsibility.ReportId\n                    )\n                  \"\n                  (change)=\"\n                    selectResponsibility($event.target.checked, responsibility)\n                  \"\n                >\n                </vui-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                <div\n                  class=\"value vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"\n                    responsibility?.control_id + responsibility?.ReportName\n                      | tooltipValidation\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  <span class=\"vx-fs-10 vx-fw-500 vx-tt-uppercase vx-mr-1\">{{\n                    responsibility?.control_id\n                  }}</span>\n                  {{ responsibility?.ReportName }}\n                </div>\n              </div>\n              <!-- <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\">\n                        <div class=\"value vx-fs-12 vx-label-txt\"\n                            [appTooltip]=\"'[CID-20210005] A.8.1.3 Acceptable Use of Assets'\" placement=\"bottom-left\"\n                            delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\"><span\n                                class=\"vx-fs-10 vx-fw-500 vx-tt-uppercase vx-mr-1\">[CID-20210005]</span> A.8.1.3\n                            Acceptable Use of Assets</div>\n                    </div> -->\n            </div>\n          </div>\n        </ng-container>\n\n        <app-no-data\n          *ngIf=\"!loader && responsibilitiesList.data?.length == 0\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No data to display'\"\n        ></app-no-data>\n      </div>\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3 vx-mt-1\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"selectedValues.responsibilities.length > 0\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                remove('responsibilities', selectedValues?.responsibilities[0])\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedValues?.responsibilities[0]?.ReportName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedValues?.responsibilities[0]?.ReportName }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"responsibilitiesPopover.popover()\"\n              placement=\"left\"\n              *ngIf=\"selectedValues.responsibilities.length > 1\"\n            >\n              +{{ selectedValues?.responsibilities?.slice(1).length }}\n            </button>\n            <app-popover #responsibilitiesPopover>\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"\n                      let selectedres of selectedValues?.responsibilities?.slice(\n                        1\n                      )\n                    \"\n                  >\n                    <div class=\"avatar-card\">\n                      <i\n                        class=\"icons cross-btn vx-fs-12 vx-paragraph-txt vx-mr-2\"\n                        (click)=\"remove('responsibilities', selectedres)\"\n                        >&#xe9ae;</i\n                      >\n                      <span class=\"value\">{{ selectedres?.ReportName }}</span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n          </div>\n        </div>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack('responsibilities')\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <button\n            (click)=\"saveChanges('responsibilities')\"\n            [class.disabled]=\"!selectedValues?.responsibilities?.length\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-ml-5\"\n          >\n            ADD <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n  <app-loader-inline *ngIf=\"loader || submissionLoader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .link-policy{position:fixed;inset:0 500px 0 0}::ng-deep .link-policy:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .link-policy.animate{animation:.5s cubic-bezier(.25,.46,.45,.94) both animate-right;z-index:-1}::ng-deep .link-policy-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .link-policy-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .link-policy-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .link-policy-search{position:relative}::ng-deep .link-policy-search input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .link-policy-search input::placeholder{color:#747576;opacity:1}::ng-deep .link-policy-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .link-policy-table{overflow:hidden;overflow-y:auto;height:calc(100vh - 14rem)}::ng-deep .link-policy-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .link-policy-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .link-policy-table .table-header .table-row{border:none!important;border-radius:0!important}::ng-deep .link-policy-table .table-header .table-row .table-column{line-height:1rem!important;min-height:1.5rem!important}::ng-deep .link-policy-table .table-row{border:1px solid #f1f1f1;border-radius:.25rem;display:flex;justify-content:space-between;position:relative;margin-bottom:.25rem}::ng-deep .link-policy-table .table-row:hover .table-column.serial .sr-no,::ng-deep .link-policy-table .table-row.active .table-column.serial .sr-no{opacity:0}::ng-deep .link-policy-table .table-row:hover .table-column.serial vui-cs-radio,::ng-deep .link-policy-table .table-row.active .table-column.serial vui-cs-radio,::ng-deep .link-policy-table .table-row:hover .table-column.serial vui-checkbox,::ng-deep .link-policy-table .table-row.active .table-column.serial vui-checkbox{opacity:1}::ng-deep .link-policy-table .table-row .table-column{min-height:2.5rem;position:relative;width:100%}::ng-deep .link-policy-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .link-policy-table .table-row .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial vui-cs-radio{background:#fff;border-radius:50%;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial vui-cs-radio .radio-item .radio,::ng-deep .link-policy-table .table-row .table-column.serial vui-cs-radio .radio-item .radiomark{position:absolute;top:0}::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox .checkbox-item{position:absolute!important}::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox .checkbox-item .checkbox,::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .link-policy-table .table-row .table-column.policies{width:calc(100% - 28rem);min-width:calc(100% - 28rem)}::ng-deep .link-policy-table .table-row .table-column.policies .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy-table .table-row .table-column.categories{width:26rem;min-width:26rem}::ng-deep .link-policy-table .table-row .table-column.categories .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 1rem)}::ng-deep .link-policy-table .table-row .table-column.categories button.count{background:#1e5dd3;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-table .table-row .table-column.category-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .link-policy-table .table-row .table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy .with-pagination{height:calc(100vh - 16rem)}::ng-deep .link-policy-floating-bar{background:#fff;border-radius:.25rem;box-shadow:0 2px 12px #4681ef40}::ng-deep .link-policy-floating-bar-left .counter{background:#34aa44;border-radius:.125rem;min-width:1.75rem}::ng-deep .link-policy-floating-bar-left .chip{background:#fff;border-radius:.125rem;box-shadow:0 2px 4px #1e5dd31a;height:1.5rem;display:block;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .link-policy-floating-bar-left .chip i{position:relative;top:.0625rem;cursor:pointer}::ng-deep .link-policy-floating-bar-left button.count{background:#34aa44;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button{background:transparent;border:none;border-radius:.125rem;padding:0 .5rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button.white-btn{background:#fff;border:1px solid #f1f1f1}::ng-deep .link-policy-floating-bar-right button.white-btn.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none!important}::ng-deep .link-policy-floating-bar-right button.next-btn{background:#1e5dd3}::ng-deep .link-policy-floating-bar-right button.next-btn.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none!important}::ng-deep app-popover .wf-action-list ul.action-item li .avatar-card .cross-btn{cursor:pointer}::ng-deep .program-listing{position:fixed;inset:0 500px 0 0}::ng-deep .program-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .program-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .program-listing-head button.back-btn{background:transparent;border:none;border-radius:0}::ng-deep .program-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .program-listing-body .filter-card{box-shadow:0 0 2px #00000029;border-radius:.125rem;height:55px;cursor:pointer}::ng-deep .program-listing-body .filter-card.active{box-shadow:0 3px 12px #1e5dd340;border:none;pointer-events:none}::ng-deep .program-listing-body .filter-card.active span.counter{background:#f1f1f1;color:#042e7d}::ng-deep .program-listing-body .filter-card label{font-weight:500;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .program-listing-body .filter-card p{line-height:16px;font-size:11px;color:#161b2f;font-weight:600;margin:0}::ng-deep .program-listing-body .filter-card span.counter{display:flex;height:28px;min-width:28px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 4px;line-height:28px}::ng-deep .program-listing-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .program-listing-body .filter-card+.filter-card{margin-left:10px}::ng-deep .program-listing-body .filter-card-row .vx-table-card.active{box-shadow:0 3px 12px #1e5dd340!important}::ng-deep .program-listing-body .search-block{position:relative}::ng-deep .program-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .program-listing-body .search-block input::placeholder{font-weight:400}::ng-deep .program-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .program-listing-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .program-listing-body .program-listing-part{height:calc(100vh - 288px);overflow:auto;padding:0 12px 0 0;width:calc(100% + 12px)}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .program-listing-body .program-listing-part.with-pagination{height:calc(100vh - 320px)}::ng-deep .program-listing-body .program-listing-part .selected-area{background:#fff;height:32px;position:sticky;top:0;z-index:1}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:100%;height:16px}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item{width:100%;position:relative}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .value,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{color:#161b2f;font-size:12px;font-weight:500;margin-left:24px}::ng-deep .program-listing-body .program-listing-part .table-head .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column{color:#747576;font-size:11px;font-weight:500;height:28px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px;text-transform:uppercase}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .main-list{cursor:pointer}::ng-deep .program-listing-body .program-listing-part .program-listing-item:hover .table-row .serial .sr-no{opacity:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .serial .sr-no{opacity:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled{pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{position:absolute;top:14px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:16px;height:16px;top:16px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name{width:calc(100% - 32px);min-width:calc(100% - 32px)}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .count{background:#1e5dd3;border-radius:20px;color:#fff;font-size:9px;font-weight:500;line-height:16px;min-width:24px;display:inline-block;text-align:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row .table-column.name .name-inner .value{color:#747576;font-size:12px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .program-listing-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block{height:2.25rem;width:2.25rem;min-width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .program-listing-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .program-listing-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: CheckboxComponent$1, selector: "vui-checkbox", inputs: ["disabled", "checked", "indeterminateEnabled"] }, { kind: "component", type: PaginationComponent, selector: "vui-pagination", inputs: ["from", "to", "total", "showPageDetail", "totalPage", "currentPage", "pageInSingleView"], outputs: ["pageChanged"] }, { kind: "pipe", type: TooltipValidationPipe, name: "tooltipValidation" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkProgramComponent, decorators: [{
            type: Component,
            args: [{ selector: 'vc-link-program', template: "<div class=\"link-policy\" [class.animate]=\"animation\">\n  <ng-container *ngIf=\"currentList == 'programs'\">\n    <div\n      class=\"program-listing-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">Select a Program</div>\n      <!-- <button (click)=\"goBack()\" class=\"back-btn vx-fs-12 vx-fw-500 vx-lable-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i class=\"icons vx-mr-1\">&#xe91d;</i> Back</button> -->\n    </div>\n    <div class=\"program-listing-body\">\n      <div class=\"filter-card-row vx-d-flex vx-mb-2\">\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'regulations'\"\n          (click)=\"changeTabProgram('regulations')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >REGULATIONS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedRegulationProgramsCount > 0\"\n                  >{{ programData?.SelectedRegulationProgramsCount }}\n                  {{\n                    programData?.SelectedRegulationProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllRegulationProgramsCount }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'standards'\"\n          (click)=\"changeTabProgram('standards')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >STANDARDS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedStandardProgramsCount > 0\"\n                  >{{ programData?.SelectedStandardProgramsCount }}\n                  {{\n                    programData?.SelectedStandardProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllStandardProgramsCount }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'internal_controls'\"\n          (click)=\"changeTabProgram('internal_controls')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >INTERNAL CONTROLS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedInternalControlsProgramsCount > 0\"\n                  >{{ programData?.SelectedInternalControlsProgramsCount }}\n                  {{\n                    programData?.SelectedInternalControlsProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllInternalControlsProgramsCount }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"filter-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeTab == 'others'\"\n          (click)=\"changeTabProgram('others')\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <div class=\"vx-d-block vx-lh-3\">\n                <label\n                  class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                  >OTHERS</label\n                >\n                <span\n                  class=\"vx-fs-10 vx-fw-600 vx-label-txt vx-lh-4\"\n                  *ngIf=\"programData?.SelectedOthersProgramsCount > 0\"\n                  >{{ programData?.SelectedOthersProgramsCount }}\n                  {{\n                    programData?.SelectedOthersProgramsCount == 1\n                      ? \"Program\"\n                      : \"Programs\"\n                  }}\n                  selected</span\n                >\n              </div>\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"counter vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ programData?.AllOthersProgramsCount }}</span\n            >\n          </div>\n        </div>\n\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'regulations'\" (click)=\"changeTabProgram('regulations')\">\n                    <div class=\"left\">\n                        <label>REGULATIONS</label>\n                        <p *ngIf=\"programData?.SelectedRegulationProgramsCount> 0\">\n                            {{programData?.SelectedRegulationProgramsCount}}\n                            {{(programData?.SelectedRegulationProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllRegulationProgramsCount}}</span>\n                </div> -->\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'standards'\" (click)=\"changeTabProgram('standards')\">\n                    <div class=\"left\">\n                        <label>STANDARDS</label>\n                        <p *ngIf=\"programData?.SelectedStandardProgramsCount> 0\">\n                            {{programData?.SelectedStandardProgramsCount}}\n                            {{(programData?.SelectedStandardProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllStandardProgramsCount}}</span>\n                </div> -->\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'internal_controls'\" (click)=\"changeTabProgram('internal_controls')\">\n                    <div class=\"left\">\n                        <label>INTERNAL CONTROLS</label>\n                        <p *ngIf=\"programData?.SelectedInternalControlsProgramsCount> 0\">\n                            {{programData?.SelectedInternalControlsProgramsCount}}\n                            {{(programData?.SelectedInternalControlsProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllInternalControlsProgramsCount}}</span>\n                </div> -->\n        <!-- <div class=\"filter-card\" [class.active]=\"activeTab == 'others'\" (click)=\"changeTabProgram('others')\">\n                    <div class=\"left\">\n                        <label>OTHERS</label>\n                        <p *ngIf=\"programData?.SelectedOthersProgramsCount> 0\">\n                            {{programData?.SelectedOthersProgramsCount}}\n                            {{(programData?.SelectedOthersProgramsCount==1)?'Program':'Programs'}} selected\n                        </p>\n                    </div>\n                    <span class=\"counter\">{{programData?.AllOthersProgramsCount}}</span>\n                </div> -->\n      </div>\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Programs\"\n          #searchProgram\n          (keyup.enter)=\"searchBy($event.target.value, 'programs')\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"!loader && programData.totalPages > 1\"\n        [from]=\"programData.from\"\n        [to]=\"programData.to\"\n        [total]=\"programData.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"programData.totalPages\"\n        [currentPage]=\"programData.currentPage\"\n        [pageInSingleView]=\"5\"\n        (pageChanged)=\"changePage($event, 'programs')\"\n      >\n      </vui-pagination>\n      <div\n        class=\"program-listing-part vx-mb-4\"\n        [class.with-pagination]=\"!loader && programData.totalPages > 1\"\n      >\n        <app-no-data\n          *ngIf=\"programData?.data?.length == 0 && !loader\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No data to display'\"\n        ></app-no-data>\n\n        <div\n          class=\"program-listing-item\"\n          [class.active]=\"\n            selectedValues?.program?.category_id == program?.category_id\n          \"\n          *ngFor=\"let program of programData.data; let i = index\"\n        >\n          <div\n            class=\"table-row main-list\"\n            [class.active]=\"\n              selectedValues?.program?.category_id == program?.category_id\n            \"\n            [class.disabled]=\"program?.programReportExists == 0\"\n            (click)=\"selectProgram(true, program)\"\n          >\n            <div class=\"table-column serial\">\n              <div\n                class=\"sr-no\"\n                [appTooltip]=\"i + programData.from\"\n                placement=\"bottom\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ i + programData.from }}\n              </div>\n\n              <app-cs-radio\n                [name]=\"'policyName'\"\n                [checked]=\"\n                  selectedValues?.program?.category_id == program?.category_id\n                \"\n                (checkedEvent)=\"selectProgram($event.target.checked, program)\"\n              ></app-cs-radio>\n            </div>\n            <div class=\"table-column name\">\n              <div class=\"name-inner\">\n                <div class=\"name-with-count\">\n                  <div\n                    class=\"value\"\n                    appTooltip=\"{{ program?.name | tooltipValidation }}\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ program?.name }}\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"selectedValues?.program?.name\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('programs', '')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedValues?.program?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedValues?.program?.name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip vx-pl-2 vx-pr-2 vx-txt-blue vx-fs-12 vx-lh-6 vx-mr-1\" *ngIf=\"selectedValues?.program?.name\"><i class=\"icons vx-mr-1\" (click)=\"remove('programs','')\">&#xe9ae;</i>{{selectedValues?.program?.name}}</div> -->\n          <!-- <div class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\">Policy selected</div> -->\n        </div>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack()\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-m-0 vx-mr-2 vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <!-- <button (click)=\"saveChanges('programs')\" [class.disabled]=\"!selectedValues?.program?.name\" class=\"white-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-m-0 vx-mr-1 vx-d-flex vx-align-center vx-justify-center vx-txt-blue\">\n                        LINK CATEGORIES AND RESPONSIBILITIES</button> -->\n          <button\n            (click)=\"saveChanges('programs')\"\n            [class.disabled]=\"!selectedValues?.program?.name\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-m-0 vx-d-flex vx-align-center vx-justify-center vx-txt-white\"\n          >\n            Link <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n\n    <div\n      class=\"program-listing-confirmation\"\n      *ngIf=\"displayConfirmationMessage\"\n    >\n      <div class=\"confirmation-top\">\n        <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n        <div class=\"text\">\n          You have opted to link all the responsibilities under the selected\n          program \"{{ selectedValues?.program?.name }}\" and it's sub-categories.\n        </div>\n      </div>\n      <div class=\"confirmation-bottom\">\n        <div class=\"message\">Are you sure you would like to proceed?</div>\n        <div class=\"button-group\">\n          <button class=\"no-btn\" (click)=\"saveChangesFromProgram(false)\">\n            NO\n          </button>\n          <button class=\"yes-btn\" (click)=\"saveChangesFromProgram(true)\">\n            YES\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n\n  <ng-container *ngIf=\"currentList == 'categories'\">\n    <div\n      class=\"link-policy-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt vx-d-flex vx-align-center\">\n        <button\n          (click)=\"goBack('categories')\"\n          class=\"back-btn vx-fs-14 vx-fw-500 vx-lable-txt vx-p-0 vx-mr-2 vx-d-flex vx-align-center\"\n        >\n          <i class=\"icons\">&#xe91d;</i>\n        </button>\n        Select program categories to link with this policy\n      </div>\n    </div>\n    <div class=\"link-policy-body\">\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search program categories\"\n          #searchCategory\n          (keyup.enter)=\"searchBy($event.target.value, 'categories')\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"!loader && subCategoriesList.totalPage > 1\"\n        [from]=\"subCategoriesList.from\"\n        [to]=\"subCategoriesList.to\"\n        [total]=\"subCategoriesList.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"subCategoriesList.totalPage\"\n        [currentPage]=\"subCategoriesList.currentPage\"\n        [pageInSingleView]=\"5\"\n        (pageChanged)=\"changePage($event, 'programs')\"\n      >\n      </vui-pagination>\n\n      <div\n        class=\"link-policy-table vx-mb-4\"\n        [class.with-pagination]=\"!loader && subCategoriesList.totalPage > 1\"\n      >\n        <ng-container *ngIf=\"!loader && subCategoriesList.data?.length > 0\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                CATEGORIES\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <!-- when checkbox was checked then active class was true -->\n            <div\n              class=\"table-row\"\n              [class.active]=\"\n                selectedIds.categories.includes(category.category_id)\n              \"\n              *ngFor=\"let category of subCategoriesList.data; let i = index\"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + subCategoriesList.from\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + subCategoriesList.from }}\n                </div>\n                <vui-checkbox\n                  [checked]=\"\n                    selectedIds.categories.includes(category.category_id)\n                  \"\n                  (change)=\"selectCategory($event.target.checked, category)\"\n                ></vui-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                <div class=\"vx-d-block vx-w-100\">\n                  <div\n                    class=\"value vx-fs-12 vx-label-txt\"\n                    [appTooltip]=\"category?.item_name | tooltipValidation\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ category?.item_name }}\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </ng-container>\n\n        <app-no-data\n          *ngIf=\"!loader && subCategoriesList.data?.length == 0\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No data to display'\"\n        ></app-no-data>\n      </div>\n\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"selectedValues?.categories?.length > 0\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove('categories', selectedValues?.categories[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedValues?.categories[0]?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedValues?.categories[0]?.item_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"programCount.popover()\"\n              placement=\"left\"\n              *ngIf=\"selectedValues?.categories?.length > 1\"\n            >\n              +{{ selectedValues?.categories?.slice(1).length }}\n            </button>\n          </div>\n          <div\n            *ngIf=\"selectedValues?.categories?.slice(1).length\"\n            class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\"\n          >\n            {{\n              selectedValues?.categories?.slice(1).length === 1\n                ? \"Program category\n                        selected\"\n                : \"Program categories selected\"\n            }}\n          </div>\n          <app-popover #programCount>\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let selectedCategory of selectedValues?.categories?.slice(1)\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <i\n                      class=\"icons cross-btn vx-fs-12 vx-paragraph-txt vx-mr-2\"\n                      (click)=\"remove('categories', selectedCategory)\"\n                      >&#xe9ae;</i\n                    >\n                    <span class=\"value\">{{ selectedCategory?.item_name }}</span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n\n          <!-- <div class=\"chip vx-pl-2 vx-pr-2 vx-txt-blue vx-fs-12 vx-lh-6 vx-mr-1\" *ngIf=\"selectedValues.categories.length>0\"><i (click)=\"remove('categories',selectedValues?.categories[0])\" class=\"icons vx-mr-1\">&#xe9ae;</i> {{selectedValues?.categories[0]?.item_name}}</div>\n                    <ng-container *ngIf=\"selectedValues.categories.length>1\">\n                        <button class=\"count vx-fs-12 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\" vcPopover (click)=\"programCount.popover()\" position=\"left\">+{{selectedValues?.categories?.slice(1).length}}</button>\n                        <div class=\"vx-fs-12 vx-fw-500 vx-paragraph-txt vx-ml-2\">{{(selectedValues?.categories?.slice(1)?.length==1)?'Category selected':'Categories selected'}}</div>\n                        <app-popover #programCount>\n                            <div class=\"wf-action-list\">\n                                <ul class=\"action-item\">\n                                    <li *ngFor=\"let selectedCategory of selectedValues?.categories?.slice(1)\">\n                                        <div class=\"avatar-card\">\n                                            <i class=\"icons cross-btn vx-fs-12 vx-txt-blue vx-mr-2\" (click)=\"remove('categories',selectedCategory)\">&#xe9ae;</i>\n                                            <span class=\"value\">{{selectedCategory?.item_name}}</span>\n                                        </div>\n                                    </li>\n                                </ul>\n                            </div>\n                        </app-popover>\n                    </ng-container> -->\n        </div>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack('categories')\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <button\n            (click)=\"saveChanges('categories')\"\n            [class.disabled]=\"!selectedValues?.categories?.length\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-ml-5\"\n          >\n            Add <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n\n  <ng-container *ngIf=\"currentList == 'responsibilities'\">\n    <div\n      class=\"link-policy-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"vx-fs-14 vx-fw-500 vx-label-txt vx-d-flex vx-align-center\">\n        <button\n          (click)=\"goBack('responsibilities')\"\n          class=\"back-btn vx-fs-14 vx-fw-500 vx-lable-txt vx-p-0 vx-mr-2 vx-d-flex vx-align-center\"\n        >\n          <i class=\"icons\">&#xe91d;</i>\n        </button>\n        Select Responsibilities to link with this policy\n      </div>\n      <!-- <div class=\"page-title vx-fs-14 vx-fw-500 vx-label-txt\">Select Responsibilities to link with this policy </div> -->\n\n      <!-- <button  (click)=\"goBack('responsibilities')\"\n                class=\"back-btn vx-fs-14 vx-fw-500 vx-label-txt vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"><i\n                    class=\"icons vx-mr-1\">&#xe91d;</i> BACK</button> -->\n    </div>\n    <div class=\"link-policy-body\">\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Responsibilities\"\n          (keyup.enter)=\"searchBy($event.target.value, 'responsibilities')\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"!loader && responsibilitiesList.totalPage > 1\"\n        [from]=\"responsibilitiesList.from\"\n        [to]=\"responsibilitiesList.to\"\n        [total]=\"responsibilitiesList.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"responsibilitiesList.totalPage\"\n        [currentPage]=\"responsibilitiesList.currentPage\"\n        [pageInSingleView]=\"5\"\n        (pageChanged)=\"changePage($event, 'responsibilities')\"\n      >\n      </vui-pagination>\n\n      <div\n        class=\"link-policy-table vx-mb-4\"\n        [class.with-pagination]=\"!loader && subCategoriesList.totalPage > 1\"\n      >\n        <ng-container *ngIf=\"!loader && responsibilitiesList.data?.length > 0\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                RESPONSIBLITIES\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <!-- when checkbox was checked then active class was true -->\n\n            <div\n              class=\"table-row\"\n              [class.active]=\"\n                selectedIds.responsibilities.includes(responsibility.ReportId)\n              \"\n              *ngFor=\"\n                let responsibility of responsibilitiesList.data;\n                let i = index\n              \"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + responsibilitiesList.from\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + responsibilitiesList.from }}\n                </div>\n                <vui-checkbox\n                  [checked]=\"\n                    selectedIds.responsibilities.includes(\n                      responsibility.ReportId\n                    )\n                  \"\n                  (change)=\"\n                    selectResponsibility($event.target.checked, responsibility)\n                  \"\n                >\n                </vui-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\"\n              >\n                <div\n                  class=\"value vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"\n                    responsibility?.control_id + responsibility?.ReportName\n                      | tooltipValidation\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  <span class=\"vx-fs-10 vx-fw-500 vx-tt-uppercase vx-mr-1\">{{\n                    responsibility?.control_id\n                  }}</span>\n                  {{ responsibility?.ReportName }}\n                </div>\n              </div>\n              <!-- <div class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category-name\">\n                        <div class=\"value vx-fs-12 vx-label-txt\"\n                            [appTooltip]=\"'[CID-20210005] A.8.1.3 Acceptable Use of Assets'\" placement=\"bottom-left\"\n                            delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\"><span\n                                class=\"vx-fs-10 vx-fw-500 vx-tt-uppercase vx-mr-1\">[CID-20210005]</span> A.8.1.3\n                            Acceptable Use of Assets</div>\n                    </div> -->\n            </div>\n          </div>\n        </ng-container>\n\n        <app-no-data\n          *ngIf=\"!loader && responsibilitiesList.data?.length == 0\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No data to display'\"\n        ></app-no-data>\n      </div>\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3 vx-mt-1\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"selectedValues.responsibilities.length > 0\"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                remove('responsibilities', selectedValues?.responsibilities[0])\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"selectedValues?.responsibilities[0]?.ReportName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ selectedValues?.responsibilities[0]?.ReportName }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"responsibilitiesPopover.popover()\"\n              placement=\"left\"\n              *ngIf=\"selectedValues.responsibilities.length > 1\"\n            >\n              +{{ selectedValues?.responsibilities?.slice(1).length }}\n            </button>\n            <app-popover #responsibilitiesPopover>\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"\n                      let selectedres of selectedValues?.responsibilities?.slice(\n                        1\n                      )\n                    \"\n                  >\n                    <div class=\"avatar-card\">\n                      <i\n                        class=\"icons cross-btn vx-fs-12 vx-paragraph-txt vx-mr-2\"\n                        (click)=\"remove('responsibilities', selectedres)\"\n                        >&#xe9ae;</i\n                      >\n                      <span class=\"value\">{{ selectedres?.ReportName }}</span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n          </div>\n        </div>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack('responsibilities')\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <button\n            (click)=\"saveChanges('responsibilities')\"\n            [class.disabled]=\"!selectedValues?.responsibilities?.length\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-white vx-ml-5\"\n          >\n            ADD <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n  <app-loader-inline *ngIf=\"loader || submissionLoader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .link-policy{position:fixed;inset:0 500px 0 0}::ng-deep .link-policy:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .link-policy.animate{animation:.5s cubic-bezier(.25,.46,.45,.94) both animate-right;z-index:-1}::ng-deep .link-policy-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .link-policy-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .link-policy-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .link-policy-search{position:relative}::ng-deep .link-policy-search input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .link-policy-search input::placeholder{color:#747576;opacity:1}::ng-deep .link-policy-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .link-policy-table{overflow:hidden;overflow-y:auto;height:calc(100vh - 14rem)}::ng-deep .link-policy-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .link-policy-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .link-policy-table .table-header .table-row{border:none!important;border-radius:0!important}::ng-deep .link-policy-table .table-header .table-row .table-column{line-height:1rem!important;min-height:1.5rem!important}::ng-deep .link-policy-table .table-row{border:1px solid #f1f1f1;border-radius:.25rem;display:flex;justify-content:space-between;position:relative;margin-bottom:.25rem}::ng-deep .link-policy-table .table-row:hover .table-column.serial .sr-no,::ng-deep .link-policy-table .table-row.active .table-column.serial .sr-no{opacity:0}::ng-deep .link-policy-table .table-row:hover .table-column.serial vui-cs-radio,::ng-deep .link-policy-table .table-row.active .table-column.serial vui-cs-radio,::ng-deep .link-policy-table .table-row:hover .table-column.serial vui-checkbox,::ng-deep .link-policy-table .table-row.active .table-column.serial vui-checkbox{opacity:1}::ng-deep .link-policy-table .table-row .table-column{min-height:2.5rem;position:relative;width:100%}::ng-deep .link-policy-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .link-policy-table .table-row .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial vui-cs-radio{background:#fff;border-radius:50%;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial vui-cs-radio .radio-item .radio,::ng-deep .link-policy-table .table-row .table-column.serial vui-cs-radio .radio-item .radiomark{position:absolute;top:0}::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox .checkbox-item{position:absolute!important}::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox .checkbox-item .checkbox,::ng-deep .link-policy-table .table-row .table-column.serial vui-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .link-policy-table .table-row .table-column.policies{width:calc(100% - 28rem);min-width:calc(100% - 28rem)}::ng-deep .link-policy-table .table-row .table-column.policies .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy-table .table-row .table-column.categories{width:26rem;min-width:26rem}::ng-deep .link-policy-table .table-row .table-column.categories .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 1rem)}::ng-deep .link-policy-table .table-row .table-column.categories button.count{background:#1e5dd3;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-table .table-row .table-column.category-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .link-policy-table .table-row .table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy .with-pagination{height:calc(100vh - 16rem)}::ng-deep .link-policy-floating-bar{background:#fff;border-radius:.25rem;box-shadow:0 2px 12px #4681ef40}::ng-deep .link-policy-floating-bar-left .counter{background:#34aa44;border-radius:.125rem;min-width:1.75rem}::ng-deep .link-policy-floating-bar-left .chip{background:#fff;border-radius:.125rem;box-shadow:0 2px 4px #1e5dd31a;height:1.5rem;display:block;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .link-policy-floating-bar-left .chip i{position:relative;top:.0625rem;cursor:pointer}::ng-deep .link-policy-floating-bar-left button.count{background:#34aa44;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button{background:transparent;border:none;border-radius:.125rem;padding:0 .5rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button.white-btn{background:#fff;border:1px solid #f1f1f1}::ng-deep .link-policy-floating-bar-right button.white-btn.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none!important}::ng-deep .link-policy-floating-bar-right button.next-btn{background:#1e5dd3}::ng-deep .link-policy-floating-bar-right button.next-btn.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none!important}::ng-deep app-popover .wf-action-list ul.action-item li .avatar-card .cross-btn{cursor:pointer}::ng-deep .program-listing{position:fixed;inset:0 500px 0 0}::ng-deep .program-listing:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .program-listing-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .program-listing-head button.back-btn{background:transparent;border:none;border-radius:0}::ng-deep .program-listing-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .program-listing-body .filter-card{box-shadow:0 0 2px #00000029;border-radius:.125rem;height:55px;cursor:pointer}::ng-deep .program-listing-body .filter-card.active{box-shadow:0 3px 12px #1e5dd340;border:none;pointer-events:none}::ng-deep .program-listing-body .filter-card.active span.counter{background:#f1f1f1;color:#042e7d}::ng-deep .program-listing-body .filter-card label{font-weight:500;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .program-listing-body .filter-card p{line-height:16px;font-size:11px;color:#161b2f;font-weight:600;margin:0}::ng-deep .program-listing-body .filter-card span.counter{display:flex;height:28px;min-width:28px;border-radius:2px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 4px;line-height:28px}::ng-deep .program-listing-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .program-listing-body .filter-card+.filter-card{margin-left:10px}::ng-deep .program-listing-body .filter-card-row .vx-table-card.active{box-shadow:0 3px 12px #1e5dd340!important}::ng-deep .program-listing-body .search-block{position:relative}::ng-deep .program-listing-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .program-listing-body .search-block input::placeholder{font-weight:400}::ng-deep .program-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .program-listing-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .program-listing-body .program-listing-part{height:calc(100vh - 288px);overflow:auto;padding:0 12px 0 0;width:calc(100% + 12px)}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .program-listing-body .program-listing-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .program-listing-body .program-listing-part.with-pagination{height:calc(100vh - 320px)}::ng-deep .program-listing-body .program-listing-part .selected-area{background:#fff;height:32px;position:sticky;top:0;z-index:1}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:100%;height:16px}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item{width:100%;position:relative}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox .checkbox-item .value,::ng-deep .program-listing-body .program-listing-part .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{color:#161b2f;font-size:12px;font-weight:500;margin-left:24px}::ng-deep .program-listing-body .program-listing-part .table-head .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column{color:#747576;font-size:11px;font-weight:500;height:28px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px;text-transform:uppercase}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .program-listing-body .program-listing-part .table-head .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .main-list{cursor:pointer}::ng-deep .program-listing-body .program-listing-part .program-listing-item:hover .table-row .serial .sr-no{opacity:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .serial .sr-no{opacity:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.disabled{pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{position:absolute;top:14px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:16px;height:16px;top:16px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name{width:calc(100% - 32px);min-width:calc(100% - 32px)}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .count{background:#1e5dd3;border-radius:20px;color:#fff;font-size:9px;font-weight:500;line-height:16px;min-width:24px;display:inline-block;text-align:center;padding:0 4px}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .program-listing-body .program-listing-part .program-listing-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .program-listing-body .program-listing-part .program-listing-item .sub-list .table-row .table-column.name .name-inner .value{color:#747576;font-size:12px}::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-radio,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox,::ng-deep .program-listing-body .program-listing-part .program-listing-item.active .table-row .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .program-listing-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .program-listing-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block{height:2.25rem;width:2.25rem;min-width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .program-listing-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .program-listing-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .program-listing-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .program-listing-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .program-listing-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: RestApiService }, { type: SnackBarService }]; }, propDecorators: { policy: [{
                type: Input
            }], currentTab: [{
                type: Input
            }], mode: [{
                type: Input
            }], changeTab: [{
                type: Output
            }], updatedProgramDetails: [{
                type: Output
            }], save: [{
                type: Output
            }], close: [{
                type: Output
            }], refreshLinkedPolicies: [{
                type: Output
            }], programsList: [{
                type: Input
            }], getSelectedProgram: [{
                type: Input,
                args: ['selectedProgram']
            }], selectedCategories: [{
                type: Input
            }], selectedLinkProgram: [{
                type: Input
            }], hideProgramsList: [{
                type: Input
            }], searchProgram: [{
                type: ViewChild,
                args: ['searchProgram']
            }] } });

class LinkRelatedPoliciesComponent {
    constructor(policyService) {
        this.policyService = policyService;
        this.CONSTANTS = CONSTANTS;
        this.LINKS = LINKS;
        this.animation = false;
        this.unsubscribe = new Subject();
        this.policySortBy = 'desc';
        this.selectedControlIds = [];
        this.selectedPolicyList = [];
        this.deletedList = [];
        this.searchText = {
            policy: '',
        };
        this.loader = false;
        this.recentPage = CONSTANTS.DEFAULT_PAGE_NUMBER;
        this.policiesList = {
            from: 1,
            to: 0,
            currentPage: 1,
            totalPage: 0,
            totalRecords: 0,
            data: [],
        };
        this.selectedPolicies = [];
        this.mode = 'CREATE';
        this.policyId = '';
        this.closeLinkPolicyList = new EventEmitter();
        this.selectedList = new EventEmitter();
        this.recentPage = CONSTANTS.DEFAULT_PAGE_NUMBER;
    }
    ngOnInit() {
        this.selectedPolicyList = [...new Set(this.selectedPolicies)];
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.getPolicies();
    }
    goBack() {
        this.closeLinkPolicyList.emit();
    }
    selectedItems() {
        const selectedContractIds = this.selectedPolicyList?.map((item) => item?.contract_id);
        this.selectedControlIds = this.policyService?.linkRelatePolicies[this.recentPage - 1]?.data
            .filter((element) => selectedContractIds?.includes(element?.contract_id))
            .map((element) => element?.contract_id);
    }
    searchBy(event) {
        if (this.searchText?.policy != event) {
            this.searchText.policy = event;
            this.getPolicies({ search: true });
        }
        if (!event) {
            this.recentPage = CONSTANTS.DEFAULT_PAGE_NUMBER;
            this.getPolicies({ search: false });
        }
    }
    changePage(event) {
        this.recentPage = event;
        if (this.policyService?.linkRelatePolicies[event - 1]) {
            this.policiesList = this.policyService?.linkRelatePolicies[event - 1];
            this.selectedItems();
            return;
        }
        this.getPolicies();
    }
    selectedParam(data) {
        let params = new HttpParams();
        params = params.append('paginationType', 'small');
        if (data?.search) {
            params = params.append('searchText', this.searchText.policy);
        }
        params = params.append('pageNo', this.recentPage);
        if (data?.sort) {
            params = params.append('sortBy', this.policySortBy);
        }
        if (this.mode === 'EDIT') {
            params = params.append(CONSTANTS.POLICY_ID, this.policyId);
        }
        return params;
    }
    getPagePolicyList(res) {
        return {
            from: res?.from ?? 1,
            to: res?.to ?? 0,
            currentPage: this.recentPage,
            totalPage: res?.total_pages ?? 0,
            totalRecords: res?.all_records ?? 0,
            data: [...new Set(res?.data)],
        };
    }
    getPolicies(data) {
        if (this.policyService?.linkRelatePolicies[this.recentPage - 1] &&
            !data?.search) {
            this.policiesList =
                this.policyService.linkRelatePolicies[this.recentPage - 1];
            this.selectedItems();
            return;
        }
        let params = this.selectedParam(data);
        this.loader = true;
        const request = {
            method: 'get',
            action: '/policy',
            mode: API_URLS.fetchPolicyList,
            params,
        };
        this.policyService
            .getPolicyList(request)
            .pipe(takeUntil(this.unsubscribe))
            .subscribe({
            next: (res) => {
                this.loader = false;
                this.policiesList = this.getPagePolicyList(res);
                if (!this.policyService?.linkRelatePolicies[this.recentPage - 1]) {
                    this.policyService.linkRelatePolicies[this.recentPage - 1] =
                        JSON.parse(JSON.stringify(this.policiesList));
                }
                this.selectedItems();
            },
            error: (err) => {
                this.loader = false;
            },
        });
    }
    selectPolicy(event, data) {
        if (event) {
            this.selectedControlIds.push(data?.contract_id);
            this.selectedPolicyList.push(data);
        }
        else {
            this.selectedControlIds = this.selectedControlIds?.filter((id) => id !== data?.contract_id);
            this.selectedPolicyList = this.selectedPolicyList?.filter((item) => item?.contract_id !== data?.contract_id);
        }
    }
    saveChanges() {
        this.selectedList.emit({
            selectedPolicyList: this.selectedPolicyList,
        });
    }
    deleteItem(event) {
        this.selectedPolicyList = this.selectedPolicyList?.filter((item) => item?.contract_id !== event?.contract_id);
        this.selectedItems();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkRelatedPoliciesComponent, deps: [{ token: PolicyService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LinkRelatedPoliciesComponent, selector: "app-link-related-policies", inputs: { selectedPolicies: "selectedPolicies", mode: "mode", policyId: "policyId" }, outputs: { closeLinkPolicyList: "closeLinkPolicyList", selectedList: "selectedList" }, ngImport: i0, template: "<div class=\"link-policy\" [class.animate]=\"animation\">\n  <ng-container>\n    <div\n      class=\"link-policy-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"page-title vx-fs-14 vx-fw-500 vx-label-txt\">\n        Select Policies to link with\n      </div>\n    </div>\n    <div class=\"link-policy-body vx-p-4 vx-pb-3\">\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Policies\"\n          (keyup.enter)=\"searchBy($event.target.value)\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"\n          !loader && policiesList.totalPage > CONSTANTS.DEFAULT_PAGE_NUMBER\n        \"\n        [from]=\"policiesList.from\"\n        [to]=\"policiesList.to\"\n        [total]=\"policiesList.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"policiesList.totalPage\"\n        [currentPage]=\"policiesList.currentPage\"\n        [pageInSingleView]=\"CONSTANTS.PAGE_IN_SINGLE_VIEW\"\n        (pageChanged)=\"changePage($event)\"\n      >\n      </vui-pagination>\n      <div\n        class=\"link-policy-table\"\n        [class.with-pagination]=\"!loader && policiesList.totalPage > 1\"\n      >\n        <ng-container *ngIf=\"!loader && policiesList?.data?.length > 0\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center policies\"\n              >\n                POLICIES\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center categories\"\n              >\n                CATEGORIES\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-row\"\n              [class.active]=\"selectedControlIds?.includes(policy?.contract_id)\"\n              *ngFor=\"let policy of policiesList?.data; let i = index\"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + policiesList.from\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + policiesList.from }}\n                </div>\n                <app-cs-checkbox\n                  class=\"check-box\"\n                  [value]=\"policy?.contract_id\"\n                  [ngValue]=\"selectedControlIds?.includes(policy?.contract_id)\"\n                  (ngValueChange)=\"selectPolicy($event, policy)\"\n                ></app-cs-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center policies column-body clickable\"\n              >\n                <div\n                  class=\"value vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"policy?.contract_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  (click)=\"\n                    selectPolicy(\n                      !selectedControlIds?.includes(policy?.contract_id),\n                      policy\n                    )\n                  \"\n                >\n                  {{\n                    policy?.control_id\n                      ? \"[POLID - \" + policy.control_id + \"] \"\n                      : \"\"\n                  }}{{ policy?.contract_name }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center categories\"\n              >\n                <ng-container *ngIf=\"policy?.childCat?.length\">\n                  <div\n                    class=\"value vx-fs-12 vx-label-txt\"\n                    [appTooltip]=\"policy?.childCat[0]?.category_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ policy?.childCat[0]?.category_name }}\n                  </div>\n                </ng-container>\n                <ng-container *ngIf=\"policy?.childCat?.length > 1\">\n                  <button\n                    class=\"count vx-fs-12 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n                    appPopover\n                    (click)=\"category.popover()\"\n                    placement=\"top\"\n                  >\n                    +{{ policy?.childCat?.length - 1 }}\n                  </button>\n                  <app-popover #category [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let childCategory of policy?.childCat\n                              | slice : 1\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span class=\"value\">{{\n                              childCategory?.category_name\n                            }}</span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </ng-container>\n              </div>\n            </div>\n          </div>\n        </ng-container>\n\n        <app-no-data\n          *ngIf=\"!loader && policiesList?.data?.length === 0\"\n          [noDataImage]=\"LINKS.linkPolicyNoDataImage\"\n          [noDataText]=\"CONSTANTS.NO_DATA_IMAGE_TEXT\"\n        ></app-no-data>\n      </div>\n\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3 vx-mt-1\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div class=\"selected\" *ngIf=\"selectedPolicyList?.length > 0\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let policy of selectedPolicyList | slice : 0 : 1\"\n              >\n                <i\n                  (click)=\"deleteItem(policy)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policy?.contract_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policy?.contract_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                *ngIf=\"selectedPolicyList.length > 1\"\n                type=\"button\"\n                appPopover\n                (click)=\"relatedPolicy.popover()\"\n                placement=\"left\"\n              >\n                +{{ selectedPolicyList?.length - 1 }}\n              </button>\n            </div>\n          </div>\n        </div>\n        <app-popover #relatedPolicy [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let policy of selectedPolicyList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"deleteItem(policy)\">&#xe90d;</i>\n                    {{ policy?.contract_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack()\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <button\n            (click)=\"saveChanges()\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-white\"\n          >\n            NEXT <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .link-policy{position:fixed;inset:0 500px 0 0}::ng-deep .link-policy.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .link-policy-head{background:#f8f8f8;border-radius:.125rem .125rem 0 0;border-bottom:1px solid #F1F1F1;height:2.75rem}::ng-deep .link-policy-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .link-policy-search{position:relative}::ng-deep .link-policy-search input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .link-policy-search input::placeholder{color:#747576;opacity:1}::ng-deep .link-policy-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .link-policy-table{overflow:hidden;overflow-y:auto;height:calc(100vh - 14rem)}::ng-deep .link-policy-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .link-policy-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .link-policy-table .table-header .table-row{border:none!important;border-radius:0!important}::ng-deep .link-policy-table .table-header .table-row .table-column{line-height:1rem!important;min-height:1.5rem!important}::ng-deep .link-policy-table .table-row{border:1px solid #F1F1F1;border-radius:.25rem;display:flex;justify-content:space-between;position:relative;margin-bottom:.25rem}::ng-deep .link-policy-table .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .link-policy-table .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .link-policy-table .table-row .table-column{min-height:2.5rem;position:relative;width:100%}::ng-deep .link-policy-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .link-policy-table .table-row .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .link-policy-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .link-policy-table .table-row .table-column.policies{width:calc(100% - 28rem);min-width:calc(100% - 28rem)}::ng-deep .link-policy-table .table-row .table-column.policies .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy-table .table-row .table-column.categories{width:26rem;min-width:26rem}::ng-deep .link-policy-table .table-row .table-column.categories .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 1rem)}::ng-deep .link-policy-table .table-row .table-column.categories button.count{background:#1e5dd3;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-table .table-row .table-column.category-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .link-policy-table .table-row .table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy-floating-bar{background:#fff;border-radius:.25rem;box-shadow:0 2px 12px #4681ef40}::ng-deep .link-policy-floating-bar-left .counter{background:#34aa44;border-radius:.125rem;min-width:1.75rem}::ng-deep .link-policy-floating-bar-left .chip{background:#fff;border-radius:.125rem;box-shadow:0 2px 4px #1e5dd31a;height:1.5rem;display:block;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .link-policy-floating-bar-left .chip i{position:relative;top:.0625rem;cursor:pointer}::ng-deep .link-policy-floating-bar-left button.count{background:#34aa44;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button{background:transparent;border:none;border-radius:.125rem;padding:0 .5rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button.next-btn{background:#1e5dd3}::ng-deep .link-policy-floating-bar-right button.next-btn.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none!important}::ng-deep app-popover .wf-action-list ul.action-item li .avatar-card .cross-btn{cursor:pointer}.wf-action-list .action-item li .count-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.column-body{position:relative;left:10px}.clickable{cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: PaginationComponent, selector: "vui-pagination", inputs: ["from", "to", "total", "showPageDetail", "totalPage", "currentPage", "pageInSingleView"], outputs: ["pageChanged"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkRelatedPoliciesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-link-related-policies', template: "<div class=\"link-policy\" [class.animate]=\"animation\">\n  <ng-container>\n    <div\n      class=\"link-policy-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n    >\n      <div class=\"page-title vx-fs-14 vx-fw-500 vx-label-txt\">\n        Select Policies to link with\n      </div>\n    </div>\n    <div class=\"link-policy-body vx-p-4 vx-pb-3\">\n      <div class=\"link-policy-search vx-mb-2\">\n        <i class=\"icons vx-fs-12\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Policies\"\n          (keyup.enter)=\"searchBy($event.target.value)\"\n        />\n      </div>\n      <vui-pagination\n        *ngIf=\"\n          !loader && policiesList.totalPage > CONSTANTS.DEFAULT_PAGE_NUMBER\n        \"\n        [from]=\"policiesList.from\"\n        [to]=\"policiesList.to\"\n        [total]=\"policiesList.totalRecords\"\n        [showPageDetail]=\"true\"\n        [totalPage]=\"policiesList.totalPage\"\n        [currentPage]=\"policiesList.currentPage\"\n        [pageInSingleView]=\"CONSTANTS.PAGE_IN_SINGLE_VIEW\"\n        (pageChanged)=\"changePage($event)\"\n      >\n      </vui-pagination>\n      <div\n        class=\"link-policy-table\"\n        [class.with-pagination]=\"!loader && policiesList.totalPage > 1\"\n      >\n        <ng-container *ngIf=\"!loader && policiesList?.data?.length > 0\">\n          <div class=\"table-header\">\n            <div class=\"table-row\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center policies\"\n              >\n                POLICIES\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-label-txt vx-lh-5 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center categories\"\n              >\n                CATEGORIES\n              </div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-row\"\n              [class.active]=\"selectedControlIds?.includes(policy?.contract_id)\"\n              *ngFor=\"let policy of policiesList?.data; let i = index\"\n            >\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                <div\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + policiesList.from\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ i + policiesList.from }}\n                </div>\n                <app-cs-checkbox\n                  class=\"check-box\"\n                  [value]=\"policy?.contract_id\"\n                  [ngValue]=\"selectedControlIds?.includes(policy?.contract_id)\"\n                  (ngValueChange)=\"selectPolicy($event, policy)\"\n                ></app-cs-checkbox>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center policies column-body clickable\"\n              >\n                <div\n                  class=\"value vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"policy?.contract_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  (click)=\"\n                    selectPolicy(\n                      !selectedControlIds?.includes(policy?.contract_id),\n                      policy\n                    )\n                  \"\n                >\n                  {{\n                    policy?.control_id\n                      ? \"[POLID - \" + policy.control_id + \"] \"\n                      : \"\"\n                  }}{{ policy?.contract_name }}\n                </div>\n              </div>\n              <div\n                class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center categories\"\n              >\n                <ng-container *ngIf=\"policy?.childCat?.length\">\n                  <div\n                    class=\"value vx-fs-12 vx-label-txt\"\n                    [appTooltip]=\"policy?.childCat[0]?.category_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ policy?.childCat[0]?.category_name }}\n                  </div>\n                </ng-container>\n                <ng-container *ngIf=\"policy?.childCat?.length > 1\">\n                  <button\n                    class=\"count vx-fs-12 vx-fw-500 vx-txt-white vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-1 vx-d-flex vx-align-center vx-justify-center\"\n                    appPopover\n                    (click)=\"category.popover()\"\n                    placement=\"top\"\n                  >\n                    +{{ policy?.childCat?.length - 1 }}\n                  </button>\n                  <app-popover #category [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let childCategory of policy?.childCat\n                              | slice : 1\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span class=\"value\">{{\n                              childCategory?.category_name\n                            }}</span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </ng-container>\n              </div>\n            </div>\n          </div>\n        </ng-container>\n\n        <app-no-data\n          *ngIf=\"!loader && policiesList?.data?.length === 0\"\n          [noDataImage]=\"LINKS.linkPolicyNoDataImage\"\n          [noDataText]=\"CONSTANTS.NO_DATA_IMAGE_TEXT\"\n        ></app-no-data>\n      </div>\n\n      <div\n        class=\"link-policy-floating-bar vx-d-flex vx-align-center vx-justify-between vx-p-3 vx-mt-1\"\n      >\n        <div class=\"link-policy-floating-bar-left vx-d-flex vx-align-center\">\n          <div class=\"selected\" *ngIf=\"selectedPolicyList?.length > 0\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let policy of selectedPolicyList | slice : 0 : 1\"\n              >\n                <i\n                  (click)=\"deleteItem(policy)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policy?.contract_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policy?.contract_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                *ngIf=\"selectedPolicyList.length > 1\"\n                type=\"button\"\n                appPopover\n                (click)=\"relatedPolicy.popover()\"\n                placement=\"left\"\n              >\n                +{{ selectedPolicyList?.length - 1 }}\n              </button>\n            </div>\n          </div>\n        </div>\n        <app-popover #relatedPolicy [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let policy of selectedPolicyList | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"deleteItem(policy)\">&#xe90d;</i>\n                    {{ policy?.contract_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <div class=\"link-policy-floating-bar-right vx-d-flex vx-align-center\">\n          <button\n            (click)=\"goBack()\"\n            class=\"cancel-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-red\"\n          >\n            CANCEL\n          </button>\n          <button\n            (click)=\"saveChanges()\"\n            class=\"next-btn vx-fs-11 vx-fw-500 vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center vx-txt-white\"\n          >\n            NEXT <i class=\"icons vx-ml-2\">&#xe91e;</i>\n          </button>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .link-policy{position:fixed;inset:0 500px 0 0}::ng-deep .link-policy.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .link-policy-head{background:#f8f8f8;border-radius:.125rem .125rem 0 0;border-bottom:1px solid #F1F1F1;height:2.75rem}::ng-deep .link-policy-head button.back-btn{background:transparent;border-radius:0;border:none}::ng-deep .link-policy-search{position:relative}::ng-deep .link-policy-search input{height:2.75rem;line-height:1.5rem;padding:.75rem .75rem .75rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .link-policy-search input::placeholder{color:#747576;opacity:1}::ng-deep .link-policy-search i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1}::ng-deep .link-policy-table{overflow:hidden;overflow-y:auto;height:calc(100vh - 14rem)}::ng-deep .link-policy-table::-webkit-scrollbar-track{background-color:transparent}::ng-deep .link-policy-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .link-policy-table .table-header .table-row{border:none!important;border-radius:0!important}::ng-deep .link-policy-table .table-header .table-row .table-column{line-height:1rem!important;min-height:1.5rem!important}::ng-deep .link-policy-table .table-row{border:1px solid #F1F1F1;border-radius:.25rem;display:flex;justify-content:space-between;position:relative;margin-bottom:.25rem}::ng-deep .link-policy-table .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .link-policy-table .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .link-policy-table .table-row .table-column{min-height:2.5rem;position:relative;width:100%}::ng-deep .link-policy-table .table-row .table-column.serial{width:2rem;max-width:2rem;justify-content:center}::ng-deep .link-policy-table .table-row .table-column.serial .sr-no{width:1.25rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial app-cs-checkbox{background:#fff;border-radius:.125rem;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;opacity:0;transition:all .2s ease-in-out}::ng-deep .link-policy-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .link-policy-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0}::ng-deep .link-policy-table .table-row .table-column.policies{width:calc(100% - 28rem);min-width:calc(100% - 28rem)}::ng-deep .link-policy-table .table-row .table-column.policies .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy-table .table-row .table-column.categories{width:26rem;min-width:26rem}::ng-deep .link-policy-table .table-row .table-column.categories .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 1rem)}::ng-deep .link-policy-table .table-row .table-column.categories button.count{background:#1e5dd3;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-table .table-row .table-column.category-name{width:calc(100% - 2rem);min-width:calc(100% - 2rem)}::ng-deep .link-policy-table .table-row .table-column.category-name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 5rem)}::ng-deep .link-policy-floating-bar{background:#fff;border-radius:.25rem;box-shadow:0 2px 12px #4681ef40}::ng-deep .link-policy-floating-bar-left .counter{background:#34aa44;border-radius:.125rem;min-width:1.75rem}::ng-deep .link-policy-floating-bar-left .chip{background:#fff;border-radius:.125rem;box-shadow:0 2px 4px #1e5dd31a;height:1.5rem;display:block;max-width:13rem;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .link-policy-floating-bar-left .chip i{position:relative;top:.0625rem;cursor:pointer}::ng-deep .link-policy-floating-bar-left button.count{background:#34aa44;border:none;border-radius:.125rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button{background:transparent;border:none;border-radius:.125rem;padding:0 .5rem;height:1.5rem}::ng-deep .link-policy-floating-bar-right button.next-btn{background:#1e5dd3}::ng-deep .link-policy-floating-bar-right button.next-btn.disabled{background:#f1f1f1!important;color:#747576!important;pointer-events:none!important}::ng-deep app-popover .wf-action-list ul.action-item li .avatar-card .cross-btn{cursor:pointer}.wf-action-list .action-item li .count-value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.column-body{position:relative;left:10px}.clickable{cursor:pointer}\n"] }]
        }], ctorParameters: function () { return [{ type: PolicyService }]; }, propDecorators: { selectedPolicies: [{
                type: Input
            }], mode: [{
                type: Input
            }], policyId: [{
                type: Input
            }], closeLinkPolicyList: [{
                type: Output
            }], selectedList: [{
                type: Output
            }] } });

class WorkflowPolicyComponent {
    constructor(policyService, snackBar, uiKitService, authService, responsibilityService, router, route, frequencyService, platformLocation, changeRef, restApiService, commonService, organizationUserService, organizationCommonService, complianceCommonService, iframeService) {
        this.policyService = policyService;
        this.snackBar = snackBar;
        this.uiKitService = uiKitService;
        this.authService = authService;
        this.responsibilityService = responsibilityService;
        this.router = router;
        this.route = route;
        this.frequencyService = frequencyService;
        this.changeRef = changeRef;
        this.restApiService = restApiService;
        this.commonService = commonService;
        this.organizationUserService = organizationUserService;
        this.organizationCommonService = organizationCommonService;
        this.complianceCommonService = complianceCommonService;
        this.iframeService = iframeService;
        this.ASSETS = ASSETS;
        this.CONSTANTS = CONSTANTS;
        this.LINKS = LINKS;
        this.pickerChanged = new EventEmitter();
        this.mode = 'CREATE';
        this.policyId = '';
        this.showConfirmationAlert = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.shiftToEditMode = new EventEmitter();
        this.convertFileData = {};
        this.selectedCategory = '';
        this.isSendForAttestation = false;
        this.templateId = '';
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add a description for this policy.',
        };
        this.workflowType = 'SEQUENTIAL';
        this.scrollToBottom = false;
        this.navigateToDocumentsSection = false;
        this.activeSelector = '';
        this.rcList = [];
        this.usersList = [];
        this.allApprovers = [];
        this.allReviewers = [];
        this.assigneesList = [];
        this.ownerlist = [];
        this.reviewersList = [];
        this.overseersList = [];
        this.rcListLoaded = false;
        this.usersListLoaded = false;
        this.categoryList = [];
        this.groupsList = [];
        this.workFlowList = [];
        this.approverWorkFlowList = [];
        this.submitted = false;
        this.ccEmailObjIds = [];
        this.ccFailGroupObjIds = [];
        this.usersAccessList = [];
        this.usersAccessListIds = [];
        this.groupsAccessListIds = [];
        this.groupsAccessList = [];
        this.SelectedListOfPolicies = [];
        this.loader = false;
        this.categoriesListLoaded = false;
        this.groupsListLoaded = false;
        this.categoryConfig = {
            panelTitle: 'Select Policy Category',
            floatingTextSingular: 'Policy Category Selected',
            floatingTextPlural: 'Policy Categories Selected',
            searchPlaceholder: 'Search Policy Category',
            searchEnabled: true,
            selectAllEnabled: true,
            workflow: 'policy',
        };
        this.approvalWorkflowConfig = {
            panelTitle: 'Select user(s)',
            floatingTextSingular: 'User selected',
            floatingTextPlural: 'Users selected',
            searchPlaceholder: 'Search User',
            searchEnabled: true,
            selectAllEnabled: true,
        };
        this.addMoreLevels = false;
        this.approversListIndex = 0;
        this.workflowList = ['SEQUENTIAL', 'ROUND-ROBIN', 'ANY ONE'];
        this.datePickerOverlay = false;
        this.dateConfig = {
            disableKeypress: true,
            format: 'DD MM YYYY',
            unSelectOnClick: true,
            openOnClick: false,
            openOnFocus: false,
        };
        this.frequencyDetails = {
            pattern: '',
            notificationPending: 0,
            dateOfModified: 0,
            deactivationValue: 0,
            selectedReport: 0,
            lifecycle: '0000-00-00~~0',
            startDate: Math.floor(new Date().getTime() / 1000),
            startOnTheDay: Math.floor(new Date().getTime() / 1000),
            window: 0,
            failed: 0,
            time: DEFAULT_TIME,
            failedTime: '',
            continuous_failed_days: 0,
        };
        this.reviewerFrequencyDetails = {
            pattern: '',
            notificationPending: 0,
            dateOfModified: 0,
            deactivationValue: 0,
            selectedReport: 0,
            lifecycle: '0000-00-00~~0',
            startDate: Math.floor(new Date().getTime() / 1000),
            startOnTheDay: Math.floor(new Date().getTime() / 1000),
            window: 0,
            failed: 0,
            time: DEFAULT_TIME,
            failedTime: '',
            continuous_failed_days: 3,
        };
        this.frequencyPlaceholder = 'What is the attestation schedule for this policy?';
        this.reviewerFrequencyPlaceholder = 'When does this policy need to be reviewed?';
        this.sideSelectorElements = [
            'approvalWorkflow',
            'assignees',
            'approvers',
            'reviewer',
            'ccEmail',
            'ccFail',
            'rc',
            'category',
            'frequency',
            'reviewerFrequency',
            'checkpoints',
            'linkProgram',
            'isAssessment',
            'isLinkedPolices',
            'owners',
            'policyAccess',
        ];
        this.riskClassification = [
            { name: 'LOW', value: 1, class: 'low' },
            { name: 'LOW-Medium', value: 2, class: 'low-med' },
            { name: 'Medium-High', value: 3, class: 'med-high' },
            { name: 'High', value: 4, class: 'high' },
        ];
        this.showRiskClassification = true;
        this.showCreateDocuments = false;
        this.organization_id = '';
        this.member_obj_id = '';
        this.memberId = 0;
        this.policyApprovalFlag = 0;
        this.baseURL = '';
        this.groupEnabled = true;
        this.overseerGroupsList = [];
        this.enableApprovalWorkflow = false;
        this.isVersionValid = true;
        this.selectedLinkProgram = {};
        this.versionErrorMessage = 'You have entered an incorrect format. The version field can either include numbers, alphabets, hyphen or dots.';
        this.selectedWorkflow = [];
        this.approvalWorkflowIds = [];
        this.defaultEditApprovers = {};
        this.createApprovalClick = false;
        this.editWorkflowLevel = {};
        this.noWorkflowSelected = false;
        this.templateView = false;
        this.templateUrl = '';
        this.isTemplateClosed = true;
        this.policyForm = {
            policyName: '',
            policyNotes: '',
            selectedCategories: [],
            selectedApprovers: [],
            selectedAssignees: [],
            selectedGroupAssignee: [],
            selectedReviewers: [],
            selectedRCs: [],
            CCFailEmail: [],
            CCFailEmailGroup: [],
            CCEmail: [],
            CCGroupEmail: [],
            availableOnPortal: false,
            acceptSuggestions: false,
            requiresSignatureForAttestation: false,
            riskRating: 1,
            associatedDocuments: {
                formatFiles: [],
            },
            policyDueDate: moment$1(),
            customTags: [],
            checkpointDetails: [],
            LinkedPolicies: [],
            totalQuestion: 0,
            passingMarks: 0,
            documentsAndLinks: {
                formatFiles: [],
                formatLinks: [],
            },
            addResponsibilityCenters: false,
            addReviewers: false,
            addCheckpoints: false,
            addOverseers: false,
            addAssociatedDocuments: false,
            addVersion: false,
            addLinkAssessment: false,
            addLinkProgram: false,
            addLinkPolicies: false,
            isPortalDisplayEnabled: false,
            failed_time: '',
            frequency_details: '',
            frequency_text: '',
            mark_failed_after: 0,
            remind_days_before_due_date: 0,
            reviewFailedAfter: 0,
            reviewFailedTime: '',
            review_frequency_details: '',
            review_frequency_type: '',
            review_remind_days_before_due_date: 0,
            review: false,
            linkProgram: {},
            programSelectedValues: {},
            assignee_start_date: '',
            reviewer_start_date: '',
            policy_version: '',
            assessment: [],
            policy_owners: [],
            policy_group_owners: [],
            businessCycle: {},
            policy_id: 0,
            policy_access_type: 0,
            policy_access_owners: [],
            policy_access_groups: [],
        };
        this.baseURL = location?.origin;
        if (this.baseURL == 'http://localhost:4200') {
            this.baseURL = 'https://dev.v-comply.com';
        }
    }
    ngOnInit() {
        this._initiateAPI();
        this.overseerGroupList();
    }
    _initiateAPI() {
        this.groupEnabled =
            this.feature?.isFeatureEnabled('ff_policy_groups') || true;
        if (this.mode === 'EDIT') {
            this._initiateEditAPI();
        }
        this.getUsersList();
        this.checkWhetherAllListsLoaded();
        this.loader = this.mode === 'EDIT' ? true : false;
        this.getOrgDetails();
        this.member_obj_id = this.authService?.getUserDetails()?._id;
        this.userInfo = this.authService?.getUserDetails()?.user;
        this.memberId = this.authService?.getMemberId();
        this.changeRef.detectChanges();
        this.policyForm.businessCycle = this.restApiService?.getBusinessCycle();
        //this.showCreateDocuments = true;
    }
    _initiateEditAPI() {
        this.getRCList();
        this.getCategoriesList();
        this.overseerGroupList();
        this.getGroupsList();
    }
    getOrgDetails() {
        this.organizationCommonService?.getOrgDetailsInfo()?.subscribe({
            next: (res) => {
                if (!res?.enable_riskclass) {
                    this.showRiskClassification = false;
                }
                if (res?._id) {
                    this.organization_id = res?._id;
                }
            },
            error: (err) => {
                console.error(err);
            },
        });
    }
    getLinkedPolicies(policyId) {
        this.policyService.LinkedPoliciesList(policyId).subscribe({
            next: (response) => {
                if (response) {
                    this.SelectedListOfPolicies = [...new Set(response?.data)].reverse();
                    this.populateOptionalFields();
                }
                this.policyForm.LinkedPolicies = this.SelectedListOfPolicies?.filter((item) => item?.contract_id).map((item) => item?.contract_id);
                this.policyForm.isPortalDisplayEnabled = response?.displayOnPortal;
                this.policyForm.addLinkPolicies = true;
            },
            error: (err) => {
                this.policyForm.addLinkPolicies = false;
                console.log(err);
            },
        });
    }
    /**
     * Displays the listing pages the left side of policy form to set and edit the dropdown fields values
     * @param type holds name of particular list is to be displayed
     * @param event contains boolean value to display the list or not
     * @param workflowType it sets the approval workflow type while editing the approval workflow.
     */
    activateSelector(type, event, workflowType) {
        if (workflowType) {
            this.workflowType = workflowType;
        }
        this.activeSelector = event ? type : '';
        switch (type) {
            case 'rc':
                this.getRCList();
                break;
            case 'category':
                this.getCategoriesList();
                break;
            case 'ccEmail':
            case 'ccFail':
            case 'assignees':
                this.getGroupsList();
                this.overseerGroupList();
                break;
        }
        if (this.sideSelectorElements.includes(type)) {
            this.pickerChanged.emit(event);
        }
    }
    /**
     * Closes the listing pages
     */
    disableSelector() {
        this.addMoreLevels = false;
        this.activeSelector = '';
        this.pickerChanged.emit(false);
    }
    /**
     * Fetches Responsibility centers list
     */
    getRCList() {
        this.complianceCommonService?.getRcListInfo()?.subscribe({
            next: (res) => {
                this.rcList = res;
                this.rcListLoaded = true;
            },
            error: (err) => {
                console.error(err);
                this.rcListLoaded = true;
            },
        });
    }
    /**
     * Fetches organization users list
     */
    getUsersList() {
        this.organizationUserService.getOrganizationUsers().subscribe((res) => {
            if (this.groupEnabled) {
                this.usersList = this.updateMemberIdKey(res);
            }
            else {
                this.usersList = res;
            }
            this.usersListLoaded = true;
        }, (err) => {
            console.error(err);
            this.usersListLoaded = true;
        });
    }
    // replace member_id value to my_member_id
    updateMemberIdKey(list) {
        let updatedList = list.map((ele) => ({
            ...ele,
            member_id: ele?.my_member_id,
        }));
        return updatedList;
    }
    /**
     * Fetches Policy Categories list
     */
    getCategoriesList() {
        this.policyService.getCategoriesList().subscribe((res) => {
            this.categoryList = res;
            this.categoriesListLoaded = true;
        }, (err) => {
            console.error(err);
            this.categoriesListLoaded = true;
        });
    }
    /**
     * Fetches organization users groups list
     */
    getGroupsList() {
        this.responsibilityService.getOrganizationPolicyGroups().subscribe((res) => {
            const data = res.data;
            const groups = [];
            data?.forEach((element) => {
                const obj = {
                    groupName: element.group_name,
                    userIds: element.member_ids,
                };
                groups.push(obj);
            });
            this.groupsList = groups;
            if (this.groupEnabled) {
                this.groupsList = data;
            }
            this.groupsListLoaded = true;
        }, (err) => {
            console.error(err);
            this.groupsListLoaded = true;
        });
    }
    //Get the list of overseers group.
    overseerGroupList() {
        this.responsibilityService?.getOrganizationOverseersGroups().subscribe((res) => {
            this.overseerGroupsList = res?.data;
            this.groupsListLoaded = true;
        }, (err) => {
            console.error(err);
            this.groupsListLoaded = true;
        });
    }
    /**
     * Sets the approvers workflow from the selected workflow on Approvers workflow list
     * @param event contains selected predefined workflow
     */
    selectedWorkflowChange(event) {
        if (event === -1) {
            // this.policyForm.selectedApprovers = [];
            // this.addMoreLevels = true
            // this.activateSelector('approvers', true);
        }
        else {
            let data = cloneDeep(event.approval_workflow);
            const newArray = data.map((item) => {
                item.name = item.type;
                const ids = item.approvers.map((approver) => approver.member_id);
                item.approvers = this.setList(this.allApprovers, ids, 'member_id');
                return item;
            });
            this.policyForm.selectedApprovers = newArray.filter((level) => level.approvers.length > 0);
        }
    }
    /**
     * Fetches Approvers workflow list based on selected policy categories
     * @param id contains selected categories id's
     */
    getApproverWorkFlow(id, data) {
        this.loader = true;
        this.policyService.getWorkflowList(id).subscribe((res) => {
            if (res?.length >= 0) {
                this.approverWorkFlowList = res; // getting all approver saved workflows
                this.selectedWorkflow = [];
                this.approverWorkFlowList?.forEach((workflow) => {
                    if (this.approvalWorkflowIds?.includes(workflow?._id)) {
                        this.selectedWorkflow?.push(workflow);
                    }
                });
                const approvalData = [];
                if (!this.selectedWorkflow?.length) {
                    this.noWorkflowSelected = true;
                    let approvalWorkflow = [];
                    this.removeWorkflow();
                    Object.keys(this.defaultEditApprovers).forEach((approversLevel) => {
                        this.defaultEditApprovers[approversLevel].approvers =
                            this.defaultEditApprovers[approversLevel]?.approvers?.map((app) => {
                                if (!app.member_name) {
                                    const approverUser = this.usersList?.find((user) => user.my_member_id == app.member_id);
                                    if (approverUser) {
                                        app.member_name = approverUser?.member_name;
                                    }
                                }
                                return app;
                            });
                        approvalWorkflow.push({
                            level1: approversLevel,
                            ...this.defaultEditApprovers[approversLevel],
                        });
                    });
                    approvalData.push({
                        workflow_name: '',
                        workflow_module: 'POLICY',
                        description: {},
                        approval_workflow: approvalWorkflow,
                        category_arr: [],
                        creator: {},
                    });
                    if (this.selectedWorkflow?.length) {
                        this.selectedWorkflow[0].approval_workflow = approvalData;
                    }
                }
                this.policyForm.selectedApprovers = this.selectedWorkflow;
                if (data) {
                    this.getApproversAndReviewersList(id, data, [data.ReviewerMemberId], data);
                }
                this.loader = false;
            }
        }, (err) => {
            console.error(err);
            this.loader = false;
        });
    }
    removeWorkflow() {
        this.selectedWorkflow = [];
        this.policyForm.selectedApprovers = [];
        this.approvalWorkflowIds = [];
        this.editApprovalWorkflow = undefined;
    }
    /**
     * Fetches Approvers and reviewers list based on selected policy categories
     * @param categoryIds contains selected categories id's
     */
    getApproversAndReviewersList(categoryIds, approverIds, reviewerIds, policy) {
        this.loader = true;
        this.allApprovers = [];
        this.allReviewers = [];
        this.policyService.getReviewers(categoryIds).subscribe((res) => {
            if (res?.length >= 0) {
                res.forEach((element) => {
                    this.allApprovers = uniqBy(this.allApprovers.concat(element.all_approvers), 'member_id');
                    this.allReviewers = uniqBy(element.all_approvers.concat(this.allReviewers, element.all_authors), 'member_id');
                    if (this.mode === 'CREATE')
                        this.setOwnersOnLoad();
                    if (policy?.policy_owners.length) {
                        this.policyForm.policy_owners = this.setList(this.allApprovers, policy?.policy_owners ?? [], 'member_id');
                    }
                    this.getUsersAccessListByCategory(element);
                });
            }
            if (approverIds?.approvers) {
                let obj = approverIds?.approvers;
                let approverLevels = [];
                // for (var item in obj) {
                //   const ids = obj[item]?.approvers?.map(
                //     (approver: any) => approver.member_id
                //   );
                //   let data = {
                //     name: obj[item]?.type,
                //     approvers: this.setList(this.allApprovers, ids, 'member_id'),
                //   };
                //   if (data.name == 'ROUNDROBIN') {
                //     data.name = 'ROUND-ROBIN';
                //   } else if (data.name == 'ANYONE') {
                //     data.name = 'ANY ONE';
                //   }
                //   approverLevels.push(data);
                // }
                if (approverIds?.approvers) {
                    let obj = approverIds?.approvers;
                    let approverLevels = [];
                    for (var item in obj) {
                        const ids = obj[item]?.approvers?.map((approver) => approver.member_id);
                        let data = {
                            type: obj[item]?.name ?? obj[item]?.type,
                            approvers: obj[item]?.approvers,
                            approval_done: false,
                            level1: obj[item]?.level1 || item,
                            alias_name: obj[item]?.alias_name,
                        };
                        //Creating issue in approval workflow payload (type) while editing policy
                        // if (data.type == 'ROUNDROBIN') {
                        //   data.type = 'ROUND-ROBIN';
                        // } else if (data.type == 'ANYONE') {
                        //   data.type = 'ANY ONE';
                        // }
                        approverLevels.push(data);
                    }
                    if (this.selectedWorkflow?.length) {
                        this.selectedWorkflow[0].approval_workflow = approverLevels;
                    }
                    else {
                        this.selectedWorkflow = [
                            {
                                approval_workflow: approverLevels,
                            },
                        ];
                    }
                    this.policyForm.selectedApprovers = this.selectedWorkflow;
                }
                if (reviewerIds) {
                    this.policyForm.selectedReviewers = this.setList(this.allReviewers, reviewerIds, 'member_id');
                }
                this.loader = false;
            }
        }, (err) => {
            console.error(err);
            this.loader = false;
        });
    }
    /*******
     * It is to populate more options elements while editing the policy form
     */
    populateOptionalFields() {
        const activatedOptions = [];
        if (this.policyForm.addResponsibilityCenters) {
            activatedOptions.push('RESPONSIBILITY_CENTER');
        }
        // if (this.policyForm.addReviewers) { activatedOptions.push('REVIEWER'); }
        // if (this.policyForm.addCheckpoints) { activatedOptions.push('CHECKPOINTS'); }
        if (this.policyForm.addOverseers) {
            activatedOptions.push('OVERSEER');
        }
        if (this.policyForm.addAssociatedDocuments) {
            activatedOptions.push('RELATED_DOCUMENTS');
        }
        if (this.policyForm.policy_version) {
            activatedOptions.push('VERSION');
        }
        if (this.policyForm.assessment.length) {
            activatedOptions.push('LINK_ASSESSMENTS');
            this.getAssessmentDetails(this.policyForm.assessment[0]);
        }
        if (this.policyForm?.programSelectedValues?.program &&
            this.policyForm?.programSelectedValues?.program?.category_id) {
            activatedOptions.push('LINK_PROGRAM_RESPONSIBILITIES');
            this.policyForm.addLinkProgram = true;
        }
        if (this.SelectedListOfPolicies.length > 0) {
            activatedOptions.push('LINK_RELATED_POLICIES');
        }
        this.populateOption.emit(activatedOptions);
    }
    /**
     * It is to add and remove the elements from More option to the policy Form
     * @param event contains details related to checked value, code particular elements from More options
     */
    addMoreInfo(event) {
        switch (event.code) {
            case 'RESPONSIBILITY_CENTER':
                this.policyForm.addResponsibilityCenters = event.checked;
                break;
            // case 'REVIEWER':
            //   this.policyForm.addReviewers = event.checked;
            //   break;
            case 'CHECKPOINTS':
                this.policyForm.addCheckpoints = event.checked;
                break;
            case 'OVERSEER':
                this.policyForm.addOverseers = event.checked;
                break;
            case 'RELATED_DOCUMENTS':
                this.policyForm.addAssociatedDocuments = event.checked;
                break;
            case 'VERSION':
                this.policyForm.addVersion = event.checked;
                break;
            case 'LINK_PROGRAM_RESPONSIBILITIES':
                this.policyForm.addLinkProgram = event.checked;
                break;
            case 'LINK_ASSESSMENTS':
                this.policyForm.addLinkAssessment = event.checked;
                break;
            case 'LINK_RELATED_POLICIES':
                this.policyForm.addLinkPolicies = event.checked;
                break;
        }
        this.scrollToBottom = true;
    }
    /**
     * It is to ensure whether all required lists on Policy from is loaded from the api call or not
     */
    checkWhetherAllListsLoaded() {
        const editLoader = this.mode === 'EDIT'
            ? this.rcListLoaded &&
                this.categoriesListLoaded &&
                this.groupsListLoaded
            : true;
        if (this.usersListLoaded && editLoader) {
            this.refreshAllLists();
            if (this.convertFileData && this.convertFileData.fileName) {
                this.policyForm.policyName = this.convertFileData.fileName.substring(0, this.convertFileData.fileName.lastIndexOf('.'));
                if (this.convertFileData.categoryId) {
                    this.saveSelectedList('category', [this.convertFileData.categoryId]);
                }
            }
            if (this.selectedCategory) {
                this.saveSelectedList('category', [this.selectedCategory]);
            }
            if (this.mode === 'EDIT') {
                this.editPolicy();
            }
            else {
                this.loader = false;
            }
        }
        else {
            setTimeout(() => {
                this.checkWhetherAllListsLoaded();
            }, 300);
        }
    }
    /**
     * Triggers the confirmation popup when availability on Policy portal toggle in ON
     * @param event contains toggle value which is always true or false
     */
    availabilityOnPortal(event) {
        if (event) {
            const confirmationDetails = {
                isVisible: true,
                message: `The policies that you intend to make accessible to the entire organization can be added to the policy portal.
        It is like a shared catalog of all active & updated policies that any logged in user can read/ download for reference.
        Hence, if this option is enabled, it is not necessary for you to set up an attestation schedule or select
        readers to attest the policies.`,
                action: 'POLICY_PORTAL',
            };
            this.showConfirmationAlert.emit(confirmationDetails);
        }
    }
    /**
     * Receives the input from the Confirmation dialog of available on Policy portal
     * @param event contains selected option from the confirmation dialog which is always either 'YES' or 'NO'
     */
    confirmPolicyPortal(event) {
        this.policyForm.availableOnPortal = event == 'YES' ? true : false;
        if (event == 'NO') {
            this.policyForm.acceptSuggestions = false;
        }
    }
    /**
     * Sets the policyForm with selected elements from the listing, frequency, file upload components
     * @param type defines the particular field on Policy form.
     * @param selectedItems contains the list of selected items from the list
     */
    saveSelectedList(type, selectedItems) {
        switch (type) {
            case 'rc':
                this.policyForm.selectedRCs = this.setList(this.rcList, selectedItems, 'item_id');
                break;
            case 'category':
                this.policyForm.selectedCategories = this.setList(this.categoryList, selectedItems, '_id');
                const objectIds = this.returnIds(this.policyForm.selectedCategories, '_id');
                this.policyForm.selectedApprovers = [];
                this.policyForm.selectedReviewers = [];
                this.resetPolicyAccessDetails();
                this.resetReviewerFrequency();
                this.policyForm.customTags = [];
                this.getApproverWorkFlow(objectIds);
                this.getApproversAndReviewersList(objectIds);
                this.policyForm.selectedCategories.forEach((element) => {
                    const tag = element.custom_tags;
                    if (tag.length > 0) {
                        tag.forEach((tagData) => {
                            const index = this.policyForm.customTags.findIndex((tagElement) => tagElement.tagname == tagData.tagname);
                            if (index == -1) {
                                this.policyForm.customTags.push(tagData);
                            }
                        });
                    }
                });
                break;
            case 'assignees':
                let userIds, groupIds;
                if (this.groupEnabled) {
                    userIds = this.returnIds(selectedItems.users, 'member_id');
                    groupIds = this.returnIds(selectedItems.groups, 'group_id');
                    this.policyForm.selectedGroupAssignee = this.setList(this.overseerGroupsList, groupIds, 'group_id');
                }
                else {
                    userIds = selectedItems;
                }
                this.policyForm.selectedAssignees = this.setList(this.assigneesList, userIds, 'my_member_id');
                this.refreshAllLists();
                break;
            case 'reviewer':
                this.policyForm.selectedReviewers = this.setList(this.allReviewers, [selectedItems.member_id], 'member_id');
                break;
            case 'ccEmail':
                let selectedUserIds, selectedGroupIds;
                if (this.groupEnabled) {
                    selectedUserIds = this.returnIds(selectedItems?.users, 'member_id');
                    selectedGroupIds = this.returnIds(selectedItems?.groups, 'group_id');
                    this.policyForm.CCGroupEmail = this.setList(this.overseerGroupsList, selectedGroupIds, 'group_id');
                    this.policyForm.CCEmail = this.setList(this.usersList, selectedUserIds, 'my_member_id');
                    this.ccEmailObjIds = this.getGroupObjectId(this.policyForm?.CCGroupEmail);
                }
                else {
                    this.policyForm.CCEmail = this.setList(this.usersList, selectedItems, 'employee_id');
                }
                this.refreshAllLists();
                break;
            case 'ccFail':
                let selectedFailUserIds, selectedFailGroupIds;
                if (this.groupEnabled) {
                    selectedFailUserIds = this.returnIds(selectedItems?.users, 'member_id');
                    selectedFailGroupIds = this.returnIds(selectedItems?.groups, 'group_id');
                    this.policyForm.CCFailEmailGroup = this.setList(this.overseerGroupsList, selectedFailGroupIds, 'group_id');
                    this.policyForm.CCFailEmail = this.setList(this.usersList, selectedFailUserIds, 'my_member_id');
                    this.ccFailGroupObjIds = this.getGroupObjectId(this.policyForm?.CCFailEmailGroup);
                }
                else {
                    this.policyForm.CCFailEmail = this.setList(this.usersList, selectedItems, 'employee_id');
                }
                this.refreshAllLists();
                break;
            case 'approvers':
                const approvers = this.setList(this.allApprovers, selectedItems, 'member_id');
                if (this.addMoreLevels) {
                    this.policyForm.selectedApprovers.push({
                        name: this.workflowType,
                        approvers,
                    });
                    this.addMoreLevels = false;
                    this.disableSelector();
                    return;
                }
                this.policyForm.selectedApprovers[this.approversListIndex] = {
                    name: this.workflowType,
                    approvers,
                };
                break;
            case 'reviewer_attachments':
                this.policyForm.documentsAndLinks.formatFiles =
                    selectedItems?.files ?? [];
                this.policyForm.documentsAndLinks.formatLinks =
                    selectedItems?.links ?? [];
                break;
            case 'associatedDocuments':
                this.policyForm.associatedDocuments.formatFiles =
                    selectedItems?.files ?? [];
                break;
            case 'checkpoints':
                this.policyForm.checkpointDetails =
                    selectedItems?.checkpointDetails ?? [];
                this.policyForm.totalQuestion =
                    selectedItems?.checkpointDetails?.length ?? 0;
                this.policyForm.passingMarks = selectedItems?.requiredPoint ?? 0;
                break;
            case 'owners':
                this.policyForm.policy_owners = this.setList(this.allApprovers, selectedItems, 'member_id');
                break;
            case 'policyAccess':
                let accessIds, accessGroupIds;
                this.policyForm.availableOnPortal =
                    selectedItems?.futureUsersWillSelect;
                if (this.groupEnabled) {
                    accessIds = this.returnIds(selectedItems.users, 'member_id');
                    accessGroupIds = this.returnIds(selectedItems.groups, 'group_id');
                    this.policyForm.policy_access_groups = this.setList(this.overseerGroupsList, accessGroupIds, 'group_id');
                }
                else {
                    accessIds = selectedItems;
                }
                this.policyForm.policy_access_owners = this.setList(this.assigneesList, accessIds, 'my_member_id');
                this.refreshAllLists();
                break;
            case 'isLinkedPolices':
                this.policyForm.LinkedPolicies = this.listOfSelectedPolicies(selectedItems?.selectedPolicyList);
                this.SelectedListOfPolicies = selectedItems?.selectedPolicyList;
                break;
        }
        this.disableSelector();
    }
    listOfSelectedPolicies(selectedPolicies) {
        return selectedPolicies?.map((policy) => policy?.contract_id);
    }
    //return the _id from the selected overseer group.
    getGroupObjectId(overseerGroup) {
        let overseerGroupIdArray = overseerGroup.map((ele) => ele._id);
        return overseerGroupIdArray;
    }
    /**
     * Removes the particular element from selected list
     * @param type defines the particular case
     * @param event holds the id or key of element to be removed
     * @param removeIndex contains the index of the element to be removed
     */
    remove(type, event, removeIndex) {
        switch (type) {
            case 'rc':
                const rcIndex = this.policyForm.selectedRCs.findIndex((rc) => rc.rc_id == event.rc_id);
                this.policyForm.selectedRCs.splice(rcIndex, 1);
                break;
            case 'assignees':
                const entrustIndex = this.policyForm.selectedAssignees.findIndex((owner) => owner.employee_id == event.employee_id);
                this.policyForm.selectedAssignees.splice(entrustIndex, 1);
                this.refreshAllLists();
                break;
            case 'groupAssignees':
                const groupIndex = this.policyForm.selectedGroupAssignee?.findIndex((group) => group.group_id == event.group_id);
                this.policyForm.selectedGroupAssignee?.splice(groupIndex, 1);
                break;
            case 'reviewer':
                const reviewerIndex = this.policyForm.selectedReviewers.findIndex((reviewer) => reviewer.member_id == event.member_id);
                this.policyForm.selectedReviewers.splice(reviewerIndex, 1);
                this.resetReviewerFrequency();
                break;
            case 'ccEmail':
                const overseerIndex = this.policyForm.CCEmail.findIndex((overseer) => overseer.employee_id == event.employee_id);
                this.policyForm.CCEmail.splice(overseerIndex, 1);
                this.refreshAllLists();
                break;
            case 'ccGroupEmail':
                const ccGroupIndex = this.policyForm?.CCGroupEmail?.findIndex((group) => group?.group_id == event?.group_id);
                this.policyForm.CCGroupEmail?.splice(ccGroupIndex, 1);
                this.ccEmailObjIds = this.getGroupObjectId(this.policyForm?.CCGroupEmail);
                this.refreshAllLists();
                break;
            case 'ccFail':
                const overseerNotifyIndex = this.policyForm.CCFailEmail.findIndex((overseerN) => overseerN.employee_id == event.employee_id);
                this.policyForm.CCFailEmail.splice(overseerNotifyIndex, 1);
                this.refreshAllLists();
                break;
            case 'ccGroupFailEmail':
                const ccFailGroupIndex = this.policyForm?.CCFailEmailGroup?.findIndex((group) => group?.group_id == event?.group_id);
                this.policyForm.CCFailEmailGroup?.splice(ccFailGroupIndex, 1);
                this.ccFailGroupObjIds = this.getGroupObjectId(this.policyForm?.CCFailEmailGroup);
                this.refreshAllLists();
                break;
            case 'approvers':
                const approversIndex = this.policyForm.selectedApprovers[removeIndex].approvers.findIndex((approver) => approver.member_id == event.member_id);
                this.policyForm.selectedApprovers[removeIndex].approvers.splice(approversIndex, 1);
                if (this.policyForm.selectedApprovers[removeIndex].approvers.length == 0) {
                    this.policyForm.selectedApprovers.splice(removeIndex, 1);
                }
                break;
            case 'category':
                const categoryIndex = this.policyForm.selectedCategories.findIndex((category) => category.item_id == event.item_id);
                this.policyForm.selectedCategories.splice(categoryIndex, 1);
                const tag = event.custom_tags;
                if (tag.length > 0) {
                    tag.forEach((tagData) => {
                        const indexCT = this.policyForm.customTags.findIndex((tagElement) => tagElement.tagname == tagData.tagname);
                        if (indexCT != -1) {
                            this.policyForm.customTags.splice(indexCT, 1);
                        }
                    });
                }
                const objectIds = this.returnIds(this.policyForm.selectedCategories, '_id');
                this.resetReviewerFrequency();
                this.policyForm.selectedApprovers.splice(0, this.policyForm.selectedApprovers.length);
                this.policyForm = Object.assign(this.policyForm);
                this.policyForm.selectedReviewers = [];
                this.getApproverWorkFlow(objectIds);
                this.getApproversAndReviewersList(objectIds);
                this.resetPolicyAccessDetails();
                break;
            case 'checkpoints':
                this.policyForm.checkpointDetails = [];
                this.policyForm.totalQuestion = 0;
                this.policyForm.passingMarks = 0;
                break;
            case 'workflowLevel':
                this.policyForm?.selectedApprovers.splice(removeIndex, 1);
                this.removeWorkflow();
                break;
            case 'linkProgram':
                this.policyForm.linkProgram = {
                    added: [],
                    removed: [
                        {
                            policyIds: [this.policyForm?.policy_id ?? 0],
                            programId: this.selectedLinkProgram?._id,
                        },
                    ],
                };
                this.policyForm.programSelectedValues = {};
                this.refreshAllLists();
                break;
            case 'owners':
                this.policyForm?.policy_owners.splice(removeIndex, 1);
                break;
            case 'policyAccess':
                const userAccessIndex = this.policyForm?.policy_access_owners.findIndex((owner) => owner?.employee_id == event?.employee_id);
                this.policyForm?.policy_access_owners?.splice(userAccessIndex, 1);
                this.refreshAllLists();
                break;
            case 'accessGroup':
                const groupAccessIndex = this.policyForm?.policy_access_groups?.findIndex((group) => group?.group_id == event?.group_id);
                this.policyForm?.policy_access_groups?.splice(groupAccessIndex, 1);
                break;
            case 'frequency':
                this.removeFrequency();
                break;
            case 'isLinkedPolices':
                this.policyForm.LinkedPolicies = this.policyForm.LinkedPolicies?.filter((policyId) => event !== policyId);
                this.SelectedListOfPolicies = this.SelectedListOfPolicies?.filter((item) => item?.contract_id !== event);
                break;
        }
    }
    /**
     * Refreshes the assignees and overseers list such that both list does not contain the same users based on selection
     */
    refreshAllLists() {
        let assigneesIds = [];
        let reviewersIds = [];
        let overseerIds = [];
        const allUsers = cloneDeep(this.usersList);
        const assignees = cloneDeep(this.policyForm.selectedAssignees);
        const overseerList = cloneDeep(this.policyForm.CCEmail);
        const notifyOverseers = cloneDeep(this.policyForm.CCFailEmail);
        assignees?.forEach((user) => {
            assigneesIds.push(user.employee_id);
        });
        overseerList?.forEach((user) => {
            overseerIds.push(user.employee_id);
        });
        notifyOverseers?.forEach((user) => {
            overseerIds.push(user.employee_id);
        });
        assigneesIds = [...new Set(assigneesIds)];
        reviewersIds = [...new Set(reviewersIds)];
        overseerIds = [...new Set(overseerIds)];
        // this.assignorsList = behalfUsers.filter((user: any) => !(reviewersIds.includes(user.member_id) || overseerIds.includes(user.member_id)));
        this.assigneesList = allUsers.filter((user) => !(reviewersIds.includes(user.employee_id) ||
            overseerIds.includes(user.employee_id)));
        if (this.groupEnabled) {
            const userObj = this.assigneesList;
            userObj?.forEach((user) => {
                user.member_id = user.my_member_id;
            });
            this.ownerlist = userObj;
        }
        // this.reviewersList = allUsers.filter((user: any) => !(assigneesIds.includes(user.employee_id) || overseerIds.includes(user.employee_id)));
        this.overseersList = allUsers.filter((user) => !(assigneesIds.includes(user.employee_id) ||
            reviewersIds.includes(user.employee_id)));
    }
    /**
     * Returns whole list based on selected id's from a particular list elements
     * @param list it is the main list  which contains all elements list
     * @param key contains key to filter selected list from the list
     * @param ids selected ids array
     */
    setList(list, ids, key) {
        const data = [];
        ids?.forEach((element) => {
            const index = list?.findIndex((listElement) => listElement[key] == element);
            if (index !== -1) {
                data.push(list[index]);
            }
        });
        return data;
    }
    /**
     * Returns id's from a particular list elements
     * @param list actual selected list
     * @param key contains key to extract id from the list
     */
    returnIds(list, key) {
        return list.map((ele) => {
            if (ele[key]) {
                return ele[key];
            }
        });
    }
    /**
     * Sets the reviewer type in approval workflow
     * @param event contains selected reviewer type
     */
    reviewerTypeChange(event) {
        this.workflowType = event;
    }
    /**
     * Sets frequency in edit  mode
     */
    frequencyDataPopulation(event, mode = 'SELECT') {
        //needs to discuss with backend about edit and default values
        const data = {
            pattern: event?.frequency_details,
            window: event?.remind_days_before_due_date,
            failedAfter: event?.mark_failed_after,
            failed_time_utc: '',
            lifecycleDetails: '0000-00-00~~0',
            timeIn24Hr: event.failed_time != '' ? event.failed_time : DEFAULT_24HR,
            continuous_failed_days: 0,
            startFrom: Math.floor(new Date(event.assignee_start_date).getTime() / 1000),
            startDate: '',
            reportId: 0,
            timeIn12hr: this.frequencyService.timeIn12(event.failed_time != '' ? event.failed_time : DEFAULT_24HR),
            placeholder: event.frequency_text,
        };
        this.frequencyData(data);
    }
    /**
     * Sets the selected frequency details in the policyForm
     * @param event contains selected frequency details
     */
    frequencyData(event) {
        this.policyForm.frequency_details = event.pattern;
        (this.policyForm.frequency_text = event.placeholder),
            (this.policyForm.mark_failed_after = event.failedAfter);
        this.policyForm.remind_days_before_due_date = event.window;
        this.policyForm.failed_time = event.timeIn24Hr;
        this.policyForm.assignee_start_date = moment$1(event.startFrom * 1000).format('ddd MMM DD YYYY');
        this.activateSelector('frequency', false);
        const payload = {
            frequency_details: event.pattern,
            frequency_time: event.timeIn12hr,
            reminder_before_days: event.window,
            failed_after_days: event.failedAfter,
            lifecycle_details: event.lifecycleDetails,
            start_of_day_utc: event.startFrom,
            on_completion_of: [event.reportId],
            dom_utc: Math.floor(Date.now() / 1000),
            continuous_failed_days: event.continuous_failed_days,
            placeholder: event.placeholder,
        };
        this.frequencyPopulation(payload);
    }
    /**
     * Populates the frequency field with selected data from frequency component
     * @param event contains selected frequency details
     */
    frequencyPopulation(event) {
        this.frequencyDetails.pattern = event?.frequency_details;
        this.frequencyDetails.failedTime = event?.frequency_time;
        this.frequencyDetails.window = event?.reminder_before_days;
        this.frequencyDetails.failed = event?.failed_after_days;
        this.frequencyDetails.lifecycle = event?.lifecycle_details;
        this.frequencyDetails.startDate = event?.start_of_day_utc;
        this.frequencyDetails.selectedReport = event?.on_completion_of[0] ?? 0;
        this.frequencyDetails.dateOfModified = event?.dom_utc;
        this.frequencyDetails.continuous_failed_days = 3;
        this.frequencyPlaceholder = event?.placeholder
            ? event.placeholder
            : 'How often does this policy need to be attested?';
    }
    reviewerFrequencyDataPopulation(event) {
        //needs to discuss with backend about edit and default values
        const data = {
            pattern: event?.review_frequency_details,
            window: event?.review_remind_days_before_due_date,
            failedAfter: event?.reviewFailedAfter,
            failed_time_utc: '',
            lifecycleDetails: '0000-00-00~~0',
            timeIn24Hr: event.reviewFailedTime != '' ? event.reviewFailedTime : DEFAULT_24HR,
            continuous_failed_days: 0,
            startFrom: Math.floor(new Date(event.reviewer_start_date).getTime() / 1000),
            startDate: '',
            reportId: 0,
            timeIn12hr: this.frequencyService.timeIn12(event.reviewFailedTime != '' ? event.reviewFailedTime : DEFAULT_24HR),
            placeholder: event.reviewfrequencyDetails,
        };
        this.reviewerFrequencyData(data);
    }
    resetReviewerFrequency() {
        this.reviewerFrequencyDetails = {
            pattern: '',
            notificationPending: 0,
            dateOfModified: 0,
            deactivationValue: 0,
            selectedReport: 0,
            lifecycle: '0000-00-00~~0',
            startDate: Math.floor(new Date().getTime() / 1000),
            startOnTheDay: Math.floor(new Date().getTime() / 1000),
            window: 0,
            failed: 0,
            time: DEFAULT_TIME,
            failedTime: '',
            continuous_failed_days: 3,
        };
        this.policyForm.reviewFailedAfter = 0;
        this.policyForm.review_frequency_details = '';
        this.policyForm.review_frequency_type = '';
        this.policyForm.review_remind_days_before_due_date = 0;
        this.policyForm.reviewFailedTime = DEFAULT_24HR;
        this.reviewerFrequencyPlaceholder =
            'When does this policy need to be reviewed ?';
    }
    /**
     * Sets the selected reviewer frequency details in the policyForm
     * @param event contains selected frequency details
     */
    reviewerFrequencyData(event) {
        this.policyForm.reviewFailedAfter = event.failedAfter;
        this.policyForm.review_frequency_details = event.pattern;
        this.policyForm.review_frequency_type = event.pattern.split('~')[0];
        this.policyForm.review_remind_days_before_due_date = event.window;
        this.policyForm.reviewFailedTime = event.timeIn24Hr;
        this.policyForm.reviewer_start_date = moment$1(event.startFrom * 1000).format('ddd MMM DD YYYY');
        this.activateSelector('reviewerFrequency', false);
        const payload = {
            frequency_details: event.pattern,
            frequency_time: event.timeIn12hr,
            reminder_before_days: event.window,
            failed_after_days: event.failedAfter,
            lifecycle_details: event.lifecycleDetails,
            start_of_day_utc: event.startFrom,
            on_completion_of: [event.reportId],
            dom_utc: Math.floor(Date.now() / 1000),
            continuous_failed_days: event.continuous_failed_days,
            placeholder: event.placeholder,
        };
        this.reviewerFrequencyPopulation(payload);
    }
    /**
     * Populates the reviewer frequency field with selected data from frequency component
     * @param event contains selected frequency details
     */
    reviewerFrequencyPopulation(event) {
        this.reviewerFrequencyDetails.pattern = event?.frequency_details;
        this.reviewerFrequencyDetails.failedTime = event?.frequency_time;
        this.reviewerFrequencyDetails.window = event?.reminder_before_days;
        this.reviewerFrequencyDetails.failed = event?.failed_after_days;
        this.reviewerFrequencyDetails.lifecycle = event?.lifecycle_details;
        this.reviewerFrequencyDetails.startDate = event?.start_of_day_utc;
        this.reviewerFrequencyDetails.selectedReport =
            event?.on_completion_of[0] ?? 0;
        this.reviewerFrequencyDetails.dateOfModified = event?.dom_utc;
        this.reviewerFrequencyDetails.continuous_failed_days = 3;
        this.reviewerFrequencyPlaceholder = event?.placeholder
            ? event.placeholder
            : 'When does this policy need to be reviewed ?';
    }
    /**
     * Validates the data submitted on create policy form
     */
    validatePolicy() {
        setTimeout(() => {
            this.submitted = true;
        }, 100);
        const event = this.policyForm.policyName;
        const re = /&nbsp;|<br>/g;
        this.policyForm.policyName = event.replace(re, '').trim();
        if (this.policyForm.policyName.trim() == '' ||
            (!this.policyForm?.frequency_details &&
                ((this.policyForm?.selectedAssignees?.length > 0 &&
                    !this.groupEnabled) ||
                    ((this.policyForm?.selectedAssignees?.length > 0 ||
                        this.policyForm?.selectedGroupAssignee?.length > 0) &&
                        this.groupEnabled))) ||
            (this.policyForm?.frequency_details &&
                this.policyForm?.selectedAssignees?.length == 0 &&
                (!this.groupEnabled ||
                    (this.policyForm?.selectedGroupAssignee?.length == 0 &&
                        this.groupEnabled))) ||
            (!this.policyForm.review_frequency_details &&
                this.policyForm.selectedReviewers.length > 0) ||
            (this.policyForm.review_frequency_details &&
                this.policyForm.selectedReviewers.length == 0) ||
            this.policyForm.selectedCategories.length == 0 ||
            (!this.policyForm?.selectedApprovers[0]?.approval_workflow?.length &&
                !this.policyForm?.selectedApprovers[0]?.approvers?.length &&
                this.policyApprovalFlag === 0) ||
            (this.formatEvidence && this.formatEvidence.newLink.containsError) ||
            !this.policyForm.policy_owners?.length ||
            (this.isSendForAttestation &&
                this.policyForm?.selectedAssignees.length === 0)) {
            return false;
        }
        else {
            return true;
        }
    }
    /**
     * Makes an api call to create a policy
     * @param policy contains policyForm data
     */
    submitPolicy() {
        this.submitted = false;
        const valid = this.validatePolicy();
        if (!valid || !this.isVersionValid) {
            return false;
        }
        this.loader = true;
        this.uiKitService.isLoader = true;
        if (this.noWorkflowSelected) {
            this.policyForm.selectedApprovers = this.selectedWorkflow;
        }
        const policy = this.policyForm;
        let approversData = this.convertApprovalWorkflow(policy.selectedApprovers);
        const startDate = policy.policyDueDate?.$d ?? policy.policyDueDate;
        let reviewerFilesArray = cloneDeep(policy.documentsAndLinks.formatFiles);
        const reviewerFiles = reviewerFilesArray.map((file) => {
            file.name = file.filename;
            file.file_path = file.filepath;
            file.org_name = file.original_filename;
            delete file.filename;
            delete file.filepath;
            delete file.original_filename;
            delete file.linkSet;
            return file;
        });
        let attestationFilesArray = cloneDeep(policy.associatedDocuments.formatFiles);
        const attestationFiles = attestationFilesArray.map((ele) => {
            ele.name = ele.filename;
            ele.file_path = ele.filepath;
            ele.original_file_name = ele.original_filename;
            ele.folder_id = ele?.folder_id ? ele.folder_id : 0;
            ele.path = ele?.path ? ele.path : ele.filepath + ele.filename;
            ele.isLinkSet = ele.linkSet;
            ele.other_type = ele?.others;
            delete ele.filename;
            delete ele.filepath;
            delete ele.original_filename;
            delete ele.linkSet;
            delete ele.file_name;
            delete ele.others;
            return ele;
        });
        const reviewerID = this.returnIds(policy.selectedReviewers, 'member_id');
        const policyAccessUsersIds = this.returnIds(policy.policy_access_owners, 'member_id') ?? [];
        const policyAccessGroupsIds = this.returnIds(policy.policy_access_groups, '_id') ?? [];
        const payload = {
            policy_name: policy.policyName,
            notes: policy.policyNotes,
            is_portal_enable: policy.availableOnPortal ? 1 : 0,
            is_suggetion_enable: policy.acceptSuggestions ? 1 : 0,
            category_id_arr: this.returnIds(policy.selectedCategories, 'item_id'),
            approvers: approversData,
            assignee_ids: this.returnIds(policy?.selectedAssignees, 'employee_id').map((id) => Number(id)),
            usergroup_ids: this.returnIds(policy.selectedGroupAssignee, '_id') ?? [],
            Is_approval: 0,
            associated_documents: policy.addAssociatedDocuments
                ? attestationFiles
                : [],
            custom_tags: JSON.stringify(policy.customTags),
            frequency_details: policy.frequency_details
                ? policy.frequency_details
                : '',
            frequency_text: policy.frequency_details ? policy.frequency_text : '',
            remind_days_before_due_date: policy.frequency_details
                ? policy.remind_days_before_due_date
                : 0,
            failed_time: policy.frequency_details ? policy.failed_time : '',
            mark_failed_after: policy.frequency_details
                ? policy.mark_failed_after
                : '',
            // startDate: policy.policyDueDate.toDateString(),
            startDate: moment$1(startDate).format('ddd MMM DD YYYY'),
            ReviewerAttachments: policy.addReviewers && policy.documentsAndLinks.formatFiles
                ? reviewerFiles
                : [],
            ReviewerLinks: policy.addReviewers && policy.documentsAndLinks.formatLinks
                ? policy.documentsAndLinks.formatLinks
                : [],
            ReviewerMemberId: policy.addReviewers && reviewerID[0] ? reviewerID[0] : 0,
            isReview: policy.addReviewers &&
                (policy.documentsAndLinks.formatFiles ||
                    policy.documentsAndLinks.formatLinks) &&
                reviewerID[0]
                ? 1
                : 0,
            reviewFailedAfter: policy.addReviewers && policy.review_frequency_details
                ? policy.reviewFailedAfter
                : 0,
            reviewFailedTime: policy.addReviewers && policy.review_frequency_details
                ? policy.reviewFailedTime
                : '',
            review_frequency_details: policy.addReviewers && policy.review_frequency_details
                ? policy.review_frequency_details
                : '',
            review_frequency_type: policy.addReviewers && policy.review_frequency_details
                ? policy.review_frequency_type
                : '',
            review_remind_days_before_due_date: policy.addReviewers && policy.review_frequency_details
                ? policy.review_remind_days_before_due_date
                : 0,
            entities: this.policyForm?.addResponsibilityCenters
                ? this.returnIds(policy.selectedRCs, 'item_id').toString()
                : '',
            risk_class: policy.riskRating.toString(),
            CCFailEmail: policy.addOverseers
                ? this.returnIds(policy.CCFailEmail, 'employee_email').toString()
                : '',
            CCEmail: policy.addOverseers
                ? this.returnIds(policy.CCEmail, 'employee_email').toString()
                : '',
            checkpointDetails: policy.checkpointDetails ?? [],
            totalQuestion: policy.totalQuestion ? policy.totalQuestion : 0,
            passingMarks: policy.passingMarks ? policy.passingMarks : 0,
            policyApprovalFlag: 0,
            is_signature_required: policy.requiresSignatureForAttestation ? 1 : 0,
            cc_usergroup_ids: this.ccEmailObjIds,
            cc_fail_usergroup_ids: this.ccFailGroupObjIds,
            reviewer_start_date: policy.reviewer_start_date ?? '',
            assignee_start_date: policy.assignee_start_date,
            policy_version: policy.addVersion ? policy.policy_version : '',
            assessment: policy.addLinkAssessment
                ? policy.assessment.map((ele) => {
                    return {
                        assessment_id: ele.assessment_id,
                        category_id: ele.category_id,
                    };
                })
                : [],
            policy_owners: this.policyForm.policy_owners.map((ele) => ele.member_id),
            approval_workflow_id: policy?.selectedApprovers[0]?._id
                ? [policy?.selectedApprovers[0]?._id]
                : [],
            linkProgram: Object.keys(policy?.linkProgram).length
                ? policy?.linkProgram
                : {
                    added: [],
                    removed: [],
                },
            business_cycle: Object.keys(policy?.linkProgram).length
                ? policy?.businessCycle
                : undefined,
            policy_access_type: policy.policy_access_type ?? 0,
            policy_access_owners: policy.availableOnPortal
                ? []
                : policyAccessUsersIds ?? [],
            policy_access_groups: policy.availableOnPortal
                ? []
                : policyAccessGroupsIds ?? [],
            displayOnPortal: policy.isPortalDisplayEnabled ?? false,
            linkedPolicies: [...new Set(policy.LinkedPolicies)],
        };
        if (this.mode == 'CREATE') {
            this.policyService.submitPolicy(payload).subscribe((res) => {
                this.policyId = res._id;
                if (this.convertFileData?.fileName) {
                    this.loader = true;
                    this.linkDocumentWithPolicy(this.convertFileData);
                    return;
                }
                if (this.templateId) {
                    this.onTemplateSelect([{ _id: this.templateId }], true);
                }
                else {
                    this.showCreateDocuments = true;
                    this.loader = false;
                    this.uiKitService.isLoader = false;
                    this.pickerChanged.emit(true);
                }
            }, (err) => {
                console.error(err);
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
        if (this.mode == 'EDIT') {
            if (this.policyApprovalFlag !== 0) {
                delete payload.approvers;
                payload.policyApprovalFlag = 2;
            }
            this.policyService.updatePolicy(payload, this.policyId).subscribe((res) => {
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.policyId = res._id;
                if (this.navigateToDocumentsSection) {
                    this.pickerChanged.emit(true);
                    this.showCreateDocuments = true;
                }
                else {
                    this.disconnectRefresh.emit(false);
                    if (this.isSendForAttestation) {
                        this.snackBar.show('The policy has been sent for attestation', 'success');
                    }
                    else {
                        this.snackBar.show('The policy has been updated', 'success');
                    }
                    const url = this.baseURL + '/all/policy/workroom?id=' + this.policyId;
                    this.iframeService.redirectIfInIframe(url, true);
                    // this.router.navigate(['/policy/workroom'], { queryParams: { id: this.policyId }, relativeTo: this.route });
                    // window.location.reload();
                }
            }, (err) => {
                console.error(err);
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
    }
    linkDocumentWithPolicy(document) {
        let url = '';
        if (document.fileName &&
            (document.fileExtension === 'pdf' ||
                document.fileExtension === 'PDF' ||
                document.fileExtension === 'docx' ||
                document.fileExtension === 'DOCX')) {
            this.policyService
                .extractFile(document.fileExtension, document.filePath, this.policyId)
                .subscribe((res) => {
                if (res && this.policyId) {
                    if (res.message === 'done' || res.content) {
                        this.loader = false;
                        if (document.fileExtension === 'docx' ||
                            document.fileExtension === 'DOCX') {
                            url = this.baseURL + API.editPolicy + this.policyId;
                        }
                        else if (document.fileExtension === 'pdf' ||
                            document.fileExtension === 'PDF') {
                            url = this.baseURL + API.goToPolicyWorkroom + this.policyId;
                        }
                        this.iframeService.redirectIfInIframe(url, true);
                    }
                }
            }, (err) => {
                this.loader = false;
                console.error(err);
                this.snackBar.show("Oops! Something went wrong and we were unable to complete this action. Let's give it another try, shall we?", 'alert');
            });
        }
        else {
            this.loader = false;
            this.snackBar.show("Oops! Something went wrong and we were unable to complete this action. Let's give it another try, shall we?", 'alert');
        }
    }
    /**
     * opens the date picker on policy form
     */
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datePickerOverlay = true;
        // this.setActiveFieldSelector('ISSUE_DATE_TIME', 'ISSUE_DATE_TIME');
    }
    /**
     * closes the date picker from policy form
     */
    closeDatePicker(evt) {
        this.datePickerOverlay = false;
        if (!evt) {
            return;
        }
        if (evt?.date?.$d) {
            let monthArray = [
                'Jan',
                'Feb',
                'Mar',
                'Apr',
                'May',
                'Jun',
                'Jul',
                'Aug',
                'Sep',
                'Oct',
                'Nov',
                'Dec',
            ];
            const dateValue = new Date(evt?.date?.$d).getDate();
            const monthValue = monthArray[new Date(evt?.date?.$d).getMonth()];
            const yearValue = new Date(evt?.date?.$d).getFullYear();
            const dateStr = `${dateValue} ${monthValue} ${yearValue}`;
        }
        if (evt?.date?.$d) {
            this.policyForm.policyDueDate = evt?.date?.$d;
        }
        this.datePicker?.api?.close();
    }
    editPolicyFromDocuments() {
        this.mode = 'EDIT';
        this.shiftToEditMode.emit();
        this.pickerChanged.emit(false);
        this.showCreateDocuments = false;
        this.navigateToDocumentsSection = true;
        this.editPolicy();
    }
    checkForCreateDocuments() {
        const data = localStorage.getItem('showCreateDocuments');
        this.navigateToDocumentsSection = data === 'true' ? true : false;
        if (this.navigateToDocumentsSection) {
            this.pickerChanged.emit(true);
            this.showCreateDocuments = true;
            localStorage.removeItem('showCreateDocuments');
        }
    }
    editPolicy() {
        this.mode = 'EDIT';
        if (this.policyId) {
            this.policyService.editPolicy(this.policyId).subscribe((res) => {
                const data = res[0];
                const categoryIds = data.category_details_arr.map((id) => id.catObjId);
                this.policyApprovalFlag = data.policyApprovalFlag;
                this.approvalWorkflowIds = data?.approvalWorkflowDetails?.map((workflow) => workflow?._id);
                this.selectedWorkflow = [];
                this.defaultEditApprovers = data?.approvers;
                this.getApproverWorkFlow(categoryIds, data);
                this.getLinkedPolicies(data?._id);
                this.populatePolicyForm(data, categoryIds);
                this.frequencyDataPopulation(data);
                this.reviewerFrequencyDataPopulation(data);
                this.populatePolicyAccessDetails(data);
            }, (error) => {
                console.error(error);
            });
        }
    }
    populatePolicyForm(data, categoryIds) {
        const reviewerFiles = data.ReviewerAttachments.map((file) => {
            file.filename = file.name;
            file.filepath = file.file_path;
            file.original_filename = file.org_name;
            file.file_name = file.org_name;
            file.linkSet = '';
            delete file.name;
            delete file.file_path;
            delete file.org_name;
            return file;
        });
        const attestationFiles = data.associated_documents.map((ele) => {
            ele.filename = ele.name;
            ele.filepath = ele.file_path;
            ele.original_filename = ele.original_file_name;
            ele.file_name = ele.original_file_name;
            ele.linkSet = ele.isLinkSet;
            ele.others = ele?.other_type;
            delete ele.name;
            delete ele.file_path;
            delete ele.original_file_name;
            delete ele.isLinkSet;
            delete ele?.other_type;
            return ele;
        });
        const group_employeeIds = data.group_employeeNames.map((id) => id?.employee_id);
        const group_Ids = data?.usergroup_ids?.map((id) => id) ?? [];
        this.policyForm.selectedCategories = this.setList(this.categoryList, categoryIds, '_id');
        this.policyForm.policy_id = data?.policy_id;
        (this.policyForm.policyName = data.policy_name),
            (this.policyForm.policyNotes = data.notes),
            (this.policyForm.customTags = data.custom_tags ? data.custom_tags : []);
        this.policyForm.selectedAssignees =
            group_employeeIds.length > 0
                ? this.setList(this.assigneesList, group_employeeIds, 'my_member_id')
                : []; //doubt in name
        this.policyForm.selectedGroupAssignee =
            group_Ids?.length > 0
                ? this.setList(this.overseerGroupsList, group_Ids, '_id')
                : [];
        this.policyForm.selectedRCs = data.entities
            ? this.setList(this.rcList, data.entities.split(','), 'item_id')
            : [];
        this.policyForm.CCFailEmail = data.CCFailEmail
            ? this.setList(this.overseersList, data.CCFailEmail, 'employee_email')
            : [];
        this.policyForm.CCFailEmailGroup =
            data?.cc_fail_usergroup_ids?.length > 0
                ? this.setList(this.overseerGroupsList, data?.cc_fail_usergroup_ids, '_id')
                : [];
        this.policyForm.CCEmail = data.CCEmail
            ? this.setList(this.overseersList, data.CCEmail.split(','), 'employee_email')
            : [];
        this.policyForm.CCGroupEmail =
            data?.cc_usergroup_ids?.length > 0
                ? this.setList(this.overseerGroupsList, data?.cc_usergroup_ids, '_id')
                : [];
        this.policyForm.availableOnPortal = data.enablePortal ? true : false;
        this.policyForm.acceptSuggestions = data.enableSuggestion ? true : false;
        this.policyForm.requiresSignatureForAttestation = data.is_signature_required
            ? true
            : false;
        this.policyForm.riskRating = data.risk_class ? Number(data.risk_class) : 1;
        this.policyForm.associatedDocuments = data.associated_documents
            ? {
                formatFiles: attestationFiles,
            }
            : { formatFiles: [] };
        this.policyForm.policyDueDate = data.startDate
            ? moment$1(data.startDate)
            : moment$1();
        this.policyForm.checkpointDetails = data.checkpoints
            ? data.checkpoints
            : [];
        this.policyForm.totalQuestion = data.total_marks ? data.total_marks : 0;
        this.policyForm.passingMarks = data.pass_marks ? data.pass_marks : 0;
        this.policyForm.documentsAndLinks = data.ReviewerAttachments
            ? {
                formatFiles: reviewerFiles,
                formatLinks: data.ReviewerLinks,
            }
            : { formatFiles: [], formatLinks: [] };
        this.policyForm.addResponsibilityCenters =
            this.policyForm.selectedRCs.length > 0 ? true : false;
        this.policyForm.addReviewers = data.ReviewerMemberId ? true : false;
        this.policyForm.addCheckpoints =
            this.policyForm.checkpointDetails.length > 0 ? true : false;
        this.policyForm.addOverseers =
            this.policyForm?.CCFailEmail?.length > 0 ||
                this.policyForm?.CCEmail?.length > 0 ||
                this.policyForm?.CCFailEmailGroup?.length > 0 ||
                this.policyForm?.CCGroupEmail?.length > 0
                ? true
                : false;
        this.policyForm.addAssociatedDocuments =
            data.associated_documents.length > 0 ? true : false;
        this.ccEmailObjIds =
            data?.cc_usergroup_ids?.length > 0 ? data?.cc_usergroup_ids : [];
        this.ccFailGroupObjIds =
            data?.cc_fail_usergroup_ids?.length > 0
                ? data?.cc_fail_usergroup_ids
                : [];
        this.policyForm.assessment = data?.assessment ?? [];
        this.policyForm.addLinkAssessment = data?.assessment?.length;
        this.policyForm.addVersion = data?.policy_version ? true : false;
        // this.checkForCreateDocuments();
        this.policyForm.policy_version = data.policy_version;
        this.policyForm.programSelectedValues.program =
            data?.programCatDetails && data?.programCatDetails?.length
                ? data?.programCatDetails[0]
                : {};
        this.selectedLinkProgram =
            data?.programCatDetails && data?.programCatDetails?.length
                ? JSON.parse(JSON.stringify(data?.programCatDetails[0]))
                : {};
        this.populateOptionalFields();
        this.loader = false;
    }
    changeName(event) {
        let text = event;
        text = text.replace(/<(.*?)>/gi, '');
        return text;
    }
    typeSelected(event) {
        this.policyForm.addReviewers = event;
    }
    onVersion(event) {
        const regexMatch = new RegExp('^[A-Za-z0-9\\.-]*$');
        this.isVersionValid = regexMatch.test(this.policyForm.policy_version);
        if (!this.isVersionValid) {
            if (this.policyForm.policy_version?.length > 20) {
                this.versionErrorMessage =
                    'Your input is invalid. The version field can only include numbers, alphabets, hyphen or dots. The maximum character limit is 20 characters.';
            }
        }
        else if (this.isVersionValid &&
            this.policyForm.policy_version?.length > 20) {
            this.versionErrorMessage =
                'Your input is invalid. The maximum character limit is 20 characters.';
        }
    }
    //this function responsible when we click on div select
    clickApprovalWorkflow(event) {
        this.enableApprovalWorkflow = event;
        this.createApprovalClick = false;
        this.activateSelector('approvers', true);
    }
    listCancelClicked(event) {
        if (event) {
            this.enableApprovalWorkflow = false;
            this.disableSelector();
            // this.pickerChanged.emit(false);
        }
    }
    selectedApprovalWorkflow(event) {
        this.selectedWorkflow = [event];
        this.approvalWorkflowIds = event?._id ? [event?._id] : [];
        this.enableApprovalWorkflow = false;
        this.policyForm.selectedApprovers = [event];
        this.disableSelector();
    }
    updatedProgramDetails(event) {
        this.policyForm.linkProgram = event?.linkProgram;
        this.policyForm.programSelectedValues = event?.selectedValues;
        this.policyForm.businessCycle = event?.businessCycle;
        this.disableSelector();
    }
    onAssessmentSelect(event) {
        this.policyForm.assessment = [event];
    }
    getAssessmentDetails(assessmentDetails, type) {
        this.responsibilityService
            .getAssessmentDetailsByID(assessmentDetails.assessment_id)
            .subscribe((res) => {
            if (res?.length > 0) {
                const categoryDetails = res[0].category.find((ele) => ele._id == assessmentDetails.category_id);
                this.policyForm.assessment = [
                    {
                        category_id: assessmentDetails.category_id,
                        assessment_id: assessmentDetails.assessment_id,
                        assessmentDetails: {
                            id: assessmentDetails.assessment_id,
                            assessment_name: res[0].assessment_name,
                            questions: res[0].questionsCount,
                        },
                        category_details: categoryDetails,
                    },
                ];
            }
        });
    }
    setOwnersOnLoad() {
        this.policyForm.policy_owners = this.setList(this.allApprovers, [this.authService.getMemberId()], 'member_id');
    }
    approvalWorkflowAPICall(event) {
        if (event) {
            const objectIds = this.returnIds(this.policyForm.selectedCategories, '_id');
            this.getApproverWorkFlow(objectIds);
            this.enableApprovalWorkflow = true;
        }
    }
    convertApprovalWorkflow(approverList) {
        let returnJson = {};
        const modifiedData = JSON.parse(JSON.stringify(approverList));
        modifiedData?.forEach((workflow) => {
            workflow?.approval_workflow?.forEach((approver, index) => {
                let i = index + 1;
                returnJson['level' + i] = approver;
            });
        });
        return returnJson;
    }
    deleteLevel(index) {
        // Approver Level delete
        this.selectedWorkflow[0]?.approval_workflow.splice(index, 1);
        for (let i = index; i < this.selectedWorkflow[0]?.approval_workflow.length; i++) {
            if (this.selectedWorkflow[0].approval_workflow[index]['level1'] ===
                this.selectedWorkflow[0]?.approval_workflow[index]['alias_name']) {
                this.selectedWorkflow[0].approval_workflow[index]['alias_name'] = `Level ${i + 1}`;
            }
            this.selectedWorkflow[0].approval_workflow[index]['level1'] = `Level ${i + 1}`;
        }
    }
    editWorkflow(event) {
        this.enableApprovalWorkflow = true;
        this.editApprovalWorkflow = event;
        this.createApprovalClick = false;
        this.activateSelector('approvers', true);
    }
    //Function responsible when we click on CREATE A NEW APPROVAL WORKFLOW
    createApprovalWorkflow() {
        this.enableApprovalWorkflow = true;
        this.createApprovalClick = true;
    }
    closeClickedCreateForm() {
        this.enableApprovalWorkflow = false;
        this.disableSelector();
    }
    editLevelClicked(editLevel, index) {
        this.enableApprovalWorkflow = true;
        this.editWorkflowLevel = {
            editLevel: editLevel,
            index: index,
        };
        this.activateSelector('approvers', true);
    }
    setAccessField(event) {
        this.policyForm.policy_access_type = event;
        if (event == 0) {
            // this.policyForm.policy_access_owners = this.usersAccessList;
            this.saveSelectedList('policyAccess', {
                users: this.usersAccessList,
                groups: [],
            });
        }
    }
    getUsersAccessListByCategory(categoryDetails) {
        let uniqueUsers = [];
        let uniqueGroupsId = [];
        uniqueUsers = uniqBy(categoryDetails?.all_managers?.concat(categoryDetails?.all_approvers, categoryDetails?.all_authors), 'member_id');
        this.usersAccessList = uniqueUsers;
        this.usersAccessListIds = this.returnIds(this.usersAccessList, 'member_id');
        uniqueGroupsId = [
            ...new Set(categoryDetails?.author_usergroup_ids?.concat(categoryDetails?.owner_usergroup_ids)),
        ];
        this.groupsAccessList = this.setList(this.overseerGroupsList, uniqueGroupsId, '_id');
        this.groupsAccessListIds = this.returnIds(this.groupsAccessList, 'group_id');
    }
    populatePolicyAccessDetails(policyDetails) {
        this.policyForm.policy_access_type = policyDetails?.policy_access_type;
        if (policyDetails?.policy_access_owners?.length) {
            this.policyForm.policy_access_owners = this.setList(this.usersList, policyDetails?.policy_access_owners, 'member_id');
        }
        if (policyDetails?.policy_access_groups?.length) {
            this.policyForm.policy_access_groups = this.setList(this.overseerGroupsList, policyDetails?.policy_access_groups, '_id');
        }
    }
    resetPolicyAccessDetails() {
        if (this.policyForm.policy_access_type == 0) {
            this.policyForm.policy_access_owners = [];
            this.policyForm.policy_access_groups = [];
        }
    }
    removeFrequency() {
        this.policyForm.frequency_details = '';
        this.policyForm.frequency_text = '';
        this.policyForm.mark_failed_after = 0;
        this.policyForm.remind_days_before_due_date = 0;
        this.policyForm.failed_time = '';
        this.policyForm.assignee_start_date = '';
        this.frequencyDetails.pattern = '';
        this.frequencyDetails.failedTime = '';
        this.frequencyDetails.window = 0;
        this.frequencyDetails.failed = 0;
        this.frequencyDetails.lifecycle = '';
        this.frequencyDetails.startDate = 0;
        this.frequencyDetails.selectedReport = 0;
        this.frequencyDetails.dateOfModified = 0;
        this.frequencyDetails.continuous_failed_days = 0;
        this.frequencyPlaceholder =
            'How often does this policy need to be attested?';
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'effective-date',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datePickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    onTemplateSelect(event, isPreselected = false) {
        if (event?.length === 0) {
            this.isTemplateClosed = false;
            this.templateView = false;
            return;
        }
        this.disconnectRefresh.emit(false);
        const uname = this.userInfo ? this.userInfo.name : '';
        const uid = this.member_obj_id;
        const name = this.policyForm.policyName.trim();
        const id = this.policyId;
        this.templateId = event[0]?._id;
        this.policyService
            .savePolicyDetails(uname, uid, id, name, '', 0)
            .subscribe(() => {
            this.templateView = false;
            this.setNavigationUrl();
            if (isPreselected) {
                this.navigateToTemplate();
            }
        });
    }
    setNavigationUrl() {
        const basUrl = this.baseURL +
            '/all/policy/edit-policy?id=' +
            this.policyId +
            '&templateId=' +
            this.templateId;
        this.templateUrl = basUrl;
    }
    navigateToTemplate() {
        this.iframeService.redirectIfInIframe(this.templateUrl, true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPolicyComponent, deps: [{ token: PolicyService }, { token: SnackBarService }, { token: UiKitService }, { token: AuthService$1 }, { token: ResponsibilityService }, { token: i3.Router }, { token: i3.ActivatedRoute }, { token: FrequencyService }, { token: i1$1.PlatformLocation }, { token: i0.ChangeDetectorRef }, { token: RestApiService }, { token: CommonService }, { token: OrganizationUserService }, { token: OrganizationCommonService }, { token: ComplianceCommonService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowPolicyComponent, selector: "app-workflow-policy", inputs: { mode: "mode", policyId: "policyId", feature: "feature", convertFileData: "convertFileData", selectedCategory: "selectedCategory", isSendForAttestation: "isSendForAttestation", templateId: "templateId" }, outputs: { pickerChanged: "pickerChanged", showConfirmationAlert: "showConfirmationAlert", populateOption: "populateOption", disconnectRefresh: "disconnectRefresh", shiftToEditMode: "shiftToEditMode" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "formatEvidence", first: true, predicate: ["formatEvidence"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], ngImport: i0, template: "<!-- <p>workflow-policy works!</p> -->\n\n<ng-container *ngIf=\"!showCreateDocuments\">\n  <div class=\"workflow-policy\">\n    <!-- Policy Name -->\n    <div\n      class=\"form-group-row\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.policyName\">\n        <img\n          [src]=\"ASSETS.what\"\n          alt=\"name\"\n          *ngIf=\"!policyForm?.policyName || activeSelector === 'name'\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.policyName && activeSelector !== 'name'\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">\n            Policy Name <span class=\"required\">*</span>\n          </label>\n          <input\n            type=\"text\"\n            (keydown)=\"activeSelector = 'name'\"\n            (focusin)=\"activateSelector('name', true)\"\n            *ngIf=\"policyForm.policyName == '' || activeSelector === 'name'\"\n            (focusout)=\"activateSelector('name', false)\"\n            [ngModel]=\"policyForm.policyName\"\n            (ngModelChange)=\"policyForm.policyName = changeName($event)\"\n            placeholder=\"Name this policy\"\n          />\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm.policyName.length && activeSelector !== 'name'\"\n          >\n            <div class=\"chip-container\">\n              <span class=\"value\">{{ policyForm.policyName }}</span>\n            </div>\n            <button\n              class=\"edit\"\n              (click)=\"activateSelector('name', true)\"\n              type=\"button\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n\n          <p\n            *ngIf=\"submitted && !policyForm.policyName.trim()\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Please enter a name for this policy.\n          </p>\n          <vcomply-editor\n            [(ngModel)]=\"policyForm.policyNotes\"\n            [editorConfig]=\"description\"\n          ></vcomply-editor>\n          <!-- <app-cs-switch\n            [(ngValue)]=\"policyForm.availableOnPortal\"\n            (ngValueChange)=\"availabilityOnPortal($event)\"\n          >\n            Do you want this policy to be available on the portal?\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'The policies that you intend to make accessible to the entire organization can be added to the policy portal. It is like a shared catalog of all active & updated policies that any logged in user can read/download for reference.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </app-cs-switch>\n          <app-cs-switch\n            *ngIf=\"policyForm.availableOnPortal\"\n            [(ngValue)]=\"policyForm.acceptSuggestions\"\n          >\n            Accept suggestions\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If enabled, users can provide improvement suggestions to the policies that are listed on the Policy Portal.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            ></app-cs-switch> -->\n        </div>\n      </div>\n    </div>\n\n    <!-- Policy Category -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'category'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'category' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedCategories?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedCategories?.length == 0 ||\n            activeSelector === 'category'\n          \"\n          [src]=\"ASSETS.case_category\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedCategories?.length > 0 &&\n            activeSelector !== 'category'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\"\n            >Policy Category <span class=\"required\">*</span>\n          </label>\n          <div\n            class=\"select\"\n            *ngIf=\"policyForm?.selectedCategories?.length == 0\"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('category', true)\"\n              placeholder=\"Select a category for this policy.\"\n              readonly\n            />\n          </div>\n\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm?.selectedCategories?.length > 0\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"\n                  let category of policyForm?.selectedCategories?.slice(0, 1)\n                \"\n              >\n                <i\n                  (click)=\"remove('category', category)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"category.item_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ category.item_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                *ngIf=\"policyForm?.selectedCategories?.length > 1\"\n                type=\"button\"\n                appPopover\n                (click)=\"category.popover()\"\n                placement=\"left\"\n              >\n                +{{ policyForm?.selectedCategories?.slice(1).length }}\n              </button>\n            </div>\n\n            <!-- <div class=\"chip-container\" [class.more-one]=\"policyForm?.selectedCategories?.length>1\"\n                          [class.plus]=\"policyForm?.selectedCategories?.length>2\">\n                          <span class=\"chip\" *ngFor=\"let category of policyForm?.selectedCategories?.slice(0,2)\"><i\n                                  class=\"icons\" (click)=\"remove('category',category)\">&#xe90d;</i>\n                              {{category.item_name}}</span>\n                          <button class=\"count\" *ngIf=\"policyForm?.selectedCategories?.length > 2\" type=\"button\"\n                              appPopover (click)=\"category.popover()\" placement=\"right\">+\n                              {{policyForm?.selectedCategories?.slice(2).length}}</button>\n                      </div> -->\n            <button\n              *ngIf=\"activeSelector !== 'category'\"\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('category', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #category [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let category of policyForm?.selectedCategories | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('category', category)\"\n                        >&#xe90d;</i\n                      >\n                      {{ category.item_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <p\n            *ngIf=\"submitted && policyForm?.selectedCategories?.length == 0\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Please select the category for this policy.\n          </p>\n        </div>\n\n        <div class=\"vx-form-group\" *ngIf=\"policyForm?.customTags?.length > 0\">\n          <ng-container *ngFor=\"let tag of policyForm?.customTags\">\n            <label class=\"vx-control-panel vx-mt-2\">{{ tag.tagname }}</label>\n            <input\n              type=\"text\"\n              [(ngModel)]=\"tag.value\"\n              placeholder=\"{{ tag.tagname }}\"\n            />\n          </ng-container>\n        </div>\n      </div>\n    </div>\n\n    <!-- Effective Date -->\n    <div\n      class=\"form-group-row\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\" [class.checked]=\"false\">\n        <img [src]=\"ASSETS.when\" alt=\"\" />\n\n        <svg\n          *ngIf=\"false\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Effective Date</label>\n          <div class=\"date-time-picker\">\n            <div class=\"picker-group\">\n              <input\n                type=\"text\"\n                readonly\n                placeholder=\"Select the effective date of the policy.\"\n                [value]=\"policyForm.policyDueDate | date : 'dd MMM yyyy'\"\n                (click)=\"openDatePicker()\"\n                id=\"effective-date\"\n              />\n              <i class=\"icons\">&#xe92d;</i>\n              <dp-date-picker\n                #datePicker\n                (onSelect)=\"datePickerOverlay = false; closeDatePicker($event)\"\n                [config]=\"dateConfig\"\n                [(ngModel)]=\"policyForm.policyDueDate\"\n              >\n              </dp-date-picker>\n              <div\n                class=\"vx-overlay\"\n                (click)=\"closeDatePicker($event)\"\n                *ngIf=\"datePickerOverlay\"\n              ></div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Policy Owner -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'owners'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'owners' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm.policy_owners?.length\">\n        <img\n          *ngIf=\"!policyForm.policy_owners?.length\"\n          [src]=\"ASSETS.im_creating\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm.policy_owners?.length\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\">POLICY OWNER(S)</label>\n          </div>\n          <div\n            *ngIf=\"!policyForm.policy_owners?.length\"\n            (click)=\"activateSelector('owners', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select owners for this policy.\n            </div>\n          </div>\n\n          <div\n            *ngIf=\"policyForm.policy_owners?.length\"\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div class=\"vx-d-flex vx-align-center\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <i\n                  (click)=\"remove('owners', policyForm?.policy_owners[0], 0)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.policy_owners[0]?.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.policy_owners[0]?.member_name }}</span\n                >\n\n                <button\n                  *ngIf=\"policyForm?.policy_owners?.length > 1\"\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                  appPopover\n                  (click)=\"policyUserPopover.popover()\"\n                  placement=\"left\"\n                >\n                  + {{ policyForm?.policy_owners.length - 1 }}\n                </button>\n              </div>\n              <div\n                *ngIf=\"false\"\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-1 vx-mr-1\"\n              >\n                &\n              </div>\n              <div\n                *ngIf=\"false\"\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"'Samantha Jones'\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >Samantha Jones</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"policyGroupPopover.popover()\"\n                  placement=\"right\"\n                >\n                  +4\n                </button>\n              </div>\n              <app-popover #policyUserPopover [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li\n                      *ngFor=\"\n                        let owner of policyForm?.policy_owners | slice : 1;\n                        let i = index\n                      \"\n                    >\n                      <div class=\"avatar-card\">\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"owner?.member_name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          <i\n                            (click)=\"remove('owners', owner, i + 1)\"\n                            class=\"icons\"\n                            >&#xe90d;</i\n                          >\n                          {{ owner?.member_name }}\n                        </span>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n              <app-popover #policyGroupPopover [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                      <div class=\"avatar-card\">\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"'Harshvardhan Kariwala'\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          <i class=\"icons\">&#xe90d;</i>\n                          Harshvardhan Kariwala\n                        </span>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n            </div>\n            <button\n              (click)=\"activateSelector('owners', true)\"\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n          <p\n            *ngIf=\"submitted && !policyForm?.policy_owners?.length\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Select owners for this policy.\n          </p>\n        </div>\n      </div>\n    </div>\n\n    <!-- Review -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"\n        activeSelector === 'reviewer' || activeSelector === 'reviewerFrequency'\n      \"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'reviewer' &&\n        activeSelector !== 'reviewerFrequency' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.addReviewers\">\n        <img *ngIf=\"!policyForm?.addReviewers\" src=\"ASSETS.reviewer\" alt=\"\" />\n\n        <svg\n          *ngIf=\"policyForm?.addReviewers\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">REVIEW</label>\n          <div\n            class=\"reviewSelection vx-p-3 vx-pb-0\"\n            [class.disabled]=\"\n              activeSelector && sideSelectorElements.includes(activeSelector)\n            \"\n          >\n            <div class=\"vx-fs-13 vx-paragraph-txt vx-mb-1\">\n              Does this policy need to be reviewed?\n            </div>\n            <app-cs-radio\n              name=\"review-type\"\n              [checked]=\"policyForm?.addReviewers\"\n              (checkedEvent)=\"typeSelected(true)\"\n              ><div class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-mr-3\">\n                YES\n              </div></app-cs-radio\n            >\n            <app-cs-radio\n              name=\"review-type\"\n              [checked]=\"!policyForm?.addReviewers\"\n              (checkedEvent)=\"typeSelected(false)\"\n              ><div class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-mr-3\">\n                NO\n              </div></app-cs-radio\n            >\n          </div>\n\n          <ng-container *ngIf=\"policyForm?.addReviewers\">\n            <label class=\"vx-control-panel vx-mt-2\">REVIEWER</label>\n            <div\n              class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n              *ngIf=\"policyForm?.selectedReviewers?.length == 0\"\n              [appScrollInView]=\"scrollToBottom\"\n              [class.active]=\"activeSelector === 'reviewer'\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewer' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n              (click)=\"activateSelector('reviewer', true)\"\n            >\n              <div\n                class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                Select the person responsible for reviewing this policy\n              </div>\n            </div>\n\n            <div\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n              *ngIf=\"policyForm?.selectedReviewers?.length > 0\"\n              [class.active]=\"activeSelector === 'reviewer'\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewer' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngFor=\"let reviewer of policyForm?.selectedReviewers\"\n              >\n                <i\n                  (click)=\"remove('reviewer', reviewer)\"\n                  class=\"icons cross vx-fs-12 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"'Samantha Jones'\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ reviewer?.member_name }}</span\n                >\n              </div>\n              <button\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                *ngIf=\"activeSelector !== 'reviewer'\"\n                (click)=\"activateSelector('reviewer', true)\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n            <label class=\"vx-control-panel vx-mt-3\">REVIEW FREQUENCY</label>\n            <div\n              *ngIf=\"policyForm?.review_frequency_details == ''\"\n              class=\"selectButton vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n              [class.active]=\"activeSelector === 'reviewerFrequency'\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewerFrequency' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n            >\n              <div\n                class=\"selectButtonPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                When does this policy needs to be reviewed?\n              </div>\n              <div\n                (click)=\"activateSelector('reviewerFrequency', true)\"\n                class=\"vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase\"\n              >\n                SET A FREQUENCY\n              </div>\n            </div>\n\n            <div\n              *ngIf=\"policyForm?.review_frequency_details != ''\"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewerFrequency' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n              [class.active]=\"activeSelector === 'reviewerFrequency'\"\n            >\n              <div\n                class=\"selectBoxText vx-fs-13 vx-paragraph-txt\"\n                [appTooltip]=\"reviewerFrequencyPlaceholder\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ reviewerFrequencyPlaceholder }}\n              </div>\n              <button\n                *ngIf=\"activeSelector !== 'reviewerFrequency'\"\n                (click)=\"activateSelector('reviewerFrequency', true)\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n            <p\n              *ngIf=\"\n                submitted &&\n                policyForm?.selectedReviewers?.length > 0 &&\n                !policyForm?.review_frequency_details\n              \"\n              class=\"error-message\"\n              [appScrollInView]=\"true\"\n            >\n              Select the review schedule for this policy.\n            </p>\n          </ng-container>\n        </div>\n      </div>\n    </div>\n\n    <!-- New Approval Workflow -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'approvers'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'approvers' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedApprovers?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length == 0 ||\n            activeSelector === 'approvers'\n          \"\n          [src]=\"ASSETS.approval\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length > 0 &&\n            activeSelector !== 'approvers'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\" [class.disabled]=\"policyApprovalFlag !== 0\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\"\n              >APPROVAL <span class=\"required\">*</span></label\n            >\n            <button\n              (click)=\"\n                createApprovalWorkflow(); activateSelector('approvers', true)\n              \"\n              [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n              class=\"createNewBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n            >\n              CREATE A NEW APPROVAL WORKFLOW\n            </button>\n          </div>\n          <div\n            *ngIf=\"\n              selectedWorkflow?.length === 0 ||\n              !selectedWorkflow[0]?.workflow_name\n            \"\n            (click)=\"\n              clickApprovalWorkflow(true); activateSelector('approvers', true)\n            \"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select the approval workflow for this policy\n            </div>\n          </div>\n          <div\n            *ngIf=\"\n              selectedWorkflow?.length > 0 && selectedWorkflow[0]?.workflow_name\n            \"\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-mb-2\"\n          >\n            <div\n              class=\"vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-mb-2\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <i\n                  (click)=\"removeWorkflow()\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"selectedWorkflow[0]?.workflow_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ selectedWorkflow[0]?.workflow_name }}</span\n                >\n              </div>\n              <button\n                (click)=\"editWorkflow(selectedWorkflow[0])\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n          </div>\n          <ng-container *ngIf=\"selectedWorkflow?.length > 0\">\n            <div\n              *ngFor=\"\n                let approval of selectedWorkflow[0]?.approval_workflow;\n                let approvalIndex = index\n              \"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <div class=\"level-left vx-d-flex vx-align-center\">\n                  <div class=\"vx-d-block\">\n                    <div\n                      class=\"level-name vx-fs-9 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-3\"\n                      [appTooltip]=\"\n                        approval?.alias_name\n                          ? approval?.alias_name\n                          : approval?.level1\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{\n                        approval?.alias_name\n                          ? approval?.alias_name\n                          : approval?.level1\n                      }}\n                    </div>\n                    <div\n                      class=\"vx-fs-9 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3\"\n                    >\n                      {{\n                        approval?.type === \"ROUNDROBIN\"\n                          ? \"ROUND-ROBIN\"\n                          : approval?.type === \"ANYONE\"\n                          ? \"ANY ONE\"\n                          : approval?.type\n                      }}\n                    </div>\n                  </div>\n                </div>\n                <div\n                  class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-ml-2\"\n                >\n                  <!-- <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                    >&#xe9ae;</i\n                  > -->\n                  <div\n                    *ngIf=\"\n                      approval?.type?.toLowerCase() === 'sequential' &&\n                      approval?.approvers?.length < 2\n                    \"\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    {{ 1 == approval?.approvers?.length ? \"Final\" : 1 }}\n                  </div>\n                  <div\n                    *ngIf=\"\n                      approval?.approvers?.length > 1 &&\n                      approval?.type?.toLowerCase() === 'sequential'\n                    \"\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    1\n                  </div>\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"approval?.approvers[0]?.member_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ approval?.approvers[0]?.member_name }}</span\n                  >\n                  <button\n                    *ngIf=\"approval?.approvers?.length > 1\"\n                    class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                    appPopover\n                    (click)=\"workflowPopover.popover()\"\n                    placement=\"right\"\n                  >\n                    +{{ approval?.approvers?.length - 1 }}\n                  </button>\n                </div>\n                <app-popover #workflowPopover [dontCloseonClick]=\"true\">\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li\n                        *ngFor=\"\n                          let approver of approval?.approvers | slice : 1;\n                          let approvalIndex = index\n                        \"\n                      >\n                        <div class=\"avatar-card\">\n                          <span\n                            class=\"value\"\n                            [appTooltip]=\"approver?.member_name\"\n                            placement=\"bottom-left\"\n                            delay=\"0\"\n                            type=\"black\"\n                            [tooltipMandatory]=\"false\"\n                          >\n                            <!-- <i class=\"icons\">&#xe90d;</i> -->\n                            <span\n                              *ngIf=\"\n                                approval?.type?.toLowerCase() === 'sequential'\n                              \"\n                              class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                              >{{\n                                approvalIndex + 1 ===\n                                approval?.approvers?.length - 1\n                                  ? \"Final\"\n                                  : approvalIndex + 2\n                              }}</span\n                            >\n                            {{ approver?.member_name }}\n                          </span>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n\n              <!-- <div class=\"vx-d-flex vx-align-center\">\n                <button (click)=\"editLevelClicked(approval,approvalIndex)\"\n                  class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                >\n                  <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n                </button>\n                <button (click)=\"deleteLevel(approvalIndex)\"\n                  class=\"deleteBtn vx-fs-11 vx-fw-600 vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"\n                >\n                  <i class=\"icons vx-mr-1\">&#xe9ae;</i> DELETE\n                </button>\n              </div> -->\n            </div>\n          </ng-container>\n          <p\n            *ngIf=\"\n              submitted &&\n              !policyForm?.selectedApprovers[0]?.approval_workflow?.length &&\n              !policyApprovalFlag &&\n              !policyForm?.selectedApprovers[0]?.approvers?.length\n            \"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Select or create an approval workflow for this policy.\n          </p>\n        </div>\n      </div>\n    </div>\n\n    <!-- Policy Access -->\n    <div\n      *ngIf=\"true\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'policyAccess'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'policyAccess' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"true\">\n        <img\n          *ngIf=\"\n            !policyForm?.policy_access_owners?.length &&\n            !policyForm?.policy_access_groups?.length &&\n            !policyForm?.availableOnPortal\n          \"\n          [src]=\"ASSETS.lock_scope\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.policy_access_owners?.length ||\n            policyForm?.policy_access_groups?.length ||\n            policyForm?.availableOnPortal\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\">POLICY PORTAL ACCESS</label>\n          </div>\n          <div\n            *ngIf=\"\n              !policyForm?.policy_access_owners?.length &&\n              !policyForm?.policy_access_groups?.length &&\n              !policyForm?.availableOnPortal\n            \"\n            (click)=\"activateSelector('policyAccess', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Who should be able to view this policy?\n            </div>\n          </div>\n\n          <ng-container *ngIf=\"!policyForm?.availableOnPortal\">\n            <div\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3\"\n              *ngIf=\"\n                policyForm?.policy_access_owners?.length ||\n                policyForm?.policy_access_groups?.length\n              \"\n            >\n              <div\n                class=\"vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-mb-2\"\n              >\n                <div class=\"vx-d-flex vx-align-center\">\n                  <div\n                    *ngIf=\"policyForm?.policy_access_owners?.length\"\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                  >\n                    <i\n                      class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                      *ngIf=\"policyForm?.policy_access_type === 1\"\n                      (click)=\"\n                        remove(\n                          'policyAccess',\n                          policyForm?.policy_access_owners[0]\n                        )\n                      \"\n                      >&#xe9ae;</i\n                    >\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"\n                        policyForm?.policy_access_owners[0]?.employee_name\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{\n                        policyForm?.policy_access_owners[0]?.employee_name\n                      }}</span\n                    >\n                    <button\n                      *ngIf=\"policyForm?.policy_access_owners?.length > 1\"\n                      class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                      appPopover\n                      (click)=\"policyAccessPopover.popover()\"\n                      placement=\"left\"\n                    >\n                      +{{ policyForm?.policy_access_owners.length - 1 }}\n                    </button>\n                  </div>\n\n                  <div\n                    class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                    *ngIf=\"\n                      policyForm?.policy_access_owners.length > 0 &&\n                      policyForm?.policy_access_groups.length > 0\n                    \"\n                  >\n                    &\n                  </div>\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                    *ngIf=\"policyForm?.policy_access_groups.length > 0\"\n                  >\n                    <i\n                      class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                      *ngIf=\"policyForm?.policy_access_type === 1\"\n                      (click)=\"\n                        remove(\n                          'accessGroup',\n                          policyForm?.policy_access_groups[0]\n                        )\n                      \"\n                      >&#xe9ae;</i\n                    >\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"\n                        policyForm?.policy_access_groups[0]?.group_name\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{\n                        policyForm?.policy_access_groups[0]?.group_name\n                      }}</span\n                    >\n                    <button\n                      class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                      appPopover\n                      (click)=\"accessGroup.popover()\"\n                      placement=\"right\"\n                      *ngIf=\"policyForm?.policy_access_groups.length > 1\"\n                    >\n                      +{{ policyForm?.policy_access_groups.length - 1 }}\n                    </button>\n                  </div>\n\n                  <app-popover #policyAccessPopover [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let user of policyForm?.policy_access_owners\n                              | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"user?.employee_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                            >\n                              <i\n                                class=\"icons\"\n                                *ngIf=\"policyForm?.policy_access_type === 1\"\n                                (click)=\"remove('policyAccess', user)\"\n                                >&#xe90d;</i\n                              >\n                              {{ user?.employee_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                  <app-popover #accessGroup [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let data of policyForm?.policy_access_groups\n                              | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span class=\"value\">\n                              <i\n                                class=\"icons\"\n                                *ngIf=\"policyForm?.policy_access_type === 1\"\n                                (click)=\"remove('accessGroup', data)\"\n                                >&#xe90d;</i\n                              >\n                              {{ data?.group_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n\n                <button\n                  (click)=\"activateSelector('policyAccess', true)\"\n                  class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                >\n                  <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n                </button>\n              </div>\n\n              <!-- <div class=\"vx-mt-4 vx-mb-2\">\n                <app-cs-radio\n                  [name]=\"'policyFormAccessType'\" [checked]=\"policyForm?.policy_access_type === 0\" (checkedEvent)=\"setAccessField(0)\"\n                  ><div class=\"vx-fs-12 vx-paragraph-txt\">\n                    Everyone who has access to this Policy Category\n                  </div></app-cs-radio\n                >\n                <app-cs-radio\n                  [name]=\"'policyFormAccessType'\" [checked]=\"policyForm?.policy_access_type === 1\" (checkedEvent)=\"setAccessField(1)\"\n                class=\"vx-mt-1\"\n                  ><div class=\"vx-fs-12 vx-paragraph-txt\">\n                    Select users/groups\n                  </div></app-cs-radio\n                >\n              </div> -->\n            </div>\n          </ng-container>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            *ngIf=\"policyForm?.availableOnPortal\"\n          >\n            <span class=\"vx-fs-13 vx-paragraph-txt\"\n              >Visible to All Current & Future Users</span\n            >\n\n            <button\n              (click)=\"activateSelector('policyAccess', true)\"\n              class=\"edit vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <div class=\"vx-mt-2\">\n            <app-cs-switch\n              *ngIf=\"\n                policyForm.availableOnPortal ||\n                policyForm?.policy_access_owners?.length ||\n                policyForm?.policy_access_groups?.length\n              \"\n              [(ngValue)]=\"policyForm.acceptSuggestions\"\n              >ACCEPT SUGGESTIONS\n              <i\n                class=\"icons vx-fs-12 vx-txt-blue vx-ml-1 vx-mr-2\"\n                [appTooltip]=\"\n                  'If enabled, users can provide improvement suggestions to the policies that are listed on the Policy Portal.'\n                \"\n                placement=\"bottom-right\"\n                delay=\"0\"\n                type=\"white\"\n                [tooltipMandatory]=\"true\"\n                >&#xe91f;</i\n              ></app-cs-switch\n            >\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Attestations -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"false\"\n      [class.disabled]=\"false\"\n      *ngIf=\"false\"\n    >\n      <div class=\"left\" [class.checked]=\"false\">\n        <img [src]=\"ASSETS.attestations\" alt=\"\" />\n\n        <svg\n          *ngIf=\"false\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\">ATTESTATIONS</label>\n          </div>\n          <div\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select the persons required to attest to this Policy\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"'Samantha Jones'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >Samantha Jones</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"policyAttestationPopover.popover()\"\n                placement=\"left\"\n              >\n                +4\n              </button>\n            </div>\n            <app-popover #policyAttestationPopover [dontCloseonClick]=\"true\">\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                    <div class=\"avatar-card\">\n                      <span\n                        class=\"value\"\n                        [appTooltip]=\"'Harshvardhan Kariwala'\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        <i class=\"icons\">&#xe90d;</i>\n                        Harshvardhan Kariwala\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <div class=\"vx-mt-2\">\n            <app-cs-switch\n              >REQUIRES E-SIGNATURE FOR ATTESTATION\n              <i\n                class=\"icons vx-fs-12 vx-txt-blue vx-ml-1 vx-mr-2\"\n                [appTooltip]=\"\n                  'Requires e-signature for attestation info text here...'\n                \"\n                placement=\"bottom-right\"\n                delay=\"0\"\n                type=\"white\"\n                [tooltipMandatory]=\"true\"\n                >&#xe91f;</i\n              ></app-cs-switch\n            >\n          </div>\n\n          <label class=\"vx-control-panel vx-mt-2\">WHEN?</label>\n          <div\n            class=\"selectButton vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"selectButtonPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n            >\n              What is the attestation schedule for this<br />policy?\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase\">\n              SET A FREQUENCY\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div class=\"selectBoxText vx-fs-13 vx-paragraph-txt\">\n              Every Wednesday by 11:59 pm\n            </div>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <label class=\"vx-control-panel vx-mt-2\"\n            >ASSESSMENT OF UNDERSTANDING</label\n          >\n          <div\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Set up a questionnaire to confirm the reader\u2019s<br />understanding\n              of the policy.\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <span class=\"chipName vx-fs-11 vx-label-txt\">5 Questions</span>\n            </div>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Approval Workflow -->\n    <div\n      class=\"form-group-row\"\n      *ngIf=\"false\"\n      [class.active]=\"activeSelector === 'approvers'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'approvers' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedApprovers?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length == 0 ||\n            activeSelector === 'approvers'\n          \"\n          [src]=\"ASSETS.approval\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length > 0 &&\n            activeSelector !== 'approvers'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div\n          class=\"vx-form-group approval-workflow\"\n          [class.disabled]=\"policyApprovalFlag !== 0\"\n        >\n          <label class=\"vx-control-panel\">\n            Approval workflow <span class=\"required\">*</span>\n            <button\n              (click)=\"\n                activateSelector('approvers', true);\n                addMoreLevels = true;\n                workflowType = 'SEQUENTIAL'\n              \"\n              class=\"button\"\n            >\n              Create a new Approval Workflow\n            </button>\n          </label>\n          <div\n            class=\"select\"\n            [class.disabled]=\"approverWorkFlowList?.length == 0\"\n            *ngIf=\"\n              policyForm?.selectedApprovers[0]?.approvers?.length == 0 ||\n              policyForm?.selectedApprovers.length == 0\n            \"\n          >\n            <cs-select\n              [ngModel]=\"selectedApprovalWorkflow\"\n              (ngModelChange)=\"selectedWorkflowChange($event)\"\n              [placeholder]=\"'Select approval workflow for this policy'\"\n              name=\"selectedApprovalWorkflow\"\n              [setMaxWidth]=\"true\"\n            >\n              <cs-option\n                *ngFor=\"let data of approverWorkFlowList\"\n                [value]=\"data\"\n              >\n                {{ data.workflow_name }}\n              </cs-option>\n              <cs-option\n                [value]=\"-1\"\n                (click)=\"\n                  activateSelector('approvers', true);\n                  addMoreLevels = true;\n                  workflowType = 'SEQUENTIAL'\n                \"\n                >Create a new approval workflow</cs-option\n              >\n            </cs-select>\n          </div>\n          <ng-container\n            *ngIf=\"policyForm?.selectedApprovers[0]?.approvers?.length > 0\"\n          >\n            <div\n              class=\"selected\"\n              *ngFor=\"let level of policyForm?.selectedApprovers; let i = index\"\n            >\n              <div class=\"workflow-label\">\n                <p class=\"title\">Level {{ i + 1 }}</p>\n                <p class=\"description\">{{ level.name }}</p>\n              </div>\n              <div class=\"vx-d-flex vx-align-center\">\n                <div class=\"chip-container\">\n                  <span\n                    class=\"chip\"\n                    *ngFor=\"\n                      let approver of level.approvers.slice(0, 1);\n                      let j = index\n                    \"\n                    ><i class=\"icons\" (click)=\"remove('approvers', approver, i)\"\n                      >&#xe90d;</i\n                    >\n                    <span class=\"step\" *ngIf=\"level.name == 'SEQUENTIAL'\">{{\n                      j + 1\n                    }}</span\n                    >{{ approver.member_name }}</span\n                  >\n\n                  <button\n                    class=\"count\"\n                    *ngIf=\"level.approvers?.length > 1\"\n                    type=\"button\"\n                    appPopover\n                    (click)=\"labelName.popover()\"\n                    placement=\"left\"\n                  >\n                    +\n\n                    {{ level.approvers.slice(1).length }}\n                  </button>\n                  <app-popover #labelName [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let approver of level.approvers | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span class=\"value\">\n                              <i\n                                class=\"icons\"\n                                (click)=\"remove('approvers', approver, i)\"\n                                >&#xe90d;</i\n                              >\n                              <span\n                                class=\"step\"\n                                *ngIf=\"level.name == 'SEQUENTIAL'\"\n                              >\n                                {{\n                                  j == level.approvers.slice(1).length - 1\n                                    ? \"Final\"\n                                    : j + 2\n                                }}\n                              </span>\n                              {{ approver.member_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n                <button\n                  class=\"edit\"\n                  type=\"button\"\n                  (click)=\"\n                    activateSelector('approvers', true, level.name);\n                    approversListIndex = i\n                  \"\n                >\n                  <i class=\"icons\">&#xe9ba;</i>Edit\n                </button>\n                <button\n                  class=\"close-btn\"\n                  (click)=\"remove('workflowLevel', level, i)\"\n                >\n                  <i class=\"icons\">&#xe90d;</i>\n                </button>\n              </div>\n            </div>\n          </ng-container>\n\n          <p\n            *ngIf=\"\n              submitted &&\n              !policyForm?.selectedApprovers?.length &&\n              !policyApprovalFlag\n            \"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Select or create an approval workflow for this policy.\n          </p>\n\n          <label\n            class=\"vx-control-panel\"\n            *ngIf=\"policyForm.selectedApprovers[0]?.approvers?.length > 0\"\n            ><button\n              class=\"button\"\n              (click)=\"\n                activateSelector('approvers', true);\n                addMoreLevels = true;\n                workflowType = 'SEQUENTIAL'\n              \"\n            >\n              + Add More Levels\n            </button></label\n          >\n        </div>\n      </div>\n    </div>\n\n    <!-- Who / now Attestation -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'assignees'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'assignees' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedAssignees?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedAssignees?.length == 0 ||\n            activeSelector === 'assignees'\n          \"\n          [src]=\"ASSETS.case_assignees\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedAssignees?.length > 0 &&\n            activeSelector !== 'assignees'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Attestation</label>\n          <div\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-mb-2\"\n            *ngIf=\"\n              (policyForm?.selectedAssignees?.length == 0 && !groupEnabled) ||\n              (policyForm?.selectedAssignees?.length == 0 &&\n                groupEnabled &&\n                policyForm?.selectedGroupAssignee.length == 0)\n            \"\n            (click)=\"activateSelector('assignees', true)\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select the persons responsible for attesting this policy.\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n            *ngIf=\"\n              policyForm?.selectedAssignees?.length > 0 ||\n              policyForm?.selectedGroupAssignee?.length > 0\n            \"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"!groupEnabled\"\n            >\n              <ng-container\n                *ngFor=\"\n                  let assignee of policyForm?.selectedAssignees?.slice(0, 1)\n                \"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('assignees', assignee)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"assignee.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ assignee.employee_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"assigneePopover.popover()\"\n                placement=\"left\"\n                *ngIf=\"policyForm?.selectedAssignees?.length > 1\"\n              >\n                +{{ policyForm?.selectedAssignees?.slice(1).length }}\n              </button>\n            </div>\n            <ng-container *ngIf=\"groupEnabled\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"groupEnabled && policyForm?.selectedAssignees.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove('assignees', policyForm?.selectedAssignees[0])\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.selectedAssignees[0]?.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.selectedAssignees[0]?.employee_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"UserPopover.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.selectedAssignees.length > 1\"\n                >\n                  +{{ policyForm?.selectedAssignees.length - 1 }}\n                </button>\n              </div>\n              <div\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                *ngIf=\"\n                  policyForm?.selectedAssignees.length > 0 &&\n                  policyForm?.selectedGroupAssignee.length > 0\n                \"\n              >\n                &\n              </div>\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"policyForm?.selectedGroupAssignee.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      'groupAssignees',\n                      policyForm?.selectedGroupAssignee[0]\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    policyForm?.selectedGroupAssignee[0]?.group_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.selectedGroupAssignee[0]?.group_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"group.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.selectedGroupAssignee.length > 1\"\n                >\n                  +{{ policyForm?.selectedGroupAssignee.length - 1 }}\n                </button>\n              </div>\n            </ng-container>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              (click)=\"activateSelector('assignees', true)\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <p\n            *ngIf=\"\n              submitted &&\n              ((policyForm?.selectedAssignees?.length == 0 &&\n                policyForm?.frequency_details &&\n                !groupEnabled) ||\n                (policyForm?.selectedAssignees?.length == 0 &&\n                  policyForm.selectedGroupAssignee.length == 0 &&\n                  policyForm?.frequency_details &&\n                  groupEnabled) ||\n                (isSendForAttestation &&\n                  policyForm?.selectedAssignees?.length === 0))\n            \"\n            id=\"whovalidatemsg\"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select the persons required to attest to this Policy.\n          </p>\n          <app-cs-switch\n            [(ngValue)]=\"policyForm.requiresSignatureForAttestation\"\n            [class.disabled]=\"policyForm?.selectedAssignees?.length == 0\"\n            class=\"who-toggle\"\n            >THIS POLICY REQUIRES E-SIGNATURE FOR ATTESTATION\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, the readers will be required to attest this policy using their electronic signature.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-switch\n          >\n          <app-popover #assigneePopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let assignee of policyForm?.selectedAssignees | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('assignees', assignee)\"\n                        >&#xe90d;</i\n                      >\n                      {{ assignee.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #UserPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let assignee of policyForm?.selectedAssignees | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('assignees', assignee)\"\n                        >&#xe90d;</i\n                      >\n                      {{ assignee.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #group [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let data of policyForm?.selectedGroupAssignee | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('groupAssignees', data)\"\n                        >&#xe90d;</i\n                      >\n                      {{ data.group_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n\n          <!-- overseer -->\n          <app-popover #overseerPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let overseer of policyForm?.CCEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccEmail', overseer)\"\n                        >&#xe90d;</i\n                      >\n                      {{ overseer?.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let data of policyForm?.CCGroupEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccGroupEmail', data)\"\n                        >&#xe90d;</i\n                      >\n                      {{ data?.group_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <!-- overseer end -->\n\n          <!-- overseer fail start -->\n          <app-popover #overseerFailPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let overseer of policyForm?.CCFailEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccFail', overseer)\"\n                        >&#xe90d;</i\n                      >\n                      {{ overseer?.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #overseerFailGroup [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let data of policyForm?.CCFailEmailGroup | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        class=\"icons\"\n                        (click)=\"remove('ccGroupFailEmail', data)\"\n                        >&#xe90d;</i\n                      >\n                      {{ data?.group_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <!-- overseer fail end -->\n        </div>\n      </div>\n    </div>\n\n    <!-- When -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'frequency'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'frequency' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">When?</label>\n\n          <div\n            *ngIf=\"policyForm?.frequency_details == ''\"\n            class=\"select button-sec\"\n          >\n            <div\n              class=\"custom-input frequency-custom-input\"\n              (click)=\"activateSelector('frequency', true)\"\n            >\n              {{ frequencyPlaceholder }}\n            </div>\n\n            <button (click)=\"activateSelector('frequency', true)\" type=\"button\">\n              Set A frequency\n            </button>\n          </div>\n          <!-- <div\n            *ngIf=\"policyForm?.frequency_details != ''\"\n            class=\"selected button-sec\"\n          > -->\n          <div\n            *ngIf=\"policyForm?.frequency_details != ''\"\n            class=\"selected button-sec selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                (click)=\"remove('frequency', rc)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"frequencyPlaceholder\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ frequencyPlaceholder }}</span\n              >\n            </div>\n            <button\n              *ngIf=\"activeSelector !== 'frequency'\"\n              type=\"button\"\n              class=\"edit\"\n              (click)=\"activateSelector('frequency', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i>Edit\n            </button>\n            <!-- </div>\n            <span class=\"chip\">{{ frequencyPlaceholder }}</span>\n            <button\n              *ngIf=\"activeSelector !== 'frequency'\"\n              type=\"button\"\n              class=\"edit\"\n              (click)=\"activateSelector('frequency', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i>Edit\n            </button> -->\n          </div>\n          <p\n            *ngIf=\"\n              submitted &&\n              ((policyForm?.selectedAssignees?.length > 0 &&\n                !policyForm?.frequency_details &&\n                !groupEnabled) ||\n                ((policyForm?.selectedAssignees?.length > 0 ||\n                  policyForm?.selectedGroupAssignee?.length > 0) &&\n                  !policyForm?.frequency_details &&\n                  groupEnabled))\n            \"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select an attestation schedule for this policy.\n          </p>\n\n          <!-- <label class=\"vx-control-panel\">Effective Date</label>\n                  <div class=\"date-time-picker\">\n                      <div class=\"picker-group\">\n                          <input type=\"text\" readonly placeholder=\"Select the date from which this policy goes into effect.\"\n                              [value]=\"policyForm.policyDueDate  | date: 'dd MMM yyyy'\" (click)=\"openDatePicker();\">\n                          <i class=\"icons\">&#xe92d;</i>\n                          <dp-date-picker #datePicker (onSelect)=\"datePickerOverlay = false;closeDatePicker($event)\"\n                              [config]=\"dateConfig\" [(ngModel)]=\"policyForm.policyDueDate\">\n                          </dp-date-picker>\n                          <div class=\"vx-overlay\" (click)=\"closeDatePicker($event)\" *ngIf=\"datePickerOverlay\"></div>\n                      </div>\n                  </div> -->\n        </div>\n      </div>\n    </div>\n\n    <!-- Checkpoints / Assessment of Understanding -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"true\"\n      [class.active]=\"activeSelector === 'checkpoints'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'checkpoints' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">\n            Assessment of Understanding\n            <!-- <button  *ngIf=\"policyForm?.checkpointDetails?.length===0\" class=\"button\" (click)=\"activateSelector('checkpoints',true)\">+ Add Checkpoints</button> -->\n          </label>\n          <div\n            class=\"select\"\n            *ngIf=\"policyForm?.checkpointDetails?.length === 0\"\n            (click)=\"activateSelector('checkpoints', true)\"\n          >\n            <!-- <input type=\"text\" placeholder=\"Set up a questionnaire to confirm the reader\u2019s understanding of the policy.\" readonly> -->\n            <div class=\"custom-input\">\n              Set up a questionnaire to confirm the reader\u2019s<br />understanding\n              of the policy.\n            </div>\n          </div>\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm?.checkpointDetails?.length > 0\"\n          >\n            <!-- <div class=\"chip-container\">\n                      <span class=\"chip\">{{policyForm?.checkpointDetails?.length + (policyForm?.checkpointDetails?.length > 1 ?' Checkpoints':' Checkpoint')}}</span>\n\n                      <span class=\"checkpoint-point-text first\">TOTAL POINTS: <span class=\"no\">{{policyForm?.totalQuestion}}</span><br><em>Each question carries 1 point</em></span>\n\n                      <span class=\"checkpoint-point-text\">POINTS REQUIRED TO ATTEST : <span class=\"no\">{{policyForm?.passingMarks}}</span></span>\n\n                    </div> -->\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('checkpoints', policyForm?.checkpointDetails)\"\n                >&#xe9ae;</i\n              >\n              <span class=\"chipName vx-fs-11 vx-label-txt\">{{\n                policyForm?.checkpointDetails?.length +\n                  (policyForm?.checkpointDetails?.length > 1\n                    ? \" Questions\"\n                    : \" Question\")\n              }}</span>\n            </div>\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('checkpoints', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <!-- <app-popover #checkpointPopOver [dontCloseonClick]=\"true\">\n                  <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                          <li *ngFor=\"let checkpoint of policyForm?.checkpointDetails | slice: 1; let j = index\">\n                              <div class=\"avatar-card\">\n                                  <span class=\"value\">\n                                      <i class=\"icons\" (click)=\"remove('checkpoints',checkpoint,j+1)\">&#xe90d;</i>\n                                      {{ checkpoint?.question }}\n                                  </span>\n                              </div>\n                          </li>\n                      </ul>\n                  </div>\n              </app-popover> -->\n        </div>\n      </div>\n    </div>\n\n    <!-- Risk Classification -->\n    <div\n      class=\"form-group-row\"\n      *ngIf=\"showRiskClassification && false\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm.riskRating\">\n        <img [src]=\"ASSETS.risks\" alt=\"im\" *ngIf=\"!policyForm?.riskRating\" />\n\n        <svg\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n          *ngIf=\"policyForm?.riskRating\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Risk Classification</label>\n          <div class=\"classification\">\n            <label\n              class=\"low\"\n              *ngFor=\"let class of riskClassification\"\n              [ngClass]=\"[class.class]\"\n            >\n              <input\n                type=\"radio\"\n                name=\"classification\"\n                [value]=\"class.value\"\n                [checked]=\"policyForm?.riskRating === class.value\"\n                [(ngModel)]=\"policyForm.riskRating\"\n              />\n              <span>{{ class.name }}</span>\n            </label>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Responsibility Center -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addResponsibilityCenters\"\n      [class.active]=\"activeSelector === 'rc'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'rc' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.selectedRCs?.length > 0\">\n        <img\n          *ngIf=\"\n            policyForm?.selectedRCs?.length == 0 || activeSelector === 'rc'\n          \"\n          [src]=\"ASSETS.responsibility_center\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.selectedRCs?.length > 0 && activeSelector !== 'rc'\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Responsibility Center</label>\n          <div class=\"select\" *ngIf=\"policyForm?.selectedRCs?.length == 0\">\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('rc', true)\"\n              placeholder=\"Select Responsibility Center(s) that this policy relates to.\"\n              readonly\n            />\n          </div>\n\n          <div class=\"selected\" *ngIf=\"policyForm?.selectedRCs?.length > 0\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let rc of policyForm?.selectedRCs?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('rc', rc)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"rc.item_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ rc.item_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"rcPopover.popover()\"\n                placement=\"left\"\n                *ngIf=\"policyForm?.selectedRCs?.length > 1\"\n              >\n                +{{ policyForm?.selectedRCs?.slice(1).length }}\n              </button>\n            </div>\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('rc', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #rcPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let rc of policyForm?.selectedRCs | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('rc', rc)\">&#xe90d;</i>\n                      {{ rc.item_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n        </div>\n      </div>\n    </div>\n\n    <!-- Version -->\n    <div\n      *ngIf=\"policyForm.addVersion\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.disabled]=\"\n        activeSelector && sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm.policy_version\">\n        <img\n          [src]=\"ASSETS.associated_risks\"\n          alt=\"name\"\n          *ngIf=\"!policyForm.policy_version\"\n        />\n\n        <svg\n          *ngIf=\"policyForm.policy_version\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">VERSION</label>\n          <input\n            [(ngModel)]=\"policyForm.policy_version\"\n            (change)=\"onVersion($event)\"\n            type=\"text\"\n            placeholder=\"Specify the policy version.\"\n          />\n          <p\n            *ngIf=\"!isVersionValid\"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            {{ versionErrorMessage }}\n          </p>\n        </div>\n      </div>\n    </div>\n\n    <!-- Reviewer -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addReviewers && false\"\n      [class.active]=\"activeSelector === 'reviewer'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'reviewer' &&\n        activeSelector !== 'reviewerFrequency' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedReviewers?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedReviewers?.length == 0 ||\n            activeSelector === 'reviewer'\n          \"\n          [src]=\"ASSETS.reviewer\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedReviewers?.length > 0 &&\n            activeSelector !== 'reviewer'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Reviewer </label>\n          <div\n            class=\"select\"\n            *ngIf=\"policyForm?.selectedReviewers?.length == 0\"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('reviewer', true)\"\n              placeholder=\"Select the person responsible for reviewing this policy\"\n              readonly\n            />\n          </div>\n\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm?.selectedReviewers?.length > 0\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let reviewer of policyForm?.selectedReviewers\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('reviewer', reviewer)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"reviewer.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ reviewer.member_name }}</span\n                >\n              </ng-container>\n            </div>\n\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('reviewer', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <p\n            *ngIf=\"\n              submitted &&\n              policyForm?.selectedReviewers?.length == 0 &&\n              policyForm?.review_frequency_details\n            \"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select a reviewer for this policy.\n          </p>\n\n          <label class=\"vx-control-panel\">When? </label>\n\n          <div\n            *ngIf=\"policyForm?.review_frequency_details == ''\"\n            class=\"select button-sec\"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n              [placeholder]=\"reviewerFrequencyPlaceholder\"\n              readonly\n            />\n            <button\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n              type=\"button\"\n            >\n              Set A frequency\n            </button>\n          </div>\n          <div\n            *ngIf=\"policyForm?.review_frequency_details != ''\"\n            class=\"selected button-sec\"\n          >\n            <span class=\"chip\">{{ reviewerFrequencyPlaceholder }}</span>\n            <button\n              *ngIf=\"activeSelector !== 'reviewerFrequency'\"\n              type=\"button\"\n              class=\"edit\"\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i>Edit\n            </button>\n          </div>\n          <p\n            *ngIf=\"\n              submitted &&\n              policyForm?.selectedReviewers?.length > 0 &&\n              !policyForm?.review_frequency_details\n            \"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select the review schedule for this policy.\n          </p>\n\n          <app-format-and-evidence\n            (updateFiles)=\"saveSelectedList('reviewer_attachments', $event)\"\n            #formatEvidence\n            [mode]=\"'policyReviewer'\"\n            [organization_id]=\"organization_id\"\n            [formatEvidanceData]=\"policyForm?.documentsAndLinks\"\n          >\n          </app-format-and-evidence>\n        </div>\n      </div>\n    </div>\n\n    <!-- Overseer -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addOverseers\"\n      [class.active]=\"\n        activeSelector === 'ccEmail' || activeSelector === 'ccFail'\n      \"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'ccEmail' &&\n        activeSelector !== 'ccFail' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"\n          policyForm?.CCEmail?.length > 0 || policyForm?.CCFailEmail?.length > 0\n        \"\n      >\n        <img\n          *ngIf=\"\n            (policyForm?.CCFailEmail?.length == 0 &&\n              policyForm?.CCEmail?.length == 0) ||\n            activeSelector === 'ccEmail' ||\n            activeSelector === 'ccFail'\n          \"\n          [src]=\"ASSETS.oversight\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            (policyForm?.CCFailEmail?.length > 0 ||\n              policyForm?.CCEmail?.length > 0) &&\n            activeSelector !== 'ccEmail' &&\n            activeSelector !== 'ccFail'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Oversight</label>\n          <div\n            class=\"select\"\n            *ngIf=\"\n              policyForm?.CCEmail?.length == 0 &&\n              policyForm?.CCGroupEmail.length == 0\n            \"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('ccEmail', true)\"\n              placeholder=\"Who should have oversight of this policy?\"\n              readonly\n            />\n          </div>\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              policyForm?.CCEmail?.length > 0 ||\n              policyForm?.CCGroupEmail.length > 0\n            \"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"!groupEnabled\"\n            >\n              <ng-container\n                *ngFor=\"let ccEmail of policyForm?.CCEmail?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccEmail', ccEmail)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"ccEmail.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ ccEmail.employee_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"ccEmailPopover.popover()\"\n                placement=\"left\"\n                *ngIf=\"policyForm?.CCEmail?.length > 1\"\n              >\n                +{{ policyForm?.CCEmail?.slice(1).length }}\n              </button>\n            </div>\n\n            <div *ngIf=\"groupEnabled\" class=\"chip-container\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"groupEnabled && policyForm?.CCEmail?.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccEmail', policyForm?.CCEmail[0])\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCEmail[0].employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCEmail[0].employee_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                  appPopover\n                  (click)=\"overseerPopover.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCEmail?.length > 1\"\n                >\n                  +{{ policyForm?.CCEmail?.length - 1 }}\n                </button>\n              </div>\n\n              <div\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                *ngIf=\"\n                  policyForm?.CCEmail.length > 0 &&\n                  policyForm?.CCGroupEmail?.length > 0\n                \"\n              >\n                &\n              </div>\n\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"policyForm?.CCGroupEmail.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccGroupEmail', policyForm?.CCGroupEmail[0])\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCGroupEmail[0]?.group_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCGroupEmail[0]?.group_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCGroupEmail?.length > 1\"\n                >\n                  +{{ policyForm?.CCGroupEmail?.length - 1 }}\n                </button>\n              </div>\n            </div>\n\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('ccEmail', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n\n          <div\n            class=\"select\"\n            *ngIf=\"\n              policyForm?.CCFailEmail?.length == 0 &&\n              policyForm?.CCFailEmailGroup?.length == 0\n            \"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('ccFail', true)\"\n              placeholder=\"Who should be notified if the policy is not attested on time?\"\n              readonly\n            />\n          </div>\n\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              policyForm?.CCFailEmail?.length > 0 ||\n              policyForm?.CCFailEmailGroup?.length > 0\n            \"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"!groupEnabled\"\n            >\n              <ng-container\n                *ngFor=\"let ccFail of policyForm?.CCFailEmail?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccFail', ccFail)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"ccFail.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ ccFail.employee_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"ccFailPopover.popover()\"\n                placement=\"right\"\n                *ngIf=\"policyForm?.CCFailEmail?.length > 1\"\n              >\n                +{{ policyForm?.CCFailEmail?.slice(1).length }}\n              </button>\n            </div>\n\n            <div *ngIf=\"groupEnabled\" class=\"chip-container\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"groupEnabled && policyForm?.CCFailEmail.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccFail', policyForm?.CCFailEmail[0])\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCFailEmail[0]?.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCFailEmail[0]?.employee_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                  appPopover\n                  (click)=\"overseerFailPopover.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCFailEmail?.length > 1\"\n                >\n                  +{{ policyForm?.CCFailEmail?.length - 1 }}\n                </button>\n              </div>\n\n              <div\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                *ngIf=\"\n                  policyForm?.CCFailEmail?.length > 0 &&\n                  policyForm?.CCFailEmailGroup?.length > 0\n                \"\n              >\n                &\n              </div>\n\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"policyForm?.CCFailEmailGroup?.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove('ccGroupFailEmail', policyForm?.CCFailEmailGroup[0])\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCFailEmailGroup[0]?.group_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCFailEmailGroup[0]?.group_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerFailGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCFailEmailGroup?.length > 1\"\n                >\n                  +{{ policyForm?.CCFailEmailGroup?.length - 1 }}\n                </button>\n              </div>\n            </div>\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('ccFail', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #ccEmailPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let ccEmail of policyForm?.CCEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccEmail', ccEmail)\"\n                        >&#xe90d;</i\n                      >\n                      {{ ccEmail.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #ccFailPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let ccFail of policyForm?.CCFailEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccFail', ccFail)\"\n                        >&#xe90d;</i\n                      >\n                      {{ ccFail.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n        </div>\n      </div>\n    </div>\n\n    <!-- Related Documents -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addAssociatedDocuments\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\">\n        <img\n          *ngIf=\"policyForm.associatedDocuments.formatFiles?.length == 0\"\n          [src]=\"ASSETS.format_evidence\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"policyForm.associatedDocuments.formatFiles?.length > 0\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">RELATED DOCUMENTS</label>\n          <app-format-and-evidence\n            (updateFiles)=\"saveSelectedList('associatedDocuments', $event)\"\n            [mode]=\"'policy'\"\n            [organization_id]=\"organization_id\"\n            [formatEvidanceData]=\"policyForm?.associatedDocuments\"\n          ></app-format-and-evidence>\n        </div>\n      </div>\n    </div>\n\n    <!-- Link Programs & Responsibilities -->\n    <div\n      *ngIf=\"policyForm?.addLinkProgram\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'linkProgram'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'linkProgram' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"\n          policyForm?.programSelectedValues?.program?.category_id\n        \"\n      >\n        <img\n          *ngIf=\"!policyForm?.programSelectedValues?.program?.category_id\"\n          [src]=\"ASSETS.link_items\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.programSelectedValues?.program?.category_id\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\"\n            >LINK PROGRAMS & RESPONSIBILITIES</label\n          >\n          <div\n            *ngIf=\"!policyForm?.programSelectedValues?.program?.category_id\"\n            (click)=\"activateSelector('linkProgram', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select Programs & responsibilities that are<br />associated with\n              this policy.\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            *ngIf=\"policyForm?.programSelectedValues?.program?.category_id\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                (click)=\"\n                  remove('linkProgram', policyForm?.programSelectedValues)\n                \"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"policyForm?.programSelectedValues?.program?.name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ policyForm?.programSelectedValues?.program?.name }}</span\n              >\n              <!-- <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"programResponsibilityPopover.popover()\"\n                placement=\"left\"\n              >\n                +4\n              </button> -->\n            </div>\n            <app-popover\n              #programResponsibilityPopover\n              [dontCloseonClick]=\"true\"\n            >\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                    <div class=\"avatar-card\">\n                      <span\n                        class=\"value\"\n                        [appTooltip]=\"\n                          'Reporting information security weaknesses'\n                        \"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        <i class=\"icons\">&#xe90d;</i>\n                        Reporting information security weaknesses\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              (click)=\"activateSelector('linkProgram', true)\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Link Assessment -->\n    <div\n      *ngIf=\"policyForm.addLinkAssessment\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'isAssessment'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'isAssessment' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.assessment?.length\">\n        <img\n          *ngIf=\"!policyForm?.assessment?.length\"\n          [src]=\"ASSETS.assessments\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.assessment?.length\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">LINK ASSESSMENTS</label>\n          <div\n            *ngIf=\"policyForm?.assessment?.length === 0\"\n            (click)=\"activateSelector('isAssessment', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select assessments that are associated with this<br />policy.\n            </div>\n          </div>\n\n          <div\n            *ngIf=\"policyForm?.assessment?.length > 0\"\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  policyForm.assessment[0]?.assessmentDetails?.assessment_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  policyForm.assessment[0]?.assessmentDetails?.assessment_name\n                }}</span\n              >\n            </div>\n            <app-popover\n              #programResponsibilityPopover\n              [dontCloseonClick]=\"true\"\n            >\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"let assessment of policyForm.assessment | slice : 1\"\n                  >\n                    <div class=\"avatar-card\">\n                      <span\n                        class=\"value\"\n                        [appTooltip]=\"\n                          assessment?.assessmentDetails?.assessment_name\n                        \"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        <i class=\"icons\">&#xe90d;</i>\n                        {{ assessment?.assessmentDetails?.assessment_name }}\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n            <button\n              (click)=\"activateSelector('isAssessment', true)\"\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Link Related Polices -->\n\n    <div\n      *ngIf=\"policyForm.addLinkPolicies\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === CONSTANTS.LINK_POLICY\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'isLinkedPolices' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"SelectedListOfPolicies\">\n        <img\n          *ngIf=\"!SelectedListOfPolicies?.length\"\n          [src]=\"LINKS.linkedPolicyImage\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"SelectedListOfPolicies?.length\"\n          class=\"checkIcon\"\n          [xmlns]=\"LINKS.checked\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">LINK RELATED POLICIES</label>\n          <div\n            *ngIf=\"SelectedListOfPolicies?.length === 0\"\n            (click)=\"activateSelector('isLinkedPolices', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select policies that are associated with this policy.\n            </div>\n          </div>\n\n          <div class=\"selected\" *ngIf=\"SelectedListOfPolicies?.length > 0\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let policy of SelectedListOfPolicies.slice(0, 1)\"\n              >\n                <i\n                  (click)=\"remove(CONSTANTS.LINK_POLICY, policy?.contract_id)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policy?.contract_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policy?.contract_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                *ngIf=\"SelectedListOfPolicies?.length > 1\"\n                type=\"button\"\n                appPopover\n                (click)=\"relatedPolicy.popover()\"\n                placement=\"left\"\n              >\n                +{{ SelectedListOfPolicies?.slice(1).length }}\n              </button>\n            </div>\n            <button\n              *ngIf=\"activeSelector !== CONSTANTS.LINK_POLICY\"\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector(CONSTANTS.LINK_POLICY, true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #relatedPolicy [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let policy of SelectedListOfPolicies | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        class=\"icons\"\n                        (click)=\"\n                          remove(CONSTANTS.LINK_POLICY, policy?.contract_id)\n                        \"\n                        >&#xe90d;</i\n                      >\n                      {{ policy?.contract_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-cs-switch\n            [(ngValue)]=\"policyForm.isPortalDisplayEnabled\"\n            [class.disabled]=\"policyForm?.LinkedPolicies == 0\"\n            class=\"who-toggle\"\n            >DISPLAY ON THE POLICY PORTAL\n            <i\n              class=\"icons\"\n              [appTooltip]=\"CONSTANTS.LINK_POLICY_HELP_TEXT\"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-switch\n          >\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <app-checkbox-list\n    [config]=\"categoryConfig\"\n    [twoColumn]=\"false\"\n    [itemsList]=\"categoryList\"\n    [selectedItems]=\"policyForm.selectedCategories\"\n    [identifierKey]=\"'_id'\"\n    [displayKey]=\"'item_name'\"\n    [tooltipKey]=\"'item_name'\"\n    *ngIf=\"activeSelector === 'category'\"\n    (saveList)=\"saveSelectedList('category', $event)\"\n    (closeList)=\"disableSelector()\"\n    [loaded]=\"!categoriesListLoaded\"\n  >\n  </app-checkbox-list>\n  <!-- <app-checkbox-list [config]=\"approvalWorkflowConfig\" [twoColumn]=\"true\"\n  [itemsList]=\"\"\n  [selectedItems]=\"policyForm.issueCCUsers\" [identifierKey]=\"'employee_email'\" [displayKey]=\"'employee_name'\" [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector==='ISSUE_CC'\" (saveList)=\"selectorAction($event,'ISSUE_CC')\"\n  (closeList)=\"fieldDeselector('ISSUE_CC')\">\n</app-checkbox-list> -->\n\n  <app-responsibility-centers-list\n    *ngIf=\"activeSelector === 'rc'\"\n    [responsibilityCentersList]=\"rcList\"\n    [selectedResponsibilityCenters]=\"policyForm.selectedRCs\"\n    [rcIdKey]=\"'item_id'\"\n    (saveSelectedList)=\"saveSelectedList('rc', $event)\"\n    (closeRcList)=\"disableSelector()\"\n    [loaded]=\"rcListLoaded\"\n  >\n  </app-responsibility-centers-list>\n\n  <app-link-related-policies\n    *ngIf=\"activeSelector === CONSTANTS.LINK_POLICY\"\n    [policyId]=\"policyId\"\n    [mode]=\"mode\"\n    [selectedPolicies]=\"SelectedListOfPolicies\"\n    (closeLinkPolicyList)=\"disableSelector()\"\n    (selectedList)=\"saveSelectedList(CONSTANTS.LINK_POLICY, $event)\"\n  ></app-link-related-policies>\n\n  <app-users-radio-list\n    *ngIf=\"activeSelector === 'reviewer'\"\n    [itemEmailKey]=\"'member_email'\"\n    [usersList]=\"allReviewers\"\n    [headerText]=\"'Select a Reviewer'\"\n    [selectedUsers]=\"policyForm.selectedReviewers\"\n    [userIdKey]=\"'member_id'\"\n    [itemNameKey]=\"'member_name'\"\n    (saveSelectedList)=\"saveSelectedList('reviewer', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-users-radio-list>\n\n  <app-owner-list\n    *ngIf=\"activeSelector === 'ccEmail' && !groupEnabled\"\n    [usersList]=\"overseersList\"\n    [singularText]=\"'User selected'\"\n    [pluralText]=\"'Users selected'\"\n    [selectedUsers]=\"policyForm.CCEmail\"\n    [userIdKey]=\"'employee_id'\"\n    [itemNameKey]=\"'employee_name'\"\n    (saveSelectedList)=\"saveSelectedList('ccEmail', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-owner-list>\n\n  <user-group-list\n    *ngIf=\"activeSelector === 'ccEmail' && groupEnabled\"\n    [groupEnabled]=\"true\"\n    [userlist]=\"overseersList\"\n    [groupList]=\"overseerGroupsList\"\n    [selectedUsers]=\"policyForm.CCEmail\"\n    [selectedGroups]=\"policyForm.CCGroupEmail\"\n    (save)=\"saveSelectedList('ccEmail', $event)\"\n    (cancel)=\"disableSelector()\"\n    [featureflag]=\"groupEnabled\"\n  >\n  </user-group-list>\n\n  <app-owner-list\n    *ngIf=\"activeSelector === 'ccFail' && !groupEnabled\"\n    [usersList]=\"overseersList\"\n    [singularText]=\"'User selected'\"\n    [pluralText]=\"'Users selected'\"\n    [selectedUsers]=\"policyForm.CCFailEmail\"\n    [userIdKey]=\"'employee_id'\"\n    [itemNameKey]=\"'employee_name'\"\n    (saveSelectedList)=\"saveSelectedList('ccFail', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-owner-list>\n\n  <user-group-list\n    *ngIf=\"activeSelector === 'ccFail' && groupEnabled\"\n    [groupEnabled]=\"true\"\n    [userlist]=\"overseersList\"\n    [groupList]=\"overseerGroupsList\"\n    [selectedUsers]=\"policyForm.CCFailEmail\"\n    [selectedGroups]=\"policyForm.CCFailEmailGroup\"\n    (save)=\"saveSelectedList('ccFail', $event)\"\n    (cancel)=\"disableSelector()\"\n    [featureflag]=\"groupEnabled\"\n  >\n  </user-group-list>\n\n  <app-group-users-list\n    *ngIf=\"activeSelector === 'assignees' && !groupEnabled\"\n    [usersList]=\"assigneesList\"\n    [groupsList]=\"overseerGroupsList\"\n    [selectedUsers]=\"policyForm.selectedAssignees\"\n    [userIdKey]=\"'my_member_id'\"\n    (saveSelectedList)=\"saveSelectedList('assignees', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-group-users-list>\n\n  <user-group-list\n    *ngIf=\"activeSelector === 'assignees' && groupEnabled\"\n    [groupEnabled]=\"true\"\n    [userlist]=\"ownerlist\"\n    [groupList]=\"overseerGroupsList\"\n    (save)=\"saveSelectedList('assignees', $event)\"\n    (cancel)=\"disableSelector()\"\n    [selectedGroups]=\"policyForm.selectedGroupAssignee\"\n    [selectedUsers]=\"policyForm.selectedAssignees\"\n    [featureflag]=\"groupEnabled\"\n  >\n  </user-group-list>\n\n  <app-owner-list\n    *ngIf=\"activeSelector === 'approvers' && false\"\n    [listHeading]=\"'Select Approvers'\"\n    [singularText]=\"'User selected'\"\n    [pluralText]=\"'Users selected'\"\n    [usersList]=\"allApprovers\"\n    [showWorkflow]=\"true\"\n    [selectedUsers]=\"\n      addMoreLevels\n        ? []\n        : policyForm.selectedApprovers[approversListIndex].approvers\n    \"\n    [userIdKey]=\"'member_id'\"\n    [itemEmailKey]=\"'member_email'\"\n    [itemNameKey]=\"'member_name'\"\n    (saveSelectedList)=\"saveSelectedList('approvers', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n    [mode]=\"mode\"\n    [reviewerWorkflowType]=\"workflowType\"\n    (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n    [workflowList]=\"workflowList\"\n    [workflowText]=\"'Approval Workflow'\"\n  >\n  </app-owner-list>\n\n  <app-frequency-container\n    *ngIf=\"activeSelector === 'frequency'\"\n    [mode]=\"'policy'\"\n    [frequencyDetails]=\"frequencyDetails\"\n    (selectedFrequency)=\"frequencyData($event)\"\n    [feature]=\"feature\"\n    [pageType]=\"'policy'\"\n    (closeFrequency)=\"disableSelector()\"\n  ></app-frequency-container>\n\n  <app-frequency-container\n    *ngIf=\"activeSelector === 'reviewerFrequency'\"\n    [mode]=\"'reviewerFrequency'\"\n    [frequencyDetails]=\"reviewerFrequencyDetails\"\n    (selectedFrequency)=\"reviewerFrequencyData($event)\"\n    [feature]=\"feature\"\n    [pageType]=\"'policy'\"\n    (closeFrequency)=\"disableSelector()\"\n  ></app-frequency-container>\n\n  <vc-link-program\n    *ngIf=\"activeSelector === 'linkProgram'\"\n    (close)=\"disableSelector()\"\n    [policy]=\"policyForm\"\n    [selectedProgram]=\"policyForm?.programSelectedValues\"\n    [mode]=\"mode\"\n    [selectedLinkProgram]=\"selectedLinkProgram\"\n    (changeTab)=\"changeTab('linkedPrograms')\"\n    (updatedProgramDetails)=\"updatedProgramDetails($event)\"\n  >\n  </vc-link-program>\n\n  <app-checkpoints-policy-container\n    (closeCheckPoint)=\"disableSelector()\"\n    [checkpointData]=\"policyForm?.checkpointDetails\"\n    [requiredPoint]=\"policyForm?.passingMarks\"\n    *ngIf=\"activeSelector === 'checkpoints'\"\n    (saveCheckPoint)=\"saveSelectedList('checkpoints', $event)\"\n  ></app-checkpoints-policy-container>\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n  <app-approval-workflow\n    *ngIf=\"enableApprovalWorkflow\"\n    [selectedCategory]=\"policyForm?.selectedCategories\"\n    [approverWorkFlowList]=\"approverWorkFlowList\"\n    [allApprovers]=\"allApprovers\"\n    (listCancelClicked)=\"listCancelClicked($event)\"\n    (selectedWorkflowNext)=\"selectedApprovalWorkflow($event)\"\n    (saveApprovalWorkflow)=\"approvalWorkflowAPICall($event)\"\n    [editApprovalWorkflow]=\"editApprovalWorkflow\"\n    [createApprovalClick]=\"createApprovalClick\"\n    (closeCreateClicked)=\"closeClickedCreateForm()\"\n    [editWorkflowLevel]=\"editWorkflowLevel\"\n  ></app-approval-workflow>\n  <!-- <app-select-approvers></app-select-approvers> -->\n\n  <app-policy-access\n    *ngIf=\"activeSelector === 'policyAccess'\"\n    [policyAccessType]=\"policyForm?.policy_access_type\"\n    (close)=\"disableSelector()\"\n    [orgUsersList]=\"usersList\"\n    [usersAccessList]=\"usersAccessList\"\n    [groupList]=\"overseerGroupsList\"\n    [groupsAccessList]=\"groupsAccessList\"\n    [selectedUsers]=\"policyForm?.policy_access_owners\"\n    [selectedGroups]=\"policyForm?.policy_access_groups\"\n    [disabledIds]=\"usersAccessListIds\"\n    [disabledGroupIds]=\"groupsAccessListIds\"\n    [futureUsersWillSelect]=\"policyForm?.availableOnPortal\"\n    (saveCheckPoint)=\"saveSelectedList('policyAccess', $event)\"\n    (setPolicyAccessType)=\"policyForm.policy_access_type = $event\"\n  >\n  </app-policy-access>\n</ng-container>\n<ng-container *ngIf=\"showCreateDocuments\">\n  <!-- <app-create-documents *ngIf=\"showCreateDocuments\"\n   [organization_id]=\"organization_id\"\n   [member_obj_id]=\"member_obj_id\"\n   [userInfo]=\"userInfo\"\n   [policyId]=\"policyId\"\n   [policyName]=\"policyForm.policyName\"\n   (disconnectRefresh)=\"disconnectRefresh.emit(false)\"\n   (editPolicy)=\"editPolicyFromDocuments()\"\n   ></app-create-documents> -->\n  <lib-document-section\n    *ngIf=\"showCreateDocuments\"\n    [templateView]=\"isTemplateClosed\"\n    [organization_id]=\"organization_id\"\n    [member_obj_id]=\"member_obj_id\"\n    [userInfo]=\"userInfo\"\n    [policyId]=\"policyId\"\n    [feature]=\"feature\"\n    [templateUrl]=\"templateUrl\"\n    [isTemplateOpened]=\"templateView\"\n    [policyName]=\"policyForm.policyName\"\n    (disconnectRefresh)=\"disconnectRefresh.emit(false)\"\n    (editPolicy)=\"editPolicyFromDocuments()\"\n    (openTemplate)=\"templateView = true\"\n  ></lib-document-section>\n</ng-container>\n\n<app-assessment-list\n  *ngIf=\"activeSelector === 'isAssessment'\"\n  [program_ids]=\"''\"\n  [isEdit]=\"policyForm?.assessment?.length\"\n  (cancelAssessment)=\"saveSelectedList('isAssessment', false)\"\n  [selectedAssessment]=\"policyForm?.assessment[0]\"\n  [mode]=\"'policy'\"\n  (onAssessmentSelect)=\"\n    onAssessmentSelect($event); saveSelectedList('isAssessment', false)\n  \"\n></app-assessment-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'approvers' && false\"\n  [listHeading]=\"'Select Approvers'\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allApprovers\"\n  [showWorkflow]=\"true\"\n  [selectedUsers]=\"\n    addMoreLevels\n      ? []\n      : policyForm.selectedApprovers[approversListIndex].approvers\n  \"\n  [userIdKey]=\"'member_id'\"\n  [itemEmailKey]=\"'member_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('approvers', $event)\"\n  (closeUsersList)=\"disableSelector()\"\n  [mode]=\"mode\"\n  [reviewerWorkflowType]=\"workflowType\"\n  (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n  [workflowList]=\"workflowList\"\n  [workflowText]=\"'Approval Workflow'\"\n>\n</app-owner-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'owners'\"\n  [listHeading]=\"'Select Owner(s)'\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allApprovers\"\n  [showWorkflow]=\"false\"\n  [userIdKey]=\"'member_id'\"\n  [itemEmailKey]=\"'member_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('owners', $event)\"\n  (closeUsersList)=\"disableSelector()\"\n  [mode]=\"mode\"\n  [selectedUsers]=\"policyForm?.policy_owners ?? []\"\n>\n</app-owner-list>\n\n<app-select-template-list\n  *ngIf=\"templateView\"\n  [selectedCategoryId]=\"policyForm?.selectedCategories\"\n  [feature]=\"feature\"\n  (onTemplateSelect)=\"onTemplateSelect($event)\"\n></app-select-template-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-policy{position:relative}::ng-deep .workflow-policy app-cs-switch{display:block}::ng-deep .workflow-policy app-cs-switch label.cs-switch span.value{color:#747576!important;font-size:11px!important;font-weight:500!important;justify-content:flex-end!important;line-height:16px;width:100%!important}::ng-deep .workflow-policy app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:12px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 8px 0 4px}::ng-deep .workflow-policy .form-group-row .right .approval-workflow .selected{height:56px;padding:4px 12px 8px;display:block}::ng-deep .workflow-policy .form-group-row .right .approval-workflow .selected .workflow-label{min-width:auto;padding:0;text-align:left;margin:0 0 4px;border-right:none;width:100%;display:flex;align-items:center}::ng-deep .workflow-policy .form-group-row .right .approval-workflow .selected .workflow-label p.description{font-size:10px;margin-left:6px}::ng-deep .workflow-policy .form-group-row .right .approval-workflow cs-select .selection-wrap .input-group:before{display:none!important}::ng-deep .workflow-policy app-frequency-container app-frequency-weekly .frequency-weekly app-frequency-lifecycle .frequency-lifecycle-responsibility-inner-item{height:unset!important}.disabled{opacity:.5;pointer-events:none}.who-toggle{margin-top:10px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: UserGroupListComponent, selector: "user-group-list", inputs: ["groupEnabled", "panelTitle", "singleSelect", "selectedReviewer", "featureflag", "reviewerWorkflowType", "mode", "fieldType", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds", "FromProgram", "userListInfo", "groupListInfo", "fromApprovalWorkflow", "approvalType", "showFutureUsersSwitch", "futureUsersWillSelect", "isAllDisabled", "isGroupTabShow", "disabledIds", "nonRemovableUserIds", "allUserSelectedDisabled", "nonRemovableGroupIds", "loading", "userlist", "selectedUsers", "defaultSelectedUsers", "userType", "groupList", "selectedGroups"], outputs: ["save", "cancel", "reviewerWorkflowTypeChange", "fetchUserData"] }, { kind: "component", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: ["responsibilityCentersList", "selectedResponsibilityCenters", "rcIdKey", "radioSelection", "pluralText", "singularText", "loaded"], outputs: ["saveSelectedList", "closeRcList"] }, { kind: "component", type: GroupUsersListComponent, selector: "app-group-users-list", inputs: ["groupsEnabled", "usersList", "groupsList", "selectedUsers", "userIdKey", "groupIdKey", "openedFrom", "selectedGroups", "assigneeGroupsList", "disabledId", "fromResponsibility", "reviewerIds", "overseerIds", "assignorId", "loader", "isDisabledSelected"], outputs: ["saveSelectedList", "closeUsersList"] }, { kind: "component", type: SelectTemplateListComponent, selector: "app-select-template-list", inputs: ["selectedCategoryId", "feature"], outputs: ["onTemplateSelect"] }, { kind: "component", type: FormatAndEvidenceComponent, selector: "app-format-and-evidence", inputs: ["mode", "categories", "organization_id", "formatEvidanceData"], outputs: ["updateFiles"] }, { kind: "component", type: CheckboxListComponent, selector: "app-checkbox-list", inputs: ["itemsList", "selectedItems", "identifierKey", "displayKey", "tooltipKey", "config", "twoColumn", "loaded"], outputs: ["closeList", "saveList"] }, { kind: "component", type: OwnerListComponent, selector: "app-owner-list", inputs: ["usersList", "selectedUsers", "userIdKey", "itemNameKey", "itemEmailKey", "showWorkflow", "listHeading", "searchPlaceholder", "pluralText", "singularText", "reviewerWorkflowType", "mode", "noDataText", "workflowList", "workflowText", "disabledIds", "nonRemovableUsersList", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds"], outputs: ["saveSelectedList", "closeUsersList", "reviewerWorkflowTypeChange"] }, { kind: "component", type: UserRadioListComponent, selector: "app-users-radio-list", inputs: ["usersList", "selectedUsers", "userIdKey", "itemNameKey", "itemEmailKey", "disabledId", "fromResponsibility", "reviewerIds", "overseerIds", "assignorId", "headerText", "loaded"], outputs: ["saveSelectedList", "closeUsersList"] }, { kind: "component", type: FrequencyContainerComponent, selector: "app-frequency-container", inputs: ["frequencyDetails", "mode", "feature", "pageType"], outputs: ["selectedFrequency", "closeFrequency"] }, { kind: "component", type: CheckpointsPolicyContainerComponent, selector: "app-checkpoints-policy-container", inputs: ["requiredPoint", "checkpointData"], outputs: ["closeCheckPoint", "saveCheckPoint"] }, { kind: "component", type: DocumentSectionComponent, selector: "lib-document-section", inputs: ["selectedDocumentType", "feature", "templateView", "policyId", "policyName", "organization_id", "member_obj_id", "userInfo", "templateUrl", "isTemplateOpened"], outputs: ["disconnectRefresh", "editPolicy", "openTemplate"] }, { kind: "component", type: AssessmentListComponent, selector: "app-assessment-list", inputs: ["isEdit", "mode", "selectedAssessment", "selectedAssessmentData", "program_ids"], outputs: ["onAssessmentSelect", "cancelAssessment"] }, { kind: "component", type: ApprovalWorkflowComponent, selector: "app-approval-workflow", inputs: ["approverWorkFlowList", "allApprovers", "selectedCategory", "editApprovalWorkflow", "createApprovalClick", "editWorkflowLevel"], outputs: ["selectedWorkflowNext", "listCancelClicked", "saveApprovalWorkflow", "closeCreateClicked"] }, { kind: "component", type: PolicyAccessComponent, selector: "app-policy-access", inputs: ["policyAccessType", "SelectedCategory", "orgUsersList", "groupList", "selectedUsers", "selectedGroups", "disabledIds", "usersAccessList", "groupsAccessList", "disabledGroupIds", "futureUsersWillSelect"], outputs: ["close", "saveCheckPoint", "setPolicyAccessType"] }, { kind: "component", type: LinkProgramComponent, selector: "vc-link-program", inputs: ["policy", "currentTab", "mode", "programsList", "selectedProgram", "selectedCategories", "selectedLinkProgram", "hideProgramsList"], outputs: ["changeTab", "updatedProgramDetails", "save", "close", "refreshLinkedPolicies"] }, { kind: "component", type: LinkRelatedPoliciesComponent, selector: "app-link-related-policies", inputs: ["selectedPolicies", "mode", "policyId"], outputs: ["closeLinkPolicyList", "selectedList"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowPolicyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-policy', template: "<!-- <p>workflow-policy works!</p> -->\n\n<ng-container *ngIf=\"!showCreateDocuments\">\n  <div class=\"workflow-policy\">\n    <!-- Policy Name -->\n    <div\n      class=\"form-group-row\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.policyName\">\n        <img\n          [src]=\"ASSETS.what\"\n          alt=\"name\"\n          *ngIf=\"!policyForm?.policyName || activeSelector === 'name'\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.policyName && activeSelector !== 'name'\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">\n            Policy Name <span class=\"required\">*</span>\n          </label>\n          <input\n            type=\"text\"\n            (keydown)=\"activeSelector = 'name'\"\n            (focusin)=\"activateSelector('name', true)\"\n            *ngIf=\"policyForm.policyName == '' || activeSelector === 'name'\"\n            (focusout)=\"activateSelector('name', false)\"\n            [ngModel]=\"policyForm.policyName\"\n            (ngModelChange)=\"policyForm.policyName = changeName($event)\"\n            placeholder=\"Name this policy\"\n          />\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm.policyName.length && activeSelector !== 'name'\"\n          >\n            <div class=\"chip-container\">\n              <span class=\"value\">{{ policyForm.policyName }}</span>\n            </div>\n            <button\n              class=\"edit\"\n              (click)=\"activateSelector('name', true)\"\n              type=\"button\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n\n          <p\n            *ngIf=\"submitted && !policyForm.policyName.trim()\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Please enter a name for this policy.\n          </p>\n          <vcomply-editor\n            [(ngModel)]=\"policyForm.policyNotes\"\n            [editorConfig]=\"description\"\n          ></vcomply-editor>\n          <!-- <app-cs-switch\n            [(ngValue)]=\"policyForm.availableOnPortal\"\n            (ngValueChange)=\"availabilityOnPortal($event)\"\n          >\n            Do you want this policy to be available on the portal?\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'The policies that you intend to make accessible to the entire organization can be added to the policy portal. It is like a shared catalog of all active & updated policies that any logged in user can read/download for reference.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </app-cs-switch>\n          <app-cs-switch\n            *ngIf=\"policyForm.availableOnPortal\"\n            [(ngValue)]=\"policyForm.acceptSuggestions\"\n          >\n            Accept suggestions\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If enabled, users can provide improvement suggestions to the policies that are listed on the Policy Portal.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            ></app-cs-switch> -->\n        </div>\n      </div>\n    </div>\n\n    <!-- Policy Category -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'category'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'category' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedCategories?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedCategories?.length == 0 ||\n            activeSelector === 'category'\n          \"\n          [src]=\"ASSETS.case_category\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedCategories?.length > 0 &&\n            activeSelector !== 'category'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\"\n            >Policy Category <span class=\"required\">*</span>\n          </label>\n          <div\n            class=\"select\"\n            *ngIf=\"policyForm?.selectedCategories?.length == 0\"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('category', true)\"\n              placeholder=\"Select a category for this policy.\"\n              readonly\n            />\n          </div>\n\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm?.selectedCategories?.length > 0\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"\n                  let category of policyForm?.selectedCategories?.slice(0, 1)\n                \"\n              >\n                <i\n                  (click)=\"remove('category', category)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"category.item_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ category.item_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                *ngIf=\"policyForm?.selectedCategories?.length > 1\"\n                type=\"button\"\n                appPopover\n                (click)=\"category.popover()\"\n                placement=\"left\"\n              >\n                +{{ policyForm?.selectedCategories?.slice(1).length }}\n              </button>\n            </div>\n\n            <!-- <div class=\"chip-container\" [class.more-one]=\"policyForm?.selectedCategories?.length>1\"\n                          [class.plus]=\"policyForm?.selectedCategories?.length>2\">\n                          <span class=\"chip\" *ngFor=\"let category of policyForm?.selectedCategories?.slice(0,2)\"><i\n                                  class=\"icons\" (click)=\"remove('category',category)\">&#xe90d;</i>\n                              {{category.item_name}}</span>\n                          <button class=\"count\" *ngIf=\"policyForm?.selectedCategories?.length > 2\" type=\"button\"\n                              appPopover (click)=\"category.popover()\" placement=\"right\">+\n                              {{policyForm?.selectedCategories?.slice(2).length}}</button>\n                      </div> -->\n            <button\n              *ngIf=\"activeSelector !== 'category'\"\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('category', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #category [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let category of policyForm?.selectedCategories | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('category', category)\"\n                        >&#xe90d;</i\n                      >\n                      {{ category.item_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <p\n            *ngIf=\"submitted && policyForm?.selectedCategories?.length == 0\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Please select the category for this policy.\n          </p>\n        </div>\n\n        <div class=\"vx-form-group\" *ngIf=\"policyForm?.customTags?.length > 0\">\n          <ng-container *ngFor=\"let tag of policyForm?.customTags\">\n            <label class=\"vx-control-panel vx-mt-2\">{{ tag.tagname }}</label>\n            <input\n              type=\"text\"\n              [(ngModel)]=\"tag.value\"\n              placeholder=\"{{ tag.tagname }}\"\n            />\n          </ng-container>\n        </div>\n      </div>\n    </div>\n\n    <!-- Effective Date -->\n    <div\n      class=\"form-group-row\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\" [class.checked]=\"false\">\n        <img [src]=\"ASSETS.when\" alt=\"\" />\n\n        <svg\n          *ngIf=\"false\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Effective Date</label>\n          <div class=\"date-time-picker\">\n            <div class=\"picker-group\">\n              <input\n                type=\"text\"\n                readonly\n                placeholder=\"Select the effective date of the policy.\"\n                [value]=\"policyForm.policyDueDate | date : 'dd MMM yyyy'\"\n                (click)=\"openDatePicker()\"\n                id=\"effective-date\"\n              />\n              <i class=\"icons\">&#xe92d;</i>\n              <dp-date-picker\n                #datePicker\n                (onSelect)=\"datePickerOverlay = false; closeDatePicker($event)\"\n                [config]=\"dateConfig\"\n                [(ngModel)]=\"policyForm.policyDueDate\"\n              >\n              </dp-date-picker>\n              <div\n                class=\"vx-overlay\"\n                (click)=\"closeDatePicker($event)\"\n                *ngIf=\"datePickerOverlay\"\n              ></div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Policy Owner -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'owners'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'owners' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm.policy_owners?.length\">\n        <img\n          *ngIf=\"!policyForm.policy_owners?.length\"\n          [src]=\"ASSETS.im_creating\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm.policy_owners?.length\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\">POLICY OWNER(S)</label>\n          </div>\n          <div\n            *ngIf=\"!policyForm.policy_owners?.length\"\n            (click)=\"activateSelector('owners', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select owners for this policy.\n            </div>\n          </div>\n\n          <div\n            *ngIf=\"policyForm.policy_owners?.length\"\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div class=\"vx-d-flex vx-align-center\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <i\n                  (click)=\"remove('owners', policyForm?.policy_owners[0], 0)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.policy_owners[0]?.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.policy_owners[0]?.member_name }}</span\n                >\n\n                <button\n                  *ngIf=\"policyForm?.policy_owners?.length > 1\"\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                  appPopover\n                  (click)=\"policyUserPopover.popover()\"\n                  placement=\"left\"\n                >\n                  + {{ policyForm?.policy_owners.length - 1 }}\n                </button>\n              </div>\n              <div\n                *ngIf=\"false\"\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-1 vx-mr-1\"\n              >\n                &\n              </div>\n              <div\n                *ngIf=\"false\"\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"'Samantha Jones'\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >Samantha Jones</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"policyGroupPopover.popover()\"\n                  placement=\"right\"\n                >\n                  +4\n                </button>\n              </div>\n              <app-popover #policyUserPopover [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li\n                      *ngFor=\"\n                        let owner of policyForm?.policy_owners | slice : 1;\n                        let i = index\n                      \"\n                    >\n                      <div class=\"avatar-card\">\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"owner?.member_name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          <i\n                            (click)=\"remove('owners', owner, i + 1)\"\n                            class=\"icons\"\n                            >&#xe90d;</i\n                          >\n                          {{ owner?.member_name }}\n                        </span>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n              <app-popover #policyGroupPopover [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                  <ul class=\"action-item\">\n                    <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                      <div class=\"avatar-card\">\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"'Harshvardhan Kariwala'\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          <i class=\"icons\">&#xe90d;</i>\n                          Harshvardhan Kariwala\n                        </span>\n                      </div>\n                    </li>\n                  </ul>\n                </div>\n              </app-popover>\n            </div>\n            <button\n              (click)=\"activateSelector('owners', true)\"\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n          <p\n            *ngIf=\"submitted && !policyForm?.policy_owners?.length\"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Select owners for this policy.\n          </p>\n        </div>\n      </div>\n    </div>\n\n    <!-- Review -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"\n        activeSelector === 'reviewer' || activeSelector === 'reviewerFrequency'\n      \"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'reviewer' &&\n        activeSelector !== 'reviewerFrequency' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.addReviewers\">\n        <img *ngIf=\"!policyForm?.addReviewers\" src=\"ASSETS.reviewer\" alt=\"\" />\n\n        <svg\n          *ngIf=\"policyForm?.addReviewers\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">REVIEW</label>\n          <div\n            class=\"reviewSelection vx-p-3 vx-pb-0\"\n            [class.disabled]=\"\n              activeSelector && sideSelectorElements.includes(activeSelector)\n            \"\n          >\n            <div class=\"vx-fs-13 vx-paragraph-txt vx-mb-1\">\n              Does this policy need to be reviewed?\n            </div>\n            <app-cs-radio\n              name=\"review-type\"\n              [checked]=\"policyForm?.addReviewers\"\n              (checkedEvent)=\"typeSelected(true)\"\n              ><div class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-mr-3\">\n                YES\n              </div></app-cs-radio\n            >\n            <app-cs-radio\n              name=\"review-type\"\n              [checked]=\"!policyForm?.addReviewers\"\n              (checkedEvent)=\"typeSelected(false)\"\n              ><div class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-mr-3\">\n                NO\n              </div></app-cs-radio\n            >\n          </div>\n\n          <ng-container *ngIf=\"policyForm?.addReviewers\">\n            <label class=\"vx-control-panel vx-mt-2\">REVIEWER</label>\n            <div\n              class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n              *ngIf=\"policyForm?.selectedReviewers?.length == 0\"\n              [appScrollInView]=\"scrollToBottom\"\n              [class.active]=\"activeSelector === 'reviewer'\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewer' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n              (click)=\"activateSelector('reviewer', true)\"\n            >\n              <div\n                class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                Select the person responsible for reviewing this policy\n              </div>\n            </div>\n\n            <div\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n              *ngIf=\"policyForm?.selectedReviewers?.length > 0\"\n              [class.active]=\"activeSelector === 'reviewer'\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewer' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngFor=\"let reviewer of policyForm?.selectedReviewers\"\n              >\n                <i\n                  (click)=\"remove('reviewer', reviewer)\"\n                  class=\"icons cross vx-fs-12 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"'Samantha Jones'\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{ reviewer?.member_name }}</span\n                >\n              </div>\n              <button\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                *ngIf=\"activeSelector !== 'reviewer'\"\n                (click)=\"activateSelector('reviewer', true)\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n            <label class=\"vx-control-panel vx-mt-3\">REVIEW FREQUENCY</label>\n            <div\n              *ngIf=\"policyForm?.review_frequency_details == ''\"\n              class=\"selectButton vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n              [class.active]=\"activeSelector === 'reviewerFrequency'\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewerFrequency' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n            >\n              <div\n                class=\"selectButtonPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n              >\n                When does this policy needs to be reviewed?\n              </div>\n              <div\n                (click)=\"activateSelector('reviewerFrequency', true)\"\n                class=\"vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase\"\n              >\n                SET A FREQUENCY\n              </div>\n            </div>\n\n            <div\n              *ngIf=\"policyForm?.review_frequency_details != ''\"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n              [class.disabled]=\"\n                activeSelector &&\n                activeSelector !== 'reviewerFrequency' &&\n                sideSelectorElements.includes(activeSelector)\n              \"\n              [class.active]=\"activeSelector === 'reviewerFrequency'\"\n            >\n              <div\n                class=\"selectBoxText vx-fs-13 vx-paragraph-txt\"\n                [appTooltip]=\"reviewerFrequencyPlaceholder\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ reviewerFrequencyPlaceholder }}\n              </div>\n              <button\n                *ngIf=\"activeSelector !== 'reviewerFrequency'\"\n                (click)=\"activateSelector('reviewerFrequency', true)\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n            <p\n              *ngIf=\"\n                submitted &&\n                policyForm?.selectedReviewers?.length > 0 &&\n                !policyForm?.review_frequency_details\n              \"\n              class=\"error-message\"\n              [appScrollInView]=\"true\"\n            >\n              Select the review schedule for this policy.\n            </p>\n          </ng-container>\n        </div>\n      </div>\n    </div>\n\n    <!-- New Approval Workflow -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'approvers'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'approvers' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedApprovers?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length == 0 ||\n            activeSelector === 'approvers'\n          \"\n          [src]=\"ASSETS.approval\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length > 0 &&\n            activeSelector !== 'approvers'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\" [class.disabled]=\"policyApprovalFlag !== 0\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\"\n              >APPROVAL <span class=\"required\">*</span></label\n            >\n            <button\n              (click)=\"\n                createApprovalWorkflow(); activateSelector('approvers', true)\n              \"\n              [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n              class=\"createNewBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\"\n            >\n              CREATE A NEW APPROVAL WORKFLOW\n            </button>\n          </div>\n          <div\n            *ngIf=\"\n              selectedWorkflow?.length === 0 ||\n              !selectedWorkflow[0]?.workflow_name\n            \"\n            (click)=\"\n              clickApprovalWorkflow(true); activateSelector('approvers', true)\n            \"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select the approval workflow for this policy\n            </div>\n          </div>\n          <div\n            *ngIf=\"\n              selectedWorkflow?.length > 0 && selectedWorkflow[0]?.workflow_name\n            \"\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-mb-2\"\n          >\n            <div\n              class=\"vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-mb-2\"\n            >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              >\n                <i\n                  (click)=\"removeWorkflow()\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"selectedWorkflow[0]?.workflow_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ selectedWorkflow[0]?.workflow_name }}</span\n                >\n              </div>\n              <button\n                (click)=\"editWorkflow(selectedWorkflow[0])\"\n                class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              >\n                <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n              </button>\n            </div>\n          </div>\n          <ng-container *ngIf=\"selectedWorkflow?.length > 0\">\n            <div\n              *ngFor=\"\n                let approval of selectedWorkflow[0]?.approval_workflow;\n                let approvalIndex = index\n              \"\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n            >\n              <div class=\"vx-d-flex vx-align-center\">\n                <div class=\"level-left vx-d-flex vx-align-center\">\n                  <div class=\"vx-d-block\">\n                    <div\n                      class=\"level-name vx-fs-9 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-3\"\n                      [appTooltip]=\"\n                        approval?.alias_name\n                          ? approval?.alias_name\n                          : approval?.level1\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{\n                        approval?.alias_name\n                          ? approval?.alias_name\n                          : approval?.level1\n                      }}\n                    </div>\n                    <div\n                      class=\"vx-fs-9 vx-fw-500 vx-label-txt vx-tt-uppercase vx-lh-3\"\n                    >\n                      {{\n                        approval?.type === \"ROUNDROBIN\"\n                          ? \"ROUND-ROBIN\"\n                          : approval?.type === \"ANYONE\"\n                          ? \"ANY ONE\"\n                          : approval?.type\n                      }}\n                    </div>\n                  </div>\n                </div>\n                <div\n                  class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-ml-2\"\n                >\n                  <!-- <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                    >&#xe9ae;</i\n                  > -->\n                  <div\n                    *ngIf=\"\n                      approval?.type?.toLowerCase() === 'sequential' &&\n                      approval?.approvers?.length < 2\n                    \"\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    {{ 1 == approval?.approvers?.length ? \"Final\" : 1 }}\n                  </div>\n                  <div\n                    *ngIf=\"\n                      approval?.approvers?.length > 1 &&\n                      approval?.type?.toLowerCase() === 'sequential'\n                    \"\n                    class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                  >\n                    1\n                  </div>\n                  <span\n                    class=\"chipName vx-fs-11 vx-label-txt\"\n                    [appTooltip]=\"approval?.approvers[0]?.member_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                    >{{ approval?.approvers[0]?.member_name }}</span\n                  >\n                  <button\n                    *ngIf=\"approval?.approvers?.length > 1\"\n                    class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                    appPopover\n                    (click)=\"workflowPopover.popover()\"\n                    placement=\"right\"\n                  >\n                    +{{ approval?.approvers?.length - 1 }}\n                  </button>\n                </div>\n                <app-popover #workflowPopover [dontCloseonClick]=\"true\">\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li\n                        *ngFor=\"\n                          let approver of approval?.approvers | slice : 1;\n                          let approvalIndex = index\n                        \"\n                      >\n                        <div class=\"avatar-card\">\n                          <span\n                            class=\"value\"\n                            [appTooltip]=\"approver?.member_name\"\n                            placement=\"bottom-left\"\n                            delay=\"0\"\n                            type=\"black\"\n                            [tooltipMandatory]=\"false\"\n                          >\n                            <!-- <i class=\"icons\">&#xe90d;</i> -->\n                            <span\n                              *ngIf=\"\n                                approval?.type?.toLowerCase() === 'sequential'\n                              \"\n                              class=\"workflowLavel vx-fs-11 vx-fw-500 vx-pl-1 vx-pr-1 vx-lh-4 vx-mr-1 vx-text-center\"\n                              >{{\n                                approvalIndex + 1 ===\n                                approval?.approvers?.length - 1\n                                  ? \"Final\"\n                                  : approvalIndex + 2\n                              }}</span\n                            >\n                            {{ approver?.member_name }}\n                          </span>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n\n              <!-- <div class=\"vx-d-flex vx-align-center\">\n                <button (click)=\"editLevelClicked(approval,approvalIndex)\"\n                  class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                >\n                  <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n                </button>\n                <button (click)=\"deleteLevel(approvalIndex)\"\n                  class=\"deleteBtn vx-fs-11 vx-fw-600 vx-tt-uppercase vx-p-0 vx-m-0 vx-ml-4 vx-d-flex vx-align-center\"\n                >\n                  <i class=\"icons vx-mr-1\">&#xe9ae;</i> DELETE\n                </button>\n              </div> -->\n            </div>\n          </ng-container>\n          <p\n            *ngIf=\"\n              submitted &&\n              !policyForm?.selectedApprovers[0]?.approval_workflow?.length &&\n              !policyApprovalFlag &&\n              !policyForm?.selectedApprovers[0]?.approvers?.length\n            \"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Select or create an approval workflow for this policy.\n          </p>\n        </div>\n      </div>\n    </div>\n\n    <!-- Policy Access -->\n    <div\n      *ngIf=\"true\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'policyAccess'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'policyAccess' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"true\">\n        <img\n          *ngIf=\"\n            !policyForm?.policy_access_owners?.length &&\n            !policyForm?.policy_access_groups?.length &&\n            !policyForm?.availableOnPortal\n          \"\n          [src]=\"ASSETS.lock_scope\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.policy_access_owners?.length ||\n            policyForm?.policy_access_groups?.length ||\n            policyForm?.availableOnPortal\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\">POLICY PORTAL ACCESS</label>\n          </div>\n          <div\n            *ngIf=\"\n              !policyForm?.policy_access_owners?.length &&\n              !policyForm?.policy_access_groups?.length &&\n              !policyForm?.availableOnPortal\n            \"\n            (click)=\"activateSelector('policyAccess', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"!policyForm?.selectedCategories?.length\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Who should be able to view this policy?\n            </div>\n          </div>\n\n          <ng-container *ngIf=\"!policyForm?.availableOnPortal\">\n            <div\n              class=\"selectBoxSuccess vx-pl-2 vx-pr-3\"\n              *ngIf=\"\n                policyForm?.policy_access_owners?.length ||\n                policyForm?.policy_access_groups?.length\n              \"\n            >\n              <div\n                class=\"vx-d-flex vx-align-center vx-justify-between vx-mt-2 vx-mb-2\"\n              >\n                <div class=\"vx-d-flex vx-align-center\">\n                  <div\n                    *ngIf=\"policyForm?.policy_access_owners?.length\"\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                  >\n                    <i\n                      class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                      *ngIf=\"policyForm?.policy_access_type === 1\"\n                      (click)=\"\n                        remove(\n                          'policyAccess',\n                          policyForm?.policy_access_owners[0]\n                        )\n                      \"\n                      >&#xe9ae;</i\n                    >\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"\n                        policyForm?.policy_access_owners[0]?.employee_name\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{\n                        policyForm?.policy_access_owners[0]?.employee_name\n                      }}</span\n                    >\n                    <button\n                      *ngIf=\"policyForm?.policy_access_owners?.length > 1\"\n                      class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                      appPopover\n                      (click)=\"policyAccessPopover.popover()\"\n                      placement=\"left\"\n                    >\n                      +{{ policyForm?.policy_access_owners.length - 1 }}\n                    </button>\n                  </div>\n\n                  <div\n                    class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                    *ngIf=\"\n                      policyForm?.policy_access_owners.length > 0 &&\n                      policyForm?.policy_access_groups.length > 0\n                    \"\n                  >\n                    &\n                  </div>\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                    *ngIf=\"policyForm?.policy_access_groups.length > 0\"\n                  >\n                    <i\n                      class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                      *ngIf=\"policyForm?.policy_access_type === 1\"\n                      (click)=\"\n                        remove(\n                          'accessGroup',\n                          policyForm?.policy_access_groups[0]\n                        )\n                      \"\n                      >&#xe9ae;</i\n                    >\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt\"\n                      [appTooltip]=\"\n                        policyForm?.policy_access_groups[0]?.group_name\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{\n                        policyForm?.policy_access_groups[0]?.group_name\n                      }}</span\n                    >\n                    <button\n                      class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                      appPopover\n                      (click)=\"accessGroup.popover()\"\n                      placement=\"right\"\n                      *ngIf=\"policyForm?.policy_access_groups.length > 1\"\n                    >\n                      +{{ policyForm?.policy_access_groups.length - 1 }}\n                    </button>\n                  </div>\n\n                  <app-popover #policyAccessPopover [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let user of policyForm?.policy_access_owners\n                              | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span\n                              class=\"value\"\n                              [appTooltip]=\"user?.employee_name\"\n                              placement=\"bottom-left\"\n                              delay=\"0\"\n                              type=\"black\"\n                              [tooltipMandatory]=\"false\"\n                            >\n                              <i\n                                class=\"icons\"\n                                *ngIf=\"policyForm?.policy_access_type === 1\"\n                                (click)=\"remove('policyAccess', user)\"\n                                >&#xe90d;</i\n                              >\n                              {{ user?.employee_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                  <app-popover #accessGroup [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let data of policyForm?.policy_access_groups\n                              | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span class=\"value\">\n                              <i\n                                class=\"icons\"\n                                *ngIf=\"policyForm?.policy_access_type === 1\"\n                                (click)=\"remove('accessGroup', data)\"\n                                >&#xe90d;</i\n                              >\n                              {{ data?.group_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n\n                <button\n                  (click)=\"activateSelector('policyAccess', true)\"\n                  class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n                >\n                  <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n                </button>\n              </div>\n\n              <!-- <div class=\"vx-mt-4 vx-mb-2\">\n                <app-cs-radio\n                  [name]=\"'policyFormAccessType'\" [checked]=\"policyForm?.policy_access_type === 0\" (checkedEvent)=\"setAccessField(0)\"\n                  ><div class=\"vx-fs-12 vx-paragraph-txt\">\n                    Everyone who has access to this Policy Category\n                  </div></app-cs-radio\n                >\n                <app-cs-radio\n                  [name]=\"'policyFormAccessType'\" [checked]=\"policyForm?.policy_access_type === 1\" (checkedEvent)=\"setAccessField(1)\"\n                class=\"vx-mt-1\"\n                  ><div class=\"vx-fs-12 vx-paragraph-txt\">\n                    Select users/groups\n                  </div></app-cs-radio\n                >\n              </div> -->\n            </div>\n          </ng-container>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            *ngIf=\"policyForm?.availableOnPortal\"\n          >\n            <span class=\"vx-fs-13 vx-paragraph-txt\"\n              >Visible to All Current & Future Users</span\n            >\n\n            <button\n              (click)=\"activateSelector('policyAccess', true)\"\n              class=\"edit vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <div class=\"vx-mt-2\">\n            <app-cs-switch\n              *ngIf=\"\n                policyForm.availableOnPortal ||\n                policyForm?.policy_access_owners?.length ||\n                policyForm?.policy_access_groups?.length\n              \"\n              [(ngValue)]=\"policyForm.acceptSuggestions\"\n              >ACCEPT SUGGESTIONS\n              <i\n                class=\"icons vx-fs-12 vx-txt-blue vx-ml-1 vx-mr-2\"\n                [appTooltip]=\"\n                  'If enabled, users can provide improvement suggestions to the policies that are listed on the Policy Portal.'\n                \"\n                placement=\"bottom-right\"\n                delay=\"0\"\n                type=\"white\"\n                [tooltipMandatory]=\"true\"\n                >&#xe91f;</i\n              ></app-cs-switch\n            >\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Attestations -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"false\"\n      [class.disabled]=\"false\"\n      *ngIf=\"false\"\n    >\n      <div class=\"left\" [class.checked]=\"false\">\n        <img [src]=\"ASSETS.attestations\" alt=\"\" />\n\n        <svg\n          *ngIf=\"false\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n            <label class=\"vx-control-panel\">ATTESTATIONS</label>\n          </div>\n          <div\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select the persons required to attest to this Policy\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"'Samantha Jones'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >Samantha Jones</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"policyAttestationPopover.popover()\"\n                placement=\"left\"\n              >\n                +4\n              </button>\n            </div>\n            <app-popover #policyAttestationPopover [dontCloseonClick]=\"true\">\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                    <div class=\"avatar-card\">\n                      <span\n                        class=\"value\"\n                        [appTooltip]=\"'Harshvardhan Kariwala'\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        <i class=\"icons\">&#xe90d;</i>\n                        Harshvardhan Kariwala\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <div class=\"vx-mt-2\">\n            <app-cs-switch\n              >REQUIRES E-SIGNATURE FOR ATTESTATION\n              <i\n                class=\"icons vx-fs-12 vx-txt-blue vx-ml-1 vx-mr-2\"\n                [appTooltip]=\"\n                  'Requires e-signature for attestation info text here...'\n                \"\n                placement=\"bottom-right\"\n                delay=\"0\"\n                type=\"white\"\n                [tooltipMandatory]=\"true\"\n                >&#xe91f;</i\n              ></app-cs-switch\n            >\n          </div>\n\n          <label class=\"vx-control-panel vx-mt-2\">WHEN?</label>\n          <div\n            class=\"selectButton vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"selectButtonPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\"\n            >\n              What is the attestation schedule for this<br />policy?\n            </div>\n            <div class=\"vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase\">\n              SET A FREQUENCY\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div class=\"selectBoxText vx-fs-13 vx-paragraph-txt\">\n              Every Wednesday by 11:59 pm\n            </div>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <label class=\"vx-control-panel vx-mt-2\"\n            >ASSESSMENT OF UNDERSTANDING</label\n          >\n          <div\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Set up a questionnaire to confirm the reader\u2019s<br />understanding\n              of the policy.\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <span class=\"chipName vx-fs-11 vx-label-txt\">5 Questions</span>\n            </div>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Approval Workflow -->\n    <div\n      class=\"form-group-row\"\n      *ngIf=\"false\"\n      [class.active]=\"activeSelector === 'approvers'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'approvers' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedApprovers?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length == 0 ||\n            activeSelector === 'approvers'\n          \"\n          [src]=\"ASSETS.approval\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedApprovers?.length > 0 &&\n            activeSelector !== 'approvers'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div\n          class=\"vx-form-group approval-workflow\"\n          [class.disabled]=\"policyApprovalFlag !== 0\"\n        >\n          <label class=\"vx-control-panel\">\n            Approval workflow <span class=\"required\">*</span>\n            <button\n              (click)=\"\n                activateSelector('approvers', true);\n                addMoreLevels = true;\n                workflowType = 'SEQUENTIAL'\n              \"\n              class=\"button\"\n            >\n              Create a new Approval Workflow\n            </button>\n          </label>\n          <div\n            class=\"select\"\n            [class.disabled]=\"approverWorkFlowList?.length == 0\"\n            *ngIf=\"\n              policyForm?.selectedApprovers[0]?.approvers?.length == 0 ||\n              policyForm?.selectedApprovers.length == 0\n            \"\n          >\n            <cs-select\n              [ngModel]=\"selectedApprovalWorkflow\"\n              (ngModelChange)=\"selectedWorkflowChange($event)\"\n              [placeholder]=\"'Select approval workflow for this policy'\"\n              name=\"selectedApprovalWorkflow\"\n              [setMaxWidth]=\"true\"\n            >\n              <cs-option\n                *ngFor=\"let data of approverWorkFlowList\"\n                [value]=\"data\"\n              >\n                {{ data.workflow_name }}\n              </cs-option>\n              <cs-option\n                [value]=\"-1\"\n                (click)=\"\n                  activateSelector('approvers', true);\n                  addMoreLevels = true;\n                  workflowType = 'SEQUENTIAL'\n                \"\n                >Create a new approval workflow</cs-option\n              >\n            </cs-select>\n          </div>\n          <ng-container\n            *ngIf=\"policyForm?.selectedApprovers[0]?.approvers?.length > 0\"\n          >\n            <div\n              class=\"selected\"\n              *ngFor=\"let level of policyForm?.selectedApprovers; let i = index\"\n            >\n              <div class=\"workflow-label\">\n                <p class=\"title\">Level {{ i + 1 }}</p>\n                <p class=\"description\">{{ level.name }}</p>\n              </div>\n              <div class=\"vx-d-flex vx-align-center\">\n                <div class=\"chip-container\">\n                  <span\n                    class=\"chip\"\n                    *ngFor=\"\n                      let approver of level.approvers.slice(0, 1);\n                      let j = index\n                    \"\n                    ><i class=\"icons\" (click)=\"remove('approvers', approver, i)\"\n                      >&#xe90d;</i\n                    >\n                    <span class=\"step\" *ngIf=\"level.name == 'SEQUENTIAL'\">{{\n                      j + 1\n                    }}</span\n                    >{{ approver.member_name }}</span\n                  >\n\n                  <button\n                    class=\"count\"\n                    *ngIf=\"level.approvers?.length > 1\"\n                    type=\"button\"\n                    appPopover\n                    (click)=\"labelName.popover()\"\n                    placement=\"left\"\n                  >\n                    +\n\n                    {{ level.approvers.slice(1).length }}\n                  </button>\n                  <app-popover #labelName [dontCloseonClick]=\"true\">\n                    <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                        <li\n                          *ngFor=\"\n                            let approver of level.approvers | slice : 1;\n                            let j = index\n                          \"\n                        >\n                          <div class=\"avatar-card\">\n                            <span class=\"value\">\n                              <i\n                                class=\"icons\"\n                                (click)=\"remove('approvers', approver, i)\"\n                                >&#xe90d;</i\n                              >\n                              <span\n                                class=\"step\"\n                                *ngIf=\"level.name == 'SEQUENTIAL'\"\n                              >\n                                {{\n                                  j == level.approvers.slice(1).length - 1\n                                    ? \"Final\"\n                                    : j + 2\n                                }}\n                              </span>\n                              {{ approver.member_name }}\n                            </span>\n                          </div>\n                        </li>\n                      </ul>\n                    </div>\n                  </app-popover>\n                </div>\n                <button\n                  class=\"edit\"\n                  type=\"button\"\n                  (click)=\"\n                    activateSelector('approvers', true, level.name);\n                    approversListIndex = i\n                  \"\n                >\n                  <i class=\"icons\">&#xe9ba;</i>Edit\n                </button>\n                <button\n                  class=\"close-btn\"\n                  (click)=\"remove('workflowLevel', level, i)\"\n                >\n                  <i class=\"icons\">&#xe90d;</i>\n                </button>\n              </div>\n            </div>\n          </ng-container>\n\n          <p\n            *ngIf=\"\n              submitted &&\n              !policyForm?.selectedApprovers?.length &&\n              !policyApprovalFlag\n            \"\n            [appScrollInView]=\"true\"\n            class=\"error-message\"\n          >\n            Select or create an approval workflow for this policy.\n          </p>\n\n          <label\n            class=\"vx-control-panel\"\n            *ngIf=\"policyForm.selectedApprovers[0]?.approvers?.length > 0\"\n            ><button\n              class=\"button\"\n              (click)=\"\n                activateSelector('approvers', true);\n                addMoreLevels = true;\n                workflowType = 'SEQUENTIAL'\n              \"\n            >\n              + Add More Levels\n            </button></label\n          >\n        </div>\n      </div>\n    </div>\n\n    <!-- Who / now Attestation -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'assignees'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'assignees' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedAssignees?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedAssignees?.length == 0 ||\n            activeSelector === 'assignees'\n          \"\n          [src]=\"ASSETS.case_assignees\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedAssignees?.length > 0 &&\n            activeSelector !== 'assignees'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Attestation</label>\n          <div\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center vx-mb-2\"\n            *ngIf=\"\n              (policyForm?.selectedAssignees?.length == 0 && !groupEnabled) ||\n              (policyForm?.selectedAssignees?.length == 0 &&\n                groupEnabled &&\n                policyForm?.selectedGroupAssignee.length == 0)\n            \"\n            (click)=\"activateSelector('assignees', true)\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select the persons responsible for attesting this policy.\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between vx-mb-2\"\n            *ngIf=\"\n              policyForm?.selectedAssignees?.length > 0 ||\n              policyForm?.selectedGroupAssignee?.length > 0\n            \"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"!groupEnabled\"\n            >\n              <ng-container\n                *ngFor=\"\n                  let assignee of policyForm?.selectedAssignees?.slice(0, 1)\n                \"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('assignees', assignee)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"assignee.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ assignee.employee_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"assigneePopover.popover()\"\n                placement=\"left\"\n                *ngIf=\"policyForm?.selectedAssignees?.length > 1\"\n              >\n                +{{ policyForm?.selectedAssignees?.slice(1).length }}\n              </button>\n            </div>\n            <ng-container *ngIf=\"groupEnabled\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"groupEnabled && policyForm?.selectedAssignees.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove('assignees', policyForm?.selectedAssignees[0])\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.selectedAssignees[0]?.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.selectedAssignees[0]?.employee_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"UserPopover.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.selectedAssignees.length > 1\"\n                >\n                  +{{ policyForm?.selectedAssignees.length - 1 }}\n                </button>\n              </div>\n              <div\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                *ngIf=\"\n                  policyForm?.selectedAssignees.length > 0 &&\n                  policyForm?.selectedGroupAssignee.length > 0\n                \"\n              >\n                &\n              </div>\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"policyForm?.selectedGroupAssignee.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      'groupAssignees',\n                      policyForm?.selectedGroupAssignee[0]\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    policyForm?.selectedGroupAssignee[0]?.group_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.selectedGroupAssignee[0]?.group_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"group.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.selectedGroupAssignee.length > 1\"\n                >\n                  +{{ policyForm?.selectedGroupAssignee.length - 1 }}\n                </button>\n              </div>\n            </ng-container>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              (click)=\"activateSelector('assignees', true)\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n\n          <p\n            *ngIf=\"\n              submitted &&\n              ((policyForm?.selectedAssignees?.length == 0 &&\n                policyForm?.frequency_details &&\n                !groupEnabled) ||\n                (policyForm?.selectedAssignees?.length == 0 &&\n                  policyForm.selectedGroupAssignee.length == 0 &&\n                  policyForm?.frequency_details &&\n                  groupEnabled) ||\n                (isSendForAttestation &&\n                  policyForm?.selectedAssignees?.length === 0))\n            \"\n            id=\"whovalidatemsg\"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select the persons required to attest to this Policy.\n          </p>\n          <app-cs-switch\n            [(ngValue)]=\"policyForm.requiresSignatureForAttestation\"\n            [class.disabled]=\"policyForm?.selectedAssignees?.length == 0\"\n            class=\"who-toggle\"\n            >THIS POLICY REQUIRES E-SIGNATURE FOR ATTESTATION\n            <i\n              class=\"icons\"\n              [appTooltip]=\"\n                'If selected, the readers will be required to attest this policy using their electronic signature.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-switch\n          >\n          <app-popover #assigneePopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let assignee of policyForm?.selectedAssignees | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('assignees', assignee)\"\n                        >&#xe90d;</i\n                      >\n                      {{ assignee.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #UserPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let assignee of policyForm?.selectedAssignees | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('assignees', assignee)\"\n                        >&#xe90d;</i\n                      >\n                      {{ assignee.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #group [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let data of policyForm?.selectedGroupAssignee | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('groupAssignees', data)\"\n                        >&#xe90d;</i\n                      >\n                      {{ data.group_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n\n          <!-- overseer -->\n          <app-popover #overseerPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let overseer of policyForm?.CCEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccEmail', overseer)\"\n                        >&#xe90d;</i\n                      >\n                      {{ overseer?.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let data of policyForm?.CCGroupEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccGroupEmail', data)\"\n                        >&#xe90d;</i\n                      >\n                      {{ data?.group_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <!-- overseer end -->\n\n          <!-- overseer fail start -->\n          <app-popover #overseerFailPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let overseer of policyForm?.CCFailEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccFail', overseer)\"\n                        >&#xe90d;</i\n                      >\n                      {{ overseer?.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #overseerFailGroup [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let data of policyForm?.CCFailEmailGroup | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        class=\"icons\"\n                        (click)=\"remove('ccGroupFailEmail', data)\"\n                        >&#xe90d;</i\n                      >\n                      {{ data?.group_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <!-- overseer fail end -->\n        </div>\n      </div>\n    </div>\n\n    <!-- When -->\n    <div\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'frequency'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'frequency' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">When?</label>\n\n          <div\n            *ngIf=\"policyForm?.frequency_details == ''\"\n            class=\"select button-sec\"\n          >\n            <div\n              class=\"custom-input frequency-custom-input\"\n              (click)=\"activateSelector('frequency', true)\"\n            >\n              {{ frequencyPlaceholder }}\n            </div>\n\n            <button (click)=\"activateSelector('frequency', true)\" type=\"button\">\n              Set A frequency\n            </button>\n          </div>\n          <!-- <div\n            *ngIf=\"policyForm?.frequency_details != ''\"\n            class=\"selected button-sec\"\n          > -->\n          <div\n            *ngIf=\"policyForm?.frequency_details != ''\"\n            class=\"selected button-sec selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                (click)=\"remove('frequency', rc)\"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"frequencyPlaceholder\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ frequencyPlaceholder }}</span\n              >\n            </div>\n            <button\n              *ngIf=\"activeSelector !== 'frequency'\"\n              type=\"button\"\n              class=\"edit\"\n              (click)=\"activateSelector('frequency', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i>Edit\n            </button>\n            <!-- </div>\n            <span class=\"chip\">{{ frequencyPlaceholder }}</span>\n            <button\n              *ngIf=\"activeSelector !== 'frequency'\"\n              type=\"button\"\n              class=\"edit\"\n              (click)=\"activateSelector('frequency', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i>Edit\n            </button> -->\n          </div>\n          <p\n            *ngIf=\"\n              submitted &&\n              ((policyForm?.selectedAssignees?.length > 0 &&\n                !policyForm?.frequency_details &&\n                !groupEnabled) ||\n                ((policyForm?.selectedAssignees?.length > 0 ||\n                  policyForm?.selectedGroupAssignee?.length > 0) &&\n                  !policyForm?.frequency_details &&\n                  groupEnabled))\n            \"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select an attestation schedule for this policy.\n          </p>\n\n          <!-- <label class=\"vx-control-panel\">Effective Date</label>\n                  <div class=\"date-time-picker\">\n                      <div class=\"picker-group\">\n                          <input type=\"text\" readonly placeholder=\"Select the date from which this policy goes into effect.\"\n                              [value]=\"policyForm.policyDueDate  | date: 'dd MMM yyyy'\" (click)=\"openDatePicker();\">\n                          <i class=\"icons\">&#xe92d;</i>\n                          <dp-date-picker #datePicker (onSelect)=\"datePickerOverlay = false;closeDatePicker($event)\"\n                              [config]=\"dateConfig\" [(ngModel)]=\"policyForm.policyDueDate\">\n                          </dp-date-picker>\n                          <div class=\"vx-overlay\" (click)=\"closeDatePicker($event)\" *ngIf=\"datePickerOverlay\"></div>\n                      </div>\n                  </div> -->\n        </div>\n      </div>\n    </div>\n\n    <!-- Checkpoints / Assessment of Understanding -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"true\"\n      [class.active]=\"activeSelector === 'checkpoints'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'checkpoints' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">\n            Assessment of Understanding\n            <!-- <button  *ngIf=\"policyForm?.checkpointDetails?.length===0\" class=\"button\" (click)=\"activateSelector('checkpoints',true)\">+ Add Checkpoints</button> -->\n          </label>\n          <div\n            class=\"select\"\n            *ngIf=\"policyForm?.checkpointDetails?.length === 0\"\n            (click)=\"activateSelector('checkpoints', true)\"\n          >\n            <!-- <input type=\"text\" placeholder=\"Set up a questionnaire to confirm the reader\u2019s understanding of the policy.\" readonly> -->\n            <div class=\"custom-input\">\n              Set up a questionnaire to confirm the reader\u2019s<br />understanding\n              of the policy.\n            </div>\n          </div>\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm?.checkpointDetails?.length > 0\"\n          >\n            <!-- <div class=\"chip-container\">\n                      <span class=\"chip\">{{policyForm?.checkpointDetails?.length + (policyForm?.checkpointDetails?.length > 1 ?' Checkpoints':' Checkpoint')}}</span>\n\n                      <span class=\"checkpoint-point-text first\">TOTAL POINTS: <span class=\"no\">{{policyForm?.totalQuestion}}</span><br><em>Each question carries 1 point</em></span>\n\n                      <span class=\"checkpoint-point-text\">POINTS REQUIRED TO ATTEST : <span class=\"no\">{{policyForm?.passingMarks}}</span></span>\n\n                    </div> -->\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"remove('checkpoints', policyForm?.checkpointDetails)\"\n                >&#xe9ae;</i\n              >\n              <span class=\"chipName vx-fs-11 vx-label-txt\">{{\n                policyForm?.checkpointDetails?.length +\n                  (policyForm?.checkpointDetails?.length > 1\n                    ? \" Questions\"\n                    : \" Question\")\n              }}</span>\n            </div>\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('checkpoints', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <!-- <app-popover #checkpointPopOver [dontCloseonClick]=\"true\">\n                  <div class=\"wf-action-list\">\n                      <ul class=\"action-item\">\n                          <li *ngFor=\"let checkpoint of policyForm?.checkpointDetails | slice: 1; let j = index\">\n                              <div class=\"avatar-card\">\n                                  <span class=\"value\">\n                                      <i class=\"icons\" (click)=\"remove('checkpoints',checkpoint,j+1)\">&#xe90d;</i>\n                                      {{ checkpoint?.question }}\n                                  </span>\n                              </div>\n                          </li>\n                      </ul>\n                  </div>\n              </app-popover> -->\n        </div>\n      </div>\n    </div>\n\n    <!-- Risk Classification -->\n    <div\n      class=\"form-group-row\"\n      *ngIf=\"showRiskClassification && false\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm.riskRating\">\n        <img [src]=\"ASSETS.risks\" alt=\"im\" *ngIf=\"!policyForm?.riskRating\" />\n\n        <svg\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n          *ngIf=\"policyForm?.riskRating\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Risk Classification</label>\n          <div class=\"classification\">\n            <label\n              class=\"low\"\n              *ngFor=\"let class of riskClassification\"\n              [ngClass]=\"[class.class]\"\n            >\n              <input\n                type=\"radio\"\n                name=\"classification\"\n                [value]=\"class.value\"\n                [checked]=\"policyForm?.riskRating === class.value\"\n                [(ngModel)]=\"policyForm.riskRating\"\n              />\n              <span>{{ class.name }}</span>\n            </label>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Responsibility Center -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addResponsibilityCenters\"\n      [class.active]=\"activeSelector === 'rc'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'rc' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.selectedRCs?.length > 0\">\n        <img\n          *ngIf=\"\n            policyForm?.selectedRCs?.length == 0 || activeSelector === 'rc'\n          \"\n          [src]=\"ASSETS.responsibility_center\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.selectedRCs?.length > 0 && activeSelector !== 'rc'\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Responsibility Center</label>\n          <div class=\"select\" *ngIf=\"policyForm?.selectedRCs?.length == 0\">\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('rc', true)\"\n              placeholder=\"Select Responsibility Center(s) that this policy relates to.\"\n              readonly\n            />\n          </div>\n\n          <div class=\"selected\" *ngIf=\"policyForm?.selectedRCs?.length > 0\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let rc of policyForm?.selectedRCs?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('rc', rc)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"rc.item_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ rc.item_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"rcPopover.popover()\"\n                placement=\"left\"\n                *ngIf=\"policyForm?.selectedRCs?.length > 1\"\n              >\n                +{{ policyForm?.selectedRCs?.slice(1).length }}\n              </button>\n            </div>\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('rc', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #rcPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let rc of policyForm?.selectedRCs | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('rc', rc)\">&#xe90d;</i>\n                      {{ rc.item_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n        </div>\n      </div>\n    </div>\n\n    <!-- Version -->\n    <div\n      *ngIf=\"policyForm.addVersion\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.disabled]=\"\n        activeSelector && sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm.policy_version\">\n        <img\n          [src]=\"ASSETS.associated_risks\"\n          alt=\"name\"\n          *ngIf=\"!policyForm.policy_version\"\n        />\n\n        <svg\n          *ngIf=\"policyForm.policy_version\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">VERSION</label>\n          <input\n            [(ngModel)]=\"policyForm.policy_version\"\n            (change)=\"onVersion($event)\"\n            type=\"text\"\n            placeholder=\"Specify the policy version.\"\n          />\n          <p\n            *ngIf=\"!isVersionValid\"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            {{ versionErrorMessage }}\n          </p>\n        </div>\n      </div>\n    </div>\n\n    <!-- Reviewer -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addReviewers && false\"\n      [class.active]=\"activeSelector === 'reviewer'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'reviewer' &&\n        activeSelector !== 'reviewerFrequency' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"policyForm?.selectedReviewers?.length > 0\"\n      >\n        <img\n          *ngIf=\"\n            policyForm?.selectedReviewers?.length == 0 ||\n            activeSelector === 'reviewer'\n          \"\n          [src]=\"ASSETS.reviewer\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"\n            policyForm?.selectedReviewers?.length > 0 &&\n            activeSelector !== 'reviewer'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Reviewer </label>\n          <div\n            class=\"select\"\n            *ngIf=\"policyForm?.selectedReviewers?.length == 0\"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('reviewer', true)\"\n              placeholder=\"Select the person responsible for reviewing this policy\"\n              readonly\n            />\n          </div>\n\n          <div\n            class=\"selected\"\n            *ngIf=\"policyForm?.selectedReviewers?.length > 0\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let reviewer of policyForm?.selectedReviewers\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('reviewer', reviewer)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"reviewer.member_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ reviewer.member_name }}</span\n                >\n              </ng-container>\n            </div>\n\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('reviewer', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <p\n            *ngIf=\"\n              submitted &&\n              policyForm?.selectedReviewers?.length == 0 &&\n              policyForm?.review_frequency_details\n            \"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select a reviewer for this policy.\n          </p>\n\n          <label class=\"vx-control-panel\">When? </label>\n\n          <div\n            *ngIf=\"policyForm?.review_frequency_details == ''\"\n            class=\"select button-sec\"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n              [placeholder]=\"reviewerFrequencyPlaceholder\"\n              readonly\n            />\n            <button\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n              type=\"button\"\n            >\n              Set A frequency\n            </button>\n          </div>\n          <div\n            *ngIf=\"policyForm?.review_frequency_details != ''\"\n            class=\"selected button-sec\"\n          >\n            <span class=\"chip\">{{ reviewerFrequencyPlaceholder }}</span>\n            <button\n              *ngIf=\"activeSelector !== 'reviewerFrequency'\"\n              type=\"button\"\n              class=\"edit\"\n              (click)=\"activateSelector('reviewerFrequency', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i>Edit\n            </button>\n          </div>\n          <p\n            *ngIf=\"\n              submitted &&\n              policyForm?.selectedReviewers?.length > 0 &&\n              !policyForm?.review_frequency_details\n            \"\n            class=\"error-message\"\n            [appScrollInView]=\"true\"\n          >\n            Select the review schedule for this policy.\n          </p>\n\n          <app-format-and-evidence\n            (updateFiles)=\"saveSelectedList('reviewer_attachments', $event)\"\n            #formatEvidence\n            [mode]=\"'policyReviewer'\"\n            [organization_id]=\"organization_id\"\n            [formatEvidanceData]=\"policyForm?.documentsAndLinks\"\n          >\n          </app-format-and-evidence>\n        </div>\n      </div>\n    </div>\n\n    <!-- Overseer -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addOverseers\"\n      [class.active]=\"\n        activeSelector === 'ccEmail' || activeSelector === 'ccFail'\n      \"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'ccEmail' &&\n        activeSelector !== 'ccFail' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"\n          policyForm?.CCEmail?.length > 0 || policyForm?.CCFailEmail?.length > 0\n        \"\n      >\n        <img\n          *ngIf=\"\n            (policyForm?.CCFailEmail?.length == 0 &&\n              policyForm?.CCEmail?.length == 0) ||\n            activeSelector === 'ccEmail' ||\n            activeSelector === 'ccFail'\n          \"\n          [src]=\"ASSETS.oversight\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"\n            (policyForm?.CCFailEmail?.length > 0 ||\n              policyForm?.CCEmail?.length > 0) &&\n            activeSelector !== 'ccEmail' &&\n            activeSelector !== 'ccFail'\n          \"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">Oversight</label>\n          <div\n            class=\"select\"\n            *ngIf=\"\n              policyForm?.CCEmail?.length == 0 &&\n              policyForm?.CCGroupEmail.length == 0\n            \"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('ccEmail', true)\"\n              placeholder=\"Who should have oversight of this policy?\"\n              readonly\n            />\n          </div>\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              policyForm?.CCEmail?.length > 0 ||\n              policyForm?.CCGroupEmail.length > 0\n            \"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"!groupEnabled\"\n            >\n              <ng-container\n                *ngFor=\"let ccEmail of policyForm?.CCEmail?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccEmail', ccEmail)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"ccEmail.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ ccEmail.employee_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"ccEmailPopover.popover()\"\n                placement=\"left\"\n                *ngIf=\"policyForm?.CCEmail?.length > 1\"\n              >\n                +{{ policyForm?.CCEmail?.slice(1).length }}\n              </button>\n            </div>\n\n            <div *ngIf=\"groupEnabled\" class=\"chip-container\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"groupEnabled && policyForm?.CCEmail?.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccEmail', policyForm?.CCEmail[0])\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCEmail[0].employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCEmail[0].employee_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                  appPopover\n                  (click)=\"overseerPopover.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCEmail?.length > 1\"\n                >\n                  +{{ policyForm?.CCEmail?.length - 1 }}\n                </button>\n              </div>\n\n              <div\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                *ngIf=\"\n                  policyForm?.CCEmail.length > 0 &&\n                  policyForm?.CCGroupEmail?.length > 0\n                \"\n              >\n                &\n              </div>\n\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"policyForm?.CCGroupEmail.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccGroupEmail', policyForm?.CCGroupEmail[0])\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCGroupEmail[0]?.group_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCGroupEmail[0]?.group_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCGroupEmail?.length > 1\"\n                >\n                  +{{ policyForm?.CCGroupEmail?.length - 1 }}\n                </button>\n              </div>\n            </div>\n\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('ccEmail', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n\n          <div\n            class=\"select\"\n            *ngIf=\"\n              policyForm?.CCFailEmail?.length == 0 &&\n              policyForm?.CCFailEmailGroup?.length == 0\n            \"\n          >\n            <input\n              type=\"text\"\n              (click)=\"activateSelector('ccFail', true)\"\n              placeholder=\"Who should be notified if the policy is not attested on time?\"\n              readonly\n            />\n          </div>\n\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              policyForm?.CCFailEmail?.length > 0 ||\n              policyForm?.CCFailEmailGroup?.length > 0\n            \"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"!groupEnabled\"\n            >\n              <ng-container\n                *ngFor=\"let ccFail of policyForm?.CCFailEmail?.slice(0, 1)\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccFail', ccFail)\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"ccFail.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ ccFail.employee_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"ccFailPopover.popover()\"\n                placement=\"right\"\n                *ngIf=\"policyForm?.CCFailEmail?.length > 1\"\n              >\n                +{{ policyForm?.CCFailEmail?.slice(1).length }}\n              </button>\n            </div>\n\n            <div *ngIf=\"groupEnabled\" class=\"chip-container\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"groupEnabled && policyForm?.CCFailEmail.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"remove('ccFail', policyForm?.CCFailEmail[0])\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCFailEmail[0]?.employee_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCFailEmail[0]?.employee_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                  appPopover\n                  (click)=\"overseerFailPopover.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCFailEmail?.length > 1\"\n                >\n                  +{{ policyForm?.CCFailEmail?.length - 1 }}\n                </button>\n              </div>\n\n              <div\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                *ngIf=\"\n                  policyForm?.CCFailEmail?.length > 0 &&\n                  policyForm?.CCFailEmailGroup?.length > 0\n                \"\n              >\n                &\n              </div>\n\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"policyForm?.CCFailEmailGroup?.length > 0\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove('ccGroupFailEmail', policyForm?.CCFailEmailGroup[0])\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policyForm?.CCFailEmailGroup[0]?.group_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policyForm?.CCFailEmailGroup[0]?.group_name }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerFailGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"policyForm?.CCFailEmailGroup?.length > 1\"\n                >\n                  +{{ policyForm?.CCFailEmailGroup?.length - 1 }}\n                </button>\n              </div>\n            </div>\n            <button\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector('ccFail', true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #ccEmailPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let ccEmail of policyForm?.CCEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccEmail', ccEmail)\"\n                        >&#xe90d;</i\n                      >\n                      {{ ccEmail.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-popover #ccFailPopover [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let ccFail of policyForm?.CCFailEmail | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i class=\"icons\" (click)=\"remove('ccFail', ccFail)\"\n                        >&#xe90d;</i\n                      >\n                      {{ ccFail.employee_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n        </div>\n      </div>\n    </div>\n\n    <!-- Related Documents -->\n    <div\n      class=\"form-group-row\"\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"policyForm.addAssociatedDocuments\"\n      [class.disabled]=\"activeSelector && activeSelector !== 'name'\"\n    >\n      <div class=\"left\">\n        <img\n          *ngIf=\"policyForm.associatedDocuments.formatFiles?.length == 0\"\n          [src]=\"ASSETS.format_evidence\"\n          alt=\"im\"\n        />\n\n        <svg\n          *ngIf=\"policyForm.associatedDocuments.formatFiles?.length > 0\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">RELATED DOCUMENTS</label>\n          <app-format-and-evidence\n            (updateFiles)=\"saveSelectedList('associatedDocuments', $event)\"\n            [mode]=\"'policy'\"\n            [organization_id]=\"organization_id\"\n            [formatEvidanceData]=\"policyForm?.associatedDocuments\"\n          ></app-format-and-evidence>\n        </div>\n      </div>\n    </div>\n\n    <!-- Link Programs & Responsibilities -->\n    <div\n      *ngIf=\"policyForm?.addLinkProgram\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'linkProgram'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'linkProgram' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div\n        class=\"left\"\n        [class.checked]=\"\n          policyForm?.programSelectedValues?.program?.category_id\n        \"\n      >\n        <img\n          *ngIf=\"!policyForm?.programSelectedValues?.program?.category_id\"\n          [src]=\"ASSETS.link_items\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.programSelectedValues?.program?.category_id\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\"\n            >LINK PROGRAMS & RESPONSIBILITIES</label\n          >\n          <div\n            *ngIf=\"!policyForm?.programSelectedValues?.program?.category_id\"\n            (click)=\"activateSelector('linkProgram', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select Programs & responsibilities that are<br />associated with\n              this policy.\n            </div>\n          </div>\n\n          <div\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n            *ngIf=\"policyForm?.programSelectedValues?.program?.category_id\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i\n                (click)=\"\n                  remove('linkProgram', policyForm?.programSelectedValues)\n                \"\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"policyForm?.programSelectedValues?.program?.name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ policyForm?.programSelectedValues?.program?.name }}</span\n              >\n              <!-- <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"programResponsibilityPopover.popover()\"\n                placement=\"left\"\n              >\n                +4\n              </button> -->\n            </div>\n            <app-popover\n              #programResponsibilityPopover\n              [dontCloseonClick]=\"true\"\n            >\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                    <div class=\"avatar-card\">\n                      <span\n                        class=\"value\"\n                        [appTooltip]=\"\n                          'Reporting information security weaknesses'\n                        \"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        <i class=\"icons\">&#xe90d;</i>\n                        Reporting information security weaknesses\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n            <button\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n              (click)=\"activateSelector('linkProgram', true)\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Link Assessment -->\n    <div\n      *ngIf=\"policyForm.addLinkAssessment\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === 'isAssessment'\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'isAssessment' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"policyForm?.assessment?.length\">\n        <img\n          *ngIf=\"!policyForm?.assessment?.length\"\n          [src]=\"ASSETS.assessments\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"policyForm?.assessment?.length\"\n          class=\"checkIcon\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">LINK ASSESSMENTS</label>\n          <div\n            *ngIf=\"policyForm?.assessment?.length === 0\"\n            (click)=\"activateSelector('isAssessment', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select assessments that are associated with this<br />policy.\n            </div>\n          </div>\n\n          <div\n            *ngIf=\"policyForm?.assessment?.length > 0\"\n            class=\"selectBoxSuccess vx-pl-2 vx-pr-3 vx-d-flex vx-align-center vx-justify-between\"\n          >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <i class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  policyForm.assessment[0]?.assessmentDetails?.assessment_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  policyForm.assessment[0]?.assessmentDetails?.assessment_name\n                }}</span\n              >\n            </div>\n            <app-popover\n              #programResponsibilityPopover\n              [dontCloseonClick]=\"true\"\n            >\n              <div class=\"wf-action-list\">\n                <ul class=\"action-item\">\n                  <li\n                    *ngFor=\"let assessment of policyForm.assessment | slice : 1\"\n                  >\n                    <div class=\"avatar-card\">\n                      <span\n                        class=\"value\"\n                        [appTooltip]=\"\n                          assessment?.assessmentDetails?.assessment_name\n                        \"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        <i class=\"icons\">&#xe90d;</i>\n                        {{ assessment?.assessmentDetails?.assessment_name }}\n                      </span>\n                    </div>\n                  </li>\n                </ul>\n              </div>\n            </app-popover>\n            <button\n              (click)=\"activateSelector('isAssessment', true)\"\n              class=\"editBtn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0 vx-d-flex vx-align-center\"\n            >\n              <i class=\"icons vx-mr-1\">&#xe90c;</i> EDIT\n            </button>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- Link Related Polices -->\n\n    <div\n      *ngIf=\"policyForm.addLinkPolicies\"\n      [appScrollInView]=\"scrollToBottom\"\n      class=\"form-group-row\"\n      [class.active]=\"activeSelector === CONSTANTS.LINK_POLICY\"\n      [class.disabled]=\"\n        activeSelector &&\n        activeSelector !== 'isLinkedPolices' &&\n        sideSelectorElements.includes(activeSelector)\n      \"\n    >\n      <div class=\"left\" [class.checked]=\"SelectedListOfPolicies\">\n        <img\n          *ngIf=\"!SelectedListOfPolicies?.length\"\n          [src]=\"LINKS.linkedPolicyImage\"\n          alt=\"\"\n        />\n\n        <svg\n          *ngIf=\"SelectedListOfPolicies?.length\"\n          class=\"checkIcon\"\n          [xmlns]=\"LINKS.checked\"\n          viewBox=\"0 0 52 52\"\n        >\n          <circle\n            class=\"checkIcon__circle\"\n            cx=\"26\"\n            cy=\"26\"\n            r=\"25\"\n            fill=\"none\"\n          />\n          <path\n            class=\"checkIcon__check\"\n            fill=\"none\"\n            d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n          />\n        </svg>\n      </div>\n      <div class=\"right\">\n        <div class=\"vx-form-group\">\n          <label class=\"vx-control-panel\">LINK RELATED POLICIES</label>\n          <div\n            *ngIf=\"SelectedListOfPolicies?.length === 0\"\n            (click)=\"activateSelector('isLinkedPolices', true)\"\n            class=\"selectBoxEnable vx-pl-3 vx-pr-3 vx-d-flex vx-align-center\"\n            [class.disabled]=\"false\"\n          >\n            <div class=\"selectBoxPlacehoder vx-fs-13 vx-paragraph-txt vx-lh-4\">\n              Select policies that are associated with this policy.\n            </div>\n          </div>\n\n          <div class=\"selected\" *ngIf=\"SelectedListOfPolicies?.length > 0\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <ng-container\n                *ngFor=\"let policy of SelectedListOfPolicies.slice(0, 1)\"\n              >\n                <i\n                  (click)=\"remove(CONSTANTS.LINK_POLICY, policy?.contract_id)\"\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"policy?.contract_name\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{ policy?.contract_name }}</span\n                >\n              </ng-container>\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                *ngIf=\"SelectedListOfPolicies?.length > 1\"\n                type=\"button\"\n                appPopover\n                (click)=\"relatedPolicy.popover()\"\n                placement=\"left\"\n              >\n                +{{ SelectedListOfPolicies?.slice(1).length }}\n              </button>\n            </div>\n            <button\n              *ngIf=\"activeSelector !== CONSTANTS.LINK_POLICY\"\n              class=\"edit\"\n              type=\"button\"\n              (click)=\"activateSelector(CONSTANTS.LINK_POLICY, true)\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n          <app-popover #relatedPolicy [dontCloseonClick]=\"true\">\n            <div class=\"wf-action-list\">\n              <ul class=\"action-item\">\n                <li\n                  *ngFor=\"\n                    let policy of SelectedListOfPolicies | slice : 1;\n                    let j = index\n                  \"\n                >\n                  <div class=\"avatar-card\">\n                    <span class=\"value\">\n                      <i\n                        class=\"icons\"\n                        (click)=\"\n                          remove(CONSTANTS.LINK_POLICY, policy?.contract_id)\n                        \"\n                        >&#xe90d;</i\n                      >\n                      {{ policy?.contract_name }}\n                    </span>\n                  </div>\n                </li>\n              </ul>\n            </div>\n          </app-popover>\n          <app-cs-switch\n            [(ngValue)]=\"policyForm.isPortalDisplayEnabled\"\n            [class.disabled]=\"policyForm?.LinkedPolicies == 0\"\n            class=\"who-toggle\"\n            >DISPLAY ON THE POLICY PORTAL\n            <i\n              class=\"icons\"\n              [appTooltip]=\"CONSTANTS.LINK_POLICY_HELP_TEXT\"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe91f;</i\n            ></app-cs-switch\n          >\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <app-checkbox-list\n    [config]=\"categoryConfig\"\n    [twoColumn]=\"false\"\n    [itemsList]=\"categoryList\"\n    [selectedItems]=\"policyForm.selectedCategories\"\n    [identifierKey]=\"'_id'\"\n    [displayKey]=\"'item_name'\"\n    [tooltipKey]=\"'item_name'\"\n    *ngIf=\"activeSelector === 'category'\"\n    (saveList)=\"saveSelectedList('category', $event)\"\n    (closeList)=\"disableSelector()\"\n    [loaded]=\"!categoriesListLoaded\"\n  >\n  </app-checkbox-list>\n  <!-- <app-checkbox-list [config]=\"approvalWorkflowConfig\" [twoColumn]=\"true\"\n  [itemsList]=\"\"\n  [selectedItems]=\"policyForm.issueCCUsers\" [identifierKey]=\"'employee_email'\" [displayKey]=\"'employee_name'\" [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector==='ISSUE_CC'\" (saveList)=\"selectorAction($event,'ISSUE_CC')\"\n  (closeList)=\"fieldDeselector('ISSUE_CC')\">\n</app-checkbox-list> -->\n\n  <app-responsibility-centers-list\n    *ngIf=\"activeSelector === 'rc'\"\n    [responsibilityCentersList]=\"rcList\"\n    [selectedResponsibilityCenters]=\"policyForm.selectedRCs\"\n    [rcIdKey]=\"'item_id'\"\n    (saveSelectedList)=\"saveSelectedList('rc', $event)\"\n    (closeRcList)=\"disableSelector()\"\n    [loaded]=\"rcListLoaded\"\n  >\n  </app-responsibility-centers-list>\n\n  <app-link-related-policies\n    *ngIf=\"activeSelector === CONSTANTS.LINK_POLICY\"\n    [policyId]=\"policyId\"\n    [mode]=\"mode\"\n    [selectedPolicies]=\"SelectedListOfPolicies\"\n    (closeLinkPolicyList)=\"disableSelector()\"\n    (selectedList)=\"saveSelectedList(CONSTANTS.LINK_POLICY, $event)\"\n  ></app-link-related-policies>\n\n  <app-users-radio-list\n    *ngIf=\"activeSelector === 'reviewer'\"\n    [itemEmailKey]=\"'member_email'\"\n    [usersList]=\"allReviewers\"\n    [headerText]=\"'Select a Reviewer'\"\n    [selectedUsers]=\"policyForm.selectedReviewers\"\n    [userIdKey]=\"'member_id'\"\n    [itemNameKey]=\"'member_name'\"\n    (saveSelectedList)=\"saveSelectedList('reviewer', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-users-radio-list>\n\n  <app-owner-list\n    *ngIf=\"activeSelector === 'ccEmail' && !groupEnabled\"\n    [usersList]=\"overseersList\"\n    [singularText]=\"'User selected'\"\n    [pluralText]=\"'Users selected'\"\n    [selectedUsers]=\"policyForm.CCEmail\"\n    [userIdKey]=\"'employee_id'\"\n    [itemNameKey]=\"'employee_name'\"\n    (saveSelectedList)=\"saveSelectedList('ccEmail', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-owner-list>\n\n  <user-group-list\n    *ngIf=\"activeSelector === 'ccEmail' && groupEnabled\"\n    [groupEnabled]=\"true\"\n    [userlist]=\"overseersList\"\n    [groupList]=\"overseerGroupsList\"\n    [selectedUsers]=\"policyForm.CCEmail\"\n    [selectedGroups]=\"policyForm.CCGroupEmail\"\n    (save)=\"saveSelectedList('ccEmail', $event)\"\n    (cancel)=\"disableSelector()\"\n    [featureflag]=\"groupEnabled\"\n  >\n  </user-group-list>\n\n  <app-owner-list\n    *ngIf=\"activeSelector === 'ccFail' && !groupEnabled\"\n    [usersList]=\"overseersList\"\n    [singularText]=\"'User selected'\"\n    [pluralText]=\"'Users selected'\"\n    [selectedUsers]=\"policyForm.CCFailEmail\"\n    [userIdKey]=\"'employee_id'\"\n    [itemNameKey]=\"'employee_name'\"\n    (saveSelectedList)=\"saveSelectedList('ccFail', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-owner-list>\n\n  <user-group-list\n    *ngIf=\"activeSelector === 'ccFail' && groupEnabled\"\n    [groupEnabled]=\"true\"\n    [userlist]=\"overseersList\"\n    [groupList]=\"overseerGroupsList\"\n    [selectedUsers]=\"policyForm.CCFailEmail\"\n    [selectedGroups]=\"policyForm.CCFailEmailGroup\"\n    (save)=\"saveSelectedList('ccFail', $event)\"\n    (cancel)=\"disableSelector()\"\n    [featureflag]=\"groupEnabled\"\n  >\n  </user-group-list>\n\n  <app-group-users-list\n    *ngIf=\"activeSelector === 'assignees' && !groupEnabled\"\n    [usersList]=\"assigneesList\"\n    [groupsList]=\"overseerGroupsList\"\n    [selectedUsers]=\"policyForm.selectedAssignees\"\n    [userIdKey]=\"'my_member_id'\"\n    (saveSelectedList)=\"saveSelectedList('assignees', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n  >\n  </app-group-users-list>\n\n  <user-group-list\n    *ngIf=\"activeSelector === 'assignees' && groupEnabled\"\n    [groupEnabled]=\"true\"\n    [userlist]=\"ownerlist\"\n    [groupList]=\"overseerGroupsList\"\n    (save)=\"saveSelectedList('assignees', $event)\"\n    (cancel)=\"disableSelector()\"\n    [selectedGroups]=\"policyForm.selectedGroupAssignee\"\n    [selectedUsers]=\"policyForm.selectedAssignees\"\n    [featureflag]=\"groupEnabled\"\n  >\n  </user-group-list>\n\n  <app-owner-list\n    *ngIf=\"activeSelector === 'approvers' && false\"\n    [listHeading]=\"'Select Approvers'\"\n    [singularText]=\"'User selected'\"\n    [pluralText]=\"'Users selected'\"\n    [usersList]=\"allApprovers\"\n    [showWorkflow]=\"true\"\n    [selectedUsers]=\"\n      addMoreLevels\n        ? []\n        : policyForm.selectedApprovers[approversListIndex].approvers\n    \"\n    [userIdKey]=\"'member_id'\"\n    [itemEmailKey]=\"'member_email'\"\n    [itemNameKey]=\"'member_name'\"\n    (saveSelectedList)=\"saveSelectedList('approvers', $event)\"\n    (closeUsersList)=\"disableSelector()\"\n    [mode]=\"mode\"\n    [reviewerWorkflowType]=\"workflowType\"\n    (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n    [workflowList]=\"workflowList\"\n    [workflowText]=\"'Approval Workflow'\"\n  >\n  </app-owner-list>\n\n  <app-frequency-container\n    *ngIf=\"activeSelector === 'frequency'\"\n    [mode]=\"'policy'\"\n    [frequencyDetails]=\"frequencyDetails\"\n    (selectedFrequency)=\"frequencyData($event)\"\n    [feature]=\"feature\"\n    [pageType]=\"'policy'\"\n    (closeFrequency)=\"disableSelector()\"\n  ></app-frequency-container>\n\n  <app-frequency-container\n    *ngIf=\"activeSelector === 'reviewerFrequency'\"\n    [mode]=\"'reviewerFrequency'\"\n    [frequencyDetails]=\"reviewerFrequencyDetails\"\n    (selectedFrequency)=\"reviewerFrequencyData($event)\"\n    [feature]=\"feature\"\n    [pageType]=\"'policy'\"\n    (closeFrequency)=\"disableSelector()\"\n  ></app-frequency-container>\n\n  <vc-link-program\n    *ngIf=\"activeSelector === 'linkProgram'\"\n    (close)=\"disableSelector()\"\n    [policy]=\"policyForm\"\n    [selectedProgram]=\"policyForm?.programSelectedValues\"\n    [mode]=\"mode\"\n    [selectedLinkProgram]=\"selectedLinkProgram\"\n    (changeTab)=\"changeTab('linkedPrograms')\"\n    (updatedProgramDetails)=\"updatedProgramDetails($event)\"\n  >\n  </vc-link-program>\n\n  <app-checkpoints-policy-container\n    (closeCheckPoint)=\"disableSelector()\"\n    [checkpointData]=\"policyForm?.checkpointDetails\"\n    [requiredPoint]=\"policyForm?.passingMarks\"\n    *ngIf=\"activeSelector === 'checkpoints'\"\n    (saveCheckPoint)=\"saveSelectedList('checkpoints', $event)\"\n  ></app-checkpoints-policy-container>\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n  <app-approval-workflow\n    *ngIf=\"enableApprovalWorkflow\"\n    [selectedCategory]=\"policyForm?.selectedCategories\"\n    [approverWorkFlowList]=\"approverWorkFlowList\"\n    [allApprovers]=\"allApprovers\"\n    (listCancelClicked)=\"listCancelClicked($event)\"\n    (selectedWorkflowNext)=\"selectedApprovalWorkflow($event)\"\n    (saveApprovalWorkflow)=\"approvalWorkflowAPICall($event)\"\n    [editApprovalWorkflow]=\"editApprovalWorkflow\"\n    [createApprovalClick]=\"createApprovalClick\"\n    (closeCreateClicked)=\"closeClickedCreateForm()\"\n    [editWorkflowLevel]=\"editWorkflowLevel\"\n  ></app-approval-workflow>\n  <!-- <app-select-approvers></app-select-approvers> -->\n\n  <app-policy-access\n    *ngIf=\"activeSelector === 'policyAccess'\"\n    [policyAccessType]=\"policyForm?.policy_access_type\"\n    (close)=\"disableSelector()\"\n    [orgUsersList]=\"usersList\"\n    [usersAccessList]=\"usersAccessList\"\n    [groupList]=\"overseerGroupsList\"\n    [groupsAccessList]=\"groupsAccessList\"\n    [selectedUsers]=\"policyForm?.policy_access_owners\"\n    [selectedGroups]=\"policyForm?.policy_access_groups\"\n    [disabledIds]=\"usersAccessListIds\"\n    [disabledGroupIds]=\"groupsAccessListIds\"\n    [futureUsersWillSelect]=\"policyForm?.availableOnPortal\"\n    (saveCheckPoint)=\"saveSelectedList('policyAccess', $event)\"\n    (setPolicyAccessType)=\"policyForm.policy_access_type = $event\"\n  >\n  </app-policy-access>\n</ng-container>\n<ng-container *ngIf=\"showCreateDocuments\">\n  <!-- <app-create-documents *ngIf=\"showCreateDocuments\"\n   [organization_id]=\"organization_id\"\n   [member_obj_id]=\"member_obj_id\"\n   [userInfo]=\"userInfo\"\n   [policyId]=\"policyId\"\n   [policyName]=\"policyForm.policyName\"\n   (disconnectRefresh)=\"disconnectRefresh.emit(false)\"\n   (editPolicy)=\"editPolicyFromDocuments()\"\n   ></app-create-documents> -->\n  <lib-document-section\n    *ngIf=\"showCreateDocuments\"\n    [templateView]=\"isTemplateClosed\"\n    [organization_id]=\"organization_id\"\n    [member_obj_id]=\"member_obj_id\"\n    [userInfo]=\"userInfo\"\n    [policyId]=\"policyId\"\n    [feature]=\"feature\"\n    [templateUrl]=\"templateUrl\"\n    [isTemplateOpened]=\"templateView\"\n    [policyName]=\"policyForm.policyName\"\n    (disconnectRefresh)=\"disconnectRefresh.emit(false)\"\n    (editPolicy)=\"editPolicyFromDocuments()\"\n    (openTemplate)=\"templateView = true\"\n  ></lib-document-section>\n</ng-container>\n\n<app-assessment-list\n  *ngIf=\"activeSelector === 'isAssessment'\"\n  [program_ids]=\"''\"\n  [isEdit]=\"policyForm?.assessment?.length\"\n  (cancelAssessment)=\"saveSelectedList('isAssessment', false)\"\n  [selectedAssessment]=\"policyForm?.assessment[0]\"\n  [mode]=\"'policy'\"\n  (onAssessmentSelect)=\"\n    onAssessmentSelect($event); saveSelectedList('isAssessment', false)\n  \"\n></app-assessment-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'approvers' && false\"\n  [listHeading]=\"'Select Approvers'\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allApprovers\"\n  [showWorkflow]=\"true\"\n  [selectedUsers]=\"\n    addMoreLevels\n      ? []\n      : policyForm.selectedApprovers[approversListIndex].approvers\n  \"\n  [userIdKey]=\"'member_id'\"\n  [itemEmailKey]=\"'member_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('approvers', $event)\"\n  (closeUsersList)=\"disableSelector()\"\n  [mode]=\"mode\"\n  [reviewerWorkflowType]=\"workflowType\"\n  (reviewerWorkflowTypeChange)=\"reviewerTypeChange($event)\"\n  [workflowList]=\"workflowList\"\n  [workflowText]=\"'Approval Workflow'\"\n>\n</app-owner-list>\n\n<app-owner-list\n  *ngIf=\"activeSelector === 'owners'\"\n  [listHeading]=\"'Select Owner(s)'\"\n  [singularText]=\"'User selected'\"\n  [pluralText]=\"'Users selected'\"\n  [usersList]=\"allApprovers\"\n  [showWorkflow]=\"false\"\n  [userIdKey]=\"'member_id'\"\n  [itemEmailKey]=\"'member_email'\"\n  [itemNameKey]=\"'member_name'\"\n  (saveSelectedList)=\"saveSelectedList('owners', $event)\"\n  (closeUsersList)=\"disableSelector()\"\n  [mode]=\"mode\"\n  [selectedUsers]=\"policyForm?.policy_owners ?? []\"\n>\n</app-owner-list>\n\n<app-select-template-list\n  *ngIf=\"templateView\"\n  [selectedCategoryId]=\"policyForm?.selectedCategories\"\n  [feature]=\"feature\"\n  (onTemplateSelect)=\"onTemplateSelect($event)\"\n></app-select-template-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-policy{position:relative}::ng-deep .workflow-policy app-cs-switch{display:block}::ng-deep .workflow-policy app-cs-switch label.cs-switch span.value{color:#747576!important;font-size:11px!important;font-weight:500!important;justify-content:flex-end!important;line-height:16px;width:100%!important}::ng-deep .workflow-policy app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:12px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 8px 0 4px}::ng-deep .workflow-policy .form-group-row .right .approval-workflow .selected{height:56px;padding:4px 12px 8px;display:block}::ng-deep .workflow-policy .form-group-row .right .approval-workflow .selected .workflow-label{min-width:auto;padding:0;text-align:left;margin:0 0 4px;border-right:none;width:100%;display:flex;align-items:center}::ng-deep .workflow-policy .form-group-row .right .approval-workflow .selected .workflow-label p.description{font-size:10px;margin-left:6px}::ng-deep .workflow-policy .form-group-row .right .approval-workflow cs-select .selection-wrap .input-group:before{display:none!important}::ng-deep .workflow-policy app-frequency-container app-frequency-weekly .frequency-weekly app-frequency-lifecycle .frequency-lifecycle-responsibility-inner-item{height:unset!important}.disabled{opacity:.5;pointer-events:none}.who-toggle{margin-top:10px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: PolicyService }, { type: SnackBarService }, { type: UiKitService }, { type: AuthService$1 }, { type: ResponsibilityService }, { type: i3.Router }, { type: i3.ActivatedRoute }, { type: FrequencyService }, { type: i1$1.PlatformLocation }, { type: i0.ChangeDetectorRef }, { type: RestApiService }, { type: CommonService }, { type: OrganizationUserService }, { type: OrganizationCommonService }, { type: ComplianceCommonService }, { type: IframeService }]; }, propDecorators: { pickerChanged: [{
                type: Output
            }], mode: [{
                type: Input
            }], policyId: [{
                type: Input
            }], feature: [{
                type: Input
            }], showConfirmationAlert: [{
                type: Output
            }], datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], populateOption: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], shiftToEditMode: [{
                type: Output
            }], convertFileData: [{
                type: Input
            }], selectedCategory: [{
                type: Input
            }], isSendForAttestation: [{
                type: Input
            }], templateId: [{
                type: Input
            }], formatEvidence: [{
                type: ViewChild,
                args: ['formatEvidence']
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class PopoverHoverService {
    constructor() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class PopoverHoverComponent {
    constructor(popoverService) {
        this.popoverService = popoverService;
        this.popoverContainer = false;
        this.showPopover = false;
    }
    ngOnInit() { }
    popover() {
        this.popoverContainer = false;
        this.popoverContainer = true;
        setTimeout(() => {
            this.getPosition();
            this.showPopover = true;
        }, 10);
        return false;
    }
    closePopover() {
        this.popoverContainer = false;
        this.showPopover = false;
    }
    clickedPopover() {
        this.getPosition();
    }
    getPosition() {
        const elementPosition = this.popoverService?.elementPosition;
        this.popoverHeight = this.popoverRatio?.nativeElement?.offsetHeight;
        this.popoverWidth = this.popoverRatio?.nativeElement?.offsetWidth;
        if (this.popoverService.elementDirection === 'left') {
            this.leftValue = elementPosition.left;
            if (elementPosition.top + elementPosition.height + this.popoverHeight > window.outerHeight - 220) {
                this.topValue = elementPosition.top - this.popoverHeight;
                this.popoverPosition = 'top';
            }
            else {
                this.topValue = elementPosition.top + elementPosition.height;
                this.popoverPosition = 'bottom';
            }
        }
        if (this.popoverService.elementDirection === 'right') {
            this.leftValue = elementPosition.left + elementPosition.width - this.popoverWidth;
            if (elementPosition.top + elementPosition.height + this.popoverHeight > window.outerHeight - 220) {
                this.topValue = elementPosition.top - this.popoverHeight;
                this.popoverPosition = 'top';
            }
            else {
                this.topValue = elementPosition.top + elementPosition.height;
                this.popoverPosition = 'bottom';
            }
        }
        if (this.popoverService.elementDirection === 'top') {
            this.leftValue = elementPosition.left + elementPosition.width;
            if (elementPosition.top + elementPosition.height + this.popoverHeight > window.outerHeight - 220) {
                this.topValue = elementPosition.top - this.popoverHeight;
                this.popoverPosition = 'top';
            }
            else {
                this.topValue = elementPosition.top - this.popoverHeight;
                this.popoverPosition = 'bottom';
            }
        }
        if (this.popoverService.elementDirection === 'bottom') {
            this.leftValue = elementPosition.left + elementPosition.width;
            if (elementPosition.top + elementPosition.height + this.popoverHeight > window.outerHeight - 220) {
                this.topValue = elementPosition.top - this.popoverHeight;
                this.popoverPosition = 'top';
            }
            else {
                this.topValue = elementPosition.top + elementPosition.height;
                this.popoverPosition = 'bottom';
            }
        }
        if (this.popoverService.elementDirection === 'self-position') {
            this.leftValue = elementPosition.left + elementPosition.width / 2 - this.popoverWidth / 2;
            this.topValue = elementPosition.top - 15;
        }
        if (this.popoverService.elementDirection === 'top-center') {
            this.leftValue = elementPosition.left + elementPosition.width / 2 - this.popoverWidth / 2;
            if (elementPosition.top + elementPosition.height + this.popoverHeight > window.outerHeight) {
                this.topValue = elementPosition.top + elementPosition.height;
            }
            else {
                this.topValue = elementPosition.top - this.popoverHeight;
            }
        }
        if (this.popoverService.elementDirection === 'center') {
            this.leftValue = elementPosition.left + elementPosition.width / 2 - this.popoverWidth / 2;
            this.topValue = elementPosition.top + elementPosition.height;
        }
        this.positionX = this.leftValue;
        this.positionY = this.topValue;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverComponent, deps: [{ token: PopoverHoverService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PopoverHoverComponent, selector: "popover-hover", viewQueries: [{ propertyName: "popoverRatio", first: true, predicate: ["popoverRatio"], descendants: true }, { propertyName: "popoverContent", first: true, predicate: ["popoverContent"], descendants: true }], ngImport: i0, template: "<!-- <p>popover-hover works!</p> -->\n<div class=\"popover-hover-action\" [class.top]=\"popoverPosition == 'top'\" [class.bottom]=\"popoverPosition == 'bottom'\" (mouseleave)=\"closePopover()\" [class.active]=\"showPopover\" *ngIf=\"popoverContainer\" [style.top.px]=\"positionY\" [style.left.px]=\"positionX\" #popoverRatio id=\"popoverRatio\">\n  <div #popoverContent>\n    <ng-content></ng-content>\n  </div>\n</div>\n", styles: [".popover-hover-action{position:fixed;z-index:13;display:inline-block;opacity:0}.popover-hover-action.active{opacity:1}.popover-hover-action.top{margin:-8px 0 0}.popover-hover-action.bottom{margin:8px 0 0}.popover-hover-overlay{z-index:12;cursor:initial;position:fixed;inset:0;display:block!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverComponent, decorators: [{
            type: Component,
            args: [{ selector: 'popover-hover', template: "<!-- <p>popover-hover works!</p> -->\n<div class=\"popover-hover-action\" [class.top]=\"popoverPosition == 'top'\" [class.bottom]=\"popoverPosition == 'bottom'\" (mouseleave)=\"closePopover()\" [class.active]=\"showPopover\" *ngIf=\"popoverContainer\" [style.top.px]=\"positionY\" [style.left.px]=\"positionX\" #popoverRatio id=\"popoverRatio\">\n  <div #popoverContent>\n    <ng-content></ng-content>\n  </div>\n</div>\n", styles: [".popover-hover-action{position:fixed;z-index:13;display:inline-block;opacity:0}.popover-hover-action.active{opacity:1}.popover-hover-action.top{margin:-8px 0 0}.popover-hover-action.bottom{margin:8px 0 0}.popover-hover-overlay{z-index:12;cursor:initial;position:fixed;inset:0;display:block!important}\n"] }]
        }], ctorParameters: function () { return [{ type: PopoverHoverService }]; }, propDecorators: { popoverRatio: [{
                type: ViewChild,
                args: ['popoverRatio']
            }], popoverContent: [{
                type: ViewChild,
                args: ['popoverContent']
            }] } });

class PopoverHoverDirective {
    constructor(elRef, popoverService) {
        this.elRef = elRef;
        this.popoverService = popoverService;
    }
    onMouseEnter() {
        this.popoverService.elementPosition = this.elRef.nativeElement.getBoundingClientRect();
        this.popoverService.elementDirection = this.placement;
    }
    onMouseOver() {
        this.popoverService.elementPosition = this.elRef.nativeElement.getBoundingClientRect();
        this.popoverService.elementDirection = this.placement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverDirective, deps: [{ token: i0.ElementRef }, { token: PopoverHoverService }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: PopoverHoverDirective, selector: "[libPopoverHover]", inputs: { placement: "placement" }, host: { listeners: { "mouseenter": "onMouseEnter()", "mouseover": "onMouseOver()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[libPopoverHover]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: PopoverHoverService }]; }, propDecorators: { placement: [{
                type: Input
            }], onMouseEnter: [{
                type: HostListener,
                args: ['mouseenter']
            }], onMouseOver: [{
                type: HostListener,
                args: ['mouseover']
            }] } });

class MoreOptionComponent {
    set getOrganizationDetails(details) {
        this.orgDetails = details ?? '{}';
        if (details && Object.keys(details)?.length) {
            this.updateProgramMoreOptions();
        }
    }
    constructor(reportACaseService) {
        this.reportACaseService = reportACaseService;
        this.ASSETS = ASSETS;
        this.currentWorkflow = '';
        this.openedFrom = '';
        this.isEditMode = false;
        this.selectedOption = new EventEmitter();
        this.isRCSelected = false;
        this.isProgramSelected = false;
        this.isAttributesAvailable = true;
        this.featureflagrole = false;
        this.programSimplifyFlag = false;
        this.ff_rc_listing = false;
        this.permissionText = 'Permissions';
        this.placeholderTexts = {
            AAR: 'Select what additional information you would like to include in the risk.',
            CAP: 'Select what additional information you would like to include in the policy.',
            CAR: 'Select what additional information you would like to include in the responsibility.',
            CAS: 'Select what additional information you would like to include in the survey.',
            LAI: 'Select what additional information you would like to include in the issue.',
            CAPR: 'Select what additional information you would like to include in the scope.',
            GRC: 'Select what additional information you would like to include in the GRC Object.',
            RAC: 'Select what additional information you would like to include in the case.',
            ACTW: 'Select what additional information you would like to include in the case.',
        };
        this.businessCycle = JSON.parse(localStorage.getItem('businessCycle') ?? '{}');
        this.moreOptionsList = {
            AAR: [
                {
                    imageUrl: ASSETS.case_owners,
                    name: 'Risk Owner',
                    tooltipTitle: 'Risk Owner',
                    tooltipMessage: 'This is either a person, department owner or a functional role within the organization that owns the risk. Example: For IT risk, the Risk Owner could be the "Director of IT & Security".',
                    checked: false,
                    hidden: false,
                    code: 'RISK_OWNER',
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Risk Oversight',
                    tooltipTitle: 'Risk Oversight',
                    tooltipMessage: 'Oversight enables you to designate persons to oversee the risk management process.',
                    checked: false,
                    hidden: false,
                    code: 'OVERSEER',
                },
                {
                    imageUrl: ASSETS.priority,
                    name: 'Risk Mitigation Priority',
                    tooltipTitle: 'Risk Mitigation Priority',
                    tooltipMessage: 'This sets the priority level for the mitigation of each risk.',
                    checked: false,
                    hidden: false,
                    code: 'MITIGATION',
                },
                {
                    imageUrl: ASSETS.lables,
                    name: 'Risk Label',
                    tooltipTitle: 'Risk Label',
                    tooltipMessage: 'This option lets you specify if this is a newly identified risk or it is a rapidly changing risk.',
                    checked: false,
                    hidden: false,
                    code: 'RISK_LABEL',
                },
                {
                    imageUrl: ASSETS.link_items,
                    name: 'LINK GRC OBJECT(S)',
                    tooltipTitle: 'LINK OTHER GRC OBJECTS',
                    tooltipMessage: `This option lets you link a risk with related GRC Objects.`,
                    disabledMessage: `You can link a GRC Object with this risk only after you have selected a Responsibility Center.`,
                    checked: false,
                    hidden: false,
                    isDisabled: true,
                    code: 'GRC_OBJECTS',
                },
            ],
            CAP: [
                {
                    imageUrl: ASSETS.responsibility_center,
                    name: 'Responsibility Center',
                    tooltipTitle: 'Responsibility Center',
                    tooltipMessage: `Responsibility Centers represent your organizational and
         operational infrastructure. You can attribute a policy to one or more Responsibility Centers.
          Where you attribute a policy to a Responsibility Center, that policy will be shown as a policy
           that is required to be attested by all the persons associated with that Responsibility Center.
            The performance of a policy assigned to a Responsibility Center will also contribute to the
            overall performance of the Responsibility Center.`,
                    checked: false,
                    hidden: false,
                    code: 'RESPONSIBILITY_CENTER',
                },
                {
                    imageUrl: ASSETS.associated_risks,
                    name: 'VERSION',
                    tooltipTitle: 'Version',
                    tooltipMessage: `This option lets you specify the offline version number for a policy. Hence, you can input the version number of the digital or physical copy of the policy document for record-keeping purposes.`,
                    checked: false,
                    hidden: false,
                    code: 'VERSION',
                },
                {
                    imageUrl: ASSETS.reviewer,
                    name: 'Reviewer',
                    tooltipTitle: 'Reviewer',
                    tooltipMessage: `This options lets you specify a review lifecycle for the policy document.
         You can select a reviewer and determine how often the policy needs to be reviewed.`,
                    checked: false,
                    hidden: true,
                    code: 'REVIEWER',
                },
                {
                    imageUrl: ASSETS.checkpoints,
                    name: 'Checkpoints',
                    tooltipTitle: 'Checkpoints',
                    tooltipMessage: `Checkpoints enable you to confirm a person’s understanding of the policy document.
         You can create questions based on the policy content and require that the reader of the policy
         answers these questions correctly before proceeding to complete the attestation.
        `,
                    checked: false,
                    hidden: true,
                    code: 'CHECKPOINTS',
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Oversight',
                    tooltipTitle: 'Oversight',
                    tooltipMessage: `Oversights are persons who oversee the policy.
         These persons will receive email notifications about the performance of the policy.
         As the person creating the policy, you will automatically receive email notifications about the performance of the policy.
        `,
                    checked: false,
                    hidden: false,
                    code: 'OVERSEER',
                },
                {
                    imageUrl: ASSETS.format_evidence,
                    name: 'Related Documents',
                    tooltipTitle: 'Related Documents',
                    tooltipMessage: `Related documents are files that might be related to the policy. These could be documents which are related
         to the policy or are a subset of the policy that is being created.`,
                    checked: false,
                    hidden: false,
                    code: 'RELATED_DOCUMENTS',
                },
                {
                    imageUrl: ASSETS.link_items,
                    name: 'LINK PROGRAMS & RESPONSIBILITIES',
                    tooltipTitle: 'LINK PROGRAMS & RESPONSIBILITIES',
                    tooltipMessage: `This option allows you to associate Programs & responsibilities from the Compliance module with a policy. These could be processes or procedures that might be linked to a policy.`,
                    checked: false,
                    hidden: false,
                    code: 'LINK_PROGRAM_RESPONSIBILITIES',
                },
                {
                    imageUrl: ASSETS.assessments,
                    name: 'LINK AN ASSESSMENT',
                    tooltipTitle: 'LINK AN ASSESSMENT',
                    tooltipMessage: `Assessments allow you to associate outcome based questionnaires or checklist based procedures with a policy.`,
                    checked: false,
                    hidden: false,
                    code: 'LINK_ASSESSMENTS',
                },
                {
                    imageUrl: ASSETS.link_items,
                    name: 'LINK RELATED POLICIES',
                    tooltipTitle: 'LINK RELATED POLICIES',
                    tooltipMessage: `This options lets you associate related policies for quick reference, enabling users to view relevant documents in one place and ensuring policy alignment.`,
                    checked: false,
                    hidden: false,
                    code: 'LINK_RELATED_POLICIES',
                },
            ],
            CAR: [
                {
                    imageUrl: ASSETS.objectives,
                    name: 'Objective',
                    code: 'OBJECTIVE',
                    tooltipTitle: 'Objective',
                    tooltipMessage: 'The objective allows you to specify an objective for the responsibility.',
                    checked: false,
                    hidden: false,
                },
                {
                    imageUrl: ASSETS.responsibility_center,
                    name: 'Responsibility Center',
                    code: 'RC',
                    tooltipTitle: 'Responsibility Center',
                    tooltipMessage: `Responsibility Centers represent your organizational and operational infrastructure.<br>
          You can assign a responsibility to one or more Responsibility Centers. Where you assign a responsibility to a Responsibility Center,
          that responsibility will be shown as a responsibility that is required to be completed by the Responsibility Center.
          The performance of a responsibility assigned to a Responsibility Center will also contribute to the overall performance of the Responsibility Center.`,
                    checked: false,
                    hidden: false,
                },
                {
                    imageUrl: ASSETS.case_category,
                    name: 'Program',
                    code: 'PROGRAM',
                    tooltipTitle: 'Program',
                    tooltipMessage: `Programs enable you to group similar responsibilities together.
          Allocating a responsibility to a Program allows you to view a group or similar responsibilities at once.
          It also allows you to view the performance of those collective responsibilities.`,
                    checked: false,
                    hidden: false,
                },
                {
                    imageUrl: ASSETS.format_evidence,
                    name: 'Format & Evidence',
                    code: 'FORMATE_EVIDENCE',
                    tooltipTitle: ' Format & Evidence',
                    tooltipMessage: 'You can upload a format for this responsibility and you can also require evidence of completion of the responsibility to be provided.',
                    checked: false,
                    hidden: false,
                },
                {
                    imageUrl: ASSETS.assessments,
                    name: 'Assessments',
                    code: 'ASSESSMENT',
                    tooltipTitle: ' Assessments',
                    tooltipMessage: 'Assessments allow you to associate outcome based-questionnaires or self-assessment questionnaires with a responsibility. These need to be completed by the assignee as a part of completing the responsibility.',
                    checked: false,
                    hidden: false,
                    isDisabled: false,
                    disabledMessage: 'An assessment can be linked with a responsibility only after removing the associated checkpoints.',
                },
                {
                    imageUrl: ASSETS.checkpoints,
                    //  name: 'Checkpoints <span *ngIf="false" class="checkpoint-version">V2.0</span> <i class="icons depreciation-icon vx-fs-16 vx-ml-2" appTooltip="This is an out-of-date version of the Checkpoints feature. To add checkpoints that are only relevant to this responsibility you can use the new Checkpoints feature. Alternatively, you can use an existing questionnaire template using the Assessments feature." placement="bottom" delay="0" [tooltipMandatory]="true">&#xe930;</i>',
                    name: 'Checkpoints <i class="icons depreciation-icon vx-fs-16 vx-ml-2" appTooltip="This is an out-of-date version of the Checkpoints feature. To add checkpoints that are only relevant to this responsibility you can use the new Checkpoints feature. Alternatively, you can use an existing questionnaire template using the Assessments feature." placement="bottom" delay="0" [tooltipMandatory]="true">&#xe930;</i>',
                    code: 'CHECKPOINTS',
                    tooltipTitle: 'Checkpoints',
                    tooltipMessage: 'This is an out-of-date version of the Checkpoints feature. To add checkpoints that are only relevant to this responsibility you can use the new Checkpoints feature. Alternatively, you can use an existing questionnaire template using the Assessments feature.',
                    checked: false,
                    hidden: true,
                    isDisabled: false,
                    disabledMessage: 'The checkpoints feature is replaced with the new & enhanced assessment functionality. Select the <strong>Assessments</strong> option below to create interactive outcome-based or self-assessment questionnaires.',
                },
                {
                    imageUrl: ASSETS.checkpoints,
                    name: 'Checkpoints',
                    code: 'CHECKPOINTS_NEW',
                    tooltipTitle: 'Checkpoints',
                    tooltipMessage: 'Checkpoints allow you to specify multiple steps for a specific responsibility which need to be completed as part of completing the responsibility. Often checkpoints are used to replace instruction manuals.',
                    checked: false,
                    hidden: false,
                    isDisabled: false,
                    disabledMessage: 'New Checkpoints can be linked with a responsibility only after removing the out-of-date version of the Checkpoints.',
                },
                {
                    imageUrl: ASSETS.risks,
                    name: 'Risk Classification',
                    tooltipTitle: 'Risk Classification',
                    tooltipMessage: 'You can specify the level of risk that the organization will be exposed to if the responsibility is not completed.',
                    checked: false,
                    hidden: false,
                    code: 'RISK_CLASSIFICATION',
                },
                {
                    imageUrl: ASSETS.reviewer,
                    name: 'Reviewer',
                    tooltipTitle: 'Reviewer',
                    tooltipMessage: 'A Reviewer is a person that is tasked with reviewing the completed responsibility.',
                    checked: false,
                    hidden: false,
                    code: 'REVIEWER',
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Oversight',
                    tooltipTitle: 'Oversight',
                    tooltipMessage: `Oversight enables you to designate persons to oversee the responsibility.
          These persons will receive email notifications about the performance of the responsibility.<br>
          As the person creating the responsibility, you will automatically receive email notifications about the performance of the responsibility.`,
                    checked: false,
                    hidden: false,
                    code: 'OVERSEER',
                },
                {
                    imageUrl: ASSETS.audit,
                    name: 'ASSURANCE',
                    tooltipTitle: 'ASSURANCE',
                    tooltipMessage: 'Select the test plan categories that you would like to add this responsibility to.',
                    checked: false,
                    hidden: true,
                    code: 'ASSURANCE',
                },
                {
                    imageUrl: ASSETS.audit,
                    name: 'REQUIRES AUDIT?',
                    tooltipTitle: 'REQUIRES AUDIT?',
                    tooltipMessage: 'Select the audit categories that you would like to add this responsibility to.',
                    checked: false,
                    hidden: false,
                    code: 'REQUIRES_AUDIT',
                    isDisabled: true,
                    disabledMessage: 'This responsibility can be scheduled for an audit only after the Responsibility Center is selected.',
                },
                {
                    imageUrl: ASSETS.link_items,
                    name: 'LINK GRC OBJECT(S)',
                    tooltipTitle: 'LINK OTHER GRC OBJECTS',
                    tooltipMessage: `This option lets you link a responsibility with related GRC Objects.`,
                    disabledMessage: `You can link a GRC Object with this responsibility only after you have selected a Responsibility Center.`,
                    checked: false,
                    hidden: false,
                    isDisabled: true,
                    code: 'GRC_OBJECTS',
                },
            ],
            CAS: [
                {
                    imageUrl: ASSETS.responsibility_center,
                    name: 'Responsibility Center',
                    tooltipTitle: '',
                    tooltipMessage: '',
                    checked: false,
                    hidden: false,
                },
                {
                    imageUrl: ASSETS.format_evidence,
                    name: 'Format &amp; Evidence',
                    tooltipTitle: '',
                    tooltipMessage: '',
                    checked: false,
                    hidden: false,
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Oversight',
                    tooltipTitle: '',
                    tooltipMessage: '',
                    checked: false,
                    hidden: false,
                },
            ],
            LAI: [
                {
                    imageUrl: ASSETS.exception_type,
                    name: 'Exception Type',
                    tooltipTitle: 'Exception Type',
                    tooltipMessage: 'Exception type lets you specify whether there is a design or an operational effectiveness problem.',
                    checked: false,
                    hidden: false,
                    code: 'EXCEPTION_TYPE',
                },
                // {
                //   imageUrl: 'https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/issue-type.svg',
                //   name: 'Issue type',
                //   tooltipTitle: '',
                //   tooltipMessage: '',
                //   checked: false,
                //   hidden: false,
                //   code: 'ISSUE_TYPE'
                // },
                {
                    imageUrl: ASSETS.priority,
                    name: 'Priority',
                    tooltipTitle: 'Priority',
                    tooltipMessage: 'This sets the priority level for resolving each issue.',
                    checked: false,
                    hidden: false,
                    code: 'PRIORITY',
                },
                {
                    imageUrl: ASSETS.associated_risks,
                    name: 'Associated Risks',
                    tooltipTitle: 'Associated Risks',
                    tooltipMessage: 'Associated risks lets you specify the risks that are related to this issue.',
                    checked: false,
                    hidden: false,
                    code: 'ASSOCIATED_RISKS',
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Oversight',
                    tooltipTitle: 'Oversight',
                    tooltipMessage: 'Oversights are the persons responsible for overseeing an issue. These persons will receive email notifications about the issue status. As the person reporting this issue, you will automatically receive such email notifications.',
                    checked: false,
                    hidden: false,
                    code: 'OVERSIGHT',
                },
                {
                    imageUrl: ASSETS.format_evidence,
                    name: 'Evidence',
                    tooltipTitle: 'Evidence',
                    tooltipMessage: 'You can require that the person resolving the issue uploads evidence to confirm',
                    checked: false,
                    hidden: false,
                    code: 'EVIDENCE',
                },
            ],
            CAPR: [
                {
                    imageUrl: ASSETS.roles,
                    name: 'Role(S)',
                    tooltipTitle: 'Role(s)',
                    tooltipMessage: `Role(s) let you specify the users that can be “Owners” of a Program.`,
                    checked: false,
                    hidden: false,
                    code: 'ROLES',
                },
                {
                    imageUrl: ASSETS.case_owners,
                    name: 'Owner(s)',
                    tooltipTitle: 'Owner(s)',
                    tooltipMessage: `Owners are responsible for managing a Program. Only Owners can make changes to a Program and the responsibilities that are linked with the Program.<br>
        The <b>Key Admin</b> and all <b>Admin</b> users will be selected as the Owners of a Program by default.
        `,
                    checked: false,
                    hidden: false,
                    code: 'OWNERS',
                },
                {
                    imageUrl: ASSETS.collaborator,
                    name: 'Collaborators',
                    tooltipTitle: 'Collaborators',
                    tooltipMessage: COLLABORATOR_TOOLTIP,
                    checked: false,
                    hidden: false,
                    code: 'COLLABORATOR',
                },
                {
                    imageUrl: ASSETS.approval,
                    name: 'Approver',
                    tooltipTitle: 'Approver',
                    tooltipMessage: `An Approver is responsible for approving a Program. Where an Approver is selected, the Program and all responsibilities linked with that Program will only commence once the Program has been approved.`,
                    checked: false,
                    hidden: true,
                    code: 'APPROVER',
                },
                {
                    imageUrl: ASSETS.recurring,
                    name: 'Program Duration',
                    tooltipTitle: 'Program Duration',
                    tooltipMessage: 'Program Duration refers to the duration of the Program. A Program can occur in perpetuity, or it can occur until the end of the current business cycle that has been specified in ' +
                        this.businessCycle?.selectedCycle?.business_cycle +
                        '.  All responsibilities linked with that Program will also have the same Program Duration.',
                    checked: false,
                    hidden: true,
                    code: 'PROGRAM_FREQUENCY',
                },
                {
                    imageUrl: ASSETS.lock_scope,
                    name: 'Lock the Program Scope',
                    tooltipTitle: 'Lock the Program Scope',
                    tooltipMessage: `If the Program Scope is locked, neither the Program nor the responsibilities linked with the Program can be edited once the Program begins. In order to edit the Program or the linked responsibilities, the Program details will need to be edited.`,
                    checked: false,
                    hidden: true,
                    code: 'SCOPE_CHANGES',
                },
                {
                    imageUrl: ASSETS.responsibility_center,
                    name: 'Responsibility Center',
                    tooltipTitle: 'Responsibility Center',
                    tooltipMessage: `Responsibility Centers represent your organizational and operational infrastructure. Where Responsibility Centers are selected when creating a Program, only those Responsibilities Centers will be available for selection when creating a responsibility linked with the Program.`,
                    checked: false,
                    hidden: true,
                    code: 'RC',
                },
                {
                    imageUrl: ASSETS.case_assignees,
                    name: 'Assignees',
                    tooltipTitle: 'Assignees',
                    tooltipMessage: `Assignees are required to complete the responsibilities that have been assigned to them. Where Assignees are selected when creating a Program, only those Assignees will be available for selection when creating a responsibility linked with the Program.`,
                    checked: false,
                    hidden: true,
                    code: 'ASSIGNEES',
                },
                {
                    imageUrl: ASSETS.reviewer,
                    name: 'Reviewers',
                    tooltipTitle: 'Reviewers',
                    tooltipMessage: `Reviewers are required to review responsibilities after they have been completed. Where Reviewers are selected when creating a Program, only those Reviewers will be available for selection when creating a responsibility linked with the Program.`,
                    checked: false,
                    hidden: true,
                    code: 'REVIEWER',
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Oversights',
                    tooltipTitle: 'Oversights',
                    tooltipMessage: 'Oversights receive updates when a responsibility is completed, completed with delay or not completed. Where Oversights are selected when creating a Program, only those Oversights will be available for selection when creating a responsibility linked with the Program.',
                    checked: false,
                    hidden: true,
                    code: 'OVERSEER',
                },
                {
                    imageUrl: ASSETS.assessments,
                    name: 'Assessments',
                    code: 'ASSESSMENT',
                    tooltipTitle: ' Assessments',
                    tooltipMessage: 'Assessments are a digital form that are created in “Assessment” within the Compliance Module. Where Assessments are selected when creating a Program, only those Assessments will be available for selection when creating a responsibility linked with the Program.',
                    checked: false,
                    hidden: true,
                    isDisabled: false,
                    disabledMessage: 'An assessment can be linked with a responsibility only after removing the associated checkpoints.',
                },
                {
                    imageUrl: ASSETS.format_evidence,
                    name: 'Evidence',
                    code: 'FORMATE_EVIDENCE',
                    tooltipTitle: 'Evidence',
                    tooltipMessage: 'If selected, evidence of completion of a responsibility will be required for all responsibilities that are linked with the Program. An Assignor, being the person who creates the responsibility, can override this option when creating a responsibility.',
                    checked: false,
                    hidden: true,
                },
                {
                    imageUrl: ASSETS.custom_fields,
                    name: 'Custom Field',
                    code: 'CUSTOM_FIELDS',
                    tooltipTitle: ' Custom Field',
                    tooltipMessage: 'Where a custom field is specified, all responsibilities linked with a Program will contain that custom field. Custom fields enable the collection of additional meta data.',
                    checked: false,
                    hidden: false,
                },
            ],
            GRC: [
                {
                    imageUrl: ASSETS.link_items,
                    name: 'LINK RESPONSIBILITIES',
                    tooltipTitle: 'LINK RESPONSIBILITIES',
                    tooltipMessage: `This option lets you link a GRC Object with related responsibilities.`,
                    disabledMessage: 'You can link a responsibility with this GRC Object only after you have selected the relevant Responsibility Center.',
                    checked: false,
                    hidden: false,
                    code: 'LINK_PROGRAM',
                },
                {
                    imageUrl: ASSETS.link_risks,
                    name: 'LINK RISKS',
                    tooltipTitle: 'LINK RISKS',
                    tooltipMessage: `This option lets you link a GRC Object with related risks.`,
                    disabledMessage: 'You can link a risk with this GRC Object only after you have selected the relevant Responsibility Center.',
                    checked: false,
                    hidden: false,
                    code: 'LINK_RISK_CATEGORIES_RISKS',
                },
                {
                    imageUrl: ASSETS.link_items,
                    name: 'LINK OTHER GRC OBJECTS',
                    tooltipTitle: 'LINK OTHER GRC OBJECTS',
                    tooltipMessage: `This option lets you link a GRC Object with other related GRC Objects.`,
                    checked: false,
                    hidden: false,
                    code: 'OTHER_GRC_OBJECTS',
                },
                {
                    imageUrl: LINKS?.customFields,
                    name: 'GRC Object Type Attributes',
                    tooltipTitle: 'GRC Object Type Attributes',
                    tooltipMessage: `This option lets you add additional information related to a GRC Object.`,
                    disabledMessage: 'There are no additional attributes linked with this GRC Object Type.',
                    checked: false,
                    hidden: false,
                    code: 'ATTRIBUTES',
                },
            ],
            RAC: [
                {
                    imageUrl: ASSETS.objectives,
                    name: 'Exception Type',
                    tooltipTitle: 'Exception Type',
                    tooltipMessage: 'Exception type lets you specify whether there is a design or an operational effectiveness problem.',
                    checked: false,
                    hidden: false,
                    code: 'EXCEPTION_TYPE',
                },
                {
                    imageUrl: ASSETS.associated_risks,
                    name: 'Associated Risks',
                    tooltipTitle: 'Associated Risks',
                    tooltipMessage: 'Associated risks lets you specify the risks that are related to this case.',
                    checked: false,
                    hidden: false,
                    code: 'ASSOCIATED_RISKS',
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Oversight',
                    tooltipTitle: 'Oversight',
                    tooltipMessage: 'Oversight option lets you designate users to oversee a case. These users will receive email notifications about the case status & related workflows. As the person reporting this case, you will automatically receive such email notifications.',
                    checked: false,
                    hidden: false,
                    code: 'OVERSIGHT',
                },
                {
                    imageUrl: ASSETS.format_evidence,
                    name: 'Evidence',
                    tooltipTitle: 'Evidence',
                    tooltipMessage: 'You can require that the person resolving the case uploads evidence to confirm',
                    checked: false,
                    hidden: true,
                    code: 'EVIDENCE',
                },
                {
                    imageUrl: ASSETS.recommended_action,
                    name: 'Recommended Actions',
                    tooltipTitle: '',
                    tooltipMessage: '',
                    checked: false,
                    hidden: false,
                    code: 'RECOMMENDED_ACTIONS',
                },
                {
                    imageUrl: ASSETS.risks,
                    name: 'Risk Classification',
                    tooltipTitle: '',
                    tooltipMessage: '',
                    checked: false,
                    hidden: false,
                    code: 'RISK_CLASSIFICATION',
                },
            ],
            ACTW: [
                {
                    imageUrl: ASSETS.objectives,
                    name: 'Exception Type',
                    tooltipTitle: 'Exception Type',
                    tooltipMessage: 'Exception type lets you specify whether there is a design or an operational effectiveness problem.',
                    checked: false,
                    hidden: false,
                    code: 'EXCEPTION_TYPE',
                },
                {
                    imageUrl: ASSETS.associated_risks,
                    name: 'Associated Risks',
                    tooltipTitle: 'Associated Risks',
                    tooltipMessage: 'Associated risks lets you specify the risks that are related to this case.',
                    checked: false,
                    hidden: false,
                    code: 'ASSOCIATED_RISKS',
                },
                {
                    imageUrl: ASSETS.oversight,
                    name: 'Oversight',
                    tooltipTitle: 'Oversight',
                    tooltipMessage: 'Oversights are the persons responsible for overseeing an case. These persons will receive email notifications about the case status. As the person reporting this case, you will automatically receive such email notifications.',
                    checked: false,
                    hidden: false,
                    code: 'OVERSIGHT',
                },
                {
                    imageUrl: ASSETS.recommended_action,
                    name: 'Recommended Actions',
                    tooltipTitle: '',
                    tooltipMessage: '',
                    checked: false,
                    hidden: false,
                    code: 'RECOMMENDED_ACTIONS',
                },
                {
                    imageUrl: ASSETS.risks,
                    name: 'Risk Classification',
                    tooltipTitle: '',
                    tooltipMessage: '',
                    checked: false,
                    hidden: false,
                    code: 'RISK_CLASSIFICATION',
                },
            ],
        };
        this.resetRACMoreOptions();
    }
    resetRACMoreOptions() {
        this.reportACaseService.resetMoreOption.subscribe((res) => {
            if (res) {
                this.moreOptionsList.RAC.forEach((ele) => {
                    ele.checked = false;
                });
            }
        });
    }
    ngOnChanges(changes) {
        if (changes?.isProgramSelected?.currentValue !==
            changes?.isProgramSelected?.previousValue) {
            this.isProgramSelected = changes.isProgramSelected.currentValue;
        }
        if (!this.isRCSelected) {
            if (this.currentWorkflow === 'AAR') {
                this.moreOptionsList.AAR.forEach((ele) => {
                    // if(ele.code === 'ASSURANCE') {
                    //   ele.checked = false;
                    // }
                    if (ele.code === 'GRC_OBJECTS') {
                        ele.checked = false;
                        ele.isDisabled = true;
                    }
                });
            }
            else {
                this.moreOptionsList.CAR.forEach((ele) => {
                    // if(ele.code === 'ASSURANCE') {
                    //   ele.checked = false;
                    // }
                    if (['REQUIRES_AUDIT', 'GRC_OBJECTS'].includes(ele.code)) {
                        ele.checked = false;
                    }
                });
            }
        }
        else {
            if (this.currentWorkflow === 'AAR') {
                this.moreOptionsList.AAR.forEach((ele) => {
                    // if(ele.code === 'ASSURANCE') {
                    //   ele.checked = false;
                    // }
                    if (ele.code === 'GRC_OBJECTS') {
                        ele.isDisabled = false;
                    }
                });
            }
            else {
                this.moreOptionsList.CAR.forEach((ele) => {
                    // if(ele.code === 'ASSURANCE') {
                    //   ele.isDisabled = false;
                    // }
                    if (['REQUIRES_AUDIT', 'GRC_OBJECTS'].includes(ele.code)) {
                        ele.isDisabled = false;
                    }
                });
            }
        }
        this.checkGRCAttributes(this.isAttributesAvailable);
    }
    checkGRCAttributes(value) {
        this.moreOptionsList.GRC.forEach((ele, index) => {
            if (ele.code === 'ATTRIBUTES') {
                ele.isDisabled = !value;
                if (!value) {
                    ele.checked = !value;
                    this.selectMoreOption(ele, index);
                }
            }
            if (ele.code === 'LINK_PROGRAM') {
                ele.isDisabled = !this.isRCSelected;
            }
            if (ele.code === 'LINK_RISK_CATEGORIES_RISKS') {
                ele.isDisabled = !this.isRCSelected;
            }
        });
    }
    ngOnInit() {
        this.featureflagrole = this.allowedFeature?.isFeatureEnabled('ff_role_improvements');
        this.ff_rc_listing = this.allowedFeature.isFeatureEnabled('ff_rc_listing');
        this.ff_rc_listing
            ? (this.permissionText = 'Permissions')
            : (this.permissionText = 'Permission Group(S)');
        this.moreOptionsList.CAPR[0].name = this.permissionText;
        this.moreOptionsList.CAPR[0].tooltipTitle = this.permissionText;
        this.moreOptionsList.CAPR[1].tooltipMessage = this.featureflagrole
            ? `Owners are responsible for managing a Program. Only Owners can make changes to a Program and the responsibilities that are linked with the Program.<br>
    The <b>Key Power User </b> and all <b>Power Users</b>  will be selected as the Owners of a Program by default.
    `
            : `Owners are responsible for managing a Program. Only Owners can make changes to a Program and the responsibilities that are linked with the Program.<br>
    The <b>Key Admin</b> and all <b>Admin</b> users will be selected as the Owners of a Program by default.
    `;
        if (this.allowedFeature?.isFeatureEnabled('ff_program_simplify')) {
            this.moreOptionsList.CAPR[0].tooltipMessage = `${this.permissionText} let you specify the users that can be “Owners” of a Program.`;
        }
        else {
            this.moreOptionsList.CAPR[0].tooltipMessage = `${this.permissionText} let you specify the users that can be “Owners” and “Approvers” of a Program.`;
        }
        const index = this.moreOptionsList.CAR.findIndex((ele) => ele.code === 'CHECKPOINTS');
        this.moreOptionsList.CAR[index].hidden =
            this.isEditMode === false ? true : false;
        const ProgramIndex = this.moreOptionsList.CAR.findIndex((ele) => ele.code === 'PROGRAM');
        if (ProgramIndex > -1) {
            this.moreOptionsList.CAR[ProgramIndex].isDisabled = this.isEditMode;
        }
        this.programSimplifyFlag =
            this.allowedFeature?.isFeatureEnabled('ff_program_simplify') ?? true;
    }
    selectMoreOption(event, index) {
        if (this.currentWorkflow === 'CAR' &&
            event.code === 'CHECKPOINTS_NEW' &&
            this.moreOptionsList[this.currentWorkflow][index]?.checked) {
            event['checkpoint_new'] = true;
        }
        else if (this.moreOptionsList[this.currentWorkflow]?.length > index) {
            event['checkpoint_new'] = false;
            this.moreOptionsList[this.currentWorkflow][index]['checked'] =
                !event.checked;
        }
        this.selectedOption.emit(event);
    }
    populate(evt) {
        if (this.currentWorkflow) {
            this.moreOptionsList[this.currentWorkflow].forEach((element) => {
                if (evt.includes(element.code)) {
                    element.checked = true;
                }
                else {
                    element.checked = false;
                }
                if (evt.includes('CHECKPOINTS_NEW')) {
                    if (element.code === 'CHECKPOINTS') {
                        element.isDisabled = true;
                    }
                    if (element.code === 'ASSESSMENT') {
                        element.isDisabled = true;
                    }
                }
                if (evt.includes('ASSESSMENT')) {
                    if (element.code === 'CHECKPOINTS_NEW') {
                        element.isDisabled = true;
                    }
                    if (element.code === 'CHECKPOINTS') {
                        element.isDisabled = false;
                    }
                }
                if (evt.includes('CHECKPOINTS')) {
                    if (element.code === 'CHECKPOINTS_NEW') {
                        element.isDisabled = true;
                    }
                    if (element.code === 'ASSESSMENT') {
                        element.isDisabled = true;
                    }
                }
                if (evt.includes('PROGRAM')) {
                    if (element.code === 'PROGRAM' && this.isProgramSelected) {
                        element.isDisabled = true;
                    }
                }
            });
        }
    }
    hideElements(hiddenList) {
        if (this.currentWorkflow) {
            this.moreOptionsList[this.currentWorkflow].forEach((element) => {
                if (hiddenList.includes(element.code)) {
                    element.hidden = true;
                }
                else {
                    element.hidden = false;
                }
            });
        }
    }
    resetAll(workflowType) {
        if (this.moreOptionsList[workflowType]) {
            this.moreOptionsList[workflowType].forEach((element) => {
                element.checked = false;
            });
        }
    }
    updateProgramMoreOptions() {
        const code = [
            'PROGRAM_FREQUENCY',
            'SCOPE_CHANGES',
            'RC',
            'ASSIGNEES',
            'REVIEWER',
            'OVERSEER',
            'ASSESSMENT',
            'FORMATE_EVIDENCE',
        ];
        if (this.orgDetails?.hasProgramFullPermission &&
            this.allowedFeature.isFeatureEnabled('ff_program_simplify')) {
            this.moreOptionsList?.CAPR?.forEach((option) => {
                if (code?.includes(option.code)) {
                    option.hidden = false;
                }
            });
        }
        if (!this.allowedFeature.isFeatureEnabled('ff_program_simplify')) {
            code.push('APPROVER');
            this.moreOptionsList?.CAPR?.forEach((option) => {
                if (code?.includes(option.code)) {
                    option.hidden = false;
                }
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoreOptionComponent, deps: [{ token: ReportACaseService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: MoreOptionComponent, selector: "app-more-option", inputs: { currentWorkflow: "currentWorkflow", openedFrom: "openedFrom", isEditMode: "isEditMode", isRCSelected: "isRCSelected", isProgramSelected: "isProgramSelected", allowedFeature: "allowedFeature", getOrganizationDetails: ["orgDetailsData", "getOrganizationDetails"], isAttributesAvailable: "isAttributesAvailable" }, outputs: { selectedOption: "selectedOption" }, usesOnChanges: true, ngImport: i0, template: "<!-- <p>more-option works!</p> -->\n<div class=\"more-option\">\n  <div class=\"message-container\">\n    <img [src]=\"ASSETS.add_risk_more_option\" alt=\"\" />\n    <p *ngIf=\"currentWorkflow\">{{ placeholderTexts[currentWorkflow] }}</p>\n  </div>\n  <div class=\"more-options\">\n    <ul>\n      <!-- <div class=\"more-options-heading\" *ngIf=\"currentWorkflow ==='CAPR'\">PROGRAM SCOPE OPTIONS</div> -->\n      <ng-container\n        *ngFor=\"let data of moreOptionsList[currentWorkflow]; let i = index\"\n      >\n        <!-- <li *ngIf=\"!data.hidden\" [appTooltip]=\"data.isDisabled && !isRcSelected? 'This responsibility can be scheduled for an audit only after the Responsibility Center is selected.' : ''\" placement=\"right\" delay=\"0\" [tooltipMandatory]=\"data.isDisabled && !isRcSelected\">\n                    <button [class.active]=\"data.checked\" [disabled]=\"data.code === 'RC' && openedFrom === 'RISK_TREATMENT' && currentWorkflow === 'CAR' || (data.isDisabled && !isRCSelected)\" [class.disabled]=\"data.isDisabled && !isRCSelected\" (click)=\"data.checked = !data.checked; selectMoreOption(data)\"> -->\n\n        <li\n          *ngIf=\"!data.hidden\"\n          [appTooltip]=\"\n            data.isDisabled ||\n            (((data.code === 'RC' && !isRcSelected) ||\n              data.code === 'ATTRIBUTES') &&\n              data.isDisabled)\n              ? data?.disabledMessage\n              : ''\n          \"\n          placement=\"right\"\n          delay=\"0\"\n          [tooltipMandatory]=\"data.isDisabled\"\n          id=\"listdata\"\n        >\n          <button\n            [class.active]=\"data.checked\"\n            [disabled]=\"\n              (data.code === 'RC' &&\n                openedFrom === 'RISK_TREATMENT' &&\n                currentWorkflow === 'CAR') ||\n              data.isDisabled ||\n              (data.isDisabled && !isRCSelected)\n            \"\n            (click)=\"selectMoreOption(data, i)\"\n          >\n            <span *ngIf=\"!data.checked\" class=\"more-icon\">\n              <img [src]=\"data.imageUrl\" alt=\"\" />\n            </span>\n            <svg\n              *ngIf=\"data.checked\"\n              class=\"checkIcon\"\n              xmlns=\"http://www.w3.org/2000/svg\"\n              viewBox=\"0 0 52 52\"\n            >\n              <circle\n                class=\"checkIcon__circle\"\n                cx=\"26\"\n                cy=\"26\"\n                r=\"25\"\n                fill=\"none\"\n              />\n              <path\n                class=\"checkIcon__check\"\n                fill=\"none\"\n                d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n              />\n            </svg>\n            <span\n              class=\"value\"\n              [innerHTML]=\"data?.name\"\n              [appTooltip]=\"data?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [tooltipMandatory]=\"false\"\n            ></span>\n            <!-- <span *ngIf=\"data.code ==='CHECKPOINTS_NEW'\" class=\"checkpoint-version\"> V2.0</span> -->\n          </button>\n          <span\n            class=\"icon\"\n            *ngIf=\"data.tooltipMessage !== ''\"\n            libPopoverHover\n            (mouseover)=\"dataTooltip.popover()\"\n            (mouseleave)=\"dataTooltip.closePopover()\"\n            placement=\"right\"\n            ><i class=\"icons\">&#xe91f;</i></span\n          >\n          <popover-hover #dataTooltip>\n            <div class=\"vx-info-card\">\n              <div\n                class=\"vx-info-card-head\"\n                [innerHTML]=\"data.tooltipTitle\"\n              ></div>\n              <div\n                class=\"vx-info-card-body\"\n                [innerHTML]=\"data.tooltipMessage\"\n              ></div>\n            </div>\n          </popover-hover>\n        </li>\n        <div\n          class=\"more-options-heading vx-mt-2\"\n          *ngIf=\"currentWorkflow === 'CAPR' && i === 2\"\n        >\n          PROGRAM SCOPE OPTIONS\n        </div>\n      </ng-container>\n    </ul>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";::ng-deep .more-option{align-items:center;position:relative;padding:0;display:block;height:auto}::ng-deep .more-option .message-container{text-align:center;position:static;padding:0 0 20px;top:0;left:0;right:0}::ng-deep .more-option .message-container img{width:163px;margin-bottom:13px;display:inline-block}@media screen and (max-height: 900px){::ng-deep .more-option .message-container img{width:120px;margin-bottom:8px}}::ng-deep .more-option .message-container p{font-size:12px;font-weight:300;font-style:italic;color:#707070;margin:0;padding:0;line-height:18px}::ng-deep .more-option .more-options{display:block;background:#fff;margin-left:-38px;padding:20px 0 20px 16px;position:relative;width:calc(100% + 60px);border-radius:16px 0 0 16px}::ng-deep .more-option .more-options:before{content:\"\";position:absolute;left:0;top:-35px;width:16px;height:41px;border-right:26px solid #ffffff;border-bottom:8px solid transparent;border-bottom-right-radius:46px}::ng-deep .more-option .more-options:after{content:\"\";position:absolute;left:0;bottom:-35px;width:16px;height:41px;border-right:26px solid #ffffff;border-top:8px solid transparent;border-top-right-radius:46px}@media screen and (max-width: 2550px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1920px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1600px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1440px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1366px){::ng-deep .more-option .more-options{margin-top:0}}::ng-deep .more-option .more-options ul{padding:0 32px 0 0;margin:0;overflow-y:auto}::ng-deep .more-option .more-options ul::-webkit-scrollbar{width:0;background-color:transparent}::ng-deep .more-option .more-options ul::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb}::ng-deep .more-option .more-options ul .more-options-heading{color:#747576;font-size:11px;font-weight:500;text-transform:uppercase;margin-bottom:8px}::ng-deep .more-option .more-options ul li{position:relative;list-style:none;display:flex;align-items:center}::ng-deep .more-option .more-options ul li button{display:flex;outline:none;background:transparent;cursor:pointer;align-items:center;justify-content:flex-start;margin:0;width:100%;border:none;padding:4px 11px 4px 4px;border:1px solid #f1f1f1;border-radius:4px}::ng-deep .more-option .more-options ul li button.active{background:#fbfbfb}::ng-deep .more-option .more-options ul li button span.more-icon{height:32px;width:32px;display:flex;margin-right:12px;align-items:center;justify-content:center}::ng-deep .more-option .more-options ul li button img{width:100%}::ng-deep .more-option .more-options ul li button .checkIcon{width:24px;height:24px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin:4px 16px 4px 4px}::ng-deep .more-option .more-options ul li button .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .more-option .more-options ul li button .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .more-option .more-options ul li button span.value{line-height:18px;color:#161b2f;font-size:11px;font-weight:500;text-transform:uppercase;width:calc(100% - 72px);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:inline-block;text-align:left}::ng-deep .more-option .more-options ul li button span.value i.depreciation-icon{color:#e4b700}::ng-deep .more-option .more-options ul li button .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .more-option .more-options ul li button:disabled{background:#f8f8f8;pointer-events:none}::ng-deep .more-option .more-options ul li button:disabled span{opacity:.3}::ng-deep .more-option .more-options ul li+li{margin-top:8px}::ng-deep .more-option .more-options ul li .vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block}::ng-deep .more-option .more-options ul li .vx-info-card-head{font-size:13px;border-bottom:1px solid #dcdcdc;padding:8px 12px;font-weight:500;text-transform:none;color:#161b2f}::ng-deep .more-option .more-options ul li .vx-info-card-body{font-size:11px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}::ng-deep .more-option .more-options ul li span.icon{color:#1e5dd3;font-size:12px;line-height:12px;cursor:pointer;position:absolute;top:calc(50% - 6px);right:12px;height:12px;width:12px}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes animate{0%{transform:translate(281px)}to{transform:translate(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverHoverComponent, selector: "popover-hover" }, { kind: "directive", type: PopoverHoverDirective, selector: "[libPopoverHover]", inputs: ["placement"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoreOptionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-more-option', template: "<!-- <p>more-option works!</p> -->\n<div class=\"more-option\">\n  <div class=\"message-container\">\n    <img [src]=\"ASSETS.add_risk_more_option\" alt=\"\" />\n    <p *ngIf=\"currentWorkflow\">{{ placeholderTexts[currentWorkflow] }}</p>\n  </div>\n  <div class=\"more-options\">\n    <ul>\n      <!-- <div class=\"more-options-heading\" *ngIf=\"currentWorkflow ==='CAPR'\">PROGRAM SCOPE OPTIONS</div> -->\n      <ng-container\n        *ngFor=\"let data of moreOptionsList[currentWorkflow]; let i = index\"\n      >\n        <!-- <li *ngIf=\"!data.hidden\" [appTooltip]=\"data.isDisabled && !isRcSelected? 'This responsibility can be scheduled for an audit only after the Responsibility Center is selected.' : ''\" placement=\"right\" delay=\"0\" [tooltipMandatory]=\"data.isDisabled && !isRcSelected\">\n                    <button [class.active]=\"data.checked\" [disabled]=\"data.code === 'RC' && openedFrom === 'RISK_TREATMENT' && currentWorkflow === 'CAR' || (data.isDisabled && !isRCSelected)\" [class.disabled]=\"data.isDisabled && !isRCSelected\" (click)=\"data.checked = !data.checked; selectMoreOption(data)\"> -->\n\n        <li\n          *ngIf=\"!data.hidden\"\n          [appTooltip]=\"\n            data.isDisabled ||\n            (((data.code === 'RC' && !isRcSelected) ||\n              data.code === 'ATTRIBUTES') &&\n              data.isDisabled)\n              ? data?.disabledMessage\n              : ''\n          \"\n          placement=\"right\"\n          delay=\"0\"\n          [tooltipMandatory]=\"data.isDisabled\"\n          id=\"listdata\"\n        >\n          <button\n            [class.active]=\"data.checked\"\n            [disabled]=\"\n              (data.code === 'RC' &&\n                openedFrom === 'RISK_TREATMENT' &&\n                currentWorkflow === 'CAR') ||\n              data.isDisabled ||\n              (data.isDisabled && !isRCSelected)\n            \"\n            (click)=\"selectMoreOption(data, i)\"\n          >\n            <span *ngIf=\"!data.checked\" class=\"more-icon\">\n              <img [src]=\"data.imageUrl\" alt=\"\" />\n            </span>\n            <svg\n              *ngIf=\"data.checked\"\n              class=\"checkIcon\"\n              xmlns=\"http://www.w3.org/2000/svg\"\n              viewBox=\"0 0 52 52\"\n            >\n              <circle\n                class=\"checkIcon__circle\"\n                cx=\"26\"\n                cy=\"26\"\n                r=\"25\"\n                fill=\"none\"\n              />\n              <path\n                class=\"checkIcon__check\"\n                fill=\"none\"\n                d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n              />\n            </svg>\n            <span\n              class=\"value\"\n              [innerHTML]=\"data?.name\"\n              [appTooltip]=\"data?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              [tooltipMandatory]=\"false\"\n            ></span>\n            <!-- <span *ngIf=\"data.code ==='CHECKPOINTS_NEW'\" class=\"checkpoint-version\"> V2.0</span> -->\n          </button>\n          <span\n            class=\"icon\"\n            *ngIf=\"data.tooltipMessage !== ''\"\n            libPopoverHover\n            (mouseover)=\"dataTooltip.popover()\"\n            (mouseleave)=\"dataTooltip.closePopover()\"\n            placement=\"right\"\n            ><i class=\"icons\">&#xe91f;</i></span\n          >\n          <popover-hover #dataTooltip>\n            <div class=\"vx-info-card\">\n              <div\n                class=\"vx-info-card-head\"\n                [innerHTML]=\"data.tooltipTitle\"\n              ></div>\n              <div\n                class=\"vx-info-card-body\"\n                [innerHTML]=\"data.tooltipMessage\"\n              ></div>\n            </div>\n          </popover-hover>\n        </li>\n        <div\n          class=\"more-options-heading vx-mt-2\"\n          *ngIf=\"currentWorkflow === 'CAPR' && i === 2\"\n        >\n          PROGRAM SCOPE OPTIONS\n        </div>\n      </ng-container>\n    </ul>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";::ng-deep .more-option{align-items:center;position:relative;padding:0;display:block;height:auto}::ng-deep .more-option .message-container{text-align:center;position:static;padding:0 0 20px;top:0;left:0;right:0}::ng-deep .more-option .message-container img{width:163px;margin-bottom:13px;display:inline-block}@media screen and (max-height: 900px){::ng-deep .more-option .message-container img{width:120px;margin-bottom:8px}}::ng-deep .more-option .message-container p{font-size:12px;font-weight:300;font-style:italic;color:#707070;margin:0;padding:0;line-height:18px}::ng-deep .more-option .more-options{display:block;background:#fff;margin-left:-38px;padding:20px 0 20px 16px;position:relative;width:calc(100% + 60px);border-radius:16px 0 0 16px}::ng-deep .more-option .more-options:before{content:\"\";position:absolute;left:0;top:-35px;width:16px;height:41px;border-right:26px solid #ffffff;border-bottom:8px solid transparent;border-bottom-right-radius:46px}::ng-deep .more-option .more-options:after{content:\"\";position:absolute;left:0;bottom:-35px;width:16px;height:41px;border-right:26px solid #ffffff;border-top:8px solid transparent;border-top-right-radius:46px}@media screen and (max-width: 2550px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1920px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1600px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1440px){::ng-deep .more-option .more-options{margin-top:0}}@media screen and (max-width: 1366px){::ng-deep .more-option .more-options{margin-top:0}}::ng-deep .more-option .more-options ul{padding:0 32px 0 0;margin:0;overflow-y:auto}::ng-deep .more-option .more-options ul::-webkit-scrollbar{width:0;background-color:transparent}::ng-deep .more-option .more-options ul::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb}::ng-deep .more-option .more-options ul .more-options-heading{color:#747576;font-size:11px;font-weight:500;text-transform:uppercase;margin-bottom:8px}::ng-deep .more-option .more-options ul li{position:relative;list-style:none;display:flex;align-items:center}::ng-deep .more-option .more-options ul li button{display:flex;outline:none;background:transparent;cursor:pointer;align-items:center;justify-content:flex-start;margin:0;width:100%;border:none;padding:4px 11px 4px 4px;border:1px solid #f1f1f1;border-radius:4px}::ng-deep .more-option .more-options ul li button.active{background:#fbfbfb}::ng-deep .more-option .more-options ul li button span.more-icon{height:32px;width:32px;display:flex;margin-right:12px;align-items:center;justify-content:center}::ng-deep .more-option .more-options ul li button img{width:100%}::ng-deep .more-option .more-options ul li button .checkIcon{width:24px;height:24px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin:4px 16px 4px 4px}::ng-deep .more-option .more-options ul li button .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}::ng-deep .more-option .more-options ul li button .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}::ng-deep .more-option .more-options ul li button span.value{line-height:18px;color:#161b2f;font-size:11px;font-weight:500;text-transform:uppercase;width:calc(100% - 72px);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:inline-block;text-align:left}::ng-deep .more-option .more-options ul li button span.value i.depreciation-icon{color:#e4b700}::ng-deep .more-option .more-options ul li button .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .more-option .more-options ul li button:disabled{background:#f8f8f8;pointer-events:none}::ng-deep .more-option .more-options ul li button:disabled span{opacity:.3}::ng-deep .more-option .more-options ul li+li{margin-top:8px}::ng-deep .more-option .more-options ul li .vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block}::ng-deep .more-option .more-options ul li .vx-info-card-head{font-size:13px;border-bottom:1px solid #dcdcdc;padding:8px 12px;font-weight:500;text-transform:none;color:#161b2f}::ng-deep .more-option .more-options ul li .vx-info-card-body{font-size:11px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}::ng-deep .more-option .more-options ul li span.icon{color:#1e5dd3;font-size:12px;line-height:12px;cursor:pointer;position:absolute;top:calc(50% - 6px);right:12px;height:12px;width:12px}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}@keyframes animate{0%{transform:translate(281px)}to{transform:translate(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: ReportACaseService }]; }, propDecorators: { currentWorkflow: [{
                type: Input
            }], openedFrom: [{
                type: Input
            }], isEditMode: [{
                type: Input
            }], selectedOption: [{
                type: Output
            }], isRCSelected: [{
                type: Input
            }], isProgramSelected: [{
                type: Input
            }], allowedFeature: [{
                type: Input
            }], getOrganizationDetails: [{
                type: Input,
                args: ['orgDetailsData']
            }], isAttributesAvailable: [{
                type: Input
            }] } });

class FrequencyBulkService {
    constructor() { }
    shortHand_freqCal(frequency, day, month, year, dueDate, ongoingValues) {
        const monthNames = [
            { value: 1, month: 'Jan' },
            { value: 2, month: 'Feb' },
            { value: 3, month: 'Mar' },
            { value: 4, month: 'Apr' },
            { value: 5, month: 'May' },
            { value: 6, month: 'Jun' },
            { value: 7, month: 'Jul' },
            { value: 8, month: 'Aug' },
            { value: 9, month: 'Sep' },
            { value: 10, month: 'Oct' },
            { value: 11, month: 'Nov' },
            { value: 12, month: 'Dec' },
        ];
        let frequency_details;
        const date_value = new Date();
        if (month) {
            date_value?.setMonth(typeof month !== 'number' ? monthNames?.filter((x) => x?.month === month?.substring(0, 3))[0]?.value - 1 : month);
        }
        if (!year) {
            if (month?.includes("'")) {
                date_value?.setFullYear(20 + month?.split("'")[1]);
            }
        }
        else {
            date_value?.setFullYear(year);
        }
        if (day) {
            date_value?.setDate(day);
        }
        let quarterPattern = '~1,4,7,10~0';
        const firstHalfMonth = ['1', '2', '3', '4', '5', '6'];
        const secondHalfMonth = ['7', '8', '9', '10', '11', '12'];
        frequency = frequency?.toLowerCase();
        switch (date_value?.getMonth()) {
            case 0:
            case 3:
            case 6:
            case 9:
                quarterPattern = '~1,4,7,10~0';
                break;
            case 1:
            case 4:
            case 7:
            case 10:
                quarterPattern = '~2,5,8,11~0';
                break;
            case 2:
            case 5:
            case 8:
            case 11:
                quarterPattern = '~3,6,9,12~0';
                break;
        }
        const getDay = date_value?.getDay() === 0 ? 7 : date_value?.getDay();
        switch (frequency) {
            case 'every week':
                frequency_details = '2~' + getDay + '~0~1';
                break;
            case 'weekly':
                frequency_details = '2~' + getDay + '~0~1';
                break;
            case 'one time':
                frequency_details = '0~' + '' + date_value.getFullYear() + '~' + (date_value.getMonth() + 1) + '~' + date_value.getDate();
                break;
            case 'every day':
                frequency_details = '1~0~0~1';
                break;
            case 'daily':
                frequency_details = '1~0~0~1';
                break;
            case 'every alternate day':
                frequency_details = '1~0~0~2';
                break;
            case 'every 10 days':
                frequency_details = '1~0~0~10';
                break;
            case 'every 2 weeks':
                frequency_details = '2~' + getDay + '~0~2';
                break;
            case 'every fortnight':
                frequency_details = '1~' + getDay + '~0~14';
                break;
            case 'every 3 weeks':
                frequency_details = '2~' + getDay + '~0~3';
                break;
            case 'every month':
                frequency_details = '3~' + date_value.getDate() + '~1,2,3,4,5,6,7,8,9,10,11,12~0';
                break;
            case 'monthly':
                frequency_details = '3~' + date_value.getDate() + '~1,2,3,4,5,6,7,8,9,10,11,12~0';
                break;
            case 'every 45 days':
                frequency_details = '1~0~0~45';
                break;
            case 'every alternate month':
                frequency_details = '3~' + date_value.getDate() + '~' + ((date_value.getMonth() + 1) % 2 === 0 ? '2,4,6,8,10,12' : '1,3,5,7,9,11') + '~0';
                break;
            case 'every quarter':
                frequency_details = '7~' + date_value.getDate() + quarterPattern;
                break;
            case 'quarterly':
                frequency_details = '7~' + date_value.getDate() + quarterPattern;
                break;
            case 'every 120 days':
                frequency_details = '1~0~0~120';
                break;
            case 'half yearly':
                const index1 = firstHalfMonth.indexOf((date_value.getMonth() + 1).toString());
                const index2 = secondHalfMonth.indexOf((date_value.getMonth() + 1).toString());
                const pattern = index1 > -1 ? '~' + firstHalfMonth[index1] + ',' + secondHalfMonth[index1] + '~0' : '~' + firstHalfMonth[index2] + ',' + secondHalfMonth[index2] + '~0';
                frequency_details = '9~' + date_value.getDate() + pattern;
                break;
            case 'biannual':
                const biannualIndex = firstHalfMonth.indexOf((date_value.getMonth() + 1).toString());
                const biannualIndex1 = secondHalfMonth.indexOf((date_value.getMonth() + 1).toString());
                const biannualPattern = biannualIndex > -1 ? '~' + firstHalfMonth[biannualIndex] + ',' + secondHalfMonth[biannualIndex] + '~0' : '~' + firstHalfMonth[biannualIndex1] + ',' + secondHalfMonth[biannualIndex1] + '~0';
                frequency_details = '9~' + date_value.getDate() + biannualPattern;
                break;
            case 'annual':
            case 'yearly':
                frequency_details = '4~' + date_value.getDate() + '~' + (date_value.getMonth() + 1) + '~1';
                break;
            case 'every 2 years':
                frequency_details = '4~' + date_value.getDate() + '~' + (date_value.getMonth() + 1) + '~2';
                break;
            case 'every 3 years':
                frequency_details = '4~' + date_value.getDate() + '~' + (date_value.getMonth() + 1) + '~3';
                break;
            case 'every 4 years':
                frequency_details = '4~' + date_value.getDate() + '~' + (date_value.getMonth() + 1) + '~4';
                break;
            case 'every 5 years':
                frequency_details = '4~' + date_value.getDate() + '~' + (date_value.getMonth() + 1) + '~5';
                break;
            case 'every 10 years':
                frequency_details = '4~' + date_value.getDate() + '~' + (date_value.getMonth() + 1) + '~10';
                break;
            case 'ongoing':
                if (ongoingValues?.setReminder?.toLowerCase() === 'yes') {
                    frequency_details = '10~1~' + (ongoingValues?.frequencyReminder ? ongoingValues?.frequencyReminder?.toString() : '0') + '~0';
                }
                else {
                    frequency_details = '10~0~0~0';
                }
                break;
            case 'on completion of':
                frequency_details = '6~0~0~' + (dueDate ? dueDate?.toString() : '1');
                break;
            case 'onCompletion':
                frequency_details = '6~0~0~' + (dueDate ? dueDate?.toString() : '1');
                break;
            case 'to be decided later':
            default:
                frequency_details = '5~0~0~0';
        }
        return frequency_details;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyBulkService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyBulkService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrequencyBulkService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

const MULTIPLE_RISKS = {
    LINKED_GRC: 'Linked GRC Object(s)',
    GRC_ERROR_MESSAGE: 'The selected GRC object is not linked to the correct Responsibility Center. Therefore, this GRC object will not be associated with this risk.',
};

class BulkViewComponent {
    constructor() {
        this.loader = false;
        this.ffLinkedGrcObjects = false;
        this.submitRiskBulkUpload = new EventEmitter();
        this.cancel = new EventEmitter();
        this.finalRisks = 0;
        this.showCompleteAssessmentButton = false;
        this.LINKED_GRC = MULTIPLE_RISKS.LINKED_GRC;
        this.GRC_ERROR_MESSAGE = MULTIPLE_RISKS.GRC_ERROR_MESSAGE;
    }
    ngOnChanges() {
        if (this.riskBulkUpload) {
            this.finalRisks = 0;
            this.riskBulkUpload.risks.forEach((risk) => {
                if (risk.isValid) {
                    this.finalRisks += 1;
                }
            });
        }
        this.riskBulkUpload.risks.forEach((risk) => {
            if (this.riskBulkUpload?.weightFactors?.length == 4) {
                if (risk?.likelihood && risk?.impact) {
                    this.showCompleteAssessmentButton = true;
                }
            }
            else if (this.riskBulkUpload?.weightFactors?.length == 5) {
                if (risk?.likelihood &&
                    risk?.impact &&
                    (risk?.velocity || risk?.vulnerability)) {
                    this.showCompleteAssessmentButton = true;
                }
            }
            else if (this.riskBulkUpload?.weightFactors?.length == 6) {
                if (risk?.likelihood &&
                    risk?.impact &&
                    risk?.velocity &&
                    risk?.vulnerability) {
                    this.showCompleteAssessmentButton = true;
                }
            }
        });
    }
    submit(completeAssessment) {
        this.submitRiskBulkUpload.emit(completeAssessment);
    }
    close() {
        this.cancel.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BulkViewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: BulkViewComponent, selector: "app-bulk-view", inputs: { riskBulkUpload: "riskBulkUpload", templateInfo: "templateInfo", fileName: "fileName", assessmentDaysEnable: "assessmentDaysEnable", defaultOwner: "defaultOwner", loader: "loader", ffLinkedGrcObjects: "ffLinkedGrcObjects" }, outputs: { submitRiskBulkUpload: "submitRiskBulkUpload", cancel: "cancel" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"bulk-view\">\n  <div class=\"bulk-view-head\">\n    <h2 class=\"bulk-view-title\">\n      {{ fileName }}\n    </h2>\n  </div>\n  <div class=\"bulk-view-body\">\n    <div class=\"exel-view\">\n      <div class=\"exel-view-row head\">\n        <div class=\"exel-view-column sl-no\">#</div>\n        <div\n          class=\"exel-view-column\"\n          [class.two-column]=\"heading && i === 5\"\n          *ngFor=\"let heading of riskBulkUpload?.header; let i = index\"\n          [class.large]=\"heading && heading.startsWith('Inherent')\"\n        >\n          <ng-container\n            *ngIf=\"heading && !heading.startsWith('Inherent') && !(i === 5)\"\n          >\n            {{ heading.includes(\"*\") ? heading.replace(\"*\", \"\") : heading }}\n            <span *ngIf=\"heading.includes('*')\" class=\"required\">*</span>\n          </ng-container>\n          <ng-container *ngIf=\"heading && heading.startsWith('Inherent')\">\n            <div class=\"exel-view-row\">\n              <div class=\"exel-view-column large\">Inherent Risk Assessment</div>\n            </div>\n            <div class=\"exel-view-row multi-column\">\n              <div\n                class=\"exel-view-column\"\n                *ngFor=\"\n                  let weightAgeFactor of riskBulkUpload.weightFactors\n                    | slice : 2\n                \"\n              >\n                {{ weightAgeFactor }}\n              </div>\n            </div>\n          </ng-container>\n          <ng-container *ngIf=\"heading && i === 5\">\n            <div class=\"exel-view-row\">\n              <div class=\"exel-view-column large\">\n                {{ heading.includes(\"*\") ? heading.replace(\"*\", \"\") : heading }}\n                <span *ngIf=\"heading.includes('*')\" class=\"required\">*</span>\n              </div>\n            </div>\n            <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n              <div\n                class=\"exel-view-column\"\n                *ngFor=\"\n                  let weightAgeFactor of riskBulkUpload?.weightFactors\n                    | slice : 0 : 2\n                \"\n              >\n                {{\n                  weightAgeFactor.includes(\"*\")\n                    ? weightAgeFactor.replace(\"*\", \"\")\n                    : weightAgeFactor\n                }}\n                <span *ngIf=\"weightAgeFactor.includes('*')\" class=\"required\"\n                  >*</span\n                >\n              </div>\n            </div>\n          </ng-container>\n        </div>\n      </div>\n      <div\n        class=\"exel-view-row\"\n        *ngFor=\"let risk of riskBulkUpload.risks; let i = index\"\n      >\n        <div class=\"exel-view-column sl-no\" [class.error]=\"!risk.isValid\">\n          {{ i + 1 }}\n        </div>\n\n        <div class=\"exel-view-column\" [class.error]=\"!risk?.riskName\">\n          {{ risk?.riskName }}\n          <i\n            *ngIf=\"!risk?.riskName\"\n            class=\"icons\"\n            [appTooltip]=\"'Risk Name must be populated.'\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n\n        <div class=\"exel-view-column\">{{ risk?.description }}</div>\n\n        <div class=\"exel-view-column\" [class.error]=\"!risk?.rcName\">\n          {{ risk?.rcName }}\n          <i\n            *ngIf=\"!risk?.rcName\"\n            class=\"icons\"\n            [appTooltip]=\"'Assign this risk to a Responsibility Center.'\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n        <div class=\"exel-view-column\">{{ risk?.owner }}</div>\n        <div class=\"exel-view-column\">{{ risk?.riskOwner }}</div>\n        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n          <div class=\"exel-view-column\" [class.error]=\"!risk?.isValidFrequency\">\n            {{ risk?.frequency }}\n            <i\n              *ngIf=\"!risk?.isValidFrequency\"\n              class=\"icons\"\n              [appTooltip]=\"\n                'Set a frequency for the completion of the inherent risk assessment.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <div class=\"exel-view-column\" [class.error]=\"false\">\n            {{ risk?.emailReminder }}\n          </div>\n        </div>\n        <div\n          class=\"exel-view-column\"\n          [class.error]=\"\n            (risk?.owner && risk?.owner == risk?.overseer) ||\n            (!risk?.owner && defaultOwner == risk?.overseer)\n          \"\n        >\n          {{ risk?.overseer }}\n          <i\n            *ngIf=\"\n              (risk?.owner && risk?.owner == risk?.overseer) ||\n              (!risk?.owner && defaultOwner == risk?.overseer)\n            \"\n            class=\"icons\"\n            [appTooltip]=\"\n              (risk?.owner\n                ? 'The Risk Owner cannot also be the'\n                : 'You cannot be a') +\n              ' Oversight of the risk. Select another user as the Oversight of this risk.'\n            \"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n        <div\n          *ngIf=\"\n            riskBulkUpload?.header &&\n            riskBulkUpload?.header?.includes('Recommended Mitigation Priority')\n          \"\n          class=\"exel-view-column\"\n        >\n          {{ risk?.mitigationPriority }}\n        </div>\n        <div class=\"exel-view-column\">{{ risk?.mitigationPlans }}</div>\n        <div class=\"exel-view-column\">{{ risk?.riskLabel }}</div>\n        <!-- <div class=\"exel-view-column\" *ngIf=\"assessmentDaysEnable\" [class.error]=\"!risk?.assessmentDeadLine\">\n                  {{risk?.assessmentDeadLine}}\n                  <i *ngIf=\"!risk?.assessmentDeadLine\" class=\"icons\"\n                      [appTooltip]=\"'Set a deadline for the completion of the inherent risk assessment.'\"\n                      placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=\"true\">&#xe932;</i>\n              </div> -->\n        <div class=\"exel-view-row multi-column\">\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.likelihood &&\n              !templateInfo?.likelihood.includes(risk?.likelihood)\n            \"\n          >\n            {{ risk?.likelihood }}\n          </div>\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.impact && !templateInfo?.impact.includes(risk?.impact)\n            \"\n          >\n            {{ risk?.impact }}\n          </div>\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.velocity && !templateInfo?.velocity.includes(risk?.velocity)\n            \"\n            *ngIf=\"riskBulkUpload?.weightFactors?.includes('Velocity')\"\n          >\n            {{ risk?.velocity }}\n          </div>\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.vulnerability &&\n              !templateInfo?.vulnerability.includes(risk?.vulnerability)\n            \"\n            *ngIf=\"riskBulkUpload?.weightFactors?.includes('Vulnerability')\"\n          >\n            {{ risk?.vulnerability }}\n          </div>\n        </div>\n        <div\n          *ngIf=\"\n            riskBulkUpload?.header &&\n            riskBulkUpload?.header?.includes(\n              'Do you want to apply the same risk ratings for all Responsibility Centers?'\n            )\n          \"\n          class=\"exel-view-column\"\n        >\n          {{ risk?.applySameRiskRating }}\n        </div>\n        <div\n          *ngIf=\"\n            ffLinkedGrcObjects &&\n            riskBulkUpload?.header &&\n            riskBulkUpload?.header?.includes(LINKED_GRC)\n          \"\n          class=\"exel-view-column\"\n          [class.error]=\"risk?.isGrcNotValid\"\n        >\n          {{ risk?.linkedGrcObject }}\n          <i\n            *ngIf=\"risk?.isGrcNotValid\"\n            class=\"icons\"\n            [appTooltip]=\"GRC_ERROR_MESSAGE\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n        <!-- <div class=\"exel-view-column\">{{risk?.customField1}}</div>\n              <div class=\"exel-view-column\">{{risk?.customField2}}</div> -->\n\n        <ng-container *ngIf=\"risk?.customTag\">\n          <div class=\"exel-view-column\" *ngFor=\"let tag of risk?.customTag\">\n            {{ tag?.custom_tag_value }}\n          </div>\n        </ng-container>\n      </div>\n    </div>\n    <div class=\"bulk-view-footer\">\n      <div class=\"left\">\n        <p>\n          {{ finalRisks }} out of {{ riskBulkUpload?.risks?.length }} risks will\n          be added to the Risk Register.\n        </p>\n      </div>\n      <div class=\"right\">\n        <button (click)=\"close()\">Cancel</button>\n        <button\n          (click)=\"submit(false)\"\n          [disabled]=\"finalRisks < 1\"\n          class=\"blue\"\n        >\n          Add Risks\n        </button>\n        <button\n          (click)=\"submit(true)\"\n          *ngIf=\"showCompleteAssessmentButton\"\n          [disabled]=\"finalRisks < 1\"\n          class=\"blue\"\n        >\n          Add Risks And Complete Assessment\n        </button>\n      </div>\n    </div>\n  </div>\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::-webkit-scrollbar-thumb,::-webkit-scrollbar-thumb:hover{background:#747576;border-radius:16px}::-webkit-scrollbar{height:15px}.bulk-view{position:fixed;inset:0;z-index:11}.bulk-view-head{height:60px;padding:20px 24px;background:#161b2f;display:flex;justify-content:flex-start}.bulk-view-title{font-size:16px;line-height:20px;font-weight:400;margin:0;color:#fff}.bulk-view-body{height:calc(100vh - 110px);overflow:auto;width:100%;background:#fff}.bulk-view-body .exel-view{display:block}.bulk-view-body .exel-view-row{display:flex;width:100%}.bulk-view-body .exel-view-row.head .exel-view-column{font-weight:500;font-size:14px;min-height:26px;background:#f1f1f1;padding:0}.bulk-view-body .exel-view-row.two-column .exel-view-column,.bulk-view-body .exel-view-row.three-column .exel-view-column,.bulk-view-body .exel-view-row.four-column .exel-view-column{min-width:250px!important}.bulk-view-body .exel-view-row.multi-column .exel-view-column{width:140px;min-width:140px}.bulk-view-body .exel-view-column{width:300px;min-width:300px;padding:0 10px;border-right:1px solid #dcdcdc;border-bottom:1px solid #dcdcdc;display:flex;align-items:center;justify-content:center;text-align:center;word-break:break-all;line-height:16px;font-size:12px;color:#161b2f;flex-wrap:wrap;position:relative}.bulk-view-body .exel-view-column.two-column{width:500px;min-width:500px!important}.bulk-view-body .exel-view-column.three-column{width:750px;min-width:750px!important}.bulk-view-body .exel-view-column.four-column{width:1000px;min-width:1000px!important}.bulk-view-body .exel-view-column i.icons{position:absolute;top:8px;right:10px;cursor:pointer;color:#d93b41}.bulk-view-body .exel-view-column.large{width:100%;min-width:auto}.bulk-view-body .exel-view-column.error{border:1px solid #eb2424}.bulk-view-body .exel-view-column span.required{color:#eb2424}.bulk-view-body .exel-view-column .exel-view-row .exel-view-column{width:100%}.bulk-view-body .exel-view-column.sl-no{background:#f1f1f1;width:60px;min-width:60px;min-height:30px;font-weight:400}.bulk-view-footer{height:50px;box-shadow:0 0 15px #1e5dd259;padding:10px 20px;position:fixed;width:100%;bottom:0;display:flex;align-items:center;justify-content:space-between;background:#fff}.bulk-view-footer .left p{color:#747576;font-size:13px;font-weight:500;margin:0}.bulk-view-footer .right button{font-size:12px;background:#fff;border:1px solid #dcdcdc;color:#747576;border-radius:2px;padding:8px 18px;cursor:pointer;text-transform:uppercase}.bulk-view-footer .right button+button{margin-left:4px}.bulk-view-footer .right button.blue{color:#fff;background:#1e5dd3}.bulk-view-footer .right button:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BulkViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-bulk-view', template: "<div class=\"bulk-view\">\n  <div class=\"bulk-view-head\">\n    <h2 class=\"bulk-view-title\">\n      {{ fileName }}\n    </h2>\n  </div>\n  <div class=\"bulk-view-body\">\n    <div class=\"exel-view\">\n      <div class=\"exel-view-row head\">\n        <div class=\"exel-view-column sl-no\">#</div>\n        <div\n          class=\"exel-view-column\"\n          [class.two-column]=\"heading && i === 5\"\n          *ngFor=\"let heading of riskBulkUpload?.header; let i = index\"\n          [class.large]=\"heading && heading.startsWith('Inherent')\"\n        >\n          <ng-container\n            *ngIf=\"heading && !heading.startsWith('Inherent') && !(i === 5)\"\n          >\n            {{ heading.includes(\"*\") ? heading.replace(\"*\", \"\") : heading }}\n            <span *ngIf=\"heading.includes('*')\" class=\"required\">*</span>\n          </ng-container>\n          <ng-container *ngIf=\"heading && heading.startsWith('Inherent')\">\n            <div class=\"exel-view-row\">\n              <div class=\"exel-view-column large\">Inherent Risk Assessment</div>\n            </div>\n            <div class=\"exel-view-row multi-column\">\n              <div\n                class=\"exel-view-column\"\n                *ngFor=\"\n                  let weightAgeFactor of riskBulkUpload.weightFactors\n                    | slice : 2\n                \"\n              >\n                {{ weightAgeFactor }}\n              </div>\n            </div>\n          </ng-container>\n          <ng-container *ngIf=\"heading && i === 5\">\n            <div class=\"exel-view-row\">\n              <div class=\"exel-view-column large\">\n                {{ heading.includes(\"*\") ? heading.replace(\"*\", \"\") : heading }}\n                <span *ngIf=\"heading.includes('*')\" class=\"required\">*</span>\n              </div>\n            </div>\n            <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n              <div\n                class=\"exel-view-column\"\n                *ngFor=\"\n                  let weightAgeFactor of riskBulkUpload?.weightFactors\n                    | slice : 0 : 2\n                \"\n              >\n                {{\n                  weightAgeFactor.includes(\"*\")\n                    ? weightAgeFactor.replace(\"*\", \"\")\n                    : weightAgeFactor\n                }}\n                <span *ngIf=\"weightAgeFactor.includes('*')\" class=\"required\"\n                  >*</span\n                >\n              </div>\n            </div>\n          </ng-container>\n        </div>\n      </div>\n      <div\n        class=\"exel-view-row\"\n        *ngFor=\"let risk of riskBulkUpload.risks; let i = index\"\n      >\n        <div class=\"exel-view-column sl-no\" [class.error]=\"!risk.isValid\">\n          {{ i + 1 }}\n        </div>\n\n        <div class=\"exel-view-column\" [class.error]=\"!risk?.riskName\">\n          {{ risk?.riskName }}\n          <i\n            *ngIf=\"!risk?.riskName\"\n            class=\"icons\"\n            [appTooltip]=\"'Risk Name must be populated.'\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n\n        <div class=\"exel-view-column\">{{ risk?.description }}</div>\n\n        <div class=\"exel-view-column\" [class.error]=\"!risk?.rcName\">\n          {{ risk?.rcName }}\n          <i\n            *ngIf=\"!risk?.rcName\"\n            class=\"icons\"\n            [appTooltip]=\"'Assign this risk to a Responsibility Center.'\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n        <div class=\"exel-view-column\">{{ risk?.owner }}</div>\n        <div class=\"exel-view-column\">{{ risk?.riskOwner }}</div>\n        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n          <div class=\"exel-view-column\" [class.error]=\"!risk?.isValidFrequency\">\n            {{ risk?.frequency }}\n            <i\n              *ngIf=\"!risk?.isValidFrequency\"\n              class=\"icons\"\n              [appTooltip]=\"\n                'Set a frequency for the completion of the inherent risk assessment.'\n              \"\n              placement=\"bottom-right\"\n              type=\"white\"\n              delay=\"0\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <div class=\"exel-view-column\" [class.error]=\"false\">\n            {{ risk?.emailReminder }}\n          </div>\n        </div>\n        <div\n          class=\"exel-view-column\"\n          [class.error]=\"\n            (risk?.owner && risk?.owner == risk?.overseer) ||\n            (!risk?.owner && defaultOwner == risk?.overseer)\n          \"\n        >\n          {{ risk?.overseer }}\n          <i\n            *ngIf=\"\n              (risk?.owner && risk?.owner == risk?.overseer) ||\n              (!risk?.owner && defaultOwner == risk?.overseer)\n            \"\n            class=\"icons\"\n            [appTooltip]=\"\n              (risk?.owner\n                ? 'The Risk Owner cannot also be the'\n                : 'You cannot be a') +\n              ' Oversight of the risk. Select another user as the Oversight of this risk.'\n            \"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n        <div\n          *ngIf=\"\n            riskBulkUpload?.header &&\n            riskBulkUpload?.header?.includes('Recommended Mitigation Priority')\n          \"\n          class=\"exel-view-column\"\n        >\n          {{ risk?.mitigationPriority }}\n        </div>\n        <div class=\"exel-view-column\">{{ risk?.mitigationPlans }}</div>\n        <div class=\"exel-view-column\">{{ risk?.riskLabel }}</div>\n        <!-- <div class=\"exel-view-column\" *ngIf=\"assessmentDaysEnable\" [class.error]=\"!risk?.assessmentDeadLine\">\n                  {{risk?.assessmentDeadLine}}\n                  <i *ngIf=\"!risk?.assessmentDeadLine\" class=\"icons\"\n                      [appTooltip]=\"'Set a deadline for the completion of the inherent risk assessment.'\"\n                      placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=\"true\">&#xe932;</i>\n              </div> -->\n        <div class=\"exel-view-row multi-column\">\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.likelihood &&\n              !templateInfo?.likelihood.includes(risk?.likelihood)\n            \"\n          >\n            {{ risk?.likelihood }}\n          </div>\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.impact && !templateInfo?.impact.includes(risk?.impact)\n            \"\n          >\n            {{ risk?.impact }}\n          </div>\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.velocity && !templateInfo?.velocity.includes(risk?.velocity)\n            \"\n            *ngIf=\"riskBulkUpload?.weightFactors?.includes('Velocity')\"\n          >\n            {{ risk?.velocity }}\n          </div>\n          <div\n            class=\"exel-view-column\"\n            [class.error]=\"\n              risk?.vulnerability &&\n              !templateInfo?.vulnerability.includes(risk?.vulnerability)\n            \"\n            *ngIf=\"riskBulkUpload?.weightFactors?.includes('Vulnerability')\"\n          >\n            {{ risk?.vulnerability }}\n          </div>\n        </div>\n        <div\n          *ngIf=\"\n            riskBulkUpload?.header &&\n            riskBulkUpload?.header?.includes(\n              'Do you want to apply the same risk ratings for all Responsibility Centers?'\n            )\n          \"\n          class=\"exel-view-column\"\n        >\n          {{ risk?.applySameRiskRating }}\n        </div>\n        <div\n          *ngIf=\"\n            ffLinkedGrcObjects &&\n            riskBulkUpload?.header &&\n            riskBulkUpload?.header?.includes(LINKED_GRC)\n          \"\n          class=\"exel-view-column\"\n          [class.error]=\"risk?.isGrcNotValid\"\n        >\n          {{ risk?.linkedGrcObject }}\n          <i\n            *ngIf=\"risk?.isGrcNotValid\"\n            class=\"icons\"\n            [appTooltip]=\"GRC_ERROR_MESSAGE\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          >\n        </div>\n        <!-- <div class=\"exel-view-column\">{{risk?.customField1}}</div>\n              <div class=\"exel-view-column\">{{risk?.customField2}}</div> -->\n\n        <ng-container *ngIf=\"risk?.customTag\">\n          <div class=\"exel-view-column\" *ngFor=\"let tag of risk?.customTag\">\n            {{ tag?.custom_tag_value }}\n          </div>\n        </ng-container>\n      </div>\n    </div>\n    <div class=\"bulk-view-footer\">\n      <div class=\"left\">\n        <p>\n          {{ finalRisks }} out of {{ riskBulkUpload?.risks?.length }} risks will\n          be added to the Risk Register.\n        </p>\n      </div>\n      <div class=\"right\">\n        <button (click)=\"close()\">Cancel</button>\n        <button\n          (click)=\"submit(false)\"\n          [disabled]=\"finalRisks < 1\"\n          class=\"blue\"\n        >\n          Add Risks\n        </button>\n        <button\n          (click)=\"submit(true)\"\n          *ngIf=\"showCompleteAssessmentButton\"\n          [disabled]=\"finalRisks < 1\"\n          class=\"blue\"\n        >\n          Add Risks And Complete Assessment\n        </button>\n      </div>\n    </div>\n  </div>\n  <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::-webkit-scrollbar-thumb,::-webkit-scrollbar-thumb:hover{background:#747576;border-radius:16px}::-webkit-scrollbar{height:15px}.bulk-view{position:fixed;inset:0;z-index:11}.bulk-view-head{height:60px;padding:20px 24px;background:#161b2f;display:flex;justify-content:flex-start}.bulk-view-title{font-size:16px;line-height:20px;font-weight:400;margin:0;color:#fff}.bulk-view-body{height:calc(100vh - 110px);overflow:auto;width:100%;background:#fff}.bulk-view-body .exel-view{display:block}.bulk-view-body .exel-view-row{display:flex;width:100%}.bulk-view-body .exel-view-row.head .exel-view-column{font-weight:500;font-size:14px;min-height:26px;background:#f1f1f1;padding:0}.bulk-view-body .exel-view-row.two-column .exel-view-column,.bulk-view-body .exel-view-row.three-column .exel-view-column,.bulk-view-body .exel-view-row.four-column .exel-view-column{min-width:250px!important}.bulk-view-body .exel-view-row.multi-column .exel-view-column{width:140px;min-width:140px}.bulk-view-body .exel-view-column{width:300px;min-width:300px;padding:0 10px;border-right:1px solid #dcdcdc;border-bottom:1px solid #dcdcdc;display:flex;align-items:center;justify-content:center;text-align:center;word-break:break-all;line-height:16px;font-size:12px;color:#161b2f;flex-wrap:wrap;position:relative}.bulk-view-body .exel-view-column.two-column{width:500px;min-width:500px!important}.bulk-view-body .exel-view-column.three-column{width:750px;min-width:750px!important}.bulk-view-body .exel-view-column.four-column{width:1000px;min-width:1000px!important}.bulk-view-body .exel-view-column i.icons{position:absolute;top:8px;right:10px;cursor:pointer;color:#d93b41}.bulk-view-body .exel-view-column.large{width:100%;min-width:auto}.bulk-view-body .exel-view-column.error{border:1px solid #eb2424}.bulk-view-body .exel-view-column span.required{color:#eb2424}.bulk-view-body .exel-view-column .exel-view-row .exel-view-column{width:100%}.bulk-view-body .exel-view-column.sl-no{background:#f1f1f1;width:60px;min-width:60px;min-height:30px;font-weight:400}.bulk-view-footer{height:50px;box-shadow:0 0 15px #1e5dd259;padding:10px 20px;position:fixed;width:100%;bottom:0;display:flex;align-items:center;justify-content:space-between;background:#fff}.bulk-view-footer .left p{color:#747576;font-size:13px;font-weight:500;margin:0}.bulk-view-footer .right button{font-size:12px;background:#fff;border:1px solid #dcdcdc;color:#747576;border-radius:2px;padding:8px 18px;cursor:pointer;text-transform:uppercase}.bulk-view-footer .right button+button{margin-left:4px}.bulk-view-footer .right button.blue{color:#fff;background:#1e5dd3}.bulk-view-footer .right button:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}\n"] }]
        }], propDecorators: { riskBulkUpload: [{
                type: Input
            }], templateInfo: [{
                type: Input
            }], fileName: [{
                type: Input
            }], assessmentDaysEnable: [{
                type: Input
            }], defaultOwner: [{
                type: Input
            }], loader: [{
                type: Input
            }], ffLinkedGrcObjects: [{
                type: Input
            }], submitRiskBulkUpload: [{
                type: Output
            }], cancel: [{
                type: Output
            }] } });

class AddMultipleRiskComponent {
    constructor(riskService, authService, snackBar, frequencyService, iframeService) {
        this.riskService = riskService;
        this.authService = authService;
        this.snackBar = snackBar;
        this.frequencyService = frequencyService;
        this.iframeService = iframeService;
        this.ASSETS = ASSETS;
        this.pickerChanged = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.categoryList = {
            strategic: {
                name: 'STRATEGIC',
                data: [],
            },
            operational: {
                name: 'OPERATIONAL',
                data: [],
            },
            compliance: {
                name: 'COMPLIANCE',
                data: [],
            },
            others: {
                name: 'OTHERS',
                data: [],
            },
        };
        this.category = {
            type: 'strategic',
            selectedCategory: '',
        };
        this.riskBulkUpload = {
            header: [],
            weightFactors: [],
            risks: [],
        };
        this.templateInfo = {
            memberId: '',
            categoryId: '',
            ownerList: [],
            rcList: [],
            grcList: [],
            mitigationList: [],
            likelihood: [],
            impact: [],
            velocity: [],
            vulnerability: [],
        };
        this.isLoader = false;
        this.showCategoryList = false;
        this.templateDownloaded = false;
        this.downloadInProgress = false;
        this.loader = false;
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.showExcel = false;
        this.memberId = 0;
        this.organizationId = 0;
        this.errorMessage = ' invalid file error';
        this.downloadStatus = 'NOT_DOWNLOADING';
        this.downloadPercent = 0;
        this.ffLinkedGrcObjects = false;
        this.selectedRcId = 0;
        this.selectedRcName = '';
        this.selectedGrcName = '';
        this.columnWiseData = [];
        this.smileyMessage = `You're All Set! We're uploading the risks. The risk owners will be notified once the risks have been uploaded.`;
        this.actionButtons = [
            { buttonText: 'Add More Risks', class: 'white-btn', id: 'addMore' },
            { buttonText: 'View Risk', class: 'blue-btn', id: 'viewRisks' },
        ];
        this.showSmiley = false;
        this.member_obj_id = '';
        this.defaultOwner = '';
        this.frequencyType = [
            'weekly',
            'monthly',
            'quarterly',
            'biannual',
            'annual',
            'one time',
        ];
        this.getColumnWiseData = (data) => {
            return data[0].map((_, colIndex) => data.map((row) => row[colIndex]));
        };
    }
    ngOnChanges(changes) { }
    ngOnInit() {
        this.pickerChanged.emit(false);
        this.getSettingsInfo();
        this.organizationId = this.authService.getOrganizationId();
        this.memberId = this.authService.getMemberId();
        this.member_obj_id = this.authService.getUserDetails()._id;
        this.setFeatureFlag();
    }
    getCategoryList() {
        this.showCategoryList = true;
        this.pickerChanged.emit(true);
        this.isLoader = true;
        this.riskService.getCategoryList().subscribe((res) => {
            this.isLoader = false;
            this.categoryList.strategic.data = res.strategic_arr;
            this.categoryList.operational.data = res.operational_arr;
            this.categoryList.compliance.data = res.compliance_arr;
            this.categoryList.others.data = res.others_arr;
        }, (err) => {
            console.error(err);
            this.isLoader = false;
        });
    }
    saveSelectedCategory(category) {
        if (this.category?.selectedCategory?.category_id !=
            category?.selectedCategory?.category_id) {
            this.downloadStatus = 'NOT_DOWNLOADING';
        }
        this.showCategoryList = false;
        this.category = category;
        const reference = document.querySelector('#scrollReference');
        if (reference) {
            reference.scrollIntoView({ behavior: 'smooth', block: 'center' });
        }
        this.reset();
    }
    removeCategory() {
        this.category = {
            type: 'strategic',
            selectedCategory: '',
        };
        this.reset();
    }
    getSettingsInfo() {
        this.riskService.getRiskSettingDetails().subscribe((res) => {
            this.settingsInfo = res;
        }, (err) => {
            console.error(err);
        });
    }
    triggerBrowseFile() {
        const getFile = document.getElementById('fileInput');
        if (getFile) {
            getFile.click();
        }
    }
    uploadedFile(event) {
        try {
            this.riskBulkUpload = {
                header: [],
                weightFactors: [],
                risks: [],
            };
            this.templateInfo = {
                memberId: '',
                categoryId: '',
                ownerList: [],
                rcList: [],
                grcList: [],
                mitigationList: [],
                likelihood: [],
                impact: [],
                velocity: [],
                vulnerability: [],
            };
            const reference = document.querySelector('#scrollReference');
            if (reference) {
                reference.scrollIntoView({ behavior: 'smooth', block: 'center' });
            }
            this.isFileEmpty = false;
            this.isWrongFile = false;
            this.isWrongFormat = false;
            this.fileName = event.target.files[0].name;
            const target = event.target;
            // tslint:disable-next-line: curly
            if (target.files.length !== 1)
                throw new Error('Cannot use multiple files');
            const reader = new FileReader();
            reader.onload = (e) => {
                const bstr = e.target.result;
                const wb = XLSX.read(bstr, { type: 'binary' });
                const wsname = wb.SheetNames[0];
                const wsname1 = wb.SheetNames[1];
                const ws = wb.Sheets[wsname];
                const tempData = wb.Sheets[wsname1];
                this.data = XLSX.utils.sheet_to_json(ws, {
                    header: 1,
                });
                const tData = XLSX.utils.sheet_to_json(tempData, { header: 1 });
                const tempList = tData.filter((dataElement) => dataElement.length > 0);
                this.columnWiseData = this.getColumnWiseData(tData);
                this.templateInfo.memberId = tempList[0][27];
                this.templateInfo.categoryId = tempList[0][26];
                this.riskBulkUpload.header = cloneDeep(this.data[4].filter((dataElement) => dataElement.length > 0));
                this.riskBulkUpload.weightFactors = cloneDeep(this.data[5].filter((weightFactor) => weightFactor.length > 0));
                tempList.forEach((element) => {
                    if (element[8]) {
                        const member = {
                            name: element[8],
                            member_id: element[9],
                        };
                        this.templateInfo.ownerList.push(member);
                    }
                    if (element[2]) {
                        const mitigation = {
                            mitigationName: element[2],
                            mitigation_id: element[3],
                        };
                        this.templateInfo.mitigationList.push(mitigation);
                    }
                    if (element[6]) {
                        const rc = {
                            rcName: element[6],
                            rc_id: element[7],
                            owner_ids: element[11],
                        };
                        this.templateInfo.rcList.push(rc);
                    }
                    if (element[12]) {
                        this.templateInfo?.likelihood.push(element[12]);
                    }
                    if (element[13]) {
                        this.templateInfo?.impact.push(element[13]);
                    }
                    if (this.riskBulkUpload?.weightFactors?.includes('Velocity') &&
                        element[14]) {
                        this.templateInfo.velocity.push(element[14]);
                    }
                    if (this.riskBulkUpload?.weightFactors?.includes('Vulnerability') &&
                        element[15]) {
                        this.templateInfo.vulnerability.push(element[15]);
                    }
                });
                if (this.fileName.substr(-5) !== '.xlsx') {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template file for Risk Category:' +
                            this.category.selectedCategory.category_name +
                            ' RETRY';
                    this.isWrongFile = true;
                    return;
                }
                if (this.riskBulkUpload.header[0] !==
                    'What risk would you like to manage?*') {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template file for Risk Category:' +
                            this.category.selectedCategory.category_name +
                            ' RETRY';
                    this.isWrongFile = false;
                    this.isWrongFormat = true;
                    return;
                }
                this.data = this.data?.slice(7);
                const defaultOwner = this.templateInfo?.ownerList?.findIndex((ele) => ele?.member_id == this.memberId);
                if (defaultOwner != -1) {
                    this.defaultOwner = this.templateInfo.ownerList[defaultOwner].name;
                }
                else {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template file for Risk Category:' +
                            this.category.selectedCategory.category_name +
                            ' RETRY';
                    this.isWrongFile = true;
                    return;
                }
                if (this.member_obj_id != this.templateInfo.memberId ||
                    this.category.selectedCategory._id != this.templateInfo.categoryId) {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template file for Risk Category:' +
                            this.category.selectedCategory.category_name +
                            ' RETRY';
                    this.isWrongFile = true;
                    return;
                }
                const isEmpty = this.checkEmptyFile();
                if (isEmpty) {
                    this.errorMessage =
                        'You have uploaded a blank template. Please add details for all mandatory fields. RETRY';
                    this.isFileEmpty = true;
                    this.isWrongFile = false;
                    this.isWrongFormat = false;
                    return;
                }
                else {
                    if (this.riskBulkUpload.header[6] === 'Risk Assessment Deadline*') {
                        this.assessmentDeadLine = true;
                    }
                    else {
                        this.assessmentDeadLine = false;
                    }
                    this.isFileEmpty = false;
                    this.isWrongFile = false;
                    this.isWrongFormat = false;
                    this.fileValue = '';
                }
                const riskData = this.data.filter((dataElement) => dataElement.length > 0);
                riskData.forEach((risk, index) => {
                    // const obj: any = {
                    //   riskName: risk[0] ?? '',
                    //   description: risk[1] ?? '',
                    //   rcName: risk[2] ?? '',
                    //   owner: risk[3] ?? '',
                    //   mitigationPriority: risk[4] ?? '',
                    //   overseer: risk[5] ?? '',
                    //   isValid: this.checkValidity(risk),
                    // }
                    // if (this.assessmentDeadLine) {
                    //   obj.assessmentDeadLine = risk[6] ?? '';
                    //   obj.likelihood = risk[7] ?? '';
                    //   obj.impact = risk[8] ?? '';
                    //   if (this.riskBulkUpload.weightFactors.length == 3) {
                    //     obj.velocity = risk[9] ?? '';
                    //   }
                    //   if (this.riskBulkUpload.weightFactors.length == 4) {
                    //     obj.velocity = risk[9] ?? '';
                    //     obj.vulnerability = risk[10] ?? '';
                    //   }
                    //   const customTags: any = [];
                    //   this.category.selectedCategory.custom_tag.forEach((tag: any, index: any) => {
                    //     if (tag) {
                    //       const cTag = {
                    //         custom_tag_value: risk[7 + this.riskBulkUpload.weightFactors.length + index] ?? '',
                    //         custom_tag_name: tag.tagName
                    //       };
                    //       customTags.push(cTag);
                    //     }
                    //   });
                    //   obj.customTag = customTags;
                    // } else {
                    //   obj.likelihood = risk[6] ?? '';
                    //   obj.impact = risk[7] ?? '';
                    //   if (this.riskBulkUpload.weightFactors.length == 3) {
                    //     obj.velocity = risk[8] ?? '';
                    //   }
                    //   if (this.riskBulkUpload.weightFactors.length == 4) {
                    //     obj.velocity = risk[8] ?? '';
                    //     obj.vulnerability = risk[9] ?? '';
                    //   }
                    //   const customTags: any = [];
                    //   this.category.selectedCategory.custom_tag.forEach((tag: any, index: any) => {
                    //     if (tag) {
                    //       const cTag = {
                    //         custom_tag_value: risk[6 + this.riskBulkUpload.weightFactors.length + index] ?? '',
                    //         custom_tag_name: tag.tagName
                    //       };
                    //       customTags.push(cTag);
                    //     }
                    //   });
                    //   obj.customTag = customTags;
                    // }
                    let obj = this.setRiskDetails(risk);
                    if (obj?.likelihood &&
                        !this.templateInfo?.likelihood.includes(obj?.likelihood)) {
                        obj.isValid = false;
                    }
                    if (obj?.impact && !this.templateInfo?.impact.includes(obj?.impact)) {
                        obj.isValid = false;
                    }
                    if (obj?.velocity &&
                        !this.templateInfo?.velocity.includes(obj?.velocity)) {
                        obj.isValid = false;
                    }
                    if (obj?.vulnerability &&
                        !this.templateInfo?.vulnerability.includes(obj?.vulnerability)) {
                        obj.isValid = false;
                    }
                    obj.isGrcNotValid = this.validateGrcObjectForRc(obj.rcName, obj.linkedGrcObject);
                    if (obj.isGrcNotValid) {
                        obj.isValid = false;
                    }
                    this.riskBulkUpload.risks.push(obj);
                });
                this.getGrcList();
                this.isFileEmpty = false;
                this.isWrongFile = false;
                this.isWrongFormat = false;
                this.showExcel = true;
            };
            reader.readAsBinaryString(target?.files[0]);
        }
        catch (e) {
            console.error(e);
        }
    }
    checkEmptyFile() {
        let isEmpty = false;
        this.data = this.data.filter((dataElement) => dataElement.length > 0);
        if (this.data.length < 1) {
            isEmpty = true;
        }
        return isEmpty;
    }
    checkValidity(risk) {
        const re = /&nbsp;|<br>/g;
        let trimmedName = risk[0] ? risk[0].toString().replace(re, '').trim() : '';
        trimmedName = trimmedName.replace(/  +/g, ' ');
        // || (this.assessmentDeadLine && (!risk[6]))
        if (!trimmedName ||
            (risk[3] && risk[3] == risk[7]) ||
            (!risk[3] && this.defaultOwner == risk[7]) ||
            !risk[2] ||
            !this.frequencyType?.includes(risk[5]?.toLowerCase())) {
            return false;
        }
        else {
            return true;
        }
    }
    downloadTemplate() {
        this.downloadStatus = 'DOWNLOADING';
        this.downloadPercent = 0;
        const today = new Date().toISOString().split('T');
        const downloadDate = today[0];
        const fileName = 'VComply - Risk Module - Add Multiple Risks - ' +
            this.category?.selectedCategory?.category_name +
            ' - ' +
            downloadDate +
            '.xlsx';
        this.riskService
            .downloadTemplate(this.category.selectedCategory._id)
            .subscribe((data) => {
            if (data.loaded) {
                this.downloadPercent = 100 * (data.loaded / data.total);
            }
            if (data.body) {
                setTimeout(() => {
                    this.downloadStatus = this.riskService.downLoadFile(data.body, 'application/xlsx', fileName);
                }, 1500);
            }
        }, (error) => {
            console.error(error);
            this.downloadStatus = 'DOWNLOADED';
        });
    }
    submitRiskBulkUpload(completeAssessment) {
        this.loader = true;
        const payload = [];
        this.riskBulkUpload.risks.forEach((risk) => {
            let frequencyValue = '';
            if (risk?.frequency.toLowerCase() === 'one time') {
                const date = new Date();
                date.setDate(date.getDate() + 1);
                frequencyValue =
                    '0~' +
                        '' +
                        date.getFullYear() +
                        '~' +
                        (date.getMonth() + 1) +
                        '~' +
                        date.getDate();
            }
            else {
                frequencyValue = this.frequencyService.shortHand_freqCal(risk?.frequency);
            }
            if (risk.isValid) {
                const obj = {
                    title: risk?.riskName,
                    description: risk?.description,
                    category_custom_tag: risk?.customTag,
                    assessment_deadline_enable: this.settingsInfo?.assessment_deadline_enable,
                    owner: risk?.owner
                        ? this.returnIds(risk?.owner, 'owner')
                        : this.returnIds(this.defaultOwner, 'owner'),
                    risk_owner: risk?.riskOwner,
                    category: this.category?.selectedCategory?.category_id
                        ? [this.category?.selectedCategory?.category_id]
                        : [],
                    manage_oversight: this.returnIds(risk?.overseer, 'overseer'),
                    rc_id: this.returnIds(risk?.rcName, 'rc_id'),
                    head_ids: this.returnIds(risk?.rcName, 'rc_owner_ids'),
                    linked_GRC_ids: this.ffLinkedGrcObjects
                        ? this.returnIds(risk?.linkedGrcObject, 'grc_id')
                        : [],
                    rating_arr: [
                        risk?.likelihood ? risk?.likelihood.split(' - ')[1] : 0,
                        risk?.impact ? risk?.impact.split(' - ')[1] : 0,
                        risk?.velocity ? risk?.velocity.split(' - ')[1] : 0,
                        risk?.vulnerability ? risk?.vulnerability.split(' - ')[1] : 0,
                    ],
                    member_id: this.memberId,
                    organisation_id: this.organizationId,
                    risk_progress_flag: 1,
                    IfAssessmentDone: 0,
                    workshop_id: '',
                    complete_assessment: completeAssessment ? 1 : 0,
                    mitigation: this.returnIds(risk?.mitigationPriority, 'mitigation'),
                    weightage_enable: this.settingsInfo?.weightage_enable,
                    treatment_type: this.settingsInfo?.treatment_criteria,
                    weightage_details: this.settingsInfo?.weightage_details,
                    weightage_set_by: this.settingsInfo?.weightage_set_by,
                    weightage_str: [
                        this.settingsInfo?.weightage_details?.impact.value,
                        this.settingsInfo?.weightage_details?.likelihood.value,
                        this.settingsInfo?.weightage_details?.velocity.value,
                        this.settingsInfo?.weightage_details?.vulnerability.value,
                    ],
                    // assessment_deadline_set_by: this.settingsInfo?.assessment_deadline_set_by, //check1 not appearing
                    assessment_deadline_set_by: this.settingsInfo?.assessment_deadline_set_by ?? this.memberId,
                    assessment_deadline_days: this.settingsInfo
                        ?.assessment_deadline_enable
                        ? this.settingsInfo?.assessment_deadline_days
                        : risk?.assessmentDeadLine,
                    frequency_details: {
                        frequency: frequencyValue,
                        started_at: this.changeTimeZone(new Date()) ?? moment$1().format('YYYY-MM-DD'),
                        frequency_time: '11:00 pm',
                        remind_before_days: risk?.emailReminder
                            ? risk?.emailReminder
                            : this.setDefaultEmailReminderValue(risk?.frequency),
                    },
                    risk_label: this.setRiskLabel(risk?.riskLabel),
                    mitigation_plan_recommendation: risk?.mitigationPlans ?? '',
                    sameRiskRatingsForAllRC: risk?.applySameRiskRating ?? 'No',
                };
                payload.push(obj);
            }
        });
        this.riskService.addBulkRisk(payload).subscribe((res) => {
            this.loader = false;
            this.showExcel = false;
            this.showSmiley = true;
            this.submitWorkflow();
            this.riskData = res;
        }, (err) => {
            console.error(err);
            this.loader = false;
            this.showExcel = false;
            this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
        });
    }
    submitWorkflow() {
        const message = { type: 'submit' };
        const targetOrigin = this.getOrigin();
        window.parent.postMessage(message, targetOrigin);
    }
    getOrigin() {
        return window.location.origin;
    }
    returnIds(item, key) {
        switch (key) {
            case 'rc_id':
                const rcId = [];
                this.templateInfo.rcList.forEach((rc_element) => {
                    if (rc_element.rcName == item) {
                        rcId.push(rc_element.rc_id);
                    }
                });
                return rcId;
                break;
            case 'rc_owner_ids':
                let owner_ids = [];
                this.templateInfo.rcList.forEach((headerIds) => {
                    if (headerIds.rcName == item && headerIds.owner_ids) {
                        owner_ids = headerIds.owner_ids.includes(',')
                            ? headerIds.owner_ids.split(',').map(Number)
                            : [Number(headerIds.owner_ids)];
                    }
                });
                return owner_ids;
                break;
            case 'owner':
                const ownerId = [];
                this.templateInfo.ownerList.forEach((element) => {
                    if (element.name == item) {
                        ownerId.push(element.member_id);
                    }
                });
                return ownerId;
                break;
            case 'overseer':
                const overseerId = [];
                this.templateInfo.ownerList.forEach((os_element) => {
                    if (os_element.name == item) {
                        overseerId.push(os_element.member_id);
                    }
                });
                return overseerId;
                break;
            case 'mitigation':
                let mitigationId = 0;
                this.templateInfo.mitigationList.forEach((mitigation) => {
                    if (mitigation.mitigationName == item) {
                        mitigationId = mitigation.mitigation_id;
                    }
                });
                return mitigationId;
                break;
            case 'grc_id':
                const grcId = [];
                const grcElement = this.templateInfo.grcList.find((grc_element) => grc_element.grcName === item);
                return grcElement ? [grcElement.grcId] : [];
                break;
        }
    }
    reset() {
        this.riskBulkUpload = {
            header: [],
            weightFactors: [],
            risks: [],
        };
        this.templateInfo = {
            memberId: '',
            categoryId: '',
            ownerList: [],
            rcList: [],
            mitigationList: [],
            grcList: [],
        };
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.fileName = undefined;
        this.data = undefined;
        this.assessmentDeadLine = undefined;
        this.showExcel = false;
        this.showSmiley = false;
    }
    action(event) {
        switch (event) {
            case 'addMore':
                this.category = {
                    type: 'strategic',
                    selectedCategory: '',
                };
                this.downloadStatus = 'NOT_DOWNLOADING';
                this.reset();
                break;
            case 'viewRisks':
                this.viewRisks();
                break;
        }
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.closeWorkflow.emit({ evt: this.riskData, confirm: false });
    }
    viewRisks() {
        this.disconnectRefresh.emit(false);
        let url;
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host;
        }
        else {
            url = 'https://' + window.location.host;
        }
        if (window.location.host.startsWith('localhost')) {
            url += '/risk-register';
        }
        else {
            url += '/risk/risk-register';
        }
        this.iframeService.redirectIfInIframe(url, true);
    }
    /**
     * It takes an array of strings and returns an object with the array values as properties.
     * </code>
     * @param {any} risk - any = [
     * @returns [
     *   {
     *     "riskName": "",
     *     "description": "",
     *     "rcName": "",
     *     "owner": "",
     *     "frequency": "",
     *     "emailReminder": "",
     *     "overseer": "",
     *     "isValid": false,
     *     "mitigationPriority": "",
     */
    setRiskDetails(risk) {
        let obj;
        obj = {
            riskName: risk[0] ?? '',
            description: risk[1] ?? '',
            rcName: risk[2] ?? '',
            owner: risk[3] ?? '',
            riskOwner: risk[4] ?? '',
            frequency: risk[5] ?? '',
            emailReminder: risk[6],
            overseer: risk[7] ?? '',
            isValid: this.checkValidity(risk),
            isGrcNotValid: this.validateGrcObjectForRc(this.selectedRcName, this.selectedGrcName),
        };
        let index = 8;
        if (this.riskBulkUpload?.header?.includes('Recommended Mitigation Priority')) {
            obj['mitigationPriority'] = risk[index] ?? '';
            index++;
        }
        obj['mitigationPlans'] = risk[index] ?? '';
        index++;
        obj['riskLabel'] = risk[index] ?? '';
        index++;
        obj['likelihood'] = risk[index] ?? '';
        index++;
        obj['impact'] = risk[index] ?? '';
        index++;
        if (this.riskBulkUpload?.weightFactors?.includes('Velocity')) {
            obj['velocity'] = risk[index] ?? '';
            index++;
        }
        if (this.riskBulkUpload?.weightFactors?.includes('Vulnerability')) {
            obj['vulnerability'] = risk[index] ?? '';
            index++;
        }
        if (this.riskBulkUpload?.header?.includes('Do you want to apply the same risk ratings for all Responsibility Centers?')) {
            obj['applySameRiskRating'] = risk[index] ?? '';
            index++;
        }
        if (this.riskBulkUpload?.header?.includes('Linked GRC Object(s)')) {
            obj['linkedGrcObject'] = risk[index] ?? '';
            index++;
        }
        const customTags = [];
        this.category?.selectedCategory?.custom_tag?.forEach((tag, i) => {
            if (tag) {
                const cTag = {
                    custom_tag_value: risk[index + i] ?? '',
                    custom_tag_name: tag.tagName,
                };
                customTags.push(cTag);
            }
        });
        obj['customTag'] = customTags;
        obj['isValidFrequency'] = this.frequencyType?.includes(obj?.frequency?.toLowerCase());
        return obj;
    }
    /**
     * If the frequencyType is weekly, return 2, if it's monthly, return 7, if it's quarterly, return 7,
     * if it's biannual, return 30, if it's annual, return 30, if it's one time, return 15, otherwise
     * return 0.
     * @param {string} [frequencyType] - string - the frequency type of the reminder
     * @returns The return value is the number of days before the event that the reminder should be sent.
     */
    setDefaultEmailReminderValue(frequencyType) {
        switch (frequencyType?.toLowerCase()) {
            case 'weekly':
                return 2;
            case 'monthly':
                return 7;
            case 'quarterly':
                return 7;
            case 'biannual':
                return 30;
            case 'annual':
                return 30;
            case 'one time':
                return 15;
            default:
                return 0;
        }
    }
    /**
     * If the label is 'new risk', return 1, if the label is 'emerging/rapidly changing risks', return 2,
     * otherwise return 1
     * @param {string} [label] - the label of the risk
     * @returns The return value is the value of the last expression in the function.
     */
    setRiskLabel(label) {
        switch (label?.toLowerCase()) {
            case 'newly identified risks':
                return 1;
            case 'rapidly changing risks':
                return 2;
            default:
                return 1;
        }
    }
    /**
     * "If the date is a number, convert it to a date object, then create a new date object with the
     * timezone set to the user's timezone, then return the date in the format YYYY-MM-DD."
     * </code>
     * @param {any} date - any - the date you want to change the timezone of
     * @returns The date is being returned in the timezone of the user.
     */
    changeTimeZone(date) {
        if (typeof date === 'number') {
            date = new Date(date);
        }
        const invDate = new Date(date.toLocaleString('en-US', {
            timeZone: this.authService.userDetails?.timezone,
        }));
        return moment$1(invDate).format('YYYY-MM-DD');
    }
    setFeatureFlag() {
        this.ffLinkedGrcObjects = this.feature.isFeatureEnabled('ff_grc_v1');
    }
    validateGrcObjectForRc(selectedRc, selectedGrc) {
        for (let colIndex = 29; colIndex < this.columnWiseData.length; colIndex += 2) {
            const rcNamesColumn = this.columnWiseData[colIndex];
            if (rcNamesColumn[0] === selectedRc) {
                return !rcNamesColumn
                    .slice(1)
                    .some((grc) => grc === selectedGrc || !selectedGrc);
            }
        }
        return false;
    }
    getGrcList() {
        this.riskBulkUpload?.risks.forEach((risk) => {
            this.selectedGrcName = risk?.linkedGrcObject;
            this.selectedRcName = risk?.rcName;
            this.selectedRcId = this.returnIds(risk.rcName, 'rc_id');
            if (this.selectedRcId) {
                for (let colIndex = 29; colIndex < this.columnWiseData.length; colIndex += 2) {
                    const rcNamesColumn = this.columnWiseData[colIndex];
                    const rcIdsColumn = this.columnWiseData[colIndex + 1];
                    if (rcIdsColumn[0] == this.selectedRcId) {
                        for (let i = 1; i < rcNamesColumn.length; i++) {
                            const grcName = rcNamesColumn[i];
                            const grcId = rcIdsColumn[i];
                            if (grcName && grcId) {
                                const grc = {
                                    grcName: grcName,
                                    grcId: grcId,
                                };
                                this.templateInfo.grcList.push(grc);
                            }
                        }
                    }
                }
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleRiskComponent, deps: [{ token: AddRiskService }, { token: AuthService$1 }, { token: SnackBarService }, { token: FrequencyBulkService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddMultipleRiskComponent, selector: "app-add-multiple-risk", inputs: { feature: "feature" }, outputs: { pickerChanged: "pickerChanged", populateOption: "populateOption", closeWorkflow: "closeWorkflow", disconnectRefresh: "disconnectRefresh" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"add-multiple-risk\">\n  <!-- main container starts here -->\n  <div class=\"add-multiple-risk-body\" [class.disabled]=\"showCategoryList\">\n    <div class=\"add-multiple-risk-container\">\n      <div class=\"image\">\n        <img [src]=\"ASSETS.spreadsheet_multiple_category\" alt=\"\" />\n      </div>\n\n      <h4 id=\"multipleRisk\">\n        You can add multiple risk in just three easy steps\n      </h4>\n      <ul class=\"list\">\n        <li>Select a Risk Category.</li>\n        <li>Download the template and fill in the details.</li>\n        <li>Upload the .xlsx file and you're good to go!</li>\n      </ul>\n      <div class=\"vx-form-group\" [attr.id]=\"'scrollReference'\">\n        <label class=\"vx-control-panel\"\n          >Risk Category <span class=\"required\">*</span></label\n        >\n        <div class=\"select\" *ngIf=\"!category.selectedCategory\">\n          <input\n            type=\"text\"\n            (click)=\"getCategoryList()\"\n            placeholder=\"Select Risk Category\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"category.selectedCategory\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"removeCategory()\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"category?.selectedCategory?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ category?.selectedCategory?.category_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <span class=\"chip\">\n                            <i class=\"icons\" (click)=\"removeCategory()\">&#xe90d;</i>\n                            {{category?.selectedCategory?.category_name}}</span>\n                    </div> -->\n          <button\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"showCategoryList = true; pickerChanged.emit(true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <ng-container *ngIf=\"category?.selectedCategory\">\n        <button\n          *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n          class=\"download\"\n          type=\"button\"\n          (click)=\"downloadTemplate()\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Template\n        </button>\n        <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate()\">Retry Download</button>\n          </div>\n        </ng-container>\n      </ng-container>\n      <p\n        class=\"error-message\"\n        *ngIf=\"isWrongFile || isWrongFormat || isFileEmpty\"\n      >\n        {{ errorMessage }}\n      </p>\n    </div>\n  </div>\n</div>\n<app-category-list\n  *ngIf=\"showCategoryList\"\n  [categoryList]=\"categoryList\"\n  [selectedCategory]=\"category\"\n  (saveSelectedCategory)=\"\n    saveSelectedCategory($event); pickerChanged.emit(false)\n  \"\n  (closeCategoriesList)=\"showCategoryList = false; pickerChanged.emit(false)\"\n  [loaded]=\"!isLoader\"\n>\n</app-category-list>\n<app-bulk-view\n  *ngIf=\"showExcel\"\n  [riskBulkUpload]=\"riskBulkUpload\"\n  [templateInfo]=\"templateInfo\"\n  [defaultOwner]=\"defaultOwner\"\n  [fileName]=\"fileName\"\n  [loader]=\"loader\"\n  [assessmentDaysEnable]=\"assessmentDeadLine\"\n  (submitRiskBulkUpload)=\"submitRiskBulkUpload($event)\"\n  (cancel)=\"reset()\"\n  [ffLinkedGrcObjects]=\"ffLinkedGrcObjects\"\n></app-bulk-view>\n\n<input\n  type=\"file\"\n  [(ngModel)]=\"fileValue\"\n  id=\"fileInput\"\n  class=\"hidden-input\"\n  (change)=\"uploadedFile($event)\"\n/>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-body.disabled{pointer-events:none;filter:grayscale(1)}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{color:#565a6f;font-size:19px;font-weight:400;line-height:28px;margin:0 0 20px}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .add-multiple-risk-container button.download i{margin-right:8px}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: LineLoaderComponent, selector: "app-line-loader", inputs: ["loaderHeight"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "component", type: CategoryListComponent, selector: "app-category-list", inputs: ["categoryList", "selectedCategory", "loaded"], outputs: ["saveSelectedCategory", "closeList", "closeCategoriesList"] }, { kind: "component", type: BulkViewComponent, selector: "app-bulk-view", inputs: ["riskBulkUpload", "templateInfo", "fileName", "assessmentDaysEnable", "defaultOwner", "loader", "ffLinkedGrcObjects"], outputs: ["submitRiskBulkUpload", "cancel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleRiskComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-add-multiple-risk', template: "<div class=\"add-multiple-risk\">\n  <!-- main container starts here -->\n  <div class=\"add-multiple-risk-body\" [class.disabled]=\"showCategoryList\">\n    <div class=\"add-multiple-risk-container\">\n      <div class=\"image\">\n        <img [src]=\"ASSETS.spreadsheet_multiple_category\" alt=\"\" />\n      </div>\n\n      <h4 id=\"multipleRisk\">\n        You can add multiple risk in just three easy steps\n      </h4>\n      <ul class=\"list\">\n        <li>Select a Risk Category.</li>\n        <li>Download the template and fill in the details.</li>\n        <li>Upload the .xlsx file and you're good to go!</li>\n      </ul>\n      <div class=\"vx-form-group\" [attr.id]=\"'scrollReference'\">\n        <label class=\"vx-control-panel\"\n          >Risk Category <span class=\"required\">*</span></label\n        >\n        <div class=\"select\" *ngIf=\"!category.selectedCategory\">\n          <input\n            type=\"text\"\n            (click)=\"getCategoryList()\"\n            placeholder=\"Select Risk Category\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"category.selectedCategory\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"removeCategory()\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"category?.selectedCategory?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ category?.selectedCategory?.category_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <span class=\"chip\">\n                            <i class=\"icons\" (click)=\"removeCategory()\">&#xe90d;</i>\n                            {{category?.selectedCategory?.category_name}}</span>\n                    </div> -->\n          <button\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"showCategoryList = true; pickerChanged.emit(true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </div>\n      <ng-container *ngIf=\"category?.selectedCategory\">\n        <button\n          *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n          class=\"download\"\n          type=\"button\"\n          (click)=\"downloadTemplate()\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Template\n        </button>\n        <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate()\">Retry Download</button>\n          </div>\n        </ng-container>\n      </ng-container>\n      <p\n        class=\"error-message\"\n        *ngIf=\"isWrongFile || isWrongFormat || isFileEmpty\"\n      >\n        {{ errorMessage }}\n      </p>\n    </div>\n  </div>\n</div>\n<app-category-list\n  *ngIf=\"showCategoryList\"\n  [categoryList]=\"categoryList\"\n  [selectedCategory]=\"category\"\n  (saveSelectedCategory)=\"\n    saveSelectedCategory($event); pickerChanged.emit(false)\n  \"\n  (closeCategoriesList)=\"showCategoryList = false; pickerChanged.emit(false)\"\n  [loaded]=\"!isLoader\"\n>\n</app-category-list>\n<app-bulk-view\n  *ngIf=\"showExcel\"\n  [riskBulkUpload]=\"riskBulkUpload\"\n  [templateInfo]=\"templateInfo\"\n  [defaultOwner]=\"defaultOwner\"\n  [fileName]=\"fileName\"\n  [loader]=\"loader\"\n  [assessmentDaysEnable]=\"assessmentDeadLine\"\n  (submitRiskBulkUpload)=\"submitRiskBulkUpload($event)\"\n  (cancel)=\"reset()\"\n  [ffLinkedGrcObjects]=\"ffLinkedGrcObjects\"\n></app-bulk-view>\n\n<input\n  type=\"file\"\n  [(ngModel)]=\"fileValue\"\n  id=\"fileInput\"\n  class=\"hidden-input\"\n  (change)=\"uploadedFile($event)\"\n/>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-body.disabled{pointer-events:none;filter:grayscale(1)}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{color:#565a6f;font-size:19px;font-weight:400;line-height:28px;margin:0 0 20px}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .add-multiple-risk-container button.download i{margin-right:8px}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AddRiskService }, { type: AuthService$1 }, { type: SnackBarService }, { type: FrequencyBulkService }, { type: IframeService }]; }, propDecorators: { feature: [{
                type: Input
            }], pickerChanged: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }] } });

class ConfirmationAlertComponent {
    constructor() {
        this.message = '';
        this.config = { isVisible: false, isRedAlert: false };
        this.action = new EventEmitter();
    }
    ngOnInit() {
    }
    actionTaken(evt) {
        this.action.emit({ action: evt, payload: this.config });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ConfirmationAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ConfirmationAlertComponent, selector: "app-confirmation-alert", inputs: { message: "message", config: "config" }, outputs: { action: "action" }, ngImport: i0, template: "<!-- <p>confirmation-alert works!</p> -->\n<div class=\"confirmation-alert\" [class.warning-color]=\"config?.isRedAlert\">\n    <div class=\"confirmation-alert-top\" >\n        <span class=\"icon-block\">\n            <i class=\"icons\">&#xe930;</i>\n        </span>\n        <p class=\"text\" *ngIf=\"message\">{{message}}</p>\n    </div>\n    <div class=\"confirmation-alert-bottom\">\n        <p class=\"message\">Are you sure you would like to proceed?</p>\n        <div class=\"button-group\">\n          <ng-container *ngIf=\"false\">\n            <button class=\"outline\" type=\"button\" (click)=\"actionTaken('NO')\">NO</button>\n            <button class=\"fill\" type=\"button\" (click)=\"actionTaken('YES')\">Yes</button>\n          </ng-container>\n          <ng-container >\n            <button class=\"fill\" type=\"button\" (click)=\"actionTaken('NO')\">NO</button>\n            <button class=\"outline\" type=\"button\" (click)=\"actionTaken('YES')\">Yes</button>\n          </ng-container>\n\n        </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.confirmation-alert{display:block;position:absolute;z-index:1;right:0;bottom:0;left:0;background:#161b2f}.confirmation-alert-top{display:flex;align-items:center;justify-content:flex-start;padding:20px}.confirmation-alert.warning-color{background-color:#eb2424}.confirmation-alert.warning-color .confirmation-alert-bottom{border-top:1px solid #ffffff60;background-color:#eb2424}.confirmation-alert.warning-color .confirmation-alert-bottom button.fill{color:#eb2424}.confirmation-alert span.icon-block{height:36px;width:36px;border-radius:50%;background:#fff;border:1px solid #DCDCDC;display:flex;justify-content:center;align-items:center;margin-right:16px}.confirmation-alert span.icon-block i{color:#eb2424;font-size:12px}.confirmation-alert p.text{color:#fff;font-size:14px;font-weight:300;margin:0;width:calc(100% - 52px)}.confirmation-alert-bottom{display:flex;align-items:center;justify-content:space-between;padding:12px 12px 12px 20px;background:#282e48}.confirmation-alert-bottom .button-group{display:flex}.confirmation-alert-bottom p.message{font-size:14px;font-weight:500;margin:0;line-height:20px;color:#fff}.confirmation-alert button{height:24px;width:64px;border:1px solid #000;border-radius:2px;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}.confirmation-alert button+button{margin-left:4px}.confirmation-alert button.fill{background:#fff;color:#1e5dd3;border-color:#fff}.confirmation-alert button.outline{background:transparent;color:#fff;border-color:#fff}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ConfirmationAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-confirmation-alert', template: "<!-- <p>confirmation-alert works!</p> -->\n<div class=\"confirmation-alert\" [class.warning-color]=\"config?.isRedAlert\">\n    <div class=\"confirmation-alert-top\" >\n        <span class=\"icon-block\">\n            <i class=\"icons\">&#xe930;</i>\n        </span>\n        <p class=\"text\" *ngIf=\"message\">{{message}}</p>\n    </div>\n    <div class=\"confirmation-alert-bottom\">\n        <p class=\"message\">Are you sure you would like to proceed?</p>\n        <div class=\"button-group\">\n          <ng-container *ngIf=\"false\">\n            <button class=\"outline\" type=\"button\" (click)=\"actionTaken('NO')\">NO</button>\n            <button class=\"fill\" type=\"button\" (click)=\"actionTaken('YES')\">Yes</button>\n          </ng-container>\n          <ng-container >\n            <button class=\"fill\" type=\"button\" (click)=\"actionTaken('NO')\">NO</button>\n            <button class=\"outline\" type=\"button\" (click)=\"actionTaken('YES')\">Yes</button>\n          </ng-container>\n\n        </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.confirmation-alert{display:block;position:absolute;z-index:1;right:0;bottom:0;left:0;background:#161b2f}.confirmation-alert-top{display:flex;align-items:center;justify-content:flex-start;padding:20px}.confirmation-alert.warning-color{background-color:#eb2424}.confirmation-alert.warning-color .confirmation-alert-bottom{border-top:1px solid #ffffff60;background-color:#eb2424}.confirmation-alert.warning-color .confirmation-alert-bottom button.fill{color:#eb2424}.confirmation-alert span.icon-block{height:36px;width:36px;border-radius:50%;background:#fff;border:1px solid #DCDCDC;display:flex;justify-content:center;align-items:center;margin-right:16px}.confirmation-alert span.icon-block i{color:#eb2424;font-size:12px}.confirmation-alert p.text{color:#fff;font-size:14px;font-weight:300;margin:0;width:calc(100% - 52px)}.confirmation-alert-bottom{display:flex;align-items:center;justify-content:space-between;padding:12px 12px 12px 20px;background:#282e48}.confirmation-alert-bottom .button-group{display:flex}.confirmation-alert-bottom p.message{font-size:14px;font-weight:500;margin:0;line-height:20px;color:#fff}.confirmation-alert button{height:24px;width:64px;border:1px solid #000;border-radius:2px;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}.confirmation-alert button+button{margin-left:4px}.confirmation-alert button.fill{background:#fff;color:#1e5dd3;border-color:#fff}.confirmation-alert button.outline{background:transparent;color:#fff;border-color:#fff}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { message: [{
                type: Input
            }], config: [{
                type: Input
            }], action: [{
                type: Output
            }] } });

class WorkflowSurveyFormComponent {
    constructor() {
        this.ASSETS = ASSETS;
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Description',
        };
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowSurveyFormComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowSurveyFormComponent, selector: "app-workflow-survey-form", ngImport: i0, template: "<!-- <p>workflow-survey-form works!</p> -->\n<div class=\"workflow-survey-form\">\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.what\" alt=\"name\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          Survey Name <span class=\"required\">*</span>\n        </label>\n        <input type=\"text\" placeholder=\"Enter Survey name\" />\n        <vcomply-editor [editorConfig]=\"description\"></vcomply-editor>\n        <app-cs-switch\n          >Do you want this Survey to be available on the portal?\n          <i class=\"icons\">&#xe932;</i></app-cs-switch\n        >\n        <app-cs-switch\n          >Accept suggestions <i class=\"icons\">&#xe932;</i></app-cs-switch\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img s[rc=\"ASSETS.risk_category\" alt=\"\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Survey Category </label>\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Select a category for this policy\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\">\n          <div class=\"chip-container\">\n            <span class=\"chip\"><i class=\"icons\">&#xe90d;</i>Test Category</span>\n          </div>\n          <button class=\"edit\" type=\"button\">\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Custom tag 1</label>\n        <input type=\"text\" placeholder=\"Custom tag 1\" />\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.what\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          Approval workflow<span class=\"required\">*</span>\n          <button class=\"button\">Create a new Approval Workflow</button>\n        </label>\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Select approval workflow for this policy\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\">\n          <div class=\"workflow-label\">\n            <p class=\"title\">Level 1</p>\n            <p class=\"description\">Sequential</p>\n          </div>\n          <div class=\"chip-container\">\n            <span class=\"chip\"><i class=\"icons\">&#xe90d;</i>Test Category</span>\n          </div>\n          <button class=\"edit\" type=\"button\">\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <label class=\"vx-control-panel\"\n          ><button class=\"button\">+ Add More Levels</button></label\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.case_assignees\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Who? <span class=\"required\">*</span></label\n        >\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Who is responsible for completing the responsibility?\"\n            readonly\n          />\n        </div>\n        <app-cs-switch\n          >THIS POLICY REQUIRES E-SIGNATURE FOR ATTESTATION\n          <i class=\"icons\">&#xe91f;</i></app-cs-switch\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.when\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >When? <span class=\"required\">*</span></label\n        >\n        <div class=\"select button-sec\">\n          <input\n            type=\"text\"\n            placeholder=\"How often does this policy need to be attested?\"\n            readonly\n          />\n          <button type=\"button\">Set A frequency</button>\n        </div>\n\n        <label class=\"vx-control-panel\">Effective Date</label>\n        <input\n          type=\"text\"\n          placeholder=\"How often does the responsibility occur?\"\n        />\n      </div>\n    </div>\n  </div>\n\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.risks\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Risk Classification</label>\n        <div class=\"classification\">\n          <label class=\"low\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>LOW</span>\n          </label>\n          <label class=\"low-med\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>LOW-Medium</span>\n          </label>\n          <label class=\"med-high\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>Medium-High</span>\n          </label>\n          <label class=\"high\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>High</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.responsibility_center\" alt=\"\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\"\n                xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Responsibility Center</label>\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Select Responsibility Center(s)\"\n            readonly\n          />\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.reviewer\" alt=\"\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\"\n                xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Reviewer </label>\n        <div class=\"select\">\n          <input type=\"text\" placeholder=\"Select a Reviewer\" readonly />\n        </div>\n        <app-cs-radio\n          >ALL SELECTED PERSONS NEED TO COMPLETE THIS\n          <i class=\"icons\">&#xe91f;</i></app-cs-radio\n        >\n        <app-cs-radio\n          >ANY SELECTED PERSON CAN COMPLETE THIS\n          <i class=\"icons\">&#xe91f;</i></app-cs-radio\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\">\n      <img [src]=\"ASSETS.format_evidence\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"> Associated Documents </label>\n\n        <div class=\"tab-group\" [class.uploaded]=\"false\">\n          <label class=\"upload-file\">\n            <img [src]=\"ASSETS.upload\" alt=\"\" class=\"image\" />\n            <div class=\"browse\">\n              <span>Drop your files here /</span>\n              <span class=\"label\">Browse<input type=\"file\" /></span>\n            </div>\n          </label>\n        </div>\n        <label class=\"vx-control-panel\">\n          LINK THE DOCUMENT AND SPECIFY THE RELATIONSHIP WITH THIS POLICY\n        </label>\n        <div class=\"file-list policy\">\n          <div class=\"file-container\">\n            <span class=\"file-name\">Demo file.jpg</span>\n            <div class=\"button-group\">\n              <button class=\"edit\">\n                <i class=\"icons\">&#xe9ba;</i>\n              </button>\n              <button>\n                <i class=\"icons\">&#xe90d;</i>\n              </button>\n            </div>\n          </div>\n          <cs-select\n            placeholder=\"Define Document's relationship to this policy\"\n          >\n            <cs-option>Select One</cs-option>\n          </cs-select>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-survey-form{position:relative}::ng-deep .workflow-survey-form app-cs-switch{display:block}::ng-deep .workflow-survey-form app-cs-switch label.cs-switch span.value{color:#747576!important;font-size:11px!important;font-weight:500!important;justify-content:flex-end!important;line-height:16px;width:100%!important}::ng-deep .workflow-survey-form app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:12px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 8px 0 4px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowSurveyFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-survey-form', template: "<!-- <p>workflow-survey-form works!</p> -->\n<div class=\"workflow-survey-form\">\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.what\" alt=\"name\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          Survey Name <span class=\"required\">*</span>\n        </label>\n        <input type=\"text\" placeholder=\"Enter Survey name\" />\n        <vcomply-editor [editorConfig]=\"description\"></vcomply-editor>\n        <app-cs-switch\n          >Do you want this Survey to be available on the portal?\n          <i class=\"icons\">&#xe932;</i></app-cs-switch\n        >\n        <app-cs-switch\n          >Accept suggestions <i class=\"icons\">&#xe932;</i></app-cs-switch\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img s[rc=\"ASSETS.risk_category\" alt=\"\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Survey Category </label>\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Select a category for this policy\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\">\n          <div class=\"chip-container\">\n            <span class=\"chip\"><i class=\"icons\">&#xe90d;</i>Test Category</span>\n          </div>\n          <button class=\"edit\" type=\"button\">\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Custom tag 1</label>\n        <input type=\"text\" placeholder=\"Custom tag 1\" />\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.what\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">\n          Approval workflow<span class=\"required\">*</span>\n          <button class=\"button\">Create a new Approval Workflow</button>\n        </label>\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Select approval workflow for this policy\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\">\n          <div class=\"workflow-label\">\n            <p class=\"title\">Level 1</p>\n            <p class=\"description\">Sequential</p>\n          </div>\n          <div class=\"chip-container\">\n            <span class=\"chip\"><i class=\"icons\">&#xe90d;</i>Test Category</span>\n          </div>\n          <button class=\"edit\" type=\"button\">\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <label class=\"vx-control-panel\"\n          ><button class=\"button\">+ Add More Levels</button></label\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.case_assignees\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Who? <span class=\"required\">*</span></label\n        >\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Who is responsible for completing the responsibility?\"\n            readonly\n          />\n        </div>\n        <app-cs-switch\n          >THIS POLICY REQUIRES E-SIGNATURE FOR ATTESTATION\n          <i class=\"icons\">&#xe91f;</i></app-cs-switch\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.when\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >When? <span class=\"required\">*</span></label\n        >\n        <div class=\"select button-sec\">\n          <input\n            type=\"text\"\n            placeholder=\"How often does this policy need to be attested?\"\n            readonly\n          />\n          <button type=\"button\">Set A frequency</button>\n        </div>\n\n        <label class=\"vx-control-panel\">Effective Date</label>\n        <input\n          type=\"text\"\n          placeholder=\"How often does the responsibility occur?\"\n        />\n      </div>\n    </div>\n  </div>\n\n  <div class=\"form-group-row\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.risks\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Risk Classification</label>\n        <div class=\"classification\">\n          <label class=\"low\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>LOW</span>\n          </label>\n          <label class=\"low-med\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>LOW-Medium</span>\n          </label>\n          <label class=\"med-high\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>Medium-High</span>\n          </label>\n          <label class=\"high\">\n            <input type=\"radio\" name=\"classification\" />\n            <span>High</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.responsibility_center\" alt=\"\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\"\n                xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Responsibility Center</label>\n        <div class=\"select\">\n          <input\n            type=\"text\"\n            placeholder=\"Select Responsibility Center(s)\"\n            readonly\n          />\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left\" [class.checked]=\"false\">\n      <img [src]=\"ASSETS.reviewer\" alt=\"\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\"\n                xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n            </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Reviewer </label>\n        <div class=\"select\">\n          <input type=\"text\" placeholder=\"Select a Reviewer\" readonly />\n        </div>\n        <app-cs-radio\n          >ALL SELECTED PERSONS NEED TO COMPLETE THIS\n          <i class=\"icons\">&#xe91f;</i></app-cs-radio\n        >\n        <app-cs-radio\n          >ANY SELECTED PERSON CAN COMPLETE THIS\n          <i class=\"icons\">&#xe91f;</i></app-cs-radio\n        >\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div class=\"left\">\n      <img [src]=\"ASSETS.format_evidence\" alt=\"im\" />\n      <svg viewBox=\"25 25 50 50\" class=\"edit-loader\">\n        <circle\n          cx=\"50\"\n          cy=\"50\"\n          r=\"20\"\n          fill=\"none\"\n          stroke=\"#1e5dd3\"\n          stroke-width=\"3\"\n          class=\"loader-path\"\n        ></circle>\n      </svg>\n      <!-- <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                  <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                  <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n              </svg> -->\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"> Associated Documents </label>\n\n        <div class=\"tab-group\" [class.uploaded]=\"false\">\n          <label class=\"upload-file\">\n            <img [src]=\"ASSETS.upload\" alt=\"\" class=\"image\" />\n            <div class=\"browse\">\n              <span>Drop your files here /</span>\n              <span class=\"label\">Browse<input type=\"file\" /></span>\n            </div>\n          </label>\n        </div>\n        <label class=\"vx-control-panel\">\n          LINK THE DOCUMENT AND SPECIFY THE RELATIONSHIP WITH THIS POLICY\n        </label>\n        <div class=\"file-list policy\">\n          <div class=\"file-container\">\n            <span class=\"file-name\">Demo file.jpg</span>\n            <div class=\"button-group\">\n              <button class=\"edit\">\n                <i class=\"icons\">&#xe9ba;</i>\n              </button>\n              <button>\n                <i class=\"icons\">&#xe90d;</i>\n              </button>\n            </div>\n          </div>\n          <cs-select\n            placeholder=\"Define Document's relationship to this policy\"\n          >\n            <cs-option>Select One</cs-option>\n          </cs-select>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .workflow-survey-form{position:relative}::ng-deep .workflow-survey-form app-cs-switch{display:block}::ng-deep .workflow-survey-form app-cs-switch label.cs-switch span.value{color:#747576!important;font-size:11px!important;font-weight:500!important;justify-content:flex-end!important;line-height:16px;width:100%!important}::ng-deep .workflow-survey-form app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:12px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 8px 0 4px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return []; } });

class LogIssueService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.issueCategories = new BehaviorSubject(null);
        this.convertFrom12To24Format = (time12) => {
            if (time12) {
                const [sHours, minutes, period] = time12
                    .match(/([0-9]{1,2}):([0-9]{2}) (am|pm|AM|PM)/)
                    .slice(1);
                const PM = period === 'PM';
                const hours = (+sHours % 12) + (PM ? 12 : 0);
                return `${('0' + hours).slice(-2)}:${minutes}:00`;
            }
            else {
                return DEFAULT_24HR;
            }
        };
        if (config) {
            this.env = config.envConfig;
        }
    }
    getIssueTypes() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'issueTypeList', { headers })
            .pipe(retry(2));
    }
    getOrgPeople() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.organizationGet + 'people', { headers })
            .pipe(retry(2));
    }
    getIssueCategories() {
        if (this.issueCategories?.getValue()) {
            return of(this.issueCategories?.value);
        }
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.assurance + 'Issue/Category/CatList?categories=true', { headers })
            .pipe(map$1((res) => {
            this.issueCategories?.next(res);
            return res;
        }), catchError$1((error) => {
            return of(null);
        }))
            .pipe(retry(2));
        //https://devapi.v-comply.com/Assurance/Issue/Category/CatList/1?isBusinessCycle=true&categories=true
    }
    getResponsibilityCenterList() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.complianceGet + 'responsibilityCenterTree', {
            headers,
        })
            .pipe(retry(2));
    }
    createIssue(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .post(this.env.assurance + 'Issue', payload, { headers })
            .pipe(retry(2));
    }
    updateIssue(payload, issueId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .put(this.env.assurance + 'Issue/' + issueId, payload, { headers })
            .pipe(retry(2));
    }
    getControlRisk(auditPlanId, type) {
        //     Get Linked Audit Plan Responsibilities by Audit_Plan_Id
        // URL: https://devapi.v-comply.com/responsibilities/?mode=manage_audit_plan_responsibilities&id=610b329144c81a0009cbb598 Method: GET
        // Get Linked Audit Plan Risk by Audit_Plan_Id
        // URL: https://devapi.v-comply.com/risk/?mode=risk/manage_audit_plan_risk&id=610b329144c81a0009cbb598
        // Method: GET
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        if (type === 'RESPONSIBILITY') {
            return this.http
                .get(this.env.responsibilitiesGet +
                'manage_audit_plan_responsibilities&id=' +
                auditPlanId, { headers })
                .pipe(map$1((items) => {
                return items.map((item) => ({
                    itemId: item?.report_id,
                    itemControlId: item?.control_id,
                    itemControlName: item?.report_name,
                    itemType: 'RESPONSIBILITY',
                }));
            }));
        }
        else if (type === 'RISK') {
            return this.http
                .get(this.env.risk + 'risk/manage_audit_plan_risk&id=' + auditPlanId, { headers })
                .pipe(map$1((items) => {
                return items.map((item) => ({
                    itemId: item?.risk_id,
                    itemControlId: item?.risk_control_id,
                    itemControlName: item?.title,
                    itemType: 'RISK',
                }));
            }));
        }
        else {
            return null;
        }
    }
    validate(issueData, openedFrom, isRCMandatory) {
        const errors = [];
        if (!issueData.issueName || issueData.issueName.trim().length === 0) {
            errors.push('issueName');
        }
        if (issueData.issueRC.length === 0 && isRCMandatory) {
            errors.push('issueRC');
        }
        if (issueData.entrustTo.length === 0) {
            errors.push('entrustTo');
        }
        if (!issueData.issueDueDate) {
            errors.push('issueDueDate');
        }
        if (issueData.issueRecommendation
            .replace(/&nbsp;/g, '')
            .replace(/\<br\s*[\/]?>/gi, '')
            .trim().length === 0) {
            errors.push('issueRecommendation');
        }
        return errors;
    }
    generatePayload(issueData, optionFieldsStatus) {
        const selectedDate = new Date(issueData.issueDueDate);
        const dateSplit = [
            selectedDate.getFullYear(),
            selectedDate.getMonth() + 1,
            selectedDate.getDate(),
        ];
        const time = this.convertFrom12To24Format(issueData.issueDueTime).split(':');
        const date = new Date(dateSplit[0], dateSplit[1] - 1, dateSplit[2], time[0], time[1], 0);
        const createIssue = {
            issue_description_attachments: issueData?.issueDescriptionAttachements,
            associated_risk: optionFieldsStatus.ASSOCIATED_RISKS
                ? issueData.issueAssociatedRisk
                : '',
            issue_name: issueData.issueName,
            report_id: '0',
            issue_description: issueData.issueDescription,
            issue_type: optionFieldsStatus.ISSUE_TYPE
                ? this.arrayToId(issueData.issueType, 'issue_id').toString()
                : '',
            exception_type: optionFieldsStatus.EXCEPTION_TYPE
                ? issueData.exceptionType.toString()
                : '',
            risk_class: issueData.issueRiskRating.toString() ?? '',
            priority: optionFieldsStatus.PRIORITY
                ? issueData.issuePriority.toString()
                : '',
            issue_category_id: this.arrayToId(issueData.issueCategory, 'category_id') ?? 0,
            recommendation: issueData.issueRecommendation,
            entrusted_to: this.arrayToId(issueData.entrustTo, 'employee_id') ?? 0,
            issue_date: dateSplit[0] +
                '-' +
                dateSplit[1] +
                '-' +
                dateSplit[2] +
                ' ' +
                this.convertFrom12To24Format(issueData.issueDueTime),
            failed_time: this.convertFrom12To24Format(issueData.issueDueTime),
            issue_due_date: dateSplit[0] +
                '-' +
                dateSplit[1] +
                '-' +
                dateSplit[2] +
                ' ' +
                this.convertFrom12To24Format(issueData.issueDueTime),
            grc_area: '',
            cc_employee_email: optionFieldsStatus.OVERSIGHT
                ? this.arrayToIDsDtring(issueData.issueCCUsers, 'employee_email')
                : '',
            failure_cc_employee_email: optionFieldsStatus.OVERSIGHT
                ? this.arrayToIDsDtring(issueData.failureCCUsers, 'employee_email')
                : '',
            custom_tag_value: '',
            issue_resolve_timestamp: (date.getTime() / 1000).toString(),
            evidence_upload_flag: optionFieldsStatus.EVIDENCE
                ? issueData.evidenceRequired
                    ? '1'
                    : '0'
                : '0',
        };
        if (issueData.issueRC.length) {
            createIssue.rc_id = this.arrayToId(issueData.issueRC, 'rc_id') ?? 0;
        }
        return createIssue;
    }
    payloadBuilder(issueData, optionFieldsStatus) {
        const isMoment = moment$1.isMoment(issueData.issueDueDate);
        const isDays = dayjs.isDayjs(issueData.issueDueDate);
        const selectedDate = isMoment
            ? moment$1(issueData.issueDueDate)?.toDate()
            : isDays
                ? dayjs(issueData.issueDueDate?.$d).toDate()
                : new Date(issueData.issueDueDate);
        const dateSplit = [
            selectedDate.getFullYear(),
            selectedDate.getMonth() + 1,
            selectedDate.getDate(),
        ];
        const payload = {
            description: [],
            associated_risk: [],
            recommendation: [],
        };
        payload.title = issueData.issueName.trim() ?? '';
        payload.rc_id = issueData.issueRC.length
            ? this.getArrayId(issueData.issueRC, 'rc_id')
            : [];
        payload.responsibilities_Linked = issueData.responsibilityLinked.length
            ? this.getArrayId(issueData.responsibilityLinked, 'ReportId')
            : [];
        payload.category_id = issueData.issueCategory.length
            ? this.arrayToId(issueData.issueCategory, 'category_id')
            : null;
        payload.description[0] = {
            text: issueData.issueDescription ?? '',
            attachments: issueData?.issueDescriptionAttachements.length
                ? issueData?.issueDescriptionAttachements
                : [],
        };
        payload.exception_type = optionFieldsStatus.EXCEPTION_TYPE
            ? Number(issueData.exceptionType)
            : null;
        payload.risk_class = issueData.issueRiskRating ?? null;
        payload.priority = optionFieldsStatus.PRIORITY
            ? Number(issueData.issuePriority)
            : null;
        payload.assignee_id = issueData.entrustTo
            ? this.arrayToId(issueData.entrustTo, 'my_member_id')
            : null;
        payload.associated_risk[0] = {
            text: optionFieldsStatus.ASSOCIATED_RISKS
                ? issueData.issueAssociatedRisk
                : '',
            attachments: [],
        };
        payload.recommendation[0] = {
            text: issueData.issueRecommendation ?? '',
            attachments: issueData?.recommendedActionsAttachments.length
                ? issueData?.recommendedActionsAttachments
                : [],
        };
        payload.evidence = {
            evidence_flag: optionFieldsStatus.EVIDENCE
                ? issueData.evidenceRequired
                    ? 1
                    : 0
                : 0,
        };
        payload.frequency_details = {
            frequency_time: this.convertFrom12To24Format(issueData.issueDueTime) ?? DEFAULT_TIME,
            frequency_date: dateSplit[0] +
                '-' +
                (dateSplit[1] < 10 ? '0' + dateSplit[1] : dateSplit[1]) +
                '-' +
                (dateSplit[2] < 10 ? '0' + dateSplit[2] : dateSplit[2]),
        };
        payload.overseer = {
            cc_email: optionFieldsStatus.OVERSIGHT
                ? issueData.issueCCUsers.length
                    ? issueData.issueCCUsers.map((x) => {
                        return { member_id: x.my_member_id ?? 0, alert_enable: 1 };
                    })
                    : []
                : [],
            failure_cc_email: optionFieldsStatus.OVERSIGHT
                ? issueData.failureCCUsers.length
                    ? issueData.failureCCUsers.map((x) => {
                        return { member_id: x.my_member_id ?? 0, alert_enable: 1 };
                    })
                    : []
                : [],
        };
        payload.custom_tags = issueData?.issueCustomTag;
        payload.issueType = issueData?.issueType;
        payload.linked_assessment_issues = {
            resp_id: issueData?.respId ?? '',
            due_date_id: issueData?.dueDateId ?? '',
            assessment_id: issueData?.assessmentId ?? '',
            question_id: issueData?.questionId ?? '',
            auditee_id: issueData?.auditeeId ?? null,
        };
        payload.source = issueData?.source;
        return payload;
    }
    arrayToId(array, key) {
        if (array.length === 0) {
            return '';
        }
        else {
            return array[0][key];
        }
    }
    getArrayId(array, key) {
        return array.map((ele) => ele[key]);
    }
    convertFrom24To12Format(time) {
        const hhmm = time.split(':');
        time = `${hhmm[0]}:${hhmm[1]}`;
        // Check correct time format and split into components
        time = time
            .toString()
            .match(/^([01]\d|2[0-3])(:)([0-5]\d)(:[0-5]\d)?$/) || [time];
        if (time.length > 1) {
            // If time format correct
            time = time.slice(1); // Remove full string match value
            time[5] = +time[0] < 12 ? ' AM' : ' PM'; // Set AM/PM
            time[0] = +time[0] % 12 || 12; // Adjust hours
        }
        return time.join(''); // return adjusted time or original string
    }
    arrayToIDsDtring(array, identifierKey) {
        const list = array.map((el) => {
            return el[identifierKey];
        });
        return list.join();
    }
    /**
     * Uploads the given file to server
     * @param payload payload File data to be uploaded
     * @param path path Path of file to be uploaded
     * @returns response after uploading a file
     */
    uploadFiles(payload, path) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        const ORG_PATH = `o/${path}`;
        return this.http.post(this.env.fileUploadEndPoint + ORG_PATH + '&ngsw-bypass=true', payload, { headers });
    }
    getIssueDetails(issueId) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http
            .get(this.env.assurance + 'Issue/Edit/' + issueId, { headers })
            .pipe(retry(3));
    }
    formatDate() {
        const currentDate = new Date();
        const day = String(currentDate.getDate()).padStart(2, '0');
        const month = String(currentDate.getMonth() + 1).padStart(2, '0');
        const year = currentDate.getFullYear();
        const formattedDate = `${day}-${month}-${year}`;
        return formattedDate;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogIssueService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogIssueService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogIssueService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class RadioListComponent {
    constructor() {
        this.itemsList = [];
        this.selectedItems = [];
        this.identifierKey = '';
        this.displayKey = '';
        this.tooltipKey = '';
        this.twoColumn = false;
        this.closeList = new EventEmitter();
        this.saveList = new EventEmitter();
        this.loader = false;
        this.animation = true;
        this.searchItem = '';
        this.ASSETS = ASSETS;
    }
    ngOnInit() {
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.selectedItems = this.arrayToId(this.selectedItems, this.identifierKey);
        // this.rerenderList();
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this.blockWidth = this.listBlock?.nativeElement?.offsetWidth;
        }, 100);
    }
    selectItem(item) {
        this.selectedItems = [];
        this.selectedItems.push(item);
    }
    deleteItem(item) {
        this.selectedItems = [];
        // this.rerenderList();
    }
    save() {
        this.saveList.emit(this.selectedItems);
    }
    close() {
        this.closeList.emit();
    }
    arrayToId(array, identifierKey) {
        return array.map((a) => a[identifierKey]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RadioListComponent, selector: "app-radio-list", inputs: { itemsList: "itemsList", selectedItems: "selectedItems", identifierKey: "identifierKey", displayKey: "displayKey", tooltipKey: "tooltipKey", config: "config", twoColumn: "twoColumn", loader: "loader" }, outputs: { closeList: "closeList", saveList: "saveList" }, viewQueries: [{ propertyName: "listBlock", first: true, predicate: ["listBlock"], descendants: true }], ngImport: i0, template: "<div class=\"radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n    <!-- <button class=\"radio-list-close\">\n      <i class=\"icons\" (click)=\"close()\">&#xe90d;</i>\n    </button> -->\n  </div>\n\n  <div class=\"radio-list-body\">\n    <div class=\"search-block vx-mb-2\" *ngIf=\"config?.searchEnabled\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [placeholder]=\"config?.searchPlaceholder\"\n        [(ngModel)]=\"searchItem\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n    <ng-container\n      *ngIf=\"itemsList | search : searchItem : displayKey as searchList\"\n    >\n      <div class=\"categories vx-mb-4\" *ngIf=\"searchList?.length > 0\">\n        <ul [class.two-column]=\"twoColumn\" *ngIf=\"searchList?.length > 0\">\n          <li *ngFor=\"let item of searchList\">\n            <ng-container *ngIf=\"(item[displayKey] | dataType) !== 'object'\">\n              <app-cs-radio\n                [name]=\"'radio-selector'\"\n                (checkedEvent)=\"selectItem(item[identifierKey])\"\n                [name]=\"'rx-category'\"\n                [checked]=\"selectedItems.includes(item[identifierKey])\"\n                [appTooltip]=\"tooltipKey ? item[tooltipKey] : item[displayKey]\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ item[displayKey] }}\n              </app-cs-radio>\n            </ng-container>\n            <ng-container *ngIf=\"(item[displayKey] | dataType) === 'object'\">\n              <app-cs-radio\n                [name]=\"'radio-selector'\"\n                (checkedEvent)=\"selectItem(item[identifierKey])\"\n                [checked]=\"selectedItems.includes(item[identifierKey])\"\n              >\n                <ul class=\"category-within-list\" #listBlock>\n                  <li\n                    *ngFor=\"let child of item[displayKey]\"\n                    [style.max-width.px]=\"blockWidth / item[displayKey].length\"\n                  >\n                    <span\n                      [appTooltip]=\"child\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      >{{ child }}</span\n                    >\n                  </li>\n                </ul>\n              </app-cs-radio>\n            </ng-container>\n          </li>\n        </ul>\n      </div>\n      <app-no-data\n        *ngIf=\"searchList?.length === 0 && !loader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"!loader\"\n      [selectedData]=\"selectedItems | listMapper : itemsList : identifierKey\"\n      [displayElementKey]=\"displayKey\"\n      [singularText]=\"config?.floatingTextSingular\"\n      [pluralText]=\"\n        config?.floatingTextPlural\n          ? config?.floatingTextPlural\n          : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedItems.length === 0 || itemsList.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .radio-list-body .search-block{position:relative}::ng-deep .radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .radio-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .radio-list-body .categories{height:calc(100vh - 224px);overflow:hidden;overflow-y:auto}::ng-deep .radio-list-body .categories ul{padding:0;margin:0}::ng-deep .radio-list-body .categories ul li{padding:0 0 1rem;list-style:none}::ng-deep .radio-list-body .categories ul li app-cs-radio{display:flex}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item{width:100%}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value{width:100%;color:#161b2f;font-size:12px;font-weight:400;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul{padding:0;margin:0}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list{display:flex;max-width:100%}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li{display:block;padding:0 8px;position:relative;max-width:50%;width:auto}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:after{content:\">\";position:absolute;top:0;right:-3px;color:#747576;font-size:13px}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li span{display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;font-size:12px;color:#747576}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type:after{display:none}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type span{color:#34aa44}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type{padding-left:0}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type span{color:#1e5dd3}::ng-deep .radio-list-body .categories ul.two-column{display:flex;flex-wrap:wrap;align-items:flex-start}::ng-deep .radio-list-body .categories ul.two-column li{width:50%;padding-right:20px}::ng-deep .radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 100px)!important}::ng-deep .radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "pipe", type: DataTypePipe, name: "dataType" }, { kind: "pipe", type: ListMapperPipe, name: "listMapper" }, { kind: "pipe", type: SearchPipe$1, name: "search" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-radio-list', template: "<div class=\"radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n    <!-- <button class=\"radio-list-close\">\n      <i class=\"icons\" (click)=\"close()\">&#xe90d;</i>\n    </button> -->\n  </div>\n\n  <div class=\"radio-list-body\">\n    <div class=\"search-block vx-mb-2\" *ngIf=\"config?.searchEnabled\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [placeholder]=\"config?.searchPlaceholder\"\n        [(ngModel)]=\"searchItem\"\n      />\n    </div>\n    <app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n    <ng-container\n      *ngIf=\"itemsList | search : searchItem : displayKey as searchList\"\n    >\n      <div class=\"categories vx-mb-4\" *ngIf=\"searchList?.length > 0\">\n        <ul [class.two-column]=\"twoColumn\" *ngIf=\"searchList?.length > 0\">\n          <li *ngFor=\"let item of searchList\">\n            <ng-container *ngIf=\"(item[displayKey] | dataType) !== 'object'\">\n              <app-cs-radio\n                [name]=\"'radio-selector'\"\n                (checkedEvent)=\"selectItem(item[identifierKey])\"\n                [name]=\"'rx-category'\"\n                [checked]=\"selectedItems.includes(item[identifierKey])\"\n                [appTooltip]=\"tooltipKey ? item[tooltipKey] : item[displayKey]\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"true\"\n              >\n                {{ item[displayKey] }}\n              </app-cs-radio>\n            </ng-container>\n            <ng-container *ngIf=\"(item[displayKey] | dataType) === 'object'\">\n              <app-cs-radio\n                [name]=\"'radio-selector'\"\n                (checkedEvent)=\"selectItem(item[identifierKey])\"\n                [checked]=\"selectedItems.includes(item[identifierKey])\"\n              >\n                <ul class=\"category-within-list\" #listBlock>\n                  <li\n                    *ngFor=\"let child of item[displayKey]\"\n                    [style.max-width.px]=\"blockWidth / item[displayKey].length\"\n                  >\n                    <span\n                      [appTooltip]=\"child\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      >{{ child }}</span\n                    >\n                  </li>\n                </ul>\n              </app-cs-radio>\n            </ng-container>\n          </li>\n        </ul>\n      </div>\n      <app-no-data\n        *ngIf=\"searchList?.length === 0 && !loader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      *ngIf=\"!loader\"\n      [selectedData]=\"selectedItems | listMapper : itemsList : identifierKey\"\n      [displayElementKey]=\"displayKey\"\n      [singularText]=\"config?.floatingTextSingular\"\n      [pluralText]=\"\n        config?.floatingTextPlural\n          ? config?.floatingTextPlural\n          : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedItems.length === 0 || itemsList.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .radio-list-body .search-block{position:relative}::ng-deep .radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .radio-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .radio-list-body .categories{height:calc(100vh - 224px);overflow:hidden;overflow-y:auto}::ng-deep .radio-list-body .categories ul{padding:0;margin:0}::ng-deep .radio-list-body .categories ul li{padding:0 0 1rem;list-style:none}::ng-deep .radio-list-body .categories ul li app-cs-radio{display:flex}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item{width:100%}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value{width:100%;color:#161b2f;font-size:12px;font-weight:400;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul{padding:0;margin:0}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list{display:flex;max-width:100%}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li{display:block;padding:0 8px;position:relative;max-width:50%;width:auto}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:after{content:\">\";position:absolute;top:0;right:-3px;color:#747576;font-size:13px}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li span{display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;font-size:12px;color:#747576}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type:after{display:none}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type span{color:#34aa44}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type{padding-left:0}::ng-deep .radio-list-body .categories ul li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type span{color:#1e5dd3}::ng-deep .radio-list-body .categories ul.two-column{display:flex;flex-wrap:wrap;align-items:flex-start}::ng-deep .radio-list-body .categories ul.two-column li{width:50%;padding-right:20px}::ng-deep .radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 100px)!important}::ng-deep .radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { listBlock: [{
                type: ViewChild,
                args: ['listBlock', { static: false }]
            }], itemsList: [{
                type: Input
            }], selectedItems: [{
                type: Input
            }], identifierKey: [{
                type: Input
            }], displayKey: [{
                type: Input
            }], tooltipKey: [{
                type: Input
            }], config: [{
                type: Input
            }], twoColumn: [{
                type: Input
            }], closeList: [{
                type: Output
            }], saveList: [{
                type: Output
            }], loader: [{
                type: Input
            }] } });

class ArrayFilterPipe {
    transform(value, ...args) {
        return value.filter((item) => {
            return item.itemType === args[0];
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ArrayFilterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ArrayFilterPipe, name: "arrayFilter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ArrayFilterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'arrayFilter'
                }]
        }] });

class ResponsibilityRiskSelectorComponent {
    set activeEntity(value) {
        if (value) {
            this.activeTab = value;
        }
    }
    constructor() {
        this.animation = true;
        this.activeTab = 'RESPONSIBILITY';
        this.controlIdKey = 'itemControlId';
        this.itemDisplayKey = 'itemControlName';
        this.identifierKey = 'itemId';
        this.ASSETS = ASSETS;
        this.listItems = [];
        this.selectedItems = [];
        this.loading = false;
        this.fetchList = new EventEmitter();
        this.closeList = new EventEmitter();
        this.saveList = new EventEmitter();
    }
    ngOnInit() {
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.selectedItems = this.arrayToId(this.selectedItems, this.identifierKey);
    }
    changeTab(type) {
        if (this.loading === true) {
            return;
        }
        this.activeTab = type;
        this.fetchList.emit(type);
        this.listItems = [];
    }
    selectItem(item) {
        this.selectedItems = [];
        this.selectedItems.push(item);
    }
    deleteItem(item) {
        this.selectedItems = [];
        // this.rerenderList();
    }
    save() {
        this.saveList.emit(this.selectedItems);
    }
    close() {
        this.closeList.emit();
    }
    arrayToId(array, identifierKey) {
        return array.map((a) => a[identifierKey]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponsibilityRiskSelectorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ResponsibilityRiskSelectorComponent, selector: "app-responsibility-risk-selector", inputs: { activeEntity: "activeEntity", listItems: "listItems", selectedItems: "selectedItems", loading: "loading" }, outputs: { fetchList: "fetchList", closeList: "closeList", saveList: "saveList" }, ngImport: i0, template: "<div class=\"risk-radio-list\" [class.animate]=\"animation\">\n  <div class=\"risk-radio-list-head\">\n    <h3 class=\"risk-radio-list-title\">\n      Define Sample Size for Selected Audit Objects\n    </h3>\n    <!-- <button class=\"radio-list-close\">\n        <i class=\"icons\" (click)=\"close()\">&#xe90d;</i>\n      </button> -->\n  </div>\n\n  <div class=\"risk-radio-list-body\">\n    <div class=\"tab-button\">\n      <button\n        [class.active]=\"activeTab === 'RESPONSIBILITY'\"\n        (click)=\"changeTab('RESPONSIBILITY')\"\n      >\n        RESPONSIBILITIES\n      </button>\n      <button [class.active]=\"activeTab === 'RISK'\" (click)=\"changeTab('RISK')\">\n        RISKS\n      </button>\n    </div>\n    <ng-container *ngIf=\"!loading\">\n      <ul class=\"categories\">\n        <li *ngFor=\"let item of listItems | arrayFilter : activeTab\">\n          <app-cs-radio\n            [checked]=\"selectedItems.includes(item[identifierKey])\"\n            (checkedEvent)=\"selectItem(item[identifierKey])\"\n            ><span class=\"cid\" *ngIf=\"item[controlIdKey]\">{{\n              item[controlIdKey]\n            }}</span\n            >{{ \"\" + item[itemDisplayKey] }}</app-cs-radio\n          >\n        </li>\n      </ul>\n    </ng-container>\n    <app-list-loader *ngIf=\"loading\"></app-list-loader>\n    <app-no-data\n      *ngIf=\"listItems?.length === 0 && !loading\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Categories Found'\"\n    ></app-no-data>\n  </div>\n  <!-- [singularText]=\"config?.floatingTextSingular\"\n    [pluralText]=\"config?.floatingTextPlural ?config?.floatingTextPlural:'Users selected'\" -->\n  <!-- [selectedData]=\"selectedItems|listMapper:listItems:identifierKey\" -->\n  <div class=\"risk-radio-list-footer\">\n    <app-floating-bar\n      [displayElementKey]=\"itemDisplayKey\"\n      [selectedData]=\"selectedItems | listMapper : listItems : identifierKey\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedItems.length === 0 || listItems.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::-webkit-scrollbar-track{background-color:#fff;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .risk-radio-list{background:#fff;position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3}::ng-deep .risk-radio-list-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .risk-radio-list-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .risk-radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .risk-radio-list-body{padding:24px 40px 24px 36px;background:#fff;height:calc(100vh - 124px)}::ng-deep .risk-radio-list-body .filter-card{display:flex;align-items:center;border:1px solid #dbdbdb;border-radius:4px;height:55px;padding:12px 15px;width:100%;justify-content:space-between;cursor:pointer}::ng-deep .risk-radio-list-body .filter-card.active{box-shadow:0 3px 6px #1e5dd31a}::ng-deep .risk-radio-list-body .filter-card label{font-weight:600;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .risk-radio-list-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .risk-radio-list-body .filter-card span.counter{display:flex;height:32px;min-width:32px;border-radius:4px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 5px;line-height:32px}::ng-deep .risk-radio-list-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .risk-radio-list-body .filter-card+.filter-card{margin-left:10px}::ng-deep .risk-radio-list-body .filter-card-row{display:flex;padding-bottom:15px}::ng-deep .risk-radio-list-body .search-block{position:relative}::ng-deep .risk-radio-list-body .search-block input{height:44px;line-height:24px;padding:10px 16px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .risk-radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .risk-radio-list-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .risk-radio-list-body .tab-button{display:flex;align-items:center;border-bottom:1px solid #f1f1f1}::ng-deep .risk-radio-list-body .tab-button button{background:transparent;border:none;border-bottom:2px solid transparent;border-radius:0;color:#161b2f;font-size:11px;font-weight:600;text-transform:uppercase;padding:0;margin-right:28px}::ng-deep .risk-radio-list-body .tab-button button.active{border-bottom:2px solid #1E5DD3;color:#1e5dd3}::ng-deep .risk-radio-list-body .body-top{display:flex;justify-content:space-between;padding:0 0 16px}::ng-deep .risk-radio-list-body .body-top app-cs-checkbox,::ng-deep .risk-radio-list-body .body-top app-cs-radio{display:flex}::ng-deep .risk-radio-list-body .body-top app-cs-checkbox label span.value strong,::ng-deep .risk-radio-list-body .body-top app-cs-radio label span.value strong{color:#161b2f;font-size:14px;font-weight:600;white-space:nowrap}::ng-deep .risk-radio-list-body ul{padding:0;margin:0}::ng-deep .risk-radio-list-body ul.categories{display:block;align-items:flex-start;flex-wrap:wrap;max-height:calc(100vh - 200px);overflow:auto;padding:12px 0 0;scrollbar-width:thin}::ng-deep .risk-radio-list-body ul.categories li{padding:12px 0;list-style:none;border-bottom:1px solid #F1F1F1}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio{display:flex}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item{width:100%}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value{width:100%;color:#1e5dd3;font-size:12px;font-weight:400;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value .cid{font-size:10px}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name{display:flex;justify-content:flex-start;width:auto}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li{list-style:none;color:#747576;font-size:14px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 8px 0 0}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li i{font-size:8px;padding-left:8px}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li:first-child{color:#4681ef;max-width:100%}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li:last-of-type{color:#66bf72}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li:last-of-type i{display:none}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul{padding:0;margin:0}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list{display:flex;max-width:100%}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li{display:block;padding:0 8px;position:relative;max-width:50%;width:auto}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:after{content:\">\";position:absolute;top:0;right:-3px;color:#747576;font-size:13px}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li span{display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;font-size:13px;color:#747576}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type:after{display:none}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type span{color:#34aa44}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type{padding-left:0}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type span{color:#1e5dd3}::ng-deep .risk-radio-list-body ul.categories.two-column{display:flex;flex-wrap:wrap}::ng-deep .risk-radio-list-body ul.categories.two-column li{width:50%;padding-right:20px}::ng-deep .risk-radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 42px)!important}::ng-deep .risk-radio-list-body.no-footer{height:calc(100vh - 42px)}::ng-deep .risk-radio-list-body .card-row{display:flex;justify-content:space-between;margin-bottom:12px}::ng-deep .risk-radio-list-body .card-row .card-block{width:100%;display:flex;padding:8px 12px;border-radius:2px;box-shadow:0 0 3px #1e5dd345;min-height:48px;position:relative;cursor:pointer;justify-content:space-between;align-items:center}::ng-deep .risk-radio-list-body .card-row .card-block+.card-block{margin-left:4px}::ng-deep .risk-radio-list-body .card-row .card-block.active{box-shadow:0 0 10px #1e5dd2e6;z-index:1}::ng-deep .risk-radio-list-body .card-row .card-block .card-text{padding:0;margin:0;font-weight:500;font-size:11px;text-transform:uppercase;line-height:16px;width:auto;white-space:nowrap}::ng-deep .risk-radio-list-body .card-row .card-block span.count{font-size:14px;line-height:24px;background:#042e7d;padding:0 8px;border-radius:2px;min-width:28px;color:#fff}::ng-deep .risk-radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: ListLoaderComponent, selector: "app-list-loader" }, { kind: "pipe", type: ListMapperPipe, name: "listMapper" }, { kind: "pipe", type: ArrayFilterPipe, name: "arrayFilter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ResponsibilityRiskSelectorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-responsibility-risk-selector', template: "<div class=\"risk-radio-list\" [class.animate]=\"animation\">\n  <div class=\"risk-radio-list-head\">\n    <h3 class=\"risk-radio-list-title\">\n      Define Sample Size for Selected Audit Objects\n    </h3>\n    <!-- <button class=\"radio-list-close\">\n        <i class=\"icons\" (click)=\"close()\">&#xe90d;</i>\n      </button> -->\n  </div>\n\n  <div class=\"risk-radio-list-body\">\n    <div class=\"tab-button\">\n      <button\n        [class.active]=\"activeTab === 'RESPONSIBILITY'\"\n        (click)=\"changeTab('RESPONSIBILITY')\"\n      >\n        RESPONSIBILITIES\n      </button>\n      <button [class.active]=\"activeTab === 'RISK'\" (click)=\"changeTab('RISK')\">\n        RISKS\n      </button>\n    </div>\n    <ng-container *ngIf=\"!loading\">\n      <ul class=\"categories\">\n        <li *ngFor=\"let item of listItems | arrayFilter : activeTab\">\n          <app-cs-radio\n            [checked]=\"selectedItems.includes(item[identifierKey])\"\n            (checkedEvent)=\"selectItem(item[identifierKey])\"\n            ><span class=\"cid\" *ngIf=\"item[controlIdKey]\">{{\n              item[controlIdKey]\n            }}</span\n            >{{ \"\" + item[itemDisplayKey] }}</app-cs-radio\n          >\n        </li>\n      </ul>\n    </ng-container>\n    <app-list-loader *ngIf=\"loading\"></app-list-loader>\n    <app-no-data\n      *ngIf=\"listItems?.length === 0 && !loading\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Categories Found'\"\n    ></app-no-data>\n  </div>\n  <!-- [singularText]=\"config?.floatingTextSingular\"\n    [pluralText]=\"config?.floatingTextPlural ?config?.floatingTextPlural:'Users selected'\" -->\n  <!-- [selectedData]=\"selectedItems|listMapper:listItems:identifierKey\" -->\n  <div class=\"risk-radio-list-footer\">\n    <app-floating-bar\n      [displayElementKey]=\"itemDisplayKey\"\n      [selectedData]=\"selectedItems | listMapper : listItems : identifierKey\"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedItems.length === 0 || listItems.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::-webkit-scrollbar-track{background-color:#fff;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .risk-radio-list{background:#fff;position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3}::ng-deep .risk-radio-list-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .risk-radio-list-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .risk-radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .risk-radio-list-body{padding:24px 40px 24px 36px;background:#fff;height:calc(100vh - 124px)}::ng-deep .risk-radio-list-body .filter-card{display:flex;align-items:center;border:1px solid #dbdbdb;border-radius:4px;height:55px;padding:12px 15px;width:100%;justify-content:space-between;cursor:pointer}::ng-deep .risk-radio-list-body .filter-card.active{box-shadow:0 3px 6px #1e5dd31a}::ng-deep .risk-radio-list-body .filter-card label{font-weight:600;text-transform:uppercase;color:#747576;line-height:16px;margin-left:0;font-size:11px;width:100%;pointer-events:none}::ng-deep .risk-radio-list-body .filter-card p{line-height:16px;font-size:10px;color:#161b2f;font-weight:600;margin:0}::ng-deep .risk-radio-list-body .filter-card span.counter{display:flex;height:32px;min-width:32px;border-radius:4px;background:#042e7d;color:#fff;font-size:11px;font-weight:600;justify-content:center;align-items:center;padding:0 5px;line-height:32px}::ng-deep .risk-radio-list-body .filter-card .left{display:flex;flex-wrap:wrap}::ng-deep .risk-radio-list-body .filter-card+.filter-card{margin-left:10px}::ng-deep .risk-radio-list-body .filter-card-row{display:flex;padding-bottom:15px}::ng-deep .risk-radio-list-body .search-block{position:relative}::ng-deep .risk-radio-list-body .search-block input{height:44px;line-height:24px;padding:10px 16px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .risk-radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .risk-radio-list-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .risk-radio-list-body .tab-button{display:flex;align-items:center;border-bottom:1px solid #f1f1f1}::ng-deep .risk-radio-list-body .tab-button button{background:transparent;border:none;border-bottom:2px solid transparent;border-radius:0;color:#161b2f;font-size:11px;font-weight:600;text-transform:uppercase;padding:0;margin-right:28px}::ng-deep .risk-radio-list-body .tab-button button.active{border-bottom:2px solid #1E5DD3;color:#1e5dd3}::ng-deep .risk-radio-list-body .body-top{display:flex;justify-content:space-between;padding:0 0 16px}::ng-deep .risk-radio-list-body .body-top app-cs-checkbox,::ng-deep .risk-radio-list-body .body-top app-cs-radio{display:flex}::ng-deep .risk-radio-list-body .body-top app-cs-checkbox label span.value strong,::ng-deep .risk-radio-list-body .body-top app-cs-radio label span.value strong{color:#161b2f;font-size:14px;font-weight:600;white-space:nowrap}::ng-deep .risk-radio-list-body ul{padding:0;margin:0}::ng-deep .risk-radio-list-body ul.categories{display:block;align-items:flex-start;flex-wrap:wrap;max-height:calc(100vh - 200px);overflow:auto;padding:12px 0 0;scrollbar-width:thin}::ng-deep .risk-radio-list-body ul.categories li{padding:12px 0;list-style:none;border-bottom:1px solid #F1F1F1}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio{display:flex}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item{width:100%}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value{width:100%;color:#1e5dd3;font-size:12px;font-weight:400;overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value .cid{font-size:10px}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name{display:flex;justify-content:flex-start;width:auto}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li{list-style:none;color:#747576;font-size:14px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;width:auto;padding:0 8px 0 0}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li i{font-size:8px;padding-left:8px}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li:first-child{color:#4681ef;max-width:100%}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li:last-of-type{color:#66bf72}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio ul.category-name li:last-of-type i{display:none}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul{padding:0;margin:0}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list{display:flex;max-width:100%}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li{display:block;padding:0 8px;position:relative;max-width:50%;width:auto}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:after{content:\">\";position:absolute;top:0;right:-3px;color:#747576;font-size:13px}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li span{display:block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;font-size:13px;color:#747576}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type:after{display:none}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:last-of-type span{color:#34aa44}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type{padding-left:0}::ng-deep .risk-radio-list-body ul.categories li app-cs-radio label.radio-item span.value ul.category-within-list li:first-of-type span{color:#1e5dd3}::ng-deep .risk-radio-list-body ul.categories.two-column{display:flex;flex-wrap:wrap}::ng-deep .risk-radio-list-body ul.categories.two-column li{width:50%;padding-right:20px}::ng-deep .risk-radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 42px)!important}::ng-deep .risk-radio-list-body.no-footer{height:calc(100vh - 42px)}::ng-deep .risk-radio-list-body .card-row{display:flex;justify-content:space-between;margin-bottom:12px}::ng-deep .risk-radio-list-body .card-row .card-block{width:100%;display:flex;padding:8px 12px;border-radius:2px;box-shadow:0 0 3px #1e5dd345;min-height:48px;position:relative;cursor:pointer;justify-content:space-between;align-items:center}::ng-deep .risk-radio-list-body .card-row .card-block+.card-block{margin-left:4px}::ng-deep .risk-radio-list-body .card-row .card-block.active{box-shadow:0 0 10px #1e5dd2e6;z-index:1}::ng-deep .risk-radio-list-body .card-row .card-block .card-text{padding:0;margin:0;font-weight:500;font-size:11px;text-transform:uppercase;line-height:16px;width:auto;white-space:nowrap}::ng-deep .risk-radio-list-body .card-row .card-block span.count{font-size:14px;line-height:24px;background:#042e7d;padding:0 8px;border-radius:2px;min-width:28px;color:#fff}::ng-deep .risk-radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { activeEntity: [{
                type: Input
            }], listItems: [{
                type: Input
            }], selectedItems: [{
                type: Input
            }], loading: [{
                type: Input
            }], fetchList: [{
                type: Output
            }], closeList: [{
                type: Output
            }], saveList: [{
                type: Output
            }] } });

class LogAnIssueComponent {
    get message() {
        return this.mode === 'EDIT'
            ? ' The Issue has been updated.'
            : this.smileyMessage;
    }
    get displayActionButtons() {
        return (!['ASSESSMENT'].includes(this.openedFrom) &&
            ['CREATE'].includes(this.mode)) ||
            ['EDIT'].includes(this.mode)
            ? this.actionButtons
            : [];
    }
    constructor(logService, authService, uiKitService, snackBar, commonService, changeDetectorRef, organizationUserService, organizationCommonService, complianceCommonService, iframeService) {
        this.logService = logService;
        this.authService = authService;
        this.uiKitService = uiKitService;
        this.snackBar = snackBar;
        this.commonService = commonService;
        this.changeDetectorRef = changeDetectorRef;
        this.organizationUserService = organizationUserService;
        this.organizationCommonService = organizationCommonService;
        this.complianceCommonService = complianceCommonService;
        this.iframeService = iframeService;
        this.ASSETS = ASSETS;
        this.source = '';
        this.reponsibilityData = {
            // only used by log an issue
            responsibilityId: null,
            responsibilityName: '',
            rcId: [],
            responsibilityObjectId: '',
            dueDateId: '',
        };
        this.assessmentQuestion = {
            questionName: '',
            questionNumber: '',
            questionId: '',
            assessmentId: '',
            auditeeId: null,
        };
        this.issueDetails = {
            auditPlanId: null,
            auditPlanName: '',
            rcId: null,
            auditObjId: null,
        };
        this.mode = 'CREATE';
        this.pickerChanged = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.modeChange = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.scrollToBottom = false;
        this.datePickerOverlay = false;
        this.showDateError = false;
        this.showSmiley = false;
        this.loader = false;
        this.smileyMessage = `The issue has been reported.`;
        this.isRiskControlLoading = false;
        this.linkText = '';
        this.actionButtons = [
            { buttonText: 'Report More Issues', class: 'white-btn', id: 'addMore' },
            { buttonText: 'View Issue', class: 'blue-btn', id: 'viewIssue' },
        ];
        this.description = {
            // mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Description',
        };
        this.dateConfig = {
            disableKeypress: true,
            format: 'DD',
            unSelectOnClick: true,
            openOnClick: false,
            openOnFocus: false,
            min: '',
        };
        this.listData = {
            issueTypeList: [],
            userList: [],
            categoryList: [],
            rcList: [],
            linkageList: [],
        };
        this.DEFAULT_TIME = DEFAULT_TIME;
        this.logIssueForm = {
            issueName: '',
            evidenceRequired: 0,
            issueDescription: '',
            issueDescriptionAttachements: [],
            issueCategory: [],
            issueCustomTag: [],
            issueRC: [],
            issueType: 'issue',
            isAssignToMyself: false,
            entrustTo: [],
            issueDueDate: '',
            issueDueTime: DEFAULT_TIME,
            exceptionType: 1,
            issueRiskRating: 1,
            issuePriority: 1,
            issueRecommendation: '',
            recommendedActionsAttachments: [],
            issueAssociatedRisk: '',
            associatedRisksAttachments: [],
            issueCCUsers: [],
            failureCCUsers: [],
            linkedControlRisk: [],
            linkageType: 'RISK',
            responsibilityLinked: [],
            dueDateId: '',
            assessmentId: '',
            auditeeId: null,
            questionId: '',
            questionNumber: '',
            title: '',
            dueDate: '',
            source: '',
        };
        this.AttachmentTrack = [[], [], []];
        this.additionalOptionStatus = {
            EXCEPTION_TYPE: false,
            EVIDENCE: false,
            PRIORITY: false,
            ISSUE_TYPE: false,
            ASSOCIATED_RISKS: false,
            OVERSIGHT: false,
        };
        this.riskClassification = [
            { name: 'LOW', value: 1, class: 'low' },
            { name: 'LOW-Medium', value: 2, class: 'low-med' },
            { name: 'Medium-High', value: 3, class: 'med-high' },
            { name: 'High', value: 4, class: 'high' },
        ];
        this.riskPrority = [
            { name: 'LOW', value: 1, class: 'low' },
            { name: 'MEDIUM', value: 2, class: 'low-med' },
            { name: 'HIGH', value: 3, class: 'high' },
        ];
        this.sideSelectorElements = [
            'ISSUE_CATEGORY',
            'ISSUE_RC',
            'ISSUE_WHO',
            'ISSUE_TYPE',
            'ISSUE_CC',
            'ISSUE_FCC',
            'ISSUE_CONTROL_RISK',
            'LINK_MORE_RESPONSIBILITY',
        ];
        this.selectorConfig = {
            ISSUE_CATGORY: {
                panelTitle: 'Select Issue Category',
                floatingTextSingular: 'Category selected',
                searchPlaceholder: 'Search Issue Category',
                searchEnabled: true,
                noDataText: 'No Categories Found',
            },
            ISSUE_RC: {
                panelTitle: 'Select Responsibility Center',
                floatingTextSingular: 'Responsibility center selected',
                floatingTextPlural: 'Responsibility centers selected',
                searchPlaceholder: 'Search Responsibility Center',
                searchEnabled: true,
                noDataText: 'No Responsibility Centers Found',
                selectAllEnabled: true,
            },
            ISSUE_WHO: {
                panelTitle: 'Select User',
                floatingTextSingular: 'User selected',
                searchPlaceholder: 'Search User',
                searchEnabled: true,
                noDataText: 'No Users Found',
            },
            ISSUE_TYPE: {
                panelTitle: 'Select Issue Type',
                floatingTextSingular: 'Issue Type selected',
                searchPlaceholder: 'Search Issue Type',
                searchEnabled: true,
                noDataText: 'No Issue Types Found',
            },
            ISSUE_CC: {
                panelTitle: 'Select user(s)',
                floatingTextSingular: 'User selected',
                searchPlaceholder: 'Search User',
                searchEnabled: true,
                selectAllEnabled: true,
                noDataText: 'No Users Found',
            },
            ISSUE_FCC: {
                panelTitle: 'Select user(s)',
                floatingTextSingular: 'User selected',
                searchPlaceholder: 'Search User',
                searchEnabled: true,
                selectAllEnabled: true,
                noDataText: 'No Users Found',
            },
        };
        this.fieldsWithError = [];
        // hiddenList: any[] = [];
        this.activeField = '';
        this.activeSelector = '';
        this.listLoadingStatus = [];
        this.currentTime = '';
        /**
         * isRCPreSelected,isRCVisible are variable used to set the visibility of rc field and edit button in certain conditions
         */
        this.isRCPreSelected = false;
        this.isRCVisible = true;
        this.isRCMandatory = false;
        this.isRiskControlVisible = false;
        this.isFutureDate = true;
        this.isLinkResponsibility = false;
        this.isLinkAssessment = false;
        this.isLinkRC = false;
        this.isRCEditable = false;
        this.isLinkQuestionVisible = false;
    }
    ngOnInit() {
        this._initiateAPI();
    }
    ngAfterViewInit() {
        this.changeDetectorRef.detectChanges();
        this.fetchControlRisks();
        this.decideRCmandatory();
    }
    ngOnChanges() {
        this.currentTime = this.getCurrentTime();
    }
    _initiateAPI() {
        this.currentTime = this.getCurrentTime();
        this.pickerChanged.emit(false);
        this.setUserDetails();
        this.fetchIssueTypes();
        this.fetchUserList();
        this.setLink();
        this.setRcEditable();
        if (this.mode === 'EDIT') {
            this._initiateEditAPI();
        }
    }
    _initiateEditAPI() {
        this.fetchRCList();
        this.fetchCategoryList();
    }
    decideRCmandatory() {
        this.isRCMandatory = false;
    }
    setCurrentTime() {
        this.currentTime = this.getCurrentTime();
    }
    getCurrentTime() {
        let today = new Date();
        if (today.getDate() === new Date(this.logIssueForm.issueDueDate).getDate()) {
            if (today.getHours() < 12 &&
                today.getMinutes() < 59 &&
                today.getSeconds() < 59) {
                return `${today.getHours() < 10 ? '0' + today.getHours() : today.getHours()}:${today.getMinutes() < 10
                    ? '0' + today.getMinutes()
                    : today.getMinutes()} am`;
            }
            else {
                return `${today.getHours() - 12 < 10
                    ? '0' + (today.getHours() - 12)
                    : today.getHours() - 12}:${today.getMinutes() < 10
                    ? '0' + today.getMinutes()
                    : today.getMinutes()} pm`;
            }
        }
        else {
            return '00:00 am';
        }
    }
    setRcEditable() {
        if ((!['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(this.openedFrom) &&
            ['CREATE'].includes(this.mode)) ||
            (['EDIT'].includes(this.mode) &&
                !this.logIssueForm?.responsibilityLinked?.length)) {
            this.isRCEditable = true;
        }
        else {
            this.isRCEditable = false;
        }
    }
    setLink() {
        if (['ASSESSMENT'].includes(this.openedFrom) ||
            this.isLinkQuestionVisible) {
            this.linkText = 'Linked Responsibility';
        }
        else if (['COMPLIANCE_WORKROOM'].includes(this.openedFrom) ||
            this.logIssueForm?.responsibilityLinked?.length) {
            this.linkText = 'Linked Responsibilities';
        }
        else {
            this.linkText = 'Link Responsibilities';
        }
    }
    setUserDetails() {
        this.currentUser = this.authService?.getUserDetails()?.user;
        let utcTime;
        this.organizationCommonService?.getOrgUserInfo()?.subscribe({
            next: (res) => {
                if (res) {
                    utcTime = res?.current_time_utc;
                    const updatedDate = this.authService?.convertUtcToLocalDateTime(utcTime);
                    this.dateConfig = { ...this.dateConfig, min: updatedDate };
                    this.changeDetectorRef?.detectChanges();
                }
            },
            error: (error) => {
                console.error(error);
            },
        });
    }
    fetchIssueTypes() {
        this.listLoadingStatus[0] = false;
        this.checkAllListLoaded();
        this.logService.getIssueTypes().subscribe((res) => {
            this.listLoadingStatus[0] = true;
            this.listData.issueTypeList = res;
            this.checkAllListLoaded();
        }, (error) => {
            this.listLoadingStatus[0] = true;
            this.checkAllListLoaded();
        });
    }
    fetchUserList() {
        this.listLoadingStatus[1] = false;
        this.organizationUserService?.getOrganizationUsers()?.subscribe({
            next: (res) => {
                this.listLoadingStatus[1] = true;
                this.listData.userList = res;
                this.checkAllListLoaded();
            },
            error: (error) => {
                this.listLoadingStatus[1] = true;
                this.checkAllListLoaded();
            },
        });
    }
    fetchCategoryList() {
        this.listLoadingStatus[2] = false;
        this.logService.getIssueCategories().subscribe((res) => {
            this.listLoadingStatus[2] = true;
            this.listData.categoryList = res?.data;
            this.listData.categoryList = this.listData.categoryList.filter((e) => e?.category_name !== 'Uncategorized');
            this.checkAllListLoaded();
        }, (error) => {
            this.listLoadingStatus[2] = true;
            this.checkAllListLoaded();
        });
    }
    fetchRCList() {
        this.listLoadingStatus[3] = false;
        this.complianceCommonService?.getRcListInfo()?.subscribe({
            next: (res) => {
                this.listLoadingStatus[3] = true;
                this.listData.rcList = res;
                this.checkAllListLoaded();
                this.setSelectedRC();
            },
            error: (error) => {
                this.listLoadingStatus[3] = true;
                this.checkAllListLoaded();
            },
        });
    }
    setSelectedRC() {
        if (this.reponsibilityData?.rcId &&
            (this.openedFrom === 'COMPLIANCE_WORKROOM' ||
                this.openedFrom === 'ASSESSMENT')) {
            this.logIssueForm.issueRC = this.reponsibilityData?.rcId?.length
                ? this.listData?.rcList.filter((e) => this.reponsibilityData?.rcId.includes(e?.rc_id))
                : [];
        }
        else if (this.issueDetails?.rcId &&
            [
                'AUDIT_WORKROOM',
                'VIEW_AUDIT_EXECUTION_SUMMARY',
                'EXECUTE_AUDIT_PLAN',
            ].includes(this.openedFrom)) {
            this.logIssueForm.issueRC = this.issueDetails?.rcId
                ? this.listData.rcList.filter((e) => e.rc_id === this.issueDetails?.rcId)
                : [];
        }
        if (this.logIssueForm?.issueRC?.length) {
            this.isRCPreSelected = true;
        }
        else {
            this.isRCPreSelected = false;
        }
        if (!(this.reponsibilityData?.rcId || this.issueDetails?.rcId) &&
            [
                'COMPLIANCE_WORKROOM',
                'AUDIT_WORKROOM',
                'VIEW_AUDIT_EXECUTION_SUMMARY',
                'EXECUTE_AUDIT_PLAN',
            ].includes(this.openedFrom)) {
            this.isRCVisible = false;
        }
        else {
            this.isRCVisible = true;
        }
    }
    fetchControlRisks() {
        if (['VIEW_AUDIT_EXECUTION_SUMMARY', 'EXECUTE_AUDIT_PLAN'].includes(this.openedFrom)) {
            this.getLinkage(this.issueDetails?.auditObjId, this.logIssueForm.linkageType);
        }
    }
    getLinkage(auditId, type) {
        this.isRiskControlLoading = true;
        this.logService.getControlRisk(auditId, type)?.subscribe((data) => {
            this.listData.linkageList = [...this.listData.linkageList, ...data];
            this.listData.linkageList = this.listData.linkageList.filter((thing, index, self) => index ===
                self.findIndex((t) => t.itemId === thing.itemId && t.itemType === thing.itemType));
            this.isRiskControlLoading = false;
        }, (error) => {
            this.isRiskControlLoading = false;
        });
    }
    /**
     * This functioj check weather all the required lists are loaded
     * If loaded hides the loader otherwise shows the loader.
     */
    checkAllListLoaded() {
        if (this.listLoadingStatus.includes(false) && this.mode === 'EDIT') {
            this.loader = true;
            this.uiKitService.isLoader = true;
        }
        else {
            this.loader = false;
            this.uiKitService.isLoader = false;
            if (this.mode === 'EDIT') {
                this.fetchIssueDetails();
            }
        }
    }
    /**
     * Removes error from the fields with error to remove the error messag from the UI
     * @param errorKey error Identifier used to show error in specific fields.
     */
    removeError(errorKey) {
        const index = this.fieldsWithError.indexOf(errorKey);
        if (index > -1) {
            this.fieldsWithError.splice(index, 1);
        }
    }
    openDatePicker() {
        this.datePicker?.api?.open();
        this.datePickerOverlay = true;
        this.setActiveFieldSelector('ISSUE_DATE_TIME', 'ISSUE_DATE_TIME');
    }
    closeDatePicker(evt) {
        if (!evt) {
            return;
        }
        if (evt?.date?.$d) {
            let monthArray = [
                'Jan',
                'Feb',
                'Mar',
                'Apr',
                'Jun',
                'Jul',
                'Aug',
                'Sep',
                'Oct',
                'Nov',
                'Dec',
            ];
            const dateValue = new Date(evt?.date?.$d).getDate();
            const monthValue = monthArray[new Date(evt?.date?.$d).getMonth()];
            const yearValue = new Date(evt?.date?.$d).getFullYear();
            const dateStr = `${dateValue} ${monthValue} ${yearValue}`;
            if (!this.validateDate(this.logIssueForm?.issueDueTime, evt?.date?.$d)) {
                return;
            }
        }
        if (evt?.date?.$d) {
            this.logIssueForm.issueDueDate = evt?.date?.$d;
        }
        this.datePicker?.api?.close();
        this.datePickerOverlay = false;
        this.setActiveFieldSelector('', '');
    }
    setActiveFieldSelector(activeField, activeSelector) {
        this.activeField = activeField;
        activeSelector
            ? (this.activeSelector = activeSelector)
            : (this.activeSelector = '');
        switch (activeSelector) {
            case 'ISSUE_RC':
                this.fetchRCList();
                break;
            case 'ISSUE_CATEGORY':
                this.fetchCategoryList();
                break;
        }
        const sliderType = [
            'ISSUE_RC',
            'ISSUE_CATEGORY',
            'ISSUE_TYPE',
            'ISSUE_CC',
            'ISSUE_FCC',
            'ISSUE_WHO',
            'ISSUE_CONTROL_RISK',
            'LINK_MORE_RESPONSIBILITY',
        ];
        if (sliderType.includes(activeField)) {
            this.pickerChanged.emit(true);
        }
    }
    fieldDeselector(type) {
        this.activeSelector = '';
        this.activeField = '';
        this.pickerChanged.emit(false);
    }
    selectorAction(evt, type) {
        switch (type) {
            case 'ISSUE_CATEGORY': {
                this.logIssueForm.issueCategory = this.idToArray(evt, this.listData.categoryList, 'category_id');
                this.fieldDeselector(type);
                if (evt?.length > 0) {
                    this.removeError('issueCategory');
                }
                if (this.logIssueForm?.issueCategory[0]?.custom_tags?.length) {
                    const tag = [];
                    this.logIssueForm?.issueCategory[0]?.custom_tags.forEach((element) => {
                        tag.push({ name: element, value: '' });
                    });
                    this.logIssueForm.issueCustomTag = tag;
                }
                else {
                    this.logIssueForm.issueCustomTag = [];
                }
                break;
            }
            //["issueName", "issueCategory", "issueRC", "entrustTo", "issueDueDate", "issueRecommendation"]
            case 'ISSUE_RC': {
                this.logIssueForm.issueRC = this.idToArray(evt, this.listData.rcList, 'rc_id');
                this.fieldDeselector(type);
                if (evt?.length > 0) {
                    this.removeError('issueRC');
                }
                break;
            }
            case 'ISSUE_WHO': {
                this.logIssueForm.entrustTo = this.idToArray(evt, this.listData.userList, 'employee_id');
                if (this.logIssueForm.entrustTo[0]?.my_member_id === this.currentUser.id) {
                    this.logIssueForm.isAssignToMyself = true;
                }
                else {
                    this.logIssueForm.isAssignToMyself = false;
                }
                this.fieldDeselector(type);
                if (evt?.length > 0) {
                    this.removeError('entrustTo');
                }
                break;
            }
            case 'ISSUE_TYPE': {
                this.logIssueForm.issueType = this.idToArray(evt, this.listData.issueTypeList, 'issue_id');
                this.fieldDeselector(type);
                break;
            }
            case 'ISSUE_CC': {
                this.logIssueForm.issueCCUsers = this.idToArray(evt, this.listData.userList, 'employee_email');
                this.fieldDeselector(type);
                break;
            }
            case 'ISSUE_FCC': {
                this.logIssueForm.failureCCUsers = this.idToArray(evt, this.listData.userList, 'employee_email');
                this.fieldDeselector(type);
                break;
            }
            case 'ISSUE_CONTROL_RISK':
                this.logIssueForm.linkedControlRisk = this.idToArray(evt, this.listData.linkageList, 'itemId');
                this.logIssueForm.linkageType =
                    this.logIssueForm?.linkedControlRisk[0]?.itemType;
                this.fieldDeselector(type);
                break;
            case 'LINK_MORE_RESPONSIBILITY': {
                this.getRCData(evt);
                this.logIssueForm.responsibilityLinked = evt;
                this.fieldDeselector(type);
                break;
            }
        }
        this.pickerChanged.emit(false);
    }
    deleteItem(type, element) {
        switch (type) {
            case 'ISSUE_CATEGORY': {
                const itemIndex = this.logIssueForm.issueCategory.findIndex((item) => item.category_id === element.category_id);
                if (itemIndex !== -1) {
                    this.logIssueForm.issueCategory.splice(itemIndex, 1);
                }
                break;
            }
            case 'ISSUE_RC': {
                const itemIndex = this.logIssueForm.issueRC.findIndex((item) => item.rc_id === element.rc_id);
                if (itemIndex !== -1) {
                    this.logIssueForm.issueRC.splice(itemIndex, 1);
                }
                break;
            }
            case 'ISSUE_WHO': {
                const itemIndex = this.logIssueForm.entrustTo.findIndex((item) => item.employee_id === element.employee_id);
                if (itemIndex !== -1) {
                    this.logIssueForm.entrustTo.splice(itemIndex, 1);
                }
                this.logIssueForm.isAssignToMyself = false;
                break;
            }
            case 'ISSUE_TYPE': {
                const itemIndex = this.logIssueForm.issueType.findIndex((item) => item.issue_id === element.issue_id);
                if (itemIndex !== -1) {
                    this.logIssueForm.issueType.splice(itemIndex, 1);
                }
                break;
            }
            case 'ISSUE_CC': {
                const itemIndex = this.logIssueForm.issueCCUsers.findIndex((item) => item.employee_email === element.employee_email);
                if (itemIndex !== -1) {
                    this.logIssueForm.issueCCUsers.splice(itemIndex, 1);
                }
                break;
            }
            case 'ISSUE_FCC': {
                const itemIndex = this.logIssueForm.failureCCUsers.findIndex((item) => item.employee_email === element.employee_email);
                if (itemIndex !== -1) {
                    this.logIssueForm.failureCCUsers.splice(itemIndex, 1);
                }
                break;
            }
            case 'ISSUE_CONTROL_RISK':
                const itemIndex = this.logIssueForm.linkedControlRisk.findIndex((item) => item.itemId === element.itemId);
                if (itemIndex !== -1) {
                    this.logIssueForm.linkedControlRisk.splice(itemIndex, 1);
                }
                break;
            case 'LINK_MORE_RESPONSIBILITY': {
                const itemIndex = this.logIssueForm.responsibilityLinked.findIndex((item) => item.ReportId === element.ReportId);
                if (itemIndex > -1) {
                    this.logIssueForm.responsibilityLinked.splice(itemIndex, 1);
                }
                this.getRCData(this.logIssueForm.responsibilityLinked);
                break;
            }
        }
    }
    getRcId(rc) {
        let rcId = rc?.responsibilityCenterArr?.length
            ? rc?.responsibilityCenterArr
            : rc?.rc_id_arr?.length
                ? rc?.rc_id_arr
                : [];
        if (rc?.rc_id) {
            rcId = [...rcId, rc?.rc_id];
        }
        return rcId;
    }
    getRCData(evt) {
        let rcSelected = [];
        if (this.reponsibilityData?.rcId) {
            evt = [...evt, this.reponsibilityData?.rcId];
        }
        evt.forEach((element) => {
            let rcId = this.getRcId(element);
            if (this.reponsibilityData?.rcId?.length) {
                const newRcIds = this.reponsibilityData?.rcId.filter((el) => !rcId.includes(el));
                rcId = [...rcId, ...newRcIds];
            }
            if (rcId?.length) {
                const newRcSelected = rcId
                    .map((rcId) => this.listData?.rcList.find((el) => el?.rc_id === rcId))
                    .filter((rcData) => rcData &&
                    !rcSelected.some((selectedEl) => selectedEl?.rc_id === rcData?.rc_id));
                rcSelected = [...rcSelected, ...newRcSelected];
            }
        });
        this.logIssueForm.issueRC = rcSelected;
    }
    assignMyself(event) {
        this.removeError('entrustTo');
        this.logIssueForm.entrustTo = [];
        if (event) {
            this.logIssueForm.entrustTo = this.listData.userList.filter((emplist) => emplist.my_member_id === this.currentUser.id);
        }
    }
    setException(type) {
        this.logIssueForm.exceptionType = type;
    }
    setEvidence(type) {
        this.logIssueForm.evidenceRequired = type;
    }
    setIssueType(type) {
        this.logIssueForm.issueType = type;
    }
    addMoreInfo(event) {
        this.additionalOptionStatus[event.code] = event.checked;
        this.scrollToBottom = true;
    }
    idToArray(selectedItems, listItems, filterkey) {
        const selected = selectedItems;
        const list = listItems;
        const key = filterkey;
        const x = list.filter((el) => selected.includes(el[key]));
        return x;
    }
    ///Code between 503 to 608 can be optimized to remove duplication
    selectFile(type, files) {
        switch (type) {
            case 'ISSUE_DESCRIPTION': {
                for (let i = 0; i <= files.length - 1; i++) {
                    const name = files[i].file.name ?? '';
                    this.AttachmentTrack[0].push(name);
                    this.uploadFile(files[i].file, type);
                }
                break;
            }
            case 'RECOMMENDED_ACTIONS': {
                for (let i = 0; i <= files.length - 1; i++) {
                    const name = files[i].file.name ?? '';
                    this.AttachmentTrack[1].push(name);
                    this.uploadFile(files[i].file, type);
                }
                break;
            }
            case 'ASSOCIATED_RISKS': {
                for (let i = 0; i <= files.length - 1; i++) {
                    const name = files[i].file.name ?? '';
                    this.AttachmentTrack[2].push(name);
                    this.uploadFile(files[i].file, type);
                }
                break;
            }
        }
    }
    uploadFile(file, type) {
        let trackIndex = 0;
        switch (type) {
            case 'ISSUE_DESCRIPTION': {
                trackIndex = 0;
                break;
            }
            case 'RECOMMENDED_ACTIONS': {
                trackIndex = 1;
                break;
            }
            case 'ASSOCIATED_RISKS': {
                trackIndex = 2;
                break;
            }
        }
        const formData = new FormData();
        formData.append('file', file);
        const destinationString = this.authService.getOrganizationId().toString();
        this.logService.uploadFiles(formData, destinationString + '/').subscribe((res) => {
            const index = this.AttachmentTrack[trackIndex].indexOf(file?.name);
            if (index !== -1) {
                this.AttachmentTrack[trackIndex].splice(index, 1);
            }
            switch (type) {
                case 'ISSUE_DESCRIPTION': {
                    this.logIssueForm.issueDescriptionAttachements.push(res);
                    break;
                }
                case 'RECOMMENDED_ACTIONS': {
                    this.logIssueForm.recommendedActionsAttachments.push(res);
                    break;
                }
                case 'ASSOCIATED_RISKS': {
                    this.logIssueForm.associatedRisksAttachments.push(res);
                    break;
                }
            }
        }, (error) => {
            const index = this.AttachmentTrack[trackIndex].indexOf(file.name);
            if (index !== -1) {
                this.AttachmentTrack[trackIndex].splice(index, 1);
            }
        });
    }
    deleteFile(file, type) {
        let fileIndex = -1;
        switch (type) {
            case 'ISSUE_DESCRIPTION': {
                fileIndex =
                    this.logIssueForm.issueDescriptionAttachements?.findIndex((currentFiles) => currentFiles.org_file === file.org_file) ?? -1;
                this.logIssueForm.issueDescriptionAttachements?.splice(fileIndex, 1);
                break;
            }
            case 'RECOMMENDED_ACTIONS': {
                fileIndex =
                    this.logIssueForm.recommendedActionsAttachments?.findIndex((currentFiles) => currentFiles.org_file === file.org_file) ?? -1;
                this.logIssueForm.recommendedActionsAttachments?.splice(fileIndex, 1);
                break;
            }
            case 'ASSOCIATED_RISKS': {
                fileIndex =
                    this.logIssueForm.associatedRisksAttachments?.findIndex((currentFiles) => currentFiles.org_file === file.org_file) ?? -1;
                this.logIssueForm.associatedRisksAttachments?.splice(fileIndex, 1);
                break;
            }
        }
    }
    addIssue() {
        const form = cloneDeep(this.logIssueForm);
        if (form.isAssignToMyself) {
            form.entrustTo = this.listData.userList.filter((emplist) => emplist.my_member_id === this.currentUser.id);
        }
        this.fieldsWithError = [];
        this.fieldsWithError = this.logService.validate(form, this.openedFrom, this.isRCMandatory);
        if (this.fieldsWithError.length > 0) {
            return;
        }
        const PAYLOAD = this.logService.payloadBuilder(form, this.additionalOptionStatus);
        if (this.mode === 'CREATE') {
            if (['COMPLIANCE_WORKROOM', 'ASSESSMENT'].includes(this.openedFrom) &&
                this.reponsibilityData?.responsibilityId) {
                PAYLOAD.responsibilities_Linked.push(this.reponsibilityData?.responsibilityId);
                PAYLOAD.linked_assessment_issues.due_date_id =
                    this.reponsibilityData?.dueDateId;
            }
            if (['ASSESSMENT'].includes(this.openedFrom) &&
                this.assessmentQuestion?.assessmentId) {
                PAYLOAD.linked_assessment_issues.assessment_id =
                    this.assessmentQuestion?.assessmentId;
                PAYLOAD.linked_assessment_issues.question_id =
                    this.assessmentQuestion?.questionId;
                PAYLOAD.linked_assessment_issues.auditee_id =
                    this.assessmentQuestion?.auditeeId;
                PAYLOAD.linked_assessment_issues.resp_id =
                    this.reponsibilityData?.responsibilityObjectId;
                PAYLOAD.linked_assessment_issues.due_date_id =
                    this.reponsibilityData?.dueDateId;
                PAYLOAD.source = this.source;
            }
            if (['VIEW_AUDIT_EXECUTION_SUMMARY', 'EXECUTE_AUDIT_PLAN'].includes(this.openedFrom)) {
                if (this.logIssueForm?.linkageType &&
                    this.logIssueForm?.linkedControlRisk.length > 0) {
                    if (['RISK', 'RESPONSIBILITY'].includes(this.logIssueForm?.linkageType)) {
                        PAYLOAD.linkage_object.source_id =
                            this.logIssueForm?.linkedControlRisk[0]?.itemId;
                    }
                }
            }
            if ([
                'AUDIT_WORKROOM',
                'VIEW_AUDIT_EXECUTION_SUMMARY',
                'EXECUTE_AUDIT_PLAN',
            ].includes(this.openedFrom)) {
                if (this.issueDetails.auditPlanId) {
                    PAYLOAD.linkage_object.source_id = this.issueDetails.auditPlanId;
                }
            }
            if (!this.validateDate(this.logIssueForm.issueDueTime, moment$1(this.logIssueForm.issueDueDate, 'DD MMM YYYY')?.toDate())) {
                return;
            }
        }
        if (this.mode === 'EDIT') {
            PAYLOAD.IssueLinkage = this.dataForEdit?.linkage_object;
        }
        this.loader = true;
        this.uiKitService.isLoader = true;
        if (this.mode === 'EDIT') {
            this.logService.updateIssue(PAYLOAD, this.issueId).subscribe((res) => {
                // this.smileyMessage = `The issue has been updated.`;
                this.issueData = res;
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.loader = false;
                this.uiKitService.isLoader = false;
            }, (error) => {
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
        else if (this.mode === 'CREATE' || this.mode === '' || !this.mode) {
            this.logService.createIssue(PAYLOAD).subscribe((res) => {
                this.issueData = res;
                this.showSmiley = true;
                this.uiKitService.isSmileyOn = true;
                this.loader = false;
                this.uiKitService.isLoader = false;
            }, (error) => {
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
    }
    closeSmiley(evt) {
        this.resetIssueForm();
        this.showSmiley = false;
        this.uiKitService.isSmileyOn = false;
        this.closeWorkFlow(this.issueData, false);
    }
    /**
     * Closes workflow engine
     * @param evt
     * @param confirm
     */
    closeWorkFlow(evt, confirm) {
        this.closeWorkflow.emit({ evt, confirm });
    }
    action(evt) {
        if (evt === 'addMore') {
            this.resetIssueForm();
            this.showSmiley = false;
            this.uiKitService.isSmileyOn = false;
            // this.closeWorkFlow(this.issueData, false);
        }
        else if (evt === 'viewIssue') {
            this.viewIssue();
        }
    }
    viewIssue() {
        this.disconnectRefresh.emit(false);
        let url;
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host;
        }
        else {
            url = 'https://' + window.location.host;
        }
        if (window.location.host.startsWith('localhost')) {
            url += '/issue/issue-workroom/' + this.issueData?._id;
        }
        else {
            url += '/audit/issue/issue-workroom/' + this.issueData?._id;
        }
        this.iframeService.redirectIfInIframe(url);
    }
    /**
     * Populate the tickmark of optional fields
     */
    populateOptionalFields() {
        const activatedOptions = [];
        for (const key of Object.keys(this.additionalOptionStatus)) {
            if (this.additionalOptionStatus[key] === true) {
                activatedOptions.push(key);
            }
        }
        this.populateOption.emit(activatedOptions);
    }
    /**
     * Fetchs issue details when in edit mode based on the input id passed
     */
    fetchIssueDetails() {
        this.loader = true;
        this.uiKitService.isLoader = true;
        this.logService.getIssueDetails(this.issueId).subscribe((data) => {
            this.populateForm(data);
            this.setRcEditable();
        });
    }
    /**
     * Populates the issue form when in edit mode
     * @param issueData issue data fetched from API
     */
    async populateForm(issueData) {
        this.dataForEdit = issueData;
        this.loader = false;
        this.uiKitService.isLoader = false;
        if (issueData?.linkage_responsibility_details?.length) {
            this.isLinkResponsibility = true;
        }
        if (issueData?.rc_ids?.length) {
            this.isLinkRC = false;
        }
        if (issueData?.linkage_responsibility_details?.length) {
            this.reponsibilityData = {
                responsibilityId: issueData?.linkage_responsibility_details[0]?.ReportId,
                responsibilityName: issueData?.linkage_responsibility_details[0]?.ReportName,
                rcId: issueData?.linkage_responsibility_details[0]?.rc_id_arr,
                responsibilityObjectId: issueData?.linkage_responsibility_details[0]?.source_object_id,
                dueDateId: '',
            };
        }
        this.isLinkQuestionVisible = issueData?.linked_assessment_question?.response
            ?.name
            ? true
            : false;
        const issueDueDate = issueData?.frequency_details?.frequency_date
            .split('-')
            .map(Number);
        if (issueData?.linked_assessment_question) {
            this.assessmentQuestion = {
                questionName: issueData?.linked_assessment_question?.response?.title ?? '',
                questionId: issueData?.linked_assessment_question?.response?.name ?? '',
                questionNumber: issueData?.linked_assessment_question?.response?.question_number ??
                    '',
                assessmentId: issueData?.linked_assessment_question?.assessment_id ?? '',
            };
        }
        this.logIssueForm = {
            issueName: issueData?.title ?? '',
            evidenceRequired: issueData?.evidence?.evidence_flag ?? 0,
            issueDescription: issueData?.description?.length
                ? issueData?.description[0]?.text
                : '',
            issueDescriptionAttachements: issueData?.description?.length
                ? issueData?.description[0]?.attachments
                : [],
            issueCategory: issueData?.category_id
                ? this.listData?.categoryList?.filter((e) => e?.category_id === issueData?.category_id)
                : [],
            issueCustomTag: issueData?.custom_tags ?? [],
            issueRC: issueData?.rc_ids?.length
                ? this.listData?.rcList?.filter((e) => issueData?.rc_ids?.includes(e?.rc_id))
                : [],
            responsibilityLinked: issueData?.linkage_responsibility_details?.length
                ? issueData?.linkage_responsibility_details
                : [],
            recommendedActionsAttachments: issueData?.recommendation?.length
                ? issueData?.recommendation[0]?.attachments
                : [],
            associatedRisksAttachments: [],
            isAssignToMyself: issueData?.assignee_id === this.currentUser?.id ? true : false,
            entrustTo: this.listData?.userList?.filter((e) => e?.my_member_id === issueData?.assignee_id),
            issueDueDate: issueData?.frequency_details?.frequency_date
                ? moment$1(`${issueDueDate[0]}-${issueDueDate[1]}-${issueDueDate[2]}`, 'YYYY-MM-DD')
                : '',
            issueDueTime: this.logService.convertFrom24To12Format(issueData?.frequency_details?.frequency_time),
            exceptionType: issueData?.exception_type ?? 1,
            issueRiskRating: issueData?.risk_class ?? 1,
            issuePriority: issueData?.priority ?? 1,
            issueRecommendation: issueData?.recommendation?.length
                ? issueData?.recommendation[0]?.text
                : '',
            issueAssociatedRisk: issueData?.associated_risk?.length
                ? issueData?.associated_risk[0]?.text
                : '',
            issueCCUsers: issueData.overseer?.cc_email.length
                ? await this.generateOverseerList(this.listData?.userList, issueData?.overseer?.cc_email)
                : [],
            failureCCUsers: issueData?.overseer?.failure_cc_email.length
                ? await this.generateOverseerList(this.listData?.userList, issueData?.overseer?.failure_cc_email)
                : [],
            linkedControlRisk: [],
            linkageType: 'RESPONSIBILITY',
            issueType: issueData?.issueType ? issueData?.issueType : 'issue',
            title: issueData?.linked_assessment_question?.response?.title ?? '',
            questionNumber: issueData?.linked_assessment_question?.response?.question_number ?? '',
        };
        if (this.mode === 'EDIT') {
            this.logIssueForm.issueRC?.length > 0
                ? (this.isRCPreSelected = true)
                : (this.isRCPreSelected = false);
            issueData.linkage_object?.source === 'GLOBAL' && issueData?.rc_id
                ? (this.isRCPreSelected = false)
                : (this.isRCPreSelected = true);
        }
        this.setOptionalField(issueData);
        this.setLink();
    }
    /**
     * Sets the visibility of optional fields
     * @param issueData  issue data fetched from API
     */
    setOptionalField(issueData) {
        this.additionalOptionStatus = {
            EXCEPTION_TYPE: issueData.exception_type ? true : false,
            EVIDENCE: issueData.evidence.evidence_flag ? true : false,
            PRIORITY: issueData.priority ? true : false,
            ISSUE_TYPE: false,
            ASSOCIATED_RISKS: issueData.associated_risk.length
                ? issueData.associated_risk[0].text.length
                    ? true
                    : false
                : false,
            OVERSIGHT: issueData.overseer.cc_email.length > 0 ||
                issueData.overseer.failure_cc_email.length > 0
                ? true
                : false,
        };
        this.populateOptionalFields();
    }
    /**
     * Generates list of selected overseer
     * @param allUserList list of all users in the organzation
     * @param overseerList  lit of the overseer that needs to be filtered
     * @returns  list of array containing the users objects
     */
    generateOverseerList(allUserList, overseerList) {
        return overseerList.map((user) => {
            const foundUser = allUserList.find((element) => element.my_member_id === user.member_id);
            if (foundUser) {
                return foundUser;
            }
        });
    }
    /**
     * Resets issue form
     */
    resetIssueForm() {
        this.scrollToBottom = false;
        this.logIssueForm = {
            issueName: '',
            evidenceRequired: 0,
            issueDescription: '',
            issueDescriptionAttachements: [],
            recommendedActionsAttachments: [],
            associatedRisksAttachments: [],
            issueCategory: [],
            issueCustomTag: [],
            issueRC: [],
            issueType: 'issue',
            isAssignToMyself: false,
            entrustTo: [],
            issueDueDate: '',
            issueDueTime: DEFAULT_TIME,
            exceptionType: 1,
            issueRiskRating: 1,
            issuePriority: 1,
            issueRecommendation: '',
            issueAssociatedRisk: '',
            issueCCUsers: [],
            failureCCUsers: [],
            responsibilityLinked: [],
        };
        for (const key of Object.keys(this.additionalOptionStatus)) {
            this.additionalOptionStatus[key] = false;
        }
        // this.smileyMessage = `The issue has been reported.`;
        this.mode = 'CREATE';
        this.modeChange.emit(this.mode);
        this.populateOptionalFields();
        this.setSelectedRC();
    }
    checkDescription() {
        if (this.logIssueForm.issueDescription == '<br>') {
            this.logIssueForm.issueDescription = '';
        }
        if (this.logIssueForm.issueRecommendation == '<br>') {
            this.logIssueForm.issueRecommendation = '';
        }
        if (this.logIssueForm.issueAssociatedRisk == '<br>') {
            this.logIssueForm.issueAssociatedRisk = '';
        }
    }
    onTimeChanged(event) {
        if (!this.validateDate(event?.selectedValue, this.logIssueForm?.issueDueDate)) {
            return;
        }
        this.logIssueForm.issueDueTime = event?.selectedValue;
    }
    validateDate(time, dateString) {
        if (this.logIssueForm?.issueDueDate) {
            const isMoment = moment$1.isMoment(dateString.getTime);
            const currentDate = new Date(dateString);
            const issueDueDate = currentDate.toDateString().split(' ');
            const selectedDate = moment$1(`${issueDueDate[1]}-${issueDueDate[2]}-${issueDueDate[3]} ${time}`, 'MMM-DD-YYYY HH:mm a').unix();
            const userTimeZone = this.authService?.userDetails?.timezone;
            const currentDateInTimeZone = new Date().toLocaleString('en-US', {
                timeZone: userTimeZone,
            });
            const currentDateTimeInTimeZone = new Date(currentDateInTimeZone).getTime();
            if (selectedDate * 1000 < currentDateTimeInTimeZone) {
                this.isFutureDate = false;
                return false;
            }
        }
        this.isFutureDate = true;
        return true;
    }
    get getDateValidationMessage() {
        return 'Please set a future date.';
    }
    documentClick(event) {
        const datePickerObject = {
            event: event,
            class: 'max-time',
            popup: this.datePickerPopUp,
            component: this.datePicker,
            overlay: this.datePickerOverlay,
        };
        this.commonService.handleDocumentClick(datePickerObject);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogAnIssueComponent, deps: [{ token: LogIssueService }, { token: AuthService$1 }, { token: UiKitService }, { token: SnackBarService }, { token: CommonService }, { token: i0.ChangeDetectorRef }, { token: OrganizationUserService }, { token: OrganizationCommonService }, { token: ComplianceCommonService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LogAnIssueComponent, selector: "app-log-an-issue", inputs: { openedFrom: "openedFrom", source: "source", issueId: "issueId", reponsibilityData: "reponsibilityData", assessmentQuestion: "assessmentQuestion", issueDetails: "issueDetails", mode: "mode", config: "config", responsibilitiesData: "responsibilitiesData" }, outputs: { pickerChanged: "pickerChanged", populateOption: "populateOption", closeWorkflow: "closeWorkflow", modeChange: "modeChange", disconnectRefresh: "disconnectRefresh" }, host: { listeners: { "document:click": "documentClick($event)" } }, viewQueries: [{ propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerPopUp", first: true, predicate: ["datePicker"], descendants: true, read: ElementRef }], usesOnChanges: true, ngImport: i0, template: "<!-- <p>log-an-issue works!</p> -->\n<div class=\"log-an-issue\" *ngIf=\"!showSmiley\">\n  <div class=\"form-group-row\">\n    <div\n      *ngIf=\"\n        (['COMPLIANCE_WORKROOM'].includes(openedFrom) ||\n          isLinkResponsibility) &&\n        !isLinkQuestionVisible\n      \"\n      class=\"left\"\n      [class.checked]=\"false\"\n    >\n      <img\n        [src]=\"ASSETS.link_items\"\n        alt=\"link_responsibilities\"\n        *ngIf=\"\n          (logIssueForm?.responsibilityLinked?.length === 0 &&\n            !reponsibilityData?.responsibilityName) ||\n          activeField === 'LINK_MORE_RESPONSIBILITY'\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div\n      *ngIf=\"\n        (['COMPLIANCE_WORKROOM'].includes(openedFrom) ||\n          isLinkResponsibility) &&\n        !isLinkQuestionVisible\n      \"\n      class=\"right\"\n    >\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >{{ linkText }}\n          <button\n            class=\"button\"\n            *ngIf=\"['COMPLIANCE_WORKROOM'].includes(openedFrom)\"\n            (click)=\"\n              setActiveFieldSelector(\n                'LINK_MORE_RESPONSIBILITY',\n                'LINK_MORE_RESPONSIBILITY'\n              )\n            \"\n          >\n            Link More Responsibilities\n          </button>\n        </label>\n        <input\n          type=\"text\"\n          placeholder=\"Select responsibilities that are linked to this issue\"\n          readonly\n          *ngIf=\"\n            !['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n            !logIssueForm?.responsibilityLinked?.length\n          \"\n          (click)=\"\n            setActiveFieldSelector(\n              'LINK_MORE_RESPONSIBILITY',\n              'LINK_MORE_RESPONSIBILITY'\n            )\n          \"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            ['COMPLIANCE_WORKROOM'].includes(openedFrom) ||\n            logIssueForm?.responsibilityLinked?.length\n          \"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <span\n              *ngIf=\"\n                ['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n                reponsibilityData?.responsibilityName\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt full-width\"\n              [appTooltip]=\"reponsibilityData?.responsibilityName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ reponsibilityData?.responsibilityName }}</span\n            >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"!['COMPLIANCE_WORKROOM'].includes(openedFrom)\"\n              (click)=\"\n                deleteItem(\n                  'LINK_MORE_RESPONSIBILITY',\n                  logIssueForm?.responsibilityLinked[0]\n                )\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              *ngIf=\"\n                !['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n                logIssueForm?.responsibilityLinked?.length\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.responsibilityLinked[0]?.ReportName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.responsibilityLinked[0]?.ReportName }}</span\n            >\n            <button\n              *ngIf=\"\n                (['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n                  logIssueForm?.responsibilityLinked?.length) ||\n                logIssueForm?.responsibilityLinked?.length > 1\n              \"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"linkResp.popover()\"\n              placement=\"right\"\n            >\n              +{{\n                ![\"COMPLIANCE_WORKROOM\"].includes(openedFrom)\n                  ? logIssueForm?.responsibilityLinked?.length - 1\n                  : logIssueForm?.responsibilityLinked?.length\n              }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"\n              activeField !== 'LINK_MORE_RESPONSIBILITY' &&\n              logIssueForm?.responsibilityLinked?.length\n            \"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"\n              setActiveFieldSelector(\n                'LINK_MORE_RESPONSIBILITY',\n                'LINK_MORE_RESPONSIBILITY'\n              )\n            \"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #linkResp [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let resp of logIssueForm?.responsibilityLinked\n                  | slice\n                    : (!['COMPLIANCE_WORKROOM'].includes(openedFrom) ? 1 : 0)\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    class=\"icons\"\n                    (click)=\"deleteItem('LINK_MORE_RESPONSIBILITY', resp)\"\n                    >&#xe90d;</i\n                  >\n                  {{ resp?.ReportName }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <div class=\"form-group-row\">\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"left\"\n      [class.checked]=\"false\"\n    >\n      <img\n        [src]=\"ASSETS.link_controls\"\n        alt=\"link_responsibility\"\n        *ngIf=\"\n          (logIssueForm?.responsibilityLinked?.length === 0 &&\n            !reponsibilityData?.responsibilityName) ||\n          activeField === 'LINK_RESPONSIBILITY'\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"right\"\n    >\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">{{ linkText }}</label>\n        <div\n          class=\"selected\"\n          *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <span\n              *ngIf=\"\n                (['ASSESSMENT'].includes(openedFrom) &&\n                  reponsibilityData?.responsibilityName) ||\n                isLinkQuestionVisible\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt full-width\"\n              [appTooltip]=\"reponsibilityData?.responsibilityName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ reponsibilityData?.responsibilityName }}</span\n            >\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"left\"\n      [class.checked]=\"false\"\n    >\n      <img\n        [src]=\"ASSETS.link_items\"\n        alt=\"link_assessment_question\"\n        *ngIf=\"\n          !assessmentQuestion?.questionName ||\n          activeField === 'LINK_ASSESSMENT_QUESTION'\n        \"\n      />\n      <svg\n        *ngIf=\"isLinkQuestionVisible || ['ASSESSMENT'].includes(openedFrom)\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"right\"\n    >\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Linked Assessment Question </label>\n        <div\n          class=\"selected\"\n          *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <span\n              *ngIf=\"\n                (['ASSESSMENT'].includes(openedFrom) &&\n                  assessmentQuestion?.questionName) ||\n                isLinkQuestionVisible\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt full-width\"\n              appTooltip=\"{{\n                assessmentQuestion?.questionNumber +\n                  ': ' +\n                  assessmentQuestion?.questionName\n              }}\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                assessmentQuestion?.questionNumber +\n                  \": \" +\n                  assessmentQuestion?.questionName\n              }}</span\n            >\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"form-group-row\"\n    *ngIf=\"\n      ['VIEW_AUDIT_EXECUTION_SUMMARY', 'EXECUTE_AUDIT_PLAN'].includes(\n        openedFrom\n      ) || isRiskControlVisible\n    \"\n    [class.active]=\"activeField === 'ISSUE_CONTROL_RISK'\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_CONTROL_RISK' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"logIssueForm?.linkedControlRisk?.length > 0\"\n    >\n      <img\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n        *ngIf=\"\n          logIssueForm?.linkedControlRisk?.length === 0 ||\n          activeField === 'ISSUE_CONTROL_RISK'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          logIssueForm?.linkedControlRisk?.length > 0 &&\n          activeField !== 'ISSUE_CONTROL_RISK'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Select a control or risk</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.linkedControlRisk ||\n            logIssueForm?.linkedControlRisk?.length === 0\n          \"\n        >\n          <input\n            (click)=\"\n              setActiveFieldSelector('ISSUE_CONTROL_RISK', 'ISSUE_CONTROL_RISK')\n            \"\n            type=\"text\"\n            placeholder=\"Select a control or risk.\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"logIssueForm?.linkedControlRisk?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                deleteItem(\n                  'ISSUE_CONTROL_RISK',\n                  logIssueForm?.linkedControlRisk[0]\n                )\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.linkedControlRisk[0]?.itemControlName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.linkedControlRisk[0]?.itemControlName }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_CONTROL_RISK',logIssueForm?.linkedControlRisk[0])\">&#xe90d;</i>{{logIssueForm?.linkedControlRisk[0]?.itemControlName}}</span>\n                  </div> -->\n          <button\n            class=\"edit\"\n            *ngIf=\"activeField !== 'ISSUE_CONTROL_RISK'\"\n            type=\"button\"\n            (click)=\"\n              setActiveFieldSelector('ISSUE_CONTROL_RISK', 'ISSUE_CONTROL_RISK')\n            \"\n          >\n            <i class=\"icons\">&#xe90c;</i>Edit\n          </button>\n        </div>\n      </div>\n      <div\n        class=\"vx-form-group\"\n        *ngFor=\"let tag of logIssueForm.issueCustomTag | keyvalue\"\n      >\n        <!-- {{logIssueForm.issueCustomTag|json}} -->\n        <label class=\"vx-control-panel\">{{\n          tag?.value?.custom_tag_name\n        }}</label>\n        <input\n          type=\"text\"\n          [placeholder]=\"tag?.value?.custom_tag_name\"\n          [(ngModel)]=\"tag.value.custom_tag_value\"\n        />\n      </div>\n    </div>\n  </div>\n\n  <!-- Issue Title -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_TITLE' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueName.trim().length\">\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"name\"\n        *ngIf=\"\n          !logIssueForm.issueName.trim().length || activeField === 'ISSUE_TITLE'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          logIssueForm.issueName.trim().length && activeField !== 'ISSUE_TITLE'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Issue Title <span class=\"required\">*</span>\n        </label>\n        <input\n          type=\"text\"\n          placeholder=\"Add a name for this issue\"\n          [(ngModel)]=\"logIssueForm.issueName\"\n          (focusin)=\"setActiveFieldSelector('ISSUE_TITLE', 'ISSUE_TITLE')\"\n          (keyup)=\"\n            logIssueForm.issueName?.trim()?.length > 0\n              ? removeError('issueName')\n              : null\n          \"\n          (focusout)=\"setActiveFieldSelector('', '')\"\n          *ngIf=\"\n            logIssueForm.issueName == '' || activeSelector === 'ISSUE_TITLE'\n          \"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            logIssueForm.issueName.length && activeSelector !== 'ISSUE_TITLE'\n          \"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ logIssueForm.issueName }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"setActiveFieldSelector('ISSUE_TITLE', 'ISSUE_TITLE')\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p class=\"error-message\" *ngIf=\"fieldsWithError.includes('issueName')\">\n          Enter a name for this issue.\n        </p>\n        <ng-container *ngIf=\"AttachmentTrack[0]?.length > 0\">\n          <div\n            class=\"file-list\"\n            *ngFor=\"let uploadingFile of AttachmentTrack[0]\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n              <!-- <button>\n                              <i class=\"icons\">&#xe90d;</i>\n                          </button> -->\n            </div>\n            <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"logIssueForm?.issueDescriptionAttachements?.length > 0\"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"let file of logIssueForm?.issueDescriptionAttachements\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i class=\"icons\" (click)=\"deleteFile(file, 'ISSUE_DESCRIPTION')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [editorConfig]=\"{\n            mode: 'prime',\n            file: false,\n            colorPalette: true,\n            link: true,\n            placeholder: 'Description'\n          }\"\n          [(ngModel)]=\"logIssueForm.issueDescription\"\n          (sendSavedFiles)=\"selectFile('ISSUE_DESCRIPTION', $event)\"\n          (clickOutside)=\"checkDescription()\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- issue type start-->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_TITLE' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left checked\">\n      <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/what.svg\" alt=\"name\"\n              *ngIf=\"!logIssueForm.issueName.trim().length || activeField === 'ISSUE_TITLE'\"> -->\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"> Issue Type </label>\n        <app-cs-radio\n          class=\"main-filed\"\n          name=\"issue-type\"\n          [checked]=\"logIssueForm?.issueType === 'issue'\"\n          (checkedEvent)=\"setIssueType('issue')\"\n          >Issue\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n        <app-cs-radio\n          class=\"main-filed\"\n          name=\"issue-type\"\n          [checked]=\"logIssueForm?.issueType === 'incident'\"\n          (checkedEvent)=\"setIssueType('incident')\"\n          >Incident\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n      </div>\n    </div>\n  </div>\n\n  <!-- Issue Category -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeField === 'ISSUE_CATEGORY'\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_CATEGORY' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.issueCategory?.length > 0\">\n      <img\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n        *ngIf=\"\n          logIssueForm?.issueCategory?.length === 0 ||\n          activeField === 'ISSUE_CATEGORY'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          logIssueForm?.issueCategory?.length > 0 &&\n          activeField !== 'ISSUE_CATEGORY'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Issue Category</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.issueCategory ||\n            logIssueForm?.issueCategory?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_CATEGORY', 'ISSUE_CATEGORY')\"\n            type=\"text\"\n            placeholder=\"Select a category for this issue\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"logIssueForm?.issueCategory?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                deleteItem('ISSUE_CATEGORY', logIssueForm?.issueCategory[0])\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.issueCategory[0]?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.issueCategory[0]?.category_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_CATEGORY',logIssueForm?.issueCategory[0])\">&#xe90d;</i>{{logIssueForm?.issueCategory[0]?.category_name}}</span>\n                  </div> -->\n          <button\n            class=\"edit\"\n            *ngIf=\"activeField !== 'ISSUE_CATEGORY'\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_CATEGORY', 'ISSUE_CATEGORY')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <p\n          class=\"error-message\"\n          *ngIf=\"fieldsWithError.includes('issueCategory')\"\n        >\n          Select an issue category.\n        </p>\n      </div>\n      <div\n        class=\"vx-form-group\"\n        *ngFor=\"let tag of logIssueForm.issueCustomTag\"\n      >\n        <!-- {{logIssueForm.issueCustomTag|json}} -->\n        <label class=\"vx-control-panel\">{{ tag?.name }}</label>\n        <input type=\"text\" [placeholder]=\"tag?.name\" [(ngModel)]=\"tag.value\" />\n      </div>\n    </div>\n  </div>\n\n  <!-- Responsibility Center -->\n  <div\n    class=\"form-group-row\"\n    *ngIf=\"isRCEditable || logIssueForm?.issueRC?.length\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_RC' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div\n      *ngIf=\"isRCEditable || logIssueForm?.issueRC?.length\"\n      class=\"left\"\n      [class.checked]=\"logIssueForm?.issueRC?.length > 0\"\n    >\n      <img\n        [src]=\"ASSETS.responsibility_center\"\n        alt=\"\"\n        *ngIf=\"logIssueForm?.issueRC?.length === 0\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"logIssueForm?.issueRC?.length > 0 && activeField !== 'ISSUE_RC'\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div *ngIf=\"isRCEditable || logIssueForm?.issueRC?.length\" class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Responsibility Center\n          <span class=\"required\" *ngIf=\"isRCMandatory\">*</span>\n        </label>\n        <div\n          class=\"select\"\n          *ngIf=\"!logIssueForm?.issueRC || logIssueForm?.issueRC?.length === 0\"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_RC', 'ISSUE_RC')\"\n            type=\"text\"\n            placeholder=\"Select Responsibility Center(s)\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"logIssueForm?.issueRC?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"isRCEditable\"\n              (click)=\"deleteItem('ISSUE_RC', logIssueForm?.issueRC[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.issueRC[0]?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.issueRC[0]?.item_name }}</span\n            >\n            <button\n              *ngIf=\"logIssueForm?.issueRC?.length > 1\"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"RC.popover()\"\n              placement=\"right\"\n            >\n              +{{ logIssueForm?.issueRC?.slice(1)?.length }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"activeField !== 'ISSUE_RC' && isRCEditable\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_RC', 'ISSUE_RC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <p class=\"error-message\" *ngIf=\"fieldsWithError.includes('issueRC')\">\n          Select the Responsibility Center associated with this issue.\n        </p>\n      </div>\n      <app-popover #RC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let rc of logIssueForm?.issueRC | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"isRCEditable\"\n                    class=\"icons\"\n                    (click)=\"deleteItem('ISSUE_RC', rc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ rc?.item_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Who -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_WHO' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.entrustTo?.length > 0\">\n      <img\n        [src]=\"ASSETS.case_assignees\"\n        alt=\"im\"\n        *ngIf=\"\n          (logIssueForm?.entrustTo?.length === 0 &&\n            !logIssueForm?.isAssignToMyself) ||\n          activeField === 'ISSUE_WHO'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          (logIssueForm?.entrustTo?.length > 0 ||\n            logIssueForm?.isAssignToMyself) &&\n          activeField !== 'ISSUE_WHO'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Who? <span class=\"required\">*</span></label\n        >\n        <div\n          class=\"select\"\n          [class.disabled]=\"logIssueForm?.isAssignToMyself\"\n          *ngIf=\"\n            !logIssueForm?.entrustTo || logIssueForm?.entrustTo?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_WHO', 'ISSUE_WHO')\"\n            [disabled]=\"logIssueForm?.isAssignToMyself\"\n            type=\"text\"\n            placeholder=\"Who is responsible for completing the responsibility?\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"logIssueForm?.entrustTo?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('ISSUE_WHO', logIssueForm?.entrustTo[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.entrustTo[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.entrustTo[0]?.employee_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_WHO',logIssueForm?.entrustTo[0])\">&#xe90d;</i>{{logIssueForm?.entrustTo[0]?.employee_name}}</span>\n                  </div> -->\n          <button\n            *ngIf=\"activeField !== 'ISSUE_WHO'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_WHO', 'ISSUE_WHO')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p class=\"error-message\" *ngIf=\"fieldsWithError.includes('entrustTo')\">\n          Select the person responsible for resolving this issue.\n        </p>\n        <div\n          class=\"switch-row align-right\"\n          [class.disabled]=\"activeField === 'ISSUE_WHO'\"\n        >\n          <app-cs-switch\n            [disabled]=\"activeField === 'ISSUE_WHO'\"\n            [(ngValue)]=\"logIssueForm.isAssignToMyself\"\n            (ngValueChange)=\"assignMyself($event)\"\n            >OR ASSIGN TO MYSELF</app-cs-switch\n          >\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Maximun Time to Resolve -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_DATE_TIME' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.issueDueDate\">\n      <img\n        [src]=\"ASSETS.when\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issueDueDate || activeField === 'ISSUE_DATE_TIME'\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issueDueDate && activeField !== 'ISSUE_DATE_TIME'\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Maximum Time to Resolve <span class=\"required\">*</span></label\n        >\n        <div class=\"date-time-picker\">\n          <div class=\"picker-group\">\n            <input\n              type=\"text\"\n              readonly\n              placeholder=\"Set a deadline.\"\n              [value]=\"logIssueForm.issueDueDate | date : 'dd MMM yyyy'\"\n              (click)=\"openDatePicker()\"\n              id=\"max-time\"\n            />\n            <i class=\"icons\">&#xe92d;</i>\n            <dp-date-picker\n              #datePicker\n              (onSelect)=\"\n                datePickerOverlay = false;\n                closeDatePicker($event);\n                removeError('issueDueDate')\n              \"\n              [config]=\"dateConfig\"\n              [(ngModel)]=\"logIssueForm.issueDueDate\"\n            >\n            </dp-date-picker>\n            <div\n              class=\"vx-overlay\"\n              (click)=\"closeDatePicker($event)\"\n              *ngIf=\"datePickerOverlay\"\n            ></div>\n          </div>\n\n          <div\n            class=\"picker-group\"\n            appPopover\n            (click)=\"timePicker.popover()\"\n            placement=\"right\"\n          >\n            <input\n              (mouseover)=\"setCurrentTime()\"\n              [(ngModel)]=\"logIssueForm.issueDueTime\"\n              [value]=\"logIssueForm?.issueDueTime\"\n              readonly\n              class=\"time\"\n              placeholder=\"Select Time\"\n              type=\"text\"\n              [min]=\"currentTime\"\n            />\n            <i class=\"icons\">&#xe955;</i>\n          </div>\n          <app-popover #timePicker [dontCloseonClick]=\"true\">\n            <app-time-picker\n              [time]=\"logIssueForm?.issueDueTime\"\n              (onTimeSelection)=\"\n                onTimeChanged($event); timePicker.closePopover('top')\n              \"\n            ></app-time-picker>\n          </app-popover>\n        </div>\n        <p\n          class=\"error-message\"\n          *ngIf=\"fieldsWithError.includes('issueDueDate')\"\n        >\n          Select the date by which this issue needs to be resolved.\n        </p>\n\n        <p class=\"error-message\" *ngIf=\"!isFutureDate\">\n          {{ getDateValidationMessage }}\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Recommended Actions -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueRecommendation\">\n      <img\n        [src]=\"ASSETS.recommended_action\"\n        alt=\"im\"\n        *ngIf=\"!(logIssueForm.issueRecommendation | spaceBreaker).length\"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"(logIssueForm.issueRecommendation | spaceBreaker).length > 0\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Recommended Actions <span class=\"required\">*</span></label\n        >\n        <ng-container *ngIf=\"AttachmentTrack[1]?.length > 0\">\n          <div\n            class=\"file-list\"\n            *ngFor=\"let uploadingFile of AttachmentTrack[1]\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n              <!-- <button>\n                            <i class=\"icons\">&#xe90d;</i>\n                        </button> -->\n            </div>\n            <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"logIssueForm?.recommendedActionsAttachments?.length > 0\"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"let file of logIssueForm?.recommendedActionsAttachments\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i\n                  class=\"icons\"\n                  (click)=\"deleteFile(file, 'RECOMMENDED_ACTIONS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"logIssueForm.issueRecommendation\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: true,\n            placeholder: 'Recommended actions'\n          }\"\n          (ngModelChange)=\"\n            logIssueForm?.issueRecommendation?.trim()?.length > 0\n              ? removeError('issueRecommendation')\n              : null\n          \"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('RECOMMENDED_ACTIONS', $event)\"\n        ></vcomply-editor>\n        <p\n          class=\"error-message\"\n          *ngIf=\"fieldsWithError.includes('issueRecommendation')\"\n        >\n          Specify the recommended actions to resolve this issue.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- *ngIf=\"!hiddenList.includes('RISK_CLASSIFICATION')\"  [class.disabled]=\"activeField  && sideSelectorElements.includes(activeField)\" -->\n  <!-- removed the above condition since Risk Classification should be displayed by default in log an issue form -->\n\n  <!-- Risk Classification -->\n  <div class=\"form-group-row\" id=\"risk_classification\">\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueRiskRating\">\n      <img\n        [src]=\"ASSETS.risks\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issueRiskRating\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issueRiskRating\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Risk Classification</label>\n        <div class=\"classification\">\n          <label\n            class=\"low\"\n            *ngFor=\"let class of riskClassification\"\n            [ngClass]=\"[class.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification\"\n              [value]=\"class.value\"\n              [checked]=\"logIssueForm?.issueRiskRating === class.value\"\n              [(ngModel)]=\"logIssueForm.issueRiskRating\"\n            />\n            <span>{{ class.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Exception Type -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.EXCEPTION_TYPE\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.exceptionType > -1\">\n      <img\n        [src]=\"ASSETS.exception_type\"\n        alt=\"im\"\n        *ngIf=\"logIssueForm?.exceptionType === null\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.exceptionType > -1\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Exception Type</label>\n        <app-cs-radio\n          class=\"main-filed\"\n          [value]=\"1\"\n          name=\"exception-type\"\n          [checked]=\"logIssueForm?.exceptionType === 1\"\n          (checkedEvent)=\"setException(1)\"\n          >Design Exception\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n        <app-cs-radio\n          class=\"main-filed\"\n          [value]=\"2\"\n          name=\"exception-type\"\n          [checked]=\"logIssueForm?.exceptionType === 2\"\n          (checkedEvent)=\"setException(2)\"\n          >Effectiveness Exception\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n      </div>\n    </div>\n  </div>\n\n  <!-- Priority -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.PRIORITY\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.issuePriority\">\n      <img\n        [src]=\"ASSETS.priority\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issuePriority\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issuePriority > 0\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Priority</label>\n        <div class=\"classification\">\n          <label\n            *ngFor=\"let priority of riskPrority\"\n            [ngClass]=\"[priority.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification-priority\"\n              [value]=\"priority.value\"\n              [checked]=\"logIssueForm?.issuePriority === priority.value\"\n              [(ngModel)]=\"logIssueForm.issuePriority\"\n            />\n            <span>{{ priority.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Associated Risks -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.ASSOCIATED_RISKS\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueAssociatedRisk\">\n      <img\n        [src]=\"ASSETS.associated_risks\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issueAssociatedRisk.trim().length\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issueAssociatedRisk.trim().length\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Associated Risks </label>\n        <ng-container *ngIf=\"AttachmentTrack[2]?.length > 0\">\n          <div\n            class=\"file-list\"\n            *ngFor=\"let uploadingFile of AttachmentTrack[2]\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n              <!-- <button>\n                            <i class=\"icons\">&#xe90d;</i>\n                        </button> -->\n            </div>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"logIssueForm?.associatedRisksAttachments?.length > 0\"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"let file of logIssueForm?.associatedRisksAttachments\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i class=\"icons\" (click)=\"deleteFile(file, 'ASSOCIATED_RISKS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"logIssueForm.issueAssociatedRisk\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: false,\n            placeholder: 'Associated Risks'\n          }\"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('ASSOCIATED_RISKS', $event)\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    *ngIf=\"additionalOptionStatus.OVERSIGHT\"\n    [class.disabled]=\"\n      activeField &&\n      !['ISSUE_CC', 'ISSUE_FCC'].includes(activeField) &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        logIssueForm?.issueCCUsers?.length > 0 ||\n        logIssueForm?.failureCCUsers?.length > 0\n      \"\n    >\n      <img\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n        *ngIf=\"\n          (logIssueForm?.issueCCUsers?.length === 0 &&\n            logIssueForm?.failureCCUsers?.length === 0) ||\n          activeField === 'ISSUE_CC' ||\n          activeField === 'ISSUE_FCC'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          logIssueForm?.issueCCUsers?.length > 0 ||\n          (logIssueForm?.failureCCUsers?.length > 0 &&\n            activeField !== 'ISSUE_CC') ||\n          activeField !== 'ISSUE_FCC'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Oversight</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.issueCCUsers ||\n            logIssueForm?.issueCCUsers?.length === 0\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"setActiveFieldSelector('ISSUE_CC', 'ISSUE_CC')\"\n            placeholder=\"Who should have oversight of this issue?\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\" *ngIf=\"logIssueForm?.issueCCUsers?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('ISSUE_CC', logIssueForm?.issueCCUsers[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.issueCCUsers[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.issueCCUsers[0]?.employee_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"CC.popover()\"\n              placement=\"right\"\n              *ngIf=\"logIssueForm?.issueCCUsers?.length > 1\"\n            >\n              +{{ logIssueForm?.issueCCUsers?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_CC',logIssueForm?.issueCCUsers[0])\">&#xe90d;</i>{{logIssueForm?.issueCCUsers[0]?.employee_name}}</span>\n                      <button class=\"count\" *ngIf=\"logIssueForm?.issueCCUsers?.length > 1\" type=\"button\" appPopover (click)=\"CC.popover()\" placement=\"right\">+{{logIssueForm?.issueCCUsers?.slice(1).length}}</button>\n                  </div> -->\n          <button\n            *ngIf=\"activeField !== 'ISSUE_CC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_CC', 'ISSUE_CC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.failureCCUsers ||\n            logIssueForm?.failureCCUsers?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_FCC', 'ISSUE_FCC')\"\n            type=\"text\"\n            placeholder=\"Who should be notified if the issue is not resolved?\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\" *ngIf=\"logIssueForm?.failureCCUsers?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('ISSUE_FCC', logIssueForm?.failureCCUsers[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.failureCCUsers[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.failureCCUsers[0]?.employee_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"FCC.popover()\"\n              placement=\"right\"\n              *ngIf=\"logIssueForm?.failureCCUsers?.length > 1\"\n            >\n              +{{ logIssueForm?.failureCCUsers?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_FCC',logIssueForm?.failureCCUsers[0])\">&#xe90d;</i>{{logIssueForm?.failureCCUsers[0]?.employee_name}}</span>\n                      <button class=\"count\" *ngIf=\"logIssueForm?.failureCCUsers?.length > 1\" type=\"button\" appPopover (click)=\"FCC.popover()\" placement=\"right\">+{{logIssueForm?.failureCCUsers?.slice(1).length}}</button>\n                  </div> -->\n          <button\n            *ngIf=\"activeField !== 'ISSUE_FCC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_FCC', 'ISSUE_FCC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #CC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let cc of logIssueForm?.issueCCUsers | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('ISSUE_CC', cc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ cc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #FCC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let fcc of logIssueForm?.failureCCUsers | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('ISSUE_FCC', fcc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ fcc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Evidence -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.EVIDENCE\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"true\">\n      <!-- <img src=\"https://cdn.v-comply.com/format-evidence.svg\" alt=\"im\"> -->\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Evidence</label>\n        <div class=\"upload-format\">\n          <span class=\"text\"\n            >Do you want evidence of completion of the issue to be\n            uploaded?</span\n          >\n          <div class=\"radio-group\">\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"1\"\n              [checked]=\"logIssueForm?.evidenceRequired === 1\"\n              (checkedEvent)=\"setEvidence(1)\"\n              >Yes\n            </app-cs-radio>\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"0\"\n              [checked]=\"logIssueForm?.evidenceRequired === 0\"\n              (checkedEvent)=\"setEvidence(0)\"\n              >No\n            </app-cs-radio>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n<app-radio-list\n  [config]=\"selectorConfig?.ISSUE_CATGORY\"\n  [itemsList]=\"listData?.categoryList\"\n  [selectedItems]=\"logIssueForm.issueCategory\"\n  [identifierKey]=\"'category_id'\"\n  [displayKey]=\"'category_name'\"\n  *ngIf=\"activeSelector === 'ISSUE_CATEGORY'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_CATEGORY')\"\n  (closeList)=\"fieldDeselector('ISSUE_CATEGORY')\"\n  [loader]=\"!listLoadingStatus[2]\"\n>\n</app-radio-list>\n\n<app-responsibility-centers-list\n  *ngIf=\"activeSelector === 'ISSUE_RC'\"\n  [responsibilityCentersList]=\"listData?.rcList\"\n  [radioSelection]=\"false\"\n  [selectedResponsibilityCenters]=\"logIssueForm?.issueRC\"\n  [rcIdKey]=\"'item_id'\"\n  (saveSelectedList)=\"selectorAction($event, 'ISSUE_RC')\"\n  (closeRcList)=\"fieldDeselector('ISSUE_RC')\"\n  [loaded]=\"listLoadingStatus[3]\"\n>\n</app-responsibility-centers-list>\n\n<app-radio-list\n  [config]=\"selectorConfig?.ISSUE_WHO\"\n  [itemsList]=\"listData?.userList\"\n  [twoColumn]=\"true\"\n  [selectedItems]=\"logIssueForm.entrustTo\"\n  [identifierKey]=\"'employee_id'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'ISSUE_WHO'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_WHO')\"\n  (closeList)=\"fieldDeselector('ISSUE_WHO')\"\n></app-radio-list>\n\n<app-radio-list\n  [config]=\"selectorConfig?.ISSUE_TYPE\"\n  [itemsList]=\"listData?.issueTypeList\"\n  [selectedItems]=\"logIssueForm.issueType\"\n  [identifierKey]=\"'issue_id'\"\n  [displayKey]=\"'issue_type_name'\"\n  *ngIf=\"activeSelector === 'ISSUE_TYPE'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_TYPE')\"\n  (closeList)=\"fieldDeselector('ISSUE_TYPE')\"\n></app-radio-list>\n\n<app-checkbox-list\n  [config]=\"selectorConfig?.ISSUE_CC\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"\n    listData.userList\n      | userFilter\n        : 'employee_email'\n        : logIssueForm.entrustTo\n        : { employee_email: currentUser?.email }\n  \"\n  [selectedItems]=\"logIssueForm.issueCCUsers\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'ISSUE_CC'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_CC')\"\n  (closeList)=\"fieldDeselector('ISSUE_CC')\"\n  [loaded]=\"!listLoadingStatus[1]\"\n></app-checkbox-list>\n\n<app-checkbox-list\n  [config]=\"selectorConfig?.ISSUE_FCC\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"\n    listData.userList\n      | userFilter\n        : 'employee_email'\n        : logIssueForm.entrustTo\n        : { employee_email: currentUser?.email }\n  \"\n  [selectedItems]=\"logIssueForm.failureCCUsers\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'ISSUE_FCC'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_FCC')\"\n  (closeList)=\"fieldDeselector('ISSUE_FCC')\"\n  [loaded]=\"!listLoadingStatus[1]\"\n></app-checkbox-list>\n\n<app-responsibility-risk-selector\n  [loading]=\"isRiskControlLoading\"\n  *ngIf=\"activeSelector === 'ISSUE_CONTROL_RISK'\"\n  (closeList)=\"fieldDeselector('ISSUE_CONTROL_RISK')\"\n  (fetchList)=\"getLinkage(issueDetails?.auditObjId, $event)\"\n  (saveList)=\"selectorAction($event, 'ISSUE_CONTROL_RISK')\"\n  [activeEntity]=\"logIssueForm?.linkageType\"\n  [listItems]=\"listData?.linkageList\"\n  [selectedItems]=\"logIssueForm?.linkedControlRisk\"\n></app-responsibility-risk-selector>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"message\"\n  [actionButtons]=\"displayActionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n\n<app-link-responsibility-list\n  *ngIf=\"activeSelector === 'LINK_MORE_RESPONSIBILITY'\"\n  [selectedResponsibilityValues]=\"logIssueForm?.responsibilityLinked\"\n  (closeButton)=\"fieldDeselector('LINK_MORE_RESPONSIBILITY')\"\n  [respIdKey]=\"'ReportId'\"\n  [radioSelection]=\"false\"\n  (selectedResponsibility)=\"selectorAction($event, 'LINK_MORE_RESPONSIBILITY')\"\n></app-link-responsibility-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .log-an-issue{position:relative}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: LineLoaderComponent, selector: "app-line-loader", inputs: ["loaderHeight"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i5.DatePickerComponent, selector: "dp-date-picker", inputs: ["config", "mode", "placeholder", "disabled", "displayDate", "theme", "minDate", "maxDate", "minTime", "maxTime"], outputs: ["open", "close", "onChange", "onGoToCurrent", "onLeftNav", "onRightNav", "onSelect"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "directive", type: ClickOutsideDirective$1, selector: "[clickOutside]", outputs: ["clickOutside"] }, { kind: "component", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: ["responsibilityCentersList", "selectedResponsibilityCenters", "rcIdKey", "radioSelection", "pluralText", "singularText", "loaded"], outputs: ["saveSelectedList", "closeRcList"] }, { kind: "component", type: TimePickerComponent, selector: "app-time-picker", inputs: ["time"], outputs: ["onTimeSelection"] }, { kind: "component", type: CheckboxListComponent, selector: "app-checkbox-list", inputs: ["itemsList", "selectedItems", "identifierKey", "displayKey", "tooltipKey", "config", "twoColumn", "loaded"], outputs: ["closeList", "saveList"] }, { kind: "component", type: LinkResponsibilityListComponent, selector: "app-link-responsibility-list", inputs: ["onCompletionOfResponsibility", "feature", "respIdKey", "selectedResponsibilityValues", "radioSelection"], outputs: ["closeButton", "selectedResponsibility"] }, { kind: "component", type: RadioListComponent, selector: "app-radio-list", inputs: ["itemsList", "selectedItems", "identifierKey", "displayKey", "tooltipKey", "config", "twoColumn", "loader"], outputs: ["closeList", "saveList"] }, { kind: "component", type: ResponsibilityRiskSelectorComponent, selector: "app-responsibility-risk-selector", inputs: ["activeEntity", "listItems", "selectedItems", "loading"], outputs: ["fetchList", "closeList", "saveList"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: i1$1.DatePipe, name: "date" }, { kind: "pipe", type: i1$1.KeyValuePipe, name: "keyvalue" }, { kind: "pipe", type: SpaceBreakerPipe, name: "spaceBreaker" }, { kind: "pipe", type: UserFilterPipe, name: "userFilter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogAnIssueComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-log-an-issue', template: "<!-- <p>log-an-issue works!</p> -->\n<div class=\"log-an-issue\" *ngIf=\"!showSmiley\">\n  <div class=\"form-group-row\">\n    <div\n      *ngIf=\"\n        (['COMPLIANCE_WORKROOM'].includes(openedFrom) ||\n          isLinkResponsibility) &&\n        !isLinkQuestionVisible\n      \"\n      class=\"left\"\n      [class.checked]=\"false\"\n    >\n      <img\n        [src]=\"ASSETS.link_items\"\n        alt=\"link_responsibilities\"\n        *ngIf=\"\n          (logIssueForm?.responsibilityLinked?.length === 0 &&\n            !reponsibilityData?.responsibilityName) ||\n          activeField === 'LINK_MORE_RESPONSIBILITY'\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div\n      *ngIf=\"\n        (['COMPLIANCE_WORKROOM'].includes(openedFrom) ||\n          isLinkResponsibility) &&\n        !isLinkQuestionVisible\n      \"\n      class=\"right\"\n    >\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >{{ linkText }}\n          <button\n            class=\"button\"\n            *ngIf=\"['COMPLIANCE_WORKROOM'].includes(openedFrom)\"\n            (click)=\"\n              setActiveFieldSelector(\n                'LINK_MORE_RESPONSIBILITY',\n                'LINK_MORE_RESPONSIBILITY'\n              )\n            \"\n          >\n            Link More Responsibilities\n          </button>\n        </label>\n        <input\n          type=\"text\"\n          placeholder=\"Select responsibilities that are linked to this issue\"\n          readonly\n          *ngIf=\"\n            !['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n            !logIssueForm?.responsibilityLinked?.length\n          \"\n          (click)=\"\n            setActiveFieldSelector(\n              'LINK_MORE_RESPONSIBILITY',\n              'LINK_MORE_RESPONSIBILITY'\n            )\n          \"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            ['COMPLIANCE_WORKROOM'].includes(openedFrom) ||\n            logIssueForm?.responsibilityLinked?.length\n          \"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <span\n              *ngIf=\"\n                ['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n                reponsibilityData?.responsibilityName\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt full-width\"\n              [appTooltip]=\"reponsibilityData?.responsibilityName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ reponsibilityData?.responsibilityName }}</span\n            >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"!['COMPLIANCE_WORKROOM'].includes(openedFrom)\"\n              (click)=\"\n                deleteItem(\n                  'LINK_MORE_RESPONSIBILITY',\n                  logIssueForm?.responsibilityLinked[0]\n                )\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              *ngIf=\"\n                !['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n                logIssueForm?.responsibilityLinked?.length\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.responsibilityLinked[0]?.ReportName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.responsibilityLinked[0]?.ReportName }}</span\n            >\n            <button\n              *ngIf=\"\n                (['COMPLIANCE_WORKROOM'].includes(openedFrom) &&\n                  logIssueForm?.responsibilityLinked?.length) ||\n                logIssueForm?.responsibilityLinked?.length > 1\n              \"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"linkResp.popover()\"\n              placement=\"right\"\n            >\n              +{{\n                ![\"COMPLIANCE_WORKROOM\"].includes(openedFrom)\n                  ? logIssueForm?.responsibilityLinked?.length - 1\n                  : logIssueForm?.responsibilityLinked?.length\n              }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"\n              activeField !== 'LINK_MORE_RESPONSIBILITY' &&\n              logIssueForm?.responsibilityLinked?.length\n            \"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"\n              setActiveFieldSelector(\n                'LINK_MORE_RESPONSIBILITY',\n                'LINK_MORE_RESPONSIBILITY'\n              )\n            \"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #linkResp [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let resp of logIssueForm?.responsibilityLinked\n                  | slice\n                    : (!['COMPLIANCE_WORKROOM'].includes(openedFrom) ? 1 : 0)\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    class=\"icons\"\n                    (click)=\"deleteItem('LINK_MORE_RESPONSIBILITY', resp)\"\n                    >&#xe90d;</i\n                  >\n                  {{ resp?.ReportName }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <div class=\"form-group-row\">\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"left\"\n      [class.checked]=\"false\"\n    >\n      <img\n        [src]=\"ASSETS.link_controls\"\n        alt=\"link_responsibility\"\n        *ngIf=\"\n          (logIssueForm?.responsibilityLinked?.length === 0 &&\n            !reponsibilityData?.responsibilityName) ||\n          activeField === 'LINK_RESPONSIBILITY'\n        \"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"right\"\n    >\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">{{ linkText }}</label>\n        <div\n          class=\"selected\"\n          *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <span\n              *ngIf=\"\n                (['ASSESSMENT'].includes(openedFrom) &&\n                  reponsibilityData?.responsibilityName) ||\n                isLinkQuestionVisible\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt full-width\"\n              [appTooltip]=\"reponsibilityData?.responsibilityName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ reponsibilityData?.responsibilityName }}</span\n            >\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group-row\">\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"left\"\n      [class.checked]=\"false\"\n    >\n      <img\n        [src]=\"ASSETS.link_items\"\n        alt=\"link_assessment_question\"\n        *ngIf=\"\n          !assessmentQuestion?.questionName ||\n          activeField === 'LINK_ASSESSMENT_QUESTION'\n        \"\n      />\n      <svg\n        *ngIf=\"isLinkQuestionVisible || ['ASSESSMENT'].includes(openedFrom)\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div\n      *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n      class=\"right\"\n    >\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Linked Assessment Question </label>\n        <div\n          class=\"selected\"\n          *ngIf=\"['ASSESSMENT'].includes(openedFrom) || isLinkQuestionVisible\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <span\n              *ngIf=\"\n                (['ASSESSMENT'].includes(openedFrom) &&\n                  assessmentQuestion?.questionName) ||\n                isLinkQuestionVisible\n              \"\n              class=\"chipName vx-fs-11 vx-label-txt full-width\"\n              appTooltip=\"{{\n                assessmentQuestion?.questionNumber +\n                  ': ' +\n                  assessmentQuestion?.questionName\n              }}\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                assessmentQuestion?.questionNumber +\n                  \": \" +\n                  assessmentQuestion?.questionName\n              }}</span\n            >\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div\n    class=\"form-group-row\"\n    *ngIf=\"\n      ['VIEW_AUDIT_EXECUTION_SUMMARY', 'EXECUTE_AUDIT_PLAN'].includes(\n        openedFrom\n      ) || isRiskControlVisible\n    \"\n    [class.active]=\"activeField === 'ISSUE_CONTROL_RISK'\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_CONTROL_RISK' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"logIssueForm?.linkedControlRisk?.length > 0\"\n    >\n      <img\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n        *ngIf=\"\n          logIssueForm?.linkedControlRisk?.length === 0 ||\n          activeField === 'ISSUE_CONTROL_RISK'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          logIssueForm?.linkedControlRisk?.length > 0 &&\n          activeField !== 'ISSUE_CONTROL_RISK'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Select a control or risk</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.linkedControlRisk ||\n            logIssueForm?.linkedControlRisk?.length === 0\n          \"\n        >\n          <input\n            (click)=\"\n              setActiveFieldSelector('ISSUE_CONTROL_RISK', 'ISSUE_CONTROL_RISK')\n            \"\n            type=\"text\"\n            placeholder=\"Select a control or risk.\"\n            readonly\n          />\n        </div>\n        <div\n          class=\"selected\"\n          *ngIf=\"logIssueForm?.linkedControlRisk?.length > 0\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                deleteItem(\n                  'ISSUE_CONTROL_RISK',\n                  logIssueForm?.linkedControlRisk[0]\n                )\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.linkedControlRisk[0]?.itemControlName\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.linkedControlRisk[0]?.itemControlName }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_CONTROL_RISK',logIssueForm?.linkedControlRisk[0])\">&#xe90d;</i>{{logIssueForm?.linkedControlRisk[0]?.itemControlName}}</span>\n                  </div> -->\n          <button\n            class=\"edit\"\n            *ngIf=\"activeField !== 'ISSUE_CONTROL_RISK'\"\n            type=\"button\"\n            (click)=\"\n              setActiveFieldSelector('ISSUE_CONTROL_RISK', 'ISSUE_CONTROL_RISK')\n            \"\n          >\n            <i class=\"icons\">&#xe90c;</i>Edit\n          </button>\n        </div>\n      </div>\n      <div\n        class=\"vx-form-group\"\n        *ngFor=\"let tag of logIssueForm.issueCustomTag | keyvalue\"\n      >\n        <!-- {{logIssueForm.issueCustomTag|json}} -->\n        <label class=\"vx-control-panel\">{{\n          tag?.value?.custom_tag_name\n        }}</label>\n        <input\n          type=\"text\"\n          [placeholder]=\"tag?.value?.custom_tag_name\"\n          [(ngModel)]=\"tag.value.custom_tag_value\"\n        />\n      </div>\n    </div>\n  </div>\n\n  <!-- Issue Title -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_TITLE' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueName.trim().length\">\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"name\"\n        *ngIf=\"\n          !logIssueForm.issueName.trim().length || activeField === 'ISSUE_TITLE'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          logIssueForm.issueName.trim().length && activeField !== 'ISSUE_TITLE'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Issue Title <span class=\"required\">*</span>\n        </label>\n        <input\n          type=\"text\"\n          placeholder=\"Add a name for this issue\"\n          [(ngModel)]=\"logIssueForm.issueName\"\n          (focusin)=\"setActiveFieldSelector('ISSUE_TITLE', 'ISSUE_TITLE')\"\n          (keyup)=\"\n            logIssueForm.issueName?.trim()?.length > 0\n              ? removeError('issueName')\n              : null\n          \"\n          (focusout)=\"setActiveFieldSelector('', '')\"\n          *ngIf=\"\n            logIssueForm.issueName == '' || activeSelector === 'ISSUE_TITLE'\n          \"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            logIssueForm.issueName.length && activeSelector !== 'ISSUE_TITLE'\n          \"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ logIssueForm.issueName }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"setActiveFieldSelector('ISSUE_TITLE', 'ISSUE_TITLE')\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p class=\"error-message\" *ngIf=\"fieldsWithError.includes('issueName')\">\n          Enter a name for this issue.\n        </p>\n        <ng-container *ngIf=\"AttachmentTrack[0]?.length > 0\">\n          <div\n            class=\"file-list\"\n            *ngFor=\"let uploadingFile of AttachmentTrack[0]\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n              <!-- <button>\n                              <i class=\"icons\">&#xe90d;</i>\n                          </button> -->\n            </div>\n            <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"logIssueForm?.issueDescriptionAttachements?.length > 0\"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"let file of logIssueForm?.issueDescriptionAttachements\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i class=\"icons\" (click)=\"deleteFile(file, 'ISSUE_DESCRIPTION')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [editorConfig]=\"{\n            mode: 'prime',\n            file: false,\n            colorPalette: true,\n            link: true,\n            placeholder: 'Description'\n          }\"\n          [(ngModel)]=\"logIssueForm.issueDescription\"\n          (sendSavedFiles)=\"selectFile('ISSUE_DESCRIPTION', $event)\"\n          (clickOutside)=\"checkDescription()\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- issue type start-->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_TITLE' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left checked\">\n      <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/what.svg\" alt=\"name\"\n              *ngIf=\"!logIssueForm.issueName.trim().length || activeField === 'ISSUE_TITLE'\"> -->\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"> Issue Type </label>\n        <app-cs-radio\n          class=\"main-filed\"\n          name=\"issue-type\"\n          [checked]=\"logIssueForm?.issueType === 'issue'\"\n          (checkedEvent)=\"setIssueType('issue')\"\n          >Issue\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n        <app-cs-radio\n          class=\"main-filed\"\n          name=\"issue-type\"\n          [checked]=\"logIssueForm?.issueType === 'incident'\"\n          (checkedEvent)=\"setIssueType('incident')\"\n          >Incident\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n      </div>\n    </div>\n  </div>\n\n  <!-- Issue Category -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeField === 'ISSUE_CATEGORY'\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_CATEGORY' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.issueCategory?.length > 0\">\n      <img\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n        *ngIf=\"\n          logIssueForm?.issueCategory?.length === 0 ||\n          activeField === 'ISSUE_CATEGORY'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          logIssueForm?.issueCategory?.length > 0 &&\n          activeField !== 'ISSUE_CATEGORY'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Issue Category</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.issueCategory ||\n            logIssueForm?.issueCategory?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_CATEGORY', 'ISSUE_CATEGORY')\"\n            type=\"text\"\n            placeholder=\"Select a category for this issue\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"logIssueForm?.issueCategory?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"\n                deleteItem('ISSUE_CATEGORY', logIssueForm?.issueCategory[0])\n              \"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.issueCategory[0]?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.issueCategory[0]?.category_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_CATEGORY',logIssueForm?.issueCategory[0])\">&#xe90d;</i>{{logIssueForm?.issueCategory[0]?.category_name}}</span>\n                  </div> -->\n          <button\n            class=\"edit\"\n            *ngIf=\"activeField !== 'ISSUE_CATEGORY'\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_CATEGORY', 'ISSUE_CATEGORY')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <p\n          class=\"error-message\"\n          *ngIf=\"fieldsWithError.includes('issueCategory')\"\n        >\n          Select an issue category.\n        </p>\n      </div>\n      <div\n        class=\"vx-form-group\"\n        *ngFor=\"let tag of logIssueForm.issueCustomTag\"\n      >\n        <!-- {{logIssueForm.issueCustomTag|json}} -->\n        <label class=\"vx-control-panel\">{{ tag?.name }}</label>\n        <input type=\"text\" [placeholder]=\"tag?.name\" [(ngModel)]=\"tag.value\" />\n      </div>\n    </div>\n  </div>\n\n  <!-- Responsibility Center -->\n  <div\n    class=\"form-group-row\"\n    *ngIf=\"isRCEditable || logIssueForm?.issueRC?.length\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_RC' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div\n      *ngIf=\"isRCEditable || logIssueForm?.issueRC?.length\"\n      class=\"left\"\n      [class.checked]=\"logIssueForm?.issueRC?.length > 0\"\n    >\n      <img\n        [src]=\"ASSETS.responsibility_center\"\n        alt=\"\"\n        *ngIf=\"logIssueForm?.issueRC?.length === 0\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"logIssueForm?.issueRC?.length > 0 && activeField !== 'ISSUE_RC'\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div *ngIf=\"isRCEditable || logIssueForm?.issueRC?.length\" class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Responsibility Center\n          <span class=\"required\" *ngIf=\"isRCMandatory\">*</span>\n        </label>\n        <div\n          class=\"select\"\n          *ngIf=\"!logIssueForm?.issueRC || logIssueForm?.issueRC?.length === 0\"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_RC', 'ISSUE_RC')\"\n            type=\"text\"\n            placeholder=\"Select Responsibility Center(s)\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"logIssueForm?.issueRC?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"isRCEditable\"\n              (click)=\"deleteItem('ISSUE_RC', logIssueForm?.issueRC[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.issueRC[0]?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.issueRC[0]?.item_name }}</span\n            >\n            <button\n              *ngIf=\"logIssueForm?.issueRC?.length > 1\"\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"RC.popover()\"\n              placement=\"right\"\n            >\n              +{{ logIssueForm?.issueRC?.slice(1)?.length }}\n            </button>\n          </div>\n          <button\n            *ngIf=\"activeField !== 'ISSUE_RC' && isRCEditable\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_RC', 'ISSUE_RC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n        <p class=\"error-message\" *ngIf=\"fieldsWithError.includes('issueRC')\">\n          Select the Responsibility Center associated with this issue.\n        </p>\n      </div>\n      <app-popover #RC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let rc of logIssueForm?.issueRC | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"isRCEditable\"\n                    class=\"icons\"\n                    (click)=\"deleteItem('ISSUE_RC', rc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ rc?.item_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Who -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_WHO' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.entrustTo?.length > 0\">\n      <img\n        [src]=\"ASSETS.case_assignees\"\n        alt=\"im\"\n        *ngIf=\"\n          (logIssueForm?.entrustTo?.length === 0 &&\n            !logIssueForm?.isAssignToMyself) ||\n          activeField === 'ISSUE_WHO'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"\n          (logIssueForm?.entrustTo?.length > 0 ||\n            logIssueForm?.isAssignToMyself) &&\n          activeField !== 'ISSUE_WHO'\n        \"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Who? <span class=\"required\">*</span></label\n        >\n        <div\n          class=\"select\"\n          [class.disabled]=\"logIssueForm?.isAssignToMyself\"\n          *ngIf=\"\n            !logIssueForm?.entrustTo || logIssueForm?.entrustTo?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_WHO', 'ISSUE_WHO')\"\n            [disabled]=\"logIssueForm?.isAssignToMyself\"\n            type=\"text\"\n            placeholder=\"Who is responsible for completing the responsibility?\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"logIssueForm?.entrustTo?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('ISSUE_WHO', logIssueForm?.entrustTo[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.entrustTo[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.entrustTo[0]?.employee_name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_WHO',logIssueForm?.entrustTo[0])\">&#xe90d;</i>{{logIssueForm?.entrustTo[0]?.employee_name}}</span>\n                  </div> -->\n          <button\n            *ngIf=\"activeField !== 'ISSUE_WHO'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_WHO', 'ISSUE_WHO')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p class=\"error-message\" *ngIf=\"fieldsWithError.includes('entrustTo')\">\n          Select the person responsible for resolving this issue.\n        </p>\n        <div\n          class=\"switch-row align-right\"\n          [class.disabled]=\"activeField === 'ISSUE_WHO'\"\n        >\n          <app-cs-switch\n            [disabled]=\"activeField === 'ISSUE_WHO'\"\n            [(ngValue)]=\"logIssueForm.isAssignToMyself\"\n            (ngValueChange)=\"assignMyself($event)\"\n            >OR ASSIGN TO MYSELF</app-cs-switch\n          >\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Maximun Time to Resolve -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"\n      activeField &&\n      activeField !== 'ISSUE_DATE_TIME' &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.issueDueDate\">\n      <img\n        [src]=\"ASSETS.when\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issueDueDate || activeField === 'ISSUE_DATE_TIME'\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issueDueDate && activeField !== 'ISSUE_DATE_TIME'\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Maximum Time to Resolve <span class=\"required\">*</span></label\n        >\n        <div class=\"date-time-picker\">\n          <div class=\"picker-group\">\n            <input\n              type=\"text\"\n              readonly\n              placeholder=\"Set a deadline.\"\n              [value]=\"logIssueForm.issueDueDate | date : 'dd MMM yyyy'\"\n              (click)=\"openDatePicker()\"\n              id=\"max-time\"\n            />\n            <i class=\"icons\">&#xe92d;</i>\n            <dp-date-picker\n              #datePicker\n              (onSelect)=\"\n                datePickerOverlay = false;\n                closeDatePicker($event);\n                removeError('issueDueDate')\n              \"\n              [config]=\"dateConfig\"\n              [(ngModel)]=\"logIssueForm.issueDueDate\"\n            >\n            </dp-date-picker>\n            <div\n              class=\"vx-overlay\"\n              (click)=\"closeDatePicker($event)\"\n              *ngIf=\"datePickerOverlay\"\n            ></div>\n          </div>\n\n          <div\n            class=\"picker-group\"\n            appPopover\n            (click)=\"timePicker.popover()\"\n            placement=\"right\"\n          >\n            <input\n              (mouseover)=\"setCurrentTime()\"\n              [(ngModel)]=\"logIssueForm.issueDueTime\"\n              [value]=\"logIssueForm?.issueDueTime\"\n              readonly\n              class=\"time\"\n              placeholder=\"Select Time\"\n              type=\"text\"\n              [min]=\"currentTime\"\n            />\n            <i class=\"icons\">&#xe955;</i>\n          </div>\n          <app-popover #timePicker [dontCloseonClick]=\"true\">\n            <app-time-picker\n              [time]=\"logIssueForm?.issueDueTime\"\n              (onTimeSelection)=\"\n                onTimeChanged($event); timePicker.closePopover('top')\n              \"\n            ></app-time-picker>\n          </app-popover>\n        </div>\n        <p\n          class=\"error-message\"\n          *ngIf=\"fieldsWithError.includes('issueDueDate')\"\n        >\n          Select the date by which this issue needs to be resolved.\n        </p>\n\n        <p class=\"error-message\" *ngIf=\"!isFutureDate\">\n          {{ getDateValidationMessage }}\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Recommended Actions -->\n  <div\n    class=\"form-group-row\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueRecommendation\">\n      <img\n        [src]=\"ASSETS.recommended_action\"\n        alt=\"im\"\n        *ngIf=\"!(logIssueForm.issueRecommendation | spaceBreaker).length\"\n      />\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"(logIssueForm.issueRecommendation | spaceBreaker).length > 0\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Recommended Actions <span class=\"required\">*</span></label\n        >\n        <ng-container *ngIf=\"AttachmentTrack[1]?.length > 0\">\n          <div\n            class=\"file-list\"\n            *ngFor=\"let uploadingFile of AttachmentTrack[1]\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n              <!-- <button>\n                            <i class=\"icons\">&#xe90d;</i>\n                        </button> -->\n            </div>\n            <app-line-loader [loaderHeight]=\"2\"></app-line-loader>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"logIssueForm?.recommendedActionsAttachments?.length > 0\"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"let file of logIssueForm?.recommendedActionsAttachments\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i\n                  class=\"icons\"\n                  (click)=\"deleteFile(file, 'RECOMMENDED_ACTIONS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"logIssueForm.issueRecommendation\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: true,\n            placeholder: 'Recommended actions'\n          }\"\n          (ngModelChange)=\"\n            logIssueForm?.issueRecommendation?.trim()?.length > 0\n              ? removeError('issueRecommendation')\n              : null\n          \"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('RECOMMENDED_ACTIONS', $event)\"\n        ></vcomply-editor>\n        <p\n          class=\"error-message\"\n          *ngIf=\"fieldsWithError.includes('issueRecommendation')\"\n        >\n          Specify the recommended actions to resolve this issue.\n        </p>\n      </div>\n    </div>\n  </div>\n\n  <!-- *ngIf=\"!hiddenList.includes('RISK_CLASSIFICATION')\"  [class.disabled]=\"activeField  && sideSelectorElements.includes(activeField)\" -->\n  <!-- removed the above condition since Risk Classification should be displayed by default in log an issue form -->\n\n  <!-- Risk Classification -->\n  <div class=\"form-group-row\" id=\"risk_classification\">\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueRiskRating\">\n      <img\n        [src]=\"ASSETS.risks\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issueRiskRating\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issueRiskRating\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Risk Classification</label>\n        <div class=\"classification\">\n          <label\n            class=\"low\"\n            *ngFor=\"let class of riskClassification\"\n            [ngClass]=\"[class.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification\"\n              [value]=\"class.value\"\n              [checked]=\"logIssueForm?.issueRiskRating === class.value\"\n              [(ngModel)]=\"logIssueForm.issueRiskRating\"\n            />\n            <span>{{ class.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Exception Type -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.EXCEPTION_TYPE\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.exceptionType > -1\">\n      <img\n        [src]=\"ASSETS.exception_type\"\n        alt=\"im\"\n        *ngIf=\"logIssueForm?.exceptionType === null\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.exceptionType > -1\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Exception Type</label>\n        <app-cs-radio\n          class=\"main-filed\"\n          [value]=\"1\"\n          name=\"exception-type\"\n          [checked]=\"logIssueForm?.exceptionType === 1\"\n          (checkedEvent)=\"setException(1)\"\n          >Design Exception\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n        <app-cs-radio\n          class=\"main-filed\"\n          [value]=\"2\"\n          name=\"exception-type\"\n          [checked]=\"logIssueForm?.exceptionType === 2\"\n          (checkedEvent)=\"setException(2)\"\n          >Effectiveness Exception\n          <!-- <i class=\"icons\">&#xe91f;</i> -->\n        </app-cs-radio>\n      </div>\n    </div>\n  </div>\n\n  <!-- Priority -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.PRIORITY\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm?.issuePriority\">\n      <img\n        [src]=\"ASSETS.priority\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issuePriority\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issuePriority > 0\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Priority</label>\n        <div class=\"classification\">\n          <label\n            *ngFor=\"let priority of riskPrority\"\n            [ngClass]=\"[priority.class]\"\n          >\n            <input\n              type=\"radio\"\n              name=\"classification-priority\"\n              [value]=\"priority.value\"\n              [checked]=\"logIssueForm?.issuePriority === priority.value\"\n              [(ngModel)]=\"logIssueForm.issuePriority\"\n            />\n            <span>{{ priority.name }}</span>\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <!-- Associated Risks -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.ASSOCIATED_RISKS\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"logIssueForm.issueAssociatedRisk\">\n      <img\n        [src]=\"ASSETS.associated_risks\"\n        alt=\"im\"\n        *ngIf=\"!logIssueForm?.issueAssociatedRisk.trim().length\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n        *ngIf=\"logIssueForm?.issueAssociatedRisk.trim().length\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Associated Risks </label>\n        <ng-container *ngIf=\"AttachmentTrack[2]?.length > 0\">\n          <div\n            class=\"file-list\"\n            *ngFor=\"let uploadingFile of AttachmentTrack[2]\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ uploadingFile }}</span>\n              <!-- <button>\n                            <i class=\"icons\">&#xe90d;</i>\n                        </button> -->\n            </div>\n          </div>\n        </ng-container>\n        <ng-container\n          *ngIf=\"logIssueForm?.associatedRisksAttachments?.length > 0\"\n        >\n          <div\n            class=\"file-list\"\n            *ngFor=\"let file of logIssueForm?.associatedRisksAttachments\"\n          >\n            <div class=\"file-container\">\n              <span class=\"file-name\">{{ file?.name }}</span>\n              <button>\n                <i class=\"icons\" (click)=\"deleteFile(file, 'ASSOCIATED_RISKS')\"\n                  >&#xe90d;</i\n                >\n              </button>\n            </div>\n          </div>\n        </ng-container>\n        <vcomply-editor\n          [(ngModel)]=\"logIssueForm.issueAssociatedRisk\"\n          [editorConfig]=\"{\n            mode: 'prime',\n            colorPalette: true,\n            link: true,\n            file: false,\n            placeholder: 'Associated Risks'\n          }\"\n          (clickOutside)=\"checkDescription()\"\n          (sendSavedFiles)=\"selectFile('ASSOCIATED_RISKS', $event)\"\n        ></vcomply-editor>\n      </div>\n    </div>\n  </div>\n\n  <!-- Overseer -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    *ngIf=\"additionalOptionStatus.OVERSIGHT\"\n    [class.disabled]=\"\n      activeField &&\n      !['ISSUE_CC', 'ISSUE_FCC'].includes(activeField) &&\n      sideSelectorElements.includes(activeField)\n    \"\n  >\n    <div\n      class=\"left\"\n      [class.checked]=\"\n        logIssueForm?.issueCCUsers?.length > 0 ||\n        logIssueForm?.failureCCUsers?.length > 0\n      \"\n    >\n      <img\n        [src]=\"ASSETS.oversight\"\n        alt=\"\"\n        *ngIf=\"\n          (logIssueForm?.issueCCUsers?.length === 0 &&\n            logIssueForm?.failureCCUsers?.length === 0) ||\n          activeField === 'ISSUE_CC' ||\n          activeField === 'ISSUE_FCC'\n        \"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          logIssueForm?.issueCCUsers?.length > 0 ||\n          (logIssueForm?.failureCCUsers?.length > 0 &&\n            activeField !== 'ISSUE_CC') ||\n          activeField !== 'ISSUE_FCC'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Oversight</label>\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.issueCCUsers ||\n            logIssueForm?.issueCCUsers?.length === 0\n          \"\n        >\n          <input\n            type=\"text\"\n            (click)=\"setActiveFieldSelector('ISSUE_CC', 'ISSUE_CC')\"\n            placeholder=\"Who should have oversight of this issue?\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\" *ngIf=\"logIssueForm?.issueCCUsers?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('ISSUE_CC', logIssueForm?.issueCCUsers[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.issueCCUsers[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.issueCCUsers[0]?.employee_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"CC.popover()\"\n              placement=\"right\"\n              *ngIf=\"logIssueForm?.issueCCUsers?.length > 1\"\n            >\n              +{{ logIssueForm?.issueCCUsers?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_CC',logIssueForm?.issueCCUsers[0])\">&#xe90d;</i>{{logIssueForm?.issueCCUsers[0]?.employee_name}}</span>\n                      <button class=\"count\" *ngIf=\"logIssueForm?.issueCCUsers?.length > 1\" type=\"button\" appPopover (click)=\"CC.popover()\" placement=\"right\">+{{logIssueForm?.issueCCUsers?.slice(1).length}}</button>\n                  </div> -->\n          <button\n            *ngIf=\"activeField !== 'ISSUE_CC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_CC', 'ISSUE_CC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n\n        <div\n          class=\"select\"\n          *ngIf=\"\n            !logIssueForm?.failureCCUsers ||\n            logIssueForm?.failureCCUsers?.length === 0\n          \"\n        >\n          <input\n            (click)=\"setActiveFieldSelector('ISSUE_FCC', 'ISSUE_FCC')\"\n            type=\"text\"\n            placeholder=\"Who should be notified if the issue is not resolved?\"\n            readonly\n          />\n        </div>\n\n        <div class=\"selected\" *ngIf=\"logIssueForm?.failureCCUsers?.length > 0\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"deleteItem('ISSUE_FCC', logIssueForm?.failureCCUsers[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"logIssueForm?.failureCCUsers[0]?.employee_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ logIssueForm?.failureCCUsers[0]?.employee_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"FCC.popover()\"\n              placement=\"right\"\n              *ngIf=\"logIssueForm?.failureCCUsers?.length > 1\"\n            >\n              +{{ logIssueForm?.failureCCUsers?.slice(1).length }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                      <span class=\"chip\"><i class=\"icons\" (click)=\"deleteItem('ISSUE_FCC',logIssueForm?.failureCCUsers[0])\">&#xe90d;</i>{{logIssueForm?.failureCCUsers[0]?.employee_name}}</span>\n                      <button class=\"count\" *ngIf=\"logIssueForm?.failureCCUsers?.length > 1\" type=\"button\" appPopover (click)=\"FCC.popover()\" placement=\"right\">+{{logIssueForm?.failureCCUsers?.slice(1).length}}</button>\n                  </div> -->\n          <button\n            *ngIf=\"activeField !== 'ISSUE_FCC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"setActiveFieldSelector('ISSUE_FCC', 'ISSUE_FCC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </div>\n      <app-popover #CC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let cc of logIssueForm?.issueCCUsers | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('ISSUE_CC', cc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ cc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #FCC [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let fcc of logIssueForm?.failureCCUsers | slice : 1;\n                let j = index\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"deleteItem('ISSUE_FCC', fcc)\"\n                    >&#xe90d;</i\n                  >\n                  {{ fcc?.employee_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <!-- Evidence -->\n  <div\n    [appScrollInView]=\"scrollToBottom\"\n    class=\"form-group-row\"\n    *ngIf=\"additionalOptionStatus.EVIDENCE\"\n    [class.disabled]=\"activeField && sideSelectorElements.includes(activeField)\"\n  >\n    <div class=\"left\" [class.checked]=\"true\">\n      <!-- <img src=\"https://cdn.v-comply.com/format-evidence.svg\" alt=\"im\"> -->\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\">Evidence</label>\n        <div class=\"upload-format\">\n          <span class=\"text\"\n            >Do you want evidence of completion of the issue to be\n            uploaded?</span\n          >\n          <div class=\"radio-group\">\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"1\"\n              [checked]=\"logIssueForm?.evidenceRequired === 1\"\n              (checkedEvent)=\"setEvidence(1)\"\n              >Yes\n            </app-cs-radio>\n            <app-cs-radio\n              [name]=\"'file-evidence'\"\n              [value]=\"0\"\n              [checked]=\"logIssueForm?.evidenceRequired === 0\"\n              (checkedEvent)=\"setEvidence(0)\"\n              >No\n            </app-cs-radio>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n<app-radio-list\n  [config]=\"selectorConfig?.ISSUE_CATGORY\"\n  [itemsList]=\"listData?.categoryList\"\n  [selectedItems]=\"logIssueForm.issueCategory\"\n  [identifierKey]=\"'category_id'\"\n  [displayKey]=\"'category_name'\"\n  *ngIf=\"activeSelector === 'ISSUE_CATEGORY'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_CATEGORY')\"\n  (closeList)=\"fieldDeselector('ISSUE_CATEGORY')\"\n  [loader]=\"!listLoadingStatus[2]\"\n>\n</app-radio-list>\n\n<app-responsibility-centers-list\n  *ngIf=\"activeSelector === 'ISSUE_RC'\"\n  [responsibilityCentersList]=\"listData?.rcList\"\n  [radioSelection]=\"false\"\n  [selectedResponsibilityCenters]=\"logIssueForm?.issueRC\"\n  [rcIdKey]=\"'item_id'\"\n  (saveSelectedList)=\"selectorAction($event, 'ISSUE_RC')\"\n  (closeRcList)=\"fieldDeselector('ISSUE_RC')\"\n  [loaded]=\"listLoadingStatus[3]\"\n>\n</app-responsibility-centers-list>\n\n<app-radio-list\n  [config]=\"selectorConfig?.ISSUE_WHO\"\n  [itemsList]=\"listData?.userList\"\n  [twoColumn]=\"true\"\n  [selectedItems]=\"logIssueForm.entrustTo\"\n  [identifierKey]=\"'employee_id'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'ISSUE_WHO'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_WHO')\"\n  (closeList)=\"fieldDeselector('ISSUE_WHO')\"\n></app-radio-list>\n\n<app-radio-list\n  [config]=\"selectorConfig?.ISSUE_TYPE\"\n  [itemsList]=\"listData?.issueTypeList\"\n  [selectedItems]=\"logIssueForm.issueType\"\n  [identifierKey]=\"'issue_id'\"\n  [displayKey]=\"'issue_type_name'\"\n  *ngIf=\"activeSelector === 'ISSUE_TYPE'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_TYPE')\"\n  (closeList)=\"fieldDeselector('ISSUE_TYPE')\"\n></app-radio-list>\n\n<app-checkbox-list\n  [config]=\"selectorConfig?.ISSUE_CC\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"\n    listData.userList\n      | userFilter\n        : 'employee_email'\n        : logIssueForm.entrustTo\n        : { employee_email: currentUser?.email }\n  \"\n  [selectedItems]=\"logIssueForm.issueCCUsers\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'ISSUE_CC'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_CC')\"\n  (closeList)=\"fieldDeselector('ISSUE_CC')\"\n  [loaded]=\"!listLoadingStatus[1]\"\n></app-checkbox-list>\n\n<app-checkbox-list\n  [config]=\"selectorConfig?.ISSUE_FCC\"\n  [twoColumn]=\"true\"\n  [itemsList]=\"\n    listData.userList\n      | userFilter\n        : 'employee_email'\n        : logIssueForm.entrustTo\n        : { employee_email: currentUser?.email }\n  \"\n  [selectedItems]=\"logIssueForm.failureCCUsers\"\n  [identifierKey]=\"'employee_email'\"\n  [displayKey]=\"'employee_name'\"\n  [tooltipKey]=\"'employee_email'\"\n  *ngIf=\"activeSelector === 'ISSUE_FCC'\"\n  (saveList)=\"selectorAction($event, 'ISSUE_FCC')\"\n  (closeList)=\"fieldDeselector('ISSUE_FCC')\"\n  [loaded]=\"!listLoadingStatus[1]\"\n></app-checkbox-list>\n\n<app-responsibility-risk-selector\n  [loading]=\"isRiskControlLoading\"\n  *ngIf=\"activeSelector === 'ISSUE_CONTROL_RISK'\"\n  (closeList)=\"fieldDeselector('ISSUE_CONTROL_RISK')\"\n  (fetchList)=\"getLinkage(issueDetails?.auditObjId, $event)\"\n  (saveList)=\"selectorAction($event, 'ISSUE_CONTROL_RISK')\"\n  [activeEntity]=\"logIssueForm?.linkageType\"\n  [listItems]=\"listData?.linkageList\"\n  [selectedItems]=\"logIssueForm?.linkedControlRisk\"\n></app-responsibility-risk-selector>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"message\"\n  [actionButtons]=\"displayActionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n\n<app-link-responsibility-list\n  *ngIf=\"activeSelector === 'LINK_MORE_RESPONSIBILITY'\"\n  [selectedResponsibilityValues]=\"logIssueForm?.responsibilityLinked\"\n  (closeButton)=\"fieldDeselector('LINK_MORE_RESPONSIBILITY')\"\n  [respIdKey]=\"'ReportId'\"\n  [radioSelection]=\"false\"\n  (selectedResponsibility)=\"selectorAction($event, 'LINK_MORE_RESPONSIBILITY')\"\n></app-link-responsibility-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .log-an-issue{position:relative}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: LogIssueService }, { type: AuthService$1 }, { type: UiKitService }, { type: SnackBarService }, { type: CommonService }, { type: i0.ChangeDetectorRef }, { type: OrganizationUserService }, { type: OrganizationCommonService }, { type: ComplianceCommonService }, { type: IframeService }]; }, propDecorators: { openedFrom: [{
                type: Input
            }], source: [{
                type: Input
            }], issueId: [{
                type: Input
            }], reponsibilityData: [{
                type: Input
            }], assessmentQuestion: [{
                type: Input
            }], issueDetails: [{
                type: Input
            }], mode: [{
                type: Input
            }], config: [{
                type: Input
            }], responsibilitiesData: [{
                type: Input
            }], pickerChanged: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }], modeChange: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], datePickerPopUp: [{
                type: ViewChild,
                args: ['datePicker', { read: ElementRef, static: false }]
            }], documentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

let AssessmentService$1 = class AssessmentService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        this.baseValue = {
            currentPage: 0,
            data: [],
            end_value: 0,
            start_value: 0,
            totalPage: 0,
            totalRecords: 0,
        };
        this.categories = new BehaviorSubject({});
        this.categoriesListData$ = this.categories.asObservable();
        this.categoriesLoader = new BehaviorSubject(true);
        this.categoriesLoading$ = this.categoriesLoader.asObservable();
        this.httpOptions = {
            headers: new HttpHeaders({
                'Content-Type': 'application/json',
                token: this.getAuthorizationToken(),
            }),
        };
        if (config) {
            this.env = config.envConfig;
        }
    }
    updateAssessment(id, payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.assessmentEnpoint + 'assessment/update&id=' + id, payload, { headers });
    }
    addAssessment(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.assessmentEnpoint + 'assessment/create', payload, { headers });
    }
    fetchCategory(payload) {
        this.categoriesLoader.next(true);
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        this.http
            .post(this.env.assessmentEnpoint + 'category/list', payload, { headers })
            .subscribe({
            next: (res) => {
                this.categories.next(res);
                this.categoriesLoader.next(false);
            },
            error: (err) => {
                this.categories.next(this.baseValue);
                this.categoriesLoader.next(false);
            },
        });
    }
    resetCategory() {
        this.categories.next(this.baseValue);
    }
    getAssessmentDetails(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.assessmentEnpoint + 'assessment/getAssessmentInEdit&id=' + id, {}, { headers });
    }
    getAuthorizationToken() {
        const TOKEN = localStorage.getItem('currentUser');
        let currentUser;
        TOKEN !== null ? (currentUser = JSON.parse(TOKEN)) : (currentUser = {});
        return currentUser.token;
    }
    createAssessment(payload) {
        return this.http.post(this.env.assessmentEnpoint + 'assessment/create', payload, this.httpOptions);
    }
    saveAssessmentDetails(id, payload) {
        return this.http.post(this.env.assessmentEnpoint + 'assessment/update&id=' + id, payload, this.httpOptions);
    }
    downloadTemplate() {
        return this.http.get(this.env.assessmentEnpoint + 'template/assessment', this.httpOptions);
    }
    downLoadFile(data, type, filename) {
        if (window.navigator && window.navigator?.msSaveOrOpenBlob) {
            const blob = new Blob([this.base64ToArrayBuffer(data)], { type });
            window.navigator?.msSaveOrOpenBlob(blob, filename);
        }
        else {
            const url = 'data:' + type.toString() + ';base64,' + data;
            const a = document.createElement('a');
            a.setAttribute('href', url);
            a.setAttribute('download', filename);
            a.style.visibility = 'hidden';
            document.body.appendChild(a);
            a.click();
            document.body.removeChild(a);
        }
        return 'DOWNLOADED';
    }
    base64ToArrayBuffer(base64) {
        const binaryString = window.atob(base64);
        const len = binaryString.length;
        const bytes = new Uint8Array(len);
        for (let i = 0; i < len; i++) {
            bytes[i] = binaryString.charCodeAt(i);
        }
        return bytes.buffer;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService, providedIn: 'root' }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService$1, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class RadioListWithPaginationComponent {
    set setList(value) {
        this.list = value;
    }
    set setSelected(value) {
        if (value) {
            this.selectedList = [...value];
            this.setSelectedIds();
        }
    }
    constructor() {
        this.fetchData = new EventEmitter();
        this.back = new EventEmitter();
        this.next = new EventEmitter();
        this.cancel = new EventEmitter();
        this.list = [];
        this.searchKey = '';
        this.selectedList = [];
        this.ASSETS = ASSETS;
        this.currentPage = 1;
        this.recordStart = 1;
        this.recordEnd = 1;
        this.totalRecords = 1;
        this.totalPages = 1;
        this.loading = true;
        this.animation = true;
        this.selectedIds = [];
    }
    ngOnInit() { }
    //This method handles the page change
    pageChanged(page) {
        this.currentPage = page;
        this.fetchData.emit({ page: this.currentPage, searchKey: this.searchKey });
    }
    //This method handles the search
    search() {
        this.currentPage = 1;
        this.fetchData.emit({ page: this.currentPage, searchKey: this.searchKey });
    }
    itemSelected(event, item) {
        if (event) {
            this.selectedList.push(item);
            this.setSelectedIds();
        }
        else {
            let index = this.selectedList.findIndex((x) => x?.id === item?.id);
            if (index >= 0) {
                this.selectedList = this.selectedList.filter((ele) => ele[this.config?.identifierKey] !== item[this.config?.identifierKey]);
                this.setSelectedIds();
            }
        }
    }
    setSelectedIds() {
        this.selectedIds = this.selectedList.map((ele) => ele[this.config?.identifierKey]);
        this.selectedList = Array.from(new Set(this.selectedList.map((a) => a.id))).map((id) => {
            return this.selectedList.find((a) => a.id === id);
        });
    }
    deleteItem(evt) {
        this.selectedList = this.selectedList.filter((ele) => ele[this.config?.identifierKey] !== evt[this.config?.identifierKey]);
        this.setSelectedIds();
    }
    close() {
        this.cancel.emit();
    }
    save() {
        this.next.emit(this.selectedList);
    }
    selectAll(evt) {
        if (evt) {
            this.selectedList = [...this.selectedList, ...this.list];
            this.setSelectedIds();
        }
        else if (evt === false) {
            const currentPageList = this.list.map((ele) => ele.id);
            this.selectedList = this.selectedList.filter((ele) => !currentPageList.includes(ele?.id));
            this.setSelectedIds();
        }
    }
    checkSelectAll() {
        const data = this.list.every((rc) => this.selectedIds.includes(rc[this.config.identifierKey]));
        return data;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioListWithPaginationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RadioListWithPaginationComponent, selector: "app-radio-list-with-pagination", inputs: { setList: ["categoryList", "setList"], config: "config", currentPage: "currentPage", recordStart: "recordStart", recordEnd: "recordEnd", totalRecords: "totalRecords", totalPages: "totalPages", loading: "loading", setSelected: ["selectedList", "setSelected"] }, outputs: { fetchData: "fetchData", back: "back", next: "next", cancel: "cancel" }, ngImport: i0, template: "<div class=\"radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n    <!-- <button class=\"radio-list-close\">\n      <i class=\"icons\" (click)=\"close()\">&#xe90d;</i>\n    </button> -->\n  </div>\n\n  <div class=\"radio-list-body\">\n    <div class=\"search-block vx-mb-2\" *ngIf=\"true\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        (keydown.enter)=\"search()\"\n        type=\"text\"\n        [placeholder]=\"config?.searchPlaceholder\"\n        [(ngModel)]=\"searchKey\"\n      />\n    </div>\n\n    <app-pagination\n      *ngIf=\"totalPages > 1\"\n      [start]=\"recordStart\"\n      [end]=\"recordEnd\"\n      [total]=\"totalRecords\"\n      [pageCount]=\"totalPages\"\n      [currentPage]=\"currentPage\"\n      (selectedPage)=\"pageChanged($event)\"\n    ></app-pagination>\n\n    <!-- it is visible when list data is available -->\n    <ng-container *ngIf=\"!loading && list?.length\">\n      <div class=\"categories vx-mb-4\" [class.mt-2]=\"totalPages === 0\">\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n        >\n          <span class=\"vx-fw-600 vx-label-txt\">{{\n            checkSelectAll() ? \"Deselect All\" : \"Select All\"\n          }}</span>\n        </app-cs-checkbox>\n      </div>\n      <ul\n        class=\"categories-list vx-mb-4\"\n        [class.with-pagination]=\"totalPages > 1\"\n      >\n        <li *ngFor=\"let item of list; let i = index\">\n          <!-- [ngValue]=\"selectedIds.includes(category[categoryIdKey])\" -->\n          <app-cs-checkbox\n            [ngValue]=\"selectedIds?.includes(item[config?.identifierKey])\"\n            (ngValueChange)=\"itemSelected($event, item)\"\n            [appTooltip]=\"item[config.displayKey]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          >\n            <div class=\"name\">{{ item[config.displayKey] }}</div>\n            <div\n              class=\"within vx-d-flex vx-align-center vx-justify-start vx-mt-1\"\n            >\n              <div\n                class=\"block vx-fs-9 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2\"\n                *ngIf=\"item[config?.parentDisplayKey] != ''\"\n              >\n                WITHIN\n              </div>\n              <div\n                class=\"data vx-fs-11 vx-paragraph-txt vx-lh-4 vx-pr-5\"\n                [appTooltip]=\"'test > test'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ item[config?.parentDisplayKey] }}\n              </div>\n            </div>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n    </ng-container>\n    <!-- It is visible when the list items are getting loaded -->\n    <app-listline-loader *ngIf=\"loading\"></app-listline-loader>\n    <ng-container *ngIf=\"!loading && list?.length === 0\">\n      <app-no-data\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedList\"\n      [displayElementKey]=\"config?.displayKey\"\n      [singularText]=\"config?.entitySingular\"\n      [pluralText]=\"\n        config?.entityPlural ? config?.entityPlural : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedList.length === 0 || list?.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .radio-list-body .search-block{position:relative}::ng-deep .radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .radio-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .radio-list-body app-pagination .wk-pagination-sec-ds{padding:0!important}::ng-deep .radio-list-body .categories{height:1rem}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value{margin:0!important}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value span{color:#161b2f;font-weight:600;font-size:12px}::ng-deep .radio-list-body ul{padding:0;margin:0}::ng-deep .radio-list-body ul.categories-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 256px);overflow:auto;margin:16px 0 0}::ng-deep .radio-list-body ul.categories-list.with-pagination{height:calc(100vh - 284px)}::ng-deep .radio-list-body ul.categories-list li{padding:0 0 .5rem;list-style:none}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin:0!important}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#161b2f}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within{display:flex;align-items:center;justify-content:flex-start;margin-top:4px}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .block{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;margin-right:8px}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;font-size:11px;color:#747576;line-height:16px;padding-right:20px}::ng-deep .radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 100px)!important}::ng-deep .radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .radio-list-footer{background:#fff}::ng-deep .radio-list-footer app-floating-bar .floating-bar{padding:0 16px 16px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.mt-2{margin-top:10px!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: PaginationComponentUI, selector: "app-pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }, { kind: "component", type: LinkTreatmentLoaderComponent, selector: "app-listline-loader" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioListWithPaginationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-radio-list-with-pagination', template: "<div class=\"radio-list\" [class.animate]=\"animation\">\n  <div\n    class=\"radio-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div class=\"vx-fs-14 vx-fw-500 vx-label-txt\">{{ config?.panelTitle }}</div>\n    <!-- <button class=\"radio-list-close\">\n      <i class=\"icons\" (click)=\"close()\">&#xe90d;</i>\n    </button> -->\n  </div>\n\n  <div class=\"radio-list-body\">\n    <div class=\"search-block vx-mb-2\" *ngIf=\"true\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        (keydown.enter)=\"search()\"\n        type=\"text\"\n        [placeholder]=\"config?.searchPlaceholder\"\n        [(ngModel)]=\"searchKey\"\n      />\n    </div>\n\n    <app-pagination\n      *ngIf=\"totalPages > 1\"\n      [start]=\"recordStart\"\n      [end]=\"recordEnd\"\n      [total]=\"totalRecords\"\n      [pageCount]=\"totalPages\"\n      [currentPage]=\"currentPage\"\n      (selectedPage)=\"pageChanged($event)\"\n    ></app-pagination>\n\n    <!-- it is visible when list data is available -->\n    <ng-container *ngIf=\"!loading && list?.length\">\n      <div class=\"categories vx-mb-4\" [class.mt-2]=\"totalPages === 0\">\n        <app-cs-checkbox\n          [ngValue]=\"checkSelectAll()\"\n          (ngValueChange)=\"selectAll($event)\"\n        >\n          <span class=\"vx-fw-600 vx-label-txt\">{{\n            checkSelectAll() ? \"Deselect All\" : \"Select All\"\n          }}</span>\n        </app-cs-checkbox>\n      </div>\n      <ul\n        class=\"categories-list vx-mb-4\"\n        [class.with-pagination]=\"totalPages > 1\"\n      >\n        <li *ngFor=\"let item of list; let i = index\">\n          <!-- [ngValue]=\"selectedIds.includes(category[categoryIdKey])\" -->\n          <app-cs-checkbox\n            [ngValue]=\"selectedIds?.includes(item[config?.identifierKey])\"\n            (ngValueChange)=\"itemSelected($event, item)\"\n            [appTooltip]=\"item[config.displayKey]\"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n          >\n            <div class=\"name\">{{ item[config.displayKey] }}</div>\n            <div\n              class=\"within vx-d-flex vx-align-center vx-justify-start vx-mt-1\"\n            >\n              <div\n                class=\"block vx-fs-9 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mr-2\"\n                *ngIf=\"item[config?.parentDisplayKey] != ''\"\n              >\n                WITHIN\n              </div>\n              <div\n                class=\"data vx-fs-11 vx-paragraph-txt vx-lh-4 vx-pr-5\"\n                [appTooltip]=\"'test > test'\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                [tooltipMandatory]=\"false\"\n              >\n                {{ item[config?.parentDisplayKey] }}\n              </div>\n            </div>\n          </app-cs-checkbox>\n        </li>\n      </ul>\n    </ng-container>\n    <!-- It is visible when the list items are getting loaded -->\n    <app-listline-loader *ngIf=\"loading\"></app-listline-loader>\n    <ng-container *ngIf=\"!loading && list?.length === 0\">\n      <app-no-data\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"\n          config?.noDataText?.length > 0\n            ? config?.noDataText\n            : 'No data to display'\n        \"\n      ></app-no-data>\n    </ng-container>\n\n    <app-floating-bar\n      [selectedData]=\"selectedList\"\n      [displayElementKey]=\"config?.displayKey\"\n      [singularText]=\"config?.entitySingular\"\n      [pluralText]=\"\n        config?.entityPlural ? config?.entityPlural : 'Users selected'\n      \"\n      (closeEvent)=\"save()\"\n      (closeList)=\"close()\"\n      (deleteEvent)=\"deleteItem($event)\"\n      [isDisabled]=\"selectedList.length === 0 || list?.length === 0\"\n    >\n    </app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .radio-list{position:fixed;inset:0 500px 0 0}::ng-deep .radio-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .radio-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .radio-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .radio-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .radio-list-body .search-block{position:relative}::ng-deep .radio-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .radio-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .radio-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .radio-list-body app-pagination .wk-pagination-sec-ds{padding:0!important}::ng-deep .radio-list-body .categories{height:1rem}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value{margin:0!important}::ng-deep .radio-list-body .categories app-cs-checkbox .checkbox-item .value span{color:#161b2f;font-weight:600;font-size:12px}::ng-deep .radio-list-body ul{padding:0;margin:0}::ng-deep .radio-list-body ul.categories-list{display:block;align-items:flex-start;flex-wrap:wrap;height:calc(100vh - 256px);overflow:auto;margin:16px 0 0}::ng-deep .radio-list-body ul.categories-list.with-pagination{height:calc(100vh - 284px)}::ng-deep .radio-list-body ul.categories-list li{padding:0 0 .5rem;list-style:none}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item{position:relative;padding-left:24px;width:100%}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkbox,::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin:0!important}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#161b2f}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within{display:flex;align-items:center;justify-content:flex-start;margin-top:4px}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .block{background:#f1f1f1;border-radius:.125rem;color:#042e7d;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 4px;margin-right:8px}::ng-deep .radio-list-body ul.categories-list li app-cs-checkbox .checkbox-item .value .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;font-size:11px;color:#747576;line-height:16px;padding-right:20px}::ng-deep .radio-list-body app-no-data .no-data-wrapper{height:calc(100% - 100px)!important}::ng-deep .radio-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .radio-list-footer{background:#fff}::ng-deep .radio-list-footer app-floating-bar .floating-bar{padding:0 16px 16px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.mt-2{margin-top:10px!important}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { fetchData: [{
                type: Output
            }], back: [{
                type: Output
            }], next: [{
                type: Output
            }], cancel: [{
                type: Output
            }], setList: [{
                type: Input,
                args: ['categoryList']
            }], config: [{
                type: Input
            }], currentPage: [{
                type: Input
            }], recordStart: [{
                type: Input
            }], recordEnd: [{
                type: Input
            }], totalRecords: [{
                type: Input
            }], totalPages: [{
                type: Input
            }], loading: [{
                type: Input
            }], setSelected: [{
                type: Input,
                args: ['selectedList']
            }] } });

class WorkflowAssessmentComponent {
    constructor(assessmentService, authService, uiKitService, snackBar, iframeService, config) {
        this.assessmentService = assessmentService;
        this.authService = authService;
        this.uiKitService = uiKitService;
        this.snackBar = snackBar;
        this.iframeService = iframeService;
        this.ASSETS = ASSETS;
        this.activeSelector = '';
        this.submitted = false;
        this.loader = false;
        this.showSmiley = false;
        this.mode = 'EDIT';
        this.assessmentId = '';
        this.openedFrom = '';
        this.disconnectRefresh = new EventEmitter();
        this.sideSelectorElements = ['category'];
        this.actionButtons = [
            // { buttonText: 'Add More Assessments', class: 'white-btn', id: 'addMore' },
            {
                buttonText: 'Go to assessment workroom',
                class: 'blue-btn',
                id: 'viewAssessment',
            },
        ];
        this.assessmentTypeChangeAllowed = true;
        this.pickerChanged = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.assessmentForm = {
            assessmentType: 'compliance',
            name: '',
            description: '',
            category: [],
            customTags: [],
        };
        this.organizationId = 0;
        this.selectorConfig = {
            ASSESSMENT_CATGORY: {
                panelTitle: 'Select an Assessment Category',
                entitySingular: 'Category selected.',
                entityPlural: 'Categories selected.',
                displayKey: 'category_name',
                identifierKey: 'id',
                parentKey: 'category_parents',
                parentDisplayKey: 'parent_tree',
                searchPlaceholder: 'Search an assessment category.',
                noDataText: 'No assessment categories found.',
            },
        };
        this.description = {
            mode: 'prime',
            colorPalette: true,
            link: true,
            placeholder: 'Add a description',
        };
        this.timezone = this.authService.getUserTimeZone();
    }
    ngOnInit() {
        //this.loader = true;
        if (this.mode === 'CREATE') {
            this.organizationId = this.authService.getOrganizationId();
        }
        //this.setCategory({ searchKey: '', page: 1 });
        if (this.mode === 'EDIT') {
            this.getAssessmentDetails();
        }
    }
    getAssessmentDetails() {
        this.loader = true;
        this.assessmentService.getAssessmentDetails(this.assessmentId).subscribe({
            next: (res) => {
                this.assessmentForm.name = res?.assessment_name ?? '';
                this.assessmentForm.description = res?.description ?? '';
                this.assessmentForm.assessmentType =
                    res?.assessment_type ?? 'compliance';
                this.assessmentForm.category = res.category_arr.map((ele) => {
                    return { id: ele?._id, category_name: ele?.category_name };
                });
                this.assessmentTypeChangeAllowed =
                    res?.assessment_type === 'compliance';
                this.loader = false;
            },
            error: (err) => {
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
                this.loader = false;
            },
        });
    }
    //This function is responsible for fetching the list of categories
    setCategory(evt) {
        this.assessmentService.fetchCategory({
            search_title: evt.searchKey,
            page_no: evt.page,
        });
    }
    activateSelector(type, event) {
        if (type === 'category') {
            this.setCategory({ searchKey: '', page: 1 });
        }
        this.activeSelector = event ? type : '';
        if (this.sideSelectorElements.includes(type)) {
            this.pickerChanged.emit(event);
        }
    }
    activeDeselector() {
        this.activeSelector = '';
        this.pickerChanged.emit(false);
    }
    next(type, payload) {
        switch (type) {
            case 'CATEGORY': {
                this.activeDeselector();
                this.assessmentForm.category = payload;
                if (this.assessmentForm.category?.length > 1) {
                    this.assessmentForm.category = this.assessmentForm.category.filter((ele) => ele?.category_name != 'uncategorized');
                }
            }
        }
    }
    remove(type, event) {
        switch (type) {
            case 'category':
                this.assessmentForm.category = this.assessmentForm.category.filter((ele) => ele?.id !== event?.id);
        }
    }
    changeAssessment(type) {
        this.assessmentForm = {
            ...this.assessmentForm,
            ...{ assessmentType: type?.toLocaleLowerCase() },
        };
        console.log('this.assessmentForm ===>', this.assessmentForm);
    }
    closeSmiley(evt) {
        this.closeWorkflow.emit({ evt: this.assessmentId, confirm: false });
    }
    action(evt) {
        if (evt === 'viewAssessment') {
            this.disconnectRefresh.emit(false);
            const url = `https://${window.location.hostname}/assessment/assessment-workroom/?id=${this.assessmentId}`;
            this.iframeService.redirectIfInIframe(url, true);
        }
    }
    checkDescription() {
        if (this.assessmentForm.description == '<br>') {
            this.assessmentForm.description = '';
        }
    }
    submitAssessment() {
        this.submitted = true;
        const valid = this.validateAssessment();
        if (!valid) {
            return false;
        }
        else {
            this.createAssessment(this.assessmentForm);
        }
    }
    validateAssessment() {
        this.submitted = true;
        if (!this.assessmentForm.name.trim() ||
            this.assessmentForm.category.length == 0) {
            return false;
        }
        else {
            return true;
        }
    }
    createAssessment(assessmentForm) {
        this.loader = true;
        this.uiKitService.isLoader = false;
        const payload = {
            assessment_name: assessmentForm.name.trim(),
            description: assessmentForm.description,
            assessment_type: assessmentForm.assessmentType,
            category_arr: this.assessmentForm.category.map((ele) => ele.id),
            approval_workflow_arr: {
                test: 'test',
            },
            approval_required: true,
            source_page: 'compliance',
        };
        if (this.mode == 'CREATE') {
            this.assessmentService.addAssessment(payload).subscribe((res) => {
                this.disconnectRefresh.emit(false);
                this.assessmentId = res?._id;
                const url = `https://${window.location.hostname}/assessment/create/${res?._id}`;
                this.iframeService.redirectIfInIframe(url, true);
                this.loader = false;
            }, (err) => {
                console.error(err);
                this.loader = false;
                this.uiKitService.isLoader = false;
                this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
            });
        }
        else if (this.mode === 'EDIT') {
            this.assessmentService
                .updateAssessment(this.assessmentId, payload)
                .subscribe({
                next: (res) => {
                    this.loader = false;
                    this.showSmiley = true;
                },
                error: (err) => {
                    if (err?.error.message.startsWith('No changes')) {
                        this.loader = false;
                        this.showSmiley = true;
                    }
                    else {
                        this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
                    }
                },
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowAssessmentComponent, deps: [{ token: AssessmentService$1 }, { token: AuthService$1 }, { token: UiKitService }, { token: SnackBarService }, { token: IframeService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowAssessmentComponent, selector: "app-workflow-assessment", inputs: { mode: "mode", assessmentId: "assessmentId", openedFrom: "openedFrom" }, outputs: { disconnectRefresh: "disconnectRefresh", pickerChanged: "pickerChanged", closeWorkflow: "closeWorkflow" }, ngImport: i0, template: "<div class=\"workflow-assessment\">\n  <!-- Assessment Type -->\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left checked\">\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >ASSESSMENT TYPE <span class=\"required\">*</span></label\n        >\n        <div class=\"risk-type-field\">\n          <div\n            class=\"type-item\"\n            [class.active]=\"\n              assessmentForm?.assessmentType === 'compliance_audit'\n            \"\n          >\n            <button\n              [class.disabled]=\"!assessmentTypeChangeAllowed\"\n              (click)=\"changeAssessment('compliance_audit')\"\n            >\n              COMPLIANCE AUDIT\n            </button>\n            <i\n              class=\"icons info\"\n              appTooltip=\"This option lets you create a 'Compliance Audit Template' that can be used to conduct various site, user and department level audits. Once the assessment template is created, you can directly create the responsibility and assign it to the relevant assignee.<br><b>Note:</b> These compliance audit templates can only be linked with an audit responsibility that is created as a part of the creating such assessments.\"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <div\n            class=\"type-item\"\n            [appTooltip]=\"\n              assessmentTypeChangeAllowed\n                ? ''\n                : 'You Cannot change the assessment type.'\n            \"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"true\"\n            [class.active]=\"assessmentForm?.assessmentType === 'compliance'\"\n          >\n            <button\n              [class.disabled]=\"!assessmentTypeChangeAllowed\"\n              (click)=\"changeAssessment('compliance')\"\n            >\n              Other\n            </button>\n            <i\n              class=\"icons info\"\n              [class.disabled]=\"!assessmentTypeChangeAllowed\"\n              [appTooltip]=\"\n                'This option can be used to create any outcome based questionnaire or self-assessment questionnaires. Once the templates are created, they can be linked with multiple responsibilities.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <span class=\"background-glider\"></span>\n        </div>\n        <p *ngIf=\"false\" class=\"error-message\">Add an assessment type</p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Assessment Name -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'name' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"im\"\n        *ngIf=\"!assessmentForm.name.trim() || activeSelector === 'name'\"\n      />\n\n      <svg\n        *ngIf=\"assessmentForm.name.trim() && activeSelector !== 'name'\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Assessment Name <span class=\"required\">*</span></label\n        >\n        <input\n          type=\"text\"\n          (keydown)=\"activeSelector = 'name'\"\n          (focusin)=\"activateSelector('name', true)\"\n          (focusout)=\"activateSelector('name', false)\"\n          [(ngModel)]=\"assessmentForm.name\"\n          placeholder=\"Add an assessment name\"\n          *ngIf=\"assessmentForm.name == '' || activeSelector === 'name'\"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"assessmentForm.name.length && activeSelector !== 'name'\"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ assessmentForm.name }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"activateSelector('name', true)\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && !assessmentForm.name.trim()\"\n          class=\"error-message\"\n        >\n          Enter a name for this Assessment.\n        </p>\n        <vcomply-editor\n          [(ngModel)]=\"assessmentForm.description\"\n          [editorConfig]=\"description\"\n          (clickOutside)=\"checkDescription()\"\n        ></vcomply-editor>\n        <!-- <p *ngIf=\"submitted && (assessmentForm.assessmentType ==='COMPLIANCE' && !assessmentForm?.description?.trim()?.length)\" class=\"error-message\">Add an assessment description</p> -->\n      </div>\n    </div>\n  </div>\n\n  <!-- Assessment Category -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'category'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'category' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"assessmentForm?.category?.length\">\n      <img\n        *ngIf=\"\n          !assessmentForm?.category?.length || activeSelector === 'category'\n        \"\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          assessmentForm?.category?.length && activeSelector !== 'category'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >ASSESSMENT CATEGORY <span class=\"required\">*</span></label\n        >\n        <div class=\"select\" *ngIf=\"!assessmentForm?.category?.length\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('category', true)\"\n            placeholder=\"Select category for this assessment\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"assessmentForm?.category?.length\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"\n                assessmentForm?.category[0]?.category_name !== 'uncategorized'\n              \"\n              (click)=\"remove('category', assessmentForm.category[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"assessmentForm?.category[0]?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ assessmentForm?.category[0]?.category_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"category.popover()\"\n              placement=\"right\"\n              *ngIf=\"assessmentForm?.category?.length > 1\"\n            >\n              +{{ assessmentForm?.category?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <span class=\"chip\"><i *ngIf=\"assessmentForm?.category[0]?.category_name !== 'uncategorized'\" class=\"icons\" (click)=\"remove('category',assessmentForm.category[0])\">&#xe90d;</i>{{assessmentForm?.category[0]?.category_name}}</span>\n                        <button class=\"count\" *ngIf=\"assessmentForm?.category?.length > 1\" appPopover (click)=\"category.popover()\" placement=\"right\">+{{assessmentForm?.category?.length -1}}</button>\n                    </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'category'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('category', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && !assessmentForm?.category?.length\"\n          class=\"error-message\"\n        >\n          Select the Assessment Category.\n        </p>\n        <app-popover #category [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let category of assessmentForm?.category | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('category', category)\"\n                      >&#xe90d;</i\n                    >\n                    {{ category?.category_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n      <ng-container *ngIf=\"assessmentForm?.customTags?.length > 0\">\n        <div\n          class=\"vx-form-group\"\n          *ngFor=\"let tag of assessmentForm.customTags\"\n        >\n          <label class=\"vx-control-panel\">{{ tag.custom_tag_name }}</label>\n          <input\n            type=\"text\"\n            [(ngModel)]=\"tag.custom_tag_value\"\n            [placeholder]=\"tag.custom_tag_name\"\n          />\n        </div>\n      </ng-container>\n    </div>\n  </div>\n\n  <!-- Assessment Approval Workflow -->\n  <div\n    *ngIf=\"false\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"false\"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img *ngIf=\"true\" [src]=\"ASSETS.approval\" alt=\"im\" />\n\n      <svg\n        *ngIf=\"false\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group approval-workflow\" [class.disabled]=\"false\">\n        <label class=\"vx-control-panel\">\n          Approval workflow <span class=\"required\">*</span>\n          <button class=\"button\">CREATE A NEW APPROVAL WORKFLOW</button>\n        </label>\n        <div class=\"select\" [class.disabled]=\"false\" *ngIf=\"true\">\n          <cs-select [placeholder]=\"'Select approvers for this assessment'\">\n            <cs-option>test</cs-option>\n            <cs-option>Create a new approval workflow</cs-option>\n          </cs-select>\n        </div>\n        <app-cs-switch\n          >APPROVAL NOT REQUIRED\n          <i\n            class=\"icons\"\n            [appTooltip]=\"'Approval workflow info text here...'\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          ></app-cs-switch\n        >\n        <ng-container *ngIf=\"true\">\n          <div class=\"selected\">\n            <div class=\"workflow-label\">\n              <p class=\"title\">Level 1</p>\n              <p class=\"description\">lavel name</p>\n            </div>\n            <div class=\"vx-d-flex vx-align-center\">\n              <div class=\"chip-container\">\n                <span class=\"chip\">\n                  <i class=\"icons\">&#xe90d;</i>\n                  <span class=\"step\" *ngIf=\"true\">1</span>approval name\n                </span>\n\n                <button\n                  class=\"count\"\n                  *ngIf=\"true\"\n                  type=\"button\"\n                  appPopover\n                  (click)=\"labelName.popover()\"\n                  placement=\"right\"\n                >\n                  +8\n                </button>\n                <app-popover #labelName [dontCloseonClick]=\"true\">\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                        <div class=\"avatar-card\">\n                          <span class=\"value\">\n                            <i class=\"icons\">&#xe90d;</i>\n                            <span class=\"step\">2</span>approval name\n                          </span>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n              <button class=\"edit\" type=\"button\">\n                <i class=\"icons\">&#xe9ba;</i>Edit\n              </button>\n              <button class=\"close-btn\"><i class=\"icons\">&#xe90d;</i></button>\n            </div>\n          </div>\n        </ng-container>\n\n        <p *ngIf=\"true\" class=\"error-message\">\n          Select or create an approval workflow for this assessment.\n        </p>\n\n        <label class=\"vx-control-panel\" *ngIf=\"true\">\n          <button class=\"button\">+ Add More Levels</button>\n        </label>\n      </div>\n    </div>\n  </div>\n</div>\n<ng-container\n  *ngIf=\"assessmentService?.categoriesListData$ | async as categories\"\n>\n  <app-radio-list-with-pagination\n    *ngIf=\"activeSelector === 'category'\"\n    [categoryList]=\"categories?.data\"\n    [config]=\"selectorConfig?.ASSESSMENT_CATGORY\"\n    [currentPage]=\"categories?.currentPage\"\n    [recordStart]=\"categories?.start_value\"\n    [recordEnd]=\"categories?.end_value\"\n    [totalRecords]=\"categories?.totalRecords\"\n    [totalPages]=\"categories?.totalPage\"\n    [loading]=\"assessmentService?.categoriesLoading$ | async\"\n    (fetchData)=\"setCategory($event)\"\n    (next)=\"next('CATEGORY', $event)\"\n    [selectedList]=\"assessmentForm?.category | uncategorizedFilter\"\n    (cancel)=\"activeDeselector()\"\n    (back)=\"activeDeselector()\"\n  ></app-radio-list-with-pagination>\n</ng-container>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n<!-- <app-create-assessment-container></app-create-assessment-container> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-assessment{display:block;position:relative}::ng-deep .workflow-assessment app-cs-switch{display:block;margin-bottom:8px}::ng-deep .workflow-assessment app-cs-switch label.cs-switch span.value{color:#747576!important;font-size:11px!important;font-weight:500!important;justify-content:flex-end!important;line-height:16px;width:100%!important}::ng-deep .workflow-assessment app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:12px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 8px 0 4px}::ng-deep .workflow-assessment .form-group-row .right .approval-workflow .selected{height:56px;padding:4px 12px 8px;display:block}::ng-deep .workflow-assessment .form-group-row .right .approval-workflow .selected .workflow-label{min-width:auto;padding:0;text-align:left;margin:0 0 4px;border-right:none;width:100%;display:flex;align-items:center}::ng-deep .workflow-assessment .form-group-row .right .approval-workflow .selected .workflow-label p.description{font-size:10px;margin-left:6px}::ng-deep span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsSwitchComponent, selector: "app-cs-switch", inputs: ["disabled", "ngValue", "value", "tooltipMessage", "position"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CsSelectComponent, selector: "cs-select", inputs: ["dropdownLabel", "dropdownSubLabel", "isRequired", "placeholder", "setMaxWidth"], outputs: ["valueChanged"] }, { kind: "component", type: CsOptionComponent, selector: "cs-option", inputs: ["value", "color", "backgroundColor", "optionTooltip"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "directive", type: ClickOutsideDirective$1, selector: "[clickOutside]", outputs: ["clickOutside"] }, { kind: "component", type: RadioListWithPaginationComponent, selector: "app-radio-list-with-pagination", inputs: ["categoryList", "config", "currentPage", "recordStart", "recordEnd", "totalRecords", "totalPages", "loading", "selectedList"], outputs: ["fetchData", "back", "next", "cancel"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: UncategorizedFilterPipe, name: "uncategorizedFilter" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowAssessmentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-assessment', template: "<div class=\"workflow-assessment\">\n  <!-- Assessment Type -->\n  <div class=\"form-group-row\" [class.active]=\"false\" [class.disabled]=\"false\">\n    <div class=\"left checked\">\n      <svg\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >ASSESSMENT TYPE <span class=\"required\">*</span></label\n        >\n        <div class=\"risk-type-field\">\n          <div\n            class=\"type-item\"\n            [class.active]=\"\n              assessmentForm?.assessmentType === 'compliance_audit'\n            \"\n          >\n            <button\n              [class.disabled]=\"!assessmentTypeChangeAllowed\"\n              (click)=\"changeAssessment('compliance_audit')\"\n            >\n              COMPLIANCE AUDIT\n            </button>\n            <i\n              class=\"icons info\"\n              appTooltip=\"This option lets you create a 'Compliance Audit Template' that can be used to conduct various site, user and department level audits. Once the assessment template is created, you can directly create the responsibility and assign it to the relevant assignee.<br><b>Note:</b> These compliance audit templates can only be linked with an audit responsibility that is created as a part of the creating such assessments.\"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <div\n            class=\"type-item\"\n            [appTooltip]=\"\n              assessmentTypeChangeAllowed\n                ? ''\n                : 'You Cannot change the assessment type.'\n            \"\n            placement=\"bottom-left\"\n            delay=\"0\"\n            type=\"black\"\n            [tooltipMandatory]=\"true\"\n            [class.active]=\"assessmentForm?.assessmentType === 'compliance'\"\n          >\n            <button\n              [class.disabled]=\"!assessmentTypeChangeAllowed\"\n              (click)=\"changeAssessment('compliance')\"\n            >\n              Other\n            </button>\n            <i\n              class=\"icons info\"\n              [class.disabled]=\"!assessmentTypeChangeAllowed\"\n              [appTooltip]=\"\n                'This option can be used to create any outcome based questionnaire or self-assessment questionnaires. Once the templates are created, they can be linked with multiple responsibilities.'\n              \"\n              placement=\"bottom-right\"\n              delay=\"0\"\n              type=\"white\"\n              [tooltipMandatory]=\"true\"\n              >&#xe932;</i\n            >\n          </div>\n          <span class=\"background-glider\"></span>\n        </div>\n        <p *ngIf=\"false\" class=\"error-message\">Add an assessment type</p>\n      </div>\n    </div>\n  </div>\n\n  <!-- Assessment Name -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'name' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img\n        [src]=\"ASSETS.what\"\n        alt=\"im\"\n        *ngIf=\"!assessmentForm.name.trim() || activeSelector === 'name'\"\n      />\n\n      <svg\n        *ngIf=\"assessmentForm.name.trim() && activeSelector !== 'name'\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >Assessment Name <span class=\"required\">*</span></label\n        >\n        <input\n          type=\"text\"\n          (keydown)=\"activeSelector = 'name'\"\n          (focusin)=\"activateSelector('name', true)\"\n          (focusout)=\"activateSelector('name', false)\"\n          [(ngModel)]=\"assessmentForm.name\"\n          placeholder=\"Add an assessment name\"\n          *ngIf=\"assessmentForm.name == '' || activeSelector === 'name'\"\n        />\n        <div\n          class=\"selected\"\n          *ngIf=\"assessmentForm.name.length && activeSelector !== 'name'\"\n        >\n          <div class=\"chip-container\">\n            <span class=\"value\">{{ assessmentForm.name }}</span>\n          </div>\n          <button\n            class=\"edit\"\n            (click)=\"activateSelector('name', true)\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && !assessmentForm.name.trim()\"\n          class=\"error-message\"\n        >\n          Enter a name for this Assessment.\n        </p>\n        <vcomply-editor\n          [(ngModel)]=\"assessmentForm.description\"\n          [editorConfig]=\"description\"\n          (clickOutside)=\"checkDescription()\"\n        ></vcomply-editor>\n        <!-- <p *ngIf=\"submitted && (assessmentForm.assessmentType ==='COMPLIANCE' && !assessmentForm?.description?.trim()?.length)\" class=\"error-message\">Add an assessment description</p> -->\n      </div>\n    </div>\n  </div>\n\n  <!-- Assessment Category -->\n  <div\n    class=\"form-group-row\"\n    [class.active]=\"activeSelector === 'category'\"\n    [class.disabled]=\"\n      activeSelector &&\n      activeSelector !== 'category' &&\n      sideSelectorElements.includes(activeSelector)\n    \"\n  >\n    <div class=\"left\" [class.checked]=\"assessmentForm?.category?.length\">\n      <img\n        *ngIf=\"\n          !assessmentForm?.category?.length || activeSelector === 'category'\n        \"\n        [src]=\"ASSETS.case_category\"\n        alt=\"\"\n      />\n\n      <svg\n        class=\"checkIcon\"\n        *ngIf=\"\n          assessmentForm?.category?.length && activeSelector !== 'category'\n        \"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group\">\n        <label class=\"vx-control-panel\"\n          >ASSESSMENT CATEGORY <span class=\"required\">*</span></label\n        >\n        <div class=\"select\" *ngIf=\"!assessmentForm?.category?.length\">\n          <input\n            type=\"text\"\n            (click)=\"activateSelector('category', true)\"\n            placeholder=\"Select category for this assessment\"\n            readonly\n          />\n        </div>\n        <div class=\"selected\" *ngIf=\"assessmentForm?.category?.length\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"\n                assessmentForm?.category[0]?.category_name !== 'uncategorized'\n              \"\n              (click)=\"remove('category', assessmentForm.category[0])\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"assessmentForm?.category[0]?.category_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ assessmentForm?.category[0]?.category_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"category.popover()\"\n              placement=\"right\"\n              *ngIf=\"assessmentForm?.category?.length > 1\"\n            >\n              +{{ assessmentForm?.category?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <span class=\"chip\"><i *ngIf=\"assessmentForm?.category[0]?.category_name !== 'uncategorized'\" class=\"icons\" (click)=\"remove('category',assessmentForm.category[0])\">&#xe90d;</i>{{assessmentForm?.category[0]?.category_name}}</span>\n                        <button class=\"count\" *ngIf=\"assessmentForm?.category?.length > 1\" appPopover (click)=\"category.popover()\" placement=\"right\">+{{assessmentForm?.category?.length -1}}</button>\n                    </div> -->\n          <button\n            *ngIf=\"activeSelector !== 'category'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateSelector('category', true)\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n        <p\n          *ngIf=\"submitted && !assessmentForm?.category?.length\"\n          class=\"error-message\"\n        >\n          Select the Assessment Category.\n        </p>\n        <app-popover #category [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let category of assessmentForm?.category | slice : 1;\n                  let j = index\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i class=\"icons\" (click)=\"remove('category', category)\"\n                      >&#xe90d;</i\n                    >\n                    {{ category?.category_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n      <ng-container *ngIf=\"assessmentForm?.customTags?.length > 0\">\n        <div\n          class=\"vx-form-group\"\n          *ngFor=\"let tag of assessmentForm.customTags\"\n        >\n          <label class=\"vx-control-panel\">{{ tag.custom_tag_name }}</label>\n          <input\n            type=\"text\"\n            [(ngModel)]=\"tag.custom_tag_value\"\n            [placeholder]=\"tag.custom_tag_name\"\n          />\n        </div>\n      </ng-container>\n    </div>\n  </div>\n\n  <!-- Assessment Approval Workflow -->\n  <div\n    *ngIf=\"false\"\n    class=\"form-group-row\"\n    [class.active]=\"false\"\n    [class.disabled]=\"false\"\n  >\n    <div class=\"left\" [class.checked]=\"false\">\n      <img *ngIf=\"true\" [src]=\"ASSETS.approval\" alt=\"im\" />\n\n      <svg\n        *ngIf=\"false\"\n        class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 52 52\"\n      >\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path\n          class=\"checkIcon__check\"\n          fill=\"none\"\n          d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n        />\n      </svg>\n    </div>\n    <div class=\"right\">\n      <div class=\"vx-form-group approval-workflow\" [class.disabled]=\"false\">\n        <label class=\"vx-control-panel\">\n          Approval workflow <span class=\"required\">*</span>\n          <button class=\"button\">CREATE A NEW APPROVAL WORKFLOW</button>\n        </label>\n        <div class=\"select\" [class.disabled]=\"false\" *ngIf=\"true\">\n          <cs-select [placeholder]=\"'Select approvers for this assessment'\">\n            <cs-option>test</cs-option>\n            <cs-option>Create a new approval workflow</cs-option>\n          </cs-select>\n        </div>\n        <app-cs-switch\n          >APPROVAL NOT REQUIRED\n          <i\n            class=\"icons\"\n            [appTooltip]=\"'Approval workflow info text here...'\"\n            placement=\"bottom-right\"\n            type=\"white\"\n            delay=\"0\"\n            [tooltipMandatory]=\"true\"\n            >&#xe932;</i\n          ></app-cs-switch\n        >\n        <ng-container *ngIf=\"true\">\n          <div class=\"selected\">\n            <div class=\"workflow-label\">\n              <p class=\"title\">Level 1</p>\n              <p class=\"description\">lavel name</p>\n            </div>\n            <div class=\"vx-d-flex vx-align-center\">\n              <div class=\"chip-container\">\n                <span class=\"chip\">\n                  <i class=\"icons\">&#xe90d;</i>\n                  <span class=\"step\" *ngIf=\"true\">1</span>approval name\n                </span>\n\n                <button\n                  class=\"count\"\n                  *ngIf=\"true\"\n                  type=\"button\"\n                  appPopover\n                  (click)=\"labelName.popover()\"\n                  placement=\"right\"\n                >\n                  +8\n                </button>\n                <app-popover #labelName [dontCloseonClick]=\"true\">\n                  <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                      <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                        <div class=\"avatar-card\">\n                          <span class=\"value\">\n                            <i class=\"icons\">&#xe90d;</i>\n                            <span class=\"step\">2</span>approval name\n                          </span>\n                        </div>\n                      </li>\n                    </ul>\n                  </div>\n                </app-popover>\n              </div>\n              <button class=\"edit\" type=\"button\">\n                <i class=\"icons\">&#xe9ba;</i>Edit\n              </button>\n              <button class=\"close-btn\"><i class=\"icons\">&#xe90d;</i></button>\n            </div>\n          </div>\n        </ng-container>\n\n        <p *ngIf=\"true\" class=\"error-message\">\n          Select or create an approval workflow for this assessment.\n        </p>\n\n        <label class=\"vx-control-panel\" *ngIf=\"true\">\n          <button class=\"button\">+ Add More Levels</button>\n        </label>\n      </div>\n    </div>\n  </div>\n</div>\n<ng-container\n  *ngIf=\"assessmentService?.categoriesListData$ | async as categories\"\n>\n  <app-radio-list-with-pagination\n    *ngIf=\"activeSelector === 'category'\"\n    [categoryList]=\"categories?.data\"\n    [config]=\"selectorConfig?.ASSESSMENT_CATGORY\"\n    [currentPage]=\"categories?.currentPage\"\n    [recordStart]=\"categories?.start_value\"\n    [recordEnd]=\"categories?.end_value\"\n    [totalRecords]=\"categories?.totalRecords\"\n    [totalPages]=\"categories?.totalPage\"\n    [loading]=\"assessmentService?.categoriesLoading$ | async\"\n    (fetchData)=\"setCategory($event)\"\n    (next)=\"next('CATEGORY', $event)\"\n    [selectedList]=\"assessmentForm?.category | uncategorizedFilter\"\n    (cancel)=\"activeDeselector()\"\n    (back)=\"activeDeselector()\"\n  ></app-radio-list-with-pagination>\n</ng-container>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n<!-- <app-create-assessment-container></app-create-assessment-container> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";::ng-deep .workflow-assessment{display:block;position:relative}::ng-deep .workflow-assessment app-cs-switch{display:block;margin-bottom:8px}::ng-deep .workflow-assessment app-cs-switch label.cs-switch span.value{color:#747576!important;font-size:11px!important;font-weight:500!important;justify-content:flex-end!important;line-height:16px;width:100%!important}::ng-deep .workflow-assessment app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:12px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 8px 0 4px}::ng-deep .workflow-assessment .form-group-row .right .approval-workflow .selected{height:56px;padding:4px 12px 8px;display:block}::ng-deep .workflow-assessment .form-group-row .right .approval-workflow .selected .workflow-label{min-width:auto;padding:0;text-align:left;margin:0 0 4px;border-right:none;width:100%;display:flex;align-items:center}::ng-deep .workflow-assessment .form-group-row .right .approval-workflow .selected .workflow-label p.description{font-size:10px;margin-left:6px}::ng-deep span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AssessmentService$1 }, { type: AuthService$1 }, { type: UiKitService }, { type: SnackBarService }, { type: IframeService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { mode: [{
                type: Input
            }], assessmentId: [{
                type: Input
            }], openedFrom: [{
                type: Input
            }], disconnectRefresh: [{
                type: Output
            }], pickerChanged: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }] } });

const smileyActions = {
    IMPORT_MORE: 'IMPORT_MORE',
    VIEW_ASSESSMENTS: 'VIEW_ASSESSMENTS',
};
class ImportAnAssessmentComponent {
    setIsUploaded(isUploaded) {
        this.isUploaded = isUploaded;
        this.auth.previewPanel.next(isUploaded);
        if (!isUploaded) {
            const closeBtn = document.getElementById('close-workflow-engine-btn');
            if (closeBtn)
                closeBtn.style.display = 'block';
            this.convertedData = {};
        }
    }
    constructor(auth, assessmentService, iframeService) {
        this.auth = auth;
        this.assessmentService = assessmentService;
        this.iframeService = iframeService;
        this.ASSETS = ASSETS;
        this.closeWorkflow = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.isShowLoader = false;
        this.isWrongFormat = false;
        this.uploadedFiles = [];
        this.fileResponse = [];
        this.organizationId = 0;
        this.errorMessage = 'invalid file error';
        this.downloadStatus = 'NOT_DOWNLOADING';
        this.downloadPercent = 0;
        this.smileyMessageAction = `You're All Set!`;
        this.actionButtons = [
            {
                buttonText: 'Import More Assessments',
                class: 'white-btn',
                id: smileyActions.IMPORT_MORE,
            },
            {
                buttonText: 'View Assessments',
                class: 'blue-btn',
                id: smileyActions.VIEW_ASSESSMENTS,
            },
        ];
        this.showSmiley = false;
        this.isUploaded = false;
        this.colMap = {
            type: 0,
            title: 1,
            score: 2,
            opt1: 3,
            opt2: 4,
            opt3: 5,
            opt4: 6,
            opt5: 7,
            opt6: 8,
            required: 9,
            failed: 10,
            description: 11,
            placeholder: 12,
            comment: 13,
            other: 14,
            randomize: 15,
            alignment: 16,
            userattachment: 17,
            usercomment: 18,
        };
        this.settings = {
            assessmentMode: false,
            defaultScore: 1,
            negativeScoreCriteria: 'FAILED',
            negativeScore: 0,
            weightageEnabled: false,
            settingsEnabled: false,
        };
        this.organizationId = this.auth.getOrganizationId();
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.closeWorkflow.emit({ evt: this.assessmentData, confirm: false });
    }
    downloadTemplate() {
        this.downloadStatus = 'DOWNLOADING';
        this.downloadPercent = 0;
        const downloadDate = new Date().toDateString().split(' ');
        const fileName = `Import an Assessment-${downloadDate[2]}-${downloadDate[1]}-${downloadDate[3]}.xlsx`;
        this.assessmentService.downloadTemplate().subscribe({
            next: (data) => {
                setTimeout(() => {
                    this.downloadStatus = this.assessmentService.downLoadFile(data, 'application/xlsx', fileName);
                }, 1500);
            },
            error: () => {
                this.downloadStatus = 'DOWNLOADED';
            },
        });
    }
    triggerBrowseFile() {
        const getFile = document.getElementById('iaa-file-input');
        if (getFile) {
            getFile.click();
        }
    }
    //  handle upload file area
    uploadFile(evt) {
        const target = evt.target;
        const reader = new FileReader();
        reader.onload = (e) => {
            const bstr = e.target.result;
            const wb = XLSX.read(bstr, { type: 'binary' });
            const wsname = wb.SheetNames[0];
            const wsname1 = wb.SheetNames[1];
            const ws = wb.Sheets[wsname];
            const tempData = wb.Sheets[wsname1];
            this.categoryData = XLSX.utils.sheet_to_json(tempData, {
                header: 1,
            });
            this.sheetData = XLSX.utils.sheet_to_json(ws, {
                header: 1,
            });
            this.generateCategoryList(this.categoryData);
            this.assessmentData = this.sheetData.filter((dataElement) => dataElement.length > 0);
            this.isWrongFormat = false;
            this.errorMessage = '';
            if (!this.checkFormat(this.assessmentData)) {
                const closeBtn = document.getElementById('close-workflow-engine-btn');
                if (closeBtn)
                    closeBtn.style.display = 'none';
                this.generateEditorPayload(this.assessmentData);
                this.auth.previewPanel.next(true);
                this.isUploaded = true;
                setTimeout(() => {
                    this.editorCont.triggerPreviewWithValidation();
                }, 100);
            }
        };
        reader.readAsBinaryString(target.files[0]);
    }
    generateCategoryList(categoryData) {
        const catList = {};
        if (categoryData) {
            categoryData.forEach((ele) => {
                catList[ele[0]] = ele[1];
            });
            this.categoryList = catList;
        }
    }
    categoryNametoId(categoryName) {
        if (this.categoryList[categoryName]) {
            return this.categoryList[categoryName];
        }
        else {
            return null;
        }
    }
    generateEditorPayload(data) {
        //check format
        const payload = {
            metadata: {
                assessment_name: '',
                description: '',
                assessment_type: 'compliance',
                category_arr: [],
                approval_workflow_arr: {
                    test: 'test',
                },
                approval_required: true,
                source_page: 'compliance',
            },
            assessmentData: {
                version: 2,
                questionRandomize: false,
                anonymousResponse: false,
                hasWelcome: false,
                hasWelcomeDescription: false,
                welcomeText: '',
                hasWelcomeImage: false,
                welcomeImage: '',
                welcomeDescription: '',
                hasThanks: false,
                hasThankyouImage: false,
                thankyouText: '',
                thankyouImage: '',
                hasThankyouDescription: false,
                thankyouDescription: '',
                elements: [],
                pageDetailsList: [],
                customResponseSet: [],
                settings: this.settings,
                responseSegment: this.initializeEmptyResponseSegment(),
            },
        };
        this.convertedData = payload;
        this.convertedData.metadata.assessment_name = this.assessmentData[2][1];
        this.convertedData.metadata.description = this.assessmentData[3][1];
        // this.convertedData.metadata.category_arr[0] = this.assessmentData[4][1];
        this.convertedData.metadata.category_arr = [
            this.categoryNametoId(this.assessmentData[4][1]),
        ];
        //TODO: create a function to convert from categories names to categories id.
        //TODO: check the api for sub-flow like assessment-setting.
        // this.convertedData.metadata.category_arr[0] = "61cc27c5b3e8642b333f3591";
        this.generateQuestionsList(data.slice(6), payload.assessmentData.elements);
    }
    generateQuestionsList(questionsList, questionsArray) {
        questionsArray = [];
        if (questionsList?.length) {
            questionsList.forEach((question, index) => {
                questionsArray.push();
                switch (question[0]) {
                    case 'Single Textbox':
                        questionsArray.push(this.generateSingleTextbox('single-textbox', question, index));
                        break;
                    case 'Multiple Choice':
                        questionsArray.push(this.generateMultipleChoice('multiple-choice', question, index));
                        break;
                    case 'Checkbox':
                        questionsArray.push(this.generateMultipleChoice('checkbox', question, index));
                        break;
                    case 'Dropdown':
                        questionsArray.push(this.generateMultipleChoice('dropdown', question, index));
                        break;
                    case 'Date & Time':
                        questionsArray.push(this.generateDateTime('date-time', question, index));
                        break;
                    case 'File Upload':
                        questionsArray.push(this.generateFileUpload(question, index));
                        break;
                    default:
                    // No need to do anything for default
                }
            });
        }
        this.convertedData.assessmentData.elements = questionsArray;
    }
    generateSingleTextbox(type, question, index) {
        return {
            type: 'single-textbox',
            name: `Question_${index}`,
            page: 1,
            hasValidation: false,
            validationType: '',
            isRequired: question[this.colMap?.required] === 'Yes' ? true : false,
            hasCharacterLength: false,
            minCharacterLength: 0,
            maxCharacterLength: 100,
            title: question[this.colMap?.title]?.toString()?.trim() ?? '',
            hasDescription: question[this.colMap?.description]?.toString()?.trim()
                ?.length
                ? true
                : false,
            description: question[this.colMap?.description]?.toString()?.trim() ?? '',
            hasComments: question[this.colMap?.usercomment]?.toString()?.trim()
                ?.length
                ? true
                : false,
            comments: question[this.colMap?.comment]?.toString()?.trim(),
            randomize: question[this.colMap?.randomize] === 'Yes' ? true : false,
            hasOther: question[this.colMap?.other] === 'Yes' ? true : false,
            otherValue: 'Other',
            alignment: question[this.colMap?.alignment] === 'Yes' ? true : false,
            reverse: false,
            isRespondentAttachment: question[this.colMap?.userattachment] === 'Yes' ? true : false,
            userAttachedFiles: [],
            isRespondentComment: question[this.colMap?.usercomment] === 'Yes' ? true : false,
            visibilityLogic: [],
            otherConfig: {
                color: '#000000',
                isFailed: false,
                score: question[this.colMap?.score] ?? 1,
            },
            choices: [
                {
                    title: '',
                    value: 1,
                    isSelected: false,
                    required: 0,
                    hasHelpingLabel: false,
                    helpingLabel: '',
                    isFailed: false,
                    score: question[this.colMap?.score] ?? 1,
                    color: '#000000',
                },
            ],
        };
    }
    generateMultipleChoice(type, question, index) {
        return {
            type: type,
            name: `Question_${index}`,
            page: 1,
            hasValidation: false,
            validationType: '',
            isRequired: question[this.colMap?.required] === 'Yes' ? true : false,
            hasCharacterLength: false,
            minCharacterLength: 0,
            maxCharacterLength: 100,
            title: question[this.colMap?.title]?.toString()?.trim() ?? '',
            hasDescription: question[this.colMap?.description]?.toString()?.trim()
                ?.length
                ? true
                : false,
            description: question[this.colMap?.description]?.toString().trim() ?? '',
            hasComments: question[this.colMap?.comment]?.toString()?.trim()?.length
                ? true
                : false,
            comments: question[this.colMap?.comment]?.toString().trim(),
            randomize: question[this.colMap?.randomize] === 'Yes' ? true : false,
            hasOther: question[this.colMap?.other] === 'Yes' ? true : false,
            otherValue: 'Other',
            alignment: question[this.colMap?.alignment] === 'Yes' ? true : false,
            reverse: false,
            isRespondentAttachment: question[this.colMap?.userattachment] === 'Yes' ? true : false,
            userAttachedFiles: [],
            visibilityLogic: [],
            isRespondentComment: question[this.colMap?.usercomment] === 'Yes' ? true : false,
            otherConfig: {
                color: '#000000',
                isFailed: false,
                score: question[this.colMap?.score] ?? 1,
            },
            choices: this.generateChoices(question),
        };
    }
    generateDateTime(type, question, index) {
        return {
            type: type,
            name: `Question_${index}`,
            page: 1,
            hasValidation: false,
            validationType: '',
            isRequired: question[this.colMap?.required] === 'Yes' ? true : false,
            hasCharacterLength: false,
            minCharacterLength: 0,
            maxCharacterLength: 100,
            title: question[this.colMap?.title]?.toString()?.trim() ?? '',
            hasDescription: question[this.colMap?.description]?.toString()?.trim()
                ?.length
                ? true
                : false,
            description: question[this.colMap?.description]?.toString()?.trim() ?? '',
            hasComments: question[this.colMap?.comment]?.toString()?.trim()?.length
                ? true
                : false,
            comments: question[this.colMap?.comment]?.toString().trim(),
            randomize: question[this.colMap?.randomize] === 'Yes' ? true : false,
            hasOther: question[this.colMap?.other] === 'Yes' ? true : false,
            otherValue: 'Other',
            alignment: question[this.colMap?.alignment] === 'Yes' ? true : false,
            reverse: false,
            isRespondentAttachment: question[this.colMap?.userattachment] === 'Yes' ? true : false,
            userAttachedFiles: [],
            visibilityLogic: [],
            isRespondentComment: question[this.colMap?.usercomment] === 'Yes' ? true : false,
            otherConfig: {
                color: '#000000',
                isFailed: false,
                score: question[this.colMap?.score] ?? 1,
            },
            choices: [
                {
                    title: '',
                    value: 1,
                    isSelected: false,
                    required: 0,
                    hasHelpingLabel: false,
                    helpingLabel: '',
                    isFailed: false,
                    score: question[this.colMap?.score] ?? 1,
                    color: '#000000',
                },
            ],
            hasDate: true,
            hasTime: false,
            dateFormat: 'DD/MM/YYYY',
            timeFormat: 24,
            date: {
                title: question[this.colMap?.placeholder] ?? 'Select Date',
                value: '',
            },
            time: {
                title: question[this.colMap?.placeholder] ?? 'Select Time',
                value: '',
            },
        };
    }
    generateFileUpload(question, index) {
        return {
            type: 'file-upload',
            name: `Question_${index}`,
            page: 1,
            hasValidation: false,
            validationType: '',
            isRequired: question[this.colMap?.required] === 'Yes' ? true : false,
            hasCharacterLength: false,
            minCharacterLength: 0,
            maxCharacterLength: 100,
            title: question[this.colMap?.title]?.toString()?.trim() ?? '',
            hasDescription: question[this.colMap?.description]?.toString()?.trim()
                ?.length
                ? true
                : false,
            description: question[this.colMap?.description]?.toString()?.trim() ?? '',
            hasComments: question[this.colMap?.usercomment]?.toString()?.trim()
                ?.length
                ? true
                : false,
            comments: question[this.colMap?.comment]?.toString()?.trim(),
            randomize: question[this.colMap?.randomize] === 'Yes' ? true : false,
            hasOther: question[this.colMap?.other] === 'Yes' ? true : false,
            otherValue: 'Other',
            alignment: question[this.colMap?.alignment] === 'Yes' ? true : false,
            reverse: false,
            isRespondentAttachment: question[this.colMap?.userattachment] === 'Yes' ? true : false,
            userAttachedFiles: [],
            visibilityLogic: [],
            isRespondentComment: question[this.colMap?.usercomment] === 'Yes' ? true : false,
            otherConfig: {
                color: '#000000',
                isFailed: false,
                score: question[this.colMap?.score] ?? 1,
            },
            choices: [
                {
                    title: '',
                    value: 1,
                    isSelected: false,
                    required: 0,
                    hasHelpingLabel: false,
                    helpingLabel: '',
                    isFailed: false,
                    score: question[this.colMap?.score] ?? 1,
                    color: '#000000',
                },
            ],
            allowedFileTypes: {
                pdf: true,
                doc: true,
                png: true,
                jpg: true,
                gif: true,
            },
        };
    }
    generateChoices(question) {
        const options = [
            question[this.colMap?.opt1],
            question[this.colMap?.opt2],
            question[this.colMap?.opt3],
            question[this.colMap?.opt4],
            question[this.colMap?.opt5],
            question[this.colMap?.opt6],
        ].filter((ele) => ele);
        options.forEach((ele) => {
            if (ele) {
                ele.toString()?.trim();
            }
        });
        if (options?.length === 0) {
            options.push('');
        }
        const optionMap = {
            'Option 1': 3,
            'Option 2': 4,
            'Option 3': 5,
            'Option 4': 6,
            'Option 5': 7,
            'Option 6': 8,
        };
        options.forEach((choice, index) => {
            options[index] = {
                title: choice && typeof choice == 'string'
                    ? choice
                    : choice.toString() ?? '',
                value: 1,
                isSelected: false,
                required: 0,
                hasHelpingLabel: false,
                helpingLabel: '',
                isFailed: choice?.toString()?.trim() ==
                    question[optionMap[question[this.colMap?.failed]]]
                    ? true
                    : false,
                score: question[this.colMap?.score] ?? 1,
                color: '#000000',
            };
        });
        return options;
    }
    checkFormat(assessmentData) {
        const orgInTemplate = this.categoryData[0][5];
        //Completly blank excel sheet
        if (assessmentData.length === 0 || orgInTemplate !== this.organizationId) {
            this.errorMessage =
                'You have uploaded the wrong template. Please download the template again to proceed.';
            this.isWrongFormat = true;
            return true;
        }
        //Invalid Tempalte
        try {
            if (assessmentData[2][0] !== 'Assessment Name*' ||
                assessmentData[3][0] !== 'Description' ||
                assessmentData[4][0] !== 'Assessment Category*' ||
                assessmentData[5][0] !== 'Question Type*') {
                this.errorMessage =
                    'You have uploaded the wrong template. Please download the template again to proceed.';
                this.isWrongFormat = true;
                return true;
            }
        }
        catch {
            this.errorMessage =
                'You have uploaded the wrong template. Please download the template again to proceed.';
            this.isWrongFormat = true;
            return true;
        }
        //Check Assessment name
        try {
            if (!assessmentData[2][1] ||
                assessmentData[2][1] === '' ||
                assessmentData[2][1] === undefined) {
                this.errorMessage = 'Enter a name for this Assessment.';
                this.isWrongFormat = true;
                return true;
            }
        }
        catch {
            this.errorMessage = 'Enter a name for this Assessment.';
            this.isWrongFormat = true;
            return true;
        }
        //category not selected
        try {
            if (!assessmentData[4][1] ||
                assessmentData[4][1] === '' ||
                assessmentData[4][1] === undefined) {
                this.errorMessage = 'Select the Assessment Category.';
                this.isWrongFormat = true;
                return true;
            }
        }
        catch {
            this.errorMessage = 'Select the Assessment Category.';
            this.isWrongFormat = true;
            return true;
        }
        //Does not contains any questions
        try {
            if (assessmentData.slice(7)?.length === 0) {
                this.errorMessage =
                    'You have uploaded a blank template. Please add questions to this template and upload it again.';
                this.isWrongFormat = true;
                return true;
            }
        }
        catch {
            this.errorMessage =
                'You have uploaded a blank template. Please add questions to this template and upload it again.';
            this.isWrongFormat = true;
            return true;
        }
        //handle type of question and options count
        for (let i = 7; i <= assessmentData.length - 1; i++) {
            if (assessmentData[i][0] !== 'Multiple Choice' &&
                assessmentData[i][0] !== 'Checkbox' &&
                assessmentData[i][0] !== 'Dropdown' &&
                assessmentData[i][0] !== 'Single Textbox' &&
                assessmentData[i][0] !== 'Date & Time' &&
                assessmentData[i][0] !== 'File Upload') {
                this.errorMessage =
                    'You have uploaded the wrong template. Please download the template again to proceed.';
                this.isWrongFormat = true;
                return true;
            }
            // if (assessmentData[i][1] === '') {
            //   this.errorMessage = 'You have uploaded the wrong template. Please download the template again to proceed.';
            //   this.isWrongFormat = true;
            //   return true;
            // }
        }
        this.errorMessage = '';
        return false;
    }
    initializeEmptyResponseSegment() {
        return {
            title: '',
            description: '',
            maxScore: 10,
            segments: [],
        };
    }
    postAssessment(data) {
        this.isShowLoader = true;
        this.assessmentService
            .createAssessment(this.convertedData.metadata)
            .subscribe({
            next: (response) => {
                this.postAssessmentDetails(response._id, data.mode, data.assessmentDetails);
            },
            error: (err) => {
                this.isShowLoader = false;
            },
        });
    }
    postAssessmentDetails(id, mode, assessmentDetails) {
        this.isUploaded = false;
        this.auth.previewPanel.next(false);
        const payload = {
            question: assessmentDetails,
            action: 'questions_save',
            state: mode,
        };
        this.assessmentService.saveAssessmentDetails(id, payload).subscribe({
            next: (response) => {
                this.assessmentData = {};
                this.isShowLoader = false;
                this.showSmiley = true;
                this.submitWorkflow();
            },
            error: (err) => {
                this.isShowLoader = false;
            },
        });
    }
    submitWorkflow() {
        const message = { type: 'submit' };
        const targetOrigin = this.getOrigin();
        window.parent.postMessage(message, targetOrigin);
    }
    getOrigin() {
        return window.location.origin;
    }
    smileyAction(id) {
        if (id === smileyActions.VIEW_ASSESSMENTS) {
            this.disconnectRefresh.emit(false);
            // TODO: Navigate to '/manage-assessment'
            let url;
            if (window.location.host.startsWith('localhost')) {
                url = 'http://' + window.location.host + '/manage-assessment';
            }
            else {
                url =
                    'https://' + window.location.host + '/assessment/manage-assessment';
            }
            this.iframeService.redirectIfInIframe(url, true);
        }
        else {
            this.showSmiley = false;
            this.auth.previewPanel.next(false);
            const closeBtn = document.getElementById('close-workflow-engine-btn');
            if (closeBtn)
                closeBtn.style.display = 'block';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ImportAnAssessmentComponent, deps: [{ token: AuthService$1 }, { token: AssessmentService$1 }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ImportAnAssessmentComponent, selector: "app-import-an-assessment", outputs: { closeWorkflow: "closeWorkflow", disconnectRefresh: "disconnectRefresh" }, viewQueries: [{ propertyName: "editorCont", first: true, predicate: ["editor"], descendants: true }], ngImport: i0, template: "<div class=\"import-an-assessment\" [attr.id]=\"'scrollReference'\">\n  <!-- main container starts here -->\n  <div class=\"import-an-assessment-body\">\n    <div class=\"import-an-assessment-container\">\n      <div class=\"image\">\n        <img [src]=\"ASSETS.spreadsheet_multiple_category\" alt=\"\" />\n      </div>\n\n      <h4>You can import an assessment in just two easy steps:</h4>\n      <ul class=\"list\">\n        <li>Download the template and fill in the details.</li>\n        <li>Upload the .xlsx file and you\u2019re good to go!</li>\n      </ul>\n\n      <button\n        class=\"download\"\n        *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n        (click)=\"downloadTemplate()\"\n        type=\"button\"\n      >\n        <i class=\"icons\">&#xe91b;</i> Download Template\n      </button>\n      <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n        Download in Progress\n        <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n      </div>\n      <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n        <div class=\"bulk-btn-progress\">\n          <i class=\"icons\">&#xe91c;</i>Download Complete\n        </div>\n        <div class=\"bulk-btn-again\">\n          Is the file not downloaded?\n          <button (click)=\"downloadTemplate()\">Retry Download</button>\n        </div>\n      </ng-container>\n      <p class=\"error-message\" *ngIf=\"isWrongFormat\">{{ errorMessage }}</p>\n    </div>\n  </div>\n</div>\n\n<app-loader-inline *ngIf=\"isShowLoader\"></app-loader-inline>\n\n<input\n  type=\"file\"\n  [(ngModel)]=\"fileValue\"\n  id=\"iaa-file-input\"\n  accept=\".xlsx\"\n  class=\"hidden-input\"\n  onclick=\"this.value = null\"\n  (change)=\"uploadFile($event)\"\n/>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessageAction\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"smileyAction($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n\n<div class=\"import\" *ngIf=\"isUploaded\">\n  <app-create-assessment-container\n    #editor\n    [openPortal]=\"'ASSESSMENT_IMPORT'\"\n    (postAssessment)=\"postAssessment($event)\"\n    (setIsUploaded)=\"setIsUploaded($event)\"\n    [assessmentJSON]=\"convertedData\"\n  >\n  </app-create-assessment-container>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .import-an-assessment{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .import-an-assessment{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .import-an-assessment-body{padding:0;display:block}::ng-deep .import-an-assessment-container{display:block;text-align:center}::ng-deep .import-an-assessment-container .image{width:300px;margin:0 auto 24px}::ng-deep .import-an-assessment-container h4{font-size:20px;line-height:30px;margin:0 0 20px;font-weight:500}::ng-deep .import-an-assessment-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .import-an-assessment-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #F1F1F1;border-radius:4px;padding:0 12px}::ng-deep .import-an-assessment-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .import-an-assessment-container ul.list li+li{margin-top:4px}::ng-deep .import-an-assessment-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .import-an-assessment-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .import-an-assessment-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .import-an-assessment-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .import-an-assessment-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .import-an-assessment-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}.import{position:fixed;inset:0 30px 0 0;z-index:9;width:calc(100vw - 30px)}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "component", type: CreateAssessmentContainerComponent, selector: "app-create-assessment-container", inputs: ["openPortal", "assessmentJSON", "checkpointJSON"], outputs: ["setIsUploaded", "postAssessment"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: LineLoaderComponent, selector: "app-line-loader", inputs: ["loaderHeight"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ImportAnAssessmentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-import-an-assessment', template: "<div class=\"import-an-assessment\" [attr.id]=\"'scrollReference'\">\n  <!-- main container starts here -->\n  <div class=\"import-an-assessment-body\">\n    <div class=\"import-an-assessment-container\">\n      <div class=\"image\">\n        <img [src]=\"ASSETS.spreadsheet_multiple_category\" alt=\"\" />\n      </div>\n\n      <h4>You can import an assessment in just two easy steps:</h4>\n      <ul class=\"list\">\n        <li>Download the template and fill in the details.</li>\n        <li>Upload the .xlsx file and you\u2019re good to go!</li>\n      </ul>\n\n      <button\n        class=\"download\"\n        *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n        (click)=\"downloadTemplate()\"\n        type=\"button\"\n      >\n        <i class=\"icons\">&#xe91b;</i> Download Template\n      </button>\n      <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n        Download in Progress\n        <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n      </div>\n      <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n        <div class=\"bulk-btn-progress\">\n          <i class=\"icons\">&#xe91c;</i>Download Complete\n        </div>\n        <div class=\"bulk-btn-again\">\n          Is the file not downloaded?\n          <button (click)=\"downloadTemplate()\">Retry Download</button>\n        </div>\n      </ng-container>\n      <p class=\"error-message\" *ngIf=\"isWrongFormat\">{{ errorMessage }}</p>\n    </div>\n  </div>\n</div>\n\n<app-loader-inline *ngIf=\"isShowLoader\"></app-loader-inline>\n\n<input\n  type=\"file\"\n  [(ngModel)]=\"fileValue\"\n  id=\"iaa-file-input\"\n  accept=\".xlsx\"\n  class=\"hidden-input\"\n  onclick=\"this.value = null\"\n  (change)=\"uploadFile($event)\"\n/>\n\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessageAction\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"smileyAction($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n\n<div class=\"import\" *ngIf=\"isUploaded\">\n  <app-create-assessment-container\n    #editor\n    [openPortal]=\"'ASSESSMENT_IMPORT'\"\n    (postAssessment)=\"postAssessment($event)\"\n    (setIsUploaded)=\"setIsUploaded($event)\"\n    [assessmentJSON]=\"convertedData\"\n  >\n  </app-create-assessment-container>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .import-an-assessment{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .import-an-assessment{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .import-an-assessment-body{padding:0;display:block}::ng-deep .import-an-assessment-container{display:block;text-align:center}::ng-deep .import-an-assessment-container .image{width:300px;margin:0 auto 24px}::ng-deep .import-an-assessment-container h4{font-size:20px;line-height:30px;margin:0 0 20px;font-weight:500}::ng-deep .import-an-assessment-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .import-an-assessment-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #F1F1F1;border-radius:4px;padding:0 12px}::ng-deep .import-an-assessment-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .import-an-assessment-container ul.list li+li{margin-top:4px}::ng-deep .import-an-assessment-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .import-an-assessment-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .import-an-assessment-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .import-an-assessment-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .import-an-assessment-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .import-an-assessment-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}.import{position:fixed;inset:0 30px 0 0;z-index:9;width:calc(100vw - 30px)}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AuthService$1 }, { type: AssessmentService$1 }, { type: IframeService }]; }, propDecorators: { editorCont: [{
                type: ViewChild,
                args: ['editor', { static: false }]
            }], closeWorkflow: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }] } });

class TickMarkComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TickMarkComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: TickMarkComponent, selector: "tick-mark", ngImport: i0, template: "\n    <svg *ngIf=\"true\" class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n    </svg>\n", styles: [".checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes strokeCheck{to{stroke-dashoffset:0}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TickMarkComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tick-mark', template: "\n    <svg *ngIf=\"true\" class=\"checkIcon\"\n        xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n        <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n        <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n    </svg>\n", styles: [".checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}@keyframes strokeCheck{to{stroke-dashoffset:0}}\n"] }]
        }], ctorParameters: function () { return []; } });

class FormFieldComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormFieldComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FormFieldComponent, selector: "form-field", inputs: { active: "active", disabled: "disabled", checked: "checked", img: "img" }, ngImport: i0, template: "<div *ngIf=\"true\" class=\"form-group-row\"   [ngClass]=\"{'disabled': disabled, 'active': active}\" >\n    <div class=\"left\" [class.checked]=\"checked\">\n        <img [src]=\"img\"  alt=\"im\" *ngIf=\"!checked\">\n        <tick-mark *ngIf=\"checked\"></tick-mark>\n    </div>\n    <div class=\"right\">\n        <div class=\"vx-form-group\">\n            <ng-content></ng-content>\n        </div>\n    </div>\n</div>", styles: ["", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: TickMarkComponent, selector: "tick-mark" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'form-field', inputs: ['active', 'disabled', 'checked', 'img'], template: "<div *ngIf=\"true\" class=\"form-group-row\"   [ngClass]=\"{'disabled': disabled, 'active': active}\" >\n    <div class=\"left\" [class.checked]=\"checked\">\n        <img [src]=\"img\"  alt=\"im\" *ngIf=\"!checked\">\n        <tick-mark *ngIf=\"checked\"></tick-mark>\n    </div>\n    <div class=\"right\">\n        <div class=\"vx-form-group\">\n            <ng-content></ng-content>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return []; } });

class FilePillComponent {
    constructor() {
        this.delete = new EventEmitter();
        this.disabled = false;
    }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilePillComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FilePillComponent, selector: "file-pill", inputs: { name: "name", extension: "extension", disabled: "disabled" }, outputs: { delete: "delete" }, ngImport: i0, template: "\n    <div class=\"file-item vx-d-flex vx-align-center vx-mr-1 vx-mt-1\">\n        <span class=\"file table\"  ngClass=\"{{extension ?? ''}}\">\n            <i class=\"icons\">&#xe92e;</i>\n            <div class=\"format\">{{extension ?? '--'}}</div>\n        </span>\n        <div class=\"file-name vx-fs-11 vx-label-txt\" [appTooltip]=\"name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{name}}</div>\n        <button [class.disabled]=\"disabled\" (click)=\"delete.emit()\" class=\"delete-btn vx-fs-12 vx-txt-red vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe923;</i></button>\n    <!-- </div> -->", styles: [".upload-files .file-item{background:#f1f1f1;border:1px solid #dbdbdb;border-radius:.25rem;padding-left:.125rem}.upload-files .file-item .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:8.5rem}.upload-files .file-item button.delete-btn{background:transparent;border-radius:0;border:none;border-left:1px solid #dbdbdb;height:1.625rem}.disabled{pointer-events:none;opacity:.4}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilePillComponent, decorators: [{
            type: Component,
            args: [{ selector: 'file-pill', template: "\n    <div class=\"file-item vx-d-flex vx-align-center vx-mr-1 vx-mt-1\">\n        <span class=\"file table\"  ngClass=\"{{extension ?? ''}}\">\n            <i class=\"icons\">&#xe92e;</i>\n            <div class=\"format\">{{extension ?? '--'}}</div>\n        </span>\n        <div class=\"file-name vx-fs-11 vx-label-txt\" [appTooltip]=\"name\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">{{name}}</div>\n        <button [class.disabled]=\"disabled\" (click)=\"delete.emit()\" class=\"delete-btn vx-fs-12 vx-txt-red vx-p-0 vx-pl-1 vx-pr-1 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe923;</i></button>\n    <!-- </div> -->", styles: [".upload-files .file-item{background:#f1f1f1;border:1px solid #dbdbdb;border-radius:.25rem;padding-left:.125rem}.upload-files .file-item .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:8.5rem}.upload-files .file-item button.delete-btn{background:transparent;border-radius:0;border:none;border-left:1px solid #dbdbdb;height:1.625rem}.disabled{pointer-events:none;opacity:.4}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { delete: [{
                type: Output
            }], name: [{
                type: Input
            }], extension: [{
                type: Input
            }], disabled: [{
                type: Input
            }] } });

class InputWithPillComponent {
    constructor() {
        this.disabled = false;
        this.select = new EventEmitter();
        this.line = 2;
    }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InputWithPillComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: InputWithPillComponent, selector: "input-with-pill", inputs: { placeholder: "placeholder", disabled: "disabled", selectDiv: "selectDiv", line: "line" }, outputs: { select: "select" }, ngImport: i0, template: "\n <div class=\"select\" [class.disabled]=\"disabled\"  *ngIf=\"!content.children.length\" (click)=\"select.emit()\">\n    <input *ngIf=\"!selectDiv\" type=\"text\" [placeholder]=\"placeholder\" readonly [class.disabled]=\"disabled\">\n    <div *ngIf=\"selectDiv\" attr.aria-placeholder = \"{{placeholder}}\"  class=\"custom-input\" [class.three]=\"line === 3\" [appTooltip]=\"placeholder\" placement=\"bottom\"\n    delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\"></div>\n</div>\n<div #content [class.disabled]=\"disabled\">\n    <ng-content></ng-content>\n</div>\n", styles: [".disabled{opacity:.7;pointer-events:none;-webkit-user-select:none;user-select:none;filter:grayscale(1)}.three{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InputWithPillComponent, decorators: [{
            type: Component,
            args: [{ selector: 'input-with-pill', template: "\n <div class=\"select\" [class.disabled]=\"disabled\"  *ngIf=\"!content.children.length\" (click)=\"select.emit()\">\n    <input *ngIf=\"!selectDiv\" type=\"text\" [placeholder]=\"placeholder\" readonly [class.disabled]=\"disabled\">\n    <div *ngIf=\"selectDiv\" attr.aria-placeholder = \"{{placeholder}}\"  class=\"custom-input\" [class.three]=\"line === 3\" [appTooltip]=\"placeholder\" placement=\"bottom\"\n    delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\"></div>\n</div>\n<div #content [class.disabled]=\"disabled\">\n    <ng-content></ng-content>\n</div>\n", styles: [".disabled{opacity:.7;pointer-events:none;-webkit-user-select:none;user-select:none;filter:grayscale(1)}.three{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { placeholder: [{
                type: Input
            }], disabled: [{
                type: Input
            }], select: [{
                type: Output
            }], selectDiv: [{
                type: Input
            }], line: [{
                type: Input
            }] } });

const SWITCH_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SwitchComponent),
    multi: true,
};
class SwitchComponent {
    constructor() {
        this.change = new EventEmitter();
        this.onChanged = (value) => { };
        this.onTouched = () => { };
    }
    writeValue(value) {
        this.checked = value ?? false;
    }
    registerOnChange(fn) {
        this.onChanged = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    valueChanged() {
        this.checked = !this.checked;
        this.onChanged(this.checked);
        this.onTouched();
        // this.change.emit(this.checked)
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SwitchComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SwitchComponent, selector: "switch", inputs: { disabled: "disabled", checked: "checked", tooltipMessage: "tooltipMessage", value: "value", position: "position" }, outputs: { change: "change" }, providers: [SWITCH_VALUE_ACCESSOR], ngImport: i0, template: "<label class=\"cs-switch\" [class.top]=\"position == 'top'\">\n  <!-- [class.large]=\"large\" -->\n  <span class=\"value\">\n    <span [innerHTML]=\"value\" *ngIf=\"value != undefined\"></span>\n    <!-- <span class=\"notification\" *ngIf=\"!tooltipMessage\" [appTooltip]=\"tooltipMessage\" placement=\"bottom-right\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n        <i class=\"vc-icons\">&#xe9f3;</i>\n      </span> -->\n  </span>\n  <!-- [class.last]=\"last\" -->\n\n  <!-- if not tooltip -->\n  <span class=\"switch\" *ngIf=\"tooltipMessage === '' || tooltipMessage === undefined\">\n    <input type=\"checkbox\" [checked]=\"checked\" [disabled]=\"disabled\" (change)=\"valueChanged()\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n\n\n  <!-- if tooltip -->\n  <span\n    class=\"switch\"\n    *ngIf=\"tooltipMessage !== '' && tooltipMessage !== undefined\"\n    [appTooltip]=\"tooltipMessage\"\n    placement=\"bottom-right\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <input type=\"checkbox\" [checked]=\"checked\" [disabled]=\"disabled\" (change)=\"valueChanged()\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n</label>\n", styles: ["label.cs-switch{position:relative;display:flex;align-items:center;justify-content:space-between;width:100%;margin:0;padding:0}label.cs-switch.top{align-items:flex-start}label.cs-switch span.value{font-size:12px;color:#161b2f;font-weight:400;display:flex;justify-content:space-between;width:calc(100% - 35px);align-items:flex-start}label.cs-switch span.switch{position:relative;display:block;width:25px;height:14px}label.cs-switch span.switch input{position:absolute;opacity:0;margin:0;width:100%;height:100%;z-index:1;cursor:pointer}label.cs-switch span.switch input:checked+span.switch-box{background:#34aa44;border:1px solid #34aa44}label.cs-switch span.switch input:checked+span.switch-box .switch-ball{left:13px}label.cs-switch span.switch input:disabled{pointer-events:none}label.cs-switch span.switch input:disabled+.switch-box{opacity:.5}label.cs-switch span.switch-box{height:100%;width:100%;border-radius:11px;background:#bcbcbc;border:1px solid #bcbcbc;display:block;transition:all .2s ease-in-out}label.cs-switch span.switch-ball{height:10px;width:10px;background:#fff;border-radius:50%;border:1px solid #ffffff;display:block;position:absolute;left:2px;top:2px;bottom:1px;transition:all .2s ease-in-out}label.cs-switch span.notification{display:inline-flex;font-size:12px;cursor:pointer;color:#4681ef;align-items:center;line-height:20px;margin:0 10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SwitchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'switch', providers: [SWITCH_VALUE_ACCESSOR], inputs: ['disabled', 'checked', 'tooltipMessage', 'value', 'position'], template: "<label class=\"cs-switch\" [class.top]=\"position == 'top'\">\n  <!-- [class.large]=\"large\" -->\n  <span class=\"value\">\n    <span [innerHTML]=\"value\" *ngIf=\"value != undefined\"></span>\n    <!-- <span class=\"notification\" *ngIf=\"!tooltipMessage\" [appTooltip]=\"tooltipMessage\" placement=\"bottom-right\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n        <i class=\"vc-icons\">&#xe9f3;</i>\n      </span> -->\n  </span>\n  <!-- [class.last]=\"last\" -->\n\n  <!-- if not tooltip -->\n  <span class=\"switch\" *ngIf=\"tooltipMessage === '' || tooltipMessage === undefined\">\n    <input type=\"checkbox\" [checked]=\"checked\" [disabled]=\"disabled\" (change)=\"valueChanged()\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n\n\n  <!-- if tooltip -->\n  <span\n    class=\"switch\"\n    *ngIf=\"tooltipMessage !== '' && tooltipMessage !== undefined\"\n    [appTooltip]=\"tooltipMessage\"\n    placement=\"bottom-right\"\n    delay=\"0\"\n    type=\"black\"\n    [tooltipMandatory]=\"true\"\n  >\n    <input type=\"checkbox\" [checked]=\"checked\" [disabled]=\"disabled\" (change)=\"valueChanged()\" />\n    <span class=\"switch-box\">\n      <span class=\"switch-ball\"></span>\n    </span>\n  </span>\n</label>\n", styles: ["label.cs-switch{position:relative;display:flex;align-items:center;justify-content:space-between;width:100%;margin:0;padding:0}label.cs-switch.top{align-items:flex-start}label.cs-switch span.value{font-size:12px;color:#161b2f;font-weight:400;display:flex;justify-content:space-between;width:calc(100% - 35px);align-items:flex-start}label.cs-switch span.switch{position:relative;display:block;width:25px;height:14px}label.cs-switch span.switch input{position:absolute;opacity:0;margin:0;width:100%;height:100%;z-index:1;cursor:pointer}label.cs-switch span.switch input:checked+span.switch-box{background:#34aa44;border:1px solid #34aa44}label.cs-switch span.switch input:checked+span.switch-box .switch-ball{left:13px}label.cs-switch span.switch input:disabled{pointer-events:none}label.cs-switch span.switch input:disabled+.switch-box{opacity:.5}label.cs-switch span.switch-box{height:100%;width:100%;border-radius:11px;background:#bcbcbc;border:1px solid #bcbcbc;display:block;transition:all .2s ease-in-out}label.cs-switch span.switch-ball{height:10px;width:10px;background:#fff;border-radius:50%;border:1px solid #ffffff;display:block;position:absolute;left:2px;top:2px;bottom:1px;transition:all .2s ease-in-out}label.cs-switch span.notification{display:inline-flex;font-size:12px;cursor:pointer;color:#4681ef;align-items:center;line-height:20px;margin:0 10px}\n"] }]
        }], propDecorators: { change: [{
                type: Output
            }] } });

class InputTrimDirective {
    onKeyDown(event) {
        const input = event.target;
        let trimmed = input.value.trim();
        input.value = trimmed;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InputTrimDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: InputTrimDirective, selector: "[InputTrim]", host: { listeners: { "blur": "onKeyDown($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InputTrimDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[InputTrim]'
                }]
        }], propDecorators: { onKeyDown: [{
                type: HostListener,
                args: ['blur', ['$event']]
            }] } });

class LoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LoaderComponent, selector: "role-loader", ngImport: i0, template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'role-loader', template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"] }]
        }], ctorParameters: function () { return []; } });

class RoleListComponent {
    constructor() {
        this.save = new EventEmitter();
        this.cancel = new EventEmitter();
        this.animation = true;
        this.ASSETS = ASSETS;
        this.searchKey = '';
        //Used to disable items
        this.systemRolesIds = [];
        //used to check checkbox
        this.selectedIds = [];
        //complete object of selected items
        this.selectedRoles = [];
        //contains id's of all the expanded rows
        this.expandedRows = [];
        //list of all the available roles
        this.rolesList = [];
        this.initialSelected = null;
        this.showConfirmation = false;
        // only used in select all function
        this.allListIds = [];
        //isAllItems
        this.allSelected = false;
        this.loading = false;
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    set setList(value) {
        if (value && value?.length) {
            this.rolesList = [...value];
            this.setSystemRole(this.rolesList);
            this.allListIds = this.rolesList.map((ele) => ele?._id);
            this.setAllSelectedStatus();
        }
    }
    set selectedRolesVal(value) {
        this.selectedRoles = this.uniqueByProp([...this.selectedRoles, ...value], '_id');
        this.selectedIds = this.selectedRoles.map((ele) => ele?._id);
        if (!this.initialSelected || !this.initialSelected?.length) {
            this.initialSelected = this.selectedIds;
        }
        this.setAllSelectedStatus();
    }
    /**
     * #### Description
     *
     * Expands or collapse the row
     * @param type
     * @param [id]
     */
    expandOrCollapse(type, id) {
        switch (type) {
            case 'COLLAPSE': {
                this.expandedRows = this.expandedRows.filter((ele) => ele !== id);
                break;
            }
            case 'EXPAND': {
                this.expandedRows = Array.from(new Set([...this.expandedRows, ...[id]]));
                break;
            }
            case 'COLLAPSE_ALL': {
                this.expandedRows = [];
                break;
            }
        }
    }
    selectAll(evt) {
        if (evt?.target?.checked === true) {
            this.selectedRoles = this.rolesList;
            this.selectedIds = this.rolesList.map((ele) => ele?._id);
        }
        else {
            this.selectedRoles = [];
            this.selectedIds = [];
            this.setSystemRole(this.rolesList);
        }
        this.setAllSelectedStatus();
    }
    setAllSelectedStatus() {
        this.allSelected =
            this.allListIds.sort().toString() === this.selectedIds.sort()?.toString();
    }
    /**
     * #### Description
     *
     * Sets system role for admins and key admins
     * @param roles
     */
    setSystemRole(roles) {
        const systemRoles = roles.filter((ele) => ele?.roleName?.toLowerCase() === 'key admin' ||
            ele?.roleName?.toLowerCase() === 'admin');
        this.systemRolesIds = Array.from(new Set([
            ...this.systemRolesIds,
            ...systemRoles.map((ele) => ele?._id),
        ]));
        this.selectedIds = Array.from(new Set([...this.selectedIds, ...this.systemRolesIds]));
        this.selectedRoles = this.uniqueByProp([...systemRoles, ...this.selectedRoles], '_id');
    }
    /**
     * #### Description
     * Selects item or deselect a itme
     * @param evt
     * @param payload
     */
    selectItem(evt, payload) {
        evt?.target?.checked === true
            ? this.manipulateSelectedItems('ADD', payload)
            : this.manipulateSelectedItems('DELETE', payload);
    }
    /**
     * #### Description
     *
     * Manipulates selected items in role list
     * @param action :'ADD' | 'DELETE'
     * @param payload
     */
    manipulateSelectedItems(action, payload) {
        if (action === 'ADD') {
            this.selectedRoles = this.uniqueByProp([...this.selectedRoles, ...[payload]], '_id');
            this.selectedIds = this.selectedRoles.map((ele) => ele?._id);
        }
        else if (action === 'DELETE') {
            let index = this.selectedRoles.findIndex((ele) => ele?._id === payload?._id);
            if (index > -1) {
                this.selectedRoles = this.selectedRoles.filter((ele) => ele?._id !== payload?._id);
                this.selectedIds = this.selectedIds.filter((ele) => ele !== payload?._id);
            }
        }
        this.setAllSelectedStatus();
    }
    saveList() {
        if (this.initialSelected?.sort()?.toString() !==
            this.selectedIds.sort()?.toString()) {
            this.showConfirmation = true;
        }
        else {
            this.save.emit(this.selectedRoles);
        }
    }
    confirmAction(evt) {
        if (evt === 'YES') {
            this.save.emit(this.selectedRoles);
        }
        else if (evt === 'NO') {
            this.showConfirmation = false;
        }
    }
    closeList() {
        this.cancel.emit();
    }
    /**
     * #### Description
     *
     * Returns the unique array of object based on unique key
     * @param array
     * @param key
     * @returns
     */
    uniqueByProp(array, key) {
        return Array.from(array
            .reduce((acc, item) => (item && item[key] && acc.set(item[key], item), acc), new Map())
            .values());
    }
    //view and manage roles and groups text changed with featureflag
    permissionText(permission) {
        if (permission == 'view roles') {
            if (this.ff_rc_listing) {
                return 'view permissions';
            }
            else {
                return 'view permission groups';
            }
        }
        if (permission == 'manage roles') {
            if (this.ff_rc_listing) {
                return 'Manage permissions';
            }
            else {
                return 'Manage permission groups';
            }
        }
        if (permission == 'view groups') {
            if (this.featureflagGroup) {
                return 'view user groups';
            }
            else {
                return permission;
            }
        }
        if (permission == 'manage groups') {
            if (this.featureflagGroup) {
                return 'Manage user groups';
            }
            else {
                return permission;
            }
        }
        return permission;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RoleListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RoleListComponent, selector: "role-list", inputs: { featureflagrole: "featureflagrole", featureflagGroup: "featureflagGroup", ff_rc_listing: "ff_rc_listing", setList: ["list", "setList"], loading: "loading", selectedRolesVal: ["selected", "selectedRolesVal"] }, outputs: { save: "save", cancel: "cancel" }, ngImport: i0, template: "<div class=\"roles-list\" [class.animate]=\"animation\">\n  <div\n    class=\"roles-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div id=\"titlename\" class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      {{ ff_rc_listing ? \"Select Permissions\" : \"Select Permission Group(s)\" }}\n    </div>\n  </div>\n\n  <div class=\"roles-list-body\">\n    <div class=\"search-block vx-mb-1\" [class.disabled]=\"!rolesList?.length\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [placeholder]=\"\n          ff_rc_listing ? 'Search Permissions' : 'Search Permission Groups'\n        \"\n        [(ngModel)]=\"searchKey\"\n      />\n    </div>\n    <div class=\"vx-mt-4\" *ngIf=\"loading\"><role-loader></role-loader></div>\n\n    <ng-container *ngIf=\"!loading\">\n      <ng-container\n        *ngIf=\"rolesList | search : searchKey : 'roleName' as roles\"\n      >\n        <div *ngIf=\"roles?.length > 0\" class=\"roles-list-mid vx-mb-4\">\n          <div class=\"role-box-select vx-pb-2\">\n            <vui-checkbox\n              [indeterminateEnabled]=\"false\"\n              #check\n              (change)=\"selectAll($event)\"\n              [(ngModel)]=\"allSelected\"\n              [checked]=\"allSelected\"\n            >\n              <div class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt\">\n                {{ !check.checked ? \"Select All\" : \"Deselect All\" }}\n              </div>\n            </vui-checkbox>\n          </div>\n\n          <div\n            class=\"role-box vx-mb-2\"\n            *ngFor=\"let role of roles; let i = index\"\n          >\n            <div\n              (click)=\"\n                !expandedRows.includes(role?._id)\n                  ? expandOrCollapse('EXPAND', role?._id)\n                  : expandOrCollapse('COLLAPSE', role?._id)\n              \"\n              class=\"role-box-heading vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n            >\n              <div class=\"left vx-d-flex vx-align-center vx-lh-4\">\n                <vui-checkbox\n                  [disabled]=\"systemRolesIds.includes(role?._id)\"\n                  [checked]=\"selectedIds.includes(role?._id)\"\n                  (change)=\"selectItem($event, role)\"\n                >\n                </vui-checkbox>\n                <div\n                  class=\"name vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"'Role name'\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{\n                    featureflagrole && role?.permissionGroupName\n                      ? role?.permissionGroupName\n                      : role?.roleName\n                  }}\n                </div>\n                <span\n                  *ngIf=\"role?.roleActions?.length > 0\"\n                  class=\"count vx-fs-9 vx-fw-600 vx-lh-3 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-ml-2\"\n                  >{{ role?.roleActions?.length }} PERMISSIONS</span\n                >\n              </div>\n              <div class=\"right vx-d-flex vx-align-center vx-justify-between\">\n                <div\n                  *ngIf=\"role?.licenseType === 'power users'\"\n                  class=\"status-label vx-fs-9 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1\"\n                  [class.power-user]=\"true\"\n                  [class.all-user]=\"false\"\n                >\n                  Power User\n                </div>\n                <div\n                  *ngIf=\"role?.licenseType === 'light users'\"\n                  class=\"status-label vx-fs-9 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1\"\n                  [class.power-user]=\"false\"\n                  [class.all-user]=\"true\"\n                >\n                  Light User\n                </div>\n                <button\n                  class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center\"\n                >\n                  <i *ngIf=\"!expandedRows.includes(role?._id)\" class=\"icons\"\n                    >&#xe970;</i\n                  >\n                  <i *ngIf=\"expandedRows.includes(role?._id)\" class=\"icons\"\n                    >&#xe9e8;</i\n                  >\n                </button>\n              </div>\n            </div>\n            <div class=\"role-box-list\" *ngIf=\"expandedRows.includes(role?._id)\">\n              <ul class=\"vx-p-0 vx-m-0\">\n                <li\n                  class=\"vx-p-3 vx-lh-4\"\n                  *ngFor=\"let permission of role?.roleActions\"\n                >\n                  <div class=\"value vx-fs-12 vx-label-txt\">\n                    {{ permissionText(permission) }}\n                  </div>\n                </li>\n                <!-- <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">View User List</div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">Manage Users <span class=\"vx-fs-10 vx-paragraph-txt\">(Create/Edit/Delete/Deactivate)</span></div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">Over-ride Log In</div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">View Statutory Holidays</div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">Manage Statutory Holidays</div>\n                            </li> -->\n              </ul>\n            </div>\n          </div>\n        </div>\n\n        <app-no-data\n          *ngIf=\"roles?.length === 0\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"\n            searchKey?.length > 0 ? 'No match found.' : 'No Roles Found'\n          \"\n        ></app-no-data>\n      </ng-container>\n    </ng-container>\n\n    <div class=\"roles-list-footer\" *ngIf=\"!showConfirmation\">\n      <vui-floating-bar (closeEvent)=\"saveList()\" (closeList)=\"closeList()\">\n        <!-- <div class=\"counter\" *ngIf=\"selectedRoles?.length\"\n                placement=\"left\">{{selectedRoles?.length}}</div> -->\n        <button\n          *ngIf=\"selectedRoles?.length\"\n          class=\"counter role-list-counter\"\n          appPopover\n          (click)=\"role.popover()\"\n          placement=\"left\"\n        >\n          {{ selectedRoles?.length }}\n        </button>\n        <div\n          class=\"name\"\n          *ngIf=\"selectedRoles?.length > 1\"\n          id=\"permissionselected\"\n        >\n          <span *ngIf=\"selectedRoles?.length === 1\">{{\n            featureflagrole ? \"Permission selected\" : \"Role selected\"\n          }}</span>\n          <span *ngIf=\"selectedRoles?.length > 1\">{{\n            featureflagrole ? \"Permissions selected\" : \"Roles selected\"\n          }}</span>\n        </div>\n      </vui-floating-bar>\n\n      <app-popover #role [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let data of selectedRoles\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"!systemRolesIds.includes(data?._id)\"\n                    class=\"icons\"\n                    (click)=\"selectItem({ target: { checked: false } }, data)\"\n                    >&#xe90d;</i\n                  >\n                  {{\n                    featureflagrole && data?.permissionGroupName\n                      ? data?.permissionGroupName\n                      : data?.roleName\n                  }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <div class=\"roles-list-confirmation\" *ngIf=\"showConfirmation\">\n    <div class=\"confirmation-top\">\n      <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n      <div class=\"text\" id=\"confirmationmessage\">\n        {{\n          featureflagrole\n            ? \"This action will update the Permission settings and impact the owners selected for the Program.\"\n            : \"This action will update the Role settings and impact the owners selected for the Program.\"\n        }}\n      </div>\n    </div>\n    <div class=\"confirmation-bottom\">\n      <div class=\"message\">Are you sure you would like to proceed?</div>\n      <div class=\"button-group\">\n        <button class=\"no-btn\" (click)=\"confirmAction('NO')\">NO</button>\n        <button class=\"yes-btn\" (click)=\"confirmAction('YES')\">YES</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .roles-list{position:fixed;inset:0 500px 0 0}::ng-deep .roles-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .roles-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .roles-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .roles-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .roles-list-body .search-block{position:relative}::ng-deep .roles-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .roles-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .roles-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .roles-list-mid{width:calc(100% + .75rem);height:calc(100vh - 13.8rem);overflow:hidden;overflow-y:auto;padding-right:.75rem}::ng-deep .roles-list-mid .role-box{border:1px solid #f1f1f1;border-radius:.25rem}::ng-deep .roles-list-mid .role-box-select{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item{position:relative;padding-left:1.75rem;width:100%}::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item .value{margin:0!important}::ng-deep .roles-list-mid .role-box-heading{cursor:pointer}::ng-deep .roles-list-mid .role-box-heading .left{width:calc(100% - 6.5rem)}::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox{height:1rem}::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox .checkbox-item{position:relative;padding-left:1.75rem;height:1rem}::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-heading .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 9.25rem)}::ng-deep .roles-list-mid .role-box-heading .left .count{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .roles-list-mid .role-box-heading .right{width:6.5rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label{border-radius:.125rem;height:.75rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label.all-user{background:#7aa6f7}::ng-deep .roles-list-mid .role-box-heading .right .status-label.power-user{background:#fadd8a}::ng-deep .roles-list-mid .role-box-heading .right button.arrow-btn{background:transparent;border:none;border-radius:0}::ng-deep .roles-list-mid .role-box-list ul{list-style-type:none}::ng-deep .roles-list-mid .role-box-list ul li{border-top:1px solid #f1f1f1;padding-left:2.5rem!important;position:relative}::ng-deep .roles-list-mid .role-box-list ul li:before{background:#dbdbdb;border-radius:.125rem;width:.25rem;height:.25rem;content:\"\";position:absolute;top:18px;left:18px}::ng-deep .roles-list-mid .role-box-list ul li .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;text-transform:capitalize}::ng-deep .roles-list-mid .role-box-list ul li vui-checkbox .checkbox-item{width:100%}::ng-deep .roles-list-mid .role-box-list ul li vui-checkbox .checkbox-item span.value{width:100%}::ng-deep .roles-list-mid .role-box-list ul li vui-checkbox .checkbox-item span.value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .roles-list-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .roles-list-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .roles-list-confirmation .confirmation-top .icon-block{height:2.25rem;width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .roles-list-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .roles-list-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .roles-list-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .roles-list-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}.counter.role-list-counter{background:#1e5dd3!important;border:1px solid #1E5DD3!important;margin-left:0!important}.name{margin-left:4px}.name b{text-transform:lowercase}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponentUI, selector: "app-no-data", inputs: ["action", "secondaryAction", "noDataImage", "noDataText", "noDataButton", "secondaryButton", "noDataSecButton", "altText", "smallButton"], outputs: ["buttonAction", "secondaryActionButton"] }, { kind: "component", type: CheckboxComponent$1, selector: "vui-checkbox", inputs: ["disabled", "checked", "indeterminateEnabled"] }, { kind: "component", type: VuiFloatingBarComponent, selector: "vui-floating-bar", inputs: ["selectedData", "groupSelected", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "nextDisabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "workflowTypeChanged"] }, { kind: "component", type: LoaderComponent, selector: "role-loader" }, { kind: "pipe", type: SearchPipe, name: "search" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RoleListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'role-list', template: "<div class=\"roles-list\" [class.animate]=\"animation\">\n  <div\n    class=\"roles-list-head vx-d-flex vx-align-center vx-justify-between vx-pl-4 vx-pr-4\"\n  >\n    <div id=\"titlename\" class=\"vx-fs-14 vx-fw-500 vx-label-txt\">\n      {{ ff_rc_listing ? \"Select Permissions\" : \"Select Permission Group(s)\" }}\n    </div>\n  </div>\n\n  <div class=\"roles-list-body\">\n    <div class=\"search-block vx-mb-1\" [class.disabled]=\"!rolesList?.length\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input\n        type=\"text\"\n        [placeholder]=\"\n          ff_rc_listing ? 'Search Permissions' : 'Search Permission Groups'\n        \"\n        [(ngModel)]=\"searchKey\"\n      />\n    </div>\n    <div class=\"vx-mt-4\" *ngIf=\"loading\"><role-loader></role-loader></div>\n\n    <ng-container *ngIf=\"!loading\">\n      <ng-container\n        *ngIf=\"rolesList | search : searchKey : 'roleName' as roles\"\n      >\n        <div *ngIf=\"roles?.length > 0\" class=\"roles-list-mid vx-mb-4\">\n          <div class=\"role-box-select vx-pb-2\">\n            <vui-checkbox\n              [indeterminateEnabled]=\"false\"\n              #check\n              (change)=\"selectAll($event)\"\n              [(ngModel)]=\"allSelected\"\n              [checked]=\"allSelected\"\n            >\n              <div class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt\">\n                {{ !check.checked ? \"Select All\" : \"Deselect All\" }}\n              </div>\n            </vui-checkbox>\n          </div>\n\n          <div\n            class=\"role-box vx-mb-2\"\n            *ngFor=\"let role of roles; let i = index\"\n          >\n            <div\n              (click)=\"\n                !expandedRows.includes(role?._id)\n                  ? expandOrCollapse('EXPAND', role?._id)\n                  : expandOrCollapse('COLLAPSE', role?._id)\n              \"\n              class=\"role-box-heading vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n            >\n              <div class=\"left vx-d-flex vx-align-center vx-lh-4\">\n                <vui-checkbox\n                  [disabled]=\"systemRolesIds.includes(role?._id)\"\n                  [checked]=\"selectedIds.includes(role?._id)\"\n                  (change)=\"selectItem($event, role)\"\n                >\n                </vui-checkbox>\n                <div\n                  class=\"name vx-fs-12 vx-label-txt\"\n                  [appTooltip]=\"'Role name'\"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                >\n                  {{\n                    featureflagrole && role?.permissionGroupName\n                      ? role?.permissionGroupName\n                      : role?.roleName\n                  }}\n                </div>\n                <span\n                  *ngIf=\"role?.roleActions?.length > 0\"\n                  class=\"count vx-fs-9 vx-fw-600 vx-lh-3 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-ml-2\"\n                  >{{ role?.roleActions?.length }} PERMISSIONS</span\n                >\n              </div>\n              <div class=\"right vx-d-flex vx-align-center vx-justify-between\">\n                <div\n                  *ngIf=\"role?.licenseType === 'power users'\"\n                  class=\"status-label vx-fs-9 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1\"\n                  [class.power-user]=\"true\"\n                  [class.all-user]=\"false\"\n                >\n                  Power User\n                </div>\n                <div\n                  *ngIf=\"role?.licenseType === 'light users'\"\n                  class=\"status-label vx-fs-9 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1\"\n                  [class.power-user]=\"false\"\n                  [class.all-user]=\"true\"\n                >\n                  Light User\n                </div>\n                <button\n                  class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center\"\n                >\n                  <i *ngIf=\"!expandedRows.includes(role?._id)\" class=\"icons\"\n                    >&#xe970;</i\n                  >\n                  <i *ngIf=\"expandedRows.includes(role?._id)\" class=\"icons\"\n                    >&#xe9e8;</i\n                  >\n                </button>\n              </div>\n            </div>\n            <div class=\"role-box-list\" *ngIf=\"expandedRows.includes(role?._id)\">\n              <ul class=\"vx-p-0 vx-m-0\">\n                <li\n                  class=\"vx-p-3 vx-lh-4\"\n                  *ngFor=\"let permission of role?.roleActions\"\n                >\n                  <div class=\"value vx-fs-12 vx-label-txt\">\n                    {{ permissionText(permission) }}\n                  </div>\n                </li>\n                <!-- <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">View User List</div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">Manage Users <span class=\"vx-fs-10 vx-paragraph-txt\">(Create/Edit/Delete/Deactivate)</span></div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">Over-ride Log In</div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">View Statutory Holidays</div>\n                            </li>\n                            <li class=\"vx-p-3 vx-lh-4\">\n                                <div class=\"value vx-fs-12 vx-label-txt\">Manage Statutory Holidays</div>\n                            </li> -->\n              </ul>\n            </div>\n          </div>\n        </div>\n\n        <app-no-data\n          *ngIf=\"roles?.length === 0\"\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"\n            searchKey?.length > 0 ? 'No match found.' : 'No Roles Found'\n          \"\n        ></app-no-data>\n      </ng-container>\n    </ng-container>\n\n    <div class=\"roles-list-footer\" *ngIf=\"!showConfirmation\">\n      <vui-floating-bar (closeEvent)=\"saveList()\" (closeList)=\"closeList()\">\n        <!-- <div class=\"counter\" *ngIf=\"selectedRoles?.length\"\n                placement=\"left\">{{selectedRoles?.length}}</div> -->\n        <button\n          *ngIf=\"selectedRoles?.length\"\n          class=\"counter role-list-counter\"\n          appPopover\n          (click)=\"role.popover()\"\n          placement=\"left\"\n        >\n          {{ selectedRoles?.length }}\n        </button>\n        <div\n          class=\"name\"\n          *ngIf=\"selectedRoles?.length > 1\"\n          id=\"permissionselected\"\n        >\n          <span *ngIf=\"selectedRoles?.length === 1\">{{\n            featureflagrole ? \"Permission selected\" : \"Role selected\"\n          }}</span>\n          <span *ngIf=\"selectedRoles?.length > 1\">{{\n            featureflagrole ? \"Permissions selected\" : \"Roles selected\"\n          }}</span>\n        </div>\n      </vui-floating-bar>\n\n      <app-popover #role [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let data of selectedRoles\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"!systemRolesIds.includes(data?._id)\"\n                    class=\"icons\"\n                    (click)=\"selectItem({ target: { checked: false } }, data)\"\n                    >&#xe90d;</i\n                  >\n                  {{\n                    featureflagrole && data?.permissionGroupName\n                      ? data?.permissionGroupName\n                      : data?.roleName\n                  }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </div>\n  </div>\n\n  <div class=\"roles-list-confirmation\" *ngIf=\"showConfirmation\">\n    <div class=\"confirmation-top\">\n      <div class=\"icon-block\"><i class=\"icons\">&#xe930;</i></div>\n      <div class=\"text\" id=\"confirmationmessage\">\n        {{\n          featureflagrole\n            ? \"This action will update the Permission settings and impact the owners selected for the Program.\"\n            : \"This action will update the Role settings and impact the owners selected for the Program.\"\n        }}\n      </div>\n    </div>\n    <div class=\"confirmation-bottom\">\n      <div class=\"message\">Are you sure you would like to proceed?</div>\n      <div class=\"button-group\">\n        <button class=\"no-btn\" (click)=\"confirmAction('NO')\">NO</button>\n        <button class=\"yes-btn\" (click)=\"confirmAction('YES')\">YES</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::ng-deep .roles-list{position:fixed;inset:0 500px 0 0}::ng-deep .roles-list:before{background:#1e5dd3;content:\"\";position:absolute;top:0;left:0;right:0;width:100%;height:3px}::ng-deep .roles-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .roles-list-head{background:#fbfbfb;height:2.75rem;border-bottom:1px solid #f1f1f1}::ng-deep .roles-list-body{background:#fff;height:calc(100vh - 2.75rem);padding:2rem}::ng-deep .roles-list-body .search-block{position:relative}::ng-deep .roles-list-body .search-block input{height:2.75rem;line-height:1.5rem;padding:.5rem 1rem .5rem 2.5rem;outline:none;border:1px solid #7475763f;border-radius:.25rem;width:100%;font-size:14px;color:#747576}::ng-deep .roles-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .roles-list-body .search-block i{position:absolute;left:1rem;top:1rem;pointer-events:none;color:#f1f1f1;font-size:12px}::ng-deep .roles-list-mid{width:calc(100% + .75rem);height:calc(100vh - 13.8rem);overflow:hidden;overflow-y:auto;padding-right:.75rem}::ng-deep .roles-list-mid .role-box{border:1px solid #f1f1f1;border-radius:.25rem}::ng-deep .roles-list-mid .role-box-select{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item{position:relative;padding-left:1.75rem;width:100%}::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-select vui-checkbox .checkbox-item .value{margin:0!important}::ng-deep .roles-list-mid .role-box-heading{cursor:pointer}::ng-deep .roles-list-mid .role-box-heading .left{width:calc(100% - 6.5rem)}::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox{height:1rem}::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox .checkbox-item{position:relative;padding-left:1.75rem;height:1rem}::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-heading .left vui-checkbox .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-heading .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 9.25rem)}::ng-deep .roles-list-mid .role-box-heading .left .count{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .roles-list-mid .role-box-heading .right{width:6.5rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label{border-radius:.125rem;height:.75rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label.all-user{background:#7aa6f7}::ng-deep .roles-list-mid .role-box-heading .right .status-label.power-user{background:#fadd8a}::ng-deep .roles-list-mid .role-box-heading .right button.arrow-btn{background:transparent;border:none;border-radius:0}::ng-deep .roles-list-mid .role-box-list ul{list-style-type:none}::ng-deep .roles-list-mid .role-box-list ul li{border-top:1px solid #f1f1f1;padding-left:2.5rem!important;position:relative}::ng-deep .roles-list-mid .role-box-list ul li:before{background:#dbdbdb;border-radius:.125rem;width:.25rem;height:.25rem;content:\"\";position:absolute;top:18px;left:18px}::ng-deep .roles-list-mid .role-box-list ul li .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;text-transform:capitalize}::ng-deep .roles-list-mid .role-box-list ul li vui-checkbox .checkbox-item{width:100%}::ng-deep .roles-list-mid .role-box-list ul li vui-checkbox .checkbox-item span.value{width:100%}::ng-deep .roles-list-mid .role-box-list ul li vui-checkbox .checkbox-item span.value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .roles-list-confirmation{background:#161b2f;border-radius:.25rem;position:absolute;left:2rem;right:2rem;bottom:2rem;z-index:1}::ng-deep .roles-list-confirmation .confirmation-top{display:flex;align-items:center;justify-content:flex-start;padding:1.25rem}::ng-deep .roles-list-confirmation .confirmation-top .icon-block{height:2.25rem;width:2.25rem;border-radius:50%;background:#fff;border:1px solid #dbdbdb;display:flex;justify-content:center;align-items:center;margin-right:1rem}::ng-deep .roles-list-confirmation .confirmation-top .icon-block i{color:#eb2424;font-size:12px}::ng-deep .roles-list-confirmation .confirmation-top .text{color:#fff;font-size:14px;font-weight:300}::ng-deep .roles-list-confirmation .confirmation-bottom{background:#282e48;border-radius:0 0 .25rem .25rem;padding:.75rem .75rem .75rem 1.25rem;display:flex;align-items:center;justify-content:space-between}::ng-deep .roles-list-confirmation .confirmation-bottom .message{font-size:14px;font-weight:500;line-height:20px;color:#fff}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group{display:flex}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group button{height:1.5rem;width:4rem;border:1px solid #fff;border-radius:.125rem;display:flex;align-items:center;justify-content:center;line-height:22px;cursor:pointer;font-size:11px;text-transform:uppercase;font-weight:500;padding:0}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group button.no-btn{background:transparent;color:#fff}::ng-deep .roles-list-confirmation .confirmation-bottom .button-group button.yes-btn{background:#fff;color:#1e5dd3;margin-left:.25rem}.counter.role-list-counter{background:#1e5dd3!important;border:1px solid #1E5DD3!important;margin-left:0!important}.name{margin-left:4px}.name b{text-transform:lowercase}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { save: [{
                type: Output
            }], cancel: [{
                type: Output
            }], featureflagrole: [{
                type: Input
            }], featureflagGroup: [{
                type: Input
            }], ff_rc_listing: [{
                type: Input
            }], setList: [{
                type: Input,
                args: ['list']
            }], loading: [{
                type: Input
            }], selectedRolesVal: [{
                type: Input,
                args: ['selected']
            }] } });

class AssessmentService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        if (config) {
            this.env = config.envConfig;
        }
    }
    getAssessmentQuestions(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.assessmentEnpoint + 'assessment/fetchQuestionsByAssessmentId&id=' + id, { headers }).pipe(retry(2));
    }
    getAssessmentCategory(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.assessmentEnpoint + 'category/list&isCreateResponsibility=true&bypass-businessCycle=true', payload, { headers }).pipe(retry(2));
    }
    getAssessmentList(payload, id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.assessmentEnpoint + 'assessment/selectAssessment&isCreateResponsibility=true&catid=' + id, payload, { headers }).pipe(retry(2));
    }
    getAssessmentDetailsByID(id) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.post(this.env.assessmentEnpoint + 'assessment/getAssessmentById&id=' + id, {}, { headers }).pipe(retry(2));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class AssessmentLoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssessmentLoaderComponent, selector: "assessment-loader", ngImport: i0, template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'assessment-loader', template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"] }]
        }], ctorParameters: function () { return []; } });

class AssessmentSubLoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentSubLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssessmentSubLoaderComponent, selector: "assessment-sub-loader", ngImport: i0, template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"sub-list\">\n        <div class=\"table-row\">\n            <div class=\"table-column serial\">\n                <div class=\"sr-no\"></div>\n            </div>\n            <div class=\"table-column sub-name\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"table-column question\">\n                <div class=\"loader\"></div>\n            </div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:none!important;border-top:1px solid #f1f1f1;border-radius:2px;margin-bottom:0!important}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:32px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}.assessment-list-item .table-row .table-column.sub-name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}.assessment-list-item .table-row .table-column.question .loader{width:72px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentSubLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'assessment-sub-loader', template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"sub-list\">\n        <div class=\"table-row\">\n            <div class=\"table-column serial\">\n                <div class=\"sr-no\"></div>\n            </div>\n            <div class=\"table-column sub-name\">\n                <div class=\"loader\"></div>\n            </div>\n            <div class=\"table-column question\">\n                <div class=\"loader\"></div>\n            </div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:none!important;border-top:1px solid #f1f1f1;border-radius:2px;margin-bottom:0!important}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:32px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}.assessment-list-item .table-row .table-column.sub-name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}.assessment-list-item .table-row .table-column.question .loader{width:72px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"] }]
        }], ctorParameters: function () { return []; } });

class Pagination {
    constructor() {
        this.activeAlphabet = '';
        this.pageArray = [];
        this.currentPage = 1;
        this.isInvalidInput = false;
        this.selectedPage = new EventEmitter();
        this.selectedAlphabet = new EventEmitter();
        this.alphabetsArray = 'abcdefghijklmnopqrstuvwxyz'.split('');
    }
    ngOnInit() { }
    alphabetChange(alphabet) {
        this.activeAlphabet = alphabet;
        this.selectedAlphabet.emit(alphabet);
        this.goToPageArrayGenerate(1, false);
    }
    ngOnChanges(event) {
        this.pageArray = [];
        if (this.pageCount > 0) {
            if (this.pageCount < 5) {
                for (let i = 1; i <= this.pageCount; i++) {
                    this.pageArray.push(i);
                }
                return;
            }
            this.goToPageArrayGenerate(this.currentPage, false);
        }
    }
    increaseOrDecrease(value) {
        this.currentPage += value;
        if (this.currentPage > 3 && this.currentPage <= this.pageCount && this.pageArray[this.pageArray.length - 1] < this.pageCount) {
            if (value > 0) {
                this.pageArray.shift();
                this.pageArray.push(this.pageArray[this.pageArray.length - 1] + 1);
            }
        }
        if (this.currentPage > 2 && value < 0 && this.pageArray[0] > 1 && this.currentPage < this.pageCount - 2) {
            this.pageArray.pop();
            this.pageArray.unshift(this.pageArray[0] - 1);
        }
        this.selectedPage.emit(this.currentPage);
    }
    onEnterPress(event) {
        if (event.key.toLowerCase() === 'enter') {
            if (!this.enterPageNumber || this.enterPageNumber > this.pageCount || this.enterPageNumber < 1) {
                this.isInvalidInput = true;
                return;
            }
            else {
                this.isInvalidInput = false;
                this.goToPageArrayGenerate(this.enterPageNumber, true);
            }
        }
    }
    goToPageArrayGenerate(page, shouldEmit) {
        this.isInvalidInput = false;
        this.currentPage = page;
        this.pageArray = [];
        if (this.currentPage > 3 && this.currentPage < this.pageCount - 2) {
            for (let i = this.currentPage - 2; i < this.currentPage + 3; i++) {
                this.pageArray.push(i);
            }
        }
        else if (this.currentPage <= 3) {
            if (this.pageCount > 4) {
                this.pageArray = [1, 2, 3, 4, 5];
            }
            else {
                for (let i = 1; i <= this.pageCount; i++) {
                    this.pageArray.push(i);
                }
            }
        }
        else if (this.currentPage > this.pageCount - 3) {
            for (let i = this.pageCount - 4; i < this.pageCount + 1; i++) {
                this.pageArray.push(i);
            }
        }
        else {
            for (let i = this.currentPage - 2; i < this.currentPage + 2; i++) {
                this.pageArray.push(i);
            }
        }
        if (shouldEmit) {
            this.selectedPage.emit(this.currentPage);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Pagination, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: Pagination, selector: "pagination", inputs: { activeAlphabet: "activeAlphabet", pageCount: "pageCount", start: "start", end: "end", total: "total", noFilter: "noFilter", currentPage: "currentPage" }, outputs: { selectedPage: "selectedPage", selectedAlphabet: "selectedAlphabet" }, usesOnChanges: true, ngImport: i0, template: "<!-- <p>workflow-pagination works!</p> -->\n<div class=\"pagination-sec\" [class.right-align]=\"noFilter\">\n    <div class=\"left\" *ngIf=\"!noFilter\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li><button (click)=\"alphabetChange('')\" [class.active]=\"!activeAlphabet\">All</button></li>\n                <li *ngFor=\"let data of alphabetsArray\" (click)=\"alphabetChange(data)\">\n                    <button [class.active]=\"activeAlphabet === data\" >{{data}}</button>\n                </li>\n            </ul>\n        </div>\n    </div>\n\n    <div *ngIf=\"pageCount > 1\" class=\"right\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li>\n                    <button [disabled]=\"currentPage === 1\" [class.disabled]=\"currentPage === 1\" (click)=\"increaseOrDecrease(-1)\">\n                        <\n                    </button>\n                </li>\n\n                <li *ngFor=\"let page of pageArray; let i = index\">\n                    <button [disabled]=\"page === currentPage\" (click)=\"goToPageArrayGenerate(page,true)\" [class.active]=\"page === currentPage\">\n                        {{page}}\n                    </button>\n                </li>\n\n                <li>\n                    <button (click)=\"increaseOrDecrease(1)\" [disabled]=\"currentPage === pageCount\" [class.disabled]=\"currentPage === pageCount\">\n                        >\n                    </button>\n                </li>\n            </ul>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.pagination-sec{display:flex;justify-content:space-between;padding:8px 0;align-items:center}.pagination-sec.right-align{justify-content:flex-end}.pagination-sec .left{width:auto;line-height:28px;font-size:12px;text-transform:uppercase;color:#161b2f;font-weight:400}.pagination-sec .left .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .left .pagination-box ul li{list-style:none;display:flex}.pagination-sec .left .pagination-box ul li+li{margin-left:3px}.pagination-sec .left .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:18px;min-width:18px;padding:0 2px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;text-transform:uppercase;font-size:11px;line-height:18px;margin:0 0 0 1px}.pagination-sec .left .pagination-box ul li button.active,.pagination-sec .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.pagination-sec .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .left .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .left .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right{width:auto;display:flex;align-items:center}.pagination-sec .right .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .right .pagination-box ul li{list-style:none;display:flex}.pagination-sec .right .pagination-box ul li:first-child{margin-right:4px;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:first-child{height:20px}}.pagination-sec .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li:last-child{margin-left:6px!important;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:last-child{height:20px}}.pagination-sec .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:24px;min-width:24px;padding:0 5px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;line-height:21px;margin-left:3px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li button{min-width:20px;height:20px;padding:0 4px;font-size:10px;line-height:18px}}.pagination-sec .right .pagination-box ul li button.active,.pagination-sec .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.pagination-sec .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .right .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .right .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right .goto-page{display:flex;align-items:center;background:#fff;border:1px solid #bcbcbc;border-radius:2px;height:25px;margin-left:10px}.pagination-sec .right .goto-page .goto-page-text{color:#161b2f;font-size:11px;text-transform:uppercase;display:block;padding:0 8px;border-right:1px solid #bcbcbc;height:23px;line-height:23px}.pagination-sec .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #bcbcbc}.pagination-sec .right .goto-page .goto-page-input{position:relative}.pagination-sec .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:11px;text-transform:uppercase;padding:0 25px 0 5px;width:95px;height:23px;position:relative;top:-1px}.pagination-sec .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.pagination-sec .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.pagination-sec .right .goto-page .goto-page-input input:focus{outline:none}.pagination-sec .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41}.pagination-sec .right .goto-page .goto-page-input button{background:#f1f1f1;border:none;position:absolute;right:3px;top:4px;cursor:pointer;padding:0;height:18px;width:19px;line-height:22px}.pagination-sec .right .goto-page .goto-page-input button img{width:12px;height:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Pagination, decorators: [{
            type: Component,
            args: [{ selector: 'pagination', template: "<!-- <p>workflow-pagination works!</p> -->\n<div class=\"pagination-sec\" [class.right-align]=\"noFilter\">\n    <div class=\"left\" *ngIf=\"!noFilter\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li><button (click)=\"alphabetChange('')\" [class.active]=\"!activeAlphabet\">All</button></li>\n                <li *ngFor=\"let data of alphabetsArray\" (click)=\"alphabetChange(data)\">\n                    <button [class.active]=\"activeAlphabet === data\" >{{data}}</button>\n                </li>\n            </ul>\n        </div>\n    </div>\n\n    <div *ngIf=\"pageCount > 1\" class=\"right\">\n        <div class=\"pagination-box\">\n            <ul>\n                <li>\n                    <button [disabled]=\"currentPage === 1\" [class.disabled]=\"currentPage === 1\" (click)=\"increaseOrDecrease(-1)\">\n                        <\n                    </button>\n                </li>\n\n                <li *ngFor=\"let page of pageArray; let i = index\">\n                    <button [disabled]=\"page === currentPage\" (click)=\"goToPageArrayGenerate(page,true)\" [class.active]=\"page === currentPage\">\n                        {{page}}\n                    </button>\n                </li>\n\n                <li>\n                    <button (click)=\"increaseOrDecrease(1)\" [disabled]=\"currentPage === pageCount\" [class.disabled]=\"currentPage === pageCount\">\n                        >\n                    </button>\n                </li>\n            </ul>\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.pagination-sec{display:flex;justify-content:space-between;padding:8px 0;align-items:center}.pagination-sec.right-align{justify-content:flex-end}.pagination-sec .left{width:auto;line-height:28px;font-size:12px;text-transform:uppercase;color:#161b2f;font-weight:400}.pagination-sec .left .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .left .pagination-box ul li{list-style:none;display:flex}.pagination-sec .left .pagination-box ul li+li{margin-left:3px}.pagination-sec .left .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:18px;min-width:18px;padding:0 2px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;text-transform:uppercase;font-size:11px;line-height:18px;margin:0 0 0 1px}.pagination-sec .left .pagination-box ul li button.active,.pagination-sec .left .pagination-box ul li button:hover{border-color:#1e5dd3;background:#1e5dd3;color:#fff}.pagination-sec .left .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .left .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .left .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right{width:auto;display:flex;align-items:center}.pagination-sec .right .pagination-box ul{display:flex;align-items:center;padding:0;margin:0}.pagination-sec .right .pagination-box ul li{list-style:none;display:flex}.pagination-sec .right .pagination-box ul li:first-child{margin-right:4px;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:first-child{height:20px}}.pagination-sec .right .pagination-box ul li:first-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:first-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li:last-child{margin-left:6px!important;height:24px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li:last-child{height:20px}}.pagination-sec .right .pagination-box ul li:last-child button{color:#4681ef;position:relative}.pagination-sec .right .pagination-box ul li:last-child button.disabled{color:#bcbcbc!important}.pagination-sec .right .pagination-box ul li button{border:1px solid #bcbcbc;background:#fff;border-radius:2px;color:#161b2f;font-weight:400;height:24px;min-width:24px;padding:0 5px;display:inline-flex;justify-content:center;align-items:center;outline:none;cursor:pointer;line-height:21px;margin-left:3px}@media screen and (max-width: 1456px){.pagination-sec .right .pagination-box ul li button{min-width:20px;height:20px;padding:0 4px;font-size:10px;line-height:18px}}.pagination-sec .right .pagination-box ul li button.active,.pagination-sec .right .pagination-box ul li button:hover{border-color:#1e5dd3;color:#4681ef}.pagination-sec .right .pagination-box ul li button.disabled{filter:grayscale(100%);pointer-events:none;opacity:1;color:unset!important;border:1px solid #bcbcbc}.pagination-sec .right .pagination-box ul li button.disable{pointer-events:none}.pagination-sec .right .pagination-box ul li button i{font-size:8px;width:13px;height:13px;line-height:13px}.pagination-sec .right .goto-page{display:flex;align-items:center;background:#fff;border:1px solid #bcbcbc;border-radius:2px;height:25px;margin-left:10px}.pagination-sec .right .goto-page .goto-page-text{color:#161b2f;font-size:11px;text-transform:uppercase;display:block;padding:0 8px;border-right:1px solid #bcbcbc;height:23px;line-height:23px}.pagination-sec .right .goto-page .goto-page-text:last-of-type{border-right:none;border-left:1px solid #bcbcbc}.pagination-sec .right .goto-page .goto-page-input{position:relative}.pagination-sec .right .goto-page .goto-page-input input{-moz-appearance:textfield;background:transparent;border:none;color:#161b2f;font-size:11px;text-transform:uppercase;padding:0 25px 0 5px;width:95px;height:23px;position:relative;top:-1px}.pagination-sec .right .goto-page .goto-page-input input::-webkit-inner-spin-button,.pagination-sec .right .goto-page .goto-page-input input::-webkit-outer-spin-button{-webkit-appearance:none}.pagination-sec .right .goto-page .goto-page-input input:focus{outline:none}.pagination-sec .right .goto-page .goto-page-input input.invalid{border:1px solid #d93b41}.pagination-sec .right .goto-page .goto-page-input button{background:#f1f1f1;border:none;position:absolute;right:3px;top:4px;cursor:pointer;padding:0;height:18px;width:19px;line-height:22px}.pagination-sec .right .goto-page .goto-page-input button img{width:12px;height:12px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { activeAlphabet: [{
                type: Input
            }], pageCount: [{
                type: Input
            }], start: [{
                type: Input
            }], end: [{
                type: Input
            }], total: [{
                type: Input
            }], noFilter: [{
                type: Input
            }], currentPage: [{
                type: Input
            }], selectedPage: [{
                type: Output
            }], selectedAlphabet: [{
                type: Output
            }] } });

class AssessmentPickerComponent {
    set setSelected(value) {
        if (value && value?.length) {
            this.selectedAssessmentArr = [...value];
            //this.setCategoryAndAssessment();
            this.selectedAssessmentArr.forEach((ele, index) => {
                this.openedCategory.push(ele?.category_id);
                //   this.showSubList(index,ele?.category_id);
            });
        }
    }
    constructor(assessmentService, auth) {
        this.assessmentService = assessmentService;
        this.auth = auth;
        this.ASSETS = ASSETS;
        this.animation = false;
        this.subList = false;
        this.isEdit = false;
        this.openedCategory = [];
        this.assessmentPayload = {
            search_title: '',
            page_no: '1',
            state: 'ACTIVE',
            search_text: '',
            alphabet_filter: '',
        };
        this.dataPerPage = 0;
        this.assessmentCategory = {
            data: [],
            totalPage: 0,
            totalRecords: 0,
            start_value: 0,
            end_value: 0,
            currentPage: 0,
        };
        this.isLoader = false;
        this.isDeleted = false;
        this.searchAssessments = '';
        this.isPreview = false;
        this.selectedAssessmentData = [];
        this.onAssessmentSelect = new EventEmitter();
        this.cancelAssessment = new EventEmitter();
        this.selectedAssessmentArr = [];
        this.selectedAssessmentCategoriesIds = [];
        this.selectedAssessmentIds = [];
        this.selectedAssessment = [];
        this.dataPerPage = 30;
    }
    ngOnInit() {
        this.animation = true;
        this.getAssessmentCategoryList();
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    onAssessmentSelected(event) {
        this.selectedData = event;
    }
    preview(evt) {
        this.assessmentService.getAssessmentQuestions(evt?.id).subscribe({
            next: (res) => {
                this.auth.previewPanel.next(true);
                this.isPreview = true;
                this.previewQuestionData = res;
            },
        });
    }
    previewBack() {
        this.isPreview = false;
        this.previewQuestionData = {};
        this.auth.previewPanel.next(false);
    }
    /**
     *
     * @param index : Accept index of elementPosition
     *
     */
    showSubList(index, id) {
        if (this.openedCategory.includes(id)) {
            this.openedCategory = this.openedCategory.filter((ele) => ele !== id);
        }
        else {
            this.openedCategory.push(id);
            this.getAssessmentList(id);
        }
        return this.openedCategory;
    }
    expandCategory(categoryId) {
        const index = this.assessmentCategory?.data?.findIndex((ele) => ele.id === categoryId);
        if (this.openedCategory.includes(categoryId) &&
            this.assessmentCategory.data[index].assessmentData) {
            this.openedCategory = this.openedCategory.filter((ele) => ele !== categoryId);
        }
        else {
            this.openedCategory.push(categoryId);
            this.getAssessmentList(categoryId);
        }
    }
    // TODO: Pagination
    /**
     *
     * @param event : page number that has been selected
     */
    onPageSelection(event) {
        this.openedCategory = [];
        this.assessmentPayload.page_no = event.toString();
        this.getAssessmentCategoryList();
    }
    // TODO: Search
    /**
     *
     * @param search : search text
     */
    onAssessmentSearch(search) {
        this.openedCategory = [];
        this.assessmentPayload.page_no = '1';
        this.assessmentPayload.search_title = search;
        this.assessmentPayload.search_text = search;
        this.getAssessmentCategoryList();
    }
    // TODO: Filter by alphabet
    /**
     *
     * @param event : Assessment category filter of Alphabet
     */
    onAlphabetSelected(event) {
        this.openedCategory = [];
        this.assessmentPayload.page_no = '1';
        this.assessmentPayload.alphabet_filter = event;
        this.assessmentPayload.search_text = '';
        this.getAssessmentCategoryList();
    }
    // TODO: Call API method
    getAssessmentCategoryList() {
        this.isLoader = true;
        this.assessmentService
            .getAssessmentCategory(this.assessmentPayload)
            .subscribe((res) => {
            this.assessmentCategory = res;
            if (this.selectedAssessmentArr?.length) {
                // this.selectedAssessmentArr =  [... new Set(this.selectedAssessmentArr)]
                this.selectedAssessmentArr.forEach((ele) => {
                    const index = res.data.findIndex((assessment) => assessment.id === ele.category_id);
                    this.expandCategory(ele.category_id);
                });
                // this.selectedAssessmentArr.forEach((ele:any,index:any) => {
                //   this.openedCategory.push(ele?.category_id);
                //   this.showSubList(index,ele?.category_id);
                // })
            }
            this.isLoader = false;
        });
    }
    // TODO: Call Sub data API method
    /**
     *
     * @param id : Assessment category id
     */
    getAssessmentList(id) {
        const payload = {
            search_title: '',
        };
        this.assessmentService
            .getAssessmentList(payload, id)
            .subscribe((res) => {
            const index = this.assessmentCategory?.data?.findIndex((ele) => ele.id === id);
            if (index > -1) {
                this.assessmentCategory.data[index].assessmentData = [
                    ...new Set(res),
                ];
            }
            if (this.selectedAssessmentArr?.length) {
                this.setCategoryAndAssessment();
                const index = this.selectedAssessmentArr.findIndex((ele) => ele.category_id === id);
                // if(index !== -1) {
                //   this.selectedAssessmentArr[index].assessmentIds  = this.selectedAssessmentArr[index].assessmentIds.map((ele: any) => {
                //     ele = res.find((data: any) => data.id === ele);
                //     return ele;
                //   });
                // }
            }
        });
    }
    /**
     * #### Description
     * Selects item or deselect a itme
     * @param evt
     * @param payload
     */
    selectAssessment(evt, payload, category) {
        if (evt?.target?.checked) {
            const index = this.selectedAssessmentArr.findIndex((ele) => ele.category_id === category.id);
            if (index > -1) {
                const currentCategoryAssessment = this.selectedAssessmentArr[index].assessmentIds;
                currentCategoryAssessment.push(payload);
                this.selectedAssessmentArr[index].assessmentIds = this.uniqueByProp(currentCategoryAssessment, 'id');
                this.selectedAssessmentArr = cloneDeep(this.selectedAssessmentArr);
                this.setCategoryAndAssessment();
            }
            else {
                this.selectedAssessmentArr.push({
                    category_id: category.id,
                    assessmentIds: [payload],
                });
                this.selectedAssessmentArr = cloneDeep(this.selectedAssessmentArr);
                this.setCategoryAndAssessment();
            }
        }
        else {
            const index = this.selectedAssessmentArr.findIndex((ele) => ele.category_id === category.id);
            if (index > -1) {
                this.selectedAssessmentArr[index].assessmentIds =
                    this.selectedAssessmentArr[index].assessmentIds.filter((assessment) => assessment.id !== payload.id);
                this.selectedAssessmentArr = cloneDeep(this.selectedAssessmentArr);
                this.setCategoryAndAssessment();
                if (this.selectedAssessmentArr[index].assessmentIds?.length === 0) {
                    this.selectedAssessmentArr.splice(index, 1);
                    this.selectedAssessmentArr = cloneDeep(this.selectedAssessmentArr);
                    this.setCategoryAndAssessment();
                }
            }
        }
    }
    setCategoryAndAssessment() {
        this.selectedAssessmentCategoriesIds = this.selectedAssessmentArr
            .filter((cat) => cat?.assessmentIds?.length > 0)
            ?.map((ele) => ele?.category_id)
            .flat();
        this.selectedAssessmentIds = this.selectedAssessmentArr
            .map((cat) => cat?.assessmentIds.map((ele) => ele?.id))
            .flat();
        this.selectedAssessment = this.selectedAssessmentArr
            .map((cat) => cat?.assessmentIds.map((ele) => ele))
            .flat();
    }
    // TODO: Display selected data in bottom floating bar with next enabled button having
    // TODO: Send data in payload of create Responsibility form
    save() {
        this.onAssessmentSelect.emit(this.selectedAssessmentArr);
    }
    close() {
        this.cancelAssessment.emit();
    }
    /**
     * #### Description
     *
     * Returns the unique array of object based on unique key
     * @param array
     * @param key
     * @returns
     */
    uniqueByProp(array, key) {
        return Array.from(array
            .reduce((acc, item) => (item && item[key] && acc.set(item[key], item), acc), new Map())
            .values());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentPickerComponent, deps: [{ token: AssessmentService }, { token: AuthService$1 }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AssessmentPickerComponent, selector: "assessment-picker", inputs: { isEdit: "isEdit", setSelected: ["selectedAssessment", "setSelected"], selectedAssessmentData: "selectedAssessmentData" }, outputs: { onAssessmentSelect: "onAssessmentSelect", cancelAssessment: "cancelAssessment" }, ngImport: i0, template: "<app-preview\n  *ngIf=\"isPreview\"\n  [questionData]=\"previewQuestionData\"\n  (previewBack)=\"previewBack()\"\n></app-preview>\n<div class=\"assessment-list\" [class.animate]=\"animation\">\n  <ng-container>\n    <div class=\"assessment-list-head\">\n      <button class=\"back-btn\">\n        <!-- <i class=\"icons\">&#xe91d;</i> -->\n      </button>\n      <h3 class=\"assessment-list-title\">Select Assessment(s)</h3>\n    </div>\n    <div class=\"assessment-list-body\">\n      <div class=\"search-block\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          [(ngModel)]=\"searchAssessments\"\n          (change)=\"onAssessmentSearch($event.target.value)\"\n          placeholder=\"Search Assessment Category\"\n        />\n      </div>\n      <pagination\n        [pageCount]=\"assessmentCategory?.totalPage\"\n        [total]=\"assessmentCategory?.totalRecords\"\n        [start]=\"assessmentCategory?.start_value\"\n        [end]=\"assessmentCategory?.end_value\"\n        [activeAlphabet]=\"''\"\n        (selectedAlphabet)=\"onAlphabetSelected($event)\"\n        (selectedPage)=\"onPageSelection($event)\"\n      ></pagination>\n      <div\n        *ngIf=\"assessmentCategory.data.length === 0 && !isLoader\"\n        class=\"assessment-list-part\"\n      >\n        <app-no-data\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No Assessments Found.'\"\n        ></app-no-data>\n      </div>\n      <div\n        *ngIf=\"assessmentCategory.data.length || isLoader\"\n        class=\"assessment-list-part\"\n      >\n        <div\n          *ngIf=\"\n            isEdit && selectedAssessment?.assessmentDetails?.assessment_name\n          \"\n          class=\"assessment-list-selected\"\n        >\n          <div class=\"assessment-list-heading\">\n            Assessment already selected for this responsibility\n          </div>\n          <div class=\"assessment-list-item\">\n            <div class=\"table-row\">\n              <div class=\"table-column serial disabled\">\n                <app-cs-radio\n                  [disabled]=\"true\"\n                  class=\"disabled\"\n                  [checked]=\"true\"\n                  [readonly]=\"true\"\n                ></app-cs-radio>\n              </div>\n              <div class=\"table-column sub-name\">\n                <div class=\"name-inner\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"\n                      selectedAssessment?.assessmentDetails?.assessment_name\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ selectedAssessment?.assessmentDetails?.assessment_name }}\n                  </div>\n                  <div class=\"within-part\">\n                    <span class=\"within-box\">Within</span>\n                    <span\n                      class=\"value\"\n                      [appTooltip]=\"\n                        selectedAssessment?.category_details?.category_name +\n                        (selectedAssessment?.category_details?.parent_tree\n                          ? ' > ' +\n                            selectedAssessment?.category_details?.parent_tree\n                          : '')\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{\n                        selectedAssessment?.category_details?.category_name +\n                          (selectedAssessment?.category_details?.parent_tree\n                            ? \" > \" +\n                              selectedAssessment?.category_details?.parent_tree\n                            : \"\")\n                      }}</span\n                    >\n                  </div>\n                </div>\n              </div>\n              <div class=\"table-column question\">\n                <div class=\"label\">\n                  {{ selectedAssessment?.assessmentDetails?.questions }}\n                  {{\n                    selectedAssessment?.assessmentDetails?.questions > 1\n                      ? \"Questions\"\n                      : \"Question\"\n                  }}\n                </div>\n                <div class=\"buttons\">\n                  <button\n                    class=\"action-btn\"\n                    (click)=\"preview(selectedAssessment?.assessmentDetails)\"\n                  >\n                    <i class=\"icons\">&#xeae5;</i> Preview\n                  </button>\n                  <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe90c;</i> Edit</button> -->\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n        <div class=\"assessment-list-heading\">\n          Select an Assessment for this responsibility\n        </div>\n\n        <!--\n                     Assessment category list\n                     active class is used for highlighting opened element\n                -->\n        <ng-container *ngIf=\"!isLoader\">\n          <div\n            *ngFor=\"let data of assessmentCategory.data; let i = index\"\n            class=\"assessment-list-item\"\n            [class.active]=\"\n              openedCategory.includes(data?.id) ||\n              data.id === selectedAssessment?.category_id\n            \"\n          >\n            <div\n              class=\"table-row main-list\"\n              (click)=\"expandCategory(data?.id)\"\n              [class.disabled]=\"data?.assessmentcount < 1\"\n            >\n              <div class=\"table-column serial\">\n                <div\n                  [id]=\"'sr-no' + i\"\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + 1\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ dataPerPage * (assessmentPayload.page_no - 1) + (i + 1) }}\n                </div>\n              </div>\n              <div class=\"table-column name\">\n                <div class=\"name-inner\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"data.category_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ data?.category_name }}\n                  </div>\n                  <div class=\"within-part\" *ngIf=\"data?.parent_tree\">\n                    <span class=\"within-box\">Within</span>\n                    <span\n                      class=\"value\"\n                      [appTooltip]=\"data.parent_tree\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{ data?.parent_tree }}</span\n                    >\n                  </div>\n                </div>\n              </div>\n              <div class=\"table-column action\">\n                <button\n                  [id]=\"'arrow' + i\"\n                  class=\"arrow\"\n                  [class.disabled]=\"data?.assessmentcount < 1\"\n                  [disabled]=\"data?.assessmentcount < 1\"\n                >\n                  <i *ngIf=\"!openedCategory.includes(data?.id)\" class=\"icons\"\n                    >&#xe970;</i\n                  >\n                  <i *ngIf=\"openedCategory.includes(data?.id)\" class=\"icons\"\n                    >&#xe9e8;</i\n                  >\n                </button>\n              </div>\n            </div>\n\n            <!-- Assessment list start from here -->\n            <div *ngIf=\"openedCategory.includes(data?.id)\" class=\"sub-list\">\n              <ng-container *ngIf=\"data.assessmentData?.length > 0\">\n                <div\n                  class=\"table-row\"\n                  *ngFor=\"let assessment of data.assessmentData; let j = index\"\n                  [class.active]=\"selectedAssessmentIds.includes(assessment.id)\"\n                >\n                  <div class=\"table-column serial\">\n                    <div\n                      [id]=\"'sub-sr-no' + i + j\"\n                      class=\"sr-no active\"\n                      appTooltip=\"{{\n                        dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                      }}.{{ j + 1 }}\"\n                      placement=\"bottom\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"true\"\n                    >\n                      {{\n                        dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                      }}.{{ j + 1 }}\n                      <!-- <app-cs-radio name=\"assessment\" [value]=\"assessment.id\" [checked]=\"assessment?.id === selectedAssessment?.assessment_id && data?.id === selectedAssessment?.category_id\"\n                                            (checkedEvent)=\"setAssessment(data, assessment)\"></app-cs-radio> -->\n                      <!-- (change)=\"selectGroup($event,group)\" [disabled]=\"nonRemovableGroupIds?.includes(group?.group_id)\" [checked]=\"selectedGroupIds.includes(group?.group_id)\" -->\n\n                      <vui-checkbox\n                        [checked]=\"\n                          selectedAssessmentIds.includes(assessment.id)\n                        \"\n                        (change)=\"selectAssessment($event, assessment, data)\"\n                      ></vui-checkbox>\n                    </div>\n                  </div>\n                  <div class=\"table-column sub-name\">\n                    <div\n                      class=\"value\"\n                      [appTooltip]=\"\n                        'Mission and message, communications to external audiences'\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ assessment?.assessment_name }}\n                    </div>\n                  </div>\n                  <div class=\"table-column question\">\n                    <div class=\"label\">\n                      {{ assessment?.questions }}\n                      {{ assessment?.questions > 1 ? \"Questions\" : \"Question\" }}\n                    </div>\n                    <div class=\"buttons\">\n                      <button class=\"action-btn\" (click)=\"preview(assessment)\">\n                        <i class=\"icons\">&#xeae5;</i> Preview\n                      </button>\n                      <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe9ba;</i> Edit</button> -->\n                    </div>\n                  </div>\n                </div>\n              </ng-container>\n              <!-- Loader loading isLoader  -->\n              <assessment-sub-loader\n                *ngIf=\"!data.assessmentData?.length\"\n              ></assessment-sub-loader>\n              <!-- <app-line-loader *ngIf=\"!data.assessmentData?.length\" [loaderHeight]=\"'5'\"></app-line-loader> -->\n            </div>\n          </div>\n        </ng-container>\n        <!-- Loader loading isLoader  -->\n        <assessment-loader *ngIf=\"isLoader\"></assessment-loader>\n      </div>\n      <!-- No data image  -->\n      <app-no-data\n        *ngIf=\"!assessmentCategory.data.length && !isLoader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data to Display'\"\n      ></app-no-data>\n    </div>\n    <!--\n            bottom floating bar which includes cancel, next button\n            closing tab\n         -->\n\n    <vui-floating-bar (closeEvent)=\"save()\" (closeList)=\"close()\">\n      <div\n        class=\"counter\"\n        *ngIf=\"selectedAssessment?.length\"\n        appPopover\n        (click)=\"assessmentCount.popover()\"\n        placement=\"left\"\n      >\n        {{ selectedAssessment?.length }}\n      </div>\n      <div class=\"name\">\n        <span *ngIf=\"selectedAssessment?.length === 1\"\n          >Assessment selected</span\n        >\n        <span *ngIf=\"selectedAssessment?.length > 1\">Assessments selected</span>\n      </div>\n      <app-popover #assessmentCount [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let element of selectedAssessment; let i = index\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <!-- <i class=\"icons\"\n                            (click)=\"selectAssessment({target:{checked:false}},element)\">&#xe90d;</i> -->\n                  {{ element?.assessment_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </vui-floating-bar>\n  </ng-container>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .assessment-list{background:#fff;border-top:3px solid #1E5DD3;position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .assessment-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .assessment-list-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .assessment-list-head button.back-btn{background:transparent;border-radius:0;border:0;color:#161b2f;font-size:16px;padding:0;margin:0 8px 0 0}::ng-deep .assessment-list-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .assessment-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .assessment-list-body{padding:24px 40px 24px 36px;height:calc(100vh - 112px)}::ng-deep .assessment-list-body .search-block{position:relative}::ng-deep .assessment-list-body .search-block input{height:44px;line-height:24px;padding:10px 15px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .assessment-list-body .search-block input::placeholder{font-weight:400}::ng-deep .assessment-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .assessment-list-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .assessment-list-body .assessment-list-part{height:calc(100vh - 228px);overflow:auto;padding:8px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-selected{margin-bottom:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-heading{color:#161b2f;font-size:12px;font-weight:600;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .main-list{cursor:pointer}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row.disabled{pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no vui-checkbox{position:absolute;top:8px;left:0;opacity:0;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no vui-checkbox label.checkbox-item{position:unset}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .value{color:#747576;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-right:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons{display:flex;width:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:24px;text-transform:uppercase;padding:0 8px;display:flex;align-items:center;margin:0}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row:hover .table-column.question .buttons{width:86px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row .table-column{height:32px}::ng-deep .assessment-list-body ul{padding:0;margin:0}::ng-deep .assessment-list-body ul.assessment{max-height:calc(100vh - 240px);overflow:auto;padding:16px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body ul.assessment li{padding:0 0 12px;list-style:none;display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body ul.assessment li vui-checkbox{width:calc(100% - 260px)}::ng-deep .assessment-list-body ul.assessment li vui-checkbox .radio-item .value .name{font-size:12px;color:#161b2f;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assessment-list-body ul.assessment li .right{display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px}::ng-deep .assessment-list-body ul.assessment li .right .buttons{display:flex;width:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:24px;text-transform:uppercase;padding:0 8px;margin-left:12px;display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body ul.assessment li:hover .right .buttons{width:156px}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#747576}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponentUI, selector: "app-no-data", inputs: ["action", "secondaryAction", "noDataImage", "noDataText", "noDataButton", "secondaryButton", "noDataSecButton", "altText", "smallButton"], outputs: ["buttonAction", "secondaryActionButton"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }, { kind: "component", type: PreviewComponent, selector: "app-preview", inputs: ["questionData"], outputs: ["previewBack"] }, { kind: "component", type: CheckboxComponent$1, selector: "vui-checkbox", inputs: ["disabled", "checked", "indeterminateEnabled"] }, { kind: "component", type: VuiFloatingBarComponent, selector: "vui-floating-bar", inputs: ["selectedData", "groupSelected", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "nextDisabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "workflowTypeChanged"] }, { kind: "component", type: AssessmentLoaderComponent, selector: "assessment-loader" }, { kind: "component", type: AssessmentSubLoaderComponent, selector: "assessment-sub-loader" }, { kind: "component", type: Pagination, selector: "pagination", inputs: ["activeAlphabet", "pageCount", "start", "end", "total", "noFilter", "currentPage"], outputs: ["selectedPage", "selectedAlphabet"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentPickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'assessment-picker', template: "<app-preview\n  *ngIf=\"isPreview\"\n  [questionData]=\"previewQuestionData\"\n  (previewBack)=\"previewBack()\"\n></app-preview>\n<div class=\"assessment-list\" [class.animate]=\"animation\">\n  <ng-container>\n    <div class=\"assessment-list-head\">\n      <button class=\"back-btn\">\n        <!-- <i class=\"icons\">&#xe91d;</i> -->\n      </button>\n      <h3 class=\"assessment-list-title\">Select Assessment(s)</h3>\n    </div>\n    <div class=\"assessment-list-body\">\n      <div class=\"search-block\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          [(ngModel)]=\"searchAssessments\"\n          (change)=\"onAssessmentSearch($event.target.value)\"\n          placeholder=\"Search Assessment Category\"\n        />\n      </div>\n      <pagination\n        [pageCount]=\"assessmentCategory?.totalPage\"\n        [total]=\"assessmentCategory?.totalRecords\"\n        [start]=\"assessmentCategory?.start_value\"\n        [end]=\"assessmentCategory?.end_value\"\n        [activeAlphabet]=\"''\"\n        (selectedAlphabet)=\"onAlphabetSelected($event)\"\n        (selectedPage)=\"onPageSelection($event)\"\n      ></pagination>\n      <div\n        *ngIf=\"assessmentCategory.data.length === 0 && !isLoader\"\n        class=\"assessment-list-part\"\n      >\n        <app-no-data\n          [noDataImage]=\"ASSETS.search_data\"\n          [noDataText]=\"'No Assessments Found.'\"\n        ></app-no-data>\n      </div>\n      <div\n        *ngIf=\"assessmentCategory.data.length || isLoader\"\n        class=\"assessment-list-part\"\n      >\n        <div\n          *ngIf=\"\n            isEdit && selectedAssessment?.assessmentDetails?.assessment_name\n          \"\n          class=\"assessment-list-selected\"\n        >\n          <div class=\"assessment-list-heading\">\n            Assessment already selected for this responsibility\n          </div>\n          <div class=\"assessment-list-item\">\n            <div class=\"table-row\">\n              <div class=\"table-column serial disabled\">\n                <app-cs-radio\n                  [disabled]=\"true\"\n                  class=\"disabled\"\n                  [checked]=\"true\"\n                  [readonly]=\"true\"\n                ></app-cs-radio>\n              </div>\n              <div class=\"table-column sub-name\">\n                <div class=\"name-inner\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"\n                      selectedAssessment?.assessmentDetails?.assessment_name\n                    \"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ selectedAssessment?.assessmentDetails?.assessment_name }}\n                  </div>\n                  <div class=\"within-part\">\n                    <span class=\"within-box\">Within</span>\n                    <span\n                      class=\"value\"\n                      [appTooltip]=\"\n                        selectedAssessment?.category_details?.category_name +\n                        (selectedAssessment?.category_details?.parent_tree\n                          ? ' > ' +\n                            selectedAssessment?.category_details?.parent_tree\n                          : '')\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{\n                        selectedAssessment?.category_details?.category_name +\n                          (selectedAssessment?.category_details?.parent_tree\n                            ? \" > \" +\n                              selectedAssessment?.category_details?.parent_tree\n                            : \"\")\n                      }}</span\n                    >\n                  </div>\n                </div>\n              </div>\n              <div class=\"table-column question\">\n                <div class=\"label\">\n                  {{ selectedAssessment?.assessmentDetails?.questions }}\n                  {{\n                    selectedAssessment?.assessmentDetails?.questions > 1\n                      ? \"Questions\"\n                      : \"Question\"\n                  }}\n                </div>\n                <div class=\"buttons\">\n                  <button\n                    class=\"action-btn\"\n                    (click)=\"preview(selectedAssessment?.assessmentDetails)\"\n                  >\n                    <i class=\"icons\">&#xeae5;</i> Preview\n                  </button>\n                  <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe90c;</i> Edit</button> -->\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n        <div class=\"assessment-list-heading\">\n          Select an Assessment for this responsibility\n        </div>\n\n        <!--\n                     Assessment category list\n                     active class is used for highlighting opened element\n                -->\n        <ng-container *ngIf=\"!isLoader\">\n          <div\n            *ngFor=\"let data of assessmentCategory.data; let i = index\"\n            class=\"assessment-list-item\"\n            [class.active]=\"\n              openedCategory.includes(data?.id) ||\n              data.id === selectedAssessment?.category_id\n            \"\n          >\n            <div\n              class=\"table-row main-list\"\n              (click)=\"expandCategory(data?.id)\"\n              [class.disabled]=\"data?.assessmentcount < 1\"\n            >\n              <div class=\"table-column serial\">\n                <div\n                  [id]=\"'sr-no' + i\"\n                  class=\"sr-no\"\n                  [appTooltip]=\"i + 1\"\n                  placement=\"bottom\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"true\"\n                >\n                  {{ dataPerPage * (assessmentPayload.page_no - 1) + (i + 1) }}\n                </div>\n              </div>\n              <div class=\"table-column name\">\n                <div class=\"name-inner\">\n                  <div\n                    class=\"value\"\n                    [appTooltip]=\"data.category_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ data?.category_name }}\n                  </div>\n                  <div class=\"within-part\" *ngIf=\"data?.parent_tree\">\n                    <span class=\"within-box\">Within</span>\n                    <span\n                      class=\"value\"\n                      [appTooltip]=\"data.parent_tree\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      >{{ data?.parent_tree }}</span\n                    >\n                  </div>\n                </div>\n              </div>\n              <div class=\"table-column action\">\n                <button\n                  [id]=\"'arrow' + i\"\n                  class=\"arrow\"\n                  [class.disabled]=\"data?.assessmentcount < 1\"\n                  [disabled]=\"data?.assessmentcount < 1\"\n                >\n                  <i *ngIf=\"!openedCategory.includes(data?.id)\" class=\"icons\"\n                    >&#xe970;</i\n                  >\n                  <i *ngIf=\"openedCategory.includes(data?.id)\" class=\"icons\"\n                    >&#xe9e8;</i\n                  >\n                </button>\n              </div>\n            </div>\n\n            <!-- Assessment list start from here -->\n            <div *ngIf=\"openedCategory.includes(data?.id)\" class=\"sub-list\">\n              <ng-container *ngIf=\"data.assessmentData?.length > 0\">\n                <div\n                  class=\"table-row\"\n                  *ngFor=\"let assessment of data.assessmentData; let j = index\"\n                  [class.active]=\"selectedAssessmentIds.includes(assessment.id)\"\n                >\n                  <div class=\"table-column serial\">\n                    <div\n                      [id]=\"'sub-sr-no' + i + j\"\n                      class=\"sr-no active\"\n                      appTooltip=\"{{\n                        dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                      }}.{{ j + 1 }}\"\n                      placement=\"bottom\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"true\"\n                    >\n                      {{\n                        dataPerPage * (assessmentPayload.page_no - 1) + (i + 1)\n                      }}.{{ j + 1 }}\n                      <!-- <app-cs-radio name=\"assessment\" [value]=\"assessment.id\" [checked]=\"assessment?.id === selectedAssessment?.assessment_id && data?.id === selectedAssessment?.category_id\"\n                                            (checkedEvent)=\"setAssessment(data, assessment)\"></app-cs-radio> -->\n                      <!-- (change)=\"selectGroup($event,group)\" [disabled]=\"nonRemovableGroupIds?.includes(group?.group_id)\" [checked]=\"selectedGroupIds.includes(group?.group_id)\" -->\n\n                      <vui-checkbox\n                        [checked]=\"\n                          selectedAssessmentIds.includes(assessment.id)\n                        \"\n                        (change)=\"selectAssessment($event, assessment, data)\"\n                      ></vui-checkbox>\n                    </div>\n                  </div>\n                  <div class=\"table-column sub-name\">\n                    <div\n                      class=\"value\"\n                      [appTooltip]=\"\n                        'Mission and message, communications to external audiences'\n                      \"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                    >\n                      {{ assessment?.assessment_name }}\n                    </div>\n                  </div>\n                  <div class=\"table-column question\">\n                    <div class=\"label\">\n                      {{ assessment?.questions }}\n                      {{ assessment?.questions > 1 ? \"Questions\" : \"Question\" }}\n                    </div>\n                    <div class=\"buttons\">\n                      <button class=\"action-btn\" (click)=\"preview(assessment)\">\n                        <i class=\"icons\">&#xeae5;</i> Preview\n                      </button>\n                      <!-- <button class=\"action-btn\"><i class=\"icons\">&#xe9ba;</i> Edit</button> -->\n                    </div>\n                  </div>\n                </div>\n              </ng-container>\n              <!-- Loader loading isLoader  -->\n              <assessment-sub-loader\n                *ngIf=\"!data.assessmentData?.length\"\n              ></assessment-sub-loader>\n              <!-- <app-line-loader *ngIf=\"!data.assessmentData?.length\" [loaderHeight]=\"'5'\"></app-line-loader> -->\n            </div>\n          </div>\n        </ng-container>\n        <!-- Loader loading isLoader  -->\n        <assessment-loader *ngIf=\"isLoader\"></assessment-loader>\n      </div>\n      <!-- No data image  -->\n      <app-no-data\n        *ngIf=\"!assessmentCategory.data.length && !isLoader\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Data to Display'\"\n      ></app-no-data>\n    </div>\n    <!--\n            bottom floating bar which includes cancel, next button\n            closing tab\n         -->\n\n    <vui-floating-bar (closeEvent)=\"save()\" (closeList)=\"close()\">\n      <div\n        class=\"counter\"\n        *ngIf=\"selectedAssessment?.length\"\n        appPopover\n        (click)=\"assessmentCount.popover()\"\n        placement=\"left\"\n      >\n        {{ selectedAssessment?.length }}\n      </div>\n      <div class=\"name\">\n        <span *ngIf=\"selectedAssessment?.length === 1\"\n          >Assessment selected</span\n        >\n        <span *ngIf=\"selectedAssessment?.length > 1\">Assessments selected</span>\n      </div>\n      <app-popover #assessmentCount [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let element of selectedAssessment; let i = index\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <!-- <i class=\"icons\"\n                            (click)=\"selectAssessment({target:{checked:false}},element)\">&#xe90d;</i> -->\n                  {{ element?.assessment_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </vui-floating-bar>\n  </ng-container>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .assessment-list{background:#fff;border-top:3px solid #1E5DD3;position:fixed;inset:0 500px 0 0;z-index:1}::ng-deep .assessment-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .assessment-list-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .assessment-list-head button.back-btn{background:transparent;border-radius:0;border:0;color:#161b2f;font-size:16px;padding:0;margin:0 8px 0 0}::ng-deep .assessment-list-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .assessment-list-close{background:transparent;border:none;outline:none;cursor:pointer;color:#000;font-size:12px;display:inline-block;padding:0}::ng-deep .assessment-list-body{padding:24px 40px 24px 36px;height:calc(100vh - 112px)}::ng-deep .assessment-list-body .search-block{position:relative}::ng-deep .assessment-list-body .search-block input{height:44px;line-height:24px;padding:10px 15px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .assessment-list-body .search-block input::placeholder{font-weight:400}::ng-deep .assessment-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .assessment-list-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .assessment-list-body .assessment-list-part{height:calc(100vh - 228px);overflow:auto;padding:8px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body .assessment-list-part::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-selected{margin-bottom:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-heading{color:#161b2f;font-size:12px;font-weight:600;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .main-list{cursor:pointer}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row.disabled{pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no vui-checkbox{position:absolute;top:8px;left:0;opacity:0;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.serial .sr-no vui-checkbox label.checkbox-item{position:unset}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name{width:calc(100% - 232px);min-width:calc(100% - 232px)}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .name-inner{width:100%}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.sub-name .value{color:#747576;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:20px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question{width:200px;max-width:200px;justify-content:flex-end}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-right:8px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons{display:flex;width:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:24px;text-transform:uppercase;padding:0 8px;display:flex;align-items:center;margin:0}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row .table-column.question .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .table-row:hover .table-column.question .buttons{width:86px}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .assessment-list-body .assessment-list-part .assessment-list-item .sub-list .table-row .table-column{height:32px}::ng-deep .assessment-list-body ul{padding:0;margin:0}::ng-deep .assessment-list-body ul.assessment{max-height:calc(100vh - 240px);overflow:auto;padding:16px 12px 0 0;width:calc(100% + 12px)}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-track{background-color:#fff;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::ng-deep .assessment-list-body ul.assessment::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}::ng-deep .assessment-list-body ul.assessment li{padding:0 0 12px;list-style:none;display:flex;align-items:center;justify-content:space-between}::ng-deep .assessment-list-body ul.assessment li vui-checkbox{width:calc(100% - 260px)}::ng-deep .assessment-list-body ul.assessment li vui-checkbox .radio-item .value .name{font-size:12px;color:#161b2f;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .assessment-list-body ul.assessment li .right{display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px}::ng-deep .assessment-list-body ul.assessment li .right .buttons{display:flex;width:0;overflow:hidden;transition:all .2s ease-in-out}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn{background:#fff;border:1px solid #f1f1f1;border-radius:2px;color:#1e5dd3;font-size:11px;font-weight:500;line-height:24px;text-transform:uppercase;padding:0 8px;margin-left:12px;display:flex;align-items:center}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn i{margin-right:4px}::ng-deep .assessment-list-body ul.assessment li .right .buttons button.action-btn+button{margin-left:4px}::ng-deep .assessment-list-body ul.assessment li:hover .right .buttons{width:156px}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:12px;color:#747576}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}\n"] }]
        }], ctorParameters: function () { return [{ type: AssessmentService }, { type: AuthService$1 }]; }, propDecorators: { isEdit: [{
                type: Input
            }], setSelected: [{
                type: Input,
                args: ['selectedAssessment']
            }], selectedAssessmentData: [{
                type: Input
            }], onAssessmentSelect: [{
                type: Output
            }], cancelAssessment: [{
                type: Output
            }] } });

const CUSTOM_TAG_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => CustomFieldComponent),
    multi: true,
};
class CustomFieldComponent {
    constructor() {
        this.onChanged = (value) => { };
        this.onTouched = () => { };
        this.customFields = [];
    }
    writeValue(value) {
        this.setField(value);
    }
    registerOnChange(fn) {
        this.onChanged = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    valChange() {
        const field = this.customFields.map((ele) => ele?.name);
        this.onChanged(field);
        this.onTouched();
    }
    setField(arrayOfFields) {
        if (arrayOfFields?.length) {
            this.customFields = arrayOfFields.map((ele) => { return { name: ele }; });
        }
        else {
            this.customFields = [{ name: '' }];
        }
        this.focus();
    }
    addCustomField() {
        this.customFields.push({ name: '', isEditing: true });
    }
    manipulateCustomField(type, index) {
        switch (type) {
            case 'ADD': {
                this.customFields.push({ name: '', isEditing: true });
                this.valChange();
                this.focus();
                break;
            }
            case 'DELETE': {
                if (this.customFields?.length > 1) {
                    this.customFields.splice(index, 1);
                    this.valChange();
                    this.focus();
                }
                break;
            }
        }
    }
    focus() {
        setTimeout(() => {
            this.fields['_results'][this.fields.length - 1].nativeElement.focus();
            this.fields['_results'][this.fields.length - 1].nativeElement.scrollIntoView({ behavior: 'smooth', block: 'center' });
        }, 100);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CustomFieldComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CustomFieldComponent, selector: "custom-field", inputs: { disabled: "disabled" }, providers: [CUSTOM_TAG_VALUE_ACCESSOR], viewQueries: [{ propertyName: "fields", predicate: ["custom_fields"], descendants: true, read: ElementRef }], ngImport: i0, template: "\n <ng-container *ngFor=\"let field of customFields; let i = index\">\n                <!-- <div class=\"selected\" *ngIf=\"field?.name && !field?.isEditing \">\n                    <div (click)=\"manipulateCustomField('ACTIVATE')\" class=\"custom-text vx-fs-13 vx-paragraph-txt\">CUSTOM TAG TEXT HERE</div>\n                    <button *ngIf=\"customFields?.length > 1\" (click)=\"manipulateCustomField('DELETE',i)\" class=\"cross-btn vx-fs-12 vx-txt-red vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9ae;</i></button>\n                </div> -->\n\n                <div class=\"custom-input vx-mt-2\" >\n                    <input #custom_fields (keyup.enter)=\"manipulateCustomField('ADD')\" (keyup.backspace)=\"field?.name?.length ? null : manipulateCustomField('DELETE',i)\" [(ngModel)]=\"field.name\" (ngModelChange)=\"valChange()\"  type=\"text\" placeholder=\"Add a field name\" [ngModelOptions]=\"{standalone: true}\">\n                    <button *ngIf=\"customFields?.length > 1\" (click)=\"manipulateCustomField('DELETE',i)\" class=\"cross-btn vx-fs-12 vx-txt-red vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9ae;</i></button>\n                </div>\n            </ng-container>\n\n            <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n                <button (click)=\"manipulateCustomField('ADD')\" class=\"add-more-btn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\">+ ADD MORE\n                    FIELDS</button>\n            </div>\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CustomFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'custom-field', providers: [CUSTOM_TAG_VALUE_ACCESSOR], template: "\n <ng-container *ngFor=\"let field of customFields; let i = index\">\n                <!-- <div class=\"selected\" *ngIf=\"field?.name && !field?.isEditing \">\n                    <div (click)=\"manipulateCustomField('ACTIVATE')\" class=\"custom-text vx-fs-13 vx-paragraph-txt\">CUSTOM TAG TEXT HERE</div>\n                    <button *ngIf=\"customFields?.length > 1\" (click)=\"manipulateCustomField('DELETE',i)\" class=\"cross-btn vx-fs-12 vx-txt-red vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9ae;</i></button>\n                </div> -->\n\n                <div class=\"custom-input vx-mt-2\" >\n                    <input #custom_fields (keyup.enter)=\"manipulateCustomField('ADD')\" (keyup.backspace)=\"field?.name?.length ? null : manipulateCustomField('DELETE',i)\" [(ngModel)]=\"field.name\" (ngModelChange)=\"valChange()\"  type=\"text\" placeholder=\"Add a field name\" [ngModelOptions]=\"{standalone: true}\">\n                    <button *ngIf=\"customFields?.length > 1\" (click)=\"manipulateCustomField('DELETE',i)\" class=\"cross-btn vx-fs-12 vx-txt-red vx-p-0 vx-m-0 vx-ml-2 vx-d-flex vx-align-center vx-justify-center\"><i class=\"icons\">&#xe9ae;</i></button>\n                </div>\n            </ng-container>\n\n            <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n                <button (click)=\"manipulateCustomField('ADD')\" class=\"add-more-btn vx-fs-11 vx-fw-600 vx-txt-blue vx-tt-uppercase vx-p-0 vx-m-0\">+ ADD MORE\n                    FIELDS</button>\n            </div>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { fields: [{
                type: ViewChildren,
                args: ['custom_fields', { read: ElementRef }]
            }], disabled: [{
                type: Input
            }] } });

class ListToIdPipe {
    transform(value, arg) {
        return value.map((ele) => ele[arg]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListToIdPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ListToIdPipe, name: "listToId" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListToIdPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'listToId'
                }]
        }] });

class AssessmentResolverPipe {
    transform(value, ...args) {
        if (value && value?.length) {
            value = value.filter((ele) => ele?.assessmentIds?.length);
            const val = Object.assign(JSON.parse(JSON.stringify(value
                .map((category) => category.assessmentIds.map((assessment) => {
                return { ...assessment, category_id: category.category_id };
            }))
                ?.flat())));
            return val;
        }
        else {
            return [];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentResolverPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: AssessmentResolverPipe, name: "assessmentResolver" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentResolverPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'assessmentResolver',
                }]
        }] });

class ArrayConcatPipe {
    transform(value, ...args) {
        return [...value, ...args[0]];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ArrayConcatPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ArrayConcatPipe, name: "arrayConcat" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ArrayConcatPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'arrayConcat'
                }]
        }] });

class WorkflowProgramComponent {
    constructor(fb, programService, authService, uiKitService, iframeService, changeRef) {
        this.fb = fb;
        this.programService = programService;
        this.authService = authService;
        this.uiKitService = uiKitService;
        this.iframeService = iframeService;
        this.changeRef = changeRef;
        this.ASSETS = ASSETS;
        this.constants = CONSTANTS$1;
        this.isAscentAllowed = false;
        this.ff_rc_listing = false;
        this.datePickerOverlay = false;
        this.pickerChanged = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.showConfirmationAlert = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.refreshForm = new EventEmitter();
        this.hideElementsFromMoreOptions = new EventEmitter();
        this.onRemovingRole = new EventEmitter();
        this.disableElementsFromMoreOptions = new EventEmitter();
        this.canFrameworkChange = true;
        this.programSimplifyFlag = false;
        // All Input fields
        this.mode = '';
        this.programId = '';
        this.programType = 1;
        this.panelTitleDefaultReviewer = 'Select Default Reviewer(s)';
        this.panelTitleOwner = 'Select Owner(s)';
        this.panelTitleReviewer = 'Select Reviewer(s)';
        this.panelTitleAssignee = 'Select Assignee(s)';
        this.panelTitleCollaborator = 'Select Collaborator(s)';
        this.panelTitleApprover = 'Select  Approver';
        this.isApproverDisabled = false;
        this.isProgramScope = false;
        this.toolTipData = {
            owner: 'Owners are responsible for managing a Program. Only Owners can make changes to a Program and the responsibilities that are linked with the Program.<br>The <strong>Key Admin</strong> and all <b>Admin</b> users will be selected as the Owners of a Program by default.',
            programScope: `A Program Scope can be used as follows:
  <li>To specify the duration of the Program.</li>
  <li>To pre-select certain options that are available when creating a responsibility, thereby decreasing the time required to create a responsibility.</li>
  <li>To limit the options available for selection when creating a responsibility, thereby making it easier to create a responsibility and reducing the likelihood of an incorrect option being selected.</li>
    `,
            collaborator: COLLABORATOR_TOOLTIP
        };
        this.featureflagrole = false;
        this.featureflagGroups = false;
        this.disableCollaboratorIds = [];
        this.selectedReviewerIds = [];
        this.selectedAssigneeIds = [];
        this.selectedOverseerIds = [];
        this.assignorId = [];
        this.disableReviewerIds = [];
        this.disableOverseerIds = [];
        this.COLLABORATOR_PLACEHODLER = COLLABORATOR_PLACEHODLER;
        this.loader = false;
        this.showSmiley = false;
        this.actionButtons = [
            { buttonText: 'Add More Programs', class: 'white-btn', id: 'addMore' },
            { buttonText: 'View Program', class: 'blue-btn', id: 'viewProgram' },
        ];
        this.smileyMessage = `You're All Set!`;
        this.createdProgramId = '';
        this.isObjectiveValid = true;
        this.isNameExists = false;
        //form body for program meta data
        this.programForm = this.fb.group({
            program_type: [
                this.programType,
                [Validators.required, Validators.min(0), Validators.max(3)],
            ],
            program_name: ['', [Validators.required, this.noWhitespaceValidator]],
            program_description: [''],
            program_description_attachments: [[]],
            program_objective: [''],
            // program_objective: ['', [Validators.required, this.noWhitespaceValidator]],
            program_objective_attachments: [[]],
            program_roles: [[], [Validators.required, this.blankArrayValidator]],
            all_user_in_role: [false],
            program_owners: [[], [Validators.required, this.blankArrayValidator]],
            program_owners_group: [[]],
            program_approver: [[]],
            performance_calculation: ['PAST_EVENT', [Validators.required]],
            recurring_frequency: [true, [Validators.required]],
            lock_scope_change: [false, [Validators.required]],
            framework: [],
            rc: [[]],
            program_assignee: [[]],
            program_assignee_group: [[]],
            program_default_assignee: [[]],
            program_default_assignee_group: [[]],
            assignee_completion_criteria: ['ALL'],
            program_reviewer: [[]],
            program_reviewer_group: [[]],
            program_default_reviewer: [[]],
            program_default_reviewer_group: [[]],
            reviewer_completion_criteria: ['SEQUENTIAL'],
            program_overseer: [[]],
            program_overseer_group: [[]],
            program_default_overseer: [[]],
            program_default_overseer_group: [[]],
            program_default_failed_overseer: [[]],
            program_default_failed_overseer_group: [[]],
            program_assessments: [[]],
            evidence_required: [false],
            allow_any_file_key_evidence: [false],
            custom_fields: [[]],
            program_state: 0,
            program_collaborator: [[]],
        });
        //exceptional handling of custom fields
        this.showAddCustomField = true;
        //Program objective and descripion are explectly declared as they are using marx editor which does not supports Reactive forms binding
        this.editorData = {
            programObjective: '',
            programDescription: '',
        };
        this.manageProgramsRoleId = [];
        this.controls = {
            program_name: this.programForm.get('program_name'),
            program_type: this.programForm.get('program_type'),
            program_objective: this.programForm.get('program_objective'),
            program_roles: this.programForm.get('program_roles'),
            program_owners: this.programForm.get('program_owners'),
            program_owners_group: this.programForm.get('program_owners_group'),
            all_user_in_role: this.programForm.get('all_user_in_role'),
            program_approver: this.programForm.get('program_approver'),
            description_attachment: this.programForm.get('program_description_attachments'),
            objective_attachments: this.programForm.get('program_objective_attachments'),
            performance_calculation: this.programForm.get('performance_calculation'),
            recurring_frequency: this.programForm.get('recurring_frequency'),
            lock_scope_change: this.programForm.get('lock_scope_change'),
            rc: this.programForm.get('rc'),
            evidence_required: this.programForm.get('evidence_required'),
            framework: this.programForm.get('framework'),
            allow_any_file_key_evidence: this.programForm.get('allow_any_file_key_evidence'),
            program_assignee: this.programForm.get('program_assignee'),
            program_assignee_group: this.programForm.get('program_assignee_group'),
            program_default_assignee: this.programForm.get('program_default_assignee'),
            program_default_assignee_group: this.programForm.get('program_default_assignee_group'),
            assignee_completion_criteria: this.programForm.get('assignee_completion_criteria'),
            program_default_reviewer: this.programForm.get('program_default_reviewer'),
            program_default_reviewer_group: this.programForm.get('program_default_reviewer_group'),
            program_reviewer: this.programForm.get('program_reviewer'),
            program_reviewer_group: this.programForm.get('program_reviewer_group'),
            program_overseer: this.programForm.get('program_overseer'),
            program_overseer_group: this.programForm.get('program_overseer_group'),
            program_default_overseer: this.programForm.get('program_default_overseer'),
            program_default_overseer_group: this.programForm.get('program_default_overseer_group'),
            program_default_failed_overseer: this.programForm.get('program_default_failed_overseer'),
            program_default_failed_overseer_group: this.programForm.get('program_default_failed_overseer_group'),
            reviewer_completion_criteria: this.programForm.get('reviewer_completion_criteria'),
            program_assessments: this.programForm.get('program_assessments'),
            custom_fields: this.programForm.get('custom_fields'),
            isApproverDisabled: this.programForm.get('isApproverDisabled'),
            program_collaborator: this.programForm.get('program_collaborator'),
        };
        this.lists = {
            ROLES: [],
            OWNERS: [],
            OWNERS_GROUPS: [],
            COLLABORATORS: [],
            REVIEWERS: [],
            REVIEWERS_GROUP: [],
            ASSIGNEES: [],
            ASSIGNEES_GROUP: [],
            DEFAULT_ASSIGNEES: [],
            DEFAULT_ASSIGNEES_GROUP: [],
            DEFAULT_REVIEWERS: [],
            DEFAULT_REVIEWERS_GROUP: [],
            OVERSEERS: [],
            OVERSEERS_GROUP: [],
            DEFAULT_OVERSEERS: [],
            DEFAULT_OVERSEERS_GROUP: [],
            RC: [],
            NON_REMOVABLE_OWNERS: [],
            ALL_USER: [],
            ALL_GROUP: [],
            SYSTEM_ROLE_IDS: [],
        };
        this.listLoadingState = {
            ROLES: false,
            USERS: false,
            GROUP: false,
            RC: false,
        };
        this.sideElements = [
            'ROLE',
            'RC',
            'OWNER',
            'ASSIGNEE',
            'APPROVER',
            'DEFAULT_ASSIGNEE',
            'REVIEWER',
            'DEFAULT_REVIEWER',
            'ASSESSMENT',
            'FRAMEWORK',
            'OVERSEER',
            'DEFAULT_FAILED_OVERSEER',
            'DEFAULT_OVERSEER',
            'OVERSEER',
        ];
        this.additionalOption = { ...CONSTANTS$1.additionalOption };
        this.activeList = '';
        this.fileUploadTracker = {
            description: [],
            objective: [],
        };
        this.businessCycle = JSON.parse(localStorage.getItem('businessCycle') ?? '{}');
    }
    noWhitespaceValidator(control) {
        const isWhitespace = (control.value || '').trim().length === 0;
        const isValid = !isWhitespace;
        return isValid ? null : { whitespace: true };
    }
    blankArrayValidator(control) {
        const isBlank = control.value?.filter((ele) => ele)?.length === 0;
        const isValid = !isBlank;
        return isValid ? null : { blank: true };
    }
    currentUser() {
        const user = this.authService.tokenInfo();
        return {
            member_email: user?.email,
            member_id: user?.id,
            member_name: user?.name,
            user_role: 'LOGGED_IN',
            _id: '',
        };
    }
    //Sets the value of a form control
    setFormField(controlName, value, isFromForm) {
        let patch = {};
        patch[controlName] = value;
        this.programForm.patchValue(patch);
        this.controls[controlName]?.markAsTouched();
        if (isFromForm &&
            controlName === 'program_objective' &&
            !value.replace(/&nbsp;/g, ' ').trim())
            this.isObjectiveValid = false;
        else
            this.isObjectiveValid = true;
    }
    //Returns weather the form is valid or not
    get formValid() {
        if (this.programForm.valid &&
            this.editorData?.programObjective?.replace(/&nbsp;/g, ' ')?.trim()?.length) {
            return true;
        }
        else {
            return false;
        }
    }
    ngOnInit() {
        this.setFormField('program_type', this.programType);
        if (this.mode === 'EDIT') {
            this.getProgramDetails();
        }
        else {
            this.fetchOrganizationUsers();
            this.fetchOrganizationGroup();
        }
        this.fetchRoles();
        this.fetchRC();
        if (this.addToProgramDetails?._id) {
            this.listAction(this.addToProgramDetails, 'FRAMEWORK');
        }
        this.enablefeature();
        this.changeRef.detectChanges();
    }
    get valid() {
        return this.programForm.valid;
    }
    /**
     * #### Description
     * Populates optional fields status for the optional fields
     */
    populateOptionalFields() {
        const activatedOptions = [];
        for (const key of Object.keys(this.additionalOption)) {
            if (this.additionalOption[key] === true) {
                activatedOptions.push(key);
            }
        }
        this.populateOption.emit(activatedOptions);
    }
    addMoreInfo(event) {
        this.additionalOption[event.code] = event.checked;
        this.scrollToBottom = true;
        this.checkProgramOptionField();
    }
    // function to automate form value change handng
    formChangeListner() {
        const fields = Object.keys(this.controls);
        fields.forEach((ele) => {
            this.controls[ele]?.valueChanges.pipe(distinctUntilChanged()).subscribe({
                next: (res) => {
                    this.handleFormFieldChange(ele, res);
                },
            });
        });
    }
    handleFormFieldChange(control, payload) {
        switch (control) {
            case 'program_roles': {
                this.fetchUsersAssociatedWithRoles();
            }
        }
    }
    activateList(evt) {
        if (evt === 'FRAMEWORK' && !this.canFrameworkChange)
            return;
        this.activeList = evt;
        this.pickerChanged.emit(true);
    }
    listAction(evt, type) {
        switch (type) {
            case 'ROLE': {
                this.showConfirmation = true;
                const systemRoles = evt?.filter((ele) => ele?.roleName?.toLowerCase() === 'key admin' ||
                    ele?.roleName?.toLowerCase() === 'admin');
                const patchVal = this.uniqueByProp([...systemRoles, ...evt], '_id');
                if (!isEqual(this.controls.program_roles.value.sort(), patchVal.sort())) {
                    this.setFormField('program_roles', patchVal);
                    this.fetchUsersAssociatedWithRoles();
                    this.fetchGroupsAssociatedWithRoles();
                }
                this.fieldDeselector(type);
                break;
            }
            case 'OWNER': {
                this.setFormField('program_owners', this.uniqueByProp(evt?.users, 'member_id'));
                this.setFormField('program_owners_group', this.uniqueByProp(evt?.groups, 'group_id'));
                this.fieldDeselector(type);
                this.refreshList();
                break;
            }
            case 'COLLABORATOR': {
                this.setFormField('program_collaborator', this.uniqueByProp(evt?.users, 'member_id'));
                this.fieldDeselector(type);
                break;
            }
            case 'FRAMEWORK': {
                this.setFormField('framework', evt);
                this.setFormField('program_name', evt?.name);
                this.setFormField('program_description', evt?.description);
                this.editorData.programDescription = evt?.description;
                this.fieldDeselector(type);
                break;
            }
        }
    }
    remove(evt, type) {
        switch (type) {
            case 'ROLE': {
                let msg = '';
                msg = 'If you change the roles, any unsaved changes would be lost.';
                const roles = this.controls?.program_roles?.value?.filter((ele) => ele?._id !== evt?._id);
                this.listAction(roles, 'ROLE');
                this.setFormField('program_roles', roles);
                break;
            }
            case 'OWNER': {
                const owners = this.controls?.program_owners?.value?.filter((ele) => ele?.member_id !== evt?.member_id);
                this.setFormField('program_owners', owners);
                break;
            }
            case 'OWNER_GROUP': {
                const owners_group = this.controls?.program_owners_group?.value?.filter((ele) => ele?.group_id !== evt?.group_id);
                this.setFormField('program_owners_group', owners_group);
                break;
            }
            case 'COLLABORATOR': {
                const collaborator = this.controls?.program_collaborator?.value?.filter((ele) => ele?.member_id !== evt?.member_id);
                this.setFormField('program_collaborator', collaborator);
                break;
            }
            case 'FRAMEWORK': {
                this.setFormField('framework', null);
                break;
            }
        }
    }
    returnIds(list, key) {
        return list
            ?.map((ele) => {
            if (ele[key]) {
                return ele[key];
            }
        })
            .filter((ele) => ele);
    }
    refreshList() {
        let selectedOwner = this.controls?.program_owners?.value?.map((ele) => ele.member_id);
        this.disableCollaboratorIds = this.lists?.COLLABORATORS?.data?.filter((user) => selectedOwner?.includes(user?.member_id)).map((ele) => ele?.member_id);
        const selectedCollaborator = this.controls?.program_collaborator?.value?.filter((ele) => !selectedOwner.includes(ele.member_id));
        this.listAction({ users: selectedCollaborator }, 'COLLABORATOR');
    }
    removeRole(evt) {
        this.onRemovingRole.emit(evt);
    }
    //below 4 functions can be easilty combined into one as they follow same kind of pattern or can be offloaded to a external service
    setDefaultAssignee(evt) {
        if (evt?.users?.length || evt?.groups?.length) {
            this.lists.DEFAULT_ASSIGNEES = this.uniqueByProp(evt?.users, 'member_id');
            this.lists.DEFAULT_ASSIGNEES_GROUP = this.uniqueByProp(evt?.groups, 'group_id');
        }
        else {
            this.lists.DEFAULT_ASSIGNEES = this.lists.ALL_USER;
            this.lists.DEFAULT_ASSIGNEES_GROUP = this.lists.ALL_GROUP;
        }
        const assigneeMap = evt?.users?.map((ele) => ele?.member_id);
        let currentDefaultAssignee = this.controls.program_default_assignee?.value;
        currentDefaultAssignee = currentDefaultAssignee.filter((ele) => assigneeMap.includes(ele?.member_id));
        this.setFormField('program_default_assignee', currentDefaultAssignee);
    }
    setDefaultAssigneeOnRemove(evt, type) {
        switch (type) {
            case 'ASSIGNEE': {
                this.lists.DEFAULT_ASSIGNEES = this.lists.DEFAULT_ASSIGNEES.filter((ele) => ele?.member_id !== evt?.member_id);
                const defaultAssignee = this.controls.program_default_assignee?.value;
                const assignee = defaultAssignee.filter((ele) => ele?.member_id !== evt?.member_id);
                if (!assignee?.length) {
                    this.lists.DEFAULT_ASSIGNEES = this.lists.ALL_USER;
                }
                this.setFormField('program_default_assignee', assignee);
                break;
            }
            case 'ASSIGNEE_GROUP': {
                this.lists.DEFAULT_ASSIGNEES_GROUP =
                    this.lists.DEFAULT_ASSIGNEES_GROUP.filter((ele) => ele?.group_id !== evt?.group_id);
                const defaultAssigneeGroup = this.controls.program_default_assignee_group?.value;
                const assigneeGroup = defaultAssigneeGroup.filter((ele) => ele?.group_id !== evt?.group_id);
                if (!assigneeGroup?.length) {
                    this.lists.DEFAULT_ASSIGNEES_GROUP = this.lists.ALL_GROUP;
                }
                this.setFormField('program_default_assignee_group', assigneeGroup);
            }
        }
    }
    setDefaultReviewer(evt) {
        if (evt?.users?.length || evt?.groups?.length) {
            this.lists.DEFAULT_REVIEWERS = this.uniqueByProp(evt?.users, 'member_id');
            this.lists.DEFAULT_REVIEWERS_GROUP = this.uniqueByProp(evt?.groups, 'group_id');
        }
        else {
            this.lists.DEFAULT_REVIEWERS = this.lists.ALL_USER;
            this.lists.DEFAULT_REVIEWERS_GROUP = this.lists.ALL_GROUP;
        }
        const reviewerMap = evt?.users?.map((ele) => ele?.member_id);
        let currentDefaultReviewer = this.controls.program_default_reviewer?.value;
        currentDefaultReviewer = currentDefaultReviewer.filter((ele) => reviewerMap.includes(ele?.member_id));
        this.setFormField('program_default_reviewer', currentDefaultReviewer);
    }
    setDefaultOverseer(evt) {
        if (evt?.users?.length || evt?.groups?.length) {
            this.lists.DEFAULT_OVERSEERS = this.uniqueByProp(evt?.users, 'member_id');
            this.lists.DEFAULT_OVERSEERS_GROUP = this.uniqueByProp(evt?.groups, 'group_id');
        }
        else {
            this.lists.DEFAULT_OVERSEERS = this.lists.ALL_USER;
            this.lists.DEFAULT_OVERSEERS_GROUP = this.lists.ALL_GROUP;
        }
        const overseerMap = evt?.users?.map((ele) => ele?.member_id);
        let currentDefaultReviewer = this.controls.program_default_overseer?.value;
        let currentDefaultFailReviewer = this.controls.program_default_failed_overseer?.value;
        currentDefaultReviewer = currentDefaultReviewer.filter((ele) => overseerMap.includes(ele?.member_id));
        currentDefaultFailReviewer = currentDefaultReviewer.filter((ele) => overseerMap.includes(ele?.member_id));
        this.setFormField('program_default_overseer', currentDefaultReviewer);
        this.setFormField('program_default_failed_overseer', currentDefaultFailReviewer);
    }
    setDefaultReviewerOnRemove(evt, type) {
        switch (type) {
            case 'REVIEWER': {
                this.lists.DEFAULT_REVIEWERS = this.lists.DEFAULT_REVIEWERS.filter((ele) => ele?.member_id !== evt?.member_id);
                const defaultReviewer = this.controls.program_default_reviewer?.value;
                const reviewer = defaultReviewer.filter((ele) => ele?.member_id !== evt?.member_id);
                this.setFormField('program_default_reviewer', reviewer);
                break;
            }
            case 'REVIEWER_GROUP': {
                this.lists.DEFAULT_REVIEWERS_GROUP =
                    this.lists.DEFAULT_REVIEWERS_GROUP.filter((ele) => ele?.group_id !== evt?.group_id);
                const defaultReviewerGroup = this.controls.program_default_reviewer_group?.value;
                const reviewerGroup = defaultReviewerGroup.filter((ele) => ele?.group_id !== evt?.group_id);
                this.setFormField('program_default_reviewer_group', reviewerGroup);
            }
        }
    }
    setDefaultOverseerOnRemove(evt, type) {
        switch (type) {
            case 'OVERSEER': {
                this.lists.DEFAULT_OVERSEERS = this.lists.DEFAULT_OVERSEERS.filter((ele) => ele?.member_id !== evt?.member_id);
                const defaultOverseer = this.controls.program_default_overseer?.value;
                const overseer = defaultOverseer.filter((ele) => ele?.member_id !== evt?.member_id);
                this.setFormField('program_default_overseer', overseer);
                const defaultFailOverseer = this.controls.program_default_failed_overseer?.value;
                const overseerFail = defaultFailOverseer.filter((ele) => ele?.member_id !== evt?.member_id);
                this.setFormField('program_default_failed_overseer', overseerFail);
                break;
            }
            case 'OVERSEER_GROUP': {
                this.lists.DEFAULT_OVERSEERS_GROUP =
                    this.lists.DEFAULT_OVERSEERS_GROUP.filter((ele) => ele?.group_id !== evt?.group_id);
                const defaultOverseerGroup = this.controls.program_default_overseer_group?.value;
                const overseerGroup = defaultOverseerGroup.filter((ele) => ele?.group_id !== evt?.group_id);
                this.setFormField('program_default_overseer_group', overseerGroup);
                const defaultOverseerFailedGroup = this.controls.program_default_failed_overseer_group?.value;
                const overseerFailedGroup = defaultOverseerFailedGroup.filter((ele) => ele?.group_id !== evt?.group_id);
                this.setFormField('program_default_failed_overseer_group', overseerFailedGroup);
            }
        }
    }
    fieldDeselector(type) {
        this.activeList = '';
        this.pickerChanged.emit(false);
        this.markasTouchedSelector(type);
    }
    markasTouchedSelector(fieldName) {
        const typeField = {
            ROLE: 'program_roles',
            APPROVER: 'program_approver',
            OWNER: 'program_owners',
            OWNER_GROUP: 'program_owners_group',
        };
        this.controls[typeField[fieldName]]?.markAsTouched();
    }
    fetchRoles() {
        this.programService.getRoles().subscribe({
            next: (res) => {
                this.lists.ROLES = res;
                const defaultSystemVal = this.lists?.ROLES?.data
                    ?.filter((ele) => ele?.roleName?.toLowerCase() === 'key admin' ||
                    ele?.roleName?.toLowerCase() === 'admin')
                    ?.map((ele) => ele?._id);
                const defaultVal = this.lists?.ROLES?.data?.filter((ele) => ele?.roleName?.toLowerCase() === 'key admin' ||
                    ele?.roleName?.toLowerCase() === 'admin');
                this.manageProgramsRoleId = this.getManageProgramsRoleId();
                this.lists.SYSTEM_ROLE_IDS = defaultSystemVal;
                if (this.mode !== 'EDIT') {
                    this.setFormField('program_roles', defaultVal);
                    this.fetchUsersAssociatedWithRoles();
                    this.fetchGroupsAssociatedWithRoles();
                }
                this.fetchUserWithManageProgramsRole();
            },
            error: (err) => { },
        });
    }
    // Get Manage Programs roles Id:
    getManageProgramsRoleId() {
        return this.lists?.ROLES?.data?.filter((ele) => !['key admin', 'admin'].includes(ele?.roleName?.toLowerCase())).map((ele) => ele?._id) ?? [];
    }
    //fetch the list of responsibilities center
    fetchRC() {
        this.programService.getResponsibilityCenterList().subscribe({
            next: (res) => {
                this.lists.RC = res;
            },
            error: (err) => { },
        });
    }
    fetchUsersAssociatedWithRoles(calledFrom) {
        const loggedInUser = this.currentUser();
        const roleIds = this.controls.program_roles?.value?.map((ele) => ele?._id);
        // if (fetchAll) {
        this.programService.fetchAllRoleUsers(roleIds).subscribe({
            next: (res) => {
                const isUserFind = res?.data?.some((res) => res?.member_id === loggedInUser?.member_id);
                if (!isUserFind) {
                    res?.data?.push(loggedInUser);
                    res.total_items = res?.total_items + 1;
                }
                this.lists.OWNERS = res;
                if (!res?.data
                    ?.map((ele) => ele?.member_id)
                    ?.includes(this.controls.program_approver?.value[0]?.member_id)) {
                    this.setFormField('program_approver', []);
                }
                if (this.controls?.all_user_in_role?.value) {
                    this.setFormField('program_owners', res?.data);
                }
                else {
                    this.setDefaultOwners(res?.data, calledFrom);
                }
            },
            error: (err) => { },
        });
    }
    fetchUserWithManageProgramsRole() {
        if (this.lists.COLLABORATORS.length) {
            return;
        }
        this.programService.fetchAllRoleUsers(this.manageProgramsRoleId).subscribe({
            next: (res) => {
                res.data = res?.data?.filter((ele) => ele?.user_role === 'MANAGER');
                this.lists.COLLABORATORS = res;
            },
        });
    }
    fetchGroupsAssociatedWithRoles() {
        const roleIds = this.controls.program_roles?.value?.map((ele) => ele?._id);
        this.programService.fetchAllRoleGroups(roleIds).subscribe({
            next: (res) => {
                this.lists.OWNERS_GROUPS = res;
                const roleIds = this.controls.program_roles?.value.map((ele) => ele._id);
                const groupDetails = this.controls.program_owners_group?.value.filter((roleId) => {
                    if (roleId.roles.length) {
                        let isSameRole = false;
                        roleId.roles.forEach((role) => {
                            if (roleIds.includes(role.roleId)) {
                                isSameRole = true;
                            }
                        });
                        if (isSameRole) {
                            return roleId;
                        }
                    }
                });
                this.setFormField('program_owners_group', groupDetails);
            },
        });
    }
    setDefaultOwners(userList, calledFrom) {
        const loggedInuser = this.currentUser();
        const defaultOwner = userList.filter((ele) => ['ADMIN', 'KEY_ADMIN'].includes(ele?.user_role) &&
            ele?.member_id != loggedInuser?.member_id);
        this.lists.NON_REMOVABLE_OWNERS = this.uniqueByProp([...[loggedInuser], ...defaultOwner], 'member_id');
        // this.setFormField('program_owners', this.lists.NON_REMOVABLE_OWNERS);
        const preSelectedUsers = this.getPreSelectedOwners(this.controls?.program_owners?.value, userList);
        if (calledFrom !== 'getProgramDetails') {
            this.setFormField('program_owners', preSelectedUsers?.length
                ? preSelectedUsers
                : this.lists.NON_REMOVABLE_OWNERS);
        }
    }
    getPreSelectedOwners(previousSelectedUsers, currentUsers) {
        let finalUsers = [];
        finalUsers = previousSelectedUsers?.filter((previous) => currentUsers?.some((current) => previous?.member_id === current?.member_id));
        return finalUsers;
    }
    fetchOrganizationUsers(data) {
        this.listLoadingState.USERS = true;
        this.programService.fetchAllOrgUser().subscribe({
            next: (res) => {
                this.lists.ALL_USER = res;
                this.lists.ASSIGNEES = res;
                this.lists.REVIEWERS = res;
                this.lists.OVERSEERS = res;
                if (this.mode !== 'EDIT') {
                    this.lists.DEFAULT_ASSIGNEES = res;
                    this.lists.DEFAULT_REVIEWERS = res;
                    this.lists.DEFAULT_OVERSEERS = res;
                }
                else if (this.mode === 'EDIT') {
                    if (!this.controls.program_assignee?.value?.length) {
                        this.lists.DEFAULT_ASSIGNEES = res;
                    }
                    if (!this.controls.program_reviewer?.value?.length) {
                        this.lists.DEFAULT_REVIEWERS = res;
                    }
                    if (!this.controls.program_overseer?.value?.length) {
                        this.lists.DEFAULT_OVERSEERS = res;
                    }
                }
                this.listLoadingState.USERS = false;
                this.refreshList();
            },
            error: () => {
                this.listLoadingState.USERS = false;
            },
        });
    }
    fetchOrganizationGroup(data) {
        this.programService.fetchComplianceGroups().subscribe({
            next: (res) => {
                this.lists.ALL_GROUP = res;
                this.lists.ASSIGNEES_GROUP = res;
                this.lists.REVIEWERS_GROUP = res;
                this.lists.OVERSEERS_GROUP = res;
                if (this.mode !== 'EDIT') {
                    this.lists.DEFAULT_ASSIGNEES_GROUP = res;
                    this.lists.DEFAULT_REVIEWERS_GROUP = res;
                    this.lists.DEFAULT_OVERSEERS_GROUP = res;
                }
            },
            error: (err) => { },
        });
    }
    selectFile(type, files) {
        for (let i = 0; i <= files.length - 1; i++) {
            const name = files[i].file.name ?? '';
            this.uploadFiles(type, files[i].file);
        }
    }
    uploadFiles(type, file) {
        const formData = new FormData();
        formData.append('file', file);
        const destinationString = this.authService.getOrganizationId().toString();
        const dummyFile = {
            file_url_path: `${file?.name}`,
            name: `${file?.name}`,
            uploading: true,
            org_file: `${file?.name}`,
        };
        if (type === 'DESCRIPTION') {
            let description = this.controls?.description_attachment?.value ?? [];
            this.setFormField('program_description_attachments', [
                ...description,
                ...[dummyFile],
            ]);
            this.programService.uploadFiles(formData, destinationString).subscribe({
                next: (res) => {
                    description = this.controls?.description_attachment?.value ?? [];
                    let descriptionIndex = description.findIndex((ele) => ele?.org_file === res?.org_file);
                    description[descriptionIndex] = res;
                    this.setFormField('program_description_attachments', this.uniqueByProp(description, 'org_file'));
                },
                error: (err) => {
                    description = this.controls?.description_attachment?.value ?? [];
                    description = description.filter((ele) => ele?.org_file !== file?.name);
                    this.setFormField('program_description_attachments', this.uniqueByProp(description, 'org_file'));
                },
            });
        }
        else if (type === 'OBJECTIVE') {
            let description = this.controls?.description_attachment?.value ?? [];
            this.setFormField('program_description_attachments', [
                ...description,
                ...[dummyFile],
            ]);
            this.programService.uploadFiles(formData, destinationString).subscribe({
                next: (res) => {
                    description = this.controls?.description_attachment?.value ?? [];
                    let descriptionIndex = description.findIndex((ele) => ele?.org_file === res?.org_file);
                    description[descriptionIndex] = res;
                    this.setFormField('program_description_attachments', this.uniqueByProp(description, 'org_file'));
                },
                error: (err) => {
                    description = this.controls?.description_attachment?.value ?? [];
                    description = description.filter((ele) => ele?.org_file !== file?.name);
                    this.setFormField('program_description_attachments', this.uniqueByProp(description, 'org_file'));
                },
            });
        }
    }
    deleteAttachment(type, file) {
        if (type === 'DESCRIPTION') {
            let description = this.controls?.description_attachment?.value ?? [];
            if (description) {
                description = description.filter((ele) => ele?.org_file !== file?.org_file);
                this.setFormField('program_description_attachments', description);
            }
        }
        else if (type === 'OBJECTIVE') {
            let objective = this.controls?.objective_attachments?.value ?? [];
            if (objective) {
                objective = objective.filter((ele) => ele?.org_file !== file?.org_file);
                this.setFormField('program_description_attachments', objective);
            }
        }
    }
    selectAllRoleOwner(evt) {
        //need to fetch all the users for all the selected roles
        const loggedInUser = this.currentUser();
        let roleId = [];
        let user;
        if (evt?.target?.checked) {
            roleId = this.controls.program_roles?.value?.map((ele) => ele?._id);
            if (this.featureflagGroups) {
                user = this.controls.program_roles?.value?.map((ele) => ele?._id);
                this.controls.program_owners_group.value = user;
            }
        }
        else {
            roleId = this.controls.program_roles?.value?.map((ele) => {
                if (['key admin', 'admin'].includes(ele.roleName.toLowerCase())) {
                    return ele?._id;
                }
            });
        }
        this.programService.fetchAllRoleUsers(roleId).subscribe({
            next: (res) => {
                const user = this.uniqueByProp([...[loggedInUser], ...res?.data], 'member_id');
                this.setFormField('program_owners', user);
            },
            error: (err) => { },
        });
        this.programService.fetchAllRoleGroups(user).subscribe({
            next: (res) => {
                const user = this.uniqueByProp([...res?.data], 'group_id');
                this.setFormField('program_owners_group', user);
            },
        });
    }
    /**
     * #### Description
     *
     * Returns the unique array of object based on unique key
     * @param array
     * @param key
     * @returns
     */
    uniqueByProp(array, key) {
        return Array.from(array
            .reduce((acc, item) => (item && item[key] && acc.set(item[key], item), acc), new Map())
            .values());
    }
    setList(list, ids, key) {
        const data = [];
        ids.forEach((element) => {
            const index = list.findIndex((listElement) => listElement[key] == element);
            if (index !== -1) {
                data.push(list[index]);
            }
        });
        return data;
    }
    saveProgram() {
        this.loader = true;
        let payload = this.programService.buildPayload(this.programForm, this);
        if (payload && this.mode === 'CREATE') {
            this.programService.saveProgram(payload).subscribe({
                next: (res) => {
                    this.loader = false;
                    this.showSmiley = true;
                    this.uiKitService.isSmileyOn = true;
                    this.createdProgramId = res._id;
                },
                error: (err) => {
                    this.loader = false;
                    this.uiKitService.isSmileyOn = false;
                    if (err?.error?.message?.includes('Category already exist')) {
                        this.isNameExists = true;
                    }
                },
            });
        }
        if (payload && this.mode === 'EDIT') {
            this.programService.updateProgram(payload, this.programId).subscribe({
                next: (res) => {
                    this.loader = false;
                    this.showSmiley = true;
                    this.uiKitService.isSmileyOn = true;
                    this.createdProgramId = res._id;
                },
                error: (err) => {
                    this.loader = false;
                    this.uiKitService.isSmileyOn = false;
                    if (err?.error?.message?.includes('Category already exist')) {
                        this.isNameExists = true;
                    }
                },
            });
        }
    }
    action(event) {
        switch (event) {
            case 'addMore':
                this.resetForm();
                this.populateOptionalFields();
                break;
            case 'viewProgram':
                this.viewPrograms();
                break;
        }
    }
    viewPrograms() {
        this.disconnectRefresh.emit(false);
        let url;
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host;
        }
        else {
            url = 'https://' + window.location.host;
        }
        if (window.location.host.startsWith('localhost')) {
            url += '/program-workroom?id=' + this.createdProgramId;
        }
        else {
            url += '/program/program-workroom?id=' + this.createdProgramId;
        }
        this.iframeService.redirectIfInIframe(url, true);
    }
    resetForm() {
        this.uiKitService.isSmileyOn = false;
        this.scrollToBottom = false;
        this.showSmiley = false;
        this.loader = true;
        this.disableCollaboratorIds = [];
        const DEFAULT_VALUES = {
            program_type: 1,
            program_name: '',
            program_description: '',
            program_description_attachments: [],
            program_objective: '',
            program_objective_attachments: [],
            program_roles: [],
            all_user_in_role: false,
            program_owners: [],
            program_owners_group: [],
            program_approver: [],
            performance_calculation: 'PAST_EVENT',
            recurring_frequency: false,
            lock_scope_change: false,
            framework: [],
            rc: [],
            program_assignee: [],
            program_assignee_group: [],
            program_default_assignee: [],
            program_default_assignee_group: [],
            assignee_completion_criteria: 'ALL',
            program_reviewer: [],
            program_reviewer_group: [],
            program_default_reviewer: [],
            program_default_reviewer_group: [],
            reviewer_completion_criteria: 'SEQUENTIAL',
            program_overseer: [],
            program_overseer_group: [],
            program_default_overseer: [],
            program_default_overseer_group: [],
            program_default_failed_overseer: [],
            program_default_failed_overseer_group: [],
            program_assessments: [],
            evidence_required: false,
            allow_any_file_key_evidence: false,
            custom_fields: [],
            program_state: 0,
            program_collaborator: [],
        };
        this.resetAdditionalOption();
        this.programForm.reset();
        this.programForm.patchValue(DEFAULT_VALUES);
        this.editorData = {
            programObjective: '',
            programDescription: '',
        };
        this.loader = false;
        this.isNameExists = false;
        this.fetchRoles();
        this.refreshForm.emit(true);
        this.form.nativeElement.scrollIntoView({
            behavior: 'smooth',
            block: 'start',
        });
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.uiKitService.isSmileyOn = false;
        this.closeWorkflow.emit({ evt: '', confirm: false });
    }
    /**
     * Get program details when user is trying to edit program
     */
    getProgramDetails() {
        this.programService
            .getProgram(this.programId)
            .pipe(take(1))
            .subscribe((res) => {
            this.setFormField('program_name', res?.name);
            this.setFormField('program_type', res?.programType);
            this.setFormField('program_objective', res?.program_objective?.text);
            this.setFormField('all_user_in_role', res?.all_user_in_role);
            this.setFormField('program_description_attachments', res?.description?.attachments);
            this.setFormField('program_objective_attachments', res?.program_objective?.attachments);
            this.setFormField('performance_calculation', res?.calculate_past_upcoming_event);
            this.setFormField('recurring_frequency', res?.program_frequency);
            if (res?.program_frequency &&
                this.mode === 'EDIT' &&
                (this.orgDetails?.hasProgramFullPermission ||
                    !this.programSimplifyFlag)) {
                this.additionalOption.PROGRAM_FREQUENCY = true;
                this.populateOptionalFields();
            }
            this.setFormField('lock_scope_change', res?.lock_scope);
            if (res?.lock_scope &&
                (this.orgDetails?.hasProgramFullPermission ||
                    !this.programSimplifyFlag)) {
                this.additionalOption.SCOPE_CHANGES = true;
                this.populateOptionalFields();
            }
            this.setFormField('program_state', res?.state);
            const rc = res.rc_details.map((ele) => {
                return { ...ele, item_name: ele?.rc_name, item_id: ele?.rc_id };
            });
            this.setFormField('rc', rc);
            if (res?.rc_details &&
                res?.rc_details?.length &&
                (this.orgDetails?.hasProgramFullPermission ||
                    !this.programSimplifyFlag)) {
                this.additionalOption.RC = true;
                this.populateOptionalFields();
            }
            this.setFormField('evidence_required', res?.evidence_upload_flag);
            this.setFormField('allow_any_file_key_evidence', res?.is_key_evidence);
            if ((res?.evidence_upload_flag || res?.is_key_evidence) &&
                (this.orgDetails?.hasProgramFullPermission ||
                    !this.programSimplifyFlag)) {
                this.additionalOption.FORMATE_EVIDENCE = true;
                this.populateOptionalFields();
            }
            this.setFormField('assignee_completion_criteria', res.default_assignee_type);
            this.setFormField('reviewer_completion_criteria', res.default_reviewers_type);
            this.editorData.programDescription = res.description?.text;
            this.editorData.programObjective = res.program_objective?.text;
            this.setFormField('framework', {
                ...res.framework_details,
                ...{ _id: res?.framework_details?.framework_id },
            });
            const role = res?.roles?.map((ele) => {
                return {
                    _id: ele?.roleId,
                    roleName: ele?.roleName,
                    licenseType: ele?.licenseType,
                    permissionGroupName: ele?.permissionGroupName,
                };
            });
            this.setFormField('program_roles', role);
            if (res?.roles && res?.roles?.length && this.mode === 'EDIT') {
                this.additionalOption.ROLES = true;
            }
            if (res.assessmentData.length) {
                res.assessmentData = res.assessmentData.map((ele) => {
                    return {
                        ...ele,
                        assessmentIds: ele?.assessments.map((assess) => {
                            return { ...assess, id: assess?._id };
                        }),
                    };
                });
                this.setFormField('program_assessments', res.assessmentData);
                if (this.orgDetails?.hasProgramFullPermission ||
                    !this.programSimplifyFlag) {
                    this.additionalOption.ASSESSMENT = true;
                    this.populateOptionalFields();
                }
            }
            if (res.custom_fields.length) {
                this.setFormField('custom_fields', res.custom_fields);
                this.additionalOption.CUSTOM_FIELDS = true;
                this.populateOptionalFields();
            }
            this.isApproverDisabled = res?.isApproverDisabled ?? false;
            if (this.isApproverDisabled) {
                setTimeout(() => {
                    this.disableElementsFromMoreOptions.emit(['APPROVER']);
                }, 500);
            }
            this.populateMembers(res);
            this.populateGroups(res);
            this.fetchUsersAssociatedWithRoles('getProgramDetails');
            this.fetchGroupsAssociatedWithRoles();
            this.fetchOrganizationGroup();
            this.fetchOrganizationUsers();
        });
    }
    populateMembers(res) {
        this.loader = true;
        const collaborators = res?.collaborators ?? [];
        const owners = res?.owners ?? [];
        const ids = [
            ...new Set([
                ...owners,
                ...collaborators,
            ]),
        ];
        this.programService.getMemeberByIds(ids).subscribe({
            next: (response) => {
                this.loader = false;
                if (res.owners && res?.owners?.length) {
                    const ownersList = response.filter((ele) => owners.includes(ele?.member_id));
                    const collaboratorsList = response.filter((ele) => collaborators.includes(ele?.member_id));
                    this.setFormField('program_owners', ownersList);
                    this.setFormField('program_collaborator', collaboratorsList);
                    if (this.mode === 'EDIT') {
                        this.additionalOption.OWNERS = true;
                        if (collaborators.length) {
                            this.additionalOption.COLLABORATOR = true;
                        }
                        this.populateOptionalFields();
                        this.refreshList();
                    }
                }
            },
        });
        this.checkProgramOptionField();
    }
    populateGroups(res) {
        const ids = [
            ...new Set([
                ...(res?.owners_group ?? []),
                ...(res?.assignee_group_ids ?? []),
                ...(res?.default_assignee_group_ids ?? []),
                ...(res?.overseers?.cc_email_groups ?? []),
                ...(res?.reviewer_group_ids ?? []),
                ...(res?.default_reviewer_group_ids ?? []),
                ...(res?.default_overseers?.cc_email_groups ?? []),
                ...(res?.default_overseers?.failure_cc_email_groups ?? []),
            ]),
        ];
        this.programService.getMemberByGroups(ids).subscribe({
            next: (resp) => {
                const response = resp?.data;
                if (res.owners_group && res?.owners_group?.length) {
                    const owners = response.filter((ele) => res?.owners_group?.includes(ele?.group_id));
                    this.setFormField('program_owners_group', owners);
                }
                if (res.assignee_group_ids && res?.assignee_group_ids?.length) {
                    const assignee = response.filter((ele) => res?.assignee_group_ids?.includes(ele?.group_id));
                    this.setFormField('program_assignee_group', assignee);
                    this.lists.DEFAULT_ASSIGNEES_GROUP = assignee;
                    if (this.orgDetails?.hasProgramFullPermission ||
                        !this.programSimplifyFlag) {
                        this.additionalOption.ASSIGNEES = true;
                    }
                }
                if (res?.default_assignee_group_ids &&
                    res?.default_assignee_group_ids?.length) {
                    const assignee = response.filter((ele) => res?.default_assignee_group_ids?.includes(ele?.group_id));
                    this.setFormField('program_default_assignee_group', assignee);
                    if (this.orgDetails?.hasProgramFullPermission ||
                        !this.programSimplifyFlag) {
                        this.additionalOption.ASSIGNEES = true;
                    }
                }
                if (res?.reviewer_group_ids && res?.reviewer_group_ids?.length) {
                    const reviewer = response.filter((ele) => res?.reviewer_group_ids?.includes(ele?.group_id));
                    this.setFormField('program_reviewer_group', reviewer);
                    this.lists.DEFAULT_REVIEWERS_GROUP = reviewer;
                    if (this.orgDetails?.hasProgramFullPermission ||
                        !this.programSimplifyFlag) {
                        this.additionalOption.REVIEWER = true;
                    }
                }
                if (res?.default_reviewer_group_ids &&
                    res?.default_reviewer_group_ids?.length) {
                    const reviewer = response?.filter((ele) => res?.default_reviewer_group_ids?.includes(ele?.group_id));
                    this.setFormField('program_default_reviewer_group', reviewer);
                    this.controls.reviewer_completion_criteria.value =
                        this.controls?.program_default_reviewer_group?.value?.length > 0
                            ? 'ANYONE'
                            : this.controls?.reviewer_completion_criteria?.value;
                    if (this.orgDetails?.hasProgramFullPermission ||
                        !this.programSimplifyFlag) {
                        this.additionalOption.REVIEWER = true;
                    }
                }
                if (res?.overseers?.cc_email_groups &&
                    res?.overseers?.cc_email_groups?.length) {
                    const overseerGroup = response.filter((ele) => res?.overseers?.cc_email_groups?.includes(ele?.group_id));
                    this.setFormField('program_overseer_group', overseerGroup);
                    this.lists.DEFAULT_OVERSEERS_GROUP = overseerGroup;
                    if (this.orgDetails?.hasProgramFullPermission ||
                        !this.programSimplifyFlag) {
                        this.additionalOption.OVERSEER = true;
                    }
                }
                if (res?.default_overseers?.cc_email_groups &&
                    res?.default_overseers?.cc_email_groups?.length) {
                    const defaultOverseerGroup = response.filter((ele) => res?.default_overseers?.cc_email_groups?.includes(ele?.group_id));
                    this.setFormField('program_default_overseer_group', defaultOverseerGroup);
                    if (this.orgDetails?.hasProgramFullPermission ||
                        !this.programSimplifyFlag) {
                        this.additionalOption.OVERSEER = true;
                    }
                }
                if (res?.default_overseers?.failure_cc_email_groups &&
                    res?.default_overseers?.failure_cc_email_groups?.length) {
                    const defaultOverseerFailureGroup = response.filter((ele) => res?.default_overseers?.failure_cc_email_groups?.includes(ele?.group_id));
                    this.setFormField('program_default_failed_overseer_group', defaultOverseerFailureGroup);
                    if (this.orgDetails?.hasProgramFullPermission ||
                        !this.programSimplifyFlag) {
                        this.additionalOption.OVERSEER = true;
                    }
                }
            },
            // As of now groups has been removed from reviewer and overseeer if this group feature gets incoperated in
            //future need to add group condition here to prepopulate the data while editing.
        });
        this.checkProgramOptionField();
    }
    resetAdditionalOption() {
        this.additionalOption.ROLES = false;
        this.additionalOption.OWNERS = false;
        this.additionalOption.APPROVER = false;
        this.additionalOption.PROGRAM_FREQUENCY = false;
        this.additionalOption.SCOPE_CHANGES = false;
        this.additionalOption.RC = false;
        this.additionalOption.ASSIGNEES = false;
        this.additionalOption.REVIEWER = false;
        this.additionalOption.OVERSEER = false;
        this.additionalOption.ASSESSMENT = false;
        this.additionalOption.FORMATE_EVIDENCE = false;
        this.additionalOption.CUSTOM_FIELDS = false;
        this.additionalOption.COLLABORATOR = false;
    }
    checkProgramOptionField() {
        const code = [
            'PROGRAM_FREQUENCY',
            'SCOPE_CHANGES',
            'RC',
            'ASSIGNEES',
            'REVIEWER',
            'OVERSEER',
            'ASSESSMENT',
            'FORMATE_EVIDENCE',
            'CUSTOM_FIELDS',
        ];
        let isMoreOption = false;
        code.forEach((key) => {
            if (this.additionalOption[key]) {
                isMoreOption = true;
            }
        });
        this.isProgramScope = isMoreOption;
    }
    enablefeature() {
        this.featureflagrole = this.allowedFeature.isFeatureEnabled('ff_role_improvements');
        this.isAscentAllowed = this.allowedFeature.isFeatureEnabled('ff_compliance_framework');
        this.programSimplifyFlag = this.allowedFeature.isFeatureEnabled('ff_program_simplify');
        this.featureflagGroups =
            this.allowedFeature.isFeatureEnabled('ff_program_groups');
        this.toolTipData.owner = this.featureflagrole
            ? 'Owners are responsible for managing a Program. Only Owners can make changes to a Program and the responsibilities that are linked with the Program.<br>The <strong>Key Power User</strong> and all <b>Power Users</b> will be selected as the Owners of a Program by default.'
            : 'Owners are responsible for managing a Program. Only Owners can make changes to a Program and the responsibilities that are linked with the Program.<br>The <strong>Key Admin</strong> and all <b>Admin</b> users will be selected as the Owners of a Program by default.';
        this.ff_rc_listing = this.allowedFeature.isFeatureEnabled('ff_rc_listing');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowProgramComponent, deps: [{ token: i1$3.UntypedFormBuilder }, { token: ProgramsService }, { token: AuthService$1 }, { token: UiKitService }, { token: IframeService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowProgramComponent, selector: "app-workflow-program", inputs: { canFrameworkChange: "canFrameworkChange", mode: "mode", programId: "programId", programType: "programType", allowedFeature: "allowedFeature", addToProgramDetails: "addToProgramDetails", orgDetails: "orgDetails" }, outputs: { pickerChanged: "pickerChanged", populateOption: "populateOption", closeWorkflow: "closeWorkflow", showConfirmationAlert: "showConfirmationAlert", disconnectRefresh: "disconnectRefresh", refreshForm: "refreshForm", hideElementsFromMoreOptions: "hideElementsFromMoreOptions", onRemovingRole: "onRemovingRole", disableElementsFromMoreOptions: "disableElementsFromMoreOptions" }, viewQueries: [{ propertyName: "form", first: true, predicate: ["form"], descendants: true, read: ElementRef }, { propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }], ngImport: i0, template: "<div class=\"workflow-program\" #form>\n  <form novalidate [formGroup]=\"programForm\">\n    <!-- Program Category Type -->\n    <form-field\n      [checked]=\"controls?.program_type?.value > -1\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.issue_type\"\n    >\n      <label class=\"vx-control-panel\"\n        >PROGRAM TYPE <span class=\"required\">*</span></label\n      >\n      <tab-selector\n        formControlName=\"program_type\"\n        [displayArray]=\"constants?.categoryType\"\n      ></tab-selector>\n      <!-- <p *ngIf=\"program_name?.invalid\" class=\"error-message\">Add a program type</p> -->\n    </form-field>\n\n    <!-- Framework -->\n    <form-field\n      *ngIf=\"isAscentAllowed\"\n      [checked]=\"false\"\n      [active]=\"false\"\n      [disabled]=\"false\"\n      [img]=\"ASSETS.case_category\"\n    >\n      <label class=\"vx-control-panel\">FRAMEWORK</label>\n      <!-- [selectDiv]=\"true\" -->\n      <input-with-pill\n        [placeholder]=\"'Select a framework that this Program relates to'\"\n        (select)=\"activateList('FRAMEWORK')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.framework.value?.name\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"canFrameworkChange\"\n              (click)=\"remove('', 'FRAMEWORK')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"controls?.framework.value?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ controls?.framework.value?.name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i (click)=\"remove('', 'FRAMEWORK')\" *ngIf=\"canFrameworkChange\" class=\"icons\" >&#xe90d;</i> {{controls?.framework.value?.name}}</span>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"canFrameworkChange\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('FRAMEWORK')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n    </form-field>\n\n    <!-- Program Category Name -->\n    <form-field\n      [checked]=\"controls?.program_name?.value?.trim()?.length\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.what\"\n    >\n      <label class=\"vx-control-panel\"\n        >PROGRAM NAME <span class=\"required\">*</span></label\n      >\n      <input\n        InputTrim\n        formControlName=\"program_name\"\n        type=\"text\"\n        placeholder=\"What is the Program name?\"\n      />\n\n      <p\n        *ngIf=\"\n          controls?.program_name?.errors && controls?.program_name?.touched\n        \"\n        class=\"error-message\"\n      >\n        Enter a name for this Program.\n      </p>\n      <p *ngIf=\"isNameExists\" class=\"error-message\">\n        Program name already exists.\n      </p>\n      <div class=\"upload-files vx-d-flex vx-align-center vx-flex-wrap vx-mt-1\">\n        <file-pill\n          *ngFor=\"\n            let attachment of controls?.description_attachment?.value\n              | slice : 0 : 2\n          \"\n          [extension]=\"attachment?.org_file?.split('.').pop()\"\n          [name]=\"attachment?.org_file\"\n          [disabled]=\"attachment?.uploading\"\n          (delete)=\"deleteAttachment('DESCRIPTION', attachment)\"\n        >\n        </file-pill>\n        <button\n          *ngIf=\"controls?.description_attachment?.value?.length > 2\"\n          class=\"file-count\"\n          appPopover\n          (click)=\"uploadFile.popover()\"\n          placement=\"right\"\n        >\n          +{{ controls?.description_attachment?.value?.length - 2 }}\n        </button>\n        <app-popover #uploadFile [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                class=\"vx-p-2\"\n                *ngFor=\"\n                  let attachment of controls?.description_attachment?.value\n                    | slice : 2\n                \"\n              >\n                <file-pill\n                  [extension]=\"attachment?.org_file?.split('.').pop()\"\n                  [name]=\"attachment?.org_file\"\n                  [disabled]=\"attachment?.uploading\"\n                  (delete)=\"deleteAttachment('DESCRIPTION', attachment)\"\n                ></file-pill>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n      <vcomply-editor\n        [(ngModel)]=\"editorData.programDescription\"\n        [ngModelOptions]=\"{ standalone: true }\"\n        (sendSavedFiles)=\"selectFile('DESCRIPTION', $event)\"\n        (ngModelChange)=\"setFormField('program_description', $event)\"\n        [editorConfig]=\"constants?.description\"\n      >\n      </vcomply-editor>\n    </form-field>\n\n    <!-- Objective -->\n    <form-field\n      [checked]=\"controls?.program_objective?.value?.trim()?.length\"\n      [active]=\"activeList === 'OBJECTIVE'\"\n      [disabled]=\"\n        sideElements.includes(activeList) && activeList !== 'OBJECTIVE'\n      \"\n      [img]=\"ASSETS.objectives\"\n    >\n      <label class=\"vx-control-panel\"\n        >OBJECTIVE\n        <!-- <span class=\"required\">*</span> -->\n      </label>\n      <vcomply-editor\n        [(ngModel)]=\"editorData.programObjective\"\n        [ngModelOptions]=\"{ standalone: true }\"\n        (sendSavedFiles)=\"selectFile('OBJECTIVE', $event)\"\n        (ngModelChange)=\"setFormField('program_objective', $event, true)\"\n        [editorConfig]=\"constants?.objective\"\n      >\n      </vcomply-editor>\n      <!-- <p *ngIf=\"!isObjectiveValid\" class=\"error-message\">Specify the objective for this Program.</p> -->\n    </form-field>\n\n    <!-- Roles -->\n    <form-field\n      *ngIf=\"additionalOption?.ROLES\"\n      [checked]=\"controls?.program_roles?.value?.length\"\n      [active]=\"activeList === 'ROLE'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'ROLE'\"\n      [img]=\"ASSETS.roles\"\n    >\n      <label class=\"vx-control-panel\" id=\"permissiongroup\"\n        >{{ ff_rc_listing ? \"PERMISSIONS\" : \"PERMISSION GROUP(S)\" }}\n        <span class=\"required\">*</span\n        ><i\n          class=\"icons\"\n          [appTooltip]=\"\n            ff_rc_listing\n              ? 'Permissions let you specify the users that can be \u201COwners\u201D' +\n                (allowedFeature.isFeatureEnabled('ff_program_simplify')\n                  ? ' '\n                  : ' and \u201CApprovers\u201D') +\n                'of a Program.'\n              : 'Permission group(s) let you specify the users that can be \u201COwners\u201D' +\n                (allowedFeature.isFeatureEnabled('ff_program_simplify')\n                  ? ' '\n                  : ' and \u201CApprovers\u201D') +\n                'of a Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"RoleHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        id=\"placeholdername\"\n        [placeholder]=\"\n          ff_rc_listing\n            ? 'Which user permissions have access to this program?'\n            : 'Which user permission groups have access to this program?'\n        \"\n        (select)=\"activateList('ROLE')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.program_roles?.value?.length\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"\n                !lists.SYSTEM_ROLE_IDS.includes(\n                  controls?.program_roles?.value[0]?._id\n                )\n              \"\n              (click)=\"remove(controls?.program_roles?.value[0], 'ROLE')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                featureflagrole &&\n                controls?.program_roles?.value[0]?.permissionGroupName\n                  ? controls?.program_roles?.value[0]?.permissionGroupName\n                  : controls?.program_roles?.value[0]?.roleName\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                featureflagrole &&\n                controls?.program_roles?.value[0]?.permissionGroupName\n                  ? controls?.program_roles?.value[0]?.permissionGroupName\n                  : controls?.program_roles?.value[0]?.roleName\n              }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"role.popover()\"\n              placement=\"right\"\n              *ngIf=\"controls?.program_roles?.value?.length > 1\"\n            >\n              +{{ controls?.program_roles?.value?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i *ngIf=\"!lists.SYSTEM_ROLE_IDS.includes(controls?.program_roles?.value[0]?._id)\" (click)=\"remove(controls?.program_roles?.value[0],'ROLE')\" class=\"icons\">&#xe90d;</i>{{featureflagrole && controls?.program_roles?.value[0]?.permissionGroupName ? controls?.program_roles?.value[0]?.permissionGroupName : controls?.program_roles?.value[0]?.roleName}}</span>\n                            <button *ngIf=\"controls?.program_roles?.value?.length > 1\" class=\"count\" appPopover (click)=\"role.popover()\" placement=\"right\">+{{controls?.program_roles?.value?.length - 1}}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'ROLE'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('ROLE')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <p *ngIf=\"false\" class=\"error-message\">\n        {{ featureflagrole ? \"Add a permission group(s)\" : \"Add a role(s)\" }}\n      </p>\n      <app-popover #role [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let data of controls?.program_roles?.value | slice : 1\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"!lists.SYSTEM_ROLE_IDS.includes(data?._id)\"\n                    class=\"icons\"\n                    (click)=\"removeRole(data, 'ROLE')\"\n                    >&#xe90d;</i\n                  >\n                  {{\n                    featureflagrole && data?.permissionGroupName\n                      ? data?.permissionGroupName\n                      : data?.roleName\n                  }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Owners -->\n    <form-field\n      *ngIf=\"additionalOption?.OWNERS\"\n      [checked]=\"\n        controls?.program_owners.value?.length > 0 ||\n        controls?.program_owners_group.value?.length > 0\n      \"\n      [active]=\"activeList === 'OWNER'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'OWNER'\"\n      [img]=\"ASSETS.case_owners\"\n    >\n      <label class=\"vx-control-panel\"\n        >OWNER(S)\n        <span\n          class=\"icon\"\n          *ngIf=\"toolTipData.owner !== ''\"\n          libPopoverHover\n          (mouseover)=\"dataTooltip.popover()\"\n          (mouseleave)=\"dataTooltip.closePopover()\"\n          placement=\"right\"\n          ><i class=\"icons\">&#xe91f;</i></span\n        >\n        <popover-hover #dataTooltip>\n          <div class=\"vx-info-card\">\n            <div\n              class=\"vx-info-card-body\"\n              [innerHTML]=\"toolTipData.owner\"\n              id=\"OwnerHelpText\"\n            ></div>\n          </div>\n        </popover-hover>\n      </label>\n      <input-with-pill\n        [placeholder]=\"'Who is responsible for managing this program?'\"\n        (select)=\"activateList('OWNER')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.program_owners.value[0]\">\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_owners?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_owners?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"owner.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_owners?.value?.length > 1\"\n              >\n                +{{ controls?.program_owners?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_owners_group?.value?.length &&\n                controls?.program_owners?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_owners_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"\n                  !['ADMIN', 'KEY_ADMIN', 'LOGGED_IN'].includes(\n                    owner?.user_role\n                  )\n                \"\n                (click)=\"\n                  remove(\n                    controls?.program_owners_group?.value[0],\n                    'OWNER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_owners_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_owners_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_owners_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_owners_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <button\n            *ngIf=\"activeList !== 'OWNER'\"\n            [class.disabled]=\"controls?.all_user_in_role?.value\"\n            (click)=\"activateList('OWNER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <p *ngIf=\"false\" class=\"error-message\">Add a owner(s)</p>\n      <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n        <div\n          class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-2\"\n        >\n          {{\n            featureflagrole\n              ? \"ALL USERS ASSOCIATED WITH THE SELECTED PERMISSION GROUPS\"\n              : \"ALL USERS ASSOCIATED WITH THE SELECTED ROLES\"\n          }}\n        </div>\n        <switch\n          formControlName=\"all_user_in_role\"\n          (change)=\"selectAllRoleOwner($event)\"\n        ></switch>\n      </div>\n      <app-popover #owner [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"let owner of controls?.program_owners?.value | slice : 1\"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"\n                      !(\n                        lists.NON_REMOVABLE_OWNERS | listToId : 'member_id'\n                      ).includes(owner?.member_id)\n                    \"\n                    class=\"icons\"\n                    (click)=\"remove(owner, 'OWNER')\"\n                    >&#xe90d;</i\n                  >\n                  {{ owner?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #group [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let owner of controls?.program_owners_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"\n                      !['ADMIN', 'KEY_ADMIN', 'LOGGED_IN'].includes(\n                        owner?.user_role\n                      )\n                    \"\n                    class=\"icons\"\n                    (click)=\"remove(owner, 'OWNER_GROUP')\"\n                    >&#xe90d;</i\n                  >\n                  {{ owner?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Collaborator -->\n    <form-field\n      *ngIf=\"additionalOption?.COLLABORATOR\"\n      [checked]=\"\n        controls?.program_collaborator?.value?.length > 0\n      \"\n      [active]=\"activeList === 'COLLABORATOR'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'COLLABORATOR'\"\n      [img]=\"ASSETS.collaborator\"\n    >\n      <label class=\"vx-control-panel\"\n        >Collaborator(S)\n        <span\n          class=\"icon\"\n          libPopoverHover\n          (mouseover)=\"dataTooltip.popover()\"\n          (mouseleave)=\"dataTooltip.closePopover()\"\n          placement=\"right\"\n          ><i class=\"icons\">&#xe91f;</i></span\n        >\n        <popover-hover #dataTooltip>\n          <div class=\"vx-info-card\">\n            <div\n              class=\"vx-info-card-body\"\n              [innerHTML]=\"toolTipData.collaborator\"\n              id=\"CollaboratorHelpText\"\n            ></div>\n          </div>\n        </popover-hover>\n      </label>\n      <input-with-pill\n        [placeholder]=\"COLLABORATOR_PLACEHODLER\"\n        (select)=\"activateList('COLLABORATOR')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.program_collaborator?.value[0]\">\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_collaborator?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_collaborator?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"collaborator.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_collaborator?.value?.length > 1\"\n              >\n                +{{ controls?.program_collaborator?.value?.length - 1 }}\n              </button>\n            </div>\n            \n          </div>\n\n          <button\n            *ngIf=\"activeList !== 'COLLABORATOR'\"\n            [class.disabled]=\"controls?.all_user_in_role?.value\"\n            (click)=\"activateList('COLLABORATOR')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n        <div\n          class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-2\"\n        >\n        </div>\n      </div>\n      <app-popover #collaborator [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"let collaborator of controls?.program_collaborator?.value | slice : 1\"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    class=\"icons\"\n                    (click)=\"remove(collaborator, 'COLLABORATOR')\"\n                    >&#xe90d;</i\n                  >\n                  {{ collaborator?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Performance Calculated -->\n    <!-- <form-field [checked]=\"controls?.performance_calculation?.value\" [active]=\"activeList === 'PERFORMANCE'\" [disabled]=\"sideElements.includes(activeList) && activeList !== 'PERFORMANCE'\"\n            [img]=\"'https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/performance-calc.svg'\">\n            <label class=\"vx-control-panel\">HOW SHOULD THE PERFORMANCE OF THIS PROGRAM BE CALCULATED?</label>\n            <tab-selector formControlName=\"performance_calculation\" [displayArray]=\"constants?.performanceCalculation\">\n            </tab-selector>\n        </form-field> -->\n    <ng-container *ngIf=\"isProgramScope\">\n      <div\n        class=\"scope-label vx-fs-10 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mb-5 vx-lh-4 vx-d-inline-block\"\n      >\n        PROGRAM SCOPE\n      </div>\n      <!-- <i  class=\"icons info-icon vx-fs-12 vx-txt-blue vx-ml-1\" [appTooltip]=\"tooltip.programScope\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i> -->\n      <span\n        class=\"icon info-icon vx-fs-12 vx-txt-blue vx-ml-1\"\n        *ngIf=\"toolTipData.programScop !== ''\"\n        libPopoverHover\n        (mouseover)=\"dataTooltip.popover()\"\n        (mouseleave)=\"dataTooltip.closePopover()\"\n        placement=\"right\"\n        ><i class=\"icons\">&#xe91f;</i></span\n      >\n      <popover-hover #dataTooltip>\n        <div class=\"vx-info-card\">\n          <div\n            class=\"vx-info-card-body\"\n            [innerHTML]=\"toolTipData.programScope\"\n            id=\"PSHelpText\"\n          ></div>\n        </div>\n      </popover-hover>\n    </ng-container>\n\n    <!-- Program Frequency -->\n    <form-field\n      *ngIf=\"additionalOption?.PROGRAM_FREQUENCY\"\n      [checked]=\"[true, false].includes(controls?.recurring_frequency?.value)\"\n      [active]=\"activeList === 'FREQUENCY'\"\n      [disabled]=\"\n        sideElements.includes(activeList) && activeList !== 'FREQUENCY'\n      \"\n      [img]=\"ASSETS.recurring\"\n    >\n      <label class=\"vx-control-panel\" id=\"PDChange\"\n        >PROGRAM DURATION\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Program Duration refers to the duration of the Program. A Program can occur in perpetuity, or it can occur until the end of the current business cycle that has been specified in ' +\n            businessCycle.selectedCycle.business_cycle +\n            '.  All responsibilities linked with that Program will also have the same Program Duration.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"ProgramDurationHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <div class=\"upload-format\">\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n          <span class=\"text vx-mb-0\">Is this program recurring?</span>\n          <div class=\"radio-group program\">\n            <app-cs-radio\n              [name]=\"'recurring_frequency'\"\n              [checked]=\"controls?.recurring_frequency?.value\"\n              (checkedEvent)=\"setFormField('recurring_frequency', true)\"\n              >YES</app-cs-radio\n            >\n            <app-cs-radio\n              [name]=\"'recurring_frequency'\"\n              [checked]=\"!controls?.recurring_frequency?.value\"\n              (checkedEvent)=\"setFormField('recurring_frequency', false)\"\n              >NO</app-cs-radio\n            >\n          </div>\n        </div>\n      </div>\n    </form-field>\n\n    <!-- Scope Changes -->\n    <form-field\n      *ngIf=\"additionalOption?.SCOPE_CHANGES\"\n      [checked]=\"[true, false].includes(controls?.lock_scope_change?.value)\"\n      [active]=\"activeList === 'SCOPE'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'SCOPE'\"\n      [img]=\"ASSETS.lock_scope\"\n    >\n      <label class=\"vx-control-panel\"\n        >Lock the Program Scope\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'If the Program Scope is locked, neither the Program nor the responsibilities linked with the Program can be edited once the Program begins. In order to edit the Program or the linked responsibilities, the Program details will need to be edited.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"ScopeChangesHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <div class=\"upload-format\">\n        <span class=\"text\"\n          >Would you like to\n          <span class=\"vx-label-txt vx-fw-500\">lock changes</span> to the\n          program scope?</span\n        >\n        <div class=\"radio-group program\">\n          <app-cs-radio\n            [name]=\"'lock_scope_change'\"\n            [checked]=\"controls?.lock_scope_change?.value\"\n            (checkedEvent)=\"setFormField('lock_scope_change', true)\"\n            >YES</app-cs-radio\n          >\n          <app-cs-radio\n            [name]=\"'lock_scope_change'\"\n            [checked]=\"!controls?.lock_scope_change?.value\"\n            (checkedEvent)=\"setFormField('lock_scope_change', false)\"\n            >NO</app-cs-radio\n          >\n        </div>\n      </div>\n    </form-field>\n\n    <!-- Framework -->\n    <!-- <form-field [checked]=\"false\" [active]=\"activeList === 'FRAMEWORK'\" [disabled]=\"sideElements.includes(activeList) && activeList !== 'FRAMEWORK'\"\n            [img]=\"'https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/category.svg'\">\n            <label class=\"vx-control-panel\">FRAMEWORK</label>\n            <input-with-pill [placeholder]=\"'Select a framework that this Program relates to'\" (select)=\"activateList('FRAMEWORK')\">\n                <div class=\"selected\" *ngIf=\"controls?.framework?.value?.framework_name\">\n                    <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i (click)=\"remove(controls?.framework.value,'FRAMEWORK')\" class=\"icons\">&#xe90d;</i>{{controls?.framework?.value?.framework_name}}</span>\n                            <button class=\"count\" appPopover (click)=\"framework.popover()\" placement=\"right\">+5</button>\n                        </div>\n                    </div>\n                    <button *ngIf=\"activeList!=='FRAMEWORK'\" (click)=\"activateList('FRAMEWORK')\" class=\"edit\" type=\"button\"><i class=\"icons\">&#xe9ba;</i> Edit</button>\n                </div>\n            </input-with-pill>\n            <app-popover #framework [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                            <div class=\"avatar-card\">\n                                <span class=\"value\">\n                                    <i class=\"icons\">&#xe90d;</i>\n                                    Manage framework name\n                                </span>\n                            </div>\n                        </li>\n                    </ul>\n                </div>\n            </app-popover>\n        </form-field> -->\n\n    <!-- Responsibility Center -->\n    <form-field\n      *ngIf=\"additionalOption?.RC\"\n      [checked]=\"controls?.rc?.value?.length\"\n      [active]=\"activeList === 'RC'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'RC'\"\n      [img]=\"ASSETS.responsibility_center\"\n    >\n      <label class=\"vx-control-panel\"\n        >RESPONSIBILITY CENTER\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Responsibility Centers represent your organizational and operational infrastructure. Where Responsibility Centers are selected when creating a Program, only those Responsibilities Centers will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"RCHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        (select)=\"activateList('RC')\"\n        [placeholder]=\"\n          'Which Responsibility Center(s) can be linked to the responsibilities associated with this Program?'\n        \"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"controls?.rc?.value && controls?.rc?.value?.length\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove(controls?.rc?.value[0], 'RC')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"controls?.rc?.value[0]?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ controls?.rc?.value[0]?.item_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"rc.popover()\"\n              placement=\"right\"\n              *ngIf=\"controls?.rc?.value?.length > 1\"\n            >\n              +{{ controls?.rc?.value?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i class=\"icons\" (click)=\"remove(controls?.rc?.value[0],'RC')\">&#xe90d;</i>{{controls?.rc?.value[0]?.item_name}}</span>\n                            <button *ngIf=\"controls?.rc?.value?.length  > 1\" class=\"count\" appPopover (click)=\"rc.popover()\" placement=\"right\">+{{controls?.rc?.value?.length -1 }}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'RC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('RC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #rc [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let rc of controls?.rc?.value | slice : 1\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"remove(rc, 'RC')\">&#xe90d;</i>\n                  {{ rc?.item_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Assignee -->\n    <form-field\n      *ngIf=\"additionalOption?.ASSIGNEES\"\n      [checked]=\"\n        controls?.program_assignee?.value?.length ||\n        controls?.program_default_assignee?.value?.length ||\n        controls?.program_default_assignee?.value?.length ||\n        controls?.program_default_assignee_group?.value?.length\n      \"\n      [active]=\"['ASSIGNEE', 'DEFAULT_ASSIGNEE']?.includes(activeList)\"\n      [disabled]=\"\n        sideElements?.includes(activeList) &&\n        !['ASSIGNEE', 'DEFAULT_ASSIGNEE'].includes(activeList)\n      \"\n      [img]=\"ASSETS.case_assignees\"\n    >\n      <label\n        class=\"vx-control-panel\"\n        [class.disabled]=\"activeList === 'DEFAULT_ASSIGNEE'\"\n        >ASSIGNEES\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Assignees are required to complete the responsibilities that have been assigned to them. Where Assignees are selected when creating a Program, only those Assignees will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"AssigneeHelpText\"\n          >&#xeb16;</i\n        >\n      </label>\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'DEFAULT_ASSIGNEE'\"\n        [placeholder]=\"\n          'Who is responsible for completing the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('ASSIGNEE')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_assignee?.value?.length ||\n            controls?.program_assignee_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_assignee?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(controls?.program_assignee?.value[0], 'ASSIGNEE')\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_assignee?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_assignee?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"assignee.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_assignee?.value?.length > 1\"\n              >\n                +{{ controls?.program_assignee?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_assignee_group?.value?.length &&\n                controls?.program_assignee?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_assignee_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_assignee_group?.value[0],\n                    'ASSIGNEE_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_assignee_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_assignee_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"assignee_group.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_assignee_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_assignee_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_assignee?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_assignee?.value[0],'ASSIGNEE')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_assignee?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_assignee?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_assignee?.value?.length > 1\" class=\"count user\" appPopover (click)=\"assignee.popover()\" placement=\"right\">+{{controls?.program_assignee?.value?.length -1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_assignee_group?.value?.length && controls?.program_assignee?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_assignee_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_assignee_group?.value[0],'ASSIGNEE_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_assignee_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_assignee_group?.value[0]?.group_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_assignee_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"assignee_group.popover()\" placement=\"right\">+{{controls?.program_assignee_group?.value?.length -1 }}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'ASSIGNEE'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('ASSIGNEE')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #assignee [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let assignee of controls?.program_assignee?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(assignee, 'ASSIGNEE')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ assignee?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #assignee_group [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_assignee_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(group, 'ASSIGNEE_GROUP')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <label\n        class=\"vx-control-panel\"\n        [class.disabled]=\"activeList === 'ASSIGNEE'\"\n        >DEFAULT ASSIGNEE\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'This option lets you specify the Default Assignees for all new responsibilities linked with a Program. If a Default Assignees is selected, the user will automatically be selected the Assignee when creating a responsibility linked with the Program. An Assignor, being the person who creates the responsibility, can override this option when creating a responsibility. '\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"DAHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'ASSIGNEE'\"\n        [placeholder]=\"\n          'Which persons will be selected as the default assignees for the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('DEFAULT_ASSIGNEE')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_default_assignee?.value?.length ||\n            controls?.program_default_assignee_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_assignee?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_assignee?.value[0],\n                    'DEFAULT_ASSIGNEE'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_assignee?.value[0]?.member_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_assignee?.value[0]?.member_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultAssignee.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_default_assignee?.value?.length > 1\"\n              >\n                +{{ controls?.program_default_assignee?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_default_assignee_group?.value?.length &&\n                controls?.program_default_assignee?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_assignee_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_assignee_group?.value[0],\n                    'DEFAULT_ASSIGNEE_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_assignee_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_assignee_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultAssigneeGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"\n                  controls?.program_default_assignee_group?.value?.length > 1\n                \"\n              >\n                +{{\n                  controls?.program_default_assignee_group?.value?.length - 1\n                }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_assignee?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_assignee?.value[0],'DEFAULT_ASSIGNEE')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_default_assignee?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{ controls?.program_default_assignee?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_assignee?.value?.length > 1\" class=\"count user\" appPopover (click)=\"defaultAssignee.popover()\" placement=\"right\">+{{controls?.program_default_assignee?.value?.length - 1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_default_assignee_group?.value?.length && controls?.program_default_assignee?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_assignee_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_assignee_group?.value[0],'DEFAULT_ASSIGNEE_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_assignee_group?.value[0]?.group_name }}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_assignee_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"defaultAssigneeGroup.popover()\" placement=\"right\">+{{controls?.program_default_assignee_group?.value?.length -1 }}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'DEFAULT_ASSIGNEE'\"\n            (click)=\"activateList('DEFAULT_ASSIGNEE')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #defaultAssignee [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let assignee of controls?.program_default_assignee?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(assignee, 'DEFAULT_ASSIGNEE')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ assignee?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #defaultAssigneeGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_default_assignee_group?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(assignee, 'DEFAULT_ASSIGNEE_GROUP')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <div\n        class=\"radio-group-selector\"\n        [class.disabled]=\"activeList === 'ASSIGNEE'\"\n      >\n        <app-cs-radio\n          [name]=\"'assignee'\"\n          [checked]=\"controls?.assignee_completion_criteria?.value === 'ALL'\"\n          (checkedEvent)=\"setFormField('assignee_completion_criteria', 'ALL')\"\n        >\n          ALL SELECTED PERSONS NEED TO COMPLETE THIS\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'If selected, separate responsibilities will be created for each person.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-cs-radio\n          [name]=\"'assignee'\"\n          [checked]=\"controls?.assignee_completion_criteria?.value === 'ANYONE'\"\n          (checkedEvent)=\"\n            setFormField('assignee_completion_criteria', 'ANYONE')\n          \"\n        >\n          ANY SELECTED PERSON CAN COMPLETE THIS\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'If selected, only one responsibility will be created.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n      </div>\n    </form-field>\n\n    <!-- Reviewer -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.REVIEWER\"\n      [checked]=\"\n        controls?.program_reviewer?.value?.length ||\n        controls?.program_default_reviewer?.value?.length ||\n        controls?.program_default_reviewer?.value?.length ||\n        controls?.program_default_reviewer_group?.value?.length\n      \"\n      [active]=\"['REVIEWER', 'DEFAULT_REVIEWER']?.includes(activeList)\"\n      [disabled]=\"\n        sideElements?.includes(activeList) &&\n        !['REVIEWER', 'DEFAULT_REVIEWER'].includes(activeList)\n      \"\n      [img]=\"ASSETS.reviewer\"\n    >\n      <label\n        [class.disabled]=\"activeList === 'DEFAULT_REVIEWER'\"\n        class=\"vx-control-panel\"\n        >Reviewers\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Reviewers are required to review responsibilities after they have been completed. Where Reviewers are selected when creating a Program, only those Reviewers will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"ReviewerHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'DEFAULT_REVIEWER'\"\n        [placeholder]=\"\n          'Who is responsible for reviewing the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('REVIEWER')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_reviewer?.value?.length ||\n            controls?.program_reviewer_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_reviewer?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(controls?.program_reviewer?.value[0], 'REVIEWER')\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_reviewer?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_reviewer?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"reviewer.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_reviewer?.value?.length > 1\"\n              >\n                +{{ controls?.program_reviewer?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_reviewer_group?.value?.length &&\n                controls?.program_reviewer?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_reviewer_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_reviewer_group?.value[0],\n                    'REVIEWER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_reviewer_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_reviewer_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"reviewerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_reviewer_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_reviewer_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_reviewer?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_reviewer?.value[0],'REVIEWER')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_reviewer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_reviewer?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_reviewer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"reviewer.popover()\" placement=\"right\">+{{controls?.program_reviewer?.value?.length -1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_reviewer_group?.value?.length && controls?.program_reviewer?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_reviewer_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_reviewer_group?.value[0],'REVIEWER_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_reviewer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_reviewer_group?.value[0]?.group_name}}\n                              </span>\n                            </span>\n                            <button *ngIf=\"controls?.program_reviewer_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"reviewerGroup.popover()\" placement=\"right\">+{{controls?.program_reviewer_group?.value?.length - 1}}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'REVIEWER'\"\n            (click)=\"activateList('REVIEWER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #reviewer [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let reviewer of controls?.program_reviewer?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(reviewer, 'REVIEWER')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ reviewer?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #reviewerGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_reviewer_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(group, 'REVIEWER_GROUP')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <label\n        [class.disabled]=\"activeList === 'REVIEWER'\"\n        class=\"vx-control-panel\"\n        >DEFAULT Reviewer\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'This option lets you specify the Default Reviewers for responsibilities linked with a Program. Where a user has been specified as a Default Reviewer, that user will automatically be selected as the Reviewer when creating a responsibility linked with the Program. An Assignor, being the person who creates the responsibility, can override this option when creating a responsibility.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"DRHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'REVIEWER'\"\n        [placeholder]=\"\n          'Which persons will be selected as the default reviewers for the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('DEFAULT_REVIEWER')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_default_reviewer?.value?.length ||\n            controls?.program_default_reviewer_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_reviewer?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_reviewer?.value[0],\n                    'DEFAULT_REVIEWER'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_reviewer?.value[0]?.member_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_reviewer?.value[0]?.member_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultReviewer.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_default_reviewer?.value?.length > 1\"\n              >\n                +{{ controls?.program_default_reviewer?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_default_reviewer_group?.value?.length &&\n                controls?.program_default_reviewer?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_reviewer_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_reviewer_group?.value[0],\n                    'DEFAULT_REVIEWER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_reviewer_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_reviewer_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultReviewerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"\n                  controls?.program_default_reviewer_group?.value?.length > 1\n                \"\n              >\n                +{{\n                  controls?.program_default_reviewer_group?.value?.length - 1\n                }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_reviewer?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_reviewer?.value[0],'DEFAULT_REVIEWER')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_default_reviewer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_reviewer?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_reviewer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"defaultReviewer.popover()\" placement=\"right\">+{{controls?.program_default_reviewer?.value?.length - 1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_default_reviewer_group?.value?.length && controls?.program_default_reviewer?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_reviewer_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_reviewer_group?.value[0],'DEFAULT_REVIEWER_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_default_reviewer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_reviewer_group?.value[0]?.group_name}}\n                              </span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_reviewer_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"defaultReviewerGroup.popover()\" placement=\"right\">+{{controls?.program_default_reviewer_group?.value?.length -1}}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'DEFAULT_REVIEWER'\"\n            (click)=\"activateList('DEFAULT_REVIEWER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #defaultReviewer [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let reviewer of controls?.program_default_reviewer?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(reviewer, 'DEFAULT_REVIEWER')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ reviewer?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #defaultReviewerGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_default_reviewer_group?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(group, 'DEFAULT_REVIEWER_GROUP')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <div\n        class=\"radio-group-selector\"\n        [class.disabled]=\"activeList === 'REVIEWER'\"\n      >\n        <app-cs-radio\n          [name]=\"'reviewer'\"\n          [checked]=\"\n            controls?.reviewer_completion_criteria?.value === 'SEQUENTIAL'\n          \"\n          (checkedEvent)=\"\n            setFormField('reviewer_completion_criteria', 'SEQUENTIAL')\n          \"\n          [class.disabled]=\"\n            controls?.program_default_reviewer_group?.value?.length > 0\n          \"\n        >\n          SEQUENTIAL\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review one at a time in the sequence defined by you.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-cs-radio\n          [name]=\"'reviewer'\"\n          [checked]=\"\n            controls?.reviewer_completion_criteria?.value === 'ANYONE' ||\n            controls?.program_default_reviewer_group?.value?.length > 0\n          \"\n          (checkedEvent)=\"\n            setFormField('reviewer_completion_criteria', 'ANYONE')\n          \"\n        >\n          ANY REVIEWER CAN MARK THIS AS REVIEWED\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review to all reviewers at the same time. If anyone of the reviewer reviews the responsibility, it will be considered as reviewed.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n      </div>\n    </form-field>\n\n    <!-- Overseer -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.OVERSEER\"\n      [checked]=\"\n        controls?.program_overseer?.value?.length ||\n        controls?.program_default_overseer?.value?.length ||\n        controls?.program_default_overseer?.value?.length ||\n        controls?.program_default_overseer_group?.value?.length\n      \"\n      [active]=\"activeList === 'OVERSEER'\"\n      [disabled]=\"\n        sideElements?.includes(activeList) &&\n        !['OVERSEER', 'DEFAULT_OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(\n          activeList\n        )\n      \"\n      [img]=\"ASSETS.oversight\"\n    >\n      <label\n        class=\"vx-control-panel\"\n        [class.disabled]=\"\n          ['DEFAULT_OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(activeList)\n        \"\n        >Oversights\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Oversights receive updates when a responsibility is completed, completed with delay or not completed. Where Oversights are selected when creating a Program, only those Oversights will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"overseerHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"\n          ['DEFAULT_OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(activeList)\n        \"\n        [placeholder]=\"\n          'Who is responsible for overseeing the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('OVERSEER')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_overseer?.value?.length ||\n            controls?.program_overseer_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_overseer?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(controls?.program_overseer?.value[0], 'OVERSEER')\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_overseer?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_overseer?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseers.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_overseer?.value?.length > 1\"\n              >\n                +{{ controls?.program_overseer?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              *ngIf=\"\n                controls?.program_overseer_group?.value?.length &&\n                controls?.program_overseer?.value?.length\n              \"\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_overseer_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_overseer_group?.value[0],\n                    'OVERSEER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_overseer_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_overseer_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_overseer_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_overseer_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_overseer?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_overseer?.value[0],'OVERSEER')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_overseer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">\n                                {{controls?.program_overseer?.value[0]?.member_name}}\n                              </span>\n                            </span>\n                            <button *ngIf=\"controls?.program_overseer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"overseers.popover()\" placement=\"right\">+{{controls?.program_overseer?.value?.length -1}}</button>\n                        </div>\n                        <span *ngIf=\"controls?.program_overseer_group?.value?.length && controls?.program_overseer?.value?.length \" class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_overseer_group?.value?.length \">\n                            <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_overseer_group?.value[0],'OVERSEER_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_overseer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                                <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_overseer_group?.value[0]?.group_name}}</span></span>\n                            <button *ngIf=\"controls?.program_overseer_group?.value?.length> 1\" class=\"count\" appPopover (click)=\"overseerGroup.popover()\" placement=\"right\">+{{controls?.program_overseer_group?.value?.length -1}}</button>\n                        </div>\n                    </div> -->\n\n          <button\n            *ngIf=\"activeList !== 'OVERSEER'\"\n            (click)=\"activateList('OVERSEER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #overseers [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let overseer of controls?.program_overseer?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"remove(overseer, 'OVERSEER')\"\n                    >&#xe90d;</i\n                  >\n                  {{ overseer?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_overseer_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(group, 'OVERSEER_GROUP')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <ng-container [class.disabled]=\"activeList === 'OVERSEER'\">\n        <label\n          class=\"vx-control-panel\"\n          [class.disabled]=\"['OVERSEER'].includes(activeList)\"\n          >DEFAULT Oversight\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This option lets you specify the Default Oversight for responsibilities linked with a Program. Where a user has been specified as a Default Oversight, that user will automatically be selected as the Oversight when creating a responsibility linked with the Program.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            id=\"DOHelpText\"\n            >&#xeb16;</i\n          ></label\n        >\n        <input-with-pill\n          [disabled]=\"\n            ['OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(activeList)\n          \"\n          [selectDiv]=\"true\"\n          [placeholder]=\"\n            'Which persons will be selected as the default overseers for the responsibilities within this Program?'\n          \"\n          (select)=\"activateList('DEFAULT_OVERSEER')\"\n        >\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              controls?.program_default_overseer?.value?.length ||\n              controls?.program_default_overseer_group?.value?.length\n            \"\n          >\n            <div class=\"vx-d-flex vx-align-center\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"controls?.program_default_overseer?.value?.length\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_overseer?.value[0],\n                      'DEFAULT_OVERSEER'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_overseer?.value[0]?.member_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_overseer?.value[0]?.member_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseersDefault.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"controls?.program_default_overseer?.value?.length > 1\"\n                >\n                  +{{ controls?.program_default_overseer?.value?.length - 1 }}\n                </button>\n              </div>\n              <span\n                *ngIf=\"\n                  controls?.program_default_overseer_group?.value?.length &&\n                  controls?.program_default_overseer?.value?.length\n                \"\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                >&</span\n              >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"controls?.program_default_overseer_group?.value?.length\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_overseer_group?.value[0],\n                      'DEFAULT_OVERSEER_GROUP'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_overseer_group?.value[0]\n                      ?.group_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_overseer_group?.value[0]\n                      ?.group_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerDefaultGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"\n                    controls?.program_default_overseer_group?.value?.length > 1\n                  \"\n                >\n                  +{{\n                    controls?.program_default_overseer_group?.value?.length - 1\n                  }}\n                </button>\n              </div>\n            </div>\n\n            <!-- <div class=\"chip-container\">\n                    <div class=\"chip-inner\" *ngIf=\"controls?.program_default_overseer?.value?.length\">\n                      <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_overseer?.value[0],'DEFAULT_OVERSEER')\" >&#xe90d;</i>\n                        <span class=\"chip\" [appTooltip]=\"controls?.program_default_overseer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                          <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_overseer?.value[0]?.member_name}}</span></span>\n                        <button *ngIf=\"controls?.program_default_overseer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"overseersDefault.popover()\" placement=\"right\">+{{controls?.program_default_overseer?.value?.length -1}}</button>\n                    </div>\n                    <span *ngIf=\"controls?.program_default_overseer_group?.value?.length && controls?.program_default_overseer?.value?.length\" class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\">&</span>\n                    <div class=\"chip-inner\" *ngIf=\"controls?.program_default_overseer_group?.value?.length \">\n                        <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_overseer_group?.value[0],'DEFAULT_OVERSEER_GROUP')\" >&#xe90d;</i>\n                        <span class=\"chip\"  [appTooltip]=\"controls?.program_default_overseer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                            <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_overseer_group?.value[0]?.group_name}}</span>\n                        </span>\n                        <button *ngIf=\"controls?.program_default_overseer_group?.value?.length >1\" class=\"count\" appPopover (click)=\"overseerDefaultGroup.popover()\" placement=\"right\">+{{controls?.program_default_overseer_group?.value?.length -1}}</button>\n                    </div>\n                </div> -->\n            <button\n              *ngIf=\"activeList !== 'DEFAULT_OVERSEER'\"\n              (click)=\"activateList('DEFAULT_OVERSEER')\"\n              class=\"edit\"\n              type=\"button\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n        </input-with-pill>\n        <app-popover #overseersDefault [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of controls?.program_default_overseer?.value\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove(overseer, 'DEFAULT_OVERSEER')\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerDefaultGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of controls?.program_default_overseer_group?.value\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      (click)=\"remove(group, 'DEFAULT_OVERSEER_GROUP')\"\n                      class=\"icons\"\n                      >&#xe90d;</i\n                    >\n                    {{ group?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <label class=\"vx-control-panel\"> </label>\n        <input-with-pill\n          class=\"vx-mt-2\"\n          [selectDiv]=\"true\"\n          [line]=\"3\"\n          [disabled]=\"['OVERSEER', 'DEFAULT_OVERSEER'].includes(activeList)\"\n          [placeholder]=\"\n            'Which persons will be selected as the default overseers for responsibilities that are not completed within this Program?'\n          \"\n          (select)=\"activateList('DEFAULT_FAILED_OVERSEER')\"\n        >\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              controls?.program_default_failed_overseer?.value?.length ||\n              controls?.program_default_failed_overseer_group?.value?.length\n            \"\n          >\n            <div class=\"vx-d-flex vx-align-center\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"controls?.program_default_failed_overseer?.value?.length\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_failed_overseer?.value[0],\n                      'DEFAULT_FAILED_OVERSEER'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_failed_overseer?.value[0]\n                      ?.member_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_failed_overseer?.value[0]\n                      ?.member_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseersDefaultFail.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"\n                    controls?.program_default_failed_overseer?.value?.length > 1\n                  \"\n                >\n                  +{{\n                    controls?.program_default_failed_overseer?.value?.length - 1\n                  }}\n                </button>\n              </div>\n              <span\n                *ngIf=\"\n                  controls?.program_default_failed_overseer_group?.value\n                    ?.length &&\n                  controls?.program_default_failed_overseer?.value?.length\n                \"\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                >&</span\n              >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"\n                  controls?.program_default_failed_overseer_group?.value?.length\n                \"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_failed_overseer_group?.value[0],\n                      'DEFAULT_FAILED_OVERSEER_GROUP'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_failed_overseer_group?.value[0]\n                      ?.group_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_failed_overseer_group?.value[0]\n                      ?.group_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerDefaultFailGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"\n                    controls?.program_default_failed_overseer_group?.value\n                      ?.length > 1\n                  \"\n                >\n                  +{{\n                    controls?.program_default_failed_overseer_group?.value\n                      ?.length - 1\n                  }}\n                </button>\n              </div>\n            </div>\n\n            <!-- <div class=\"chip-container\">\n                <div class=\"chip-inner\" *ngIf=\"controls?.program_default_failed_overseer?.value?.length\">\n                  <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_failed_overseer?.value[0],'DEFAULT_FAILED_OVERSEER')\" >&#xe90d;</i>\n                    <span class=\"chip\">\n                      <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_failed_overseer?.value[0]?.member_name}}</span>\n                    </span>\n                    <button *ngIf=\"controls?.program_default_failed_overseer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"overseersDefaultFail.popover()\" placement=\"right\">+{{controls?.program_default_failed_overseer?.value?.length -1}}</button>\n                </div>\n                <span *ngIf=\"controls?.program_default_failed_overseer_group?.value?.length && controls?.program_default_failed_overseer?.value?.length\" class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\">&</span>\n                <div class=\"chip-inner\" *ngIf=\"controls?.program_default_failed_overseer_group?.value?.length \">\n                    <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_failed_overseer_group?.value[0],'DEFAULT_FAILED_OVERSEER_GROUP')\" >&#xe90d;</i>\n                    <span class=\"chip\" [appTooltip]=\"controls?.program_default_failed_overseer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                        <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_failed_overseer_group?.value[0]?.group_name}}</span>\n                    </span>\n                    <button *ngIf=\"controls?.program_default_failed_overseer_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"overseerDefaultFailGroup.popover()\" placement=\"right\">+{{controls?.program_default_failed_overseer_group?.value?.length -1}}</button>\n                </div>\n            </div> -->\n            <button\n              *ngIf=\"activeList !== 'DEFAULT_FAILED_OVERSEER'\"\n              (click)=\"activateList('DEFAULT_FAILED_OVERSEER')\"\n              class=\"edit\"\n              type=\"button\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n        </input-with-pill>\n        <app-popover #overseersDefaultFail [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of controls?.program_default_failed_overseer\n                    ?.value | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove(overseer, 'DEFAULT_FAILED_OVERSEER')\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerDefaultFailGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of controls?.program_default_failed_overseer_group\n                    ?.value | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      (click)=\"remove(group, 'DEFAULT_FAILED_OVERSEER_GROUP')\"\n                      class=\"icons\"\n                      >&#xe90d;</i\n                    >\n                    {{ group?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </ng-container>\n    </form-field>\n\n    <!-- Assessment -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.ASSESSMENT\"\n      [checked]=\"controls?.program_assessments?.value?.length\"\n      [active]=\"activeList === 'ASSESSMENT'\"\n      [disabled]=\"\n        sideElements.includes(activeList) && activeList !== 'ASSESSMENT'\n      \"\n      [img]=\"ASSETS.assessments\"\n    >\n      <label class=\"vx-control-panel\"\n        >ASSESSMENTS\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Assessments are a digital form that are created in \u201CAssessment\u201D within the Compliance Module. Where Assessments are selected when creating a Program, only those Assessments will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"AssessmentHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [placeholder]=\"\n          'Which assessments can be linked to the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('ASSESSMENT')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"controls?.program_assessments?.value?.length\"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"\n              controls?.program_assessments?.value\n                | assessmentResolver as assessments\n            \"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove(assessments[0], 'ASSESSMENT')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"assessments[0]?.assessment_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ assessments[0]?.assessment_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"program_assessments.popover()\"\n              placement=\"right\"\n              *ngIf=\"assessments?.length > 1\"\n            >\n              +{{ assessments?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <ng-container *ngIf=\"(controls?.program_assessments?.value | assessmentResolver) as assessments\">\n                            <div class=\"chip-inner\">\n                                <span class=\"chip\"><i class=\"icons\" (click)=\"remove(assessments[0],'ASSESSMENT')\">&#xe90d;</i>{{assessments[0]?.assessment_name}} </span>\n                                <button *ngIf=\"assessments?.length > 1\" class=\"count\" appPopover (click)=\"program_assessments.popover()\" placement=\"right\">+{{assessments?.length -1 }}</button>\n                            </div>\n                        </ng-container>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'ASSESSMENT'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('ASSESSMENT')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #program_assessments [dontCloseonClick]=\"true\">\n        <ng-container>\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let assessment of controls?.program_assessments?.value\n                    | assessmentResolver\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i (click)=\"remove(assessment, 'ASSESSMENT')\" class=\"icons\"\n                      >&#xe90d;</i\n                    >\n                    {{ assessment?.assessment_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </ng-container>\n      </app-popover>\n    </form-field>\n\n    <!-- Format & Evidence -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.FORMATE_EVIDENCE\"\n      [checked]=\"[true, false].includes(controls?.evidence_required?.value)\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.format_evidence\"\n    >\n      <label class=\"vx-control-panel\"\n        >Evidence\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'If selected, evidence of completion of a responsibility will be required for all responsibilities that are linked with the Program. An Assignor, being the person who creates the responsibility, can override this option when creating a responsibility.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"EvidenceHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <div class=\"upload-format\">\n        <span class=\"text\"\n          >Do all responsibilities within this program require evidence?</span\n        >\n        <div class=\"radio-group program\">\n          <app-cs-radio\n            [name]=\"'evidence_required'\"\n            [checked]=\"controls?.evidence_required?.value\"\n            (checkedEvent)=\"setFormField('evidence_required', true)\"\n            >YES</app-cs-radio\n          >\n          <app-cs-radio\n            [name]=\"'evidence_required'\"\n            [checked]=\"!controls?.evidence_required?.value\"\n            (checkedEvent)=\"setFormField('evidence_required', false)\"\n            >NO</app-cs-radio\n          >\n        </div>\n      </div>\n      <!-- <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n                <div class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-2\">Allow any file to be marked as\n                    key\n                    evidence</div>\n                <switch formControlName=\"allow_any_file_key_evidence\"\n                    (change)=\"setFormField('allow_any_file_key_evidence',$event?.target?.checked)\"></switch>\n            </div> -->\n    </form-field>\n\n    <!-- Custom Field -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.CUSTOM_FIELDS\"\n      [checked]=\"controls?.custom_fields?.value?.length\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.custom_fields\"\n    >\n      <label class=\"vx-control-panel\"\n        >CUSTOM FIELD\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Where a custom field is specified, all responsibilities linked with a Program will contain that custom field. Custom fields enable the collection of additional meta data.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"CFHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <custom-field formControlName=\"custom_fields\"></custom-field>\n    </form-field>\n  </form>\n</div>\n\n<!-- list of roles -->\n<role-list\n  *ngIf=\"activeList === 'ROLE'\"\n  [selected]=\"controls?.program_roles?.value | refDisconnect\"\n  [loading]=\"listLoadingState.ROLES\"\n  [list]=\"lists?.ROLES?.data ?? []\"\n  (save)=\"listAction($event, 'ROLE')\"\n  (cancel)=\"fieldDeselector('ROLE')\"\n  [featureflagrole]=\"featureflagrole\"\n  [featureflagGroup]=\"featureflagGroups\"\n  [ff_rc_listing]=\"ff_rc_listing\"\n></role-list>\n\n<!-- list of frameworks -->\n<!-- <app-define-framework-listing *ngIf=\"activeList === 'FRAMEWORK'\" (cancel)=\"fieldDeselector('FRAMEWORK')\" (next)=\"listAction($event,'FRAMEWORK')\" [mode]=\"mode\" [selectedFramework]=\"controls?.framework?.value\"></app-define-framework-listing> -->\n<!-- list of responsibility center -->\n<app-responsibility-centers-list\n  *ngIf=\"activeList === 'RC'\"\n  [responsibilityCentersList]=\"lists?.RC ?? []\"\n  [radioSelection]=\"false\"\n  [rcIdKey]=\"'rc_id'\"\n  (closeRcList)=\"fieldDeselector('RC')\"\n  (saveSelectedList)=\"listAction($event, 'RC')\"\n  [selectedResponsibilityCenters]=\"controls?.rc?.value | refDisconnect\"\n>\n</app-responsibility-centers-list>\n<!-- render userlist with group -->\n\n<user-group-list\n  *ngIf=\"activeList === 'OWNER'\"\n  [groupEnabled]=\"true\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [nonRemovableUserIds]=\"lists.NON_REMOVABLE_OWNERS | listToId : 'member_id'\"\n  [userlist]=\"lists?.OWNERS?.data ?? []\"\n  [selectedUsers]=\"controls?.program_owners?.value | refDisconnect\"\n  (fetchUserData)=\"fetchUsersAssociatedWithRoles(false, $event)\"\n  [userListInfo]=\"lists?.OWNERS\"\n  [groupListInfo]=\"lists?.OWNERS_GROUPS\"\n  [groupList]=\"lists?.OWNERS_GROUPS?.data ?? []\"\n  [selectedGroups]=\"controls?.program_owners_group?.value | refDisconnect\"\n  (save)=\"listAction($event, 'OWNER')\"\n  (cancel)=\"fieldDeselector('OWNER')\"\n  [panelTitle]=\"panelTitleOwner\"\n  [featureflag]=\"featureflagGroups\"\n></user-group-list>\n\n<user-group-list\n  *ngIf=\"activeList === 'COLLABORATOR'\"\n  [groupEnabled]=\"false\"\n  [singleSelect]=\"false\"\n  [userlist]=\"lists?.COLLABORATORS?.data ?? []\"\n  [disabledIds]=\"disableCollaboratorIds\"\n  [fromResponsibility]=\"'collaborator'\"\n  [selectedUsers]=\"controls?.program_collaborator?.value | refDisconnect\"\n  [userListInfo]=\"lists?.COLLABORATORS\"\n  (save)=\"listAction($event, 'COLLABORATOR')\"\n  (cancel)=\"fieldDeselector('COLLABORATOR')\"\n  [panelTitle]=\"panelTitleCollaborator\"\n\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"activeList === 'ASSIGNEE'\"\n  [groupEnabled]=\"true\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [userlist]=\"lists?.ASSIGNEES ?? []\"\n  [selectedUsers]=\"controls?.program_assignee?.value | refDisconnect\"\n  [groupList]=\"lists?.ASSIGNEES_GROUP ?? []\"\n  [FromProgram]=\"true\"\n  [selectedGroups]=\"controls?.program_assignee_group?.value | refDisconnect\"\n  [disabledIds]=\"disabledAssigneeIds\"\n  [fromResponsibility]=\"'Assignee'\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [assignorId]=\"assignorId\"\n  [userListInfo]=\"lists?.ASSIGNEES\"\n  (save)=\"listAction($event, 'ASSIGNEE')\"\n  (cancel)=\"fieldDeselector('ASSIGNEE')\"\n  [panelTitle]=\"panelTitleAssignee\"\n  [defaultSelectedUsers]=\"\n    controls?.program_default_assignee?.value | refDisconnect\n  \"\n  [userType]=\"'assignees'\"\n  [featureflag]=\"featureflagGroups\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"activeList === 'DEFAULT_ASSIGNEE'\"\n  [groupEnabled]=\"true\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [userlist]=\"lists?.DEFAULT_ASSIGNEES ?? []\"\n  [selectedUsers]=\"controls?.program_default_assignee?.value | refDisconnect\"\n  [groupList]=\"lists?.DEFAULT_ASSIGNEES_GROUP ?? []\"\n  [FromProgram]=\"true\"\n  [selectedGroups]=\"\n    controls?.program_default_assignee_group?.value | refDisconnect\n  \"\n  [disabledIds]=\"disabledAssigneeIds\"\n  [fromResponsibility]=\"'Assignee'\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [assignorId]=\"assignorId\"\n  [userListInfo]=\"lists?.DEFAULT_ASSIGNEE\"\n  (save)=\"listAction($event, 'DEFAULT_ASSIGNEE')\"\n  (cancel)=\"fieldDeselector('DEFAULT_ASSIGNEE')\"\n  [featureflag]=\"featureflagGroups\"\n>\n</user-group-list>\n\n<user-group-list\n  *ngIf=\"activeList === 'REVIEWER' && (!featureflagGroups || featureflagGroups)\"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.REVIEWERS ?? []\"\n  [selectedUsers]=\"controls?.program_reviewer?.value | refDisconnect\"\n  [groupList]=\"lists?.REVIEWERS_GROUP ?? []\"\n  [featureflag]=\"featureflagGroups\"\n  [selectedGroups]=\"controls?.program_reviewer_group?.value | refDisconnect\"\n  [disabledIds]=\"disableReviewerIds\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [userListInfo]=\"lists?.REVIEWERS\"\n  (save)=\"listAction($event, 'REVIEWER')\"\n  (cancel)=\"fieldDeselector('REVIEWER')\"\n  [panelTitle]=\"panelTitleReviewer\"\n  [defaultSelectedUsers]=\"\n    controls?.program_default_reviewer?.value | refDisconnect\n  \"\n  [userType]=\"'reviewers'\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"\n    activeList === 'DEFAULT_REVIEWER' &&\n    (!featureflagGroups || featureflagGroups)\n  \"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.DEFAULT_REVIEWERS ?? []\"\n  [selectedUsers]=\"controls?.program_default_reviewer?.value | refDisconnect\"\n  [groupList]=\"lists?.DEFAULT_REVIEWERS_GROUP ?? []\"\n  [featureflag]=\"featureflagGroups\"\n  [selectedGroups]=\"\n    controls?.program_default_reviewer_group?.value | refDisconnect\n  \"\n  [disabledIds]=\"disableReviewerIds\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [userListInfo]=\"lists?.DEFAULT_REVIEWERS\"\n  (save)=\"listAction($event, 'DEFAULT_REVIEWER')\"\n  (cancel)=\"fieldDeselector('DEFAULT_REVIEWER')\"\n  [panelTitle]=\"panelTitleDefaultReviewer\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"activeList === 'OVERSEER' && (!featureflagGroups || featureflagGroups)\"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.OVERSEERS ?? []\"\n  [selectedUsers]=\"controls?.program_overseer?.value | refDisconnect\"\n  [groupList]=\"lists?.OVERSEERS_GROUP ?? []\"\n  [selectedGroups]=\"controls?.program_overseer_group?.value | refDisconnect\"\n  [featureflag]=\"featureflagGroups\"\n  [disabledIds]=\"disableOverseerIds\"\n  [fromResponsibility]=\"'Overseer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [userListInfo]=\"lists?.OVERSEES\"\n  (save)=\"listAction($event, 'OVERSEER')\"\n  (cancel)=\"fieldDeselector('OVERSEER')\"\n  [defaultSelectedUsers]=\"\n    controls?.program_default_overseer?.value\n      | refDisconnect\n      | arrayConcat : controls?.program_default_failed_overseer?.value\n  \"\n  [userType]=\"'overseers'\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"\n    activeList === 'DEFAULT_OVERSEER' &&\n    (!featureflagGroups || featureflagGroups)\n  \"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.DEFAULT_OVERSEERS ?? []\"\n  [selectedUsers]=\"controls?.program_default_overseer?.value | refDisconnect\"\n  [groupList]=\"lists?.DEFAULT_OVERSEERS_GROUP ?? []\"\n  [selectedGroups]=\"\n    controls?.program_default_overseer_group?.value | refDisconnect\n  \"\n  [featureflag]=\"featureflagGroups\"\n  [disabledIds]=\"disableOverseerIds\"\n  [fromResponsibility]=\"'Overseer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [userListInfo]=\"lists?.DEFAULT_OVERSEERS\"\n  (save)=\"listAction($event, 'DEFAULT_OVERSEER')\"\n  (cancel)=\"fieldDeselector('DEFAULT_OVERSEER')\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"\n    activeList === 'DEFAULT_FAILED_OVERSEER' &&\n    (!featureflagGroups || featureflagGroups)\n  \"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.DEFAULT_OVERSEERS ?? []\"\n  [selectedUsers]=\"\n    controls?.program_default_failed_overseer?.value | refDisconnect\n  \"\n  [groupList]=\"lists?.DEFAULT_OVERSEERS_GROUP ?? []\"\n  [selectedGroups]=\"\n    controls?.program_default_failed_overseer_group?.value | refDisconnect\n  \"\n  [featureflag]=\"featureflagGroups\"\n  [disabledIds]=\"disableOverseerIds\"\n  [fromResponsibility]=\"'Overseer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [userListInfo]=\"lists?.DEFAULT_OVERSEERS\"\n  (save)=\"listAction($event, 'DEFAULT_FAILED_OVERSEER')\"\n  (cancel)=\"fieldDeselector('DEFAULT_FAILED_OVERSEER')\"\n>\n</user-group-list>\n<assessment-picker\n  *ngIf=\"activeList === 'ASSESSMENT'\"\n  [selectedAssessment]=\"controls?.program_assessments?.value\"\n  (cancelAssessment)=\"fieldDeselector('ASSESSMENT')\"\n  (onAssessmentSelect)=\"listAction($event, 'ASSESSMENT')\"\n></assessment-picker>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n\n<!-- Framework selector  -->\n<app-framework-list\n  *ngIf=\"activeList === 'FRAMEWORK'\"\n  [workflowPage]=\"['FRAMEWORK']\"\n  (assignControl)=\"listAction($event, 'FRAMEWORK')\"\n  (closeFramework)=\"fieldDeselector('FRAMEWORK')\"\n  [previousSelectedValues]=\"{ framework: controls?.framework.value }\"\n  (entrustFramework)=\"entrustFramework($event)\"\n  [headerText]=\"'Select a framework'\"\n></app-framework-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";::ng-deep .workflow-program{display:block;position:relative}::ng-deep .workflow-program .scope-label{background:#747576;border-radius:.125rem;position:relative;z-index:1}::ng-deep .workflow-program .scope-label:before{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:7rem;width:20rem;height:1px;z-index:-1}::ng-deep .workflow-program .scope-label:after{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:-2.5rem;width:2.5rem;height:1px;z-index:-1}::ng-deep .workflow-program .scope-label .required{position:absolute;top:0;right:-.625rem}::ng-deep .workflow-program .info-icon{position:relative;top:.125rem;cursor:pointer}::ng-deep .workflow-program .date-picker .picker-group{width:calc(50% - .125rem);position:relative}::ng-deep .workflow-program .date-picker .picker-group:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .workflow-program .date-picker .picker-group input{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;padding:0 2rem 0 .75rem;outline:none}::ng-deep .workflow-program .date-picker .picker-group input:focus,::ng-deep .workflow-program .date-picker .picker-group input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .workflow-program .date-picker .picker-group input::placeholder{color:#747576;font-size:13px}::ng-deep .workflow-program .date-picker .picker-group input:-ms-input-placeholder{color:#747576;font-size:13px}::ng-deep .workflow-program .date-picker .picker-group input::-ms-input-placeholder{color:#747576;font-size:13px}::ng-deep .workflow-program .date-picker .picker-group i{height:1rem;width:1rem;position:absolute;right:.75rem;top:.625rem;pointer-events:none}::ng-deep .workflow-program .program-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;justify-content:space-between;padding:4px;position:relative;z-index:1}::ng-deep .workflow-program .program-type-field .type-item{position:relative}::ng-deep .workflow-program .program-type-field .type-item:first-of-type{width:6.25rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(2){width:5.75rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(6.4375rem);width:5.75rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(3){width:8.625rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(3).active~.background-glider{transform:translate(12.375rem);width:8.625rem}::ng-deep .workflow-program .program-type-field .type-item:last-of-type{width:5.25rem}::ng-deep .workflow-program .program-type-field .type-item:last-of-type.active~.background-glider{transform:translate(21.1875rem);width:5.25rem}::ng-deep .workflow-program .program-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:center}::ng-deep .workflow-program .program-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none}::ng-deep .workflow-program .program-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .workflow-program .program-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .workflow-program .program-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:6.25rem;height:32px;z-index:-1;transition:.25s ease-out}::ng-deep .workflow-program .vx-form-group .upload-files .file-item{background:#f1f1f1;border:1px solid #dbdbdb;border-radius:.25rem;padding-left:.125rem}::ng-deep .workflow-program .vx-form-group .upload-files .file-item .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:8.5rem}::ng-deep .workflow-program .vx-form-group .upload-files .file-item button.delete-btn{background:transparent;border-radius:0;border:none;border-left:1px solid #dbdbdb;height:1.625rem}::ng-deep .workflow-program .vx-form-group .upload-files button.file-count{background:#1e5dd3;border-radius:.125rem;border:none;color:#fff;font-size:11px;display:flex;align-items:center;justify-content:center;min-width:28px;height:28px;padding:0;margin:4px 0 0 4px}::ng-deep .workflow-program .vx-form-group .upload-format .radio-group app-cs-radio{height:1.375rem}::ng-deep .workflow-program .vx-form-group .default-selected{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem;margin-top:.5rem}::ng-deep .workflow-program .vx-form-group .default-selected .selected{border-radius:0;border:none;background:none}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio{border-top:1px solid #F1F1F1}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio{margin-top:0!important}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item span.radio{position:absolute;top:.5rem;left:.75rem}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;padding:.5rem .5rem .5rem 2.25rem;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item svg{position:absolute;top:.5rem;left:.75rem}::ng-deep .workflow-program .vx-form-group .selected .custom-text{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;overflow:hidden;max-height:2.4rem}::ng-deep .workflow-program .vx-form-group .selected button.cross-btn{background:transparent;border-radius:0;border:0;padding:0}::ng-deep .workflow-program .vx-form-group .custom-input{position:relative}::ng-deep .workflow-program .vx-form-group .custom-input input{padding-right:2rem}::ng-deep .workflow-program .vx-form-group .custom-input button.cross-btn{background:transparent;border-radius:0;border:0;position:absolute;top:.875rem;right:.625rem}::ng-deep .workflow-program .vx-form-group button.add-more-btn{background:transparent;border-radius:0;border:none;padding:0}::ng-deep app-popover .wf-action-list ul.action-item .avatar-card .value{text-transform:none!important}::ng-deep app-popover .wf-action-list ul.action-item li file-pill .file-item{background:transparent!important;border:none!important;border-radius:0!important;padding:0!important;margin:0!important}::ng-deep app-popover .wf-action-list ul.action-item li file-pill .file-name{width:100%!important;max-width:100%!important}::ng-deep app-popover .wf-action-list ul.action-item li file-pill button.delete-btn{border:none!important;padding-right:0!important}.disabled{opacity:.4;pointer-events:none;filter:grayscale(1)}.vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block;left:780}.vx-info-card-body{font-size:12px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$3.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$3.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: i4.MarxEditorComponent, selector: "vcomply-editor", inputs: ["editorConfig"], outputs: ["comment", "sendSavedFiles", "popup"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "component", type: PopoverHoverComponent, selector: "popover-hover" }, { kind: "directive", type: PopoverHoverDirective, selector: "[libPopoverHover]", inputs: ["placement"] }, { kind: "component", type: TabSelector, selector: "tab-selector", inputs: ["disabled", "selectedItem", "displayArray"], outputs: ["onValueChanged"] }, { kind: "component", type: FormFieldComponent, selector: "form-field", inputs: ["active", "disabled", "checked", "img"] }, { kind: "component", type: FilePillComponent, selector: "file-pill", inputs: ["name", "extension", "disabled"], outputs: ["delete"] }, { kind: "component", type: InputWithPillComponent, selector: "input-with-pill", inputs: ["placeholder", "disabled", "selectDiv", "line"], outputs: ["select"] }, { kind: "component", type: SwitchComponent, selector: "switch", inputs: ["disabled", "checked", "tooltipMessage", "value", "position"], outputs: ["change"] }, { kind: "directive", type: InputTrimDirective, selector: "[InputTrim]" }, { kind: "component", type: RoleListComponent, selector: "role-list", inputs: ["featureflagrole", "featureflagGroup", "ff_rc_listing", "list", "loading", "selected"], outputs: ["save", "cancel"] }, { kind: "component", type: UserGroupListComponent, selector: "user-group-list", inputs: ["groupEnabled", "panelTitle", "singleSelect", "selectedReviewer", "featureflag", "reviewerWorkflowType", "mode", "fieldType", "fromResponsibility", "assignorId", "assigneeIds", "reviewerIds", "overseerIds", "FromProgram", "userListInfo", "groupListInfo", "fromApprovalWorkflow", "approvalType", "showFutureUsersSwitch", "futureUsersWillSelect", "isAllDisabled", "isGroupTabShow", "disabledIds", "nonRemovableUserIds", "allUserSelectedDisabled", "nonRemovableGroupIds", "loading", "userlist", "selectedUsers", "defaultSelectedUsers", "userType", "groupList", "selectedGroups"], outputs: ["save", "cancel", "reviewerWorkflowTypeChange", "fetchUserData"] }, { kind: "component", type: AssessmentPickerComponent, selector: "assessment-picker", inputs: ["isEdit", "selectedAssessment", "selectedAssessmentData"], outputs: ["onAssessmentSelect", "cancelAssessment"] }, { kind: "component", type: CustomFieldComponent, selector: "custom-field", inputs: ["disabled"] }, { kind: "component", type: ResponsibilityCentersListComponent, selector: "app-responsibility-centers-list", inputs: ["responsibilityCentersList", "selectedResponsibilityCenters", "rcIdKey", "radioSelection", "pluralText", "singularText", "loaded"], outputs: ["saveSelectedList", "closeRcList"] }, { kind: "component", type: FrameworkListComponent, selector: "app-framework-list", inputs: ["previousSelectedValues", "headerText", "workflowPage", "policy", "frameWorkList", "selectedFrameWork", "selectedCategories"], outputs: ["entrustFramework", "closeFramework", "assignControl"] }, { kind: "pipe", type: i1$1.SlicePipe, name: "slice" }, { kind: "pipe", type: ListToIdPipe, name: "listToId" }, { kind: "pipe", type: RefDisconnectPipe, name: "refDisconnect" }, { kind: "pipe", type: AssessmentResolverPipe, name: "assessmentResolver" }, { kind: "pipe", type: ArrayConcatPipe, name: "arrayConcat" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowProgramComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-workflow-program', template: "<div class=\"workflow-program\" #form>\n  <form novalidate [formGroup]=\"programForm\">\n    <!-- Program Category Type -->\n    <form-field\n      [checked]=\"controls?.program_type?.value > -1\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.issue_type\"\n    >\n      <label class=\"vx-control-panel\"\n        >PROGRAM TYPE <span class=\"required\">*</span></label\n      >\n      <tab-selector\n        formControlName=\"program_type\"\n        [displayArray]=\"constants?.categoryType\"\n      ></tab-selector>\n      <!-- <p *ngIf=\"program_name?.invalid\" class=\"error-message\">Add a program type</p> -->\n    </form-field>\n\n    <!-- Framework -->\n    <form-field\n      *ngIf=\"isAscentAllowed\"\n      [checked]=\"false\"\n      [active]=\"false\"\n      [disabled]=\"false\"\n      [img]=\"ASSETS.case_category\"\n    >\n      <label class=\"vx-control-panel\">FRAMEWORK</label>\n      <!-- [selectDiv]=\"true\" -->\n      <input-with-pill\n        [placeholder]=\"'Select a framework that this Program relates to'\"\n        (select)=\"activateList('FRAMEWORK')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.framework.value?.name\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"canFrameworkChange\"\n              (click)=\"remove('', 'FRAMEWORK')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"controls?.framework.value?.name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ controls?.framework.value?.name }}</span\n            >\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i (click)=\"remove('', 'FRAMEWORK')\" *ngIf=\"canFrameworkChange\" class=\"icons\" >&#xe90d;</i> {{controls?.framework.value?.name}}</span>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"canFrameworkChange\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('FRAMEWORK')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n    </form-field>\n\n    <!-- Program Category Name -->\n    <form-field\n      [checked]=\"controls?.program_name?.value?.trim()?.length\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.what\"\n    >\n      <label class=\"vx-control-panel\"\n        >PROGRAM NAME <span class=\"required\">*</span></label\n      >\n      <input\n        InputTrim\n        formControlName=\"program_name\"\n        type=\"text\"\n        placeholder=\"What is the Program name?\"\n      />\n\n      <p\n        *ngIf=\"\n          controls?.program_name?.errors && controls?.program_name?.touched\n        \"\n        class=\"error-message\"\n      >\n        Enter a name for this Program.\n      </p>\n      <p *ngIf=\"isNameExists\" class=\"error-message\">\n        Program name already exists.\n      </p>\n      <div class=\"upload-files vx-d-flex vx-align-center vx-flex-wrap vx-mt-1\">\n        <file-pill\n          *ngFor=\"\n            let attachment of controls?.description_attachment?.value\n              | slice : 0 : 2\n          \"\n          [extension]=\"attachment?.org_file?.split('.').pop()\"\n          [name]=\"attachment?.org_file\"\n          [disabled]=\"attachment?.uploading\"\n          (delete)=\"deleteAttachment('DESCRIPTION', attachment)\"\n        >\n        </file-pill>\n        <button\n          *ngIf=\"controls?.description_attachment?.value?.length > 2\"\n          class=\"file-count\"\n          appPopover\n          (click)=\"uploadFile.popover()\"\n          placement=\"right\"\n        >\n          +{{ controls?.description_attachment?.value?.length - 2 }}\n        </button>\n        <app-popover #uploadFile [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                class=\"vx-p-2\"\n                *ngFor=\"\n                  let attachment of controls?.description_attachment?.value\n                    | slice : 2\n                \"\n              >\n                <file-pill\n                  [extension]=\"attachment?.org_file?.split('.').pop()\"\n                  [name]=\"attachment?.org_file\"\n                  [disabled]=\"attachment?.uploading\"\n                  (delete)=\"deleteAttachment('DESCRIPTION', attachment)\"\n                ></file-pill>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </div>\n      <vcomply-editor\n        [(ngModel)]=\"editorData.programDescription\"\n        [ngModelOptions]=\"{ standalone: true }\"\n        (sendSavedFiles)=\"selectFile('DESCRIPTION', $event)\"\n        (ngModelChange)=\"setFormField('program_description', $event)\"\n        [editorConfig]=\"constants?.description\"\n      >\n      </vcomply-editor>\n    </form-field>\n\n    <!-- Objective -->\n    <form-field\n      [checked]=\"controls?.program_objective?.value?.trim()?.length\"\n      [active]=\"activeList === 'OBJECTIVE'\"\n      [disabled]=\"\n        sideElements.includes(activeList) && activeList !== 'OBJECTIVE'\n      \"\n      [img]=\"ASSETS.objectives\"\n    >\n      <label class=\"vx-control-panel\"\n        >OBJECTIVE\n        <!-- <span class=\"required\">*</span> -->\n      </label>\n      <vcomply-editor\n        [(ngModel)]=\"editorData.programObjective\"\n        [ngModelOptions]=\"{ standalone: true }\"\n        (sendSavedFiles)=\"selectFile('OBJECTIVE', $event)\"\n        (ngModelChange)=\"setFormField('program_objective', $event, true)\"\n        [editorConfig]=\"constants?.objective\"\n      >\n      </vcomply-editor>\n      <!-- <p *ngIf=\"!isObjectiveValid\" class=\"error-message\">Specify the objective for this Program.</p> -->\n    </form-field>\n\n    <!-- Roles -->\n    <form-field\n      *ngIf=\"additionalOption?.ROLES\"\n      [checked]=\"controls?.program_roles?.value?.length\"\n      [active]=\"activeList === 'ROLE'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'ROLE'\"\n      [img]=\"ASSETS.roles\"\n    >\n      <label class=\"vx-control-panel\" id=\"permissiongroup\"\n        >{{ ff_rc_listing ? \"PERMISSIONS\" : \"PERMISSION GROUP(S)\" }}\n        <span class=\"required\">*</span\n        ><i\n          class=\"icons\"\n          [appTooltip]=\"\n            ff_rc_listing\n              ? 'Permissions let you specify the users that can be \u201COwners\u201D' +\n                (allowedFeature.isFeatureEnabled('ff_program_simplify')\n                  ? ' '\n                  : ' and \u201CApprovers\u201D') +\n                'of a Program.'\n              : 'Permission group(s) let you specify the users that can be \u201COwners\u201D' +\n                (allowedFeature.isFeatureEnabled('ff_program_simplify')\n                  ? ' '\n                  : ' and \u201CApprovers\u201D') +\n                'of a Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"RoleHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        id=\"placeholdername\"\n        [placeholder]=\"\n          ff_rc_listing\n            ? 'Which user permissions have access to this program?'\n            : 'Which user permission groups have access to this program?'\n        \"\n        (select)=\"activateList('ROLE')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.program_roles?.value?.length\">\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              *ngIf=\"\n                !lists.SYSTEM_ROLE_IDS.includes(\n                  controls?.program_roles?.value[0]?._id\n                )\n              \"\n              (click)=\"remove(controls?.program_roles?.value[0], 'ROLE')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"\n                featureflagrole &&\n                controls?.program_roles?.value[0]?.permissionGroupName\n                  ? controls?.program_roles?.value[0]?.permissionGroupName\n                  : controls?.program_roles?.value[0]?.roleName\n              \"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{\n                featureflagrole &&\n                controls?.program_roles?.value[0]?.permissionGroupName\n                  ? controls?.program_roles?.value[0]?.permissionGroupName\n                  : controls?.program_roles?.value[0]?.roleName\n              }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"role.popover()\"\n              placement=\"right\"\n              *ngIf=\"controls?.program_roles?.value?.length > 1\"\n            >\n              +{{ controls?.program_roles?.value?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i *ngIf=\"!lists.SYSTEM_ROLE_IDS.includes(controls?.program_roles?.value[0]?._id)\" (click)=\"remove(controls?.program_roles?.value[0],'ROLE')\" class=\"icons\">&#xe90d;</i>{{featureflagrole && controls?.program_roles?.value[0]?.permissionGroupName ? controls?.program_roles?.value[0]?.permissionGroupName : controls?.program_roles?.value[0]?.roleName}}</span>\n                            <button *ngIf=\"controls?.program_roles?.value?.length > 1\" class=\"count\" appPopover (click)=\"role.popover()\" placement=\"right\">+{{controls?.program_roles?.value?.length - 1}}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'ROLE'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('ROLE')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <p *ngIf=\"false\" class=\"error-message\">\n        {{ featureflagrole ? \"Add a permission group(s)\" : \"Add a role(s)\" }}\n      </p>\n      <app-popover #role [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let data of controls?.program_roles?.value | slice : 1\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"!lists.SYSTEM_ROLE_IDS.includes(data?._id)\"\n                    class=\"icons\"\n                    (click)=\"removeRole(data, 'ROLE')\"\n                    >&#xe90d;</i\n                  >\n                  {{\n                    featureflagrole && data?.permissionGroupName\n                      ? data?.permissionGroupName\n                      : data?.roleName\n                  }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Owners -->\n    <form-field\n      *ngIf=\"additionalOption?.OWNERS\"\n      [checked]=\"\n        controls?.program_owners.value?.length > 0 ||\n        controls?.program_owners_group.value?.length > 0\n      \"\n      [active]=\"activeList === 'OWNER'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'OWNER'\"\n      [img]=\"ASSETS.case_owners\"\n    >\n      <label class=\"vx-control-panel\"\n        >OWNER(S)\n        <span\n          class=\"icon\"\n          *ngIf=\"toolTipData.owner !== ''\"\n          libPopoverHover\n          (mouseover)=\"dataTooltip.popover()\"\n          (mouseleave)=\"dataTooltip.closePopover()\"\n          placement=\"right\"\n          ><i class=\"icons\">&#xe91f;</i></span\n        >\n        <popover-hover #dataTooltip>\n          <div class=\"vx-info-card\">\n            <div\n              class=\"vx-info-card-body\"\n              [innerHTML]=\"toolTipData.owner\"\n              id=\"OwnerHelpText\"\n            ></div>\n          </div>\n        </popover-hover>\n      </label>\n      <input-with-pill\n        [placeholder]=\"'Who is responsible for managing this program?'\"\n        (select)=\"activateList('OWNER')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.program_owners.value[0]\">\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_owners?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_owners?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"owner.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_owners?.value?.length > 1\"\n              >\n                +{{ controls?.program_owners?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_owners_group?.value?.length &&\n                controls?.program_owners?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_owners_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                *ngIf=\"\n                  !['ADMIN', 'KEY_ADMIN', 'LOGGED_IN'].includes(\n                    owner?.user_role\n                  )\n                \"\n                (click)=\"\n                  remove(\n                    controls?.program_owners_group?.value[0],\n                    'OWNER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_owners_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_owners_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"group.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_owners_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_owners_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <button\n            *ngIf=\"activeList !== 'OWNER'\"\n            [class.disabled]=\"controls?.all_user_in_role?.value\"\n            (click)=\"activateList('OWNER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <p *ngIf=\"false\" class=\"error-message\">Add a owner(s)</p>\n      <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n        <div\n          class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-2\"\n        >\n          {{\n            featureflagrole\n              ? \"ALL USERS ASSOCIATED WITH THE SELECTED PERMISSION GROUPS\"\n              : \"ALL USERS ASSOCIATED WITH THE SELECTED ROLES\"\n          }}\n        </div>\n        <switch\n          formControlName=\"all_user_in_role\"\n          (change)=\"selectAllRoleOwner($event)\"\n        ></switch>\n      </div>\n      <app-popover #owner [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"let owner of controls?.program_owners?.value | slice : 1\"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"\n                      !(\n                        lists.NON_REMOVABLE_OWNERS | listToId : 'member_id'\n                      ).includes(owner?.member_id)\n                    \"\n                    class=\"icons\"\n                    (click)=\"remove(owner, 'OWNER')\"\n                    >&#xe90d;</i\n                  >\n                  {{ owner?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #group [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let owner of controls?.program_owners_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    *ngIf=\"\n                      !['ADMIN', 'KEY_ADMIN', 'LOGGED_IN'].includes(\n                        owner?.user_role\n                      )\n                    \"\n                    class=\"icons\"\n                    (click)=\"remove(owner, 'OWNER_GROUP')\"\n                    >&#xe90d;</i\n                  >\n                  {{ owner?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Collaborator -->\n    <form-field\n      *ngIf=\"additionalOption?.COLLABORATOR\"\n      [checked]=\"\n        controls?.program_collaborator?.value?.length > 0\n      \"\n      [active]=\"activeList === 'COLLABORATOR'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'COLLABORATOR'\"\n      [img]=\"ASSETS.collaborator\"\n    >\n      <label class=\"vx-control-panel\"\n        >Collaborator(S)\n        <span\n          class=\"icon\"\n          libPopoverHover\n          (mouseover)=\"dataTooltip.popover()\"\n          (mouseleave)=\"dataTooltip.closePopover()\"\n          placement=\"right\"\n          ><i class=\"icons\">&#xe91f;</i></span\n        >\n        <popover-hover #dataTooltip>\n          <div class=\"vx-info-card\">\n            <div\n              class=\"vx-info-card-body\"\n              [innerHTML]=\"toolTipData.collaborator\"\n              id=\"CollaboratorHelpText\"\n            ></div>\n          </div>\n        </popover-hover>\n      </label>\n      <input-with-pill\n        [placeholder]=\"COLLABORATOR_PLACEHODLER\"\n        (select)=\"activateList('COLLABORATOR')\"\n      >\n        <div class=\"selected\" *ngIf=\"controls?.program_collaborator?.value[0]\">\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_collaborator?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_collaborator?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4 greenBg\"\n                appPopover\n                (click)=\"collaborator.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_collaborator?.value?.length > 1\"\n              >\n                +{{ controls?.program_collaborator?.value?.length - 1 }}\n              </button>\n            </div>\n            \n          </div>\n\n          <button\n            *ngIf=\"activeList !== 'COLLABORATOR'\"\n            [class.disabled]=\"controls?.all_user_in_role?.value\"\n            (click)=\"activateList('COLLABORATOR')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i>Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n        <div\n          class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-2\"\n        >\n        </div>\n      </div>\n      <app-popover #collaborator [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"let collaborator of controls?.program_collaborator?.value | slice : 1\"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    class=\"icons\"\n                    (click)=\"remove(collaborator, 'COLLABORATOR')\"\n                    >&#xe90d;</i\n                  >\n                  {{ collaborator?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Performance Calculated -->\n    <!-- <form-field [checked]=\"controls?.performance_calculation?.value\" [active]=\"activeList === 'PERFORMANCE'\" [disabled]=\"sideElements.includes(activeList) && activeList !== 'PERFORMANCE'\"\n            [img]=\"'https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/performance-calc.svg'\">\n            <label class=\"vx-control-panel\">HOW SHOULD THE PERFORMANCE OF THIS PROGRAM BE CALCULATED?</label>\n            <tab-selector formControlName=\"performance_calculation\" [displayArray]=\"constants?.performanceCalculation\">\n            </tab-selector>\n        </form-field> -->\n    <ng-container *ngIf=\"isProgramScope\">\n      <div\n        class=\"scope-label vx-fs-10 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1 vx-mb-5 vx-lh-4 vx-d-inline-block\"\n      >\n        PROGRAM SCOPE\n      </div>\n      <!-- <i  class=\"icons info-icon vx-fs-12 vx-txt-blue vx-ml-1\" [appTooltip]=\"tooltip.programScope\" placement=\"bottom\" delay=\"0\" type=\"white\" [tooltipMandatory]=\"true\">&#xe91f;</i> -->\n      <span\n        class=\"icon info-icon vx-fs-12 vx-txt-blue vx-ml-1\"\n        *ngIf=\"toolTipData.programScop !== ''\"\n        libPopoverHover\n        (mouseover)=\"dataTooltip.popover()\"\n        (mouseleave)=\"dataTooltip.closePopover()\"\n        placement=\"right\"\n        ><i class=\"icons\">&#xe91f;</i></span\n      >\n      <popover-hover #dataTooltip>\n        <div class=\"vx-info-card\">\n          <div\n            class=\"vx-info-card-body\"\n            [innerHTML]=\"toolTipData.programScope\"\n            id=\"PSHelpText\"\n          ></div>\n        </div>\n      </popover-hover>\n    </ng-container>\n\n    <!-- Program Frequency -->\n    <form-field\n      *ngIf=\"additionalOption?.PROGRAM_FREQUENCY\"\n      [checked]=\"[true, false].includes(controls?.recurring_frequency?.value)\"\n      [active]=\"activeList === 'FREQUENCY'\"\n      [disabled]=\"\n        sideElements.includes(activeList) && activeList !== 'FREQUENCY'\n      \"\n      [img]=\"ASSETS.recurring\"\n    >\n      <label class=\"vx-control-panel\" id=\"PDChange\"\n        >PROGRAM DURATION\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Program Duration refers to the duration of the Program. A Program can occur in perpetuity, or it can occur until the end of the current business cycle that has been specified in ' +\n            businessCycle.selectedCycle.business_cycle +\n            '.  All responsibilities linked with that Program will also have the same Program Duration.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"ProgramDurationHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <div class=\"upload-format\">\n        <div class=\"vx-d-flex vx-align-center vx-justify-between\">\n          <span class=\"text vx-mb-0\">Is this program recurring?</span>\n          <div class=\"radio-group program\">\n            <app-cs-radio\n              [name]=\"'recurring_frequency'\"\n              [checked]=\"controls?.recurring_frequency?.value\"\n              (checkedEvent)=\"setFormField('recurring_frequency', true)\"\n              >YES</app-cs-radio\n            >\n            <app-cs-radio\n              [name]=\"'recurring_frequency'\"\n              [checked]=\"!controls?.recurring_frequency?.value\"\n              (checkedEvent)=\"setFormField('recurring_frequency', false)\"\n              >NO</app-cs-radio\n            >\n          </div>\n        </div>\n      </div>\n    </form-field>\n\n    <!-- Scope Changes -->\n    <form-field\n      *ngIf=\"additionalOption?.SCOPE_CHANGES\"\n      [checked]=\"[true, false].includes(controls?.lock_scope_change?.value)\"\n      [active]=\"activeList === 'SCOPE'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'SCOPE'\"\n      [img]=\"ASSETS.lock_scope\"\n    >\n      <label class=\"vx-control-panel\"\n        >Lock the Program Scope\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'If the Program Scope is locked, neither the Program nor the responsibilities linked with the Program can be edited once the Program begins. In order to edit the Program or the linked responsibilities, the Program details will need to be edited.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"ScopeChangesHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <div class=\"upload-format\">\n        <span class=\"text\"\n          >Would you like to\n          <span class=\"vx-label-txt vx-fw-500\">lock changes</span> to the\n          program scope?</span\n        >\n        <div class=\"radio-group program\">\n          <app-cs-radio\n            [name]=\"'lock_scope_change'\"\n            [checked]=\"controls?.lock_scope_change?.value\"\n            (checkedEvent)=\"setFormField('lock_scope_change', true)\"\n            >YES</app-cs-radio\n          >\n          <app-cs-radio\n            [name]=\"'lock_scope_change'\"\n            [checked]=\"!controls?.lock_scope_change?.value\"\n            (checkedEvent)=\"setFormField('lock_scope_change', false)\"\n            >NO</app-cs-radio\n          >\n        </div>\n      </div>\n    </form-field>\n\n    <!-- Framework -->\n    <!-- <form-field [checked]=\"false\" [active]=\"activeList === 'FRAMEWORK'\" [disabled]=\"sideElements.includes(activeList) && activeList !== 'FRAMEWORK'\"\n            [img]=\"'https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/category.svg'\">\n            <label class=\"vx-control-panel\">FRAMEWORK</label>\n            <input-with-pill [placeholder]=\"'Select a framework that this Program relates to'\" (select)=\"activateList('FRAMEWORK')\">\n                <div class=\"selected\" *ngIf=\"controls?.framework?.value?.framework_name\">\n                    <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i (click)=\"remove(controls?.framework.value,'FRAMEWORK')\" class=\"icons\">&#xe90d;</i>{{controls?.framework?.value?.framework_name}}</span>\n                            <button class=\"count\" appPopover (click)=\"framework.popover()\" placement=\"right\">+5</button>\n                        </div>\n                    </div>\n                    <button *ngIf=\"activeList!=='FRAMEWORK'\" (click)=\"activateList('FRAMEWORK')\" class=\"edit\" type=\"button\"><i class=\"icons\">&#xe9ba;</i> Edit</button>\n                </div>\n            </input-with-pill>\n            <app-popover #framework [dontCloseonClick]=\"true\">\n                <div class=\"wf-action-list\">\n                    <ul class=\"action-item\">\n                        <li *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n                            <div class=\"avatar-card\">\n                                <span class=\"value\">\n                                    <i class=\"icons\">&#xe90d;</i>\n                                    Manage framework name\n                                </span>\n                            </div>\n                        </li>\n                    </ul>\n                </div>\n            </app-popover>\n        </form-field> -->\n\n    <!-- Responsibility Center -->\n    <form-field\n      *ngIf=\"additionalOption?.RC\"\n      [checked]=\"controls?.rc?.value?.length\"\n      [active]=\"activeList === 'RC'\"\n      [disabled]=\"sideElements.includes(activeList) && activeList !== 'RC'\"\n      [img]=\"ASSETS.responsibility_center\"\n    >\n      <label class=\"vx-control-panel\"\n        >RESPONSIBILITY CENTER\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Responsibility Centers represent your organizational and operational infrastructure. Where Responsibility Centers are selected when creating a Program, only those Responsibilities Centers will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"RCHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        (select)=\"activateList('RC')\"\n        [placeholder]=\"\n          'Which Responsibility Center(s) can be linked to the responsibilities associated with this Program?'\n        \"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"controls?.rc?.value && controls?.rc?.value?.length\"\n        >\n          <div class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\">\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove(controls?.rc?.value[0], 'RC')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"controls?.rc?.value[0]?.item_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ controls?.rc?.value[0]?.item_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"rc.popover()\"\n              placement=\"right\"\n              *ngIf=\"controls?.rc?.value?.length > 1\"\n            >\n              +{{ controls?.rc?.value?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\">\n                            <span class=\"chip\"><i class=\"icons\" (click)=\"remove(controls?.rc?.value[0],'RC')\">&#xe90d;</i>{{controls?.rc?.value[0]?.item_name}}</span>\n                            <button *ngIf=\"controls?.rc?.value?.length  > 1\" class=\"count\" appPopover (click)=\"rc.popover()\" placement=\"right\">+{{controls?.rc?.value?.length -1 }}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'RC'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('RC')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #rc [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li *ngFor=\"let rc of controls?.rc?.value | slice : 1\">\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"remove(rc, 'RC')\">&#xe90d;</i>\n                  {{ rc?.item_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n    </form-field>\n\n    <!-- Assignee -->\n    <form-field\n      *ngIf=\"additionalOption?.ASSIGNEES\"\n      [checked]=\"\n        controls?.program_assignee?.value?.length ||\n        controls?.program_default_assignee?.value?.length ||\n        controls?.program_default_assignee?.value?.length ||\n        controls?.program_default_assignee_group?.value?.length\n      \"\n      [active]=\"['ASSIGNEE', 'DEFAULT_ASSIGNEE']?.includes(activeList)\"\n      [disabled]=\"\n        sideElements?.includes(activeList) &&\n        !['ASSIGNEE', 'DEFAULT_ASSIGNEE'].includes(activeList)\n      \"\n      [img]=\"ASSETS.case_assignees\"\n    >\n      <label\n        class=\"vx-control-panel\"\n        [class.disabled]=\"activeList === 'DEFAULT_ASSIGNEE'\"\n        >ASSIGNEES\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Assignees are required to complete the responsibilities that have been assigned to them. Where Assignees are selected when creating a Program, only those Assignees will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"AssigneeHelpText\"\n          >&#xeb16;</i\n        >\n      </label>\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'DEFAULT_ASSIGNEE'\"\n        [placeholder]=\"\n          'Who is responsible for completing the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('ASSIGNEE')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_assignee?.value?.length ||\n            controls?.program_assignee_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_assignee?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(controls?.program_assignee?.value[0], 'ASSIGNEE')\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_assignee?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_assignee?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"assignee.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_assignee?.value?.length > 1\"\n              >\n                +{{ controls?.program_assignee?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_assignee_group?.value?.length &&\n                controls?.program_assignee?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_assignee_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_assignee_group?.value[0],\n                    'ASSIGNEE_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_assignee_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_assignee_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"assignee_group.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_assignee_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_assignee_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_assignee?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_assignee?.value[0],'ASSIGNEE')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_assignee?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_assignee?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_assignee?.value?.length > 1\" class=\"count user\" appPopover (click)=\"assignee.popover()\" placement=\"right\">+{{controls?.program_assignee?.value?.length -1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_assignee_group?.value?.length && controls?.program_assignee?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_assignee_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_assignee_group?.value[0],'ASSIGNEE_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_assignee_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_assignee_group?.value[0]?.group_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_assignee_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"assignee_group.popover()\" placement=\"right\">+{{controls?.program_assignee_group?.value?.length -1 }}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'ASSIGNEE'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('ASSIGNEE')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #assignee [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let assignee of controls?.program_assignee?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(assignee, 'ASSIGNEE')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ assignee?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #assignee_group [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_assignee_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(group, 'ASSIGNEE_GROUP')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <label\n        class=\"vx-control-panel\"\n        [class.disabled]=\"activeList === 'ASSIGNEE'\"\n        >DEFAULT ASSIGNEE\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'This option lets you specify the Default Assignees for all new responsibilities linked with a Program. If a Default Assignees is selected, the user will automatically be selected the Assignee when creating a responsibility linked with the Program. An Assignor, being the person who creates the responsibility, can override this option when creating a responsibility. '\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"DAHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'ASSIGNEE'\"\n        [placeholder]=\"\n          'Which persons will be selected as the default assignees for the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('DEFAULT_ASSIGNEE')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_default_assignee?.value?.length ||\n            controls?.program_default_assignee_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_assignee?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_assignee?.value[0],\n                    'DEFAULT_ASSIGNEE'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_assignee?.value[0]?.member_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_assignee?.value[0]?.member_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultAssignee.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_default_assignee?.value?.length > 1\"\n              >\n                +{{ controls?.program_default_assignee?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_default_assignee_group?.value?.length &&\n                controls?.program_default_assignee?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_assignee_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_assignee_group?.value[0],\n                    'DEFAULT_ASSIGNEE_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_assignee_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_assignee_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultAssigneeGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"\n                  controls?.program_default_assignee_group?.value?.length > 1\n                \"\n              >\n                +{{\n                  controls?.program_default_assignee_group?.value?.length - 1\n                }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_assignee?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_assignee?.value[0],'DEFAULT_ASSIGNEE')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_default_assignee?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{ controls?.program_default_assignee?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_assignee?.value?.length > 1\" class=\"count user\" appPopover (click)=\"defaultAssignee.popover()\" placement=\"right\">+{{controls?.program_default_assignee?.value?.length - 1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_default_assignee_group?.value?.length && controls?.program_default_assignee?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_assignee_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_assignee_group?.value[0],'DEFAULT_ASSIGNEE_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_assignee_group?.value[0]?.group_name }}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_assignee_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"defaultAssigneeGroup.popover()\" placement=\"right\">+{{controls?.program_default_assignee_group?.value?.length -1 }}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'DEFAULT_ASSIGNEE'\"\n            (click)=\"activateList('DEFAULT_ASSIGNEE')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #defaultAssignee [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let assignee of controls?.program_default_assignee?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(assignee, 'DEFAULT_ASSIGNEE')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ assignee?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #defaultAssigneeGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_default_assignee_group?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(assignee, 'DEFAULT_ASSIGNEE_GROUP')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <div\n        class=\"radio-group-selector\"\n        [class.disabled]=\"activeList === 'ASSIGNEE'\"\n      >\n        <app-cs-radio\n          [name]=\"'assignee'\"\n          [checked]=\"controls?.assignee_completion_criteria?.value === 'ALL'\"\n          (checkedEvent)=\"setFormField('assignee_completion_criteria', 'ALL')\"\n        >\n          ALL SELECTED PERSONS NEED TO COMPLETE THIS\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'If selected, separate responsibilities will be created for each person.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-cs-radio\n          [name]=\"'assignee'\"\n          [checked]=\"controls?.assignee_completion_criteria?.value === 'ANYONE'\"\n          (checkedEvent)=\"\n            setFormField('assignee_completion_criteria', 'ANYONE')\n          \"\n        >\n          ANY SELECTED PERSON CAN COMPLETE THIS\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'If selected, only one responsibility will be created.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n      </div>\n    </form-field>\n\n    <!-- Reviewer -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.REVIEWER\"\n      [checked]=\"\n        controls?.program_reviewer?.value?.length ||\n        controls?.program_default_reviewer?.value?.length ||\n        controls?.program_default_reviewer?.value?.length ||\n        controls?.program_default_reviewer_group?.value?.length\n      \"\n      [active]=\"['REVIEWER', 'DEFAULT_REVIEWER']?.includes(activeList)\"\n      [disabled]=\"\n        sideElements?.includes(activeList) &&\n        !['REVIEWER', 'DEFAULT_REVIEWER'].includes(activeList)\n      \"\n      [img]=\"ASSETS.reviewer\"\n    >\n      <label\n        [class.disabled]=\"activeList === 'DEFAULT_REVIEWER'\"\n        class=\"vx-control-panel\"\n        >Reviewers\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Reviewers are required to review responsibilities after they have been completed. Where Reviewers are selected when creating a Program, only those Reviewers will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"ReviewerHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'DEFAULT_REVIEWER'\"\n        [placeholder]=\"\n          'Who is responsible for reviewing the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('REVIEWER')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_reviewer?.value?.length ||\n            controls?.program_reviewer_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_reviewer?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(controls?.program_reviewer?.value[0], 'REVIEWER')\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_reviewer?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_reviewer?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"reviewer.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_reviewer?.value?.length > 1\"\n              >\n                +{{ controls?.program_reviewer?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_reviewer_group?.value?.length &&\n                controls?.program_reviewer?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_reviewer_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_reviewer_group?.value[0],\n                    'REVIEWER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_reviewer_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_reviewer_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"reviewerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_reviewer_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_reviewer_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_reviewer?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_reviewer?.value[0],'REVIEWER')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_reviewer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_reviewer?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_reviewer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"reviewer.popover()\" placement=\"right\">+{{controls?.program_reviewer?.value?.length -1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_reviewer_group?.value?.length && controls?.program_reviewer?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_reviewer_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_reviewer_group?.value[0],'REVIEWER_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_reviewer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_reviewer_group?.value[0]?.group_name}}\n                              </span>\n                            </span>\n                            <button *ngIf=\"controls?.program_reviewer_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"reviewerGroup.popover()\" placement=\"right\">+{{controls?.program_reviewer_group?.value?.length - 1}}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'REVIEWER'\"\n            (click)=\"activateList('REVIEWER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #reviewer [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let reviewer of controls?.program_reviewer?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(reviewer, 'REVIEWER')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ reviewer?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #reviewerGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_reviewer_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(group, 'REVIEWER_GROUP')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <label\n        [class.disabled]=\"activeList === 'REVIEWER'\"\n        class=\"vx-control-panel\"\n        >DEFAULT Reviewer\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'This option lets you specify the Default Reviewers for responsibilities linked with a Program. Where a user has been specified as a Default Reviewer, that user will automatically be selected as the Reviewer when creating a responsibility linked with the Program. An Assignor, being the person who creates the responsibility, can override this option when creating a responsibility.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"DRHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"activeList === 'REVIEWER'\"\n        [placeholder]=\"\n          'Which persons will be selected as the default reviewers for the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('DEFAULT_REVIEWER')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_default_reviewer?.value?.length ||\n            controls?.program_default_reviewer_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_reviewer?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_reviewer?.value[0],\n                    'DEFAULT_REVIEWER'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_reviewer?.value[0]?.member_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_reviewer?.value[0]?.member_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultReviewer.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_default_reviewer?.value?.length > 1\"\n              >\n                +{{ controls?.program_default_reviewer?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              *ngIf=\"\n                controls?.program_default_reviewer_group?.value?.length &&\n                controls?.program_default_reviewer?.value?.length\n              \"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_default_reviewer_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_default_reviewer_group?.value[0],\n                    'DEFAULT_REVIEWER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_default_reviewer_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_default_reviewer_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"defaultReviewerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"\n                  controls?.program_default_reviewer_group?.value?.length > 1\n                \"\n              >\n                +{{\n                  controls?.program_default_reviewer_group?.value?.length - 1\n                }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_reviewer?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_reviewer?.value[0],'DEFAULT_REVIEWER')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_default_reviewer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_reviewer?.value[0]?.member_name}}</span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_reviewer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"defaultReviewer.popover()\" placement=\"right\">+{{controls?.program_default_reviewer?.value?.length - 1}}</button>\n                        </div>\n                        <span class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\" *ngIf=\"controls?.program_default_reviewer_group?.value?.length && controls?.program_default_reviewer?.value?.length\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_default_reviewer_group?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_reviewer_group?.value[0],'DEFAULT_REVIEWER_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_default_reviewer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_reviewer_group?.value[0]?.group_name}}\n                              </span>\n                            </span>\n                            <button *ngIf=\"controls?.program_default_reviewer_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"defaultReviewerGroup.popover()\" placement=\"right\">+{{controls?.program_default_reviewer_group?.value?.length -1}}</button>\n                        </div>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'DEFAULT_REVIEWER'\"\n            (click)=\"activateList('DEFAULT_REVIEWER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #defaultReviewer [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let reviewer of controls?.program_default_reviewer?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(reviewer, 'DEFAULT_REVIEWER')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ reviewer?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #defaultReviewerGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_default_reviewer_group?.value\n                  | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i\n                    (click)=\"remove(group, 'DEFAULT_REVIEWER_GROUP')\"\n                    class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <div\n        class=\"radio-group-selector\"\n        [class.disabled]=\"activeList === 'REVIEWER'\"\n      >\n        <app-cs-radio\n          [name]=\"'reviewer'\"\n          [checked]=\"\n            controls?.reviewer_completion_criteria?.value === 'SEQUENTIAL'\n          \"\n          (checkedEvent)=\"\n            setFormField('reviewer_completion_criteria', 'SEQUENTIAL')\n          \"\n          [class.disabled]=\"\n            controls?.program_default_reviewer_group?.value?.length > 0\n          \"\n        >\n          SEQUENTIAL\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review one at a time in the sequence defined by you.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n        <app-cs-radio\n          [name]=\"'reviewer'\"\n          [checked]=\"\n            controls?.reviewer_completion_criteria?.value === 'ANYONE' ||\n            controls?.program_default_reviewer_group?.value?.length > 0\n          \"\n          (checkedEvent)=\"\n            setFormField('reviewer_completion_criteria', 'ANYONE')\n          \"\n        >\n          ANY REVIEWER CAN MARK THIS AS REVIEWED\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'The responsibility will be sent for review to all reviewers at the same time. If anyone of the reviewer reviews the responsibility, it will be considered as reviewed.'\n            \"\n            placement=\"bottom-right\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            >&#xe91f;</i\n          >\n        </app-cs-radio>\n      </div>\n    </form-field>\n\n    <!-- Overseer -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.OVERSEER\"\n      [checked]=\"\n        controls?.program_overseer?.value?.length ||\n        controls?.program_default_overseer?.value?.length ||\n        controls?.program_default_overseer?.value?.length ||\n        controls?.program_default_overseer_group?.value?.length\n      \"\n      [active]=\"activeList === 'OVERSEER'\"\n      [disabled]=\"\n        sideElements?.includes(activeList) &&\n        !['OVERSEER', 'DEFAULT_OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(\n          activeList\n        )\n      \"\n      [img]=\"ASSETS.oversight\"\n    >\n      <label\n        class=\"vx-control-panel\"\n        [class.disabled]=\"\n          ['DEFAULT_OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(activeList)\n        \"\n        >Oversights\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Oversights receive updates when a responsibility is completed, completed with delay or not completed. Where Oversights are selected when creating a Program, only those Oversights will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"overseerHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [disabled]=\"\n          ['DEFAULT_OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(activeList)\n        \"\n        [placeholder]=\"\n          'Who is responsible for overseeing the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('OVERSEER')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"\n            controls?.program_overseer?.value?.length ||\n            controls?.program_overseer_group?.value?.length\n          \"\n        >\n          <div class=\"vx-d-flex vx-align-center\">\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_overseer?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(controls?.program_overseer?.value[0], 'OVERSEER')\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"controls?.program_overseer?.value[0]?.member_name\"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{ controls?.program_overseer?.value[0]?.member_name }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseers.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_overseer?.value?.length > 1\"\n              >\n                +{{ controls?.program_overseer?.value?.length - 1 }}\n              </button>\n            </div>\n            <span\n              *ngIf=\"\n                controls?.program_overseer_group?.value?.length &&\n                controls?.program_overseer?.value?.length\n              \"\n              class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n              >&</span\n            >\n            <div\n              class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n              *ngIf=\"controls?.program_overseer_group?.value?.length\"\n            >\n              <i\n                class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                (click)=\"\n                  remove(\n                    controls?.program_overseer_group?.value[0],\n                    'OVERSEER_GROUP'\n                  )\n                \"\n                >&#xe9ae;</i\n              >\n              <span\n                class=\"chipName vx-fs-11 vx-label-txt\"\n                [appTooltip]=\"\n                  controls?.program_overseer_group?.value[0]?.group_name\n                \"\n                placement=\"bottom-left\"\n                delay=\"0\"\n                type=\"black\"\n                [tooltipMandatory]=\"false\"\n                >{{\n                  controls?.program_overseer_group?.value[0]?.group_name\n                }}</span\n              >\n              <button\n                class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                appPopover\n                (click)=\"overseerGroup.popover()\"\n                placement=\"right\"\n                *ngIf=\"controls?.program_overseer_group?.value?.length > 1\"\n              >\n                +{{ controls?.program_overseer_group?.value?.length - 1 }}\n              </button>\n            </div>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_overseer?.value?.length\">\n                          <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_overseer?.value[0],'OVERSEER')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_overseer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                              <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">\n                                {{controls?.program_overseer?.value[0]?.member_name}}\n                              </span>\n                            </span>\n                            <button *ngIf=\"controls?.program_overseer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"overseers.popover()\" placement=\"right\">+{{controls?.program_overseer?.value?.length -1}}</button>\n                        </div>\n                        <span *ngIf=\"controls?.program_overseer_group?.value?.length && controls?.program_overseer?.value?.length \" class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\">&</span>\n                        <div class=\"chip-inner\" *ngIf=\"controls?.program_overseer_group?.value?.length \">\n                            <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_overseer_group?.value[0],'OVERSEER_GROUP')\" >&#xe90d;</i>\n                            <span class=\"chip\" [appTooltip]=\"controls?.program_overseer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                                <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_overseer_group?.value[0]?.group_name}}</span></span>\n                            <button *ngIf=\"controls?.program_overseer_group?.value?.length> 1\" class=\"count\" appPopover (click)=\"overseerGroup.popover()\" placement=\"right\">+{{controls?.program_overseer_group?.value?.length -1}}</button>\n                        </div>\n                    </div> -->\n\n          <button\n            *ngIf=\"activeList !== 'OVERSEER'\"\n            (click)=\"activateList('OVERSEER')\"\n            class=\"edit\"\n            type=\"button\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #overseers [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let overseer of controls?.program_overseer?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i class=\"icons\" (click)=\"remove(overseer, 'OVERSEER')\"\n                    >&#xe90d;</i\n                  >\n                  {{ overseer?.member_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <app-popover #overseerGroup [dontCloseonClick]=\"true\">\n        <div class=\"wf-action-list\">\n          <ul class=\"action-item\">\n            <li\n              *ngFor=\"\n                let group of controls?.program_overseer_group?.value | slice : 1\n              \"\n            >\n              <div class=\"avatar-card\">\n                <span class=\"value\">\n                  <i (click)=\"remove(group, 'OVERSEER_GROUP')\" class=\"icons\"\n                    >&#xe90d;</i\n                  >\n                  {{ group?.group_name }}\n                </span>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </app-popover>\n      <ng-container [class.disabled]=\"activeList === 'OVERSEER'\">\n        <label\n          class=\"vx-control-panel\"\n          [class.disabled]=\"['OVERSEER'].includes(activeList)\"\n          >DEFAULT Oversight\n          <i\n            class=\"icons\"\n            [appTooltip]=\"\n              'This option lets you specify the Default Oversight for responsibilities linked with a Program. Where a user has been specified as a Default Oversight, that user will automatically be selected as the Oversight when creating a responsibility linked with the Program.'\n            \"\n            placement=\"bottom\"\n            delay=\"0\"\n            type=\"white\"\n            [tooltipMandatory]=\"true\"\n            id=\"DOHelpText\"\n            >&#xeb16;</i\n          ></label\n        >\n        <input-with-pill\n          [disabled]=\"\n            ['OVERSEER', 'DEFAULT_FAILED_OVERSEER'].includes(activeList)\n          \"\n          [selectDiv]=\"true\"\n          [placeholder]=\"\n            'Which persons will be selected as the default overseers for the responsibilities within this Program?'\n          \"\n          (select)=\"activateList('DEFAULT_OVERSEER')\"\n        >\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              controls?.program_default_overseer?.value?.length ||\n              controls?.program_default_overseer_group?.value?.length\n            \"\n          >\n            <div class=\"vx-d-flex vx-align-center\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"controls?.program_default_overseer?.value?.length\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_overseer?.value[0],\n                      'DEFAULT_OVERSEER'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_overseer?.value[0]?.member_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_overseer?.value[0]?.member_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseersDefault.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"controls?.program_default_overseer?.value?.length > 1\"\n                >\n                  +{{ controls?.program_default_overseer?.value?.length - 1 }}\n                </button>\n              </div>\n              <span\n                *ngIf=\"\n                  controls?.program_default_overseer_group?.value?.length &&\n                  controls?.program_default_overseer?.value?.length\n                \"\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                >&</span\n              >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"controls?.program_default_overseer_group?.value?.length\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_overseer_group?.value[0],\n                      'DEFAULT_OVERSEER_GROUP'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_overseer_group?.value[0]\n                      ?.group_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_overseer_group?.value[0]\n                      ?.group_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerDefaultGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"\n                    controls?.program_default_overseer_group?.value?.length > 1\n                  \"\n                >\n                  +{{\n                    controls?.program_default_overseer_group?.value?.length - 1\n                  }}\n                </button>\n              </div>\n            </div>\n\n            <!-- <div class=\"chip-container\">\n                    <div class=\"chip-inner\" *ngIf=\"controls?.program_default_overseer?.value?.length\">\n                      <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_overseer?.value[0],'DEFAULT_OVERSEER')\" >&#xe90d;</i>\n                        <span class=\"chip\" [appTooltip]=\"controls?.program_default_overseer?.value[0]?.member_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                          <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_overseer?.value[0]?.member_name}}</span></span>\n                        <button *ngIf=\"controls?.program_default_overseer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"overseersDefault.popover()\" placement=\"right\">+{{controls?.program_default_overseer?.value?.length -1}}</button>\n                    </div>\n                    <span *ngIf=\"controls?.program_default_overseer_group?.value?.length && controls?.program_default_overseer?.value?.length\" class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\">&</span>\n                    <div class=\"chip-inner\" *ngIf=\"controls?.program_default_overseer_group?.value?.length \">\n                        <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_overseer_group?.value[0],'DEFAULT_OVERSEER_GROUP')\" >&#xe90d;</i>\n                        <span class=\"chip\"  [appTooltip]=\"controls?.program_default_overseer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                            <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_overseer_group?.value[0]?.group_name}}</span>\n                        </span>\n                        <button *ngIf=\"controls?.program_default_overseer_group?.value?.length >1\" class=\"count\" appPopover (click)=\"overseerDefaultGroup.popover()\" placement=\"right\">+{{controls?.program_default_overseer_group?.value?.length -1}}</button>\n                    </div>\n                </div> -->\n            <button\n              *ngIf=\"activeList !== 'DEFAULT_OVERSEER'\"\n              (click)=\"activateList('DEFAULT_OVERSEER')\"\n              class=\"edit\"\n              type=\"button\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n        </input-with-pill>\n        <app-popover #overseersDefault [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of controls?.program_default_overseer?.value\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove(overseer, 'DEFAULT_OVERSEER')\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerDefaultGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of controls?.program_default_overseer_group?.value\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      (click)=\"remove(group, 'DEFAULT_OVERSEER_GROUP')\"\n                      class=\"icons\"\n                      >&#xe90d;</i\n                    >\n                    {{ group?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <label class=\"vx-control-panel\"> </label>\n        <input-with-pill\n          class=\"vx-mt-2\"\n          [selectDiv]=\"true\"\n          [line]=\"3\"\n          [disabled]=\"['OVERSEER', 'DEFAULT_OVERSEER'].includes(activeList)\"\n          [placeholder]=\"\n            'Which persons will be selected as the default overseers for responsibilities that are not completed within this Program?'\n          \"\n          (select)=\"activateList('DEFAULT_FAILED_OVERSEER')\"\n        >\n          <div\n            class=\"selected\"\n            *ngIf=\"\n              controls?.program_default_failed_overseer?.value?.length ||\n              controls?.program_default_failed_overseer_group?.value?.length\n            \"\n          >\n            <div class=\"vx-d-flex vx-align-center\">\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"controls?.program_default_failed_overseer?.value?.length\"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_failed_overseer?.value[0],\n                      'DEFAULT_FAILED_OVERSEER'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_failed_overseer?.value[0]\n                      ?.member_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_failed_overseer?.value[0]\n                      ?.member_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseersDefaultFail.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"\n                    controls?.program_default_failed_overseer?.value?.length > 1\n                  \"\n                >\n                  +{{\n                    controls?.program_default_failed_overseer?.value?.length - 1\n                  }}\n                </button>\n              </div>\n              <span\n                *ngIf=\"\n                  controls?.program_default_failed_overseer_group?.value\n                    ?.length &&\n                  controls?.program_default_failed_overseer?.value?.length\n                \"\n                class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\"\n                >&</span\n              >\n              <div\n                class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n                *ngIf=\"\n                  controls?.program_default_failed_overseer_group?.value?.length\n                \"\n              >\n                <i\n                  class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n                  (click)=\"\n                    remove(\n                      controls?.program_default_failed_overseer_group?.value[0],\n                      'DEFAULT_FAILED_OVERSEER_GROUP'\n                    )\n                  \"\n                  >&#xe9ae;</i\n                >\n                <span\n                  class=\"chipName vx-fs-11 vx-label-txt\"\n                  [appTooltip]=\"\n                    controls?.program_default_failed_overseer_group?.value[0]\n                      ?.group_name\n                  \"\n                  placement=\"bottom-left\"\n                  delay=\"0\"\n                  type=\"black\"\n                  [tooltipMandatory]=\"false\"\n                  >{{\n                    controls?.program_default_failed_overseer_group?.value[0]\n                      ?.group_name\n                  }}</span\n                >\n                <button\n                  class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n                  appPopover\n                  (click)=\"overseerDefaultFailGroup.popover()\"\n                  placement=\"right\"\n                  *ngIf=\"\n                    controls?.program_default_failed_overseer_group?.value\n                      ?.length > 1\n                  \"\n                >\n                  +{{\n                    controls?.program_default_failed_overseer_group?.value\n                      ?.length - 1\n                  }}\n                </button>\n              </div>\n            </div>\n\n            <!-- <div class=\"chip-container\">\n                <div class=\"chip-inner\" *ngIf=\"controls?.program_default_failed_overseer?.value?.length\">\n                  <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_failed_overseer?.value[0],'DEFAULT_FAILED_OVERSEER')\" >&#xe90d;</i>\n                    <span class=\"chip\">\n                      <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_failed_overseer?.value[0]?.member_name}}</span>\n                    </span>\n                    <button *ngIf=\"controls?.program_default_failed_overseer?.value?.length > 1\" class=\"count user\" appPopover (click)=\"overseersDefaultFail.popover()\" placement=\"right\">+{{controls?.program_default_failed_overseer?.value?.length -1}}</button>\n                </div>\n                <span *ngIf=\"controls?.program_default_failed_overseer_group?.value?.length && controls?.program_default_failed_overseer?.value?.length\" class=\"vx-fs-12 vx-paragraph-txt vx-ml-2 vx-mr-2\">&</span>\n                <div class=\"chip-inner\" *ngIf=\"controls?.program_default_failed_overseer_group?.value?.length \">\n                    <i class=\"icons cross vx-mr-1\" (click)=\"remove(controls?.program_default_failed_overseer_group?.value[0],'DEFAULT_FAILED_OVERSEER_GROUP')\" >&#xe90d;</i>\n                    <span class=\"chip\" [appTooltip]=\"controls?.program_default_failed_overseer_group?.value[0]?.group_name\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"false\">\n                        <span class=\"vx-fs-11 vx-paragraph-txt vx-fw-500 vx-tt-uppercase\">{{controls?.program_default_failed_overseer_group?.value[0]?.group_name}}</span>\n                    </span>\n                    <button *ngIf=\"controls?.program_default_failed_overseer_group?.value?.length > 1\" class=\"count\" appPopover (click)=\"overseerDefaultFailGroup.popover()\" placement=\"right\">+{{controls?.program_default_failed_overseer_group?.value?.length -1}}</button>\n                </div>\n            </div> -->\n            <button\n              *ngIf=\"activeList !== 'DEFAULT_FAILED_OVERSEER'\"\n              (click)=\"activateList('DEFAULT_FAILED_OVERSEER')\"\n              class=\"edit\"\n              type=\"button\"\n            >\n              <i class=\"icons\">&#xe9ba;</i> Edit\n            </button>\n          </div>\n        </input-with-pill>\n        <app-popover #overseersDefaultFail [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let overseer of controls?.program_default_failed_overseer\n                    ?.value | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      class=\"icons\"\n                      (click)=\"remove(overseer, 'DEFAULT_FAILED_OVERSEER')\"\n                      >&#xe90d;</i\n                    >\n                    {{ overseer?.member_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n        <app-popover #overseerDefaultFailGroup [dontCloseonClick]=\"true\">\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let group of controls?.program_default_failed_overseer_group\n                    ?.value | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i\n                      (click)=\"remove(group, 'DEFAULT_FAILED_OVERSEER_GROUP')\"\n                      class=\"icons\"\n                      >&#xe90d;</i\n                    >\n                    {{ group?.group_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </app-popover>\n      </ng-container>\n    </form-field>\n\n    <!-- Assessment -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.ASSESSMENT\"\n      [checked]=\"controls?.program_assessments?.value?.length\"\n      [active]=\"activeList === 'ASSESSMENT'\"\n      [disabled]=\"\n        sideElements.includes(activeList) && activeList !== 'ASSESSMENT'\n      \"\n      [img]=\"ASSETS.assessments\"\n    >\n      <label class=\"vx-control-panel\"\n        >ASSESSMENTS\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Assessments are a digital form that are created in \u201CAssessment\u201D within the Compliance Module. Where Assessments are selected when creating a Program, only those Assessments will be available for selection when creating a responsibility linked with the Program.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"AssessmentHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <input-with-pill\n        [selectDiv]=\"true\"\n        [placeholder]=\"\n          'Which assessments can be linked to the responsibilities within this Program?'\n        \"\n        (select)=\"activateList('ASSESSMENT')\"\n      >\n        <div\n          class=\"selected\"\n          *ngIf=\"controls?.program_assessments?.value?.length\"\n        >\n          <div\n            class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2\"\n            *ngIf=\"\n              controls?.program_assessments?.value\n                | assessmentResolver as assessments\n            \"\n          >\n            <i\n              class=\"icons cross vx-fs-10 vx-paragraph-txt vx-mr-1\"\n              (click)=\"remove(assessments[0], 'ASSESSMENT')\"\n              >&#xe9ae;</i\n            >\n            <span\n              class=\"chipName vx-fs-11 vx-label-txt\"\n              [appTooltip]=\"assessments[0]?.assessment_name\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n              >{{ assessments[0]?.assessment_name }}</span\n            >\n            <button\n              class=\"countBtn vx-fs-9 vx-fw-500 vx-txt-white vx-d-flex vx-align-center vx-justify-center vx-lh-4\"\n              appPopover\n              (click)=\"program_assessments.popover()\"\n              placement=\"right\"\n              *ngIf=\"assessments?.length > 1\"\n            >\n              +{{ assessments?.length - 1 }}\n            </button>\n          </div>\n\n          <!-- <div class=\"chip-container\">\n                        <ng-container *ngIf=\"(controls?.program_assessments?.value | assessmentResolver) as assessments\">\n                            <div class=\"chip-inner\">\n                                <span class=\"chip\"><i class=\"icons\" (click)=\"remove(assessments[0],'ASSESSMENT')\">&#xe90d;</i>{{assessments[0]?.assessment_name}} </span>\n                                <button *ngIf=\"assessments?.length > 1\" class=\"count\" appPopover (click)=\"program_assessments.popover()\" placement=\"right\">+{{assessments?.length -1 }}</button>\n                            </div>\n                        </ng-container>\n                    </div> -->\n          <button\n            *ngIf=\"activeList !== 'ASSESSMENT'\"\n            class=\"edit\"\n            type=\"button\"\n            (click)=\"activateList('ASSESSMENT')\"\n          >\n            <i class=\"icons\">&#xe9ba;</i> Edit\n          </button>\n        </div>\n      </input-with-pill>\n      <app-popover #program_assessments [dontCloseonClick]=\"true\">\n        <ng-container>\n          <div class=\"wf-action-list\">\n            <ul class=\"action-item\">\n              <li\n                *ngFor=\"\n                  let assessment of controls?.program_assessments?.value\n                    | assessmentResolver\n                    | slice : 1\n                \"\n              >\n                <div class=\"avatar-card\">\n                  <span class=\"value\">\n                    <i (click)=\"remove(assessment, 'ASSESSMENT')\" class=\"icons\"\n                      >&#xe90d;</i\n                    >\n                    {{ assessment?.assessment_name }}\n                  </span>\n                </div>\n              </li>\n            </ul>\n          </div>\n        </ng-container>\n      </app-popover>\n    </form-field>\n\n    <!-- Format & Evidence -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.FORMATE_EVIDENCE\"\n      [checked]=\"[true, false].includes(controls?.evidence_required?.value)\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.format_evidence\"\n    >\n      <label class=\"vx-control-panel\"\n        >Evidence\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'If selected, evidence of completion of a responsibility will be required for all responsibilities that are linked with the Program. An Assignor, being the person who creates the responsibility, can override this option when creating a responsibility.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"EvidenceHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <div class=\"upload-format\">\n        <span class=\"text\"\n          >Do all responsibilities within this program require evidence?</span\n        >\n        <div class=\"radio-group program\">\n          <app-cs-radio\n            [name]=\"'evidence_required'\"\n            [checked]=\"controls?.evidence_required?.value\"\n            (checkedEvent)=\"setFormField('evidence_required', true)\"\n            >YES</app-cs-radio\n          >\n          <app-cs-radio\n            [name]=\"'evidence_required'\"\n            [checked]=\"!controls?.evidence_required?.value\"\n            (checkedEvent)=\"setFormField('evidence_required', false)\"\n            >NO</app-cs-radio\n          >\n        </div>\n      </div>\n      <!-- <div class=\"vx-d-flex vx-align-center vx-justify-end vx-mt-2\">\n                <div class=\"vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-mr-2\">Allow any file to be marked as\n                    key\n                    evidence</div>\n                <switch formControlName=\"allow_any_file_key_evidence\"\n                    (change)=\"setFormField('allow_any_file_key_evidence',$event?.target?.checked)\"></switch>\n            </div> -->\n    </form-field>\n\n    <!-- Custom Field -->\n    <form-field\n      [appScrollInView]=\"scrollToBottom\"\n      *ngIf=\"additionalOption?.CUSTOM_FIELDS\"\n      [checked]=\"controls?.custom_fields?.value?.length\"\n      [active]=\"false\"\n      [disabled]=\"sideElements.includes(activeList)\"\n      [img]=\"ASSETS.custom_fields\"\n    >\n      <label class=\"vx-control-panel\"\n        >CUSTOM FIELD\n        <i\n          class=\"icons\"\n          [appTooltip]=\"\n            'Where a custom field is specified, all responsibilities linked with a Program will contain that custom field. Custom fields enable the collection of additional meta data.'\n          \"\n          placement=\"bottom\"\n          delay=\"0\"\n          type=\"white\"\n          [tooltipMandatory]=\"true\"\n          id=\"CFHelpText\"\n          >&#xeb16;</i\n        ></label\n      >\n      <custom-field formControlName=\"custom_fields\"></custom-field>\n    </form-field>\n  </form>\n</div>\n\n<!-- list of roles -->\n<role-list\n  *ngIf=\"activeList === 'ROLE'\"\n  [selected]=\"controls?.program_roles?.value | refDisconnect\"\n  [loading]=\"listLoadingState.ROLES\"\n  [list]=\"lists?.ROLES?.data ?? []\"\n  (save)=\"listAction($event, 'ROLE')\"\n  (cancel)=\"fieldDeselector('ROLE')\"\n  [featureflagrole]=\"featureflagrole\"\n  [featureflagGroup]=\"featureflagGroups\"\n  [ff_rc_listing]=\"ff_rc_listing\"\n></role-list>\n\n<!-- list of frameworks -->\n<!-- <app-define-framework-listing *ngIf=\"activeList === 'FRAMEWORK'\" (cancel)=\"fieldDeselector('FRAMEWORK')\" (next)=\"listAction($event,'FRAMEWORK')\" [mode]=\"mode\" [selectedFramework]=\"controls?.framework?.value\"></app-define-framework-listing> -->\n<!-- list of responsibility center -->\n<app-responsibility-centers-list\n  *ngIf=\"activeList === 'RC'\"\n  [responsibilityCentersList]=\"lists?.RC ?? []\"\n  [radioSelection]=\"false\"\n  [rcIdKey]=\"'rc_id'\"\n  (closeRcList)=\"fieldDeselector('RC')\"\n  (saveSelectedList)=\"listAction($event, 'RC')\"\n  [selectedResponsibilityCenters]=\"controls?.rc?.value | refDisconnect\"\n>\n</app-responsibility-centers-list>\n<!-- render userlist with group -->\n\n<user-group-list\n  *ngIf=\"activeList === 'OWNER'\"\n  [groupEnabled]=\"true\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [nonRemovableUserIds]=\"lists.NON_REMOVABLE_OWNERS | listToId : 'member_id'\"\n  [userlist]=\"lists?.OWNERS?.data ?? []\"\n  [selectedUsers]=\"controls?.program_owners?.value | refDisconnect\"\n  (fetchUserData)=\"fetchUsersAssociatedWithRoles(false, $event)\"\n  [userListInfo]=\"lists?.OWNERS\"\n  [groupListInfo]=\"lists?.OWNERS_GROUPS\"\n  [groupList]=\"lists?.OWNERS_GROUPS?.data ?? []\"\n  [selectedGroups]=\"controls?.program_owners_group?.value | refDisconnect\"\n  (save)=\"listAction($event, 'OWNER')\"\n  (cancel)=\"fieldDeselector('OWNER')\"\n  [panelTitle]=\"panelTitleOwner\"\n  [featureflag]=\"featureflagGroups\"\n></user-group-list>\n\n<user-group-list\n  *ngIf=\"activeList === 'COLLABORATOR'\"\n  [groupEnabled]=\"false\"\n  [singleSelect]=\"false\"\n  [userlist]=\"lists?.COLLABORATORS?.data ?? []\"\n  [disabledIds]=\"disableCollaboratorIds\"\n  [fromResponsibility]=\"'collaborator'\"\n  [selectedUsers]=\"controls?.program_collaborator?.value | refDisconnect\"\n  [userListInfo]=\"lists?.COLLABORATORS\"\n  (save)=\"listAction($event, 'COLLABORATOR')\"\n  (cancel)=\"fieldDeselector('COLLABORATOR')\"\n  [panelTitle]=\"panelTitleCollaborator\"\n\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"activeList === 'ASSIGNEE'\"\n  [groupEnabled]=\"true\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [userlist]=\"lists?.ASSIGNEES ?? []\"\n  [selectedUsers]=\"controls?.program_assignee?.value | refDisconnect\"\n  [groupList]=\"lists?.ASSIGNEES_GROUP ?? []\"\n  [FromProgram]=\"true\"\n  [selectedGroups]=\"controls?.program_assignee_group?.value | refDisconnect\"\n  [disabledIds]=\"disabledAssigneeIds\"\n  [fromResponsibility]=\"'Assignee'\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [assignorId]=\"assignorId\"\n  [userListInfo]=\"lists?.ASSIGNEES\"\n  (save)=\"listAction($event, 'ASSIGNEE')\"\n  (cancel)=\"fieldDeselector('ASSIGNEE')\"\n  [panelTitle]=\"panelTitleAssignee\"\n  [defaultSelectedUsers]=\"\n    controls?.program_default_assignee?.value | refDisconnect\n  \"\n  [userType]=\"'assignees'\"\n  [featureflag]=\"featureflagGroups\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"activeList === 'DEFAULT_ASSIGNEE'\"\n  [groupEnabled]=\"true\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [userlist]=\"lists?.DEFAULT_ASSIGNEES ?? []\"\n  [selectedUsers]=\"controls?.program_default_assignee?.value | refDisconnect\"\n  [groupList]=\"lists?.DEFAULT_ASSIGNEES_GROUP ?? []\"\n  [FromProgram]=\"true\"\n  [selectedGroups]=\"\n    controls?.program_default_assignee_group?.value | refDisconnect\n  \"\n  [disabledIds]=\"disabledAssigneeIds\"\n  [fromResponsibility]=\"'Assignee'\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [assignorId]=\"assignorId\"\n  [userListInfo]=\"lists?.DEFAULT_ASSIGNEE\"\n  (save)=\"listAction($event, 'DEFAULT_ASSIGNEE')\"\n  (cancel)=\"fieldDeselector('DEFAULT_ASSIGNEE')\"\n  [featureflag]=\"featureflagGroups\"\n>\n</user-group-list>\n\n<user-group-list\n  *ngIf=\"activeList === 'REVIEWER' && (!featureflagGroups || featureflagGroups)\"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.REVIEWERS ?? []\"\n  [selectedUsers]=\"controls?.program_reviewer?.value | refDisconnect\"\n  [groupList]=\"lists?.REVIEWERS_GROUP ?? []\"\n  [featureflag]=\"featureflagGroups\"\n  [selectedGroups]=\"controls?.program_reviewer_group?.value | refDisconnect\"\n  [disabledIds]=\"disableReviewerIds\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [userListInfo]=\"lists?.REVIEWERS\"\n  (save)=\"listAction($event, 'REVIEWER')\"\n  (cancel)=\"fieldDeselector('REVIEWER')\"\n  [panelTitle]=\"panelTitleReviewer\"\n  [defaultSelectedUsers]=\"\n    controls?.program_default_reviewer?.value | refDisconnect\n  \"\n  [userType]=\"'reviewers'\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"\n    activeList === 'DEFAULT_REVIEWER' &&\n    (!featureflagGroups || featureflagGroups)\n  \"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.DEFAULT_REVIEWERS ?? []\"\n  [selectedUsers]=\"controls?.program_default_reviewer?.value | refDisconnect\"\n  [groupList]=\"lists?.DEFAULT_REVIEWERS_GROUP ?? []\"\n  [featureflag]=\"featureflagGroups\"\n  [selectedGroups]=\"\n    controls?.program_default_reviewer_group?.value | refDisconnect\n  \"\n  [disabledIds]=\"disableReviewerIds\"\n  [fromResponsibility]=\"'Reviewer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [overseerIds]=\"selectedOverseerIds\"\n  [userListInfo]=\"lists?.DEFAULT_REVIEWERS\"\n  (save)=\"listAction($event, 'DEFAULT_REVIEWER')\"\n  (cancel)=\"fieldDeselector('DEFAULT_REVIEWER')\"\n  [panelTitle]=\"panelTitleDefaultReviewer\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"activeList === 'OVERSEER' && (!featureflagGroups || featureflagGroups)\"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.OVERSEERS ?? []\"\n  [selectedUsers]=\"controls?.program_overseer?.value | refDisconnect\"\n  [groupList]=\"lists?.OVERSEERS_GROUP ?? []\"\n  [selectedGroups]=\"controls?.program_overseer_group?.value | refDisconnect\"\n  [featureflag]=\"featureflagGroups\"\n  [disabledIds]=\"disableOverseerIds\"\n  [fromResponsibility]=\"'Overseer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [userListInfo]=\"lists?.OVERSEES\"\n  (save)=\"listAction($event, 'OVERSEER')\"\n  (cancel)=\"fieldDeselector('OVERSEER')\"\n  [defaultSelectedUsers]=\"\n    controls?.program_default_overseer?.value\n      | refDisconnect\n      | arrayConcat : controls?.program_default_failed_overseer?.value\n  \"\n  [userType]=\"'overseers'\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"\n    activeList === 'DEFAULT_OVERSEER' &&\n    (!featureflagGroups || featureflagGroups)\n  \"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.DEFAULT_OVERSEERS ?? []\"\n  [selectedUsers]=\"controls?.program_default_overseer?.value | refDisconnect\"\n  [groupList]=\"lists?.DEFAULT_OVERSEERS_GROUP ?? []\"\n  [selectedGroups]=\"\n    controls?.program_default_overseer_group?.value | refDisconnect\n  \"\n  [featureflag]=\"featureflagGroups\"\n  [disabledIds]=\"disableOverseerIds\"\n  [fromResponsibility]=\"'Overseer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [userListInfo]=\"lists?.DEFAULT_OVERSEERS\"\n  (save)=\"listAction($event, 'DEFAULT_OVERSEER')\"\n  (cancel)=\"fieldDeselector('DEFAULT_OVERSEER')\"\n>\n</user-group-list>\n<user-group-list\n  *ngIf=\"\n    activeList === 'DEFAULT_FAILED_OVERSEER' &&\n    (!featureflagGroups || featureflagGroups)\n  \"\n  [groupEnabled]=\"featureflagGroups\"\n  [singleSelect]=\"false\"\n  [loading]=\"listLoadingState.USERS\"\n  [FromProgram]=\"true\"\n  [userlist]=\"lists?.DEFAULT_OVERSEERS ?? []\"\n  [selectedUsers]=\"\n    controls?.program_default_failed_overseer?.value | refDisconnect\n  \"\n  [groupList]=\"lists?.DEFAULT_OVERSEERS_GROUP ?? []\"\n  [selectedGroups]=\"\n    controls?.program_default_failed_overseer_group?.value | refDisconnect\n  \"\n  [featureflag]=\"featureflagGroups\"\n  [disabledIds]=\"disableOverseerIds\"\n  [fromResponsibility]=\"'Overseer'\"\n  [assignorId]=\"assignorId\"\n  [assigneeIds]=\"selectedAssigneeIds\"\n  [reviewerIds]=\"selectedReviewerIds\"\n  [userListInfo]=\"lists?.DEFAULT_OVERSEERS\"\n  (save)=\"listAction($event, 'DEFAULT_FAILED_OVERSEER')\"\n  (cancel)=\"fieldDeselector('DEFAULT_FAILED_OVERSEER')\"\n>\n</user-group-list>\n<assessment-picker\n  *ngIf=\"activeList === 'ASSESSMENT'\"\n  [selectedAssessment]=\"controls?.program_assessments?.value\"\n  (cancelAssessment)=\"fieldDeselector('ASSESSMENT')\"\n  (onAssessmentSelect)=\"listAction($event, 'ASSESSMENT')\"\n></assessment-picker>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n>\n</app-smiley-dialog-inline>\n\n<!-- Framework selector  -->\n<app-framework-list\n  *ngIf=\"activeList === 'FRAMEWORK'\"\n  [workflowPage]=\"['FRAMEWORK']\"\n  (assignControl)=\"listAction($event, 'FRAMEWORK')\"\n  (closeFramework)=\"fieldDeselector('FRAMEWORK')\"\n  [previousSelectedValues]=\"{ framework: controls?.framework.value }\"\n  (entrustFramework)=\"entrustFramework($event)\"\n  [headerText]=\"'Select a framework'\"\n></app-framework-list>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";::ng-deep .workflow-program{display:block;position:relative}::ng-deep .workflow-program .scope-label{background:#747576;border-radius:.125rem;position:relative;z-index:1}::ng-deep .workflow-program .scope-label:before{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:7rem;width:20rem;height:1px;z-index:-1}::ng-deep .workflow-program .scope-label:after{background:#f1f1f1;content:\"\";position:absolute;top:.5rem;left:-2.5rem;width:2.5rem;height:1px;z-index:-1}::ng-deep .workflow-program .scope-label .required{position:absolute;top:0;right:-.625rem}::ng-deep .workflow-program .info-icon{position:relative;top:.125rem;cursor:pointer}::ng-deep .workflow-program .date-picker .picker-group{width:calc(50% - .125rem);position:relative}::ng-deep .workflow-program .date-picker .picker-group:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .workflow-program .date-picker .picker-group input{height:2.5rem;border-radius:.25rem;border:1px solid #DBDBDB;background:#fff;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;padding:0 2rem 0 .75rem;outline:none}::ng-deep .workflow-program .date-picker .picker-group input:focus,::ng-deep .workflow-program .date-picker .picker-group input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .workflow-program .date-picker .picker-group input::placeholder{color:#747576;font-size:13px}::ng-deep .workflow-program .date-picker .picker-group input:-ms-input-placeholder{color:#747576;font-size:13px}::ng-deep .workflow-program .date-picker .picker-group input::-ms-input-placeholder{color:#747576;font-size:13px}::ng-deep .workflow-program .date-picker .picker-group i{height:1rem;width:1rem;position:absolute;right:.75rem;top:.625rem;pointer-events:none}::ng-deep .workflow-program .program-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;justify-content:space-between;padding:4px;position:relative;z-index:1}::ng-deep .workflow-program .program-type-field .type-item{position:relative}::ng-deep .workflow-program .program-type-field .type-item:first-of-type{width:6.25rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(2){width:5.75rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(6.4375rem);width:5.75rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(3){width:8.625rem}::ng-deep .workflow-program .program-type-field .type-item:nth-child(3).active~.background-glider{transform:translate(12.375rem);width:8.625rem}::ng-deep .workflow-program .program-type-field .type-item:last-of-type{width:5.25rem}::ng-deep .workflow-program .program-type-field .type-item:last-of-type.active~.background-glider{transform:translate(21.1875rem);width:5.25rem}::ng-deep .workflow-program .program-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:center}::ng-deep .workflow-program .program-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none}::ng-deep .workflow-program .program-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .workflow-program .program-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .workflow-program .program-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:6.25rem;height:32px;z-index:-1;transition:.25s ease-out}::ng-deep .workflow-program .vx-form-group .upload-files .file-item{background:#f1f1f1;border:1px solid #dbdbdb;border-radius:.25rem;padding-left:.125rem}::ng-deep .workflow-program .vx-form-group .upload-files .file-item .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:8.5rem}::ng-deep .workflow-program .vx-form-group .upload-files .file-item button.delete-btn{background:transparent;border-radius:0;border:none;border-left:1px solid #dbdbdb;height:1.625rem}::ng-deep .workflow-program .vx-form-group .upload-files button.file-count{background:#1e5dd3;border-radius:.125rem;border:none;color:#fff;font-size:11px;display:flex;align-items:center;justify-content:center;min-width:28px;height:28px;padding:0;margin:4px 0 0 4px}::ng-deep .workflow-program .vx-form-group .upload-format .radio-group app-cs-radio{height:1.375rem}::ng-deep .workflow-program .vx-form-group .default-selected{background:#fbfbfb;border:1px solid #F1F1F1;border-radius:.25rem;margin-top:.5rem}::ng-deep .workflow-program .vx-form-group .default-selected .selected{border-radius:0;border:none;background:none}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio{border-top:1px solid #F1F1F1}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio{margin-top:0!important}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item span.radio{position:absolute;top:.5rem;left:.75rem}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;padding:.5rem .5rem .5rem 2.25rem;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .workflow-program .vx-form-group .default-selected .default-radio app-cs-radio label.radio-item svg{position:absolute;top:.5rem;left:.75rem}::ng-deep .workflow-program .vx-form-group .selected .custom-text{display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;overflow:hidden;max-height:2.4rem}::ng-deep .workflow-program .vx-form-group .selected button.cross-btn{background:transparent;border-radius:0;border:0;padding:0}::ng-deep .workflow-program .vx-form-group .custom-input{position:relative}::ng-deep .workflow-program .vx-form-group .custom-input input{padding-right:2rem}::ng-deep .workflow-program .vx-form-group .custom-input button.cross-btn{background:transparent;border-radius:0;border:0;position:absolute;top:.875rem;right:.625rem}::ng-deep .workflow-program .vx-form-group button.add-more-btn{background:transparent;border-radius:0;border:none;padding:0}::ng-deep app-popover .wf-action-list ul.action-item .avatar-card .value{text-transform:none!important}::ng-deep app-popover .wf-action-list ul.action-item li file-pill .file-item{background:transparent!important;border:none!important;border-radius:0!important;padding:0!important;margin:0!important}::ng-deep app-popover .wf-action-list ul.action-item li file-pill .file-name{width:100%!important;max-width:100%!important}::ng-deep app-popover .wf-action-list ul.action-item li file-pill button.delete-btn{border:none!important;padding-right:0!important}.disabled{opacity:.4;pointer-events:none;filter:grayscale(1)}.vx-info-card{width:280px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;position:static;display:block;left:780}.vx-info-card-body{font-size:12px;padding:8px 12px;margin:0;font-weight:400;text-transform:none;color:#747576}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$3.UntypedFormBuilder }, { type: ProgramsService }, { type: AuthService$1 }, { type: UiKitService }, { type: IframeService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { form: [{
                type: ViewChild,
                args: ['form', { read: ElementRef }]
            }], datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], pickerChanged: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }], showConfirmationAlert: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], refreshForm: [{
                type: Output
            }], hideElementsFromMoreOptions: [{
                type: Output
            }], onRemovingRole: [{
                type: Output
            }], disableElementsFromMoreOptions: [{
                type: Output
            }], canFrameworkChange: [{
                type: Input
            }], mode: [{
                type: Input
            }], programId: [{
                type: Input
            }], programType: [{
                type: Input
            }], allowedFeature: [{
                type: Input
            }], addToProgramDetails: [{
                type: Input
            }], orgDetails: [{
                type: Input
            }] } });

class BulkUploadService {
    constructor() { }
    hasDataInList(data, dataStartIndex) {
        const listData = XLSX.utils.sheet_to_json(data, {
            header: 1, raw: false,
        });
        let finalData = listData.slice(dataStartIndex);
        return this.checkEmptyFile(finalData);
    }
    checkEmptyFile(data) {
        let isEmpty = false;
        data = data.filter((dataElement) => dataElement.length > 0);
        if (data.length < 1) {
            isEmpty = true;
        }
        return isEmpty;
    }
    checkCorrectFile(data, headerIndex) {
        const listData = XLSX.utils.sheet_to_json(data, {
            header: 1, raw: false,
        });
        const header = cloneDeep$1(listData[headerIndex]);
        if (headerIndex === 2) {
            return header[0] === 'Responsibility Name*' ? true : false;
        }
        else if (headerIndex === 0) {
            return header[0] === 'Enter Responsibility Name*' ? true : false;
        }
        return false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BulkUploadService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BulkUploadService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BulkUploadService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

const RISK_CLASS_LIST = ['high', 'low-medium', 'low', 'medium-high'];
const VALIDATION_MESSAGES = {
    RISK_CLASS: 'Invalid risk class. Select a valid option from the drop-down list.',
    DAY: 'Invalid day selection. Select a valid day from the drop-down list in the template.',
    DATE_FORMAT: 'Invalid date format. Select a valid date from the drop-down list in the template.',
    DUE_DATE: 'Invalid Due Date.',
};

class RiskClassPipe {
    transform(value) {
        if (!value)
            return true;
        return RISK_CLASS_LIST.includes(value?.toLowerCase());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskClassPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: RiskClassPipe, name: "riskClass" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RiskClassPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'riskClass',
                }]
        }] });

class BulkResponsibilityViewComponent {
    constructor() {
        this.VALIDATION_MESSAGES = VALIDATION_MESSAGES;
        this.loader = false;
        this.tabType = 'frequency';
        this.submitResponsibilityBulkUpload = new EventEmitter();
        this.cancel = new EventEmitter();
        this.selectedTab = new EventEmitter();
        this.responsibilityType = 'singleTab';
        this.finalResponsibilities = 0;
        this.isConfirmClickable = false;
        this.responsibilityMultiTabBulkUpload = [];
    }
    ngOnChanges() {
        if (this.responsibilityBulkUpload) {
            this.finalResponsibilities = 0;
            this.responsibilityBulkUpload?.reports.forEach((risk) => {
                if (risk.isValid) {
                    this.finalResponsibilities += 1;
                }
            });
        }
        if (this.responsibilityType === 'multiTab') {
            this.responsibilityMultiTabBulkUpload =
                this.bulkUpload?.frequency?.reports?.concat(this.bulkUpload?.ongoing?.reports, this.bulkUpload?.onCompletion?.reports);
            this.isConfirmClickable = this.responsibilityMultiTabBulkUpload?.some((responsibility) => responsibility.isValid);
            this.finalResponsibilities = 0;
            this.responsibilityMultiTabBulkUpload?.forEach((risk) => {
                if (risk.isValid) {
                    this.finalResponsibilities += 1;
                }
            });
        }
    }
    submit() {
        this.submitResponsibilityBulkUpload.emit();
    }
    close() {
        this.cancel.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BulkResponsibilityViewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: BulkResponsibilityViewComponent, selector: "app-bulk-responsibility-view", inputs: { responsibilityBulkUpload: "responsibilityBulkUpload", fileName: "fileName", defaultOwner: "defaultOwner", loader: "loader", tabType: "tabType", bulkUpload: "bulkUpload", responsibilityType: "responsibilityType" }, outputs: { submitResponsibilityBulkUpload: "submitResponsibilityBulkUpload", cancel: "cancel", selectedTab: "selectedTab" }, usesOnChanges: true, ngImport: i0, template: "\n<ng-container *ngIf=\"responsibilityType === 'singleTab'\">\n<div class=\"bulk-view\">\n    <div class=\"bulk-view-head\">\n        <h2 class=\"bulk-view-title\">\n            {{fileName}}\n        </h2>\n    </div>\n    <div class=\"bulk-view-body\">\n        <div class=\"exel-view\">\n            <div class=\"exel-view-row head\">\n                <div class=\"exel-view-column sl-no\">#</div>\n                <div class=\"exel-view-column\" *ngFor=\"let heading of responsibilityBulkUpload?.header\"\n                    [class.large]=\"heading && heading.startsWith('Inherent')\">\n                    <ng-container *ngIf=\"heading && !(heading.startsWith('Due')) && !(heading.startsWith('Oversight'))\">\n                        {{(heading.includes('*')? heading.replace('*', '') : heading)}}\n                        <span *ngIf=\"heading.includes('*')\" class=\"required\">*</span>\n                    </ng-container>\n                    <ng-container *ngIf=\"heading && heading.startsWith('Due')\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Due Date</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\">\n                            <div class=\"exel-view-column\">Day</div>\n                            <div class=\"exel-view-column\">Month</div>\n                        </div>\n                    </ng-container>\n                    <ng-container *ngIf=\"heading && heading.startsWith('Oversight')\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Oversight </div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\">\n                            <div class=\"exel-view-column\">Always Notify</div>\n                            <div class=\"exel-view-column\">Notify on Failure</div>\n                        </div>\n                    </ng-container>\n                </div>\n\n            </div>\n            <div class=\"exel-view-row\" *ngFor=\"let report of responsibilityBulkUpload?.reports; let i = index\">\n                <div class=\"exel-view-column sl-no\">{{i+1}}</div>\n\n                <div class=\"exel-view-column\" [class.error]=\"!report.responsibilityName\">{{report?.responsibilityName}}\n                    <i *ngIf=\"!report?.responsibilityName\" class=\"icons\"\n                        [appTooltip]=\"'Enter a name for this responsibility.'\" placement=\"bottom-right\" type=\"white\"\n                        delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                </div>\n                <div class=\"exel-view-column\">\n                    {{report?.assignor}}\n                    <i *ngIf=\"((report?.assignor) && (report?.notifyOnFailure == report?.assignor||report?.alwaysNotify == report?.assignor))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Overseer cannot also be the Assignor of this responsibility. Select another user as the Assignor.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n<!--\n                    <i *ngIf=\"((report?.assignor) && (report?.reviewer == report?.assignor))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Reviewer cannot also be the Assignor of this responsibility. Select another user as the Assignor.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>     -->\n                </div>\n                <div class=\"exel-view-column\">\n                    {{report?.assignee}}\n\n                    <i *ngIf=\"((report?.assignee) && (report?.notifyOnFailure == report?.assignee||report?.alwaysNotify == report?.assignee))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Overseer cannot also be the Assignee of this responsibility. Select another user as the Assignee.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n\n                    <i *ngIf=\"((report?.assignee) && (report?.reviewer == report?.assignee))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Reviewer cannot also be the Assignee of this responsibility. Select another user as the Assignee.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n                    <i *ngIf=\"(!report?.assignee) || (!report?.isValidUser)\"\n                    class=\"icons\"\n                    [appTooltip]=\"'Select the user responsible for completing this responsibility. '\"\n                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n                </div>\n                <div class=\"exel-view-column\" id=\"resCategory\" *ngIf=\"report?.responsibilityCategory!==null\">{{report?.responsibilityCategory}}</div>\n                <div class=\"exel-view-column\" [class.error]=\"!report.frequency\">{{report?.frequency}}\n                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                </div>\n                <div class=\"exel-view-column multi-column\">\n                    <div class=\"exel-view-row\">\n                        <div class=\"exel-view-column\" [class.error]=\"!report.isValidDueDate\">{{report?.day}}\n                            <i *ngIf=\"!report?.isValidDueDate\" class=\"icons\" [appTooltip]=\"'Invalid Due Date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                            <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                        </div>\n                        <div class=\"exel-view-column\" [class.error]=\"!report.isValidDueDate\">{{report?.month}}\n                            <i *ngIf=\"!report?.isValidDueDate\" class=\"icons\" [appTooltip]=\"'Invalid Due Date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                            <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"exel-view-column\">{{report?.responsibilityWindow}}</div>\n                <div class=\"exel-view-column\">{{report?.failedAfter}}</div>\n                <div class=\"exel-view-column\">{{report?.reportClass}}</div>\n                <div class=\"exel-view-column\">{{report?.responsibilityCenter}}</div>\n                <div class=\"exel-view-column\">\n                    {{report?.reviewer}}\n\n                    <i *ngIf=\"(report?.reviewer) && ((report?.reviewer == report?.alwaysNotify) || (report?.reviewer == report?.notifyOnFailure))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Overseer cannot also be the Reviewer of this responsibility. Select another user as the Reviewer'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n\n                    <i *ngIf=\"report?.reviewer && (report?.reviewer == report?.assignee)\" class=\"icons\"\n                        [appTooltip]=\"'The Assignee cannot also be the Reviewer of this responsibility. Select another user as the Reviewer.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n                    <!-- <i *ngIf=\"(report?.reviewer && report?.assignor)\"\n                        class=\"icons\"\n                        [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Reviewer of this responsibility.':'You cannot be a Reviewer of this responsibility since you are the assignor. ') +'Select another user as the Reviewer'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i> -->\n                </div>\n                <div class=\"exel-view-column\">{{report?.reviewToBeCompletedWithin}}</div>\n                <div class=\"exel-view-column\">{{report?.reviewWillBeFailedAfter}}</div>\n                <div class=\"exel-view-column\">{{report?.formatForResponsibility}}</div>\n                <div class=\"exel-view-column\">{{report?.notes}}</div>\n                <div class=\"exel-view-column\">{{report?.documentEvidenceRequired}}</div>\n                <div class=\"exel-view-column multi-column\">\n                    <div class=\"exel-view-row\">\n                        <div class=\"exel-view-column\">\n                            {{report?.alwaysNotify}}\n                            <i *ngIf=\"(report?.alwaysNotify) && ((report?.reviewer == report?.alwaysNotify))\"\n                                class=\"icons\"\n                                [appTooltip]=\"'The Reviewer cannot also be the Overseer of this responsibility. Select another user as the Overseer.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                            </i>\n\n                            <i *ngIf=\"report?.alwaysNotify && (report?.alwaysNotify == report?.assignee)\" class=\"icons\"\n                                [appTooltip]=\"'The Assignee cannot also be the Overseer of this responsibility. Select another user as the Overseer'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                            </i>\n                            <i *ngIf=\"((report?.alwaysNotify && report?.assignor) && (report?.alwaysNotify == report?.assignor)) ||((report?.alwaysNotify && (!report?.assignor)) && (report?.alwaysNotify == defaultOwner))\"\n                                class=\"icons\"\n                                [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Overseer of this responsibility. ':'You cannot be an Overseer of this responsibility since you are the Assignor. ') +'Select another user as the Overseer.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                            </i>\n                        </div>\n                        <div class=\"exel-view-column\">\n                            {{report?.notifyOnFailure}}\n                            <i *ngIf=\"(report?.notifyOnFailure) && ((report?.reviewer == report?.notifyOnFailure))\"\n                            class=\"icons\"\n                            [appTooltip]=\"'The Reviewer cannot also be the Overseer of this responsibility. Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n\n                        <i *ngIf=\"report?.notifyOnFailure && (report?.notifyOnFailure == report?.assignee)\" class=\"icons\"\n                            [appTooltip]=\"'The Assignee cannot also be the Overseer of this responsibility. Select another user as the Overseer'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        <i *ngIf=\"((report?.notifyOnFailure && report?.assignor) && (report?.notifyOnFailure == report?.assignor)) ||((report?.notifyOnFailure && (!report?.assignor)) && (report?.notifyOnFailure == defaultOwner))\"\n                            class=\"icons\"\n                            [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Overseer of this responsibility. ':'You cannot be an Overseer of this responsibility since you are the Assignor. ') +'Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        </div>\n                    </div>\n                </div>\n\n\n                <div class=\"exel-view-column\">{{report?.keyResponsibility}}</div>\n                <div class=\"exel-view-column\">{{report?.objective}}</div>\n\n            </div>\n        </div>\n    </div>\n    <div class=\"bulk-view-footer\">\n        <div class=\"left\">\n            <p>{{finalResponsibilities}} out of {{responsibilityBulkUpload?.reports?.length}} responsibilities will be\n                uploaded.</p>\n        </div>\n        <div class=\"right\">\n            <button (click)=\"close()\" id=\"bulk-resp-cancel\" >Cancel</button>\n            <button (click)=\"submit()\" id=\"bulk-resp-confirm\" [disabled]=\"finalResponsibilities<1\" class=\"blue\">Confirm</button>\n        </div>\n    </div>\n</div>\n<app-loader  *ngIf=\"loader\"></app-loader>\n\n</ng-container>\n\n<!-- --------------------------------------------------------------------upward is new one-------------------- -->\n<app-loader  *ngIf=\"loader\"></app-loader>\n\n\n\n\n\n\n<!-- HTML for multiple tabs -->\n<ng-container *ngIf=\"responsibilityType === 'multiTab'\">\n    <div class=\"bulk-view\">\n        <div class=\"bulk-view-head\">\n            <h2 class=\"bulk-view-title\">\n                {{fileName}}\n            </h2>\n        </div>\n        <div class=\"bulk-view-body bulk\">\n            <div class=\"exel-view\">\n                <div class=\"exel-view-row head\">\n                    <div class=\"exel-view-column sl-no\">#</div>\n                    <div class=\"exel-view-column\">Responsibility Name <span class=\"required\">*</span></div>\n                    <div class=\"exel-view-column\" *ngIf=\"responsibilityBulkUpload?.header.includes('Program')\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Program</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\">Program Type</div>\n                            <div class=\"exel-view-column\">Program</div>\n                            <div class=\"exel-view-column\">Program Category</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">Entrusted By</div>\n                    <div class=\"exel-view-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Entrust To <span class=\"required\">*</span></div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\">Person or Group<span class=\"required\">*</span></div>\n                            <div class=\"exel-view-column\">All or Any Persons</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">Key Responsibility?</div>\n                    <div class=\"exel-view-column\" [class.five-column]=\"tabType === 'frequency' || tabType === 'onCompletion'\" [class.three-column]=\"tabType === 'ongoing'\">\n                        <div class=\"exel-view-row\">\n                            <!-- <div class=\"exel-view-column large\">Frequency of Occurrence and Completion Window <span class=\"required\">*</span></div> -->\n                            <div class=\"exel-view-column large\">{{responsibilityBulkUpload?.header.includes('Program') ? responsibilityBulkUpload?.header[8]?.slice(0, -1) : responsibilityBulkUpload?.header[5]?.slice(0, -1)}}<span class=\"required\">*</span></div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.five-column]=\"tabType === 'frequency' || tabType === 'onCompletion'\" [class.three-column]=\"tabType === 'ongoing'\">\n                            <ng-container *ngIf=\"tabType === 'frequency'\">\n                                <div class=\"exel-view-column\">Frequency <span class=\"required\">*</span></div>\n                                <div class=\"exel-view-column\">Due Date <span class=\"info-text\">(Day)</span></div>\n                                <div class=\"exel-view-column\">Due Date <span class=\"info-text\">(Month)</span></div>\n                                <div class=\"exel-view-column\">Start <span class=\"info-text\">(No. of days before the due date)</span></div>\n                                <div class=\"exel-view-column\">Fail <span class=\"info-text\" appTooltip=\"(No. of days after the due date. Select '0' if the responsibility must be completed on the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after the due date. Select \"0\" if the responsibility must be completed on the due date)</span></div>\n                            </ng-container>\n                            <ng-container *ngIf=\"tabType === 'ongoing'\">\n                                <div class=\"exel-view-column\">Ongoing Frequency <span class=\"required\">*</span></div>\n                                <div class=\"exel-view-column\">Set a Reminder?</div>\n                                <div class=\"exel-view-column\">Frequency of Reminder</div>\n                            </ng-container>\n                            <ng-container *ngIf=\"tabType === 'onCompletion'\">\n                                <div class=\"exel-view-column\">On Completion of Frequency <span class=\"required\">*</span></div>\n                                <div class=\"exel-view-column\">Parent Responsibility<span class=\"info-text\">(Day)</span></div>\n                                <div class=\"exel-view-column\">Due Date <span class=\"info-text\" appTooltip=\"(No. of days after completion of the Parent Responsibility)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after completion of the Parent Responsibility)</span></div>\n                                <div class=\"exel-view-column\">Start <span class=\"info-text\" appTooltip=\"(No. of days before the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days before the due date)</span></div>\n                                <div class=\"exel-view-column\">Fail <span class=\"info-text\" appTooltip=\"(No. of days after the due date. Select '0' if the responsibility must be completed on the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after the due date. Select \"0\" if the responsibility must be completed on the due date)</span></div>\n                            </ng-container>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">Responsibility Centre</div>\n                    <div class=\"exel-view-column\">Risk Class</div>\n                    <div class=\"exel-view-column\">Objective</div>\n                    <div class=\"exel-view-column\">Notes</div>\n                    <div class=\"exel-view-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Format & Evidence</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\" [class.three-column]=\"false\">\n                            <div class=\"exel-view-column\" [class.small-column]=\"true\">Format</div>\n                            <div class=\"exel-view-column\">Format For Responsibility (link)</div>\n                            <div class=\"exel-view-column\" [class.small-column]=\"true\">Evidence</div>\n                        </div>\n                    </div>\n                    <!-- <div class=\"exel-view-column\">Assessments or Checkpoints</div> -->\n                    <div class=\"exel-view-column\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Review of Responsibility</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\">Reviewer</div>\n                            <div class=\"exel-view-column\">Review Start <span class=\"info-text\">(No. of days before the due date)</span></div>\n                            <div class=\"exel-view-column\">Review Fail <span class=\"info-text\" appTooltip=\"(No. of days after the due date. Select '0' if the responsibility must be reviewed on the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after the due date. Select \"0\" if the responsibility must be reviewed on the due date)</span></div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Overseer</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\">Always Notify</div>\n                            <div class=\"exel-view-column\">Notify on Failure</div>\n                        </div>\n                    </div>\n                    <!-- <div class=\"exel-view-column\">Overseer</div> -->\n\n                </div>\n                <div class=\"exel-view-row\" *ngFor=\"let report of responsibilityBulkUpload?.reports; let i = index\">\n                    <div class=\"exel-view-column sl-no\" [class.error]=\"!report?.isValid\">{{i+1}}</div>\n                    <div class=\"exel-view-column\" [class.error]=\"!report.responsibilityName\">{{report?.responsibilityName}} <i *ngIf=\"!report.responsibilityName\" class=\"icons\" [appTooltip]=\"'Enter a name for this responsibility.'\"  placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i></div>\n                    <div class=\"exel-view-column multi-column\" *ngIf=\"responsibilityBulkUpload?.header.includes('Program')\" [class.error]=\"false\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\">{{report?.programType}}</div>\n                            <div class=\"exel-view-column\">{{report?.program}}</div>\n                            <div class=\"exel-view-column\">{{report?.programCategory}}</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">{{report?.assignor}}\n                        <!-- <i *ngIf=\"((report?.assignor) && (report?.reviewer === report?.assignor))\"\n                            class=\"icons\"\n                            [appTooltip]=\"'The Reviewer cannot also be the Assignor of this responsibility. Select another user as the Assignor.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i> -->\n                    </div>\n                    <div class=\"exel-view-column multi-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\" [class.error]=\"!report?.assignee || !report?.userValidateWithProgram?.isValidAssignee || (!report?.isValidUser)\">{{report?.assignee}}\n                                <!-- || (!report?.isValidUser) -->\n                                <i *ngIf=\"(!report?.assignee) || (!report?.isValidUser)\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'Select the user responsible for completing this responsibility. '\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                                <i *ngIf=\"(report?.assignee) && !report?.userValidateWithProgram?.isValidAssignee\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                            </div>\n                            <div class=\"exel-view-column\">{{report?.assigneeType}}</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">{{report?.keyResponsibility}}</div>\n                    <div class=\"exel-view-column multi-column\" [class.five-column]=\"tabType === 'frequency' || tabType === 'onCompletion'\" [class.three-column]=\"tabType === 'ongoing'\">\n                        <ng-container *ngIf=\"tabType === 'frequency'\">\n                            <div class=\"exel-view-row multi-column\" [class.five-column]=\"true\">\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.frequency\">{{report?.frequency}}\n                                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.validDate || report?.isPastDate\">{{report?.day}}\n                                    <i *ngIf=\"!report?.validDate\" class=\"icons\" [appTooltip]=\"report?.isDayInvalid ? VALIDATION_MESSAGES.DAY : VALIDATION_MESSAGES.DUE_DATE\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                    <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.validDate || report?.isPastDate\">{{report?.month}}\n                                    <i *ngIf=\"!report?.validDate\" class=\"icons\" [appTooltip]=\"report?.isDateFormatInvalid ? VALIDATION_MESSAGES.DATE_FORMAT : VALIDATION_MESSAGES.DUE_DATE\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                    <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\">{{report?.responsibilityWindow}}</div>\n                                <div class=\"exel-view-column\">{{report?.failedAfter}}</div>\n                            </div>\n                        </ng-container>\n                        <ng-container *ngIf=\"tabType === 'ongoing'\">\n                            <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.frequency\">{{report?.frequency}}\n                                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\">{{report?.setReminder}}</div>\n                                <div class=\"exel-view-column\">{{report?.frequencyReminder}}</div>\n                            </div>\n                        </ng-container>\n                        <ng-container *ngIf=\"tabType === 'onCompletion'\">\n                            <div class=\"exel-view-row multi-column\" [class.five-column]=\"true\">\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.frequency\">{{report?.frequency}}\n                                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.parentResponsibility\">{{report?.parentResponsibility}}\n                                    <i *ngIf=\"!report?.parentResponsibility\" class=\"icons\" [appTooltip]=\"'Select a parent responsibility on whose completion this responsibility will become active.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\">{{report?.dueDate}}</div>\n                                <div class=\"exel-view-column\">{{report?.responsibilityWindow}}</div>\n                                <div class=\"exel-view-column\">{{report?.failedAfter}}</div>\n                            </div>\n                        </ng-container>\n                    </div>  \n                    <div class=\"exel-view-column\">{{report?.responsibilityCenter}}</div>\n                    <div class=\"exel-view-column\" [class.error]=\"!(report?.reportClass | riskClass)\">{{report?.reportClass}}\n                        <i *ngIf=\"!(report?.reportClass | riskClass)\" class=\"icons\" [appTooltip]=\"VALIDATION_MESSAGES.RISK_CLASS\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                    </div>\n                    <div class=\"exel-view-column\">{{report?.objective}}</div>\n                    <div class=\"exel-view-column\">{{report?.notes}}</div>\n                    <div class=\"exel-view-column multi-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column multi-column\">\n                                <div class=\"exel-view-row multi-column\">\n                                    <div class=\"exel-view-column\" [class.small-column]=\"true\">{{report?.isFormat}}</div>\n                                    <div class=\"exel-view-column\">{{report?.formatForResponsibility}}</div>\n                                </div>\n                            </div>\n                            <div class=\"exel-view-column\" [class.small-column]=\"true\">{{report?.documentEvidenceRequired}}</div>\n                        </div>\n                    </div>\n                    <!-- <div class=\"exel-view-column\">{{report?.assessments}}</div> -->\n                    <div class=\"exel-view-column multi-column\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\" [class.error]=\"report?.reviewer && (\n                              !report?.userValidateWithProgram?.isValidReviewer )\">{{report?.reviewer}}\n\n                        <!-- <i *ngIf=\"(report?.reviewer && report?.reviewer === report?.assignor)\"\n                            class=\"icons\"\n                            [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Reviewer of this responsibility.':'You cannot be a Reviewer of this responsibility since you are the assignor. ') +'Select another user as the Reviewer'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i> -->\n                        <i *ngIf=\"report?.reviewer && !report?.userValidateWithProgram?.isValidReviewer\"\n                            class=\"icons\"\n                            [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                            </div>\n                            <div class=\"exel-view-column\">{{report?.reviewToBeCompletedWithin}}</div>\n                            <div class=\"exel-view-column\">{{report?.reviewWillBeFailedAfter}}</div>\n                        </div>\n                    </div>\n\n                    <div class=\"exel-view-column multi-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\" [class.error]=\"report?.overseer && (\n                              !report?.userValidateWithProgram?.isValidOverseer )\">\n                            {{report?.overseer}}\n\n                                <i *ngIf=\"(report?.overseer) && !report?.userValidateWithProgram?.isValidOverseer\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                            </div>\n                            <div class=\"exel-view-column\" [class.error]=\"report?.notifyOnFailure && (\n                            !report?.userValidateWithProgram?.isValidNotifyOnFailure )\">\n                                {{report?.notifyOnFailure}}\n\n                                <i *ngIf=\"(report?.notifyOnFailure) && !report?.userValidateWithProgram?.isValidNotifyOnFailure\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                            </div>\n                        </div>\n                    </div>\n\n                    <!-- <div class=\"exel-view-column\" [class.error]=\"(report?.overseer) && ((report?.overseer === report?.assignee) ||(report?.reviewer === report?.overseer) || (report?.overseer == report?.assignor) || (!report?.userValidateWithProgram?.isValidOverseer))\">\n                        {{report?.overseer}}\n                        <i *ngIf=\"(report?.overseer) && ((report?.reviewer === report?.overseer))\"\n                            class=\"icons\"\n                            [appTooltip]=\"'The Reviewer cannot also be the Overseer of this responsibility. Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n\n                        <i *ngIf=\"report?.overseer && (report?.overseer === report?.assignee)\" class=\"icons\"\n                            [appTooltip]=\"'The Assignee cannot also be the Overseer of this responsibility. Select another user as the Overseer'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        <i *ngIf=\"((report?.overseer) && (report?.overseer == report?.assignor))\"\n                            class=\"icons\"\n                            [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Overseer of this responsibility. ':'You cannot be an Overseer of this responsibility since you are the Assignor. ') +'Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        <i *ngIf=\"!report?.userValidateWithProgram?.isValidOverseer\"\n                            class=\"icons\"\n                            [appTooltip]=\"'Selected user is not a valid overseer for selected program.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                    </div> -->\n                </div>\n\n\n\n\n\n\n                <!-- ------------------------------------------------old code dynamic------------------------------------------------- -->\n\n                <!-- *ngFor=\"let report of responsibilityBulkUpload?.reports; let i = index\" -->\n            </div>\n        </div>\n        <div class=\"bulk-view-option\">\n            <button *ngIf=\"bulkUpload?.frequency?.reports?.length\" [class.active]=\"tabType === 'frequency'\" (click)=\"selectedTab.emit('frequency')\">Frequency Responsibilities</button>\n            <button *ngIf=\"bulkUpload?.ongoing?.reports?.length\" [class.active]=\"tabType === 'ongoing'\" (click)=\"selectedTab.emit('ongoing')\">Ongoing Responsibilities</button>\n            <button *ngIf=\"bulkUpload?.onCompletion?.reports?.length\" [class.active]=\"tabType === 'onCompletion'\" (click)=\"selectedTab.emit('onCompletion')\">On Completion Responsibilities</button>\n        </div>\n        <div class=\"bulk-view-footer\">\n            <!-- <div class=\"left\">\n                <p>{{finalResponsibilities}} out of {{responsibilityBulkUpload?.reports?.length}} responsibilities will be\n                    uploaded.</p>\n            </div> -->\n            <div class=\"left\">\n                <p>{{finalResponsibilities}} out of {{responsibilityMultiTabBulkUpload?.length}} {{responsibilityMultiTabBulkUpload?.length > 1 ? 'responsibilities' : 'responsibility'}} will be\n                    uploaded.</p>\n            </div>\n            <div class=\"right\">\n                <button (click)=\"close()\" id=\"bulk-resp-cancel\">Cancel</button>\n                <button (click)=\"submit()\" id=\"bulk-resp-confirm\" [disabled]=\"!isConfirmClickable\" class=\"blue\">Confirm</button>\n                <!-- finalResponsibilities < 1 -->\n            </div>\n        </div>\n    </div>\n    <app-loader  *ngIf=\"loader\"></app-loader>\n\n</ng-container>\n\n    <!-- --------------------------------------------------------------------upward is new one-------------------- -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::-webkit-scrollbar-thumb,::-webkit-scrollbar-thumb:hover{background:#747576;border-radius:16px}::-webkit-scrollbar{height:15px}.bulk-view{position:fixed;inset:0;z-index:11}.bulk-view-head{height:60px;padding:20px 24px;background:#161b2f;display:flex;justify-content:flex-start}.bulk-view-title{font-size:16px;line-height:20px;font-weight:400;margin:0;color:#fff}.bulk-view-body{height:calc(100vh - 110px);overflow:auto;width:100%;background:#fff}.bulk-view-body .exel-view{display:block}.bulk-view-body .exel-view-row{display:flex;width:100%}.bulk-view-body .exel-view-row.head .exel-view-column{font-weight:500;font-size:14px;min-height:26px;background:#f1f1f1;padding:0;word-break:unset}.bulk-view-body .exel-view-row.multi-column .exel-view-column{width:140px;min-width:140px}.bulk-view-body .exel-view-column{width:300px;min-width:300px;padding:0 10px;border-right:1px solid #dcdcdc;border-bottom:1px solid #dcdcdc;display:flex;align-items:center;justify-content:center;text-align:center;word-break:break-all;line-height:16px;font-size:12px;color:#161b2f;flex-wrap:wrap;position:relative}.bulk-view-body .exel-view-column i.icons{position:absolute;top:8px;right:10px;cursor:pointer;color:#d93b41}.bulk-view-body .exel-view-column.large{width:100%;min-width:auto}.bulk-view-body .exel-view-column.error{border:1px solid #EB2424!important;padding-right:24px}.bulk-view-body .exel-view-column.error+.error{border-left:none!important}.bulk-view-body .exel-view-column span.required{color:#eb2424;display:contents}.bulk-view-body .exel-view-column .exel-view-row .exel-view-column{width:100%}.bulk-view-body .exel-view-column.sl-no{background:#f1f1f1;width:60px;min-width:60px;min-height:30px;font-weight:400}.bulk-view-body .exel-view-column.sl-no.error{background:#eb242424;border:none;padding-right:10px;border-bottom:1px solid #dcdcdc}.bulk-view-body .exel-view-column.multi-column{padding:0;border:none}.bulk-view-body .exel-view-column.multi-column .exel-view-row{height:100%}.bulk-view-body .exel-view-column.multi-column .exel-view-column{width:50%;min-width:50%}.bulk-view-body .exel-view-column.multi-column .exel-view-column+.exel-view-column{border-left:none}.bulk-view-body.bulk{height:calc(100vh - 142px)}.bulk-view-body.bulk .exel-view-row.head{position:sticky;top:0;z-index:1}.bulk-view-body.bulk .exel-view-row.head .exel-view-column{min-height:34px}.bulk-view-body.bulk .exel-view-row.head .exel-view-column .info-text{font-size:10px;display:block;width:100%;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding:0 8px}.bulk-view-body.bulk .exel-view-row.two-column .exel-view-column{min-width:250px!important}.bulk-view-body.bulk .exel-view-row.three-column .exel-view-column,.bulk-view-body.bulk .exel-view-row.five-column .exel-view-column{width:200px;min-width:200px!important}.bulk-view-body.bulk .exel-view-column .exel-view-row .exel-view-column.small-column{width:120px;min-width:120px!important}.bulk-view-body.bulk .exel-view-column.multi-column .exel-view-column{min-width:unset}.bulk-view-body.bulk .exel-view-column.two-column{width:500px;min-width:500px!important}.bulk-view-body.bulk .exel-view-column.three-column{width:600px;min-width:600px!important}.bulk-view-body.bulk .exel-view-column.five-column{width:1000px;min-width:1000px!important}.bulk-view-option{background:#fff;border-top:1px solid #f1f1f1;padding:0 20px;position:fixed;width:100%;bottom:50px;display:flex;align-items:center}.bulk-view-option button{background:transparent;border-radius:0;border:none;border-left:1px solid #f1f1f1;color:#747576;font-size:11px;font-weight:500;padding:0 .5rem;margin:0;height:2rem;position:relative}.bulk-view-option button:last-of-type{border-right:1px solid #f1f1f1}.bulk-view-option button.active{color:#1e5dd3}.bulk-view-option button.active:before{background:#fff;content:\"\";position:absolute;top:-1px;left:0;height:1px;width:100%}.bulk-view-footer{height:50px;box-shadow:0 0 15px #1e03d259;padding:10px 20px;position:fixed;width:100%;bottom:0;display:flex;align-items:center;justify-content:space-between;background:#fff}.bulk-view-footer .left p{color:#747576;font-size:13px;font-weight:500;margin:0}.bulk-view-footer .right button{font-size:12px;background:#fff;border:1px solid #dcdcdc;color:#747576;border-radius:2px;padding:8px 18px;cursor:pointer;text-transform:uppercase}.bulk-view-footer .right button+button{margin-left:4px}.bulk-view-footer .right button.blue{color:#fff;background:#1e5dd3}.bulk-view-footer .right button:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: LoaderComponent$1, selector: "app-loader" }, { kind: "pipe", type: RiskClassPipe, name: "riskClass" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BulkResponsibilityViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-bulk-responsibility-view', template: "\n<ng-container *ngIf=\"responsibilityType === 'singleTab'\">\n<div class=\"bulk-view\">\n    <div class=\"bulk-view-head\">\n        <h2 class=\"bulk-view-title\">\n            {{fileName}}\n        </h2>\n    </div>\n    <div class=\"bulk-view-body\">\n        <div class=\"exel-view\">\n            <div class=\"exel-view-row head\">\n                <div class=\"exel-view-column sl-no\">#</div>\n                <div class=\"exel-view-column\" *ngFor=\"let heading of responsibilityBulkUpload?.header\"\n                    [class.large]=\"heading && heading.startsWith('Inherent')\">\n                    <ng-container *ngIf=\"heading && !(heading.startsWith('Due')) && !(heading.startsWith('Oversight'))\">\n                        {{(heading.includes('*')? heading.replace('*', '') : heading)}}\n                        <span *ngIf=\"heading.includes('*')\" class=\"required\">*</span>\n                    </ng-container>\n                    <ng-container *ngIf=\"heading && heading.startsWith('Due')\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Due Date</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\">\n                            <div class=\"exel-view-column\">Day</div>\n                            <div class=\"exel-view-column\">Month</div>\n                        </div>\n                    </ng-container>\n                    <ng-container *ngIf=\"heading && heading.startsWith('Oversight')\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Oversight </div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\">\n                            <div class=\"exel-view-column\">Always Notify</div>\n                            <div class=\"exel-view-column\">Notify on Failure</div>\n                        </div>\n                    </ng-container>\n                </div>\n\n            </div>\n            <div class=\"exel-view-row\" *ngFor=\"let report of responsibilityBulkUpload?.reports; let i = index\">\n                <div class=\"exel-view-column sl-no\">{{i+1}}</div>\n\n                <div class=\"exel-view-column\" [class.error]=\"!report.responsibilityName\">{{report?.responsibilityName}}\n                    <i *ngIf=\"!report?.responsibilityName\" class=\"icons\"\n                        [appTooltip]=\"'Enter a name for this responsibility.'\" placement=\"bottom-right\" type=\"white\"\n                        delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                </div>\n                <div class=\"exel-view-column\">\n                    {{report?.assignor}}\n                    <i *ngIf=\"((report?.assignor) && (report?.notifyOnFailure == report?.assignor||report?.alwaysNotify == report?.assignor))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Overseer cannot also be the Assignor of this responsibility. Select another user as the Assignor.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n<!--\n                    <i *ngIf=\"((report?.assignor) && (report?.reviewer == report?.assignor))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Reviewer cannot also be the Assignor of this responsibility. Select another user as the Assignor.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>     -->\n                </div>\n                <div class=\"exel-view-column\">\n                    {{report?.assignee}}\n\n                    <i *ngIf=\"((report?.assignee) && (report?.notifyOnFailure == report?.assignee||report?.alwaysNotify == report?.assignee))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Overseer cannot also be the Assignee of this responsibility. Select another user as the Assignee.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n\n                    <i *ngIf=\"((report?.assignee) && (report?.reviewer == report?.assignee))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Reviewer cannot also be the Assignee of this responsibility. Select another user as the Assignee.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n                    <i *ngIf=\"(!report?.assignee) || (!report?.isValidUser)\"\n                    class=\"icons\"\n                    [appTooltip]=\"'Select the user responsible for completing this responsibility. '\"\n                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n                </div>\n                <div class=\"exel-view-column\" id=\"resCategory\" *ngIf=\"report?.responsibilityCategory!==null\">{{report?.responsibilityCategory}}</div>\n                <div class=\"exel-view-column\" [class.error]=\"!report.frequency\">{{report?.frequency}}\n                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                </div>\n                <div class=\"exel-view-column multi-column\">\n                    <div class=\"exel-view-row\">\n                        <div class=\"exel-view-column\" [class.error]=\"!report.isValidDueDate\">{{report?.day}}\n                            <i *ngIf=\"!report?.isValidDueDate\" class=\"icons\" [appTooltip]=\"'Invalid Due Date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                            <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                        </div>\n                        <div class=\"exel-view-column\" [class.error]=\"!report.isValidDueDate\">{{report?.month}}\n                            <i *ngIf=\"!report?.isValidDueDate\" class=\"icons\" [appTooltip]=\"'Invalid Due Date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                            <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"exel-view-column\">{{report?.responsibilityWindow}}</div>\n                <div class=\"exel-view-column\">{{report?.failedAfter}}</div>\n                <div class=\"exel-view-column\">{{report?.reportClass}}</div>\n                <div class=\"exel-view-column\">{{report?.responsibilityCenter}}</div>\n                <div class=\"exel-view-column\">\n                    {{report?.reviewer}}\n\n                    <i *ngIf=\"(report?.reviewer) && ((report?.reviewer == report?.alwaysNotify) || (report?.reviewer == report?.notifyOnFailure))\"\n                        class=\"icons\"\n                        [appTooltip]=\"'The Overseer cannot also be the Reviewer of this responsibility. Select another user as the Reviewer'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n\n                    <i *ngIf=\"report?.reviewer && (report?.reviewer == report?.assignee)\" class=\"icons\"\n                        [appTooltip]=\"'The Assignee cannot also be the Reviewer of this responsibility. Select another user as the Reviewer.'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i>\n                    <!-- <i *ngIf=\"(report?.reviewer && report?.assignor)\"\n                        class=\"icons\"\n                        [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Reviewer of this responsibility.':'You cannot be a Reviewer of this responsibility since you are the assignor. ') +'Select another user as the Reviewer'\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                    </i> -->\n                </div>\n                <div class=\"exel-view-column\">{{report?.reviewToBeCompletedWithin}}</div>\n                <div class=\"exel-view-column\">{{report?.reviewWillBeFailedAfter}}</div>\n                <div class=\"exel-view-column\">{{report?.formatForResponsibility}}</div>\n                <div class=\"exel-view-column\">{{report?.notes}}</div>\n                <div class=\"exel-view-column\">{{report?.documentEvidenceRequired}}</div>\n                <div class=\"exel-view-column multi-column\">\n                    <div class=\"exel-view-row\">\n                        <div class=\"exel-view-column\">\n                            {{report?.alwaysNotify}}\n                            <i *ngIf=\"(report?.alwaysNotify) && ((report?.reviewer == report?.alwaysNotify))\"\n                                class=\"icons\"\n                                [appTooltip]=\"'The Reviewer cannot also be the Overseer of this responsibility. Select another user as the Overseer.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                            </i>\n\n                            <i *ngIf=\"report?.alwaysNotify && (report?.alwaysNotify == report?.assignee)\" class=\"icons\"\n                                [appTooltip]=\"'The Assignee cannot also be the Overseer of this responsibility. Select another user as the Overseer'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                            </i>\n                            <i *ngIf=\"((report?.alwaysNotify && report?.assignor) && (report?.alwaysNotify == report?.assignor)) ||((report?.alwaysNotify && (!report?.assignor)) && (report?.alwaysNotify == defaultOwner))\"\n                                class=\"icons\"\n                                [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Overseer of this responsibility. ':'You cannot be an Overseer of this responsibility since you are the Assignor. ') +'Select another user as the Overseer.'\"\n                                placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                            </i>\n                        </div>\n                        <div class=\"exel-view-column\">\n                            {{report?.notifyOnFailure}}\n                            <i *ngIf=\"(report?.notifyOnFailure) && ((report?.reviewer == report?.notifyOnFailure))\"\n                            class=\"icons\"\n                            [appTooltip]=\"'The Reviewer cannot also be the Overseer of this responsibility. Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n\n                        <i *ngIf=\"report?.notifyOnFailure && (report?.notifyOnFailure == report?.assignee)\" class=\"icons\"\n                            [appTooltip]=\"'The Assignee cannot also be the Overseer of this responsibility. Select another user as the Overseer'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        <i *ngIf=\"((report?.notifyOnFailure && report?.assignor) && (report?.notifyOnFailure == report?.assignor)) ||((report?.notifyOnFailure && (!report?.assignor)) && (report?.notifyOnFailure == defaultOwner))\"\n                            class=\"icons\"\n                            [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Overseer of this responsibility. ':'You cannot be an Overseer of this responsibility since you are the Assignor. ') +'Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        </div>\n                    </div>\n                </div>\n\n\n                <div class=\"exel-view-column\">{{report?.keyResponsibility}}</div>\n                <div class=\"exel-view-column\">{{report?.objective}}</div>\n\n            </div>\n        </div>\n    </div>\n    <div class=\"bulk-view-footer\">\n        <div class=\"left\">\n            <p>{{finalResponsibilities}} out of {{responsibilityBulkUpload?.reports?.length}} responsibilities will be\n                uploaded.</p>\n        </div>\n        <div class=\"right\">\n            <button (click)=\"close()\" id=\"bulk-resp-cancel\" >Cancel</button>\n            <button (click)=\"submit()\" id=\"bulk-resp-confirm\" [disabled]=\"finalResponsibilities<1\" class=\"blue\">Confirm</button>\n        </div>\n    </div>\n</div>\n<app-loader  *ngIf=\"loader\"></app-loader>\n\n</ng-container>\n\n<!-- --------------------------------------------------------------------upward is new one-------------------- -->\n<app-loader  *ngIf=\"loader\"></app-loader>\n\n\n\n\n\n\n<!-- HTML for multiple tabs -->\n<ng-container *ngIf=\"responsibilityType === 'multiTab'\">\n    <div class=\"bulk-view\">\n        <div class=\"bulk-view-head\">\n            <h2 class=\"bulk-view-title\">\n                {{fileName}}\n            </h2>\n        </div>\n        <div class=\"bulk-view-body bulk\">\n            <div class=\"exel-view\">\n                <div class=\"exel-view-row head\">\n                    <div class=\"exel-view-column sl-no\">#</div>\n                    <div class=\"exel-view-column\">Responsibility Name <span class=\"required\">*</span></div>\n                    <div class=\"exel-view-column\" *ngIf=\"responsibilityBulkUpload?.header.includes('Program')\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Program</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\">Program Type</div>\n                            <div class=\"exel-view-column\">Program</div>\n                            <div class=\"exel-view-column\">Program Category</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">Entrusted By</div>\n                    <div class=\"exel-view-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Entrust To <span class=\"required\">*</span></div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\">Person or Group<span class=\"required\">*</span></div>\n                            <div class=\"exel-view-column\">All or Any Persons</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">Key Responsibility?</div>\n                    <div class=\"exel-view-column\" [class.five-column]=\"tabType === 'frequency' || tabType === 'onCompletion'\" [class.three-column]=\"tabType === 'ongoing'\">\n                        <div class=\"exel-view-row\">\n                            <!-- <div class=\"exel-view-column large\">Frequency of Occurrence and Completion Window <span class=\"required\">*</span></div> -->\n                            <div class=\"exel-view-column large\">{{responsibilityBulkUpload?.header.includes('Program') ? responsibilityBulkUpload?.header[8]?.slice(0, -1) : responsibilityBulkUpload?.header[5]?.slice(0, -1)}}<span class=\"required\">*</span></div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.five-column]=\"tabType === 'frequency' || tabType === 'onCompletion'\" [class.three-column]=\"tabType === 'ongoing'\">\n                            <ng-container *ngIf=\"tabType === 'frequency'\">\n                                <div class=\"exel-view-column\">Frequency <span class=\"required\">*</span></div>\n                                <div class=\"exel-view-column\">Due Date <span class=\"info-text\">(Day)</span></div>\n                                <div class=\"exel-view-column\">Due Date <span class=\"info-text\">(Month)</span></div>\n                                <div class=\"exel-view-column\">Start <span class=\"info-text\">(No. of days before the due date)</span></div>\n                                <div class=\"exel-view-column\">Fail <span class=\"info-text\" appTooltip=\"(No. of days after the due date. Select '0' if the responsibility must be completed on the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after the due date. Select \"0\" if the responsibility must be completed on the due date)</span></div>\n                            </ng-container>\n                            <ng-container *ngIf=\"tabType === 'ongoing'\">\n                                <div class=\"exel-view-column\">Ongoing Frequency <span class=\"required\">*</span></div>\n                                <div class=\"exel-view-column\">Set a Reminder?</div>\n                                <div class=\"exel-view-column\">Frequency of Reminder</div>\n                            </ng-container>\n                            <ng-container *ngIf=\"tabType === 'onCompletion'\">\n                                <div class=\"exel-view-column\">On Completion of Frequency <span class=\"required\">*</span></div>\n                                <div class=\"exel-view-column\">Parent Responsibility<span class=\"info-text\">(Day)</span></div>\n                                <div class=\"exel-view-column\">Due Date <span class=\"info-text\" appTooltip=\"(No. of days after completion of the Parent Responsibility)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after completion of the Parent Responsibility)</span></div>\n                                <div class=\"exel-view-column\">Start <span class=\"info-text\" appTooltip=\"(No. of days before the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days before the due date)</span></div>\n                                <div class=\"exel-view-column\">Fail <span class=\"info-text\" appTooltip=\"(No. of days after the due date. Select '0' if the responsibility must be completed on the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after the due date. Select \"0\" if the responsibility must be completed on the due date)</span></div>\n                            </ng-container>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">Responsibility Centre</div>\n                    <div class=\"exel-view-column\">Risk Class</div>\n                    <div class=\"exel-view-column\">Objective</div>\n                    <div class=\"exel-view-column\">Notes</div>\n                    <div class=\"exel-view-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Format & Evidence</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\" [class.three-column]=\"false\">\n                            <div class=\"exel-view-column\" [class.small-column]=\"true\">Format</div>\n                            <div class=\"exel-view-column\">Format For Responsibility (link)</div>\n                            <div class=\"exel-view-column\" [class.small-column]=\"true\">Evidence</div>\n                        </div>\n                    </div>\n                    <!-- <div class=\"exel-view-column\">Assessments or Checkpoints</div> -->\n                    <div class=\"exel-view-column\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Review of Responsibility</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\">Reviewer</div>\n                            <div class=\"exel-view-column\">Review Start <span class=\"info-text\">(No. of days before the due date)</span></div>\n                            <div class=\"exel-view-column\">Review Fail <span class=\"info-text\" appTooltip=\"(No. of days after the due date. Select '0' if the responsibility must be reviewed on the due date)\" placement=\"bottom\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">(No. of days after the due date. Select \"0\" if the responsibility must be reviewed on the due date)</span></div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row\">\n                            <div class=\"exel-view-column large\">Overseer</div>\n                        </div>\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\">Always Notify</div>\n                            <div class=\"exel-view-column\">Notify on Failure</div>\n                        </div>\n                    </div>\n                    <!-- <div class=\"exel-view-column\">Overseer</div> -->\n\n                </div>\n                <div class=\"exel-view-row\" *ngFor=\"let report of responsibilityBulkUpload?.reports; let i = index\">\n                    <div class=\"exel-view-column sl-no\" [class.error]=\"!report?.isValid\">{{i+1}}</div>\n                    <div class=\"exel-view-column\" [class.error]=\"!report.responsibilityName\">{{report?.responsibilityName}} <i *ngIf=\"!report.responsibilityName\" class=\"icons\" [appTooltip]=\"'Enter a name for this responsibility.'\"  placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i></div>\n                    <div class=\"exel-view-column multi-column\" *ngIf=\"responsibilityBulkUpload?.header.includes('Program')\" [class.error]=\"false\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\">{{report?.programType}}</div>\n                            <div class=\"exel-view-column\">{{report?.program}}</div>\n                            <div class=\"exel-view-column\">{{report?.programCategory}}</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">{{report?.assignor}}\n                        <!-- <i *ngIf=\"((report?.assignor) && (report?.reviewer === report?.assignor))\"\n                            class=\"icons\"\n                            [appTooltip]=\"'The Reviewer cannot also be the Assignor of this responsibility. Select another user as the Assignor.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i> -->\n                    </div>\n                    <div class=\"exel-view-column multi-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\" [class.error]=\"!report?.assignee || !report?.userValidateWithProgram?.isValidAssignee || (!report?.isValidUser)\">{{report?.assignee}}\n                                <!-- || (!report?.isValidUser) -->\n                                <i *ngIf=\"(!report?.assignee) || (!report?.isValidUser)\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'Select the user responsible for completing this responsibility. '\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                                <i *ngIf=\"(report?.assignee) && !report?.userValidateWithProgram?.isValidAssignee\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                            </div>\n                            <div class=\"exel-view-column\">{{report?.assigneeType}}</div>\n                        </div>\n                    </div>\n                    <div class=\"exel-view-column\">{{report?.keyResponsibility}}</div>\n                    <div class=\"exel-view-column multi-column\" [class.five-column]=\"tabType === 'frequency' || tabType === 'onCompletion'\" [class.three-column]=\"tabType === 'ongoing'\">\n                        <ng-container *ngIf=\"tabType === 'frequency'\">\n                            <div class=\"exel-view-row multi-column\" [class.five-column]=\"true\">\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.frequency\">{{report?.frequency}}\n                                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.validDate || report?.isPastDate\">{{report?.day}}\n                                    <i *ngIf=\"!report?.validDate\" class=\"icons\" [appTooltip]=\"report?.isDayInvalid ? VALIDATION_MESSAGES.DAY : VALIDATION_MESSAGES.DUE_DATE\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                    <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.validDate || report?.isPastDate\">{{report?.month}}\n                                    <i *ngIf=\"!report?.validDate\" class=\"icons\" [appTooltip]=\"report?.isDateFormatInvalid ? VALIDATION_MESSAGES.DATE_FORMAT : VALIDATION_MESSAGES.DUE_DATE\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                    <i *ngIf=\"report?.isPastDate\" class=\"icons\" [appTooltip]=\"'This date occurs in the past. Select a future date.'\"\n                                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\">{{report?.responsibilityWindow}}</div>\n                                <div class=\"exel-view-column\">{{report?.failedAfter}}</div>\n                            </div>\n                        </ng-container>\n                        <ng-container *ngIf=\"tabType === 'ongoing'\">\n                            <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.frequency\">{{report?.frequency}}\n                                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\">{{report?.setReminder}}</div>\n                                <div class=\"exel-view-column\">{{report?.frequencyReminder}}</div>\n                            </div>\n                        </ng-container>\n                        <ng-container *ngIf=\"tabType === 'onCompletion'\">\n                            <div class=\"exel-view-row multi-column\" [class.five-column]=\"true\">\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.frequency\">{{report?.frequency}}\n                                    <i *ngIf=\"!report?.frequency\" class=\"icons\" [appTooltip]=\"'Select a frequency for this responsibility.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\" [class.error]=\"!report?.parentResponsibility\">{{report?.parentResponsibility}}\n                                    <i *ngIf=\"!report?.parentResponsibility\" class=\"icons\" [appTooltip]=\"'Select a parent responsibility on whose completion this responsibility will become active.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                                </div>\n                                <div class=\"exel-view-column\">{{report?.dueDate}}</div>\n                                <div class=\"exel-view-column\">{{report?.responsibilityWindow}}</div>\n                                <div class=\"exel-view-column\">{{report?.failedAfter}}</div>\n                            </div>\n                        </ng-container>\n                    </div>  \n                    <div class=\"exel-view-column\">{{report?.responsibilityCenter}}</div>\n                    <div class=\"exel-view-column\" [class.error]=\"!(report?.reportClass | riskClass)\">{{report?.reportClass}}\n                        <i *ngIf=\"!(report?.reportClass | riskClass)\" class=\"icons\" [appTooltip]=\"VALIDATION_MESSAGES.RISK_CLASS\"\n                        placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;</i>\n                    </div>\n                    <div class=\"exel-view-column\">{{report?.objective}}</div>\n                    <div class=\"exel-view-column\">{{report?.notes}}</div>\n                    <div class=\"exel-view-column multi-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column multi-column\">\n                                <div class=\"exel-view-row multi-column\">\n                                    <div class=\"exel-view-column\" [class.small-column]=\"true\">{{report?.isFormat}}</div>\n                                    <div class=\"exel-view-column\">{{report?.formatForResponsibility}}</div>\n                                </div>\n                            </div>\n                            <div class=\"exel-view-column\" [class.small-column]=\"true\">{{report?.documentEvidenceRequired}}</div>\n                        </div>\n                    </div>\n                    <!-- <div class=\"exel-view-column\">{{report?.assessments}}</div> -->\n                    <div class=\"exel-view-column multi-column\" [class.three-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.three-column]=\"true\">\n                            <div class=\"exel-view-column\" [class.error]=\"report?.reviewer && (\n                              !report?.userValidateWithProgram?.isValidReviewer )\">{{report?.reviewer}}\n\n                        <!-- <i *ngIf=\"(report?.reviewer && report?.reviewer === report?.assignor)\"\n                            class=\"icons\"\n                            [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Reviewer of this responsibility.':'You cannot be a Reviewer of this responsibility since you are the assignor. ') +'Select another user as the Reviewer'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i> -->\n                        <i *ngIf=\"report?.reviewer && !report?.userValidateWithProgram?.isValidReviewer\"\n                            class=\"icons\"\n                            [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                            </div>\n                            <div class=\"exel-view-column\">{{report?.reviewToBeCompletedWithin}}</div>\n                            <div class=\"exel-view-column\">{{report?.reviewWillBeFailedAfter}}</div>\n                        </div>\n                    </div>\n\n                    <div class=\"exel-view-column multi-column\" [class.two-column]=\"true\">\n                        <div class=\"exel-view-row multi-column\" [class.two-column]=\"true\">\n                            <div class=\"exel-view-column\" [class.error]=\"report?.overseer && (\n                              !report?.userValidateWithProgram?.isValidOverseer )\">\n                            {{report?.overseer}}\n\n                                <i *ngIf=\"(report?.overseer) && !report?.userValidateWithProgram?.isValidOverseer\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                            </div>\n                            <div class=\"exel-view-column\" [class.error]=\"report?.notifyOnFailure && (\n                            !report?.userValidateWithProgram?.isValidNotifyOnFailure )\">\n                                {{report?.notifyOnFailure}}\n\n                                <i *ngIf=\"(report?.notifyOnFailure) && !report?.userValidateWithProgram?.isValidNotifyOnFailure\"\n                                    class=\"icons\"\n                                    [appTooltip]=\"'This user is not associated with the selected Program.'\"\n                                    placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                                </i>\n                            </div>\n                        </div>\n                    </div>\n\n                    <!-- <div class=\"exel-view-column\" [class.error]=\"(report?.overseer) && ((report?.overseer === report?.assignee) ||(report?.reviewer === report?.overseer) || (report?.overseer == report?.assignor) || (!report?.userValidateWithProgram?.isValidOverseer))\">\n                        {{report?.overseer}}\n                        <i *ngIf=\"(report?.overseer) && ((report?.reviewer === report?.overseer))\"\n                            class=\"icons\"\n                            [appTooltip]=\"'The Reviewer cannot also be the Overseer of this responsibility. Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n\n                        <i *ngIf=\"report?.overseer && (report?.overseer === report?.assignee)\" class=\"icons\"\n                            [appTooltip]=\"'The Assignee cannot also be the Overseer of this responsibility. Select another user as the Overseer'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        <i *ngIf=\"((report?.overseer) && (report?.overseer == report?.assignor))\"\n                            class=\"icons\"\n                            [appTooltip]=\"((report?.assignor)?'The Assignor cannot also be the Overseer of this responsibility. ':'You cannot be an Overseer of this responsibility since you are the Assignor. ') +'Select another user as the Overseer.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                        <i *ngIf=\"!report?.userValidateWithProgram?.isValidOverseer\"\n                            class=\"icons\"\n                            [appTooltip]=\"'Selected user is not a valid overseer for selected program.'\"\n                            placement=\"bottom-right\" type=\"white\" delay=\"0\" [tooltipMandatory]=true>&#xe932;\n                        </i>\n                    </div> -->\n                </div>\n\n\n\n\n\n\n                <!-- ------------------------------------------------old code dynamic------------------------------------------------- -->\n\n                <!-- *ngFor=\"let report of responsibilityBulkUpload?.reports; let i = index\" -->\n            </div>\n        </div>\n        <div class=\"bulk-view-option\">\n            <button *ngIf=\"bulkUpload?.frequency?.reports?.length\" [class.active]=\"tabType === 'frequency'\" (click)=\"selectedTab.emit('frequency')\">Frequency Responsibilities</button>\n            <button *ngIf=\"bulkUpload?.ongoing?.reports?.length\" [class.active]=\"tabType === 'ongoing'\" (click)=\"selectedTab.emit('ongoing')\">Ongoing Responsibilities</button>\n            <button *ngIf=\"bulkUpload?.onCompletion?.reports?.length\" [class.active]=\"tabType === 'onCompletion'\" (click)=\"selectedTab.emit('onCompletion')\">On Completion Responsibilities</button>\n        </div>\n        <div class=\"bulk-view-footer\">\n            <!-- <div class=\"left\">\n                <p>{{finalResponsibilities}} out of {{responsibilityBulkUpload?.reports?.length}} responsibilities will be\n                    uploaded.</p>\n            </div> -->\n            <div class=\"left\">\n                <p>{{finalResponsibilities}} out of {{responsibilityMultiTabBulkUpload?.length}} {{responsibilityMultiTabBulkUpload?.length > 1 ? 'responsibilities' : 'responsibility'}} will be\n                    uploaded.</p>\n            </div>\n            <div class=\"right\">\n                <button (click)=\"close()\" id=\"bulk-resp-cancel\">Cancel</button>\n                <button (click)=\"submit()\" id=\"bulk-resp-confirm\" [disabled]=\"!isConfirmClickable\" class=\"blue\">Confirm</button>\n                <!-- finalResponsibilities < 1 -->\n            </div>\n        </div>\n    </div>\n    <app-loader  *ngIf=\"loader\"></app-loader>\n\n</ng-container>\n\n    <!-- --------------------------------------------------------------------upward is new one-------------------- -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::-webkit-scrollbar-thumb,::-webkit-scrollbar-thumb:hover{background:#747576;border-radius:16px}::-webkit-scrollbar{height:15px}.bulk-view{position:fixed;inset:0;z-index:11}.bulk-view-head{height:60px;padding:20px 24px;background:#161b2f;display:flex;justify-content:flex-start}.bulk-view-title{font-size:16px;line-height:20px;font-weight:400;margin:0;color:#fff}.bulk-view-body{height:calc(100vh - 110px);overflow:auto;width:100%;background:#fff}.bulk-view-body .exel-view{display:block}.bulk-view-body .exel-view-row{display:flex;width:100%}.bulk-view-body .exel-view-row.head .exel-view-column{font-weight:500;font-size:14px;min-height:26px;background:#f1f1f1;padding:0;word-break:unset}.bulk-view-body .exel-view-row.multi-column .exel-view-column{width:140px;min-width:140px}.bulk-view-body .exel-view-column{width:300px;min-width:300px;padding:0 10px;border-right:1px solid #dcdcdc;border-bottom:1px solid #dcdcdc;display:flex;align-items:center;justify-content:center;text-align:center;word-break:break-all;line-height:16px;font-size:12px;color:#161b2f;flex-wrap:wrap;position:relative}.bulk-view-body .exel-view-column i.icons{position:absolute;top:8px;right:10px;cursor:pointer;color:#d93b41}.bulk-view-body .exel-view-column.large{width:100%;min-width:auto}.bulk-view-body .exel-view-column.error{border:1px solid #EB2424!important;padding-right:24px}.bulk-view-body .exel-view-column.error+.error{border-left:none!important}.bulk-view-body .exel-view-column span.required{color:#eb2424;display:contents}.bulk-view-body .exel-view-column .exel-view-row .exel-view-column{width:100%}.bulk-view-body .exel-view-column.sl-no{background:#f1f1f1;width:60px;min-width:60px;min-height:30px;font-weight:400}.bulk-view-body .exel-view-column.sl-no.error{background:#eb242424;border:none;padding-right:10px;border-bottom:1px solid #dcdcdc}.bulk-view-body .exel-view-column.multi-column{padding:0;border:none}.bulk-view-body .exel-view-column.multi-column .exel-view-row{height:100%}.bulk-view-body .exel-view-column.multi-column .exel-view-column{width:50%;min-width:50%}.bulk-view-body .exel-view-column.multi-column .exel-view-column+.exel-view-column{border-left:none}.bulk-view-body.bulk{height:calc(100vh - 142px)}.bulk-view-body.bulk .exel-view-row.head{position:sticky;top:0;z-index:1}.bulk-view-body.bulk .exel-view-row.head .exel-view-column{min-height:34px}.bulk-view-body.bulk .exel-view-row.head .exel-view-column .info-text{font-size:10px;display:block;width:100%;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding:0 8px}.bulk-view-body.bulk .exel-view-row.two-column .exel-view-column{min-width:250px!important}.bulk-view-body.bulk .exel-view-row.three-column .exel-view-column,.bulk-view-body.bulk .exel-view-row.five-column .exel-view-column{width:200px;min-width:200px!important}.bulk-view-body.bulk .exel-view-column .exel-view-row .exel-view-column.small-column{width:120px;min-width:120px!important}.bulk-view-body.bulk .exel-view-column.multi-column .exel-view-column{min-width:unset}.bulk-view-body.bulk .exel-view-column.two-column{width:500px;min-width:500px!important}.bulk-view-body.bulk .exel-view-column.three-column{width:600px;min-width:600px!important}.bulk-view-body.bulk .exel-view-column.five-column{width:1000px;min-width:1000px!important}.bulk-view-option{background:#fff;border-top:1px solid #f1f1f1;padding:0 20px;position:fixed;width:100%;bottom:50px;display:flex;align-items:center}.bulk-view-option button{background:transparent;border-radius:0;border:none;border-left:1px solid #f1f1f1;color:#747576;font-size:11px;font-weight:500;padding:0 .5rem;margin:0;height:2rem;position:relative}.bulk-view-option button:last-of-type{border-right:1px solid #f1f1f1}.bulk-view-option button.active{color:#1e5dd3}.bulk-view-option button.active:before{background:#fff;content:\"\";position:absolute;top:-1px;left:0;height:1px;width:100%}.bulk-view-footer{height:50px;box-shadow:0 0 15px #1e03d259;padding:10px 20px;position:fixed;width:100%;bottom:0;display:flex;align-items:center;justify-content:space-between;background:#fff}.bulk-view-footer .left p{color:#747576;font-size:13px;font-weight:500;margin:0}.bulk-view-footer .right button{font-size:12px;background:#fff;border:1px solid #dcdcdc;color:#747576;border-radius:2px;padding:8px 18px;cursor:pointer;text-transform:uppercase}.bulk-view-footer .right button+button{margin-left:4px}.bulk-view-footer .right button.blue{color:#fff;background:#1e5dd3}.bulk-view-footer .right button:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}\n"] }]
        }], propDecorators: { responsibilityBulkUpload: [{
                type: Input
            }], fileName: [{
                type: Input
            }], defaultOwner: [{
                type: Input
            }], loader: [{
                type: Input
            }], tabType: [{
                type: Input
            }], bulkUpload: [{
                type: Input
            }], submitResponsibilityBulkUpload: [{
                type: Output
            }], cancel: [{
                type: Output
            }], selectedTab: [{
                type: Output
            }], responsibilityType: [{
                type: Input
            }] } });

class AddMultipleResponsibilityComponent {
    set uploadedFileData(data) {
        this.uploadedFile(data);
    }
    constructor(riskService, responsibilityService, authService, frequencyService, snackBar, iframeService) {
        this.riskService = riskService;
        this.responsibilityService = responsibilityService;
        this.authService = authService;
        this.frequencyService = frequencyService;
        this.snackBar = snackBar;
        this.iframeService = iframeService;
        this.pickerChanged = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.url = 'q={"byResponsibilities":{"type":["responsibilities_in_queue"],"subType":["CC"]},"byStatus":{"type":["responsibilities_in_queue"],"subType":[]},"filterObject":{"responsibilityCenter":[],"entrustedBy":[],"entrustedTo":[],"riskIds":[],"responsibilityCategory":[]},"timePeriodDetails":{"type":"","selectedPeriod":"","selectedYear":""},"status":""}';
        this.isNotificationPending = 0;
        this.closeAddMultipleResponsibility = new EventEmitter();
        this.queryParam = '';
        this.recentResponsibilityUrl = {
            byResponsibilities: { type: ['recent_responsibilities'], subType: ['CC'] },
            byStatus: { type: [], subType: [] },
            filterObject: {
                responsibilityCenter: [],
                entrustedBy: [],
                entrustedTo: [],
                riskIds: [],
                responsibilityCategory: [],
            },
            timePeriodDetails: { type: '', selectedPeriod: '', selectedYear: '' },
            status: '',
        };
        this.responsibilityBulkUpload = {
            header: [],
            reports: [],
        };
        this.templateInfo = {
            categoryList: [],
            rcList: [],
            assignorsList: [],
            assigneesList: [],
            memberId: '',
        };
        this.isLoader = false;
        this.showCategoryList = false;
        this.templateDownloaded = false;
        this.downloadInProgress = false;
        this.loader = false;
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.showExcel = false;
        this.uploadedFiles = [];
        this.fileResponse = [];
        this.memberId = 0;
        this.organizationId = 0;
        this.errorMessage = ' invalid file error';
        this.downloadStatus = 'NOT_DOWNLOADING';
        this.downloadPercent = 0;
        this.defaultOwner = '';
        this.smileyMessage = `You're All Set! We're processing your request and you will be notified via email upon completion.`;
        this.actionButtons = [
            {
                buttonText: 'Entrust More Responsibilities',
                class: 'white-btn',
                id: 'addMore',
            },
            {
                buttonText: this.isNotificationPending
                    ? 'View Responsibilities In Queue'
                    : 'View Responsibilities',
                class: 'blue-btn',
                id: 'view',
            },
        ];
        this.showSmiley = false;
        this.member_obj_id = '';
        this.ffBulkUploadOptimization = false;
    }
    ngOnChanges(changes) { }
    ngOnInit() {
        this.pickerChanged.emit(false);
        this.organizationId = this.authService.getOrganizationId();
        this.memberId = this.authService.getMemberId();
        this.member_obj_id = this.authService.getUserDetails()._id;
        this.userInfo = this.authService.getUserDetails().user;
        this.defaultOwner = this.userInfo
            ? this.userInfo.name + ' (' + this.userInfo.email + ')'
            : '';
        this.getUserDetails();
        this.authService.getOrganizationDetails().subscribe((res) => {
            this.riskClassEnabled = res.enable_riskclass;
        });
        this.ffBulkUploadOptimization = this.feature.isFeatureEnabled('ff_bulk_upload_optimization');
    }
    triggerBrowseFile() {
        const getFile = document.getElementById('fileInput');
        if (getFile) {
            getFile.click();
        }
    }
    getUserDetails() {
        this.authService.getUserInfo().subscribe((res) => {
            this.isNotificationPending = res.notification_pending_flag;
        });
    }
    uploadedFile(event) {
        // this.testarray=[];
        try {
            this.responsibilityBulkUpload = {
                header: [],
                reports: [],
            };
            this.templateInfo = {
                categoryList: [],
                rcList: [],
                assignorsList: [],
                assigneesList: [],
                memberId: '',
            };
            this.uploadedFiles = [];
            const reference = document.querySelector('#scrollReference');
            if (reference) {
                reference.scrollIntoView({ behavior: 'smooth', block: 'center' });
            }
            this.isFileEmpty = false;
            this.isWrongFile = false;
            this.isWrongFormat = false;
            this.fileName = event.target.files[0].name;
            this.uploadedFiles.push(event.target.files);
            const target = event.target;
            // tslint:disable-next-line: curly
            if (target.files.length !== 1)
                throw new Error('Cannot use multiple files');
            const reader = new FileReader();
            reader.onload = (e) => {
                const bstr = e.target.result;
                const wb = XLSX.read(bstr, { type: 'binary' });
                const wsname = wb.SheetNames[0];
                const wsname1 = wb.SheetNames[1];
                const ws = wb.Sheets[wsname];
                const tempData = wb.Sheets[wsname1];
                this.data = XLSX.utils.sheet_to_json(ws, {
                    header: 1,
                    raw: false,
                });
                const tData = XLSX.utils.sheet_to_json(tempData, { header: 1 });
                const tempList = tData.filter((dataElement) => dataElement.length > 0);
                if (this.fileName.substr(-5) !== '.xlsx') {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                            ' RETRY';
                    this.isWrongFile = true;
                    return;
                }
                this.responsibilityBulkUpload.header = cloneDeep$1(this.data[0].filter((dataElement) => dataElement.length > 0));
                this.responsibilityBulkUpload.header.splice(this.responsibilityBulkUpload.header.length - 1, 1);
                this.data = this.data.slice(2);
                if (this.responsibilityBulkUpload.header[0] !==
                    'Enter Responsibility Name*') {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                            ' RETRY';
                    this.isWrongFile = false;
                    this.isWrongFormat = true;
                    return;
                }
                this.templateInfo.memberId = tempList[0][25];
                if (this.member_obj_id != this.templateInfo.memberId) {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                            ' RETRY';
                    this.isWrongFile = true;
                    return;
                }
                tempList.forEach((element) => {
                    if (element[2] && element[2] != ' ') {
                        const category = {
                            name: element[2],
                            category_id: element[3],
                        };
                        this.templateInfo.categoryList.push(category);
                    }
                    if (element[9] && element[9] != ' ') {
                        const rc = {
                            name: element[9],
                            rc_id: element[10],
                            parentIds: JSON.parse(element[13]),
                        };
                        this.templateInfo.rcList.push(rc);
                    }
                    if (element[11] && element[11] != ' ') {
                        const assignee = {
                            nameAndEmail: element[11],
                            name: element[11].split(' (')[0],
                            email: element[11].split(' (')[1].replace(')', ''),
                            employee_id: element[12],
                            my_member_id: element[16],
                        };
                        this.templateInfo.assigneesList.push(assignee);
                    }
                    if (element[14] && element[14] != ' ') {
                        const assignor = {
                            nameAndEmail: element[14],
                            name: element[14].split(' (')[0],
                            email: element[14].split(' (')[1].replace(')', ''),
                            member_id: element[15],
                        };
                        this.templateInfo.assignorsList.push(assignor);
                    }
                });
                const isEmpty = this.checkEmptyFile();
                if (isEmpty) {
                    this.errorMessage =
                        'You have uploaded a blank template. Please add details for all mandatory fields. RETRY';
                    this.isFileEmpty = true;
                    this.isWrongFile = false;
                    this.isWrongFormat = false;
                    return;
                }
                else {
                    this.isFileEmpty = false;
                    this.isWrongFile = false;
                    this.isWrongFormat = false;
                    this.fileUpload();
                }
                const responsibilityData = this.data.filter((dataElement) => dataElement.length > 0);
                responsibilityData.forEach((report) => {
                    let validDate;
                    const validFields = this.checkValidity(report);
                    const validUser = this.returnIds(report[2], 'entrusted_to')
                        ? true
                        : false;
                    let obj;
                    if (this.responsibilityBulkUpload.header[3] !== 'Select a Program') {
                        validDate = this.compareWithCurrentDate(report[4], report[5]);
                        obj = {
                            responsibilityName: report[0] ?? '',
                            assignor: report[1] ?? '',
                            assignee: report[2] ?? '',
                            responsibilityCategory: null,
                            frequency: report[3] ?? '',
                            day: report[4] ?? '',
                            month: report[5] ?? '',
                            responsibilityWindow: report[6] ?? '',
                            failedAfter: report[7] ?? '',
                            reportClass: report[8] ?? '',
                            responsibilityCenter: report[9] ?? '',
                            reviewer: report[10] ?? '',
                            reviewToBeCompletedWithin: report[11] ?? '',
                            reviewWillBeFailedAfter: report[12] ?? '',
                            formatForResponsibility: report[13] ?? '',
                            notes: report[14]?.toString() ?? '',
                            documentEvidenceRequired: report[15] ?? '',
                            alwaysNotify: report[16] ?? '',
                            notifyOnFailure: report[17] ?? '',
                            keyResponsibility: report[18] ?? '',
                            objective: report[19]?.toString() ?? '',
                            isValidDueDate: validDate,
                            isPastDate: this.isPastDate(report[4], report[5]),
                            checkValidity: validFields,
                            isValid: validDate && validFields,
                            isValidUser: true,
                        };
                    }
                    else {
                        validDate = this.compareWithCurrentDate(report[5], report[6]);
                        obj = {
                            responsibilityName: report[0] ?? '',
                            assignor: report[1] ?? '',
                            assignee: report[2] ?? '',
                            responsibilityCategory: report[3] ?? '',
                            frequency: report[4] ?? '',
                            day: report[5] ?? '',
                            month: report[6] ?? '',
                            responsibilityWindow: report[7] ?? '',
                            failedAfter: report[8] ?? '',
                            reportClass: report[9] ?? '',
                            responsibilityCenter: report[10] ?? '',
                            reviewer: report[11] ?? '',
                            reviewToBeCompletedWithin: report[12] ?? '',
                            reviewWillBeFailedAfter: report[13] ?? '',
                            formatForResponsibility: report[14] ?? '',
                            notes: report[15]?.toString() ?? '',
                            documentEvidenceRequired: report[16] ?? '',
                            alwaysNotify: report[17] ?? '',
                            notifyOnFailure: report[18] ?? '',
                            keyResponsibility: report[19] ?? '',
                            objective: report[20]?.toString() ?? '',
                            isValidDueDate: validDate,
                            isPastDate: this.isPastDate(report[5], report[6]),
                            checkValidity: validFields,
                            isValid: validDate && validFields,
                            isValidUser: true,
                        };
                    }
                    this.responsibilityBulkUpload.reports.push(obj);
                });
                this.isFileEmpty = false;
                this.isWrongFile = false;
                this.isWrongFormat = false;
                this.showExcel = true;
                this.fileValue = '';
            };
            reader.readAsBinaryString(target.files[0]);
        }
        catch (e) {
            // tslint:disable-next-line: no-console
            console.error(e);
        }
    }
    checkEmptyFile() {
        let isEmpty = false;
        this.data = this.data.filter((dataElement) => dataElement.length > 0);
        if (this.data.length < 1) {
            isEmpty = true;
        }
        return isEmpty;
    }
    // testarray:any[]=[]
    checkValidity(report) {
        const re = /&nbsp;|<br>/g;
        if (report[0]) {
            var trimmedName = report[0].toString().replace(re, '').trim();
            trimmedName = trimmedName.replace(/  +/g, ' ');
        }
        /**
         *  index           key for               condition
         *
         *  report[1]       On Behalf of user
         *  report[11]      Reviewer              when responsibilityBulkUpload.header[3] is 'Select a Program'
         *  report[10]      Reviewer              when responsibilityBulkUpload.header[3] is not 'Select a Program'(disabled for users without program permission)
         *  report[17]      Always Notify         when responsibilityBulkUpload.header[3] is 'Select a Program'
         *  report[16]      Always Notify         when responsibilityBulkUpload.header[3] is not 'Select a Program'(disabled for users without program permission)
         *  report[18]      Notify On Failure     when responsibilityBulkUpload.header[3] is 'Select a Program'
         *  report[17]      Notify On Failure     when responsibilityBulkUpload.header[3] is not 'Select a Program'(disabled for users without program permission)
         *  report[17]      Always Notify
         *  report[18]      Notify On Failure
         *  report[2]       Assignee
         *  report[4]       frequency             when responsibilityBulkUpload.header[3] is 'Select a Program'
         *  report[3]       frequency             when responsibilityBulkUpload.header[3] is not 'Select a Program'(disabled for users without program permission)
         *  trimmedName     Report name
         *  defaultOwner    Default Assignor
         */
        const frequency = this.responsibilityBulkUpload.header[3].toLowerCase() ==
            'select a program'
            ? report[4]
            : report[3];
        const reviewer = this.responsibilityBulkUpload.header[3].toLowerCase() ==
            'select a program'
            ? report[11]
            : report[10];
        const NotifyAlways = this.responsibilityBulkUpload.header[3].toLowerCase() ==
            'select a program'
            ? report[17]
            : report[16];
        const NotifyOnFailure = this.responsibilityBulkUpload.header[3].toLowerCase() ==
            'select a program'
            ? report[18]
            : report[17];
        if (!frequency ||
            !trimmedName ||
            (report[1] &&
                (report[1] == NotifyAlways || report[1] == NotifyOnFailure)) ||
            (!report[1] &&
                (this.defaultOwner == NotifyAlways ||
                    this.defaultOwner == NotifyOnFailure)) ||
            (report[2] &&
                (report[2] == reviewer ||
                    report[2] == NotifyAlways ||
                    report[2] == NotifyOnFailure)) ||
            (!report[2] &&
                (this.defaultOwner == NotifyAlways ||
                    this.defaultOwner == NotifyOnFailure)) ||
            (reviewer && (reviewer == NotifyAlways || reviewer == NotifyOnFailure)) ||
            !report[2]) {
            return false;
        }
        else {
            return true;
        }
    }
    compareWithCurrentDate(day, month) {
        const currentDate = new Date();
        const monthNames = [
            { value: 1, month: 'Jan' },
            { value: 2, month: 'Feb' },
            { value: 3, month: 'Mar' },
            { value: 4, month: 'Apr' },
            { value: 5, month: 'May' },
            { value: 6, month: 'Jun' },
            { value: 7, month: 'Jul' },
            { value: 8, month: 'Aug' },
            { value: 9, month: 'Sep' },
            { value: 10, month: 'Oct' },
            { value: 11, month: 'Nov' },
            { value: 12, month: 'Dec' },
        ];
        if (!(day || month)) {
            return true;
        }
        else if (!(day && month)) {
            return false;
        }
        else {
            const monthAndYear = month.split("'");
            const startDate = moment$1(day + '-' + monthAndYear[0] + '-' + 20 + monthAndYear[1] + ' 00:00:00', 'DD-MMMM-YYYY HH:mm:ss').format('YYYY-MM-DD HH:mm:ss');
            if (startDate == 'Invalid date') {
                return false;
            }
            setTimeout(() => { }, 5);
            const date_value = new Date();
            date_value.setMonth(typeof month !== 'number'
                ? monthNames.filter((x) => x.month === month?.substring(0, 3))[0]
                    ?.value - 1
                : month);
            date_value.setFullYear(Number(20 + month.split("'")[1]));
            date_value.setDate(Number(day));
            if (currentDate.toJSON().split('T')[0] !=
                date_value.toJSON().split('T')[0] &&
                currentDate > date_value) {
                return false;
            }
            else {
                return true;
            }
        }
    }
    isPastDate(day, month) {
        const currentDate = new Date();
        const monthNames = [
            { value: 1, month: 'Jan' },
            { value: 2, month: 'Feb' },
            { value: 3, month: 'Mar' },
            { value: 4, month: 'Apr' },
            { value: 5, month: 'May' },
            { value: 6, month: 'Jun' },
            { value: 7, month: 'Jul' },
            { value: 8, month: 'Aug' },
            { value: 9, month: 'Sep' },
            { value: 10, month: 'Oct' },
            { value: 11, month: 'Nov' },
            { value: 12, month: 'Dec' },
        ];
        if (!(day || month)) {
            return false;
        }
        else if (!(day && month)) {
            return false;
        }
        else {
            // const reportDate = new Date(day + month.split("'"));
            const date_value = new Date();
            date_value.setMonth(typeof month !== 'number'
                ? monthNames.filter((x) => x.month === month?.substring(0, 3))[0]
                    ?.value - 1
                : month);
            date_value.setFullYear(Number(20 + month.split("'")[1]));
            date_value.setDate(Number(day));
            if (currentDate > date_value) {
                return true;
            }
            else {
                return false;
            }
        }
    }
    downloadTemplate() {
        this.downloadStatus = 'DOWNLOADING';
        this.downloadPercent = 0;
        const downloadDate = new Date().toDateString().split(' ');
        const fileName = `Entrust Responsibilities-${downloadDate[2]}-${downloadDate[1]}-${downloadDate[3]}.xlsx`;
        this.riskService.downloadResponsibilityTemplate().subscribe((data) => {
            if (data.loaded) {
                this.downloadPercent = 100 * (data.loaded / data.total);
            }
            if (data.body) {
                setTimeout(() => {
                    this.downloadStatus = this.riskService.downLoadFile(data.body, 'application/xlsx', fileName);
                }, 1500);
            }
        }, (error) => {
            console.error(error);
            this.downloadStatus = 'DOWNLOADED';
        });
    }
    submitResponsibilityBulkUpload() {
        this.loader = true;
        let payload = [];
        const frequencyTypeArray = ['1', '2', '3', '4', '7', '0'];
        const defaultWindow = [0, 2, 7, 30, 7, 15];
        const defaultFailedDay = [1, 2, 5, 5, 5, 5];
        let validResponsibilities = 0;
        if (this.ffBulkUploadOptimization) {
            this.responsibilityBulkUpload?.reports.forEach((report) => {
                if (report?.isValid) {
                    validResponsibilities += 1;
                }
            });
            payload = {
                originalFilename: this.fileResponse[0]?.original_filename,
                fileName: this.fileResponse[0]?.filename,
                filePath: this.fileResponse[0]?.filepath,
                totalResponsibilityCount: this.responsibilityBulkUpload?.reports?.length,
                validResponsibilityCount: validResponsibilities,
            };
        }
        else {
            this.responsibilityBulkUpload.reports.forEach((report) => {
                if (report.isValid) {
                    if (report.responsibilityCategory === null) {
                        report.responsibilityCategory = '';
                    }
                    const rcDetails = this.returnIds(report.responsibilityCenter, 'rc_id');
                    const reviewerDetails = this.returnIds(report.reviewer, 'reviewer');
                    const assignorDetails = report.assignor
                        ? this.returnIds(report.assignor, 'assignor')
                        : '';
                    const ccDetails = this.returnIds(report.alwaysNotify, 'cc');
                    const ccFailureDetails = this.returnIds(report.notifyOnFailure, 'ccFailure');
                    const currentDate = moment$1().format('YYYY-MM-DD');
                    const categoryName = report.responsibilityCategory.includes('[WITHIN]')
                        ? report.responsibilityCategory.split(' [')[0]
                        : report.responsibilityCategory;
                    const frequencyValue = this.frequencyService.shortHand_freqCal(report.frequency, report.day, report.month);
                    const dateAndMonth = report.month.split("'");
                    const startDate = moment$1(report.day +
                        '-' +
                        dateAndMonth[0] +
                        '-' +
                        20 +
                        dateAndMonth[1] +
                        ' 00:00:00', 'DD-MMMM-YYYY HH:mm:ss').format('YYYY-MM-DD HH:mm:ss');
                    let completeDays;
                    let notCompleteDays;
                    const frequencyType = frequencyValue.split('~')[0];
                    if (report.responsibilityWindow !== '') {
                        completeDays = report.responsibilityWindow;
                    }
                    else if (frequencyTypeArray.includes(frequencyType)) {
                        const indexOfArray = frequencyTypeArray.indexOf(frequencyType);
                        completeDays = defaultWindow[indexOfArray];
                    }
                    if (report.failedAfter !== '') {
                        notCompleteDays = report.failedAfter;
                    }
                    else if (frequencyTypeArray.includes(frequencyType)) {
                        const indexOfArray = frequencyTypeArray.indexOf(frequencyType);
                        notCompleteDays = defaultFailedDay[indexOfArray];
                    }
                    const obj = {
                        userId: this.templateInfo.memberId,
                        organisation_id: this.organizationId,
                        member_id: assignorDetails
                            ? assignorDetails.memberId
                            : this.memberId,
                        member_name: assignorDetails
                            ? report.assignor
                                ? report.assignor.split(' (')[0]
                                : ''
                            : this.defaultOwner
                                ? this.defaultOwner.split(' (')[0]
                                : '',
                        member_email: assignorDetails
                            ? report.assignor
                                ? report.assignor.split(' (')[1].replace(')', '')
                                : ''
                            : this.defaultOwner
                                ? this.defaultOwner.split(' (')[1].replace(')', '')
                                : '',
                        created_by: assignorDetails ? this.memberId : 0,
                        report_name: report.responsibilityName ?? '',
                        entrusted_to: report.assignee.split(' (')[0] ?? '',
                        entrusted_to_id: this.returnIds(report.assignee, 'entrusted_to'),
                        email_address: report.assignee.split(' (')[1].replace(')', '') ?? '',
                        category_name: categoryName,
                        category_name_with_tree: '',
                        category_id: this.returnIds(report.responsibilityCategory, 'category_id'),
                        rc_name: rcDetails ? rcDetails.name : '',
                        rc_id: rcDetails ? rcDetails.rcId : 0,
                        entity_tree: rcDetails && rcDetails.rcId
                            ? [
                                {
                                    parent_rc_ids: rcDetails ? rcDetails.parentIds : [],
                                    rc_id: rcDetails ? rcDetails.rcId : 0,
                                },
                            ]
                            : [],
                        frequency_handler: frequencyValue,
                        compliance_type: frequencyValue.split('~')[0],
                        frequency_description: report.frequency,
                        start_date: report.day ? startDate : currentDate + ' 00:00:00',
                        risk_class: report.reportClass ?? '',
                        risk_classId: report.reportClass
                            ? this.returnIds(report.reportClass, 'risk_class')
                            : this.riskClassEnabled
                                ? 1
                                : 2,
                        doc_utc: 0,
                        comment: report.notes ?? '',
                        cc_mail: ccDetails ? ccDetails.email : '',
                        cc_mail_id: ccDetails ? ccDetails.employeeId : '',
                        cc_failed_mail: ccFailureDetails ? ccFailureDetails.email : '',
                        cc_failure_id: ccFailureDetails ? ccFailureDetails.employeeId : 0,
                        send_reminder: '',
                        responsibilityWindow: frequencyType === '1' ? 0 : completeDays,
                        failed_after: notCompleteDays,
                        excel_sheet_name: '',
                        report_upload_flag: report.documentEvidenceRequired === 'Yes' ? 1 : 0,
                        report_id: 0,
                        is_assigned_flag: 0,
                        private_library_id: 0,
                        keycompliance: report.keyResponsibility === 'Yes' ? 'Yes' : 'No',
                        key_compliance: report.keyResponsibility === 'Yes' ? 1 : 0,
                        reviewerId: reviewerDetails ? reviewerDetails.employeeId : 0,
                        reviewer_arr: reviewerDetails && reviewerDetails.employeeId
                            ? {
                                level1: {
                                    reviewers: [
                                        {
                                            member_id: reviewerDetails
                                                ? reviewerDetails.employeeId
                                                : 0,
                                            reviewer_accept: 0,
                                        },
                                    ],
                                    type: 'SEQUENTIAL',
                                },
                            }
                            : {},
                        reviewerWindow: report.reviewToBeCompletedWithin === ''
                            ? 2
                            : report.reviewToBeCompletedWithin,
                        reviewerFailure: report.reviewWillBeFailedAfter === ''
                            ? 2
                            : report.reviewWillBeFailedAfter,
                        reviewer_email: reviewerDetails ? reviewerDetails.email : '',
                        formatForResponsibility: report.formatForResponsibility
                            ? report.formatForResponsibility
                            : '',
                        documentaryEvidence: report.notes ?? '',
                        isdocumentaryEvidence: report.documentEvidenceRequired === 'Yes' ? 1 : 0,
                        objective: report.objective ?? '',
                        excel_sheet_info: this.fileResponse,
                        showList: false,
                        custom_tags: '[]',
                    };
                    payload.push(obj);
                }
            });
        }
        this.responsibilityService.addBulkResponsibility(payload).subscribe((res) => {
            this.loader = false;
            this.showExcel = false;
            this.showSmiley = true;
            this.submitWorkflow();
            this.responsibilityData = res;
        }, (err) => {
            console.error(err);
            this.loader = false;
            this.showExcel = false;
            this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
        });
    }
    submitWorkflow() {
        const message = { type: 'submit' };
        const targetOrigin = this.getOrigin();
        window.parent.postMessage(message, targetOrigin);
    }
    getOrigin() {
        return window.location.origin;
    }
    returnIds(item, key) {
        switch (key) {
            case 'rc_id':
                let rcObj = { name: '', rcId: 0, parentIds: [] };
                this.templateInfo.rcList.forEach((rc_element) => {
                    if (rc_element.name == item) {
                        let name;
                        if (rc_element.name.includes('[WITHIN]')) {
                            name = rc_element.name.split(' [WITHIN] ')[0];
                        }
                        else {
                            name = rc_element.name;
                        }
                        rcObj = {
                            name,
                            rcId: rc_element.rc_id,
                            parentIds: rc_element.parentIds,
                        };
                    }
                });
                return rcObj;
                break;
            case 'reviewer':
                let reviewerObj = { name: '', employeeId: 0, email: '' };
                this.templateInfo.assigneesList.forEach((reviewerElement) => {
                    if (reviewerElement.nameAndEmail == item) {
                        reviewerObj = {
                            name: reviewerElement.name,
                            employeeId: reviewerElement.my_member_id,
                            email: reviewerElement.email,
                        };
                    }
                });
                return reviewerObj;
                break;
            case 'assignor':
                let assignorObj = { name: '', memberId: 0, email: '' };
                this.templateInfo.assignorsList.forEach((assignorElement) => {
                    if (assignorElement.nameAndEmail == item) {
                        assignorObj = {
                            name: assignorElement.name,
                            email: assignorElement.email,
                            memberId: assignorElement.member_id,
                        };
                    }
                });
                return assignorObj;
                break;
            case 'cc':
                let ccObj = { name: '', employeeId: 0, email: '' };
                this.templateInfo.assigneesList.forEach((ccElement) => {
                    if (ccElement.nameAndEmail == item) {
                        ccObj = {
                            name: ccElement.name,
                            employeeId: ccElement.employee_id,
                            email: ccElement.email,
                        };
                    }
                });
                return ccObj;
                break;
            case 'ccFailure':
                let ccfObj = { name: '', employeeId: 0, email: '' };
                this.templateInfo.assigneesList.forEach((ccfElement) => {
                    if (ccfElement.nameAndEmail == item) {
                        ccfObj = {
                            name: ccfElement.name,
                            employeeId: ccfElement.employee_id,
                            email: ccfElement.email,
                        };
                    }
                });
                return ccfObj;
                break;
            case 'entrusted_to':
                let empId = 0;
                this.templateInfo.assigneesList.forEach((enElement) => {
                    if (enElement.nameAndEmail == item) {
                        empId = enElement.employee_id;
                    }
                });
                return empId;
                break;
            case 'category_id':
                let catId = 0;
                this.templateInfo.categoryList.forEach((category) => {
                    if (category.name == item) {
                        catId = category.category_id;
                    }
                });
                return catId;
                break;
            case 'risk_class':
                if (item == 'Low') {
                    return 1;
                }
                else if (item == 'Low-Medium') {
                    return 2;
                }
                else if (item == 'Medium-High') {
                    return 3;
                }
                else if (item == 'High') {
                    return 4;
                }
                else {
                    return 0;
                }
                break;
        }
    }
    reset() {
        this.responsibilityBulkUpload = {
            header: [],
            reports: [],
        };
        this.templateInfo = {
            categoryList: [],
            rcList: [],
            assignorsList: [],
            assigneesList: [],
            memberId: '',
        };
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.fileName = undefined;
        this.data = undefined;
        this.showExcel = false;
        this.showSmiley = false;
        this.closeAddMultipleResponsibility.emit();
    }
    action(event) {
        switch (event) {
            case 'addMore':
                this.reset();
                break;
            case 'view':
                this.viewResponsibilities();
                break;
        }
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.closeWorkflow.emit({ evt: this.responsibilityData, confirm: false });
    }
    viewResponsibilities() {
        let url;
        let urlSubstring = '';
        this.disconnectRefresh.emit(false);
        if (this.isNotificationPending) {
            if (this.featureflag) {
                urlSubstring = 'compliance/manage-responsibility?' + this.url;
            }
            else {
                urlSubstring =
                    'compliance/manage-responsibilities/responsibilities-queue';
            }
        }
        else {
            if (this.featureflag) {
                this.queryParam = JSON?.stringify(this.recentResponsibilityUrl);
                urlSubstring = 'compliance/manage-responsibility?q=' + this.queryParam;
            }
            else {
                urlSubstring = 'compliance/manage-responsibilities';
            }
        }
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host + '/compliance/#/' + urlSubstring;
        }
        else {
            url = 'https://' + window.location.host + '/compliance/#/' + urlSubstring;
        }
        this.iframeService.redirectIfInIframe(url, true);
    }
    // Upload File to the server
    fileUpload() {
        this.fileResponse = [];
        this.loader = true;
        const formData = new FormData();
        const file = this.uploadedFiles[0][0];
        formData.append('sourcefile', file);
        formData.append('destination', 'bulkupload/entrust/' + this.userInfo.email);
        this.responsibilityService.fileUpload(formData).subscribe((res) => {
            if (res?.filename) {
                this.fileResponse.push(res);
            }
            this.loader = false;
        }, (err) => {
            console.error(err);
            this.loader = false;
            this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleResponsibilityComponent, deps: [{ token: AddRiskService }, { token: ResponsibilityService }, { token: AuthService$1 }, { token: FrequencyBulkService }, { token: SnackBarService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddMultipleResponsibilityComponent, selector: "app-add-multiple-responsibility", inputs: { featureflag: "featureflag", uploadedFileData: ["uploadedFile", "uploadedFileData"], feature: "feature" }, outputs: { pickerChanged: "pickerChanged", populateOption: "populateOption", closeWorkflow: "closeWorkflow", disconnectRefresh: "disconnectRefresh", closeAddMultipleResponsibility: "closeAddMultipleResponsibility" }, usesOnChanges: true, ngImport: i0, template: "<!-- <div class=\"add-multiple-risk\" [attr.id]=\"'scrollReference'\" >\n    <!- - main container starts here - ->\n    <div class=\"add-multiple-risk-body\">\n        <div class=\"add-multiple-risk-container\">\n            <div class=\"image\">\n                <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/spreadsheet-multiple-category.svg\" alt=\"\" />\n            </div>\n            <h4>You can entrust multiple responsibilities in just two easy steps:</h4>\n            <ul class=\"list\">\n                <li>Download the template and fill in the details.</li>\n                <li>Upload the .xlsx file and you\u2019re good to go!</li>\n            </ul>\n\n            <button class=\"download\" *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n            (click)=\"downloadTemplate()\" type=\"button\"><i class=\"icons\">&#xe91b;</i> Download Template</button>\n            <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n                Download in Progress\n                <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n            </div>\n            <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n                <div class=\"bulk-btn-progress\"><i class=\"icons\">&#xe91c;</i>Download Complete</div>\n                <div class=\"bulk-btn-again\">\n                    Is the file not downloaded?\n                    <button (click)=\"downloadTemplate()\">Retry Download</button>\n                </div>\n            </ng-container>\n            <p class=\"error-message\" *ngIf=\"isWrongFile || isWrongFormat|| isFileEmpty\"\n            >{{errorMessage}}</p>  \n        </div>\n    </div>\n</div> -->\n<app-bulk-responsibility-view *ngIf=\"showExcel\"\n[responsibilityBulkUpload]=\"responsibilityBulkUpload\"\n[fileName]=\"fileName\"\n[loader]=\"loader\"\n[defaultOwner]=\"defaultOwner\"\n(submitResponsibilityBulkUpload)=\"submitResponsibilityBulkUpload()\"\n(cancel)=\"reset()\"\n[responsibilityType]=\"'singleTab'\"></app-bulk-responsibility-view>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n<input type=\"file\" [(ngModel)]=\"fileValue\" id=\"fileInput\" class=\"hidden-input\" accept=\".xlsx\" (change)=\"uploadedFile($event)\" multiple />\n<app-smiley-dialog-inline *ngIf=\"showSmiley\" [message]=\"smileyMessage\" [actionButtons]=\"actionButtons\" (action)=\"action($event)\" (closeSmiley)=\"closeSmiley($event)\"></app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{font-size:20px;line-height:30px;margin:0 0 20px;font-weight:500}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #F1F1F1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "component", type: BulkResponsibilityViewComponent, selector: "app-bulk-responsibility-view", inputs: ["responsibilityBulkUpload", "fileName", "defaultOwner", "loader", "tabType", "bulkUpload", "responsibilityType"], outputs: ["submitResponsibilityBulkUpload", "cancel", "selectedTab"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleResponsibilityComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-add-multiple-responsibility', template: "<!-- <div class=\"add-multiple-risk\" [attr.id]=\"'scrollReference'\" >\n    <!- - main container starts here - ->\n    <div class=\"add-multiple-risk-body\">\n        <div class=\"add-multiple-risk-container\">\n            <div class=\"image\">\n                <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/spreadsheet-multiple-category.svg\" alt=\"\" />\n            </div>\n            <h4>You can entrust multiple responsibilities in just two easy steps:</h4>\n            <ul class=\"list\">\n                <li>Download the template and fill in the details.</li>\n                <li>Upload the .xlsx file and you\u2019re good to go!</li>\n            </ul>\n\n            <button class=\"download\" *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n            (click)=\"downloadTemplate()\" type=\"button\"><i class=\"icons\">&#xe91b;</i> Download Template</button>\n            <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n                Download in Progress\n                <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n            </div>\n            <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n                <div class=\"bulk-btn-progress\"><i class=\"icons\">&#xe91c;</i>Download Complete</div>\n                <div class=\"bulk-btn-again\">\n                    Is the file not downloaded?\n                    <button (click)=\"downloadTemplate()\">Retry Download</button>\n                </div>\n            </ng-container>\n            <p class=\"error-message\" *ngIf=\"isWrongFile || isWrongFormat|| isFileEmpty\"\n            >{{errorMessage}}</p>  \n        </div>\n    </div>\n</div> -->\n<app-bulk-responsibility-view *ngIf=\"showExcel\"\n[responsibilityBulkUpload]=\"responsibilityBulkUpload\"\n[fileName]=\"fileName\"\n[loader]=\"loader\"\n[defaultOwner]=\"defaultOwner\"\n(submitResponsibilityBulkUpload)=\"submitResponsibilityBulkUpload()\"\n(cancel)=\"reset()\"\n[responsibilityType]=\"'singleTab'\"></app-bulk-responsibility-view>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n<input type=\"file\" [(ngModel)]=\"fileValue\" id=\"fileInput\" class=\"hidden-input\" accept=\".xlsx\" (change)=\"uploadedFile($event)\" multiple />\n<app-smiley-dialog-inline *ngIf=\"showSmiley\" [message]=\"smileyMessage\" [actionButtons]=\"actionButtons\" (action)=\"action($event)\" (closeSmiley)=\"closeSmiley($event)\"></app-smiley-dialog-inline>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{font-size:20px;line-height:30px;margin:0 0 20px;font-weight:500}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #F1F1F1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AddRiskService }, { type: ResponsibilityService }, { type: AuthService$1 }, { type: FrequencyBulkService }, { type: SnackBarService }, { type: IframeService }]; }, propDecorators: { pickerChanged: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], featureflag: [{
                type: Input
            }], closeAddMultipleResponsibility: [{
                type: Output
            }], uploadedFileData: [{
                type: Input,
                args: ['uploadedFile']
            }], feature: [{
                type: Input
            }] } });

const REGEX = {
    MONTH: /^[A-Za-z]+'\d{2}$/,
};

class AddMultipleResponsibilityWithTabComponent {
    set uploadedFileData(data) {
        this.uploadedFile(data);
    }
    constructor(riskService, responsibilityService, authService, frequencyService, snackBar, iframeService) {
        this.riskService = riskService;
        this.responsibilityService = responsibilityService;
        this.authService = authService;
        this.frequencyService = frequencyService;
        this.snackBar = snackBar;
        this.iframeService = iframeService;
        this.pickerChanged = new EventEmitter();
        this.populateOption = new EventEmitter();
        this.closeWorkflow = new EventEmitter();
        this.disconnectRefresh = new EventEmitter();
        this.isNotificationPending = 0;
        this.closeAddMultipleResponsibility = new EventEmitter();
        this.queryParam = '';
        this.recentResponsibilityUrl = {
            byResponsibilities: { type: ['recent_responsibilities'], subType: ['CC'] },
            byStatus: { type: [], subType: [] },
            filterObject: {
                responsibilityCenter: [],
                entrustedBy: [],
                entrustedTo: [],
                riskIds: [],
                responsibilityCategory: [],
            },
            timePeriodDetails: { type: '', selectedPeriod: '', selectedYear: '' },
            status: '',
        };
        this.url = 'q={"byResponsibilities":{"type":["responsibilities_in_queue"],"subType":["CC"]},"byStatus":{"type":["responsibilities_in_queue"],"subType":[]},"filterObject":{"responsibilityCenter":[],"entrustedBy":[],"entrustedTo":[],"riskIds":[],"responsibilityCategory":[]},"timePeriodDetails":{"type":"","selectedPeriod":"","selectedYear":""},"status":""}';
        this.responsibilityBulkUpload = {
            header: [],
            reports: [],
        };
        this.tabType = 'frequency';
        this.tabIndex = {
            frequency: 0,
            ongoing: 1,
            onCompletion: 2,
        };
        this.bulkUpload = {
            frequency: {
                header: [],
                subHeading: [],
                reports: [],
            },
            ongoing: {
                header: [],
                subHeading: [],
                reports: [],
            },
            onCompletion: {
                header: [],
                subHeading: [],
                reports: [],
            },
        };
        this.templateInfo = {
            categoryList: [],
            rcList: [],
            assignorsList: [],
            assigneesList: [],
            reviewerList: [],
            parentResponsibility: [],
            memberId: '',
        };
        this.isLoader = false;
        this.showCategoryList = false;
        this.templateDownloaded = false;
        this.downloadInProgress = false;
        this.loader = false;
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.showExcel = false;
        this.uploadedFiles = [];
        this.fileResponse = [];
        this.memberId = 0;
        this.organizationId = 0;
        this.errorMessage = ' invalid file error';
        this.downloadStatus = 'NOT_DOWNLOADING';
        this.downloadPercent = 0;
        this.defaultOwner = '';
        this.smileyMessage = `You're All Set! We're processing your request and you will be notified via email upon completion.`;
        this.actionButtons = [
            {
                buttonText: 'Entrust More Responsibilities',
                class: 'white-btn',
                id: 'addMore',
            },
            {
                buttonText: this.isNotificationPending
                    ? 'View Responsibilities In Queue'
                    : 'View Responsibilities',
                class: 'blue-btn',
                id: 'view',
            },
        ];
        this.showSmiley = false;
        this.member_obj_id = '';
        this.ffBulkUploadOptimization = false;
        this.isDayInvalid = false;
        this.isDateFormatInvalid = false;
    }
    ngOnChanges(changes) { }
    ngOnInit() {
        this.pickerChanged.emit(false);
        this.organizationId = this.authService.getOrganizationId();
        this.memberId = this.authService.getMemberId();
        this.member_obj_id = this.authService.getUserDetails()._id;
        this.userInfo = this.authService.getUserDetails().user;
        this.defaultOwner = this.userInfo
            ? this.userInfo.name + ' (' + this.userInfo.email + ')'
            : '';
        this.getUserDetails();
        this.authService.getOrganizationDetails().subscribe((res) => {
            this.riskClassEnabled = res.enable_riskclass;
        });
        this.ffBulkUploadOptimization = this.feature.isFeatureEnabled('ff_bulk_upload_optimization');
    }
    triggerBrowseFile() {
        const getFile = document.getElementById('fileInput');
        if (getFile) {
            getFile.click();
        }
    }
    getUserDetails() {
        this.authService.getUserInfo().subscribe((res) => {
            this.isNotificationPending = res.notification_pending_flag;
        });
    }
    uploadedFile(event, tabType) {
        try {
            this.responsibilityBulkUpload = {
                header: [],
                reports: [],
            };
            this.templateInfo = {
                categoryList: [],
                rcList: [],
                assignorsList: [],
                assigneesList: [],
                reviewerList: [],
                parentResponsibility: [],
                memberId: '',
            };
            this.uploadedFiles = [];
            const reference = document.querySelector('#scrollReference');
            if (reference) {
                reference.scrollIntoView({ behavior: 'smooth', block: 'center' });
            }
            this.isFileEmpty = false;
            this.isWrongFile = false;
            this.isWrongFormat = false;
            this.fileName = event.target.files[0].name;
            this.uploadedFiles.push(event.target.files);
            const target = event.target;
            // tslint:disable-next-line: curly
            if (target.files.length !== 1)
                throw new Error('Cannot use multiple files');
            const reader = new FileReader();
            reader.onload = (e) => {
                const bstr = e.target.result;
                const wb = XLSX.read(bstr, { type: 'binary' });
                const wsname = wb.SheetNames[1];
                const sheet2 = wb.SheetNames[2];
                const sheet3 = wb.SheetNames[3];
                const wsname1 = wb.SheetNames[4];
                const ws = wb.Sheets[wsname];
                const sheetReport2 = wb.Sheets[sheet2];
                const sheetReport3 = wb.Sheets[sheet3];
                const tempData = wb.Sheets[wsname1];
                const tData = XLSX.utils.sheet_to_json(tempData, { header: 1 });
                const tempList = tData.filter((dataElement) => dataElement.length > 0);
                this.setOrganizationDetails(tempList);
                wb.SheetNames.forEach((sheet) => {
                    switch (sheet?.toLowerCase()) {
                        case 'frequency responsibilities':
                            this.setDataForDifferentTabs(ws, sheet);
                            break;
                        case 'ongoing responsibilities':
                            this.setDataForDifferentTabs(sheetReport2, sheet);
                            break;
                        case 'on completion responsibilities':
                            this.setDataForDifferentTabs(sheetReport3, sheet);
                            break;
                        default:
                            break;
                    }
                });
            };
            reader.readAsBinaryString(target.files[0]);
        }
        catch (e) {
            console.error(e);
        }
    }
    /**
     * It takes a worksheet and a sheet name, and then it sets the data for different tabs.
     * @param ws - XLSX.WorkSheet, sheet: string
     * @param {string} sheet - string - the name of the sheet in the excel file
     * @returns the value of the variable "responsibilityBulkUpload" which is an object.
     */
    setDataForDifferentTabs(ws, sheet) {
        let responsibilityBulkUpload = {
            header: [],
            reports: [],
            subHeading: [],
        };
        let sheetValue = XLSX.utils.sheet_to_json(ws, {
            header: 1,
            raw: false,
        });
        let data = sheetValue.filter((res) => {
            let isUndefined = '';
            res.forEach((el) => {
                isUndefined = isUndefined + el;
            });
            if (sheetValue[2] && sheetValue[2][1] === 'Program') {
                return !(res?.length === 9 && res[8] === '' && !isUndefined.length);
            }
            else {
                return !(res?.length === 6 && res[5] === '' && !isUndefined.length);
            }
        });
        if (this.fileName.substr(-5) !== '.xlsx') {
            this.errorMessage =
                'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                    ' RETRY';
            this.isWrongFile = true;
            return;
        }
        responsibilityBulkUpload.header = cloneDeep$1(data[2]);
        responsibilityBulkUpload.subHeading = cloneDeep$1(data[3]);
        data = data.slice(5);
        if (this.member_obj_id != this.templateInfo.memberId) {
            this.errorMessage =
                'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                    ' RETRY';
            this.isWrongFile = true;
            return;
        }
        const responsibilityData = data.filter((dataElement) => dataElement.length > 0);
        responsibilityData.forEach((report) => {
            let validDate;
            const validUser = this.returnIds(report[2], 'entrusted_to')
                ? true
                : false;
            if (responsibilityBulkUpload.header[1] === 'Program') {
                validDate = this.compareWithCurrentDate(report[4], report[5]);
            }
            else {
                validDate = this.compareWithCurrentDate(report[5], report[6]);
            }
            /* Pushing the report details into the bulkUpload object as per tab tabs */
            if (sheet?.toLowerCase() === 'frequency responsibilities') {
                responsibilityBulkUpload.reports.push(this.setReportDetails(report, 'frequency', responsibilityBulkUpload.header[1] === 'Program' ? true : false));
                this.bulkUpload.frequency.header = responsibilityBulkUpload?.header;
                this.bulkUpload.frequency.subHeading =
                    responsibilityBulkUpload?.subHeading;
                this.bulkUpload.frequency.reports = responsibilityBulkUpload?.reports;
            }
            if (sheet?.toLowerCase() === 'ongoing responsibilities') {
                responsibilityBulkUpload.reports.push(this.setReportDetails(report, 'ongoing', responsibilityBulkUpload.header[1] === 'Program' ? true : false));
                this.bulkUpload.ongoing.header = responsibilityBulkUpload?.header;
                this.bulkUpload.ongoing.subHeading =
                    responsibilityBulkUpload?.subHeading;
                this.bulkUpload.ongoing.reports = responsibilityBulkUpload?.reports;
            }
            if (sheet?.toLowerCase() === 'on completion responsibilities') {
                responsibilityBulkUpload.reports.push(this.setReportDetails(report, 'onCompletion', responsibilityBulkUpload.header[1] === 'Program' ? true : false));
                this.bulkUpload.onCompletion.header = responsibilityBulkUpload?.header;
                this.bulkUpload.onCompletion.subHeading =
                    responsibilityBulkUpload?.subHeading;
                this.bulkUpload.onCompletion.reports =
                    responsibilityBulkUpload?.reports;
            }
        });
        const isEmpty = this.checkEmptyFile(data);
        /* Checking if the file is empty, if it is empty it will return an error message. If it is not
        empty it will check if the file is the correct file, if it is not the correct file it will
        return an error message. If it is the correct file it will call the fileUpload() function. */
        if (isEmpty) {
            this.errorMessage =
                'You have uploaded a blank template. Please add details for all mandatory fields. RETRY';
            this.isFileEmpty = true;
            this.isWrongFile = false;
            this.isWrongFormat = false;
            return;
        }
        else if (this.bulkUpload?.frequency?.header[0] !== 'Responsibility Name*' &&
            this.bulkUpload?.ongoing?.header[0] !== 'Responsibility Name*' &&
            this.bulkUpload?.onCompletion?.header[0] !== 'Responsibility Name*') {
            this.errorMessage =
                'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                    ' RETRY';
            this.isWrongFile = false;
            this.isWrongFormat = true;
            return;
        }
        else {
            this.isFileEmpty = false;
            this.isWrongFile = false;
            this.isWrongFormat = false;
            this.fileUpload();
        }
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.showExcel = true;
        this.fileValue = '';
    }
    /**
     * If the bulkUpload object has a frequency object with a reports array, set the
     * responsibilityBulkUpload to the frequency object and set the tabType to frequency. If not, check
     * if the bulkUpload object has an ongoing object with a reports array, set the
     * responsibilityBulkUpload to the ongoing object and set the tabType to ongoing. If not, check if
     * the bulkUpload object has an onCompletion object with a reports array, set the
     * responsibilityBulkUpload to the onCompletion object and set the tabType to onCompletion. If not,
     * return true.
     * </code>
     * @param {any} data - any = {
     * @returns a boolean value.
     */
    checkEmptyFile(data) {
        let isEmpty = false;
        if (this.bulkUpload?.frequency?.reports?.length) {
            this.responsibilityBulkUpload = this.bulkUpload?.frequency;
            this.tabType = 'frequency';
        }
        else if (this.bulkUpload?.ongoing?.reports?.length) {
            this.responsibilityBulkUpload = this.bulkUpload?.ongoing;
            this.tabType = 'ongoing';
        }
        else if (this.bulkUpload?.onCompletion?.reports?.length) {
            this.responsibilityBulkUpload = this.bulkUpload?.onCompletion;
            this.tabType = 'onCompletion';
        }
        else {
            isEmpty = true;
        }
        return isEmpty;
    }
    compareWithCurrentDate(day, month) {
        const currentDate = new Date();
        const monthNames = [
            { value: 1, month: 'Jan' },
            { value: 2, month: 'Feb' },
            { value: 3, month: 'Mar' },
            { value: 4, month: 'Apr' },
            { value: 5, month: 'May' },
            { value: 6, month: 'Jun' },
            { value: 7, month: 'Jul' },
            { value: 8, month: 'Aug' },
            { value: 9, month: 'Sep' },
            { value: 10, month: 'Oct' },
            { value: 11, month: 'Nov' },
            { value: 12, month: 'Dec' },
        ];
        if (!(day || month)) {
            return true;
        }
        else if (!(day && month)) {
            return false;
        }
        else {
            const monthFormatRegex = REGEX.MONTH;
            if (!monthFormatRegex.test(month)) {
                this.isDateFormatInvalid = true;
                return false;
            }
            if (!(day > 0 && day < 32)) {
                this.isDayInvalid = true;
                return false;
            }
            const monthAndYear = month.split("'");
            const startDate = moment$1(day + '-' + monthAndYear[0] + '-' + 20 + monthAndYear[1] + ' 00:00:00', 'DD-MMMM-YYYY HH:mm:ss').format('YYYY-MM-DD HH:mm:ss');
            if (startDate == 'Invalid date') {
                this.isDayInvalid = true;
                return false;
            }
            setTimeout(() => { }, 5);
            const date_value = new Date();
            date_value.setMonth(typeof month !== 'number'
                ? monthNames.filter((x) => x.month === month?.substring(0, 3))[0]
                    ?.value - 1
                : month);
            date_value.setFullYear(Number(20 + month.split("'")[1]));
            date_value.setDate(Number(day));
            if (currentDate?.toJSON()?.split('T')[0] !=
                date_value?.toJSON()?.split('T')[0] &&
                currentDate > date_value) {
                return false;
            }
            else {
                return true;
            }
        }
    }
    isPastDate(day, month) {
        const currentDate = new Date();
        const monthNames = [
            { value: 1, month: 'Jan' },
            { value: 2, month: 'Feb' },
            { value: 3, month: 'Mar' },
            { value: 4, month: 'Apr' },
            { value: 5, month: 'May' },
            { value: 6, month: 'Jun' },
            { value: 7, month: 'Jul' },
            { value: 8, month: 'Aug' },
            { value: 9, month: 'Sep' },
            { value: 10, month: 'Oct' },
            { value: 11, month: 'Nov' },
            { value: 12, month: 'Dec' },
        ];
        if (!(day || month)) {
            return false;
        }
        else if (!(day && month)) {
            return false;
        }
        else {
            // const reportDate = new Date(day + month.split("'"));
            const date_value = new Date();
            date_value.setMonth(typeof month !== 'number'
                ? monthNames.filter((x) => x.month === month?.substring(0, 3))[0]
                    ?.value - 1
                : month);
            date_value.setFullYear(Number(20 + month.split("'")[1]));
            date_value.setDate(Number(day));
            if (currentDate > date_value) {
                return true;
            }
            else {
                return false;
            }
        }
    }
    downloadTemplate() {
        this.downloadStatus = 'DOWNLOADING';
        this.downloadPercent = 0;
        const downloadDate = new Date().toDateString().split(' ');
        const fileName = `Entrust Responsibilities-${downloadDate[2]}-${downloadDate[1]}-${downloadDate[3]}.xlsx`;
        this.riskService.downloadResponsibilityTemplate().subscribe((data) => {
            if (data.loaded) {
                this.downloadPercent = 100 * (data.loaded / data.total);
            }
            if (data.body) {
                setTimeout(() => {
                    this.downloadStatus = this.riskService.downLoadFile(data.body, 'application/xlsx', fileName);
                }, 1500);
            }
        }, (error) => {
            console.error(error);
            this.downloadStatus = 'DOWNLOADED';
        });
    }
    submitResponsibilityBulkUpload() {
        this.loader = true;
        let payload = [];
        let responsibilityMultiTabBulkUpload = [];
        const frequencyTypeArray = ['1', '2', '3', '4', '7', '0', '6', '9'];
        const defaultWindow = [0, 2, 7, 30, 7, 15, 3, 30];
        const defaultFailedDay = [1, 2, 5, 5, 5, 5, 5, 5];
        let validResponsibilities = 0;
        let responsibilityBulkUpload = this.bulkUpload?.frequency?.reports?.concat(this.bulkUpload?.ongoing?.reports, this.bulkUpload?.onCompletion?.reports);
        responsibilityMultiTabBulkUpload =
            this.bulkUpload?.frequency?.reports?.concat(this.bulkUpload?.ongoing?.reports, this.bulkUpload?.onCompletion?.reports);
        if (this.ffBulkUploadOptimization) {
            responsibilityMultiTabBulkUpload?.forEach((report) => {
                if (report?.isValid) {
                    validResponsibilities += 1;
                }
            });
            payload = {
                originalFilename: this.fileResponse[0]?.original_filename,
                fileName: this.fileResponse[0]?.filename,
                filePath: this.fileResponse[0]?.filepath,
                totalResponsibilityCount: responsibilityMultiTabBulkUpload?.length,
                validResponsibilityCount: validResponsibilities,
            };
        }
        else {
            responsibilityBulkUpload.forEach((report) => {
                if (report.isValid) {
                    if (report?.responsibilityCategory === null) {
                        report.responsibilityCategory = '';
                    }
                    const rcDetails = this.returnIds(report?.responsibilityCenter, 'rc_id');
                    const reviewerDetails = this.returnIds(report?.reviewer, 'reviewer');
                    const assignorDetails = report?.assignor
                        ? this.returnIds(report?.assignor, 'assignor')
                        : '';
                    const ccDetails = this.returnIds(report?.overseer, 'cc');
                    const ccFailureDetails = this.returnIds(report.notifyOnFailure, 'ccFailure');
                    const currentDate = moment$1().format('YYYY-MM-DD');
                    let ongoingReminderType = {
                        Weekly: 1,
                        Monthly: 2,
                        Quarterly: 3,
                    };
                    const ongoingValues = {
                        setReminder: report?.setReminder,
                        frequencyReminder: ongoingReminderType[report?.frequencyReminder],
                    };
                    const frequencyValue = this.frequencyService.shortHand_freqCal(report?.frequency, report?.day, report?.month, '', report?.dueDate, ongoingValues);
                    const dateAndMonth = report?.month?.split("'");
                    const startDate = dateAndMonth
                        ? moment$1(report?.day +
                            '-' +
                            dateAndMonth[0] +
                            '-' +
                            20 +
                            dateAndMonth[1] +
                            ' 00:00:00', 'DD-MMMM-YYYY HH:mm:ss').format('YYYY-MM-DD HH:mm:ss')
                        : '';
                    let completeDays;
                    let notCompleteDays;
                    const frequencyType = frequencyValue?.split('~')[0];
                    if (report.responsibilityWindow &&
                        report.responsibilityWindow !== '') {
                        completeDays = report?.responsibilityWindow;
                    }
                    else if (frequencyTypeArray?.includes(frequencyType)) {
                        const indexOfArray = frequencyTypeArray?.indexOf(frequencyType);
                        completeDays = defaultWindow[indexOfArray];
                    }
                    if (report?.failedAfter && report?.failedAfter !== '') {
                        notCompleteDays = report?.failedAfter;
                    }
                    else if (frequencyTypeArray.includes(frequencyType)) {
                        const indexOfArray = frequencyTypeArray?.indexOf(frequencyType);
                        notCompleteDays = defaultFailedDay[indexOfArray];
                    }
                    const obj = {
                        userId: this.templateInfo?.memberId,
                        organisation_id: this.organizationId,
                        member_id: assignorDetails
                            ? assignorDetails?.memberId
                            : this.memberId,
                        member_name: assignorDetails
                            ? report?.assignor
                                ? report?.assignor.split(' (')[0]
                                : ''
                            : this.defaultOwner
                                ? this.defaultOwner?.split(' (')[0]
                                : '',
                        member_email: assignorDetails
                            ? report?.assignor
                                ? report?.assignor?.split(' (')[1]?.replace(')', '')
                                : ''
                            : this.defaultOwner
                                ? this.defaultOwner?.split(' (')[1].replace(')', '')
                                : '',
                        created_by: assignorDetails ? this.memberId : 0,
                        report_name: report?.responsibilityName ?? '',
                        entrusted_to: report?.assignee?.split(' (')[0] ?? '',
                        entrusted_to_id: this.isGroupSelected(report?.assignee)
                            ? this.getEmployeeIdFromGroup(report?.assignee)
                            : this.returnIds(report?.assignee, 'entrusted_to')?.toString() ??
                                '',
                        email_address: !this.isGroupSelected(report?.assignee)
                            ? report?.assignee?.split(' (')[1]?.replace(')', '') ?? ''
                            : '',
                        isGroupAssignTo: report?.assigneeType?.includes('Any') ? 1 : 0,
                        category_name_with_tree: '',
                        category_id: this.getProgramId(report?.program, report?.programCategory).categoryId?.toString() ?? '',
                        program_cat_ids: this.getProgramId(report?.program, report?.programCategory)?.programId
                            ? [
                                this.getProgramId(report?.program, report?.programCategory)
                                    ?.programId,
                            ]
                            : [],
                        rc_name: rcDetails ? rcDetails?.name : '',
                        rc_id: rcDetails ? rcDetails?.rcId : 0,
                        entity_tree: rcDetails && rcDetails?.rcId
                            ? [
                                {
                                    parent_rc_ids: rcDetails ? rcDetails?.parentIds : [],
                                    rc_id: rcDetails ? rcDetails?.rcId : 0,
                                },
                            ]
                            : [],
                        userGroupIds: {
                            assigneeAllGroupIds: !report?.assigneeType?.includes('Any') &&
                                this.isGroupSelected(report?.assignee)
                                ? [this.returnIds(report?.assignee, 'entrusted_to')]
                                : [],
                            assigneeAnyoneGroupIds: report?.assigneeType?.includes('Any') &&
                                this.isGroupSelected(report?.assignee)
                                ? [this.returnIds(report?.assignee, 'entrusted_to')]
                                : [],
                            ccEmailGroupIds: [],
                            failureCCEmailGroupIds: [],
                            reviewerGroupIds: [],
                        },
                        frequency_handler: frequencyValue,
                        compliance_type: frequencyValue?.split('~')[0],
                        frequency_description: report?.frequency,
                        start_date: report?.day ? startDate : currentDate + ' 00:00:00',
                        risk_class: report?.reportClass ?? '',
                        risk_classId: report?.reportClass
                            ? this.returnIds(report?.reportClass, 'risk_class')
                            : this.riskClassEnabled
                                ? 1
                                : 2,
                        doc_utc: 0,
                        comment: report?.notes ?? '',
                        cc_mail: ccDetails ? ccDetails?.email : '',
                        cc_mail_id: ccDetails ? ccDetails?.employeeId : '',
                        cc_failed_mail: ccFailureDetails ? ccFailureDetails?.email : '',
                        cc_failure_id: ccFailureDetails ? ccFailureDetails?.employeeId : 0,
                        send_reminder: '',
                        responsibilityWindow: frequencyType === '1'
                            ? 0
                            : completeDays && completeDays != ''
                                ? completeDays
                                : 0,
                        failed_after: notCompleteDays && notCompleteDays != '' ? notCompleteDays : 0,
                        excel_sheet_name: '',
                        report_upload_flag: report?.isFormat === 'Yes' &&
                            report?.formatForResponsibility?.length
                            ? 1
                            : 0,
                        report_id: 0,
                        is_assigned_flag: 0,
                        private_library_id: 0,
                        keycompliance: report?.keyResponsibility === 'Yes' ? 'Yes' : 'No',
                        key_compliance: report?.keyResponsibility === 'Yes' ? 1 : 0,
                        reviewerId: reviewerDetails ? reviewerDetails?.employeeId : 0,
                        reviewer_arr: reviewerDetails && reviewerDetails?.employeeId
                            ? {
                                level1: {
                                    reviewers: [
                                        {
                                            member_id: reviewerDetails
                                                ? reviewerDetails?.employeeId
                                                : 0,
                                            reviewer_accept: 0,
                                        },
                                    ],
                                    type: 'SEQUENTIAL',
                                },
                            }
                            : {},
                        reviewerWindow: report?.reviewToBeCompletedWithin &&
                            report?.reviewToBeCompletedWithin !== ''
                            ? report?.reviewToBeCompletedWithin
                            : 2,
                        reviewerFailure: report?.reviewWillBeFailedAfter &&
                            report?.reviewWillBeFailedAfter !== ''
                            ? report?.reviewWillBeFailedAfter
                            : 2,
                        reviewer_email: reviewerDetails ? reviewerDetails?.email : '',
                        formatForResponsibility: report?.formatForResponsibility
                            ? report.formatForResponsibility
                            : '',
                        documentaryEvidence: report?.evidenceNotes ?? '',
                        isdocumentaryEvidence: report.documentEvidenceRequired === 'Yes' ? 1 : 0,
                        objective: report.objective ?? '',
                        excel_sheet_info: this.fileResponse,
                        showList: false,
                        custom_tags: '[]',
                        questionnaire_type: '',
                        on_completion_of_type: report?.frequency === 'On Completion of' ||
                            report?.frequency?.toLowerCase() === 'ongoing'
                            ? 1
                            : 0,
                        on_completion_of: this.returnIds(report?.parentResponsibility, 'parentResponsibility')
                            ? [
                                this.returnIds(report?.parentResponsibility, 'parentResponsibility'),
                            ]
                            : [],
                    };
                    payload.push(obj);
                }
            });
        }
        this.responsibilityService.addBulkResponsibility(payload).subscribe((res) => {
            this.loader = false;
            this.showExcel = false;
            this.showSmiley = true;
            this.submitWorkflow();
            this.responsibilityData = res;
        }, (err) => {
            console.log(err);
            this.loader = false;
            this.showExcel = false;
            this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
        });
    }
    submitWorkflow() {
        const message = { type: 'submit' };
        const targetOrigin = this.getOrigin();
        window.parent.postMessage(message, targetOrigin);
    }
    getOrigin() {
        return window.location.origin;
    }
    returnIds(item, key) {
        switch (key) {
            case 'rc_id':
                let rcObj = { name: '', rcId: 0, parentIds: [] };
                this.templateInfo.rcList.forEach((rc_element) => {
                    if (rc_element.name == item) {
                        let name;
                        if (rc_element.name.includes('[WITHIN]')) {
                            name = rc_element.name.split(' [WITHIN] ')[0];
                        }
                        else {
                            name = rc_element.name;
                        }
                        rcObj = {
                            name,
                            rcId: rc_element.rc_id,
                            parentIds: rc_element.parentIds,
                        };
                    }
                });
                return rcObj;
                break;
            case 'reviewer':
                let reviewerObj = { name: '', employeeId: 0, email: '' };
                this.templateInfo?.reviewerList.forEach((reviewerElement) => {
                    if (reviewerElement.nameAndEmail == item) {
                        reviewerObj = {
                            name: reviewerElement.name,
                            employeeId: reviewerElement.my_member_id,
                            email: reviewerElement.email,
                        };
                    }
                });
                return reviewerObj;
                break;
            case 'assignor':
                let assignorObj = { name: '', memberId: 0, email: '' };
                this.templateInfo.assignorsList.forEach((assignorElement) => {
                    if (assignorElement.nameAndEmail == item) {
                        assignorObj = {
                            name: assignorElement.name,
                            email: assignorElement.email,
                            memberId: assignorElement.member_id,
                        };
                    }
                });
                return assignorObj;
                break;
            case 'cc':
                let ccObj = { name: '', employeeId: 0, email: '' };
                this.templateInfo?.reviewerList.forEach((ccElement) => {
                    if (ccElement.nameAndEmail == item) {
                        ccObj = {
                            name: ccElement.name,
                            employeeId: ccElement.employee_id,
                            email: ccElement.email,
                        };
                    }
                });
                return ccObj;
                break;
            case 'ccFailure':
                let ccfObj = { name: '', employeeId: 0, email: '' };
                this.templateInfo?.reviewerList.forEach((ccfElement) => {
                    if (ccfElement.nameAndEmail == item) {
                        ccfObj = {
                            name: ccfElement.name,
                            employeeId: ccfElement.employee_id,
                            email: ccfElement.email,
                        };
                    }
                });
                return ccfObj;
                break;
            case 'entrusted_to':
                let empId = 0;
                this.templateInfo.assigneesList.forEach((enElement) => {
                    if (enElement.nameAndEmail == item) {
                        empId = enElement.employee_id;
                    }
                });
                return empId;
                break;
            case 'parentResponsibility':
                let id = 0;
                this.templateInfo.parentResponsibility.forEach((responsibility) => {
                    if (responsibility?.name === item) {
                        id = responsibility.id;
                    }
                });
                return id;
                break;
            case 'risk_class':
                if (item == 'Low') {
                    return 1;
                }
                else if (item == 'Low-Medium') {
                    return 2;
                }
                else if (item == 'Medium-High') {
                    return 3;
                }
                else if (item == 'High') {
                    return 4;
                }
                else {
                    return 0;
                }
                break;
        }
    }
    reset() {
        this.responsibilityBulkUpload = {
            header: [],
            reports: [],
        };
        this.bulkUpload = {
            frequency: {
                header: [],
                subHeading: [],
                reports: [],
            },
            ongoing: {
                header: [],
                subHeading: [],
                reports: [],
            },
            onCompletion: {
                header: [],
                subHeading: [],
                reports: [],
            },
        };
        this.templateInfo = {
            categoryList: [],
            rcList: [],
            assignorsList: [],
            assigneesList: [],
            reviewerList: [],
            memberId: '',
        };
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.fileName = undefined;
        this.data = undefined;
        this.showExcel = false;
        this.showSmiley = false;
        this.closeAddMultipleResponsibility.emit();
    }
    action(event) {
        switch (event) {
            case 'addMore':
                this.reset();
                break;
            case 'view':
                this.viewResponsibilities();
                break;
        }
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.closeWorkflow.emit({ evt: this.responsibilityData, confirm: false });
    }
    viewResponsibilities() {
        let url;
        let urlSubstring = '';
        this.disconnectRefresh.emit(false);
        if (this.isNotificationPending) {
            if (this.featureflag) {
                urlSubstring = 'compliance/manage-responsibility?' + this.url;
            }
            else {
                urlSubstring =
                    'compliance/manage-responsibilities/responsibilities-queue';
            }
        }
        else {
            if (this.featureflag) {
                this.queryParam = JSON?.stringify(this.recentResponsibilityUrl);
                urlSubstring = 'compliance/manage-responsibility?q=' + this.queryParam;
            }
            else {
                urlSubstring = 'compliance/manage-responsibilities';
            }
        }
        if (window.location.host.startsWith('localhost')) {
            url = 'http://' + window.location.host + '/compliance/#/' + urlSubstring;
        }
        else {
            url = 'https://' + window.location.host + '/compliance/#/' + urlSubstring;
        }
        this.iframeService.redirectIfInIframe(url, true);
    }
    // Upload File to the server
    fileUpload() {
        this.fileResponse = [];
        this.loader = true;
        const formData = new FormData();
        const file = this.uploadedFiles[0][0];
        formData.append('sourcefile', file);
        formData.append('destination', 'bulkupload/entrust/' + this.userInfo.email);
        this.responsibilityService.fileUpload(formData).subscribe((res) => {
            if (res?.filename) {
                this.fileResponse.push(res);
            }
            this.loader = false;
        }, (err) => {
            console.error(err);
            this.loader = false;
            this.snackBar.show('OOPS! Something went wrong and the page could not be loaded. Could you please try one more time?', 'alert');
        });
    }
    setOrganizationDetails(tempList) {
        if (tempList[0] !== undefined && tempList[0][18]) {
            this.templateInfo.memberId = tempList[0][18];
        }
        else {
            this.errorMessage =
                'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                    ' RETRY';
            this.isWrongFile = true;
            return;
        }
        tempList.forEach((element) => {
            /* Pushing the value of regulations Programs into the categoryList array. */
            if (element[26] && typeof element[26] === 'number') {
                const regulations = {
                    programName: element[22],
                    programId: element[26],
                    assignee: JSON.parse(element[30]),
                    reviewer: JSON.parse(element[31]),
                    overseer: JSON.parse(element[32])?.concat(JSON.parse(element[33])),
                    programType: 1,
                };
                this.templateInfo.categoryList.push(regulations);
            }
            /* Pushing the value of standards Programs into the categoryList array. */
            if (element[27] && typeof element[27] === 'number') {
                const standards = {
                    programName: element[23],
                    programId: element[27],
                    assignee: JSON.parse(element[34]),
                    reviewer: JSON.parse(element[35]),
                    overseer: JSON.parse(element[36])?.concat(JSON.parse(element[37])),
                    programType: 2,
                };
                this.templateInfo.categoryList.push(standards);
            }
            /* Pushing the value of internal Controls Programs into the categoryList array. */
            if (element[28] && typeof element[28] === 'number') {
                const internalControls = {
                    programName: element[24],
                    programId: element[28],
                    assignee: JSON.parse(element[38]),
                    reviewer: JSON.parse(element[39]),
                    overseer: JSON.parse(element[40])?.concat(JSON.parse(element[41])),
                    programType: 3,
                };
                this.templateInfo.categoryList.push(internalControls);
            }
            /* Pushing the value of others Programs into the categoryList array. */
            if (element[29] && typeof element[29] === 'number') {
                const others = {
                    programName: element[25],
                    programId: element[29],
                    assignee: JSON.parse(element[42]),
                    reviewer: JSON.parse(element[43]),
                    overseer: JSON.parse(element[44])?.concat(JSON.parse(element[45])),
                    programType: 0,
                };
                this.templateInfo.categoryList.push(others);
            }
            /* Checking if the element[9] is not null and not empty. If it is not null and not empty, it is
            pushing the element[9] (RC) to the array (rcList). */
            if (element[9] && element[9] != ' ') {
                const rc = {
                    name: element[9],
                    rc_id: element[10],
                    parentIds: JSON.parse(element[11]),
                };
                this.templateInfo.rcList.push(rc);
            }
            /* Checking if the element[2] is not empty and not equal to space. If it is not empty and not
            equal to space, then it is pushing the assignee object to the assigneesList array. */
            if (element[19] && element[19] != ' ') {
                const assignee = {
                    nameAndEmail: element[19],
                    // name: element[11].split(' (')[0],
                    name: element[19],
                    email: element[19],
                    employee_id: element[20],
                    my_member_id: JSON.parse(element[21]),
                };
                this.templateInfo.assigneesList.push(assignee);
            }
            if (element[2] && element[2] != ' ') {
                const reviewer = {
                    nameAndEmail: element[2],
                    // name: element[11].split(' (')[0],
                    name: element[0],
                    email: element[1],
                    employee_id: element[3],
                    my_member_id: element[4],
                };
                this.templateInfo.reviewerList.push(reviewer);
            }
            /* Checking if the element[2] is not empty and not equal to space. If it is not empty and not
            equal to space, it will create an object and push it to the assignorsList array. */
            if (element[2] && element[2] != ' ') {
                const assignor = {
                    nameAndEmail: element[2],
                    name: element[0],
                    email: element[1],
                    // name: element[14].split(' (')[0],
                    // email: element[14].split(' (')[1].replace(')', ''),
                    member_id: element[4],
                };
                this.templateInfo.assignorsList.push(assignor);
            }
            /* Checking if the 17th element of the array is true. If it is, it is creating an object with the
            16th element as the name and the 17th element as the id. */
            if (element[17]) {
                const parentResponsibility = {
                    name: element[16],
                    id: JSON.parse(element[17]),
                };
                this.templateInfo.parentResponsibility.push(parentResponsibility);
            }
        });
        /* Creating a list of child categories. and push the child categories to their parent program */
        if (this.templateInfo.categoryList?.length) {
            this.templateInfo.categoryList?.forEach((category, i) => {
                let index = tempList[0]?.indexOf(category?.programId);
                if (index !== -1) {
                    let childCategory = [];
                    /* Creating a list of child categories. */
                    for (let j = 1; true; j++) {
                        if (tempList[j] && tempList[j][index]) {
                            const category = {
                                name: tempList[j][index - 1],
                                id: tempList[j][index],
                            };
                            childCategory.push(category);
                        }
                        else {
                            break;
                        }
                    }
                    this.templateInfo.categoryList[i]['childCategory'] = childCategory;
                }
            });
        }
    }
    /**
     * It takes an event, which is a string, and then it sets the responsibilityBulkUpload variable to
     * the value of the bulkUpload variable, which is an object, and then it accesses the property of
     * that object that matches the event string.
     *
     * So if the event string is 'frequency', then the responsibilityBulkUpload variable will be set to
     * the value of the frequency property of the bulkUpload object.
     *
     * If the event string is 'ongoing', then the responsibilityBulkUpload variable will be set to the
     * value of the ongoing property of the bulkUpload object.
     *
     * If the event string is 'onCompletion', then the responsibilityBulkUpload variable will be set to the
     * value of the onCompletion property of the bulkUpload object.
     *
     * If the event string is anything else, then the responsibilityBulkUpload variable will be set to
     * the value of the frequency property of the bulkUpload object.
     * @param {string} event - string - the event that is emitted from the child component (frequency | ongoing | onCompletion)
     */
    selectedTab(event) {
        this.tabType = event;
        switch (event) {
            case 'frequency':
                this.responsibilityBulkUpload = this.bulkUpload?.frequency;
                break;
            case 'ongoing':
                this.responsibilityBulkUpload = this.bulkUpload?.ongoing;
                break;
            case 'onCompletion':
                this.responsibilityBulkUpload = this.bulkUpload?.onCompletion;
                break;
            default:
                this.responsibilityBulkUpload = this.bulkUpload?.frequency;
                break;
        }
    }
    /**
     * It takes in a report, a tab type, and a boolean value. It then returns an object with a bunch of
     * properties.
     * </code>
     * @param {any} report - any =&gt; the array of data
     * @param {string} tabType - string - this is the type of tab that is selected.
     * @param {boolean} isProgram - boolean
     * @returns An object with the following properties:
     */
    setReportDetails(report, tabType, isProgram) {
        let obj;
        switch (tabType) {
            case 'frequency': {
                if (isProgram) {
                    obj = {
                        responsibilityName: report[0],
                        programType: report[1],
                        program: report[2],
                        programCategory: report[3],
                        assignor: report[4],
                        assignee: report[5],
                        assigneeType: report[6],
                        keyResponsibility: report[7],
                        responsibilityCategory: null,
                        frequency: report[8],
                        day: report[9],
                        month: report[10],
                        responsibilityWindow: report[11],
                        failedAfter: report[12],
                        responsibilityCenter: report[13],
                        reportClass: report[14],
                        objective: report[15],
                        notes: report[16],
                        isFormat: report[17],
                        formatForResponsibility: report[18],
                        documentEvidenceRequired: report[19],
                        // evidenceNotes: report[19],
                        // assessments: report[20],
                        reviewer: report[20],
                        reviewToBeCompletedWithin: report[21],
                        reviewWillBeFailedAfter: report[22],
                        overseer: report[23],
                        notifyOnFailure: report[24],
                    };
                    obj['isValidData'] = this.isValidData(obj);
                    obj['isValidUser'] = this.returnIds(obj?.assignee, 'entrusted_to')
                        ? true
                        : false;
                    obj['userValidateWithProgram'] = this.validateDataWithProgram(obj);
                    obj['validDate'] = this.compareWithCurrentDate(obj?.day, obj?.month);
                    obj['isDateFormatInvalid'] = this.isDateFormatInvalid;
                    obj['isDayInvalid'] = this.isDayInvalid;
                    obj['isPastDate'] = this.isPastDate(obj?.day, obj?.month);
                    obj['isValid'] =
                        obj['isValidData'] &&
                            obj['validDate'] &&
                            !obj['isPastDate'] &&
                            obj?.frequency?.length &&
                            !Object.values(obj['userValidateWithProgram']).includes(false) &&
                            obj['isValidUser'] &&
                            this.isValidRiskClass(obj?.reportClass);
                    return obj;
                }
                else {
                    obj = {
                        responsibilityName: report[0],
                        assignor: report[1],
                        assignee: report[2],
                        assigneeType: report[3],
                        keyResponsibility: report[4],
                        responsibilityCategory: null,
                        frequency: report[5],
                        day: report[6],
                        month: report[7],
                        responsibilityWindow: report[8],
                        failedAfter: report[9],
                        responsibilityCenter: report[10],
                        reportClass: report[11],
                        objective: report[12],
                        notes: report[13],
                        isFormat: report[14],
                        formatForResponsibility: report[15],
                        documentEvidenceRequired: report[16],
                        // evidenceNotes: report[16],
                        // assessments: report[17],
                        reviewer: report[17],
                        reviewToBeCompletedWithin: report[18],
                        reviewWillBeFailedAfter: report[19],
                        overseer: report[20],
                        notifyOnFailure: report[21],
                    };
                    obj['isValidData'] = this.isValidData(obj);
                    obj['userValidateWithProgram'] = this.validateDataWithProgram(obj);
                    obj['isValidUser'] = this.returnIds(obj?.assignee, 'entrusted_to')
                        ? true
                        : false;
                    obj['validDate'] = this.compareWithCurrentDate(obj?.day, obj?.month);
                    obj['isPastDate'] = this.isPastDate(obj?.day, obj?.month);
                    obj['isValid'] =
                        obj['isValidData'] &&
                            obj['validDate'] &&
                            !obj['isPastDate'] &&
                            obj?.frequency?.length &&
                            obj['isValidUser'] &&
                            this.isValidRiskClass(obj?.reportClass);
                    return obj;
                }
                break;
            }
            case 'ongoing': {
                if (isProgram) {
                    obj = {
                        responsibilityName: report[0],
                        programType: report[1],
                        program: report[2],
                        programCategory: report[3],
                        assignor: report[4],
                        assignee: report[5],
                        assigneeType: report[6],
                        keyResponsibility: report[7],
                        responsibilityCategory: null,
                        frequency: report[8],
                        setReminder: report[9],
                        frequencyReminder: report[10],
                        responsibilityCenter: report[11],
                        reportClass: report[12],
                        objective: report[13],
                        notes: report[14],
                        isFormat: report[15],
                        formatForResponsibility: report[16],
                        documentEvidenceRequired: report[17],
                        // evidenceNotes: report[17],
                        // assessments: report[18],
                        reviewer: report[18],
                        reviewToBeCompletedWithin: report[19],
                        reviewWillBeFailedAfter: report[20],
                        overseer: report[21],
                        notifyOnFailure: report[22],
                    };
                    obj['isValidData'] = this.isValidData(obj);
                    obj['userValidateWithProgram'] = this.validateDataWithProgram(obj);
                    obj['isValidUser'] = this.returnIds(obj?.assignee, 'entrusted_to')
                        ? true
                        : false;
                    obj['isValid'] =
                        obj['isValidData'] &&
                            !Object.values(obj['userValidateWithProgram']).includes(false) &&
                            obj['isValidUser'] &&
                            this.isValidRiskClass(obj?.reportClass);
                    return obj;
                }
                else {
                    obj = {
                        responsibilityName: report[0],
                        assignor: report[1],
                        assignee: report[2],
                        assigneeType: report[3],
                        keyResponsibility: report[4],
                        responsibilityCategory: null,
                        frequency: report[5],
                        setReminder: report[6],
                        frequencyReminder: report[7],
                        responsibilityCenter: report[8],
                        reportClass: report[9],
                        objective: report[10],
                        notes: report[11],
                        isFormat: report[12],
                        formatForResponsibility: report[13],
                        documentEvidenceRequired: report[14],
                        // evidenceNotes: report[14],
                        // assessments: report[15],
                        reviewer: report[15],
                        reviewToBeCompletedWithin: report[16],
                        reviewWillBeFailedAfter: report[17],
                        overseer: report[18],
                        notifyOnFailure: report[19],
                    };
                    obj['isValidData'] = this.isValidData(obj);
                    obj['userValidateWithProgram'] = this.validateDataWithProgram(obj);
                    obj['isValidUser'] = this.returnIds(obj?.assignee, 'entrusted_to')
                        ? true
                        : false;
                    obj['isValid'] = obj['isValidData'] && obj['isValidUser'] &&
                        this.isValidRiskClass(obj?.reportClass);
                    return obj;
                }
            }
            case 'onCompletion': {
                if (isProgram) {
                    obj = {
                        responsibilityName: report[0],
                        programType: report[1],
                        program: report[2],
                        programCategory: report[3],
                        assignor: report[4],
                        assignee: report[5],
                        assigneeType: report[6],
                        keyResponsibility: report[7],
                        responsibilityCategory: null,
                        frequency: report[8],
                        parentResponsibility: report[9],
                        dueDate: report[10],
                        responsibilityWindow: report[11],
                        failedAfter: report[12],
                        responsibilityCenter: report[13],
                        reportClass: report[14],
                        objective: report[15],
                        notes: report[16],
                        isFormat: report[17],
                        formatForResponsibility: report[18],
                        documentEvidenceRequired: report[19],
                        // evidenceNotes: report[19],
                        // assessments: report[20],
                        reviewer: report[20],
                        reviewToBeCompletedWithin: report[21],
                        reviewWillBeFailedAfter: report[22],
                        overseer: report[23],
                        notifyOnFailure: report[24],
                    };
                    obj['isValidData'] = this.isValidData(obj);
                    obj['userValidateWithProgram'] = this.validateDataWithProgram(obj);
                    obj['isValidUser'] = this.returnIds(obj?.assignee, 'entrusted_to')
                        ? true
                        : false;
                    obj['isValid'] =
                        obj['isValidData'] &&
                            !Object.values(obj['userValidateWithProgram']).includes(false) &&
                            obj?.parentResponsibility?.length &&
                            obj['isValidUser'] &&
                            this.isValidRiskClass(obj?.reportClass);
                    return obj;
                }
                else {
                    obj = {
                        responsibilityName: report[0],
                        assignor: report[1],
                        assignee: report[2],
                        assigneeType: report[3],
                        keyResponsibility: report[4],
                        responsibilityCategory: null,
                        frequency: report[5],
                        parentResponsibility: report[6],
                        dueDate: report[7],
                        responsibilityWindow: report[8],
                        failedAfter: report[9],
                        responsibilityCenter: report[10],
                        reportClass: report[11],
                        objective: report[12],
                        notes: report[13],
                        isFormat: report[14],
                        formatForResponsibility: report[15],
                        documentEvidenceRequired: report[16],
                        // evidenceNotes: report[16],
                        // assessments: report[17],
                        reviewer: report[17],
                        reviewToBeCompletedWithin: report[18],
                        reviewWillBeFailedAfter: report[19],
                        overseer: report[20],
                        notifyOnFailure: report[21],
                    };
                    obj['isValidData'] = this.isValidData(obj);
                    obj['userValidateWithProgram'] = this.validateDataWithProgram(obj);
                    obj['isValidUser'] = this.returnIds(obj?.assignee, 'entrusted_to')
                        ? true
                        : false;
                    obj['isValid'] =
                        obj['isValidData'] &&
                            obj?.parentResponsibility?.length &&
                            obj['isValidUser'] &&
                            this.isValidRiskClass(obj?.reportClass);
                    return obj;
                }
            }
            default: {
            }
        }
    }
    isValidRiskClass(riskClass) {
        if (!riskClass)
            return true;
        return RISK_CLASS_LIST.includes(riskClass?.toLowerCase());
    }
    /**
     * It takes a string, removes all whitespace, and returns the string
     * @param {any} name - the name of the responsibility
     * @returns the trimmedName variable.
     */
    checkValidResponsibilityName(name) {
        const re = /&nbsp;|<br>/g;
        if (name) {
            var trimmedName = name.toString().replace(re, '').trim();
            trimmedName = trimmedName.replace(/  +/g, ' ');
        }
        return trimmedName;
    }
    /**
     * If the responsibility name is valid, and the assignee and assignor are not empty, then return
     * true. Otherwise, return false
     * @param {any} data - any - the data that is being passed in
     * @returns A boolean value.
     */
    isValidData(data) {
        const responsibility = this.checkValidResponsibilityName(data?.responsibilityName)?.length
            ? true
            : false;
        const assignee = data?.assignee?.length ? true : false;
        const frequency = data?.frequency?.length ? true : false;
        if (assignee && responsibility && frequency) {
            return true;
        }
        else {
            return false;
        }
    }
    /**
     * If the assignor is the same as the overseer or the NotifyOnFailure, or if the assignor is not set
     * and the defaultOwner is the same as the overseer or the NotifyOnFailure, or if the assignee is the
     * same as the reviewer, overseer, or NotifyOnFailure, or if the assignee is not set and the
     * defaultOwner is the same as the overseer or the NotifyOnFailure, or if the reviewer is the same as
     * the overseer or the NotifyOnFailure, or if the assignee is not set, then return false. Otherwise,
     * return true
     * @param {any} data - any - this is the data that is passed in from the form.
     * @returns A boolean value.
     */
    isValidUsers(data) {
        if ((data?.assignor &&
            (data?.assignor == data?.overseer ||
                data?.assignor == data?.notifyOnFailure)) ||
            (!data?.assignor &&
                (this.defaultOwner == data?.overseer ||
                    this.defaultOwner == data?.notifyOnFailure)) ||
            (data?.assignee &&
                (data?.assignee == data?.reviewer ||
                    data?.assignee == data?.overseer ||
                    data?.assignee == data?.notifyOnFailure)) ||
            (!data?.assignee &&
                (this.defaultOwner == data?.overseer ||
                    this.defaultOwner == data?.notifyOnFailure)) ||
            (data?.reviewer &&
                (data?.reviewer == data?.overseer ||
                    data?.reviewer == data?.notifyOnFailure)) ||
            !data?.assignee) {
            return false;
        }
        else {
            return true;
        }
    }
    /**
     * It takes in a data object and returns an object with 4 boolean properties.
     * The boolean properties are determined by the values of the data object.
     * @param {any} data - any = {
     * @returns {
     *   isValidAssignee: true,
     *   isValidAssignor: true,
     *   isValidReviewer: true,
     *   isValidOverseer: true
     * }
     */
    validateDataWithProgram(data) {
        const program = this.templateInfo?.categoryList?.filter((program) => program?.programName === data?.program);
        const selectedAssignee = this.templateInfo?.assigneesList?.filter((assignee) => assignee?.nameAndEmail === data?.assignee);
        const selectedAssignor = this.templateInfo?.assignorsList?.filter((assignor) => assignor?.nameAndEmail === data?.assignor);
        const selectedReviewer = this.templateInfo?.reviewerList?.filter((reviewer) => reviewer?.nameAndEmail === data?.reviewer);
        const selectedOverseer = this.templateInfo?.reviewerList?.filter((overseer) => overseer?.nameAndEmail === data?.overseer);
        const selectedNotifyOnFailure = this.templateInfo?.reviewerList?.filter((notifyOnFailure) => notifyOnFailure?.nameAndEmail === data?.notifyOnFailure);
        let isValidAssignee = true;
        let isValidAssignor = true;
        let isValidReviewer = true;
        let isValidOverseer = true;
        let isValidNotifyOnFailure = true;
        if (program && this.orgDetails?.hasProgramFullPermission) {
            if (program[0]?.assignee?.length && selectedAssignee?.length) {
                isValidAssignee = program[0]?.assignee?.includes(selectedAssignee[0]?.my_member_id)
                    ? true
                    : false;
            }
            if (program[0]?.reviewer?.length && selectedReviewer?.length) {
                isValidReviewer = program[0]?.reviewer?.includes(selectedReviewer[0]?.my_member_id)
                    ? true
                    : false;
            }
            if (program[0]?.overseer?.length && selectedOverseer?.length) {
                isValidOverseer = program[0]?.overseer?.includes(selectedOverseer[0]?.my_member_id)
                    ? true
                    : false;
            }
            if (program[0]?.overseer?.length && selectedNotifyOnFailure?.length) {
                isValidNotifyOnFailure = program[0]?.overseer?.includes(selectedNotifyOnFailure[0]?.my_member_id)
                    ? true
                    : false;
            }
        }
        return {
            isValidAssignee: isValidAssignee,
            isValidAssignor: isValidAssignor,
            isValidReviewer: isValidReviewer,
            isValidOverseer: isValidOverseer,
            isValidNotifyOnFailure: isValidNotifyOnFailure,
        };
    }
    /**
     * It takes two strings as arguments, and returns an object with three properties
     * @param {string} programName - string -&gt; Name of the program
     * @param {string} [chileProgram] - string =&gt; this is the name of the sub-program
     * @returns {
     *   programId: 1,
     *   childProgramId: 2,
     *   categoryId: '1,2'
     * }
     */
    getProgramId(programName, chileProgram) {
        const program = this.templateInfo?.categoryList?.filter((program) => program?.programName === programName);
        let subProgram;
        let subProgramId;
        let categoryId;
        if (chileProgram?.length && program?.length) {
            subProgram = program[0]?.childCategory?.filter((subProgram) => subProgram?.name === chileProgram);
            subProgramId = subProgram?.length ? subProgram[0]?.id : undefined;
        }
        if (subProgramId && program?.length) {
            categoryId =
                program[0]?.programId?.toString() + ',' + subProgramId?.toString();
        }
        else if (program?.length) {
            categoryId = program[0]?.programId?.toString();
        }
        return {
            programId: program?.length ? program[0]?.programId : undefined,
            childProgramId: subProgramId,
            categoryId: categoryId,
        };
    }
    /**
     * It takes a string as an argument and returns a string.
     * @param {any} item - this is the name of the group that is selected from the dropdown.
     * it will return employee id in this form '1234,2345'.
     */
    getEmployeeIdFromGroup(item) {
        let empId = [];
        let employee_id = [];
        this.templateInfo?.assigneesList?.forEach((enElement) => {
            if (enElement?.nameAndEmail == item) {
                empId = enElement?.my_member_id;
            }
        });
        if (empId?.length) {
            empId?.forEach((id) => {
                this.templateInfo?.reviewerList.forEach((user) => {
                    if (user?.my_member_id == id) {
                        employee_id?.push(user?.employee_id);
                    }
                });
            });
        }
        return employee_id?.toString();
    }
    /**
     * If the item is a group, return true, otherwise return false.
     * @param {any} item - any - the item that is being checked
     */
    isGroupSelected(item) {
        let isGroup = false;
        this.templateInfo.assigneesList.forEach((enElement) => {
            if (enElement.nameAndEmail == item &&
                (item?.includes('Users)') || item?.includes('User)')) &&
                typeof enElement?.my_member_id == 'object') {
                isGroup = true;
            }
        });
        return isGroup;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleResponsibilityWithTabComponent, deps: [{ token: AddRiskService }, { token: ResponsibilityService }, { token: AuthService$1 }, { token: FrequencyBulkService }, { token: SnackBarService }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddMultipleResponsibilityWithTabComponent, selector: "lib-add-multiple-responsibility-with-tab", inputs: { uploadedFileData: ["uploadedFile", "uploadedFileData"], orgDetails: "orgDetails", feature: "feature", featureflag: "featureflag" }, outputs: { pickerChanged: "pickerChanged", populateOption: "populateOption", closeWorkflow: "closeWorkflow", disconnectRefresh: "disconnectRefresh", closeAddMultipleResponsibility: "closeAddMultipleResponsibility" }, usesOnChanges: true, ngImport: i0, template: "<!-- <div class=\"add-multiple-risk\" [attr.id]=\"'scrollReference'\" >\n    <!- - main container starts here - ->\n    <div class=\"add-multiple-risk-body\">\n        <div class=\"add-multiple-risk-container\">\n            <div class=\"image\">\n                <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/spreadsheet-multiple-category.svg\" alt=\"\" />\n            </div>\n            <h4>You can entrust multiple responsibilities in just two easy steps:</h4>\n            <ul class=\"list\">\n                <li>Download the template and fill in the details.</li>\n                <li>Upload the .xlsx file and you\u2019re good to go!</li>\n            </ul>\n\n            <button class=\"download\" *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n            (click)=\"downloadTemplate()\" type=\"button\"><i class=\"icons\">&#xe91b;</i> Download Template</button>\n            <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n                Download in Progress\n                <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n            </div>\n            <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n                <div class=\"bulk-btn-progress\"><i class=\"icons\">&#xe91c;</i>Download Complete</div>\n                <div class=\"bulk-btn-again\">\n                    Is the file not downloaded?\n                    <button (click)=\"downloadTemplate()\">Retry Download</button>\n                </div>\n            </ng-container>\n            <p class=\"error-message\" *ngIf=\"isWrongFile || isWrongFormat|| isFileEmpty\"\n            >{{errorMessage}}</p>  \n        </div>\n    </div>\n</div> -->\n<app-bulk-responsibility-view *ngIf=\"showExcel\"\n    [responsibilityBulkUpload]=\"responsibilityBulkUpload\"\n    [bulkUpload]=\"bulkUpload\"\n    [fileName]=\"fileName\"\n    [loader]=\"loader\"\n    [defaultOwner]=\"defaultOwner\"\n    [tabType]=\"tabType\"\n    [bulkUpload]=\"bulkUpload\"\n    (submitResponsibilityBulkUpload)=\"submitResponsibilityBulkUpload()\"\n    (selectedTab)=\"selectedTab($event)\"\n    (cancel)=\"reset()\"\n    [responsibilityType]=\"'multiTab'\">\n</app-bulk-responsibility-view>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n<input type=\"file\" [(ngModel)]=\"fileValue\" id=\"fileInput\" class=\"hidden-input\" accept=\".xlsx\" (change)=\"uploadedFile($event)\" multiple />\n<app-smiley-dialog-inline *ngIf=\"showSmiley\" [message]=\"smileyMessage\" [actionButtons]=\"actionButtons\" (action)=\"action($event)\" (closeSmiley)=\"closeSmiley($event)\"></app-smiley-dialog-inline>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{font-size:20px;line-height:30px;margin:0 0 20px;font-weight:500}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #F1F1F1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "component", type: BulkResponsibilityViewComponent, selector: "app-bulk-responsibility-view", inputs: ["responsibilityBulkUpload", "fileName", "defaultOwner", "loader", "tabType", "bulkUpload", "responsibilityType"], outputs: ["submitResponsibilityBulkUpload", "cancel", "selectedTab"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleResponsibilityWithTabComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-add-multiple-responsibility-with-tab', template: "<!-- <div class=\"add-multiple-risk\" [attr.id]=\"'scrollReference'\" >\n    <!- - main container starts here - ->\n    <div class=\"add-multiple-risk-body\">\n        <div class=\"add-multiple-risk-container\">\n            <div class=\"image\">\n                <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/spreadsheet-multiple-category.svg\" alt=\"\" />\n            </div>\n            <h4>You can entrust multiple responsibilities in just two easy steps:</h4>\n            <ul class=\"list\">\n                <li>Download the template and fill in the details.</li>\n                <li>Upload the .xlsx file and you\u2019re good to go!</li>\n            </ul>\n\n            <button class=\"download\" *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n            (click)=\"downloadTemplate()\" type=\"button\"><i class=\"icons\">&#xe91b;</i> Download Template</button>\n            <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n                Download in Progress\n                <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n            </div>\n            <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n                <div class=\"bulk-btn-progress\"><i class=\"icons\">&#xe91c;</i>Download Complete</div>\n                <div class=\"bulk-btn-again\">\n                    Is the file not downloaded?\n                    <button (click)=\"downloadTemplate()\">Retry Download</button>\n                </div>\n            </ng-container>\n            <p class=\"error-message\" *ngIf=\"isWrongFile || isWrongFormat|| isFileEmpty\"\n            >{{errorMessage}}</p>  \n        </div>\n    </div>\n</div> -->\n<app-bulk-responsibility-view *ngIf=\"showExcel\"\n    [responsibilityBulkUpload]=\"responsibilityBulkUpload\"\n    [bulkUpload]=\"bulkUpload\"\n    [fileName]=\"fileName\"\n    [loader]=\"loader\"\n    [defaultOwner]=\"defaultOwner\"\n    [tabType]=\"tabType\"\n    [bulkUpload]=\"bulkUpload\"\n    (submitResponsibilityBulkUpload)=\"submitResponsibilityBulkUpload()\"\n    (selectedTab)=\"selectedTab($event)\"\n    (cancel)=\"reset()\"\n    [responsibilityType]=\"'multiTab'\">\n</app-bulk-responsibility-view>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>\n\n<input type=\"file\" [(ngModel)]=\"fileValue\" id=\"fileInput\" class=\"hidden-input\" accept=\".xlsx\" (change)=\"uploadedFile($event)\" multiple />\n<app-smiley-dialog-inline *ngIf=\"showSmiley\" [message]=\"smileyMessage\" [actionButtons]=\"actionButtons\" (action)=\"action($event)\" (closeSmiley)=\"closeSmiley($event)\"></app-smiley-dialog-inline>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{font-size:20px;line-height:30px;margin:0 0 20px;font-weight:500}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #F1F1F1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 30px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;float:left;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AddRiskService }, { type: ResponsibilityService }, { type: AuthService$1 }, { type: FrequencyBulkService }, { type: SnackBarService }, { type: IframeService }]; }, propDecorators: { pickerChanged: [{
                type: Output
            }], populateOption: [{
                type: Output
            }], closeWorkflow: [{
                type: Output
            }], disconnectRefresh: [{
                type: Output
            }], closeAddMultipleResponsibility: [{
                type: Output
            }], uploadedFileData: [{
                type: Input,
                args: ['uploadedFile']
            }], orgDetails: [{
                type: Input
            }], feature: [{
                type: Input
            }], featureflag: [{
                type: Input
            }] } });

class AddMultipleResponsibilityContainerComponent {
    constructor(riskService, authService, bulkUploadService) {
        this.riskService = riskService;
        this.authService = authService;
        this.bulkUploadService = bulkUploadService;
        this.ASSETS = ASSETS;
        this.downloadStatus = 'NOT_DOWNLOADING';
        this.downloadStatusV2 = 'NOT_DOWNLOADING';
        this.downloadPercent = 0;
        this.showSmiley = false;
        this.fileName = '';
        this.singleTabResponsibility = false;
        this.multiTabResponsibility = false;
        this.isFileEmpty = false;
        this.isWrongFile = false;
        this.isWrongFormat = false;
        this.errorMessage = ' invalid file error';
        this.member_obj_id = '';
        this.deployedDate = 1677150875;
        this.memberId = '';
        this.closeWorkflow = new EventEmitter();
        this.isResponsibilitySimplified = false;
    }
    ngOnInit() {
        this.member_obj_id = this.authService.getUserDetails()._id;
        this.memberId = this.authService.getUserDetails()?.user?.id;
        this.bulkUploadFlag = this.feature.isFeatureEnabled('ff_bulk_responsibility');
        this.isResponsibilitySimplified = this.feature.isFeatureEnabled('ff_responsibility_simplification');
    }
    downloadTemplate(version) {
        version !== 'v2'
            ? (this.downloadStatus = 'DOWNLOADING')
            : (this.downloadStatusV2 = 'DOWNLOADING');
        this.downloadPercent = 0;
        const downloadDate = new Date().toDateString().split(' ');
        const fileName = `Entrust Responsibilities-${downloadDate[2]}-${downloadDate[1]}-${downloadDate[3]}.xlsx`;
        this.riskService.downloadResponsibilityTemplate(version).subscribe((data) => {
            if (data.loaded) {
                this.downloadPercent = 100 * (data.loaded / data.total);
            }
            if (data.body) {
                setTimeout(() => {
                    const downloadStatus = this.riskService.downLoadFile(data.body, 'application/xlsx', fileName);
                    version !== 'v2'
                        ? (this.downloadStatus = downloadStatus)
                        : (this.downloadStatusV2 = downloadStatus);
                }, 1500);
            }
        }, (error) => {
            console.error(error);
            version !== 'v2'
                ? (this.downloadStatus = 'DOWNLOADED')
                : (this.downloadStatusV2 = 'DOWNLOADED');
            // this.downloadStatus = 'DOWNLOADED';
        });
    }
    uploadedFile(event) {
        try {
            this.isFileEmpty = false;
            this.isWrongFile = false;
            this.isWrongFormat = false;
            let isEmpty = false;
            let isCorrectFile = true;
            let responsibilityBulkUpload = {
                header: [],
                reports: [],
            };
            let templateInfo = {
                categoryList: [],
                rcList: [],
                assignorsList: [],
                assigneesList: [],
                memberId: '',
            };
            this.fileName = event.target.files[0].name;
            // this.uploadedFiles.push(event.target.files);
            this.uploadedFileData = event;
            const target = event.target;
            // tslint:disable-next-line: curly
            if (target.files.length !== 1)
                throw new Error('Cannot use multiple files');
            const reader = new FileReader();
            reader.onload = (e) => {
                const bstr = e.target.result;
                const wb = XLSX.read(bstr, { type: 'binary' });
                let sheetData = '';
                let memberArray = [];
                if (wb?.SheetNames?.length > 2) {
                    const sheetData = wb.SheetNames[4];
                    const tempData = wb.Sheets[sheetData];
                    const tData = XLSX.utils.sheet_to_json(tempData, {
                        header: 1,
                    });
                    const tempList = tData.filter((dataElement) => dataElement.length > 0);
                    for (let i = 0; i < tempList.length; i++) {
                        if (!tempList[i][3]) {
                            break;
                        }
                        memberArray.push(tempList[i][3]);
                    }
                    const excelSheetName1 = wb.SheetNames[1];
                    const excelData1 = wb.Sheets[excelSheetName1];
                    const excelSheetName2 = wb.SheetNames[2];
                    const excelData2 = wb.Sheets[excelSheetName2];
                    const excelSheetName3 = wb.SheetNames[3];
                    const excelData3 = wb.Sheets[excelSheetName3];
                    isEmpty =
                        this.bulkUploadService.hasDataInList(excelData1, 7) &&
                            this.bulkUploadService.hasDataInList(excelData2, 7) &&
                            this.bulkUploadService.hasDataInList(excelData3, 7);
                    isCorrectFile =
                        this.bulkUploadService.checkCorrectFile(excelData1, 2) ||
                            this.bulkUploadService.checkCorrectFile(excelData2, 2) ||
                            this.bulkUploadService.checkCorrectFile(excelData3, 2);
                    templateInfo.memberId = tempList[0][18];
                }
                else {
                    const sheetData = wb.SheetNames[1];
                    const tempData = wb.Sheets[sheetData];
                    const tData = XLSX.utils.sheet_to_json(tempData, {
                        header: 1,
                    });
                    const tempList = tData.filter((dataElement) => dataElement.length > 0);
                    const excelSheetName = wb.SheetNames[0];
                    const excelData = wb.Sheets[excelSheetName];
                    isEmpty = this.bulkUploadService.hasDataInList(excelData, 2);
                    isCorrectFile = this.bulkUploadService.checkCorrectFile(excelData, 0);
                    templateInfo.memberId = tempList[0][25];
                }
                if (this.fileName.substr(-5) !== '.xlsx') {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                            ' RETRY';
                    this.isWrongFile = true;
                    return;
                }
                if (this.member_obj_id != templateInfo.memberId ||
                    !memberArray.includes(this.memberId)) {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                            ' RETRY';
                    this.isWrongFile = true;
                    return;
                }
                if (isEmpty) {
                    this.errorMessage =
                        'You have uploaded a blank template. Please add details for all mandatory fields. RETRY';
                    this.isFileEmpty = true;
                    this.isWrongFile = false;
                    this.isWrongFormat = false;
                    this.fileValue = '';
                    return;
                }
                if (!isCorrectFile) {
                    this.errorMessage =
                        'The incorrect file has been uploaded. Please upload the template which you downloaded from here.' +
                            ' RETRY';
                    this.isWrongFile = false;
                    this.isWrongFormat = true;
                    return;
                }
                if (wb?.SheetNames?.length > 2) {
                    this.multiTabResponsibility = true;
                }
                else {
                    this.singleTabResponsibility = true;
                }
            };
            reader.readAsBinaryString(target.files[0]);
        }
        catch (e) {
            console.error(e);
        }
    }
    closeSmiley(event) {
        this.showSmiley = false;
        this.closeWorkflow.emit({ evt: this.responsibilityData, confirm: false });
    }
    triggerBrowseFile() {
        const getFile = document.getElementById('fileInput');
        if (getFile) {
            getFile.click();
        }
    }
    closeAddMultipleResponsibility(event) {
        this.singleTabResponsibility = false;
        this.multiTabResponsibility = false;
        this.fileValue = '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleResponsibilityContainerComponent, deps: [{ token: AddRiskService }, { token: AuthService$1 }, { token: BulkUploadService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AddMultipleResponsibilityContainerComponent, selector: "lib-add-multiple-responsibility-container", inputs: { feature: "feature", orgDetails: "orgDetails" }, outputs: { closeWorkflow: "closeWorkflow" }, ngImport: i0, template: "<div class=\"add-multiple-risk\" [attr.id]=\"'scrollReference'\">\n  <!-- main container starts here -->\n  <div class=\"add-multiple-risk-body\">\n    <div class=\"add-multiple-risk-container\">\n      <div class=\"image\">\n        <img [src]=\"ASSETS.spreadsheet_multiple_category\" alt=\"\" />\n      </div>\n      <h4>You can entrust multiple responsibilities in just two easy steps:</h4>\n      <ul class=\"list\">\n        <li>Download the template and fill in the details.</li>\n        <li>Upload the .xlsx file and you\u2019re good to go!</li>\n      </ul>\n\n      <!-- both old and new template -->\n      <div\n        class=\"download-btn\"\n        *ngIf=\"\n          feature.isFeatureEnabled('ff_both_bulk_responsibility') &&\n          !feature.isFeatureEnabled('ff_bulk_responsibility') &&\n          orgDetails?.doc_utc < deployedDate\n        \"\n      >\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate()\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Existing Template\n        </button>\n        <div *ngIf=\"downloadStatus === 'DOWNLOADING'\" class=\"bulk-btn-progress\">\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <!-- <div *ngIf=\"downloadStatus === 'DOWNLOADED'\" class=\"bulk-btn-progress complete\"><i class=\"icons\">&#xe91c;</i>Download Complete -&nbsp;<button (click)=\"downloadTemplate()\">Retry Download</button></div> -->\n        <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate()\">Retry Download</button>\n          </div>\n        </ng-container>\n\n        <div class=\"orDiv\">OR</div>\n\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatusV2 === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate('v2')\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download New Template\n        </button>\n        <div\n          *ngIf=\"downloadStatusV2 === 'DOWNLOADING'\"\n          class=\"bulk-btn-progress\"\n        >\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <!-- <div *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\" class=\"bulk-btn-progress complete\"><i class=\"icons\">&#xe91c;</i>Download Complete -&nbsp;<button (click)=\"downloadTemplate('v2')\">Retry Download</button></div> -->\n        <ng-container *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate('v2')\">Retry Download</button>\n          </div>\n        </ng-container>\n      </div>\n\n      <!-- only for new template -->\n      <div\n        class=\"download-btn\"\n        *ngIf=\"\n          (feature.isFeatureEnabled('ff_bulk_responsibility') &&\n            !feature.isFeatureEnabled('ff_both_bulk_responsibility')) ||\n          (feature.isFeatureEnabled('ff_bulk_responsibility') &&\n            feature.isFeatureEnabled('ff_both_bulk_responsibility')) ||\n          orgDetails?.doc_utc > deployedDate\n        \"\n      >\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatusV2 === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate('v2')\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Template\n        </button>\n        <div\n          *ngIf=\"downloadStatusV2 === 'DOWNLOADING'\"\n          class=\"bulk-btn-progress\"\n        >\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <!-- <div *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\" class=\"bulk-btn-progress complete\"><i class=\"icons\">&#xe91c;</i>Download Complete -&nbsp;<button (click)=\"downloadTemplate('v2')\">Retry Download</button></div> -->\n        <ng-container *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate('v2')\">Retry Download</button>\n          </div>\n        </ng-container>\n      </div>\n\n      <!-- only for old template -->\n      <div\n        class=\"download-btn\"\n        *ngIf=\"\n          !feature.isFeatureEnabled('ff_bulk_responsibility') &&\n          !feature.isFeatureEnabled('ff_both_bulk_responsibility')\n        \"\n      >\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate()\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Template\n        </button>\n        <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate()\">Retry Download</button>\n          </div>\n        </ng-container>\n      </div>\n      <p\n        class=\"error-message\"\n        *ngIf=\"isWrongFile || isWrongFormat || isFileEmpty\"\n      >\n        {{ errorMessage }}\n      </p>\n    </div>\n  </div>\n</div>\n\n<input\n  type=\"file\"\n  [(ngModel)]=\"fileValue\"\n  id=\"fileInput\"\n  class=\"hidden-input\"\n  accept=\".xlsx\"\n  (change)=\"uploadedFile($event)\"\n  multiple\n/>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n\n<app-add-multiple-responsibility\n  *ngIf=\"singleTabResponsibility\"\n  [uploadedFile]=\"uploadedFileData\"\n  (closeAddMultipleResponsibility)=\"closeAddMultipleResponsibility($event)\"\n  [featureflag]=\"isResponsibilitySimplified\"\n  [feature]=\"feature\"\n></app-add-multiple-responsibility>\n<lib-add-multiple-responsibility-with-tab\n  *ngIf=\"multiTabResponsibility\"\n  [orgDetails]=\"orgDetails\"\n  [uploadedFile]=\"uploadedFileData\"\n  (closeAddMultipleResponsibility)=\"closeAddMultipleResponsibility($event)\"\n  [featureflag]=\"isResponsibilitySimplified\"\n  [feature]=\"feature\"\n></lib-add-multiple-responsibility-with-tab>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{color:#565a6f;font-size:19px;font-weight:400;line-height:28px;margin:0 0 20px}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container .download-btn button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 8px;font-weight:500;font-size:11px;width:208px;display:block;margin:0 auto}::ng-deep .add-multiple-risk-container .download-btn .orDiv{color:#161b2f;font-size:12px;font-weight:500;text-transform:uppercase;margin:.75rem 0;text-align:center}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 12px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px;min-width:208px}::ng-deep .add-multiple-risk-container .bulk-btn-progress.complete{display:inline-flex;align-items:center;justify-content:center}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-progress button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: LineLoaderComponent, selector: "app-line-loader", inputs: ["loaderHeight"] }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: SmileyDialogInlineComponent, selector: "app-smiley-dialog-inline", inputs: ["message", "actionButtons"], outputs: ["action", "closeSmiley"] }, { kind: "component", type: AddMultipleResponsibilityComponent, selector: "app-add-multiple-responsibility", inputs: ["featureflag", "uploadedFile", "feature"], outputs: ["pickerChanged", "populateOption", "closeWorkflow", "disconnectRefresh", "closeAddMultipleResponsibility"] }, { kind: "component", type: AddMultipleResponsibilityWithTabComponent, selector: "lib-add-multiple-responsibility-with-tab", inputs: ["uploadedFile", "orgDetails", "feature", "featureflag"], outputs: ["pickerChanged", "populateOption", "closeWorkflow", "disconnectRefresh", "closeAddMultipleResponsibility"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AddMultipleResponsibilityContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-add-multiple-responsibility-container', template: "<div class=\"add-multiple-risk\" [attr.id]=\"'scrollReference'\">\n  <!-- main container starts here -->\n  <div class=\"add-multiple-risk-body\">\n    <div class=\"add-multiple-risk-container\">\n      <div class=\"image\">\n        <img [src]=\"ASSETS.spreadsheet_multiple_category\" alt=\"\" />\n      </div>\n      <h4>You can entrust multiple responsibilities in just two easy steps:</h4>\n      <ul class=\"list\">\n        <li>Download the template and fill in the details.</li>\n        <li>Upload the .xlsx file and you\u2019re good to go!</li>\n      </ul>\n\n      <!-- both old and new template -->\n      <div\n        class=\"download-btn\"\n        *ngIf=\"\n          feature.isFeatureEnabled('ff_both_bulk_responsibility') &&\n          !feature.isFeatureEnabled('ff_bulk_responsibility') &&\n          orgDetails?.doc_utc < deployedDate\n        \"\n      >\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate()\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Existing Template\n        </button>\n        <div *ngIf=\"downloadStatus === 'DOWNLOADING'\" class=\"bulk-btn-progress\">\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <!-- <div *ngIf=\"downloadStatus === 'DOWNLOADED'\" class=\"bulk-btn-progress complete\"><i class=\"icons\">&#xe91c;</i>Download Complete -&nbsp;<button (click)=\"downloadTemplate()\">Retry Download</button></div> -->\n        <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate()\">Retry Download</button>\n          </div>\n        </ng-container>\n\n        <div class=\"orDiv\">OR</div>\n\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatusV2 === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate('v2')\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download New Template\n        </button>\n        <div\n          *ngIf=\"downloadStatusV2 === 'DOWNLOADING'\"\n          class=\"bulk-btn-progress\"\n        >\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <!-- <div *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\" class=\"bulk-btn-progress complete\"><i class=\"icons\">&#xe91c;</i>Download Complete -&nbsp;<button (click)=\"downloadTemplate('v2')\">Retry Download</button></div> -->\n        <ng-container *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate('v2')\">Retry Download</button>\n          </div>\n        </ng-container>\n      </div>\n\n      <!-- only for new template -->\n      <div\n        class=\"download-btn\"\n        *ngIf=\"\n          (feature.isFeatureEnabled('ff_bulk_responsibility') &&\n            !feature.isFeatureEnabled('ff_both_bulk_responsibility')) ||\n          (feature.isFeatureEnabled('ff_bulk_responsibility') &&\n            feature.isFeatureEnabled('ff_both_bulk_responsibility')) ||\n          orgDetails?.doc_utc > deployedDate\n        \"\n      >\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatusV2 === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate('v2')\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Template\n        </button>\n        <div\n          *ngIf=\"downloadStatusV2 === 'DOWNLOADING'\"\n          class=\"bulk-btn-progress\"\n        >\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <!-- <div *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\" class=\"bulk-btn-progress complete\"><i class=\"icons\">&#xe91c;</i>Download Complete -&nbsp;<button (click)=\"downloadTemplate('v2')\">Retry Download</button></div> -->\n        <ng-container *ngIf=\"downloadStatusV2 === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate('v2')\">Retry Download</button>\n          </div>\n        </ng-container>\n      </div>\n\n      <!-- only for old template -->\n      <div\n        class=\"download-btn\"\n        *ngIf=\"\n          !feature.isFeatureEnabled('ff_bulk_responsibility') &&\n          !feature.isFeatureEnabled('ff_both_bulk_responsibility')\n        \"\n      >\n        <button\n          class=\"download\"\n          *ngIf=\"downloadStatus === 'NOT_DOWNLOADING'\"\n          (click)=\"downloadTemplate()\"\n          type=\"button\"\n        >\n          <i class=\"icons\">&#xe91b;</i> Download Template\n        </button>\n        <div class=\"bulk-btn-progress\" *ngIf=\"downloadStatus === 'DOWNLOADING'\">\n          Download in Progress\n          <app-line-loader [loaderHeight]=\"'2'\"></app-line-loader>\n        </div>\n        <ng-container *ngIf=\"downloadStatus === 'DOWNLOADED'\">\n          <div class=\"bulk-btn-progress\">\n            <i class=\"icons\">&#xe91c;</i>Download Complete\n          </div>\n          <div class=\"bulk-btn-again\">\n            Is the file not downloaded?\n            <button (click)=\"downloadTemplate()\">Retry Download</button>\n          </div>\n        </ng-container>\n      </div>\n      <p\n        class=\"error-message\"\n        *ngIf=\"isWrongFile || isWrongFormat || isFileEmpty\"\n      >\n        {{ errorMessage }}\n      </p>\n    </div>\n  </div>\n</div>\n\n<input\n  type=\"file\"\n  [(ngModel)]=\"fileValue\"\n  id=\"fileInput\"\n  class=\"hidden-input\"\n  accept=\".xlsx\"\n  (change)=\"uploadedFile($event)\"\n  multiple\n/>\n<app-smiley-dialog-inline\n  *ngIf=\"showSmiley\"\n  [message]=\"smileyMessage\"\n  [actionButtons]=\"actionButtons\"\n  (action)=\"action($event)\"\n  (closeSmiley)=\"closeSmiley($event)\"\n></app-smiley-dialog-inline>\n\n<app-add-multiple-responsibility\n  *ngIf=\"singleTabResponsibility\"\n  [uploadedFile]=\"uploadedFileData\"\n  (closeAddMultipleResponsibility)=\"closeAddMultipleResponsibility($event)\"\n  [featureflag]=\"isResponsibilitySimplified\"\n  [feature]=\"feature\"\n></app-add-multiple-responsibility>\n<lib-add-multiple-responsibility-with-tab\n  *ngIf=\"multiTabResponsibility\"\n  [orgDetails]=\"orgDetails\"\n  [uploadedFile]=\"uploadedFileData\"\n  (closeAddMultipleResponsibility)=\"closeAddMultipleResponsibility($event)\"\n  [featureflag]=\"isResponsibilitySimplified\"\n  [feature]=\"feature\"\n></lib-add-multiple-responsibility-with-tab>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";::ng-deep .add-multiple-risk{background:#fff;position:relative;z-index:1}@media only screen and (min-width: 1920px){::ng-deep .add-multiple-risk{height:calc(100vh - 200px);display:flex;align-items:center}}::ng-deep .add-multiple-risk-body{padding:0;display:block}::ng-deep .add-multiple-risk-container{display:block;text-align:center}::ng-deep .add-multiple-risk-container .image{width:300px;margin:0 auto 24px}::ng-deep .add-multiple-risk-container h4{color:#565a6f;font-size:19px;font-weight:400;line-height:28px;margin:0 0 20px}::ng-deep .add-multiple-risk-container ul.list{padding:0;margin:0 0 40px;display:block;counter-reset:my-awesome-counter}::ng-deep .add-multiple-risk-container ul.list li{text-align:left;color:#747576;font-size:15px;line-height:38px;font-weight:400;list-style:none;counter-increment:my-awesome-counter;background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:0 12px}::ng-deep .add-multiple-risk-container ul.list li:before{content:counter(my-awesome-counter) \". \"}::ng-deep .add-multiple-risk-container ul.list li+li{margin-top:4px}::ng-deep .add-multiple-risk-container .download-btn button.download{background:#fff;height:36px;border-radius:2px;cursor:pointer;border:1px solid #1e5dd3;color:#1e5dd3;text-transform:uppercase;padding:0 8px;font-weight:500;font-size:11px;width:208px;display:block;margin:0 auto}::ng-deep .add-multiple-risk-container .download-btn .orDiv{color:#161b2f;font-size:12px;font-weight:500;text-transform:uppercase;margin:.75rem 0;text-align:center}::ng-deep .add-multiple-risk-container .bulk-btn-progress{background:#f8f8f8;height:36px;border-radius:2px;cursor:pointer;border:1px solid #f8f8f8;color:#747576;text-transform:uppercase;padding:0 12px;font-weight:500;font-size:11px;position:relative;display:inline-block;line-height:34px;min-width:208px}::ng-deep .add-multiple-risk-container .bulk-btn-progress.complete{display:inline-flex;align-items:center;justify-content:center}::ng-deep .add-multiple-risk-container .bulk-btn-progress i{color:#34aa44;font-size:14px;position:relative;margin:0 10px 0 0;font-weight:400}::ng-deep .add-multiple-risk-container .bulk-btn-progress span.progress{height:3px;position:absolute;bottom:0;left:0;width:100%;background:#1e5dd3}::ng-deep .add-multiple-risk-container .bulk-btn-progress button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}::ng-deep .add-multiple-risk-container .bulk-btn-again{color:#161b2f;font-size:11px;margin-top:10px}::ng-deep .add-multiple-risk-container .bulk-btn-again button{background:transparent;border:none;padding:0;font-size:11px;color:#1e5dd3;font-weight:500;text-decoration:underline;cursor:pointer;text-transform:uppercase;display:inline-block}.hidden-input{opacity:0}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: AddRiskService }, { type: AuthService$1 }, { type: BulkUploadService }]; }, propDecorators: { closeWorkflow: [{
                type: Output
            }], feature: [{
                type: Input
            }], orgDetails: [{
                type: Input
            }] } });

class WorkflowEngineContainerComponent {
    constructor(uiKitService, snackBar, auth, orgCommonService, reportACaseService, reportCasePermissionService) {
        this.uiKitService = uiKitService;
        this.snackBar = snackBar;
        this.auth = auth;
        this.orgCommonService = orgCommonService;
        this.reportACaseService = reportACaseService;
        this.reportCasePermissionService = reportCasePermissionService;
        this.isHostRefreshActive = true;
        this.isRCSelected = false;
        this.featureFlag_groups = false;
        this.addToCaseMode = '';
        this.permissionSubscription = new Subscription();
        this.workflowType = '';
        this.mode = 'CREATE';
        this.id = '';
        this.openedFrom = 'GLOBAL';
        this.source = '';
        this.closeWorkflow = new EventEmitter();
        this.allowedWorkflows = [];
        this.frameworkDetails = []; // only for compliance part for framework
        this.selectedRC = '';
        this.secondaryOpenPortal = '';
        this.defaultRiskType = 'NORMAL';
        this.moveToRegisterMode = '';
        this.reponsibilityData = {
            // only used by log an issue
            responsibilityId: null,
            responsibilityName: '',
            rcId: null,
            dueDateId: '',
        };
        this.assessmentQuestion = {
            questionName: '',
            questionNumber: '',
            questionId: '',
            assessmentId: '',
            auditeeId: null,
        };
        this.pid = '';
        this.programType = 1;
        this.issueData = {
            auditPlanId: null,
            auditPlanName: '',
            rcId: null,
        };
        this.entrustButtonName = 'Entrust';
        this.convertFileData = {};
        this.selectedCategory = '';
        this.selectedProgram = null;
        this.canFrameworkChange = true; // if framework can Edited or not; For Create a program
        this.addToProgramDetails = {
            _id: '',
            framework_name: '',
            id: 0,
            type: '',
            description: '',
        };
        this.grcType = 0;
        this.isSendForAttestation = false;
        this.templateId = '';
        this.programSimplifyFlag = false;
        this.isResponsibilitySimplifyFlag = false;
        this.caseFeatureFlag = false;
        this.animation = true;
        this.workflowList = false;
        this.showMoreOption = true;
        this.isWorkflowSelectorEnabled = true;
        this.checkpointCount = 0;
        this.reportBy = '';
        this.currentBusinessCycle = '';
        this.caseTypePermission = false;
        this.closeOnEsc = false;
        this.userList = [];
        this.workflowTypeList = [
            {
                workflowName: 'Create a Responsibility',
                code: 'CAR',
                permissionIdentifier: 'RESPONSIBILITY',
            },
            {
                workflowName: 'Create Multiple Responsibilities',
                code: 'CMR',
                permissionIdentifier: 'MULTIPLE_RESPONSIBILITY',
            },
            { workflowName: 'Add a Risk', code: 'AAR', permissionIdentifier: 'RISK' },
            {
                workflowName: 'Add Multiple Risks',
                code: 'AMR',
                permissionIdentifier: 'MULTIPLE_RISK',
            },
            {
                workflowName: 'Create a Policy',
                code: 'CAP',
                permissionIdentifier: 'POLICY',
            },
            {
                workflowName: 'Create a Survey',
                code: 'CAS',
                permissionIdentifier: 'SURVEY',
            },
            {
                workflowName: 'Create a Form',
                code: 'CAF',
                permissionIdentifier: 'FORM',
            },
            {
                workflowName: 'Log an Issue',
                code: 'LAI',
                permissionIdentifier: 'ISSUE',
            },
            {
                workflowName: 'Create an Assessment',
                code: 'AAA',
                permissionIdentifier: 'ASSESSMENT',
            },
            {
                workflowName: 'Import an Assessment',
                code: 'IAA',
                permissionIdentifier: 'IMPORT_ASSESSMENT',
            },
            {
                workflowName: 'Add a Program',
                code: 'CAPR',
                permissionIdentifier: 'PROGRAM',
            },
            {
                workflowName: 'Add a GRC Object',
                code: 'GRC',
                permissionIdentifier: 'GRC_OBJECTS',
            },
            {
                workflowName: 'Report a Case',
                code: 'RAC',
                permissionIdentifier: 'REPORT_A_CASE',
            },
            {
                workflowName: 'Assign case to workflow',
                code: 'ACTW',
                permissionIdentifier: 'REPORT_A_CASE',
            },
        ];
        this.additionalInformationList = [
            'Objective',
            'Responsibility Center',
            'Responsibility Category',
        ];
        this.confirmationAlertConfig = { isVisible: false };
        this.checkCurrentWorkflow();
        this.reportACaseService.caseTypeLoader.next(true);
        this.checkPermission();
    }
    onKeydownHandler(event) {
        if ([
            this.riskComponent?.showSmiley,
            this.riskBulkUpload?.showSmiley,
            this.responsibilityBulkUpload?.showSmiley,
            this.compliance?.showSmiley,
            this.importAnAssessment?.showSmiley,
            this.logIssueComponent?.showSmiley,
        ].includes(true) ||
            this.program?.activeList ||
            this.compliance?.activeSelector ||
            this.grcObject?.openedPopup) {
            //Do Nothing
        }
        else {
            this.closeWorkflowEngine();
        }
    }
    checkCurrentWorkflow() {
        this.reportACaseService.workflowCode.subscribe((code) => {
            if (code === 'ACW' || code === 'ACTW') {
                this.showMoreOption = true;
                this.addToCaseMode = code;
            }
            else {
                this.showMoreOption = false;
                this.addToCaseMode = '';
            }
        });
    }
    closeWorkflowEngine(evt) {
        if (evt?.confirm === false) {
            this.closeWorkflow.emit(evt ? evt.evt : evt);
        }
        else {
            this.closeConfirm(evt);
        }
    }
    closeConfirm(evt) {
        this.confirmationAlertConfig = {
            isVisible: true,
            message: 'If you navigate away, any unsaved changes will be lost.',
            action: 'WORKFLOW_CLOSE',
            data: evt,
        };
    }
    executeClose(evt) {
        if (evt.action === 'YES') {
            this.closeWorkflow.emit();
        }
    }
    ngOnInit() {
        this.setNetworkListner();
        this.setWorkflow(this.workflowType, this.workflowTypeList);
        setTimeout(() => {
            this.animation = false;
        }, 500);
        this.setWorkflow(this.workflowType, this.workflowTypeList);
        this.decideViewMoreOption();
        this.fetchOrganizationDetails();
        this.getUserDetails();
        this.programSimplifyFlag = this.feature.isFeatureEnabled('ff_program_simplify');
        this.featureFlag_groups = this.feature.isFeatureEnabled('ff_responsibility_groups');
        this.caseFeatureFlag = this.feature.isFeatureEnabled('ff_cases_enabled');
        this.isResponsibilitySimplify();
    }
    ngOnDestroy() {
        this.permissionSubscription.unsubscribe();
    }
    checkPermission() {
        this.permissionSubscription =
            this.reportCasePermissionService.hasPermission.subscribe((hasPermission) => {
                this.caseTypePermission = hasPermission;
                if (hasPermission) {
                    this.checkReportCasePermission();
                }
                this.reportACaseService.caseTypeLoader.next(false);
            });
    }
    setNetworkListner() {
        addEventListener('offline', (e) => {
            this.snackBar.show('Connection lost!<br>Check your network connectivity.', 'alert');
        });
        addEventListener('online', (e) => {
            this.snackBar.show("You're back online!", 'success');
        });
    }
    ngAfterViewInit() {
        this.workflowTypeList = this.workflowTypeList.filter((workflow) => {
            if (this.allowedWorkflows.includes(workflow.permissionIdentifier)) {
                return workflow;
            }
        });
        if (this.openedFrom === 'RISK_TREATMENT') {
            this.isWorkflowSelectorEnabled = true;
            this.disableWorkflowChange = true;
        }
    }
    checkReportCasePermission() {
        const hasPermission = this.reportCasePermissionService.checkReportACasePermission();
        if (hasPermission && this.caseFeatureFlag) {
            this.allowedWorkflows.push('REPORT_A_CASE');
            this.allowedWorkflows = this.allowedWorkflows.filter((workflow) => workflow !== 'ISSUE');
        }
        else {
            this.allowedWorkflows = this.allowedWorkflows.filter((workflow) => workflow !== 'REPORT_A_CASE');
        }
    }
    userListEmitter(event) {
        this.userList = event;
    }
    decideViewMoreOption(type) {
        if (type) {
            this.closeOnEsc = false;
        }
        if (['CMR', 'AMR', 'AAA', 'IAA'].includes(this.currentWorkflow?.code)) {
            this.showMoreOption = false;
            if (type === true) {
                this.isWorkflowSelectorEnabled = false;
            }
            else {
                this.isWorkflowSelectorEnabled = true;
            }
        }
        else if (this.addToCaseMode === 'ACW') {
            this.showMoreOption = true;
            this.setWorkflowSelector(type);
        }
        else if (this.currentWorkflow?.code === 'RAC') {
            this.showMoreOption = false;
            this.setWorkflowSelector(type);
        }
        else {
            if (type === true) {
                this.showMoreOption = false;
                this.isWorkflowSelectorEnabled = false;
            }
            if (type === false) {
                this.showMoreOption = true;
                this.isWorkflowSelectorEnabled = true;
            }
            if (type === undefined) {
                this.showMoreOption = true;
                this.isWorkflowSelectorEnabled = true;
            }
        }
    }
    setWorkflowSelector(type) {
        if (type === true) {
            this.isWorkflowSelectorEnabled = false;
        }
        else {
            this.isWorkflowSelectorEnabled = true;
        }
    }
    caseReportedBy(event) {
        this.reportBy = event;
    }
    submit() {
        if (this.addToCaseMode === 'ACW' || this.addToCaseMode === 'ACTW') {
            this.reportCase.addToCase();
            this.submitWorkflow();
            return;
        }
        switch (this.currentWorkflow?.code) {
            case 'AAR':
                this.riskComponent.submitRisk();
                break;
            case 'LAI':
                this.logIssueComponent.addIssue();
                break;
            case 'CAR':
                this.compliance.submitResponsibility();
                break;
            case 'CAP':
                this.policy.submitPolicy();
                break;
            case 'AAA':
                this.workflowAssessmentComponent.submitAssessment();
                break;
            case 'CAPR': {
                this.program.saveProgram();
                break;
            }
            case 'GRC': {
                this.grcObject.saveGRCObject();
                break;
            }
            case 'RAC': {
                this.reportCase.reportCase();
                break;
            }
            // case 'IAA':
            //   this.importAnAssessment.submitAssessment();
        }
        this.submitWorkflow();
    }
    submitWorkflow() {
        const message = { type: 'submit' };
        const targetOrigin = this.getOrigin();
        window.parent.postMessage(message, targetOrigin);
    }
    getOrigin() {
        return window.location.origin;
    }
    editWorkflow() {
        this.workflowList = !this.workflowList;
        const dropdown = this.dropdown.nativeElement.getBoundingClientRect();
        this.dropdownLeft = dropdown.left;
        this.dropdownTop = dropdown.top + dropdown.height;
        this.dropdownWidth = dropdown.width;
    }
    closeWorkflowList() {
        this.workflowList = false;
    }
    sizeChange(event) {
        this.workflowList = false;
    }
    changeWorkflow(evt, selectedWorkflow) {
        if (selectedWorkflow?.code === this.currentWorkflow?.code) {
            return;
        }
        this.confirmationAlertConfig = {
            isVisible: true,
            message: 'If you change the workflow, any unsaved changes would be lost.',
            action: 'WORKFLOW_CHANGE',
            data: selectedWorkflow,
        };
    }
    confirmWorkflowChange(evt) {
        if (evt.action === 'YES') {
            this.closeOnEsc = true;
            switch (evt.payload.action) {
                case 'WORKFLOW_CHANGE':
                    this.currentWorkflow = evt?.payload?.data ?? null;
                    if (this.currentWorkflow?.code) {
                        if (this.moreOption) {
                            this.moreOption.resetAll(this.currentWorkflow?.code);
                        }
                        this.decideViewMoreOption();
                    }
                    break;
                case 'EDIT_RISK':
                    this.riskComponent.createRisk(this.riskComponent.riskForm);
                    break;
                case 'POLICY_PORTAL':
                    this.policy.confirmPolicyPortal(evt.action);
                    break;
                case 'WORKFLOW_CLOSE':
                    this.closeWorkflow.emit(evt?.payload?.data);
                    break;
                case 'checkpoint':
                    this.moreOption.moreOptionsList.CAR.forEach((option) => {
                        if (option?.code === 'ASSESSMENT' ||
                            option?.code === 'CHECKPOINTS_NEW') {
                            option.isDisabled = false;
                        }
                        if (option?.code === 'CHECKPOINTS') {
                            option.isDisabled = true;
                        }
                    });
                    this.compliance.removeCheckpoint();
                    break;
                case 'ROLE':
                    this.program.remove(evt.payload.data, 'ROLE');
                    break;
                case 'new-checkpoints':
                    this.moreOption.moreOptionsList.CAR.forEach((option) => {
                        if (option?.code === 'ASSESSMENT' && !evt.payload.isDataRemoved) {
                            option.isDisabled = false;
                        }
                        if (option?.code === 'CHECKPOINTS' && !evt.payload.isDataRemoved) {
                            option.isDisabled = true;
                        }
                        if (evt.payload.isCheckpointChecked &&
                            option?.code === 'CHECKPOINTS_NEW') {
                            option.checked = false;
                            this.compliance.moreOptions.CHECKPOINTS_NEW = false;
                        }
                    });
                    this.compliance.remove('new-checkpoints');
                    break;
                case 'assigneeTypeChange':
                    this.compliance.responsibilityForm.assignees.whoCanComplete = 'ALL';
                    this.compliance.responsibilityForm.assignees.list =
                        this.compliance.setList(this.compliance.assigneesList, this.compliance.originalAssignee, 'employee_id');
                    if (this.featureFlag_groups) {
                        this.compliance['responsibilityForm']['assigneeGroups']['list'] =
                            [];
                    }
                    break;
                case 'sequential':
                    this.compliance['responsibilityForm']['reviewers']['sequentialWorkflow'] = true;
                    break;
                case 'anyReviewer':
                    this.compliance['responsibilityForm']['reviewers']['sequentialWorkflow'] = false;
                    break;
            }
        }
        else {
            switch (evt.payload.action) {
                case 'POLICY_PORTAL':
                    this.policy.confirmPolicyPortal(evt.action);
                    break;
                case 'assigneeTypeChange':
                    this.compliance.responsibilityForm.assignees.whoCanComplete =
                        'ANY_ONE';
                    break;
                case 'sequential':
                    this.compliance['responsibilityForm']['reviewers']['sequentialWorkflow'] = false;
                    break;
                case 'anyReviewer':
                    this.compliance['responsibilityForm']['reviewers']['sequentialWorkflow'] = true;
                    break;
            }
        }
        this.confirmationAlertConfig = {
            isVisible: false,
            message: '',
            action: '',
            data: null,
        };
        return evt;
    }
    setWorkflow(workFlowCode, workFlowList) {
        const selectedWorkflow = workFlowList.find((element) => element?.code === workFlowCode);
        selectedWorkflow
            ? (this.currentWorkflow = selectedWorkflow)
            : (this.currentWorkflow = null);
        return selectedWorkflow;
    }
    addMoreInfo(event) {
        switch (this.currentWorkflow?.code) {
            case 'AAR':
                this.riskComponent?.addMoreInfo(event);
                break;
            case 'LAI':
                this.logIssueComponent?.addMoreInfo(event);
                break;
            case 'RAC':
            case 'ACTW':
                this.reportCase.addMoreInfo(event);
                break;
            case 'CAR':
                if (event?.code === 'CHECKPOINTS') {
                    this.onRemovingCheckpoint('checkpoint');
                    break;
                }
                if (event?.code === 'CHECKPOINTS_NEW') {
                    const index = this.moreOption.moreOptionsList.CAR.findIndex((ele) => ele?.code === 'ASSESSMENT');
                    this.moreOption.moreOptionsList.CAR[index].isDisabled = event.checked
                        ? true
                        : false;
                    if (event.checkpoint_new && this.checkpointCount) {
                        this.onRemovingCheckpoint('new-checkpoints', true);
                    }
                    else {
                        const CHECKPOINT_INDEX = this.moreOption.moreOptionsList.CAR.findIndex((ele) => ele?.code === 'CHECKPOINTS_NEW');
                        this.compliance.moreOptions.CHECKPOINTS_NEW = event.checked;
                        if (event.checkpoint_new) {
                            const isChecked = event.checked ? false : true;
                            event.checked = isChecked;
                        }
                        this.moreOption.moreOptionsList.CAR[CHECKPOINT_INDEX] = event;
                        this.moreOption.moreOptionsList.CAR[index].isDisabled =
                            event.checked;
                    }
                }
                if (event?.code === 'ASSESSMENT') {
                    const index = this.moreOption.moreOptionsList.CAR.findIndex((ele) => ele?.code === 'CHECKPOINTS_NEW');
                    this.moreOption.moreOptionsList.CAR[index].isDisabled = event.checked;
                }
                if (this.assessmentDetails?.assessment_type?.toLowerCase() ===
                    'compliance_audit') {
                    const index = this.moreOption?.moreOptionsList?.CAR?.findIndex((ele) => ele?.code === 'ASSESSMENT');
                    if (index > -1) {
                        this.moreOption.moreOptionsList.CAR[index].isDisabled = true;
                        this.moreOption.moreOptionsList.CAR[index].checked = true;
                        this.compliance?.addMoreInfo(this.moreOption.moreOptionsList.CAR[index]);
                    }
                }
                this.compliance?.addMoreInfo(event);
                break;
            case 'CAP':
                this.policy?.addMoreInfo(event);
                break;
            case 'CAPR':
                this.program?.addMoreInfo(event);
                break;
            case 'GRC':
                this.grcObject?.addMoreInfo(event);
                break;
        }
    }
    populateMoreOption(event) {
        if (this.moreOption) {
            this.moreOption.populate(event);
        }
    }
    hideElementsFromMoreOptions(event) {
        this.moreOption?.hideElements(event);
    }
    showConfirmationPopup(config) {
        this.confirmationAlertConfig = config;
    }
    bulkUploadBrowse(event) {
        switch (event) {
            case 'AMR':
                this.riskBulkUpload.triggerBrowseFile();
                break;
            case 'CMR':
                this.responsibilityBulkUpload.triggerBrowseFile();
                break;
            case 'IAA':
                this.importAnAssessment.triggerBrowseFile();
                break;
            default:
                break;
        }
    }
    onResetForm() {
        this.mode = 'CREATE';
        this.entrustButtonName = 'Entrust';
    }
    onResetGRCForm() {
        this.mode = 'CREATE';
    }
    shiftToEditMode() {
        this.mode = 'EDIT';
    }
    scrollForm() {
        if (this.dropdownRow?.nativeElement?.getBoundingClientRect()?.top < 38) {
            this.dropdownRow?.nativeElement?.classList?.add('hide');
        }
        else {
            this.dropdownRow?.nativeElement?.classList?.remove('hide');
        }
    }
    /**
     *
     * @param event which more options we are removing.
     * @param isCheckpointChecked  is true if value checkpoints is removed by clicking on more options
     */
    onRemovingCheckpoint(event, isCheckpointChecked, isDataRemoved) {
        let msg = '';
        if (event === 'new-checkpoints') {
            msg =
                'If you choose to remove these Checkpoints, they will be deleted and cannot be restored. However, you will still be able to create new Checkpoints or link an Assessment.';
        }
        else {
            msg =
                'If you choose to remove these checkpoints, they will be deleted and cannot be restored.';
        }
        this.confirmationAlertConfig = {
            isVisible: true,
            message: msg,
            action: event,
            data: { type: 'responsibilityCheckpoint' },
            isCheckpointChecked: isCheckpointChecked ?? false,
            isDataRemoved: isDataRemoved ?? false,
        };
    }
    onRemovingRole(event) {
        let msg = '';
        if (event) {
            msg = 'If you change the roles, any unsaved changes would be lost.';
        }
        this.confirmationAlertConfig = {
            isVisible: true,
            message: msg,
            action: 'ROLE',
            data: event,
        };
    }
    isAssessmentDisabled(isDisabled) {
        this.moreOption.moreOptionsList.CAR.forEach((option) => {
            if (option?.code === 'ASSESSMENT' || option?.code === 'CHECKPOINTS_NEW') {
                option.isDisabled = true;
            }
        });
    }
    disableMoreOptions(workflowCode, disabledElementsCode) {
        if (Object.keys(this.moreOption.moreOptionsList).includes(workflowCode)) {
            this.moreOption.moreOptionsList[workflowCode].forEach((option) => {
                if (disabledElementsCode.includes(option?.code)) {
                    option.isDisabled = true;
                }
            });
        }
    }
    onCheckpointSelection(event) {
        this.checkpointCount = event;
    }
    onRcSelected(isRcSelected) {
        this.isRCSelected = isRcSelected;
    }
    fetchOrganizationDetails() {
        this.orgCommonService?.getOrgDetailsInfo()?.subscribe({
            next: (res) => {
                this.orgDetails = res;
                if (res?.business_cycles_arr && res?.business_cycles_arr?.length) {
                    const selected = res?.business_cycles_arr.filter((ele) => ele?.selected);
                    const splitted = selected[0].business_cycle?.split('-');
                    this.currentBusinessCycle = `${splitted[0]?.slice(2)} - ${splitted[1]?.slice(4)}`;
                }
            },
        });
    }
    getUserDetails() {
        this.orgCommonService?.getOrgUserInfo()?.subscribe({
            next: (res) => {
                this.auth.userDetails = res;
            },
            error: (err) => {
                console.error('Error fetching organization users', err);
            },
        });
    }
    assigneeTypeChange() {
        this.confirmationAlertConfig = {
            isVisible: true,
            message: 'This action will reset the changes and assign the responsibility back to the original assignee.',
            action: 'assigneeTypeChange',
            data: {},
            isRedAlert: true,
        };
    }
    // event => 'sequential' || 'anyReviewer'
    onReviewerChange(event) {
        const commonText = 'Once confirmed, the new review workflow will be applicable for all current and future review due dates.';
        const msg = commonText +
            (event === 'anyReviewer'
                ? `If any reviewer had completed the review, the current review due date will be closed and the review status will be updated to 'Completed'.`
                : '');
        this.confirmationAlertConfig = {
            isVisible: true,
            message: msg,
            action: event,
        };
    }
    isResponsibilitySimplify() {
        if (this.feature.isFeatureEnabled('ff_responsibility_simplification')) {
            this.workflowTypeList[0].workflowName = 'Add a Responsibility';
            this.workflowTypeList[1].workflowName = 'Add Multiple Responsibilities';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowEngineContainerComponent, deps: [{ token: UiKitService }, { token: SnackBarService }, { token: AuthService$1 }, { token: OrganizationCommonService }, { token: ReportACaseService }, { token: ReportCasePermissionService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WorkflowEngineContainerComponent, selector: "app-vcomply-workflow-engine-container", inputs: { workflowType: "workflowType", mode: "mode", id: "id", openedFrom: "openedFrom", source: "source", allowedWorkflows: "allowedWorkflows", frameworkDetails: "frameworkDetails", selectedRC: "selectedRC", secondaryOpenPortal: "secondaryOpenPortal", defaultRiskType: "defaultRiskType", moveToRegisterMode: "moveToRegisterMode", reponsibilityData: "reponsibilityData", assessmentQuestion: "assessmentQuestion", pid: "pid", programType: "programType", issueData: "issueData", entrustButtonName: "entrustButtonName", config: "config", convertFileData: "convertFileData", selectedCategory: "selectedCategory", selectedProgram: "selectedProgram", canFrameworkChange: "canFrameworkChange", addToProgramDetails: "addToProgramDetails", grcType: "grcType", isSendForAttestation: "isSendForAttestation", assessmentDetails: "assessmentDetails", templateId: "templateId", feature: "feature" }, outputs: { closeWorkflow: "closeWorkflow" }, host: { listeners: { "document:keydown.escape": "onKeydownHandler($event)", "window:resize": "sizeChange($event)" } }, viewQueries: [{ propertyName: "riskComponent", first: true, predicate: ["risk"], descendants: true }, { propertyName: "riskBulkUpload", first: true, predicate: ["multipleRisk"], descendants: true }, { propertyName: "responsibilityBulkUpload", first: true, predicate: ["multipleResponsibility"], descendants: true }, { propertyName: "compliance", first: true, predicate: ["responsibility"], descendants: true }, { propertyName: "moreOption", first: true, predicate: ["moreOption"], descendants: true }, { propertyName: "dropdown", first: true, predicate: ["dropdown"], descendants: true }, { propertyName: "dropdownRow", first: true, predicate: ["dropdownRow"], descendants: true }, { propertyName: "policy", first: true, predicate: ["policy"], descendants: true }, { propertyName: "logIssueComponent", first: true, predicate: ["logAnIssue"], descendants: true }, { propertyName: "workflowAssessmentComponent", first: true, predicate: ["assessment"], descendants: true }, { propertyName: "importAnAssessment", first: true, predicate: ["importAssessment"], descendants: true }, { propertyName: "program", first: true, predicate: ["program"], descendants: true }, { propertyName: "grcObject", first: true, predicate: ["grcObject"], descendants: true }, { propertyName: "reportCase", first: true, predicate: ["reportCase"], descendants: true }], ngImport: i0, template: "<app-snack-bar></app-snack-bar>\n<div class=\"workflow-engine-overlay\"></div>\n<div\n  class=\"workflow-engine\"\n  [class.animate]=\"animation\"\n  [class.bg]=\"\n    (!isWorkflowSelectorEnabled || riskBulkUpload?.showCategoryList) &&\n    !policy?.showCreateDocuments\n  \"\n>\n  <div\n    class=\"workflow-engine-container\"\n    [ngSwitch]=\"currentWorkflow?.code\"\n    [class.with-preview-assessment]=\"(auth?.previewPanel | async) === true\"\n    [class.with-frequency]=\"\n      compliance?.activeSelector === 'frequency' ||\n      compliance?.activeSelector === 'reviewerFrequency' ||\n      riskComponent?.activeSelector === 'frequency' ||\n      policy?.activeSelector === 'frequency' ||\n      policy?.activeSelector === 'reviewerFrequency'\n    \"\n  >\n    <button\n      (click)=\"closeWorkflowEngine()\"\n      id=\"close-workflow-engine-btn\"\n      class=\"close\"\n      [appTooltip]=\"'[Esc] to close'\"\n      placement=\"left\"\n      delay=\"0\"\n      type=\"black\"\n      [tooltipMandatory]=\"true\"\n      [class.disabled]=\"\n        confirmationAlertConfig?.isVisible || !isWorkflowSelectorEnabled\n      \"\n      [class.smiley-opened]=\"\n        riskComponent?.showSmiley ||\n        logIssueComponent?.showSmiley ||\n        compliance?.showSmiley ||\n        policy?.showCreateDocuments ||\n        responsibilityBulkUpload?.showSmiley ||\n        responsibilityBulkUpload?.showExcel ||\n        riskBulkUpload?.showSmiley ||\n        riskBulkUpload?.showExcel ||\n        program?.showSmiley ||\n        importAnAssessment?.showSmiley\n      \"\n    >\n      <i class=\"icons\">&#xe93f;</i>\n    </button>\n    <div\n      *ngIf=\"!uiKitService.isSmileyOn\"\n      class=\"workflow-engine-more\"\n      [hidden]=\"showMoreOption === false || policy?.showCreateDocuments\"\n      [class.disabled]=\"confirmationAlertConfig?.isVisible\"\n      [class.read-only]=\"uiKitService?.isLoader\"\n    >\n      <app-more-option\n        #moreOption\n        [currentWorkflow]=\"currentWorkflow?.code\"\n        [isEditMode]=\"mode === 'EDIT'\"\n        [isRCSelected]=\"\n          isRCSelected ||\n          (currentWorkflow?.code === 'GRC' &&\n            grcObject?.listObject.RC.selectedData?.length > 0)\n        \"\n        [openedFrom]=\"openedFrom\"\n        (selectedOption)=\"addMoreInfo($event)\"\n        [isProgramSelected]=\"selectedProgram\"\n        [allowedFeature]=\"feature\"\n        [orgDetailsData]=\"orgDetails\"\n        [isAttributesAvailable]=\"\n          currentWorkflow?.code === 'GRC' &&\n          grcObject?.selectedAttributes?.attributes?.length > 0\n        \"\n      >\n      </app-more-option>\n    </div>\n    <div\n      class=\"workflow-engine-form\"\n      [class.disabled]=\"confirmationAlertConfig?.isVisible\"\n      [class.no-shadow]=\"\n        currentWorkflow?.code == 'AMR' ||\n        currentWorkflow?.code == 'CMR' ||\n        currentWorkflow?.code == 'AAA' ||\n        uiKitService.isSmileyOn ||\n        policy?.showCreateDocuments\n      \"\n    >\n      <div class=\"container\" (scroll)=\"scrollForm()\">\n        <ng-container\n          *ngIf=\"\n            !['VIEW_AUDIT_EXECUTION_SUMMARY', 'EXECUTE_AUDIT_PLAN'].includes(\n              openedFrom\n            )\n          \"\n        >\n          <div\n            *ngIf=\"!(uiKitService.isSmileyOn || policy?.showCreateDocuments)\"\n            class=\"form-group-row\"\n            #dropdownRow\n            [class.disabled]=\"\n              (mode === 'EDIT' ||\n                !isWorkflowSelectorEnabled ||\n                disableWorkflowChange ||\n                selectedProgram) &&\n              currentWorkflow?.code !== 'ACTW'\n            \"\n          >\n            <div class=\"left\" [class.checked]=\"currentWorkflow\">\n              <svg\n                class=\"checkIcon\"\n                xmlns=\"http://www.w3.org/2000/svg\"\n                viewBox=\"0 0 52 52\"\n              >\n                <circle\n                  class=\"checkIcon__circle\"\n                  cx=\"26\"\n                  cy=\"26\"\n                  r=\"25\"\n                  fill=\"none\"\n                />\n                <path\n                  class=\"checkIcon__check\"\n                  fill=\"none\"\n                  d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n                />\n              </svg>\n            </div>\n            <div class=\"right\">\n              <div class=\"vx-form-group\" #dropdown>\n                <label\n                  *ngIf=\"currentWorkflow?.code !== 'ACTW'\"\n                  class=\"vx-control-panel\"\n                  >Select a Workflow<span class=\"required\">*</span></label\n                >\n                <label\n                  *ngIf=\"currentWorkflow?.code === 'ACTW'\"\n                  class=\"vx-control-panel\"\n                  >Assign a Case to Workflow<span class=\"required\"\n                    >*</span\n                  ></label\n                >\n                <div\n                  class=\"select\"\n                  *ngIf=\"!currentWorkflow && currentWorkflow?.code !== 'ACTW'\"\n                  (click)=\"editWorkflow()\"\n                >\n                  <input type=\"text\" placeholder=\"Select a Workflow\" readonly />\n                </div>\n                <div class=\"selected first-field\" *ngIf=\"currentWorkflow\">\n                  <!-- {{currentWorkflow | json}} -->\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n                  >\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt no-width\"\n                      [appTooltip]=\"currentWorkflow?.workflowName\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      [innerHTML]=\"\n                        workflowType === 'ACTW'\n                          ? '<strong>Case Reported By: </strong>' +\n                            (reportBy | userPipe : userList)?.member_name\n                          : currentWorkflow?.workflowName\n                      \"\n                    >\n                    </span>\n                  </div>\n                  <!-- <div class=\"chip-container\">\n                                    <span class=\"chip\" [class.disabled]=\"false\">{{currentWorkflow?.workflowName}}</span>\n                                </div> -->\n                  <button\n                    class=\"edit\"\n                    type=\"button\"\n                    (click)=\"editWorkflow()\"\n                    *ngIf=\"\n                      !workflowList &&\n                      openedFrom != 'ASSESSMENT' &&\n                      currentWorkflow?.code !== 'ACTW'\n                    \"\n                  >\n                    <i class=\"icons\">&#xe9ba;</i> Edit\n                  </button>\n                </div>\n                <div\n                  *ngIf=\"\n                    currentWorkflow?.code === 'CAPR' &&\n                    currentBusinessCycle &&\n                    !programSimplifyFlag\n                  \"\n                  class=\"program-business-cycle vx-fs-11 vx-txt-white vx-d-flex vx-align-center vx-pt-2 vx-pb-1 vx-pl-2 vx-pr-1\"\n                >\n                  <i class=\"icons vx-fs-12 vx-mr-1\">&#xe963;</i> This program is\n                  being set-up for the business cycle:\n                  <span class=\"vx-fw-600 vx-ml-1\">{{\n                    currentBusinessCycle\n                  }}</span>\n                </div>\n              </div>\n            </div>\n          </div>\n        </ng-container>\n        <!-- <app-create-documents></app-create-documents> -->\n        <!-- <app-bulk-view></app-bulk-view> -->\n        <!-- <app-bulk-responsibility-view></app-bulk-responsibility-view> -->\n        <app-workflow-compliance\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          [orgDetails]=\"orgDetails\"\n          [isEntrust]=\"entrustButtonName.toLowerCase() == 'entrust'\"\n          [responsibilityId]=\"id\"\n          [mode]=\"mode\"\n          [frameworkDetails]=\"frameworkDetails\"\n          [assessmentDetails]=\"assessmentDetails\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          *ngSwitchCase=\"'CAR'\"\n          #responsibility\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (hideElementsFromMoreOptions)=\"hideElementsFromMoreOptions($event)\"\n          [selectedRC]=\"selectedRC\"\n          [closeOnEsc]=\"closeOnEsc\"\n          (assigneeTypeChange)=\"assigneeTypeChange($event)\"\n          (onReviewerTypeChange)=\"onReviewerChange($event)\"\n          [feature]=\"feature\"\n          [openedFrom]=\"openedFrom\"\n          (rcSelected)=\"onRcSelected($event)\"\n          (resetForm)=\"onResetForm()\"\n          (onRemovingCheckpoint)=\"onRemovingCheckpoint($event, false, true)\"\n          (isAssessmentDisabled)=\"isAssessmentDisabled($event)\"\n          (checkpointCountUpdated)=\"checkpointCount = $event\"\n          [selectedProgram]=\"selectedProgram\"\n        ></app-workflow-compliance>\n        <app-workflow-risk\n          [secondaryOpenPortal]=\"secondaryOpenPortal\"\n          [openedFrom]=\"openedFrom\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'AAR'\"\n          #risk\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (hideElementsFromMoreOptions)=\"hideElementsFromMoreOptions($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          (rcSelected)=\"onRcSelected($event)\"\n          [mode]=\"mode\"\n          [riskId]=\"id\"\n          [feature]=\"feature\"\n        ></app-workflow-risk>\n        <app-workflow-policy\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'CAP'\"\n          #policy\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (shiftToEditMode)=\"shiftToEditMode()\"\n          [feature]=\"feature\"\n          [policyId]=\"id\"\n          [mode]=\"mode\"\n          [templateId]=\"templateId\"\n          [convertFileData]=\"convertFileData\"\n          [selectedCategory]=\"selectedCategory\"\n          [isSendForAttestation]=\"isSendForAttestation\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n        ></app-workflow-policy>\n        <app-workflow-survey-form\n          *ngSwitchCase=\"'CAS'\"\n          #surveyForm\n        ></app-workflow-survey-form>\n        <app-add-multiple-risk\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'AMR'\"\n          #multipleRisk\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          [feature]=\"feature\"\n        ></app-add-multiple-risk>\n        <!-- <app-add-multiple-responsibility  (disconnectRefresh)=\"isHostRefreshActive = $event\"    (closeWorkflow)=\"closeWorkflowEngine($event)\" *ngSwitchCase=\"'CMR'\" #multipleResponsibility>\n                </app-add-multiple-responsibility> -->\n\n        <lib-add-multiple-responsibility-container\n          [orgDetails]=\"orgDetails\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          *ngSwitchCase=\"'CMR'\"\n          [feature]=\"feature\"\n          #multipleResponsibility\n        ></lib-add-multiple-responsibility-container>\n        <!-- New Log an Issue -->\n        <app-log-an-issue\n          [issueDetails]=\"issueData\"\n          *ngSwitchCase=\"'LAI'\"\n          [reponsibilityData]=\"reponsibilityData\"\n          [assessmentQuestion]=\"assessmentQuestion\"\n          [openedFrom]=\"openedFrom\"\n          [source]=\"source\"\n          [issueId]=\"id\"\n          #logAnIssue\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          [(mode)]=\"mode\"\n        >\n        </app-log-an-issue>\n        <!-- Old Log an issue -->\n        <!-- <app-log-an-issue *ngSwitchCase=\"'LAI'\" [responsibilitiesData]=\"reponsibiltyData\" [openedFrom]=\"openedFrom\"\n                #logAnIssue (closeWorkflow)=\"closeWorkflowEngine($event)\"\n                (pickerChanged)=\"decideViewMoreOption($event)\" (populateOption)=\"populateMoreOption($event)\">\n            </app-log-an-issue> -->\n\n        <app-workflow-assessment\n          [assessmentId]=\"id\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          [openedFrom]=\"openedFrom\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'AAA'\"\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          [mode]=\"mode\"\n          #assessment\n        ></app-workflow-assessment>\n        <app-import-an-assessment\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'IAA'\"\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          #importAssessment\n        ></app-import-an-assessment>\n        <!-- <app-workflow-program #program *ngSwitchCase=\"'CAPR'\" (pickerChanged)=\"decideViewMoreOption($event)\" (disconnectRefresh)=\"isHostRefreshActive = $event\"></app-workflow-program> -->\n        <app-workflow-program\n          #program\n          *ngSwitchCase=\"'CAPR'\"\n          [orgDetails]=\"orgDetails\"\n          [allowedFeature]=\"feature\"\n          (disableElementsFromMoreOptions)=\"disableMoreOptions('CAPR', $event)\"\n          [programType]=\"programType\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          [mode]=\"mode\"\n          [programId]=\"id\"\n          (onRemovingRole)=\"onRemovingRole($event)\"\n          [canFrameworkChange]=\"canFrameworkChange\"\n          [addToProgramDetails]=\"addToProgramDetails\"\n        ></app-workflow-program>\n\n        <!-- GRC Object -->\n        <lib-grc-object-container\n          #grcObject\n          *ngSwitchCase=\"'GRC'\"\n          [grcType]=\"grcType\"\n          [MODE]=\"mode\"\n          [ID]=\"id\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (resetForm)=\"onResetGRCForm()\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (hideElementsFromMoreOptions)=\"hideElementsFromMoreOptions($event)\"\n        ></lib-grc-object-container>\n\n        <!-- Report a Case -->\n        <app-workflow-case\n          *ngSwitchCase=\"'RAC'\"\n          #reportCase\n          [openedFrom]=\"openedFrom\"\n          [source]=\"source\"\n          [caseId]=\"id\"\n          [mode]=\"mode\"\n          [responsibilityData]=\"reponsibilityData\"\n          [assessmentQuestion]=\"assessmentQuestion\"\n          [caseTypePermission]=\"caseTypePermission\"\n          [workflowType]=\"'RAC'\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n        ></app-workflow-case>\n        <!-- Assign case to workflow -->\n        <app-workflow-case\n          *ngSwitchCase=\"'ACTW'\"\n          #reportCase\n          [openedFrom]=\"openedFrom\"\n          [source]=\"source\"\n          [caseId]=\"id\"\n          [mode]=\"mode\"\n          [workflowType]=\"'ACTW'\"\n          [responsibilityData]=\"reponsibilityData\"\n          [assessmentQuestion]=\"assessmentQuestion\"\n          [caseTypePermission]=\"caseTypePermission\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (caseReportedBy)=\"caseReportedBy($event)\"\n          (userListEmitter)=\"userListEmitter($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n        ></app-workflow-case>\n      </div>\n      <div\n        *ngIf=\"['RAC', 'ACTW'].includes(currentWorkflow?.code)\"\n        class=\"vx-d-flex\"\n      >\n        <button\n          class=\"cancel\"\n          [class.disabled]=\"!isWorkflowSelectorEnabled\"\n          (click)=\"closeWorkflowEngine()\"\n        >\n          CANCEL\n        </button>\n        <button\n          class=\"submit\"\n          [class.disabled]=\"!isWorkflowSelectorEnabled\"\n          (click)=\"submit()\"\n        >\n          {{\n            mode === \"EDIT\" && currentWorkflow?.code === \"RAC\"\n              ? \"Update\"\n              : \"Report\"\n          }}\n        </button>\n      </div>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'AAR'\"\n        (click)=\"submit()\"\n      >\n        {{\n          mode === \"EDIT\" && openedFrom !== \"MOVE_TO_REGISTER\"\n            ? \"Update\"\n            : \"Add\"\n        }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"\n          !isWorkflowSelectorEnabled ||\n          !riskBulkUpload?.category?.selectedCategory\n        \"\n        (click)=\"bulkUploadBrowse('AMR')\"\n        *ngSwitchCase=\"'AMR'\"\n      >\n        Browse\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"bulkUploadBrowse('CMR')\"\n        *ngSwitchCase=\"'CMR'\"\n      >\n        Browse\n      </button>\n\n      <!-- This has ternary operation to handle the both scenarios of how it works with compliance and program module, please don't change this. -->\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"submit()\"\n        *ngSwitchCase=\"'CAR'\"\n      >\n        {{\n          entrustButtonName !== \"\" && mode !== \"EDIT\"\n            ? entrustButtonName\n            : mode === \"EDIT\"\n            ? \"UPDATE\"\n            : \"Entrust\"\n        }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"submit()\"\n        *ngSwitchCase=\"'CAP'\"\n      >\n        {{\n          mode == \"EDIT\"\n            ? isSendForAttestation\n              ? \"Send for attestation\"\n              : \"Update\"\n            : \"Continue to draft\"\n        }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'CAS'\"\n      >\n        Continue to draft\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'LAI'\"\n        (click)=\"submit()\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Add\" }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'AAA'\"\n        (click)=\"submit()\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Continue to draft\" }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"bulkUploadBrowse('IAA')\"\n        *ngSwitchCase=\"'IAA'\"\n      >\n        Browse\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled || !program?.valid\"\n        (click)=\"submit('CAPR')\"\n        *ngSwitchCase=\"'CAPR'\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Save\" }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled || !program?.valid\"\n        (click)=\"submit('CAPR')\"\n        *ngSwitchCase=\"'CAPR'\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Save\" }}\n      </button>\n      <button class=\"submit\" (click)=\"submit()\" *ngSwitchCase=\"'GRC'\">\n        {{ mode === \"EDIT\" ? \"Update\" : \"Save\" }}\n      </button>\n      <div\n        class=\"dropdown\"\n        *ngIf=\"workflowList\"\n        (click)=\"closeWorkflowList()\"\n        [style.top.px]=\"dropdownTop\"\n        [style.left.px]=\"dropdownLeft\"\n        [style.width.px]=\"dropdownWidth\"\n      >\n        <ul class=\"dropdown-list\">\n          <li\n            *ngFor=\"let workflow of workflowTypeList\"\n            (click)=\"changeWorkflow($event, workflow)\"\n          >\n            <app-cs-radio\n              *ngIf=\"workflow?.code !== 'ACTW'\"\n              [value]=\"workflow?.code\"\n              [checked]=\"currentWorkflow?.code === workflow?.code\"\n            >\n              {{ workflow?.workflowName }}</app-cs-radio\n            >\n          </li>\n        </ul>\n      </div>\n      <div\n        class=\"dropdown-overlay\"\n        *ngIf=\"workflowList\"\n        (click)=\"closeWorkflowList()\"\n      ></div>\n    </div>\n    <app-confirmation-alert\n      id=\"confirmation-dialogue\"\n      (action)=\"confirmWorkflowChange($event)\"\n      *ngIf=\"confirmationAlertConfig?.isVisible\"\n      [message]=\"confirmationAlertConfig?.message\"\n      [config]=\"confirmationAlertConfig\"\n    ></app-confirmation-alert>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";.dropdown-overlay{position:fixed;inset:0;z-index:2}.workflow-engine{background:#161b2fcc;position:fixed;inset:0;z-index:9}.workflow-engine button.close{position:absolute;background:transparent;cursor:pointer;border:none;font-size:16px;color:#000;top:8px;right:7px;z-index:12;display:flex;align-items:center;justify-content:center;border-radius:2px;padding:8px}.workflow-engine button.close.bulk-opened,.workflow-engine button.close.smiley-opened{z-index:10}.workflow-engine button.close:hover{background:#f1f1f1}.workflow-engine button.close.disabled{pointer-events:none;opacity:.3;filter:grayscale(1)}.workflow-engine-container{position:fixed;top:0;right:0;bottom:0;background:#fff;display:flex;z-index:10;border-top:3px solid #1E5DD3}.workflow-engine-container:before{content:\"\";height:30px;position:absolute;top:0;right:0;width:499px;z-index:11;background:linear-gradient(to bottom,#fff,#ffffffbf 66%,#ffffff6b 81%,#fff0);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#ffffff\",endColorstr=\"#00ffffff\",GradientType=0)}@media screen and (max-width: 1280px){.workflow-engine-container.with-frequency:before{display:none}.workflow-engine-container.with-frequency button.close{display:none}.workflow-engine-container.with-frequency .workflow-engine-form{right:-470px}.workflow-engine-container.with-frequency .workflow-engine-form .container ::ng-deep app-workflow-compliance .workflw-compliance{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-frequency .workflow-engine-form .container ::ng-deep app-workflow-risk .workflw-risk{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-frequency .workflow-engine-form .container ::ng-deep app-workflow-policy .workflow-policy{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-frequency .workflow-engine-form button.submit{filter:grayscale(1)!important;pointer-events:none!important}}.workflow-engine-container.with-preview-assessment:before{display:none}.workflow-engine-container.with-preview-assessment button.close{display:none}.workflow-engine-container.with-preview-assessment .workflow-engine-form{right:-470px}.workflow-engine-container.with-preview-assessment .workflow-engine-form .container ::ng-deep app-workflow-compliance .workflw-compliance{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-preview-assessment .workflow-engine-form button.submit{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-more{width:318px;padding:36px 22px 36px 40px;height:100vh;overflow:auto;margin-left:-18px;scrollbar-width:none}@media screen and (max-height: 900px){.workflow-engine-more{padding:20px 22px 36px 40px}}.workflow-engine-more::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}.workflow-engine-more::-webkit-scrollbar{width:1px;height:1px;background-color:transparent;position:absolute}.workflow-engine-more::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb;position:absolute}.workflow-engine-more.disabled{filter:grayscale(1);pointer-events:none}.workflow-engine-more.read-only{pointer-events:none}.workflow-engine-form{width:500px;position:relative}.workflow-engine-form .container{height:calc(100vh - 53px);padding:35px 24px 8px 62px;overflow:hidden;overflow-y:auto;margin-left:-22px;scrollbar-width:thin}.workflow-engine-form .container.disabled{pointer-events:none}.workflow-engine-form:before{content:\"\";top:0;bottom:-50px;left:0;width:1px;background:#f1f1f1;position:absolute}.workflow-engine-form button.submit{position:sticky;height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:48px;letter-spacing:1.3px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:100%;bottom:0;padding:0}.workflow-engine-form button.submit:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}.workflow-engine-form button.submit.disabled{pointer-events:none;opacity:.3;filter:grayscale(1)}.workflow-engine-form button.cancel{position:sticky;height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:48px;letter-spacing:1.3px;color:#1e5dd3;background:#fff;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:100%;bottom:0;padding:0;border:none;border-top:1px solid #F1F1F1;border-left:1px solid #F1F1F1;cursor:pointer}.workflow-engine-form button.cancel:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}.workflow-engine-form button.cancel.disabled{pointer-events:none;opacity:.3;filter:grayscale(1)}.workflow-engine-form.disabled{filter:grayscale(1);pointer-events:none}.workflow-engine-form label.browse{padding:0;margin:0;display:block;position:sticky;bottom:0}.workflow-engine-form label.browse span{height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:19px;letter-spacing:3.08px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:100%}.workflow-engine-form label.browse input{position:absolute;width:100%;height:100%;z-index:1;inset:0;opacity:0;cursor:pointer}.workflow-engine-form .file-browsed{display:flex;align-items:center;background:#fff;border-top:1px solid #F1F1F1;border-bottom:1px solid #F1F1F1}.workflow-engine-form .file-browsed span{display:block;width:calc(100% - 164px);color:#161b2f;font-size:13px;font-weight:400;line-height:20px;padding:0 16px}.workflow-engine-form .file-browsed button{height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:19px;letter-spacing:3.08px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:164px;bottom:0}.workflow-engine-form:after{content:\"\";height:30px;position:absolute;right:0;bottom:50px;z-index:10;background:linear-gradient(to bottom,#fff0,#ffffffbf 22%,#fff);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#00ffffff\",endColorstr=\"#ffffff\",GradientType=0)}.workflow-engine-form.no-shadow:after{display:none}.workflow-engine.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}.workflow-engine.bg{background:#fff}.program-business-cycle{background:#f2bf19;border-radius:0 0 .25rem .25rem;position:relative;top:-.25rem;z-index:1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "component", type: CsRadioComponent, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value", "oneLine"], outputs: ["checkedEvent"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: SnackBarComponent, selector: "app-snack-bar" }, { kind: "component", type: GrcObjectContainerComponent, selector: "lib-grc-object-container", inputs: ["grcType", "MODE", "ID"], outputs: ["populateOption", "pickerChanged", "closeWorkflow", "disconnectRefresh", "resetForm", "hideElementsFromMoreOptions"] }, { kind: "component", type: WorkflowCaseComponent, selector: "app-workflow-case", inputs: ["openedFrom", "source", "caseId", "mode", "workflowType", "responsibilityData", "assessmentQuestion", "caseTypePermission"], outputs: ["closeWorkflow", "populateOption", "caseReportedBy", "userListEmitter", "disconnectRefresh", "pickerChanged"] }, { kind: "component", type: WorkflowRiskComponent, selector: "app-workflow-risk", inputs: ["feature", "mode", "riskId", "defaultRiskType", "moveToRegisterMode", "secondaryOpenPortal", "openedFrom"], outputs: ["showConfirmationAlert", "pickerChanged", "populateOption", "closeWorkflow", "disconnectRefresh", "refreshForm", "hideElementsFromMoreOptions", "rcSelected"] }, { kind: "component", type: WorkflowComplianceComponent, selector: "app-workflow-compliance", inputs: ["mode", "responsibilityId", "frameworkDetails", "isEntrust", "feature", "assessmentDetails", "closeOnEsc", "orgDetails", "openedFrom", "selectedRC", "selectedProgram"], outputs: ["pickerChanged", "populateOption", "hideElementsFromMoreOptions", "closeWorkflow", "resetForm", "disconnectRefresh", "checkpointCountUpdated", "rcSelected", "onRemovingCheckpoint", "isAssessmentDisabled", "assigneeTypeChange", "onReviewerTypeChange"] }, { kind: "component", type: WorkflowPolicyComponent, selector: "app-workflow-policy", inputs: ["mode", "policyId", "feature", "convertFileData", "selectedCategory", "isSendForAttestation", "templateId"], outputs: ["pickerChanged", "showConfirmationAlert", "populateOption", "disconnectRefresh", "shiftToEditMode"] }, { kind: "component", type: MoreOptionComponent, selector: "app-more-option", inputs: ["currentWorkflow", "openedFrom", "isEditMode", "isRCSelected", "isProgramSelected", "allowedFeature", "orgDetailsData", "isAttributesAvailable"], outputs: ["selectedOption"] }, { kind: "component", type: AddMultipleRiskComponent, selector: "app-add-multiple-risk", inputs: ["feature"], outputs: ["pickerChanged", "populateOption", "closeWorkflow", "disconnectRefresh"] }, { kind: "component", type: ConfirmationAlertComponent, selector: "app-confirmation-alert", inputs: ["message", "config"], outputs: ["action"] }, { kind: "component", type: WorkflowSurveyFormComponent, selector: "app-workflow-survey-form" }, { kind: "component", type: LogAnIssueComponent, selector: "app-log-an-issue", inputs: ["openedFrom", "source", "issueId", "reponsibilityData", "assessmentQuestion", "issueDetails", "mode", "config", "responsibilitiesData"], outputs: ["pickerChanged", "populateOption", "closeWorkflow", "modeChange", "disconnectRefresh"] }, { kind: "component", type: WorkflowAssessmentComponent, selector: "app-workflow-assessment", inputs: ["mode", "assessmentId", "openedFrom"], outputs: ["disconnectRefresh", "pickerChanged", "closeWorkflow"] }, { kind: "component", type: ImportAnAssessmentComponent, selector: "app-import-an-assessment", outputs: ["closeWorkflow", "disconnectRefresh"] }, { kind: "component", type: WorkflowProgramComponent, selector: "app-workflow-program", inputs: ["canFrameworkChange", "mode", "programId", "programType", "allowedFeature", "addToProgramDetails", "orgDetails"], outputs: ["pickerChanged", "populateOption", "closeWorkflow", "showConfirmationAlert", "disconnectRefresh", "refreshForm", "hideElementsFromMoreOptions", "onRemovingRole", "disableElementsFromMoreOptions"] }, { kind: "component", type: AddMultipleResponsibilityContainerComponent, selector: "lib-add-multiple-responsibility-container", inputs: ["feature", "orgDetails"], outputs: ["closeWorkflow"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }, { kind: "pipe", type: UserPipe, name: "userPipe" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WorkflowEngineContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-vcomply-workflow-engine-container', template: "<app-snack-bar></app-snack-bar>\n<div class=\"workflow-engine-overlay\"></div>\n<div\n  class=\"workflow-engine\"\n  [class.animate]=\"animation\"\n  [class.bg]=\"\n    (!isWorkflowSelectorEnabled || riskBulkUpload?.showCategoryList) &&\n    !policy?.showCreateDocuments\n  \"\n>\n  <div\n    class=\"workflow-engine-container\"\n    [ngSwitch]=\"currentWorkflow?.code\"\n    [class.with-preview-assessment]=\"(auth?.previewPanel | async) === true\"\n    [class.with-frequency]=\"\n      compliance?.activeSelector === 'frequency' ||\n      compliance?.activeSelector === 'reviewerFrequency' ||\n      riskComponent?.activeSelector === 'frequency' ||\n      policy?.activeSelector === 'frequency' ||\n      policy?.activeSelector === 'reviewerFrequency'\n    \"\n  >\n    <button\n      (click)=\"closeWorkflowEngine()\"\n      id=\"close-workflow-engine-btn\"\n      class=\"close\"\n      [appTooltip]=\"'[Esc] to close'\"\n      placement=\"left\"\n      delay=\"0\"\n      type=\"black\"\n      [tooltipMandatory]=\"true\"\n      [class.disabled]=\"\n        confirmationAlertConfig?.isVisible || !isWorkflowSelectorEnabled\n      \"\n      [class.smiley-opened]=\"\n        riskComponent?.showSmiley ||\n        logIssueComponent?.showSmiley ||\n        compliance?.showSmiley ||\n        policy?.showCreateDocuments ||\n        responsibilityBulkUpload?.showSmiley ||\n        responsibilityBulkUpload?.showExcel ||\n        riskBulkUpload?.showSmiley ||\n        riskBulkUpload?.showExcel ||\n        program?.showSmiley ||\n        importAnAssessment?.showSmiley\n      \"\n    >\n      <i class=\"icons\">&#xe93f;</i>\n    </button>\n    <div\n      *ngIf=\"!uiKitService.isSmileyOn\"\n      class=\"workflow-engine-more\"\n      [hidden]=\"showMoreOption === false || policy?.showCreateDocuments\"\n      [class.disabled]=\"confirmationAlertConfig?.isVisible\"\n      [class.read-only]=\"uiKitService?.isLoader\"\n    >\n      <app-more-option\n        #moreOption\n        [currentWorkflow]=\"currentWorkflow?.code\"\n        [isEditMode]=\"mode === 'EDIT'\"\n        [isRCSelected]=\"\n          isRCSelected ||\n          (currentWorkflow?.code === 'GRC' &&\n            grcObject?.listObject.RC.selectedData?.length > 0)\n        \"\n        [openedFrom]=\"openedFrom\"\n        (selectedOption)=\"addMoreInfo($event)\"\n        [isProgramSelected]=\"selectedProgram\"\n        [allowedFeature]=\"feature\"\n        [orgDetailsData]=\"orgDetails\"\n        [isAttributesAvailable]=\"\n          currentWorkflow?.code === 'GRC' &&\n          grcObject?.selectedAttributes?.attributes?.length > 0\n        \"\n      >\n      </app-more-option>\n    </div>\n    <div\n      class=\"workflow-engine-form\"\n      [class.disabled]=\"confirmationAlertConfig?.isVisible\"\n      [class.no-shadow]=\"\n        currentWorkflow?.code == 'AMR' ||\n        currentWorkflow?.code == 'CMR' ||\n        currentWorkflow?.code == 'AAA' ||\n        uiKitService.isSmileyOn ||\n        policy?.showCreateDocuments\n      \"\n    >\n      <div class=\"container\" (scroll)=\"scrollForm()\">\n        <ng-container\n          *ngIf=\"\n            !['VIEW_AUDIT_EXECUTION_SUMMARY', 'EXECUTE_AUDIT_PLAN'].includes(\n              openedFrom\n            )\n          \"\n        >\n          <div\n            *ngIf=\"!(uiKitService.isSmileyOn || policy?.showCreateDocuments)\"\n            class=\"form-group-row\"\n            #dropdownRow\n            [class.disabled]=\"\n              (mode === 'EDIT' ||\n                !isWorkflowSelectorEnabled ||\n                disableWorkflowChange ||\n                selectedProgram) &&\n              currentWorkflow?.code !== 'ACTW'\n            \"\n          >\n            <div class=\"left\" [class.checked]=\"currentWorkflow\">\n              <svg\n                class=\"checkIcon\"\n                xmlns=\"http://www.w3.org/2000/svg\"\n                viewBox=\"0 0 52 52\"\n              >\n                <circle\n                  class=\"checkIcon__circle\"\n                  cx=\"26\"\n                  cy=\"26\"\n                  r=\"25\"\n                  fill=\"none\"\n                />\n                <path\n                  class=\"checkIcon__check\"\n                  fill=\"none\"\n                  d=\"M14.1 27.2l7.1 7.2 16.7-16.8\"\n                />\n              </svg>\n            </div>\n            <div class=\"right\">\n              <div class=\"vx-form-group\" #dropdown>\n                <label\n                  *ngIf=\"currentWorkflow?.code !== 'ACTW'\"\n                  class=\"vx-control-panel\"\n                  >Select a Workflow<span class=\"required\">*</span></label\n                >\n                <label\n                  *ngIf=\"currentWorkflow?.code === 'ACTW'\"\n                  class=\"vx-control-panel\"\n                  >Assign a Case to Workflow<span class=\"required\"\n                    >*</span\n                  ></label\n                >\n                <div\n                  class=\"select\"\n                  *ngIf=\"!currentWorkflow && currentWorkflow?.code !== 'ACTW'\"\n                  (click)=\"editWorkflow()\"\n                >\n                  <input type=\"text\" placeholder=\"Select a Workflow\" readonly />\n                </div>\n                <div class=\"selected first-field\" *ngIf=\"currentWorkflow\">\n                  <!-- {{currentWorkflow | json}} -->\n                  <div\n                    class=\"chipContainer vx-d-flex vx-align-center vx-pl-2 vx-pr-2 vx-mr-2\"\n                  >\n                    <span\n                      class=\"chipName vx-fs-11 vx-label-txt no-width\"\n                      [appTooltip]=\"currentWorkflow?.workflowName\"\n                      placement=\"bottom-left\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"false\"\n                      [innerHTML]=\"\n                        workflowType === 'ACTW'\n                          ? '<strong>Case Reported By: </strong>' +\n                            (reportBy | userPipe : userList)?.member_name\n                          : currentWorkflow?.workflowName\n                      \"\n                    >\n                    </span>\n                  </div>\n                  <!-- <div class=\"chip-container\">\n                                    <span class=\"chip\" [class.disabled]=\"false\">{{currentWorkflow?.workflowName}}</span>\n                                </div> -->\n                  <button\n                    class=\"edit\"\n                    type=\"button\"\n                    (click)=\"editWorkflow()\"\n                    *ngIf=\"\n                      !workflowList &&\n                      openedFrom != 'ASSESSMENT' &&\n                      currentWorkflow?.code !== 'ACTW'\n                    \"\n                  >\n                    <i class=\"icons\">&#xe9ba;</i> Edit\n                  </button>\n                </div>\n                <div\n                  *ngIf=\"\n                    currentWorkflow?.code === 'CAPR' &&\n                    currentBusinessCycle &&\n                    !programSimplifyFlag\n                  \"\n                  class=\"program-business-cycle vx-fs-11 vx-txt-white vx-d-flex vx-align-center vx-pt-2 vx-pb-1 vx-pl-2 vx-pr-1\"\n                >\n                  <i class=\"icons vx-fs-12 vx-mr-1\">&#xe963;</i> This program is\n                  being set-up for the business cycle:\n                  <span class=\"vx-fw-600 vx-ml-1\">{{\n                    currentBusinessCycle\n                  }}</span>\n                </div>\n              </div>\n            </div>\n          </div>\n        </ng-container>\n        <!-- <app-create-documents></app-create-documents> -->\n        <!-- <app-bulk-view></app-bulk-view> -->\n        <!-- <app-bulk-responsibility-view></app-bulk-responsibility-view> -->\n        <app-workflow-compliance\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          [orgDetails]=\"orgDetails\"\n          [isEntrust]=\"entrustButtonName.toLowerCase() == 'entrust'\"\n          [responsibilityId]=\"id\"\n          [mode]=\"mode\"\n          [frameworkDetails]=\"frameworkDetails\"\n          [assessmentDetails]=\"assessmentDetails\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          *ngSwitchCase=\"'CAR'\"\n          #responsibility\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (hideElementsFromMoreOptions)=\"hideElementsFromMoreOptions($event)\"\n          [selectedRC]=\"selectedRC\"\n          [closeOnEsc]=\"closeOnEsc\"\n          (assigneeTypeChange)=\"assigneeTypeChange($event)\"\n          (onReviewerTypeChange)=\"onReviewerChange($event)\"\n          [feature]=\"feature\"\n          [openedFrom]=\"openedFrom\"\n          (rcSelected)=\"onRcSelected($event)\"\n          (resetForm)=\"onResetForm()\"\n          (onRemovingCheckpoint)=\"onRemovingCheckpoint($event, false, true)\"\n          (isAssessmentDisabled)=\"isAssessmentDisabled($event)\"\n          (checkpointCountUpdated)=\"checkpointCount = $event\"\n          [selectedProgram]=\"selectedProgram\"\n        ></app-workflow-compliance>\n        <app-workflow-risk\n          [secondaryOpenPortal]=\"secondaryOpenPortal\"\n          [openedFrom]=\"openedFrom\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'AAR'\"\n          #risk\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (hideElementsFromMoreOptions)=\"hideElementsFromMoreOptions($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          (rcSelected)=\"onRcSelected($event)\"\n          [mode]=\"mode\"\n          [riskId]=\"id\"\n          [feature]=\"feature\"\n        ></app-workflow-risk>\n        <app-workflow-policy\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'CAP'\"\n          #policy\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (shiftToEditMode)=\"shiftToEditMode()\"\n          [feature]=\"feature\"\n          [policyId]=\"id\"\n          [mode]=\"mode\"\n          [templateId]=\"templateId\"\n          [convertFileData]=\"convertFileData\"\n          [selectedCategory]=\"selectedCategory\"\n          [isSendForAttestation]=\"isSendForAttestation\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n        ></app-workflow-policy>\n        <app-workflow-survey-form\n          *ngSwitchCase=\"'CAS'\"\n          #surveyForm\n        ></app-workflow-survey-form>\n        <app-add-multiple-risk\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'AMR'\"\n          #multipleRisk\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          [feature]=\"feature\"\n        ></app-add-multiple-risk>\n        <!-- <app-add-multiple-responsibility  (disconnectRefresh)=\"isHostRefreshActive = $event\"    (closeWorkflow)=\"closeWorkflowEngine($event)\" *ngSwitchCase=\"'CMR'\" #multipleResponsibility>\n                </app-add-multiple-responsibility> -->\n\n        <lib-add-multiple-responsibility-container\n          [orgDetails]=\"orgDetails\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          *ngSwitchCase=\"'CMR'\"\n          [feature]=\"feature\"\n          #multipleResponsibility\n        ></lib-add-multiple-responsibility-container>\n        <!-- New Log an Issue -->\n        <app-log-an-issue\n          [issueDetails]=\"issueData\"\n          *ngSwitchCase=\"'LAI'\"\n          [reponsibilityData]=\"reponsibilityData\"\n          [assessmentQuestion]=\"assessmentQuestion\"\n          [openedFrom]=\"openedFrom\"\n          [source]=\"source\"\n          [issueId]=\"id\"\n          #logAnIssue\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          [(mode)]=\"mode\"\n        >\n        </app-log-an-issue>\n        <!-- Old Log an issue -->\n        <!-- <app-log-an-issue *ngSwitchCase=\"'LAI'\" [responsibilitiesData]=\"reponsibiltyData\" [openedFrom]=\"openedFrom\"\n                #logAnIssue (closeWorkflow)=\"closeWorkflowEngine($event)\"\n                (pickerChanged)=\"decideViewMoreOption($event)\" (populateOption)=\"populateMoreOption($event)\">\n            </app-log-an-issue> -->\n\n        <app-workflow-assessment\n          [assessmentId]=\"id\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          [openedFrom]=\"openedFrom\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'AAA'\"\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          [mode]=\"mode\"\n          #assessment\n        ></app-workflow-assessment>\n        <app-import-an-assessment\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          *ngSwitchCase=\"'IAA'\"\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          #importAssessment\n        ></app-import-an-assessment>\n        <!-- <app-workflow-program #program *ngSwitchCase=\"'CAPR'\" (pickerChanged)=\"decideViewMoreOption($event)\" (disconnectRefresh)=\"isHostRefreshActive = $event\"></app-workflow-program> -->\n        <app-workflow-program\n          #program\n          *ngSwitchCase=\"'CAPR'\"\n          [orgDetails]=\"orgDetails\"\n          [allowedFeature]=\"feature\"\n          (disableElementsFromMoreOptions)=\"disableMoreOptions('CAPR', $event)\"\n          [programType]=\"programType\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (showConfirmationAlert)=\"showConfirmationPopup($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (refreshForm)=\"onResetForm()\"\n          [mode]=\"mode\"\n          [programId]=\"id\"\n          (onRemovingRole)=\"onRemovingRole($event)\"\n          [canFrameworkChange]=\"canFrameworkChange\"\n          [addToProgramDetails]=\"addToProgramDetails\"\n        ></app-workflow-program>\n\n        <!-- GRC Object -->\n        <lib-grc-object-container\n          #grcObject\n          *ngSwitchCase=\"'GRC'\"\n          [grcType]=\"grcType\"\n          [MODE]=\"mode\"\n          [ID]=\"id\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (resetForm)=\"onResetGRCForm()\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (hideElementsFromMoreOptions)=\"hideElementsFromMoreOptions($event)\"\n        ></lib-grc-object-container>\n\n        <!-- Report a Case -->\n        <app-workflow-case\n          *ngSwitchCase=\"'RAC'\"\n          #reportCase\n          [openedFrom]=\"openedFrom\"\n          [source]=\"source\"\n          [caseId]=\"id\"\n          [mode]=\"mode\"\n          [responsibilityData]=\"reponsibilityData\"\n          [assessmentQuestion]=\"assessmentQuestion\"\n          [caseTypePermission]=\"caseTypePermission\"\n          [workflowType]=\"'RAC'\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n        ></app-workflow-case>\n        <!-- Assign case to workflow -->\n        <app-workflow-case\n          *ngSwitchCase=\"'ACTW'\"\n          #reportCase\n          [openedFrom]=\"openedFrom\"\n          [source]=\"source\"\n          [caseId]=\"id\"\n          [mode]=\"mode\"\n          [workflowType]=\"'ACTW'\"\n          [responsibilityData]=\"reponsibilityData\"\n          [assessmentQuestion]=\"assessmentQuestion\"\n          [caseTypePermission]=\"caseTypePermission\"\n          (disconnectRefresh)=\"isHostRefreshActive = $event\"\n          (populateOption)=\"populateMoreOption($event)\"\n          (caseReportedBy)=\"caseReportedBy($event)\"\n          (userListEmitter)=\"userListEmitter($event)\"\n          (closeWorkflow)=\"closeWorkflowEngine($event)\"\n          (pickerChanged)=\"decideViewMoreOption($event)\"\n        ></app-workflow-case>\n      </div>\n      <div\n        *ngIf=\"['RAC', 'ACTW'].includes(currentWorkflow?.code)\"\n        class=\"vx-d-flex\"\n      >\n        <button\n          class=\"cancel\"\n          [class.disabled]=\"!isWorkflowSelectorEnabled\"\n          (click)=\"closeWorkflowEngine()\"\n        >\n          CANCEL\n        </button>\n        <button\n          class=\"submit\"\n          [class.disabled]=\"!isWorkflowSelectorEnabled\"\n          (click)=\"submit()\"\n        >\n          {{\n            mode === \"EDIT\" && currentWorkflow?.code === \"RAC\"\n              ? \"Update\"\n              : \"Report\"\n          }}\n        </button>\n      </div>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'AAR'\"\n        (click)=\"submit()\"\n      >\n        {{\n          mode === \"EDIT\" && openedFrom !== \"MOVE_TO_REGISTER\"\n            ? \"Update\"\n            : \"Add\"\n        }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"\n          !isWorkflowSelectorEnabled ||\n          !riskBulkUpload?.category?.selectedCategory\n        \"\n        (click)=\"bulkUploadBrowse('AMR')\"\n        *ngSwitchCase=\"'AMR'\"\n      >\n        Browse\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"bulkUploadBrowse('CMR')\"\n        *ngSwitchCase=\"'CMR'\"\n      >\n        Browse\n      </button>\n\n      <!-- This has ternary operation to handle the both scenarios of how it works with compliance and program module, please don't change this. -->\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"submit()\"\n        *ngSwitchCase=\"'CAR'\"\n      >\n        {{\n          entrustButtonName !== \"\" && mode !== \"EDIT\"\n            ? entrustButtonName\n            : mode === \"EDIT\"\n            ? \"UPDATE\"\n            : \"Entrust\"\n        }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"submit()\"\n        *ngSwitchCase=\"'CAP'\"\n      >\n        {{\n          mode == \"EDIT\"\n            ? isSendForAttestation\n              ? \"Send for attestation\"\n              : \"Update\"\n            : \"Continue to draft\"\n        }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'CAS'\"\n      >\n        Continue to draft\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'LAI'\"\n        (click)=\"submit()\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Add\" }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        *ngSwitchCase=\"'AAA'\"\n        (click)=\"submit()\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Continue to draft\" }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled\"\n        (click)=\"bulkUploadBrowse('IAA')\"\n        *ngSwitchCase=\"'IAA'\"\n      >\n        Browse\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled || !program?.valid\"\n        (click)=\"submit('CAPR')\"\n        *ngSwitchCase=\"'CAPR'\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Save\" }}\n      </button>\n      <button\n        class=\"submit\"\n        [class.disabled]=\"!isWorkflowSelectorEnabled || !program?.valid\"\n        (click)=\"submit('CAPR')\"\n        *ngSwitchCase=\"'CAPR'\"\n      >\n        {{ mode === \"EDIT\" ? \"Update\" : \"Save\" }}\n      </button>\n      <button class=\"submit\" (click)=\"submit()\" *ngSwitchCase=\"'GRC'\">\n        {{ mode === \"EDIT\" ? \"Update\" : \"Save\" }}\n      </button>\n      <div\n        class=\"dropdown\"\n        *ngIf=\"workflowList\"\n        (click)=\"closeWorkflowList()\"\n        [style.top.px]=\"dropdownTop\"\n        [style.left.px]=\"dropdownLeft\"\n        [style.width.px]=\"dropdownWidth\"\n      >\n        <ul class=\"dropdown-list\">\n          <li\n            *ngFor=\"let workflow of workflowTypeList\"\n            (click)=\"changeWorkflow($event, workflow)\"\n          >\n            <app-cs-radio\n              *ngIf=\"workflow?.code !== 'ACTW'\"\n              [value]=\"workflow?.code\"\n              [checked]=\"currentWorkflow?.code === workflow?.code\"\n            >\n              {{ workflow?.workflowName }}</app-cs-radio\n            >\n          </li>\n        </ul>\n      </div>\n      <div\n        class=\"dropdown-overlay\"\n        *ngIf=\"workflowList\"\n        (click)=\"closeWorkflowList()\"\n      ></div>\n    </div>\n    <app-confirmation-alert\n      id=\"confirmation-dialogue\"\n      (action)=\"confirmWorkflowChange($event)\"\n      *ngIf=\"confirmationAlertConfig?.isVisible\"\n      [message]=\"confirmationAlertConfig?.message\"\n      [config]=\"confirmationAlertConfig\"\n    ></app-confirmation-alert>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";.dropdown-overlay{position:fixed;inset:0;z-index:2}.workflow-engine{background:#161b2fcc;position:fixed;inset:0;z-index:9}.workflow-engine button.close{position:absolute;background:transparent;cursor:pointer;border:none;font-size:16px;color:#000;top:8px;right:7px;z-index:12;display:flex;align-items:center;justify-content:center;border-radius:2px;padding:8px}.workflow-engine button.close.bulk-opened,.workflow-engine button.close.smiley-opened{z-index:10}.workflow-engine button.close:hover{background:#f1f1f1}.workflow-engine button.close.disabled{pointer-events:none;opacity:.3;filter:grayscale(1)}.workflow-engine-container{position:fixed;top:0;right:0;bottom:0;background:#fff;display:flex;z-index:10;border-top:3px solid #1E5DD3}.workflow-engine-container:before{content:\"\";height:30px;position:absolute;top:0;right:0;width:499px;z-index:11;background:linear-gradient(to bottom,#fff,#ffffffbf 66%,#ffffff6b 81%,#fff0);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#ffffff\",endColorstr=\"#00ffffff\",GradientType=0)}@media screen and (max-width: 1280px){.workflow-engine-container.with-frequency:before{display:none}.workflow-engine-container.with-frequency button.close{display:none}.workflow-engine-container.with-frequency .workflow-engine-form{right:-470px}.workflow-engine-container.with-frequency .workflow-engine-form .container ::ng-deep app-workflow-compliance .workflw-compliance{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-frequency .workflow-engine-form .container ::ng-deep app-workflow-risk .workflw-risk{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-frequency .workflow-engine-form .container ::ng-deep app-workflow-policy .workflow-policy{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-frequency .workflow-engine-form button.submit{filter:grayscale(1)!important;pointer-events:none!important}}.workflow-engine-container.with-preview-assessment:before{display:none}.workflow-engine-container.with-preview-assessment button.close{display:none}.workflow-engine-container.with-preview-assessment .workflow-engine-form{right:-470px}.workflow-engine-container.with-preview-assessment .workflow-engine-form .container ::ng-deep app-workflow-compliance .workflw-compliance{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-container.with-preview-assessment .workflow-engine-form button.submit{filter:grayscale(1)!important;pointer-events:none!important}.workflow-engine-more{width:318px;padding:36px 22px 36px 40px;height:100vh;overflow:auto;margin-left:-18px;scrollbar-width:none}@media screen and (max-height: 900px){.workflow-engine-more{padding:20px 22px 36px 40px}}.workflow-engine-more::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}.workflow-engine-more::-webkit-scrollbar{width:1px;height:1px;background-color:transparent;position:absolute}.workflow-engine-more::-webkit-scrollbar-thumb{border-radius:1px;background-color:#dbdbdb;position:absolute}.workflow-engine-more.disabled{filter:grayscale(1);pointer-events:none}.workflow-engine-more.read-only{pointer-events:none}.workflow-engine-form{width:500px;position:relative}.workflow-engine-form .container{height:calc(100vh - 53px);padding:35px 24px 8px 62px;overflow:hidden;overflow-y:auto;margin-left:-22px;scrollbar-width:thin}.workflow-engine-form .container.disabled{pointer-events:none}.workflow-engine-form:before{content:\"\";top:0;bottom:-50px;left:0;width:1px;background:#f1f1f1;position:absolute}.workflow-engine-form button.submit{position:sticky;height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:48px;letter-spacing:1.3px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:100%;bottom:0;padding:0}.workflow-engine-form button.submit:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}.workflow-engine-form button.submit.disabled{pointer-events:none;opacity:.3;filter:grayscale(1)}.workflow-engine-form button.cancel{position:sticky;height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:48px;letter-spacing:1.3px;color:#1e5dd3;background:#fff;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:100%;bottom:0;padding:0;border:none;border-top:1px solid #F1F1F1;border-left:1px solid #F1F1F1;cursor:pointer}.workflow-engine-form button.cancel:disabled{background:#f1f1f1;border-color:#f1f1f1;pointer-events:none;cursor:not-allowed;color:#747576}.workflow-engine-form button.cancel.disabled{pointer-events:none;opacity:.3;filter:grayscale(1)}.workflow-engine-form.disabled{filter:grayscale(1);pointer-events:none}.workflow-engine-form label.browse{padding:0;margin:0;display:block;position:sticky;bottom:0}.workflow-engine-form label.browse span{height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:19px;letter-spacing:3.08px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:100%}.workflow-engine-form label.browse input{position:absolute;width:100%;height:100%;z-index:1;inset:0;opacity:0;cursor:pointer}.workflow-engine-form .file-browsed{display:flex;align-items:center;background:#fff;border-top:1px solid #F1F1F1;border-bottom:1px solid #F1F1F1}.workflow-engine-form .file-browsed span{display:block;width:calc(100% - 164px);color:#161b2f;font-size:13px;font-weight:400;line-height:20px;padding:0 16px}.workflow-engine-form .file-browsed button{height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:19px;letter-spacing:3.08px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:164px;bottom:0}.workflow-engine-form:after{content:\"\";height:30px;position:absolute;right:0;bottom:50px;z-index:10;background:linear-gradient(to bottom,#fff0,#ffffffbf 22%,#fff);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#00ffffff\",endColorstr=\"#ffffff\",GradientType=0)}.workflow-engine-form.no-shadow:after{display:none}.workflow-engine.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}.workflow-engine.bg{background:#fff}.program-business-cycle{background:#f2bf19;border-radius:0 0 .25rem .25rem;position:relative;top:-.25rem;z-index:1}@keyframes animate-right{0%{transform:translate(100%)}to{transform:translate(0)}}\n", "@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";::-webkit-scrollbar-track{background-color:#f1f1f1;position:absolute}::-webkit-scrollbar{width:3px;height:3px;background-color:transparent;position:absolute}::-webkit-scrollbar-thumb{border-radius:3px;background-color:#dbdbdb;position:absolute}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}button{font-family:Poppins,sans-serif}::ng-deep input.textField{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;font-size:13px;color:#747576;padding:8px 12px;position:relative;height:2.5rem;width:100%;transition:all .2s ease-in-out}::ng-deep input.textField::placeholder{font-size:13px;color:#747576}::ng-deep input.textField:hover,::ng-deep input.textField:focus{outline:none;border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectBoxEnable:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#747576;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .selectBoxEnable:hover,::ng-deep .selectBoxEnable:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectBoxEnable.disabled{background:#f1f1f1;pointer-events:none;opacity:1}::ng-deep .selectBoxEnable.withBtn:after{display:none}::ng-deep .selectBoxEnable.withBtn button.setBtn{background:transparent;border-radius:0;border:none;min-width:98px}::ng-deep .selectBoxSuccess{background:#f8f8f8;border-radius:.25rem;border:1px solid #f1f1f1;min-height:2.5rem;position:relative}::ng-deep .selectBoxSuccess .selectBoxText{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:22rem}::ng-deep .selectBoxSuccess button{background:transparent;border-radius:0;border:none}::ng-deep .selectBoxSuccess button.deleteBtn{color:#d93b41}::ng-deep .selectBoxSuccess .level-left{border-right:1px solid #f1f1f1;height:2.375rem;width:5rem}::ng-deep .selectBoxSuccess .level-left .level-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:4.5rem}::ng-deep .chipContainer{background:#fff;border-radius:.125rem;box-shadow:0 0 2px #1e5dd340;height:1.5rem}::ng-deep .chipContainer .cross{cursor:pointer;min-width:16px;width:16px;height:16px;display:flex;align-items:center;justify-content:center;background:transparent;border-radius:2px;margin-left:-4px}::ng-deep .chipContainer .cross:hover{background:#f1f1f1}::ng-deep .chipContainer .chipName{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:6rem}::ng-deep .chipContainer .chipName.no-width{max-width:unset}::ng-deep .chipContainer .chipName.full-width{max-width:25rem}::ng-deep .chipContainer button.countBtn{background:#1e5dd3;border-radius:1.25rem;border:none;min-width:1.5rem;height:1rem;margin:0 0 0 .5rem;padding:0 .25rem}::ng-deep .chipContainer button.countBtn.greenBg{background:#34aa44}::ng-deep .workflowLavel{background:#f1f1f1;border-radius:.125rem;color:#042e7d;min-width:1rem;height:1rem}::ng-deep .reviewSelection{border-radius:.25rem;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep .reviewSelection:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .selectButton{background:#fff;border-radius:.25rem;border:1px solid #dbdbdb;cursor:pointer;height:2.5rem;position:relative;transition:all .2s ease-in-out}::ng-deep .selectButton:hover,::ng-deep .selectButton:focus{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep button.createNewBtn{background:transparent;border-radius:0;border:none}::ng-deep .vx-form-group{display:block;position:relative;margin-bottom:20px}::ng-deep .vx-form-group:after{content:\"\";display:block;clear:both}::ng-deep .vx-form-group .select{position:relative}::ng-deep .vx-form-group .select:after{border-bottom-style:solid;border-bottom-width:1px;border-right-style:solid;border-right-width:1px;border-color:#707070;content:\"\";display:inline-block;right:12px;position:absolute;top:calc(50% - 4px);width:5px;height:5px;transform:rotate(45deg)}::ng-deep .vx-form-group .select input{cursor:pointer;padding-right:30px!important}::ng-deep .vx-form-group .select .custom-input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:3px 12px;line-height:16px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;cursor:pointer}::ng-deep .vx-form-group .select .custom-input:empty:not(:focus):before{content:attr(aria-placeholder);line-height:16px;font-size:13px;width:94%;display:block;pointer-events:none;opacity:.8}::ng-deep .vx-form-group .select .custom-input:hover{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .select .custom-input.frequency-custom-input{padding-right:108px;display:flex;align-items:center}::ng-deep .vx-form-group .select+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .select+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .select+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .select~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .select~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .select.button-sec:after{display:none}::ng-deep .vx-form-group .select.button-sec button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;position:absolute;top:12px;right:8px;padding:0;margin:0}::ng-deep .vx-form-group .select+.vx-control-panel{margin-top:8px}::ng-deep .vx-form-group .select+.selected{margin-top:8px}::ng-deep .vx-form-group .select.select{margin-top:8px}::ng-deep .vx-form-group .upload-format{border:1px solid #dbdbdb;border-radius:4px;padding:8px 12px;display:block}::ng-deep .vx-form-group .upload-format span.text{line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:block;margin-bottom:6px}::ng-deep .vx-form-group .upload-format .radio-group{display:flex}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio{display:inline-block}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;margin-left:8px}::ng-deep .vx-form-group .upload-format .radio-group app-cs-radio+app-cs-radio{margin-left:12px}::ng-deep .vx-form-group .upload-format~.upload-format{margin-top:4px}::ng-deep .vx-form-group .form-tab{display:flex;justify-content:flex-start}::ng-deep .vx-form-group .form-tab button{background:transparent;color:#161b2f;font-size:11px;line-height:16px;text-transform:uppercase;cursor:pointer;padding:8px 8px 8px 0;border:none;outline:none;font-weight:500}::ng-deep .vx-form-group .form-tab button:disabled{opacity:.5;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .form-tab button+button{padding:8px}::ng-deep .vx-form-group .form-tab button.active{color:#1e5dd3}::ng-deep .vx-form-group .tab-group{border:1px solid #dbdbdb;border-radius:4px;padding:0;display:block;position:relative;transition:all .2s ease-in-out}::ng-deep .vx-form-group .tab-group:hover{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group .tab-group .upload-file{padding:16px 62px 16px 24px;display:flex;align-items:center;justify-content:space-between}::ng-deep .vx-form-group .tab-group .upload-file .image{width:80px}::ng-deep .vx-form-group .tab-group .upload-file .browse span{display:inline-block;font-size:12px;color:#747576;line-height:16px;padding:0 4px}::ng-deep .vx-form-group .tab-group .upload-file .browse .label{font-size:11px;color:#1e5dd3;line-height:16px;font-weight:600;text-transform:uppercase;margin:0;padding:0}::ng-deep .vx-form-group .tab-group .upload-file .browse .label input{opacity:0;position:absolute;margin:0;padding:0;inset:0;cursor:pointer;width:100%}::ng-deep .vx-form-group .tab-group.active{border-color:#1e5dd3}::ng-deep .vx-form-group .tab-group.uploaded{margin-top:4px}::ng-deep .vx-form-group .tab-group.uploaded .upload-file{padding:8px 0!important;text-align:center}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .image{display:none}::ng-deep .vx-form-group .tab-group.uploaded .upload-file .browse{width:100%;text-align:center}::ng-deep .vx-form-group .tab-group+label.vx-form-group{margin-top:8px;margin-bottom:4px}::ng-deep .vx-form-group .file-list{background:#fbfbfb;border:1px solid #f1f1f1;border-radius:4px;padding:12px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;position:relative}::ng-deep .vx-form-group .file-list span.file-name{color:#747576;line-height:16px;font-size:11px;font-weight:400;cursor:pointer;max-width:calc(100% - 20px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .vx-form-group .file-list .button-group{display:flex}::ng-deep .vx-form-group .file-list button{font-size:12px;color:#eb2424;cursor:pointer;display:flex;padding:0;border:none;outline:none;background:transparent}::ng-deep .vx-form-group .file-list button.edit{color:#1e5dd3}::ng-deep .vx-form-group .file-list button+button{margin-left:16px}::ng-deep .vx-form-group .file-list+.file-list{margin-top:4px}::ng-deep .vx-form-group .file-list .file-container{display:flex;justify-content:space-between;width:100%}::ng-deep .vx-form-group .file-list.policy{background:#fff}::ng-deep .vx-form-group .file-list cs-select{position:relative;margin-top:8px;width:100%}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group input.value{height:32px!important;font-size:13px!important}::ng-deep .vx-form-group .file-list cs-select .selection-wrap .input-group i{right:12px!important;top:12px!important}::ng-deep .vx-form-group .file-list app-line-loader{display:block;position:absolute;left:10px;right:10px;bottom:0}::ng-deep .vx-form-group label.vx-control-panel{color:#161b2f;font-size:11px;font-weight:500;line-height:16px;margin-bottom:8px;display:block;text-transform:uppercase;text-align:left}::ng-deep .vx-form-group label.vx-control-panel.custom-tag{font-size:10px}::ng-deep .vx-form-group label.vx-control-panel.vx-mt-8{margin-top:8px}::ng-deep .vx-form-group label.vx-control-panel span.required{color:#eb2424;font-size:14px;font-weight:500;position:relative;top:-2px}::ng-deep .vx-form-group label.vx-control-panel .button{background:transparent;border:none;display:inline-flex;float:right;color:#1e5dd3;text-transform:uppercase;font-weight:600;cursor:pointer;font-size:11px;padding:0;margin:0}::ng-deep .vx-form-group label.vx-control-panel app-cs-switch{float:right;display:block}::ng-deep .vx-form-group label.vx-control-panel i{margin-left:8px;font-size:12px;color:#1e5dd3;cursor:pointer;position:relative;top:1px}::ng-deep .vx-form-group label.vx-control-panel i.depreciation-icon{color:#e4b700;font-size:16px;position:relative;top:3px}::ng-deep .vx-form-group label.vx-control-panel .checkpoint-version{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:10px;font-weight:600;line-height:14px;margin-left:4px;padding:0 2px}::ng-deep .vx-form-group input[type=text],::ng-deep .vx-form-group .input{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;outline:none;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{color:#747576;font-weight:400}::ng-deep .vx-form-group input[type=text]:focus,::ng-deep .vx-form-group .input:focus,::ng-deep .vx-form-group input[type=text]:hover,::ng-deep .vx-form-group .input:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group input[type=text].error,::ng-deep .vx-form-group .input.error{border-color:#eb2424;color:#eb2424;margin-bottom:4px}::ng-deep .vx-form-group input[type=text].error:focus,::ng-deep .vx-form-group .input.error:focus{box-shadow:0 0 5px #d31e1e45}::ng-deep .vx-form-group input[type=text]:disabled,::ng-deep .vx-form-group .input:disabled{background:#f1f1f1;cursor:not-allowed;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group input[type=text]:disabled:hover,::ng-deep .vx-form-group .input:disabled:hover{border-color:#dbdbdb;box-shadow:none}::ng-deep .vx-form-group input[type=text] span.text,::ng-deep .vx-form-group .input span.text{font-size:13px;color:#747576;font-weight:400;display:block;width:100%}::ng-deep .vx-form-group input[type=text] .input-group,::ng-deep .vx-form-group .input .input-group{display:flex;align-items:center}::ng-deep .vx-form-group input[type=text] .input-group.counter,::ng-deep .vx-form-group .input .input-group.counter{min-width:96px;width:96px}::ng-deep .vx-form-group input[type=text] .input-group.counter button,::ng-deep .vx-form-group .input .input-group.counter button{height:24px;width:24px;display:flex;align-items:center;justify-content:center;background:transparent;border:none;color:#747576;font-size:8px;cursor:pointer;outline:none}::ng-deep .vx-form-group input[type=text] .input-group.counter input,::ng-deep .vx-form-group .input .input-group.counter input{-webkit-appearance:textfield;-moz-appearance:textfield;height:24px;width:calc(100% - 48px);border:1px solid #f1f1f1;outline:none;padding:0 6px;text-align:center}::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-inner-spin-button,::ng-deep .vx-form-group input[type=text] .input-group.counter input::-webkit-outer-spin-button,::ng-deep .vx-form-group .input .input-group.counter input::-webkit-outer-spin-button{appearance:none;margin:0}::ng-deep .vx-form-group input[type=text]+.file-list,::ng-deep .vx-form-group .input+.file-list{margin-top:8px}::ng-deep .vx-form-group input[type=text]::placeholder,::ng-deep .vx-form-group .input::placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]:-ms-input-placeholder,::ng-deep .vx-form-group .input:-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group input[type=text]::-ms-input-placeholder,::ng-deep .vx-form-group .input::-ms-input-placeholder{font-size:13px}::ng-deep .vx-form-group .classification{height:40px;border-radius:4px;border:1px solid #dbdbdb;background:#fff;padding:8px 12px;display:flex;justify-content:space-between}::ng-deep .vx-form-group .classification label{margin:0 4px 0 0;width:100%;position:relative;z-index:1}::ng-deep .vx-form-group .classification label span{display:block;width:100%;height:24px;border:1px solid #f1f1f1;border-radius:2px;line-height:24px;font-size:10px;text-align:center;color:#747576;font-weight:500;position:relative;text-transform:uppercase}::ng-deep .vx-form-group .classification label span:before{height:2px;content:\"\";top:0;right:0;left:0;border-radius:2px;position:absolute;transition:all .2s ease-in-out}::ng-deep .vx-form-group .classification label input{opacity:0;position:absolute;inset:0;margin:0;padding:0;width:100%;height:100%;cursor:pointer;z-index:1}::ng-deep .vx-form-group .classification label input:checked+span{color:#fff}::ng-deep .vx-form-group .classification label input:checked+span:before{bottom:0;height:100%;z-index:-1}::ng-deep .vx-form-group .classification label.low span:before{background:#34aa44}::ng-deep .vx-form-group .classification label.low-med span:before{background:#f2bf19}::ng-deep .vx-form-group .classification label.med-high span:before{background:#f29619}::ng-deep .vx-form-group .classification label.high span:before{background:#eb2424}::ng-deep .vx-form-group .classification label:last-of-type{margin-right:0}::ng-deep .vx-form-group .input{display:flex;align-items:center}::ng-deep .vx-form-group .selected{height:40px;border-radius:4px;border:1px solid #f1f1f1;background:#fbfbfb;outline:none;padding:8px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%;display:flex;align-items:center;position:relative;justify-content:space-between}::ng-deep .vx-form-group .selected.first-field{z-index:2}::ng-deep .vx-form-group .selected .chip-container{display:flex;width:calc(100% - 60px);align-items:center}::ng-deep .vx-form-group .selected .chip-container.checkpoints{width:calc(100% - 120px)}::ng-deep .vx-form-group .selected .chip-container span.chip{background:#fff;border-radius:2px;box-shadow:0 0 3px #1e5dd31a;height:24px;padding:0 8px;color:#1e5dd3;font-size:12px;display:block;width:auto;max-width:100%;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:24px}::ng-deep .vx-form-group .selected .chip-container span.chip.disabled{background:#f1f1f1;box-shadow:none;color:#747576;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .selected .chip-container span.chip i{font-weight:400;margin-right:8px;cursor:pointer;font-size:10px;position:relative;top:1px}::ng-deep .vx-form-group .selected .chip-container span.chip span.step{background:#1e5dd3;border-radius:2px;color:#fff;font-size:9px;line-height:14px;padding:0 4px;font-weight:400;text-align:center;min-width:auto;margin-right:4px}::ng-deep .vx-form-group .selected .chip-container span.chip+span.chip{margin-left:4px}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question{display:flex;align-items:center;justify-content:space-between;width:100%}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.value{color:#1e5dd3;font-size:12px;font-weight:400;line-height:24px;padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 80px)}::ng-deep .vx-form-group .selected .chip-container span.chip.with-question span.label{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding-left:4px;padding-right:4px;line-height:12px;margin-left:8px}::ng-deep .vx-form-group .selected .chip-container span.value{color:#747576;font-size:13px;line-height:20px;font-weight:400;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:calc(100% - 52px);padding:0 4px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text{color:#747576;font-size:10px;font-weight:500;padding:0 8px;width:122px;line-height:14px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first{position:relative;min-width:162px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text.first:before{background:#f1f1f1;content:\"\";position:absolute;top:0;right:0;height:calc(100% + 12px);width:1px}::ng-deep .vx-form-group .selected .chip-container span.checkpoint-point-text .no{color:#1e5dd3}::ng-deep .vx-form-group .selected .chip-container.plus span.chip{max-width:calc(50% - 35px)}::ng-deep .vx-form-group .selected .chip-container.more-one span.chip{max-width:50%}::ng-deep .vx-form-group .selected .chip-container .chip-inner{background:#fff;border-radius:2px;box-shadow:0 2px 4px #1e5dd31a;line-height:24px;padding:0 4px 0 8px;display:flex;align-items:center}::ng-deep .vx-form-group .selected .chip-container .chip-inner .chip{background:transparent;border-radius:0;box-shadow:none;height:auto;line-height:unset;padding:0;color:#747576;max-width:100px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count{border-radius:20px;height:16px;padding:0 6px;border:none;font-size:9px;line-height:16px;margin-left:4px;min-width:20px}::ng-deep .vx-form-group .selected .chip-container .chip-inner button.count.user{background:#34aa44}::ng-deep .vx-form-group .selected .chip-container .chip-inner i.cross{cursor:pointer;position:relative;top:1px;font-size:8px}::ng-deep .vx-form-group .selected button.count{background:#1e5dd3;border-radius:2px;height:24px;padding:0 8px;border:1px solid #1e5dd3;cursor:pointer;outline:none;color:#fff;font:13px;font-weight:500;line-height:20px;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit{border:none;border-radius:0;background:transparent;outline:none;cursor:pointer;display:block;font-size:11px;font-weight:600;color:#1e5dd3;text-transform:uppercase;white-space:nowrap;margin-left:8px}::ng-deep .vx-form-group .selected button.edit i{font-weight:400;font-size:8px;margin-right:4px}::ng-deep .vx-form-group .selected button.close-btn{background:transparent;border:none;padding:0;margin-left:8px;font-size:10px;color:#c7381b;display:flex;align-items:center}::ng-deep .vx-form-group .selected .workflow-label{min-width:92px;padding:4px;text-align:center;margin-left:-8px;margin-right:8px;border-right:1px solid #f1f1f1}::ng-deep .vx-form-group .selected .workflow-label p{margin:0;display:block;text-transform:uppercase}::ng-deep .vx-form-group .selected .workflow-label p.title{font-size:9px;line-height:12px;color:#161b2f;font-weight:500}::ng-deep .vx-form-group .selected .workflow-label p.description{font-size:11px;line-height:16px;color:#161b2f;font-weight:600}::ng-deep .vx-form-group .selected .workflow-label+.chip-container{width:calc(100% - 148px)}::ng-deep .vx-form-group .selected+.selected{margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .selected+app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:5px;text-transform:uppercase}::ng-deep .vx-form-group .selected+app-cs-switch.who-toggle label.cs-switch span.value{color:#747576}::ng-deep .vx-form-group .selected+app-cs-radio{margin-top:8px!important}::ng-deep .vx-form-group .selected~app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;font-weight:500;color:#707070}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group .selected~app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group .selected.readOnly{pointer-events:none}::ng-deep .vx-form-group .selected span.chip{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .vx-form-group .select-list{position:absolute;background:#fff;box-shadow:0 0 5px #1e5dd345;top:100%;right:0;left:0;z-index:2}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item{width:100%;padding:12px 16px}::ng-deep .vx-form-group .select-list .vx-radio-group label.vx-radio-item:hover{background:#f8f8f8}::ng-deep .vx-form-group ::ng-deep vcomply-editor{margin-top:8px;display:block;pointer-events:auto!important;z-index:1}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block{min-height:60px;padding:11px 15px;max-height:100px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ul li{list-style:disc}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol{padding:0 0 0 10px;margin-top:0}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editable-block ol li{list-style:decimal}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools{z-index:1;border-top:1px solid #dbdbdb;transition:none;border-radius:0 0 3px 3px;position:static}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:focus-within .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover{border-color:#1e5dd3!important;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .vx-form-group ::ng-deep vcomply-editor .editor-container:hover .editor-tools{border-color:#1e5dd3!important}::ng-deep .vx-form-group ::ng-deep vcomply-editor+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group app-cs-switch label.cs-switch span.value{font-size:11px;color:#747576;text-transform:uppercase}::ng-deep .vx-form-group app-cs-switch+app-cs-switch{margin-top:8px}::ng-deep .vx-form-group .date-time-picker{display:flex;justify-content:space-between;height:40px;border-radius:4px;border:1px solid #dbdbdb;padding:11px 0;background:#fff}::ng-deep .vx-form-group .date-time-picker:focus-within{border-color:#1e5dd3;box-shadow:0 0 5px #1e5dd345}::ng-deep .vx-form-group .date-time-picker .picker-group{width:50%;position:relative;display:flex;align-items:center}::ng-deep .vx-form-group .date-time-picker .picker-group:first-of-type{border-right:1px solid #dbdbdb}::ng-deep .vx-form-group .date-time-picker .picker-group:only-of-type{border:none;width:100%}::ng-deep .vx-form-group .date-time-picker .picker-group input{height:38px;background:transparent;line-height:38px;font-size:13px;color:#747576;transition:all .2s ease-in-out;width:100%;font-weight:400;border:none;padding:0 12px 0 34px;outline:none}::ng-deep .vx-form-group .date-time-picker .picker-group input:focus,::ng-deep .vx-form-group .date-time-picker .picker-group input:hover{box-shadow:none;border:none}::ng-deep .vx-form-group .date-time-picker .picker-group input::placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input:-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group input::-ms-input-placeholder{color:#999;font-size:13px}::ng-deep .vx-form-group .date-time-picker .picker-group i{display:flex;justify-content:center;align-items:center;height:16px;width:12px;position:absolute;left:12px;top:0;color:#747576;font-size:12px;pointer-events:none}::ng-deep .vx-form-group app-cs-radio.main-filed{margin-top:4px;display:block;width:100%}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item{width:100%;position:relative}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.radio{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value{font-size:11px;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0;max-width:100%;color:#707070}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item span.value i{font-size:12px;color:#1e5dd3}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item svg{position:absolute;top:8px;left:12px}::ng-deep .vx-form-group app-cs-radio.main-filed label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}::ng-deep .vx-form-group app-cs-radio.disabled{pointer-events:none;opacity:.5;filter:grayscale(1);background:#f1f1f1}::ng-deep .vx-form-group .switch-row{display:flex}::ng-deep .vx-form-group .switch-row app-cs-switch{display:block;margin-top:8px}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value{white-space:nowrap;margin-right:0;text-transform:uppercase;color:#747576!important}::ng-deep .vx-form-group .switch-row app-cs-switch label.cs-switch span.value i{display:inline-flex;font-size:11px;cursor:pointer;color:#1e5dd3;align-items:center;line-height:16px;margin:0 4px}::ng-deep .vx-form-group .switch-row app-cs-switch+app-cs-switch{margin-left:8px}::ng-deep .vx-form-group .switch-row.align-right{justify-content:flex-end}::ng-deep .vx-form-group .switch-row.align-right label.cs-switch span.value{margin-right:8px}::ng-deep .vx-form-group .risk-type-field{background:#f8f8f8;border:1px solid #dbdbdb;border-radius:4px;height:40px;display:flex;align-items:center;padding:4px;position:relative;z-index:1}::ng-deep .vx-form-group .risk-type-field .type-item{width:50%;position:relative}::ng-deep .vx-form-group .risk-type-field .type-item button{background:transparent;border:none;border-radius:0;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase;width:100%;height:32px;padding:0 12px;text-align:left}::ng-deep .vx-form-group .risk-type-field .type-item button.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item .info{color:#1e5dd3;font-size:12px;position:absolute;top:10px;right:12px;cursor:pointer}::ng-deep .vx-form-group .risk-type-field .type-item .info.disabled{background:transparent!important;color:#dbdbdb!important;filter:unset!important;opacity:unset!important;pointer-events:none;-webkit-user-select:none;user-select:none}::ng-deep .vx-form-group .risk-type-field .type-item.active button{color:#1e5dd3!important}::ng-deep .vx-form-group .risk-type-field .type-item:nth-child(2).active~.background-glider{transform:translate(100%)}::ng-deep .vx-form-group .risk-type-field .background-glider{background:#fff;border-radius:4px;box-shadow:0 1px 3px #161b2f26;position:absolute;display:flex;width:212px;height:32px;z-index:-1;transition:.25s ease-out}.left{width:36px;height:36px;margin-top:26px;margin-left:-58px;margin-right:20px;display:flex;justify-content:center;align-items:center;position:relative;z-index:10;border-radius:50%}.left.deadline-completed{margin-top:18px}.left.checked{background:transparent}.left img{width:36px}.left .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-top:0}.left .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.left .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.right{width:100%}.right span.indicator{position:absolute;top:36px;left:-16px;font-size:12px;color:#f0b819;cursor:pointer}.form-group-row{display:flex;position:relative;transition:all .2s ease-in-out}.form-group-row.disabled{-webkit-user-select:none;user-select:none;pointer-events:none;filter:grayscale(1);z-index:2}.form-group-row.disabled .left{position:relative}.form-group-row.disabled .left:before{content:\"\";position:absolute;inset:2px 0 0 2px;background:#fff;opacity:.7;border-radius:50%;width:32px;height:32px}.form-group-row.disabled .right{opacity:.3}.form-group-row.active{pointer-events:none;filter:grayscale(0);z-index:2;opacity:1}.form-group-row.active .right .vx-form-group input,.form-group-row.active .right .vx-form-group .custom-input,.form-group-row.active .right .vx-form-group .selectBoxEnable{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}.form-group-row.active .right .vx-form-group .selectBoxEnable.disabled{border-color:#dbdbdb;box-shadow:none}::ng-deep .radio-group-selector app-cs-radio{margin-top:4px;display:block;width:100%}::ng-deep .radio-group-selector app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .radio-group-selector app-cs-radio label.radio-item .radio,::ng-deep .radio-group-selector app-cs-radio label.radio-item .radiomark{position:absolute!important;top:9px;left:12px}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value{font-size:11px!important;text-transform:uppercase;border:1px solid #dbdbdb;border-radius:4px;padding:8px 8px 8px 36px;width:100%;display:flex;justify-content:space-between;margin:0!important;max-width:100%!important;font-weight:500!important;color:#707070!important}::ng-deep .radio-group-selector app-cs-radio label.radio-item .value i{font-size:12px;color:#1e5dd3}::ng-deep .radio-group-selector app-cs-radio label.radio-item input:checked~span.value{background:#eefcf0;border-color:#34aa44}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}::ng-deep .wf-action-list{width:220px}::ng-deep .wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}::ng-deep .wf-action-list ul.action-item{display:block}::ng-deep .wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}::ng-deep .wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}::ng-deep .wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}::ng-deep .wf-action-list ul.action-item li button:hover{background:#f3f3f3}::ng-deep .wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.within-con{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar img{width:100%}::ng-deep .wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}::ng-deep .wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image{display:block}::ng-deep .wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}::ng-deep .wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}::ng-deep .wf-action-list ul.action-item li .chip-item i{color:#747576;margin-right:7px;font-size:10px;cursor:pointer;display:inline-flex}::ng-deep .wf-action-list ul.action-item li .chip-item span{display:block;width:auto;max-width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}::ng-deep .wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}::ng-deep .wf-action-list ul.action-item li .chip-item span.id{font-size:9px}::ng-deep .wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}::ng-deep .wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}p.error-message{font-size:11px;font-weight:400;color:#eb2424;line-height:16px;margin-top:8px;margin-bottom:0}.edit-loader{position:absolute;top:-3px;left:-3px;width:46px;height:46px;transform:rotate(180deg)}.circular-loader{animation:rotate 2s linear infinite;height:100%;transform-origin:center center;width:100%;position:absolute;top:0;left:0;margin:auto}.loader-path{stroke-dasharray:150,200;stroke-dashoffset:-10;animation:dash 1.5s ease-in-out infinite;stroke-linecap:round}@keyframes rotate{to{transform:rotate(360deg)}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35}to{stroke-dasharray:89,200;stroke-dashoffset:-124}}::ng-deep .dropdown{position:fixed;background:#fff;box-shadow:0 3px 6px #00000029;padding:24px 0;z-index:9;max-height:calc(100vh - 200px);overflow:auto}::ng-deep .dropdown ul.dropdown-list{padding:0 20px;margin:0;display:block}::ng-deep .dropdown ul.dropdown-list li{list-style:none}::ng-deep .dropdown ul.dropdown-list li app-cs-radio{display:flex}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item{width:100%;position:relative}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.radio{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item span.value{padding:11px 12px 11px 32px;width:100%;border:1px solid #bcbcbc;border-radius:4px;margin-left:0;max-width:100%}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item svg{position:absolute;top:12px;left:12px}::ng-deep .dropdown ul.dropdown-list li app-cs-radio label.radio-item input[type=radio]:checked~span.value{background:#e8feeb;border-color:#34aa44}::ng-deep .dropdown ul.dropdown-list li+li{margin-top:8px}app-smiley-dialog{position:relative;z-index:10}app-smiley-dialog-inline{position:absolute;top:-3px;right:0;bottom:0;z-index:999;width:520px;height:calc(100vh + 3px)}::ng-deep .vx-overlay{position:fixed;z-index:3;inset:0}::ng-deep dp-date-picker{width:100%;position:fixed!important;z-index:14;top:-40px;left:0}::ng-deep dp-date-picker input{width:100%;border:none;opacity:0;pointer-events:none}::ng-deep dp-date-picker input:focus{outline:none}::ng-deep dp-date-picker .dp-popup{width:412px;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep dp-date-picker .dp-popup dp-day-calendar,::ng-deep dp-date-picker .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep dp-date-picker .dp-popup dp-day-calendar button,::ng-deep dp-date-picker .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep dp-date-picker .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep dp-date-picker .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep dp-date-picker .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}::ng-deep dp-date-picker .dp-open+div{position:fixed!important;inset:0!important;display:flex;justify-content:center;align-items:center;z-index:99;pointer-events:none;background:#0000004d}::ng-deep .cdk-overlay-container{z-index:2147483002!important}::ng-deep .dp-popup{z-index:999;display:flex!important;align-items:center;justify-content:center;width:100vw;height:100vh;background:#0000004d!important;box-shadow:unset!important}::ng-deep .dp-popup dp-day-calendar{width:412px!important;box-shadow:0 0 20px #161b2f26;background-color:#fff;border-radius:4px;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both}::ng-deep .dp-popup dp-day-calendar,::ng-deep .dp-popup dp-month-calendar{width:100%;pointer-events:auto}::ng-deep .dp-popup dp-day-calendar button,::ng-deep .dp-popup dp-month-calendar button{background:transparent;border:none;outline:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right{width:40px;height:40px;display:flex;justify-content:center;align-items:center;border-radius:50%;font-size:14px}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-left:hover,::ng-deep .dp-popup dp-day-calendar button.dp-calendar-nav-right:hover,::ng-deep .dp-popup dp-month-calendar button.dp-calendar-nav-right:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn{display:none}::ng-deep .dp-popup dp-day-calendar button.dp-current-location-btn:before,::ng-deep .dp-popup dp-month-calendar button.dp-current-location-btn:before{content:\"\";height:10px;width:10px;border-radius:50%;background:#000;display:inline-flex}::ng-deep .dp-popup dp-day-calendar .dp-weekdays,::ng-deep .dp-popup dp-month-calendar .dp-weekdays,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week{display:flex;justify-content:space-around}::ng-deep .dp-popup dp-day-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-weekdays .dp-calendar-weekday,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week .dp-calendar-weekday,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week .dp-calendar-weekday{width:52px;border-left:none;border-bottom-color:#fff;color:#747576;font-size:11px;font-weight:600;text-transform:uppercase}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button{width:40px;height:40px;border-radius:50%;display:inline-flex;justify-content:center;align-items:center}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button:hover,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button:hover,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button:hover{background-color:#f3f3f3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-selected,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-selected,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-selected{background:#1e5dd3}::ng-deep .dp-popup dp-day-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-weekdays button.dp-current-day,::ng-deep .dp-popup dp-day-calendar .dp-calendar-week button.dp-current-day,::ng-deep .dp-popup dp-month-calendar .dp-calendar-week button.dp-current-day{border:1px solid rgba(0,0,0,.38);color:#1e5dd3;background-color:#fff}::ng-deep .dp-popup dp-day-calendar .dp-day-calendar-container,::ng-deep .dp-popup dp-month-calendar .dp-day-calendar-container{padding:20px;border-radius:2px}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container{display:flex;margin:0 0 20px;border:none}::ng-deep .dp-popup dp-day-calendar .dp-calendar-nav-container .dp-nav-header button,::ng-deep .dp-popup dp-month-calendar .dp-calendar-nav-container .dp-nav-header button{color:#000;font-size:17px;font-weight:500;margin:0 0 0 12px;padding:0}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container{width:80px;display:flex}::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-left button,::ng-deep .dp-popup dp-day-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button,::ng-deep .dp-popup dp-month-calendar .dp-nav-btns-container .dp-calendar-nav-container-right button{margin:0!important}::ng-deep .dp-popup dp-day-calendar .dp-calendar-wrapper,::ng-deep .dp-popup dp-month-calendar .dp-calendar-wrapper{border:none}@keyframes slide-bottom{0%{transform:translateY(-100px)}to{transform:translateY(0)}}::ng-deep span.file{display:block;width:20px;min-width:20px;border-radius:0 0 2px 2px;border:1px solid transparent;border-color:#747576;position:relative;margin-right:5px;border-top:none;margin-top:5px;background:#fff}::ng-deep span.file.table{margin-right:8px;width:18px;min-width:18px}::ng-deep span.file.table i{font-size:8px}::ng-deep span.file.table .format{height:8px;font-size:7px;line-height:8px;font-weight:400}::ng-deep span.file:before{position:absolute;border-radius:0;top:-4px;right:-1px;content:\"\";height:4px;width:4px;display:block;background:linear-gradient(45deg,#747576 0% 1%,#747576 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file:after{height:4px;left:-1px;right:3px;border-top:1px solid;border-right:none;border-left:1px solid;content:\"\";top:-4px;position:absolute;border-radius:2px 0 0;background:#fff}::ng-deep span.file .format{height:10px;font-size:6px;text-transform:uppercase;background:transparent;font-weight:600;text-align:center;display:block;line-height:10px}::ng-deep span.file i{font-size:10px;height:10px;display:flex;align-items:center;justify-content:center;color:#dbdbdb}::ng-deep span.file.docx{width:22px!important}::ng-deep span.file.pdf,::ng-deep span.file.template{border-color:#f31c39}::ng-deep span.file.pdf:before,::ng-deep span.file.template:before{background:linear-gradient(45deg,#f31c39 0% 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#f31c39\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.pdf:after,::ng-deep span.file.template:after{border-color:#f31c39}::ng-deep span.file.pdf .format,::ng-deep span.file.template .format{color:#f31c39}::ng-deep span.file.xlsx,::ng-deep span.file.xls,::ng-deep span.file.css,::ng-deep span.file.scss,::ng-deep span.file.less{border-color:#34aa44}::ng-deep span.file.xlsx:before,::ng-deep span.file.xls:before,::ng-deep span.file.css:before,::ng-deep span.file.scss:before,::ng-deep span.file.less:before{background:linear-gradient(45deg,#34aa44 0% 1%,#34aa44 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.xlsx:after,::ng-deep span.file.xls:after,::ng-deep span.file.css:after,::ng-deep span.file.scss:after,::ng-deep span.file.less:after{border-color:#34aa44;color:#34aa44}::ng-deep span.file.xlsx .format,::ng-deep span.file.xls .format,::ng-deep span.file.css .format,::ng-deep span.file.scss .format,::ng-deep span.file.less .format{color:#34aa44}::ng-deep span.file.doc,::ng-deep span.file.docx,::ng-deep span.file.psd{border-color:#1e5dd3}::ng-deep span.file.doc:before,::ng-deep span.file.docx:before,::ng-deep span.file.psd:before{background:linear-gradient(45deg,#1e5dd3 0% 1%,#1e5dd3 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.doc:after,::ng-deep span.file.docx:after,::ng-deep span.file.psd:after{border-color:#1e5dd3}::ng-deep span.file.doc .format,::ng-deep span.file.docx .format,::ng-deep span.file.psd .format{color:#1e5dd3}::ng-deep span.file.ppt,::ng-deep span.file.ai,::ng-deep span.file.html,::ng-deep span.file.jpg,::ng-deep span.file.jpeg,::ng-deep span.file.png{border-color:#f6882f}::ng-deep span.file.ppt:before,::ng-deep span.file.ai:before,::ng-deep span.file.html:before,::ng-deep span.file.jpg:before,::ng-deep span.file.jpeg:before,::ng-deep span.file.png:before{background:linear-gradient(45deg,#f6882f 0% 1%,#f6882f 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.ppt:after,::ng-deep span.file.ai:after,::ng-deep span.file.html:after,::ng-deep span.file.jpg:after,::ng-deep span.file.jpeg:after,::ng-deep span.file.png:after{border-color:#f6882f}::ng-deep span.file.ppt .format,::ng-deep span.file.ai .format,::ng-deep span.file.html .format,::ng-deep span.file.jpg .format,::ng-deep span.file.jpeg .format,::ng-deep span.file.png .format{color:#f6882f}::ng-deep span.file.php{border-color:#7aa6f7}::ng-deep span.file.php:before{background:linear-gradient(45deg,#7aa6f7 0% 1%,#7aa6f7 50%,#2989d800 51%,#7db9e800);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\"#34aa44\",endColorstr=\"#007db9e8\",GradientType=1)}::ng-deep span.file.php:after{border-color:#7aa6f7}::ng-deep span.file.php .format{color:#7aa6f7}::ng-deep ngx-material-timepicker-container .timepicker-backdrop-overlay{background-color:#0000000d!important;z-index:9999999999!important}::ng-deep ngx-material-timepicker-container .timepicker-overlay{z-index:9999999999!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker{width:232px!important;border-radius:2px!important;box-shadow:0 4px 30px #161b2f26!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header{background-color:#fff!important;padding:0!important;border-radius:2px 2px 0 0}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container{display:block!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time{color:#000!important;width:150px!important;margin:0 auto;line-height:60px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control{font-size:40px;background-color:transparent!important;color:#000!important;font-weight:600;text-align:right;caret-color:transparent;outline:none;font-family:Poppins;line-height:56px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:focus,::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control .timepicker-dial__control:hover{background-color:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time ngx-material-timepicker-dial-control:last-of-type .timepicker-dial__control{text-align:left}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__time span{padding:0 8px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period{display:flex!important;width:182px;margin:0 auto!important;background:#f1f1f1;padding:4px 10px;border-radius:20px;position:relative}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period:before{background:#f1f1f1;content:\"\";position:absolute;top:15px;left:-25px;width:calc(100% + 50px);height:2px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period{flex-direction:unset!important;position:relative;z-index:1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:after{content:\"\";position:absolute;right:-12px;top:0;border-left:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period:before{content:\"\";position:absolute;left:-18px;top:0;border-right:solid 14px #f1f1f1;border-bottom:solid 12px transparent;border-top:solid 12px transparent;z-index:-1}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button{font-size:11px;background-color:transparent;padding:0;border-radius:20px;color:#747576;font-weight:600;font-family:Poppins;width:84px;height:24px}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button.timepicker-dial__item_active{background:#fff!important;color:#1e5dd3!important;box-shadow:0 1px 2px #dbdbdb}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__header .timepicker-dial__container .timepicker-dial__period .timepicker-period button+button{margin-left:0!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face{width:200px!important;height:200px!important;padding:10px!important;background:transparent!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer{height:92px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span{color:#000}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number--outer span.active{color:#fff}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand{height:80px!important;top:calc(50% - 80px)!important;background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__number>span.active{background-color:#1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .clock-face .clock-face__clock-hand_minute:before{border:4px solid #1e5dd3!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions{display:flex!important;padding:10px 0 0!important;background:#fff!important;justify-content:space-around!important;border-radius:0 0 2px 2px!important;overflow:hidden}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div:first-child ngx-material-timepicker-button button.timepicker-button{background:#f8f8f8;color:#1e5dd3}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button{line-height:28px!important;width:100%;background:#1e5dd3;color:#fff;border-radius:0!important;height:32px!important;width:116px!important}::ng-deep ngx-material-timepicker-container ngx-material-timepicker-content .timepicker .timepicker__main-content .timepicker__actions div ngx-material-timepicker-button button.timepicker-button span{font-weight:500!important;font-size:11px;font-family:Poppins}::ng-deep vcomply-editor{display:block}::ng-deep vcomply-editor .editor-container{border-radius:4px;border:1px solid #dbdbdb;transition:all .2s ease-in-out}::ng-deep vcomply-editor .editor-container:hover,::ng-deep vcomply-editor .editor-container:focus-within{border:1px solid #1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep vcomply-editor .editor-container mention-list ul li a{font-size:16px!important}::ng-deep vcomply-editor .editor-container .editable-block{background:#fff;min-height:60px;padding:8px 12px;line-height:20px;font-size:13px;color:#747576;font-weight:400;transition:all .2s ease-in-out;width:100%}::ng-deep vcomply-editor .editor-container .editable-block:before{color:#747576!important}::ng-deep vcomply-editor .editor-container .editor-tools{border-top:1px solid #dbdbdb;border-radius:0 0 3px 3px}::ng-deep vcomply-editor .editor-container .editor-tools:hover{border-color:#1e5dd3}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button{height:22px!important;width:22px!important;padding:0 5px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button svg{height:22px;width:12px}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col button.submit{width:80px!important;line-height:22px;justify-content:center}::ng-deep vcomply-editor .editor-container .editor-tools app-editor-menu .editor-menu .col .popover.small ul.option-list li button{width:100%!important;height:auto!important}::ng-deep marx-modal .popup-modal-background{background-color:#161b2fcc!important}::ng-deep .within-box{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .within-value{overflow:hidden;display:-webkit-box;-webkit-line-clamp:1;-webkit-box-orient:vertical;word-break:break-word}.wf-tooltip{pointer-events:none;position:absolute;max-width:300px;font-size:12px;text-align:left;color:#fff;padding:8px 12px;background:#000;border-radius:2px;z-index:-222;top:0;opacity:0;white-space:break-spaces;word-break:break-word}.wf-tooltip *{color:#fff!important}.wf-tooltip:empty{display:none!important}.wf-tooltip.white{box-shadow:0 2px 8px #1c5bd159;color:#747576;background:#fff;text-align:left}.wf-tooltip.white b{color:#747576!important}.wf-tooltip.animate-top{animation:animate-top .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-right{animation:animate-right .3s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-bottom{animation:animate-bottom .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip.animate-left{animation:animate-left .5s cubic-bezier(.25,.46,.45,.94) both}.wf-tooltip-top:after{top:100%;left:50%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-bottom:after{bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-left.white:after{border-color:transparent transparent transparent #f1f1f1}.wf-tooltip-left:after{top:50%;left:100%;margin-top:-5px;border-width:5px;border-color:transparent transparent transparent #000000}.wf-tooltip-right.white:after{border-color:transparent #f1f1f1 transparent transparent}.wf-tooltip-right:after{top:50%;right:100%;margin-top:-5px;border-width:5px;border-color:transparent #000000 transparent transparent}.wf-tooltip-bottom-right:after{bottom:100%;left:100%;margin-left:-20px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-right.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-bottom-left:after{bottom:100%;left:0;margin-left:10px;border-width:5px;border-color:transparent transparent #000000 transparent}.wf-tooltip-bottom-left.white:after{border-color:transparent transparent #f1f1f1 transparent}.wf-tooltip-top-left:after{top:100%;left:0;margin-left:10px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-left.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip-top-right:after{top:100%;left:100%;margin-left:-5px;border-width:5px;border-color:#000000 transparent transparent transparent}.wf-tooltip-top-right.white:after{border-color:#f1f1f1 transparent transparent transparent}.wf-tooltip:after{content:\"\";position:absolute;border-style:solid}.wf-tooltip span.within{font-size:80%;display:block;width:100%}.wf-tooltip .small{display:block;font-size:10px}.wf-tooltip .within-box{background:#f1f1f1;border-radius:2px;color:#042e7d!important;font-size:9px;font-weight:500;text-transform:uppercase;padding:0 2px;margin-right:2px}.wf-tooltip-show{pointer-events:none;opacity:1;z-index:2147483001}\n"] }]
        }], ctorParameters: function () { return [{ type: UiKitService }, { type: SnackBarService }, { type: AuthService$1 }, { type: OrganizationCommonService }, { type: ReportACaseService }, { type: ReportCasePermissionService }]; }, propDecorators: { workflowType: [{
                type: Input
            }], mode: [{
                type: Input
            }], id: [{
                type: Input
            }], openedFrom: [{
                type: Input
            }], source: [{
                type: Input
            }], closeWorkflow: [{
                type: Output
            }], allowedWorkflows: [{
                type: Input
            }], frameworkDetails: [{
                type: Input
            }], selectedRC: [{
                type: Input
            }], secondaryOpenPortal: [{
                type: Input
            }], defaultRiskType: [{
                type: Input
            }], moveToRegisterMode: [{
                type: Input
            }], reponsibilityData: [{
                type: Input
            }], assessmentQuestion: [{
                type: Input
            }], pid: [{
                type: Input
            }], programType: [{
                type: Input
            }], issueData: [{
                type: Input
            }], entrustButtonName: [{
                type: Input
            }], config: [{
                type: Input
            }], convertFileData: [{
                type: Input
            }], selectedCategory: [{
                type: Input
            }], selectedProgram: [{
                type: Input
            }], canFrameworkChange: [{
                type: Input
            }], addToProgramDetails: [{
                type: Input
            }, {
                type: Input
            }], grcType: [{
                type: Input
            }], isSendForAttestation: [{
                type: Input
            }], assessmentDetails: [{
                type: Input
            }], templateId: [{
                type: Input
            }], riskComponent: [{
                type: ViewChild,
                args: ['risk', { static: false }]
            }], riskBulkUpload: [{
                type: ViewChild,
                args: ['multipleRisk', { static: false }]
            }], responsibilityBulkUpload: [{
                type: ViewChild,
                args: ['multipleResponsibility', { static: false }]
            }], compliance: [{
                type: ViewChild,
                args: ['responsibility', { static: false }]
            }], moreOption: [{
                type: ViewChild,
                args: ['moreOption', { static: false }]
            }], dropdown: [{
                type: ViewChild,
                args: ['dropdown']
            }], dropdownRow: [{
                type: ViewChild,
                args: ['dropdownRow', { static: false }]
            }], policy: [{
                type: ViewChild,
                args: ['policy']
            }], logIssueComponent: [{
                type: ViewChild,
                args: ['logAnIssue']
            }], workflowAssessmentComponent: [{
                type: ViewChild,
                args: ['assessment']
            }], importAnAssessment: [{
                type: ViewChild,
                args: ['importAssessment', { static: false }]
            }], program: [{
                type: ViewChild,
                args: ['program', { static: false }]
            }], grcObject: [{
                type: ViewChild,
                args: ['grcObject', { static: false }]
            }], reportCase: [{
                type: ViewChild,
                args: ['reportCase']
            }], feature: [{
                type: Input
            }], onKeydownHandler: [{
                type: HostListener,
                args: ['document:keydown.escape', ['$event']]
            }], sizeChange: [{
                type: HostListener,
                args: ['window:resize', ['$event']]
            }] } });

class LineLoaderModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LineLoaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: LineLoaderModule, declarations: [LineLoaderComponent], imports: [CommonModule], exports: [LineLoaderComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LineLoaderModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LineLoaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [LineLoaderComponent],
                    imports: [CommonModule],
                    exports: [LineLoaderComponent],
                }]
        }] });

class CheckpointsPolicyListComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsPolicyListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CheckpointsPolicyListComponent, selector: "app-checkpoints-policy-list", ngImport: i0, template: "<!-- <p>checkpoints-list works!</p> -->\n<div class=\"checkpoints-list\">\n    <ul class=\"list-of-type\">\n        <li>\n            <button>\n                <i class=\"icons\">&#xeace;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Text</span>\n                    <span class=\"description\">Select a text area.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeab9;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Dropdown</span>\n                    <span class=\"description\">Choose an option from a multiple select box.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeab5;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Single selection</span>\n                    <span class=\"description\">Select only one option with a radio button.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeab4;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Multiple selection</span>\n                    <span class=\"description\">Select multiple options using a checkbox.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeaba;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Date</span>\n                    <span class=\"description\">Select date from a date picker.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xea97;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Upload File</span>\n                    <span class=\"description\">Upload documents & files.</span>\n                </span>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.checkpoints-list{position:relative;display:flex;justify-content:center;align-items:center;margin:0 -100px;height:100%}.checkpoints-list ul{display:flex;flex-wrap:wrap;padding:0;margin:0;width:100%}.checkpoints-list ul li{list-style:none;padding:4px;width:calc(100% / 3);animation:zoom-in .5s cubic-bezier(.25,.46,.45,.94) both}.checkpoints-list ul li button{display:flex;align-items:center;padding:12px;box-shadow:0 0 5px #fbfbfb;transition:all .3s ease-in-out;background:#fff;cursor:pointer;border-radius:4px;height:100%;width:100%;border:1px solid #F1F1F1}.checkpoints-list ul li button i{height:32px;width:32px;border-radius:2px;background:#f1f1f1;font-size:16px;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#1e5dd3;margin-right:8px}.checkpoints-list ul li button span{text-align:left}.checkpoints-list ul li button span.value{display:block;width:calc(100% - 40px)}.checkpoints-list ul li button span.title{font-size:16px;color:#161b2f;width:100%;display:block}.checkpoints-list ul li button span.description{font-size:12px;color:#747576;display:block}.checkpoints-list ul li button:hover{box-shadow:0 0 5px #1e5dd345}@keyframes zoom-in{0%{transform:scale(0)}to{transform:scale(1)}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckpointsPolicyListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-checkpoints-policy-list', template: "<!-- <p>checkpoints-list works!</p> -->\n<div class=\"checkpoints-list\">\n    <ul class=\"list-of-type\">\n        <li>\n            <button>\n                <i class=\"icons\">&#xeace;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Text</span>\n                    <span class=\"description\">Select a text area.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeab9;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Dropdown</span>\n                    <span class=\"description\">Choose an option from a multiple select box.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeab5;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Single selection</span>\n                    <span class=\"description\">Select only one option with a radio button.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeab4;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Multiple selection</span>\n                    <span class=\"description\">Select multiple options using a checkbox.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xeaba;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Date</span>\n                    <span class=\"description\">Select date from a date picker.</span>\n                </span>\n            </button>\n        </li>\n        <li>\n            <button>\n                <i class=\"icons\">&#xea97;</i>\n                <span class=\"value\">\n                    <span class=\"title\">Upload File</span>\n                    <span class=\"description\">Upload documents & files.</span>\n                </span>\n            </button>\n        </li>\n    </ul>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.checkpoints-list{position:relative;display:flex;justify-content:center;align-items:center;margin:0 -100px;height:100%}.checkpoints-list ul{display:flex;flex-wrap:wrap;padding:0;margin:0;width:100%}.checkpoints-list ul li{list-style:none;padding:4px;width:calc(100% / 3);animation:zoom-in .5s cubic-bezier(.25,.46,.45,.94) both}.checkpoints-list ul li button{display:flex;align-items:center;padding:12px;box-shadow:0 0 5px #fbfbfb;transition:all .3s ease-in-out;background:#fff;cursor:pointer;border-radius:4px;height:100%;width:100%;border:1px solid #F1F1F1}.checkpoints-list ul li button i{height:32px;width:32px;border-radius:2px;background:#f1f1f1;font-size:16px;display:flex;justify-content:center;align-items:center;cursor:pointer;color:#1e5dd3;margin-right:8px}.checkpoints-list ul li button span{text-align:left}.checkpoints-list ul li button span.value{display:block;width:calc(100% - 40px)}.checkpoints-list ul li button span.title{font-size:16px;color:#161b2f;width:100%;display:block}.checkpoints-list ul li button span.description{font-size:12px;color:#747576;display:block}.checkpoints-list ul li button:hover{box-shadow:0 0 5px #1e5dd345}@keyframes zoom-in{0%{transform:scale(0)}to{transform:scale(1)}}\n"] }]
        }], ctorParameters: function () { return []; } });

class SmileyDialogComponent {
    handleKeyboardEvent(event) {
        if (event.key === 'Escape') {
            this.smileyCloseEmitter({});
        }
    }
    constructor() {
        this.action = new EventEmitter();
        this.closeSmiley = new EventEmitter();
    }
    ngOnInit() {
        setTimeout(() => {
            this.smileyCloseEmitter();
        }, 3000);
    }
    actionEmitter(event) {
        this.action.emit(event?.id);
    }
    smileyCloseEmitter(event) {
        this.closeSmiley.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: SmileyDialogComponent, selector: "app-smiley-dialog", inputs: { message: "message", actionButtons: "actionButtons" }, outputs: { action: "action", closeSmiley: "closeSmiley" }, host: { listeners: { "window:keyup": "handleKeyboardEvent($event)" } }, ngImport: i0, template: "<div class=\"vx-smiley-popup vx-d-flex vx-justify-center vx-align-center active\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"vx-smiley-container vx-text-center\">\n      <div class=\"vx-smiley\">\n          <div class=\"vx-smiley-circle happy\">\n              <div class=\"vx-smiley-circle-inner\">\n                  <div class=\"eyes\">\n                      <div class=\"eye\"></div>\n                      <div class=\"eye\"></div>\n                  </div>\n                  <div class=\"mouth\"></div>\n              </div>\n          </div>\n      </div>\n      <h3>{{ message }}</h3>\n      <div class=\"successSmilyButton vx-d-flex vx-justify-center vx-align-center\">\n        <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n          {{ button?.buttonText }}\n        </button>\n      </div>\n  </div>\n</div>\n<!-- active -->\n<!-- <div class=\"workflow-smiley-popup active\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"workflow-smiley-container\">\n    <div class=\"smiley-inner\">\n      <div class=\"smiley-circle active\">\n        <div class=\"smiley-circle-inner\">\n          <div class=\"eyes\">\n            <div class=\"eye\"></div>\n            <div class=\"eye\"></div>\n          </div>\n          <div class=\"mouth\"></div>\n        </div>\n      </div>\n    </div>\n    <h3>{{ message }}</h3>\n    <div class=\"successSmileyButton\">\n      <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n        {{ button?.buttonText }}\n      </button>\n    </div>\n  </div>\n</div> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/smiley/smiley.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";.vx-smiley-popup{position:fixed;inset:0;background:#d93b41;z-index:9}.vx-smiley-popup:before{content:\"\";position:absolute;z-index:0;background:#fff;inset:0;transition-delay:1s;border-top-right-radius:0;transition:all .3s ease-in-out}.vx-smiley-popup.active:before{border-top-right-radius:180px}.vx-smiley-popup .close{color:#fff;font-size:22px;position:absolute;top:4px;right:16px;z-index:10;background:none;border:none;padding:0;cursor:pointer;width:auto}button{background:#fff;border:1px solid #1e5dd3;color:#1e5dd3;font-size:14px;font-weight:500;margin:0 5px;border-radius:3px;padding:8px;width:280px;height:54px;cursor:pointer;text-transform:uppercase}button.blue-btn{background:#1e5dd3;color:#fff}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-smiley-dialog', template: "<div class=\"vx-smiley-popup vx-d-flex vx-justify-center vx-align-center active\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"vx-smiley-container vx-text-center\">\n      <div class=\"vx-smiley\">\n          <div class=\"vx-smiley-circle happy\">\n              <div class=\"vx-smiley-circle-inner\">\n                  <div class=\"eyes\">\n                      <div class=\"eye\"></div>\n                      <div class=\"eye\"></div>\n                  </div>\n                  <div class=\"mouth\"></div>\n              </div>\n          </div>\n      </div>\n      <h3>{{ message }}</h3>\n      <div class=\"successSmilyButton vx-d-flex vx-justify-center vx-align-center\">\n        <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n          {{ button?.buttonText }}\n        </button>\n      </div>\n  </div>\n</div>\n<!-- active -->\n<!-- <div class=\"workflow-smiley-popup active\">\n  <button class=\"close\" (click)=\"smileyCloseEmitter($event)\">\n    <i class=\"icons\">&#xe93f;</i>\n  </button>\n  <div class=\"workflow-smiley-container\">\n    <div class=\"smiley-inner\">\n      <div class=\"smiley-circle active\">\n        <div class=\"smiley-circle-inner\">\n          <div class=\"eyes\">\n            <div class=\"eye\"></div>\n            <div class=\"eye\"></div>\n          </div>\n          <div class=\"mouth\"></div>\n        </div>\n      </div>\n    </div>\n    <h3>{{ message }}</h3>\n    <div class=\"successSmileyButton\">\n      <button *ngFor=\"let button of actionButtons\" (click)=\"actionEmitter(button)\" [class]=\"button?.class\">\n        {{ button?.buttonText }}\n      </button>\n    </div>\n  </div>\n</div> -->\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/smiley/smiley.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/button/button.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";.vx-smiley-popup{position:fixed;inset:0;background:#d93b41;z-index:9}.vx-smiley-popup:before{content:\"\";position:absolute;z-index:0;background:#fff;inset:0;transition-delay:1s;border-top-right-radius:0;transition:all .3s ease-in-out}.vx-smiley-popup.active:before{border-top-right-radius:180px}.vx-smiley-popup .close{color:#fff;font-size:22px;position:absolute;top:4px;right:16px;z-index:10;background:none;border:none;padding:0;cursor:pointer;width:auto}button{background:#fff;border:1px solid #1e5dd3;color:#1e5dd3;font-size:14px;font-weight:500;margin:0 5px;border-radius:3px;padding:8px;width:280px;height:54px;cursor:pointer;text-transform:uppercase}button.blue-btn{background:#1e5dd3;color:#fff}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { message: [{
                type: Input
            }], actionButtons: [{
                type: Input
            }], action: [{
                type: Output
            }], closeSmiley: [{
                type: Output
            }], handleKeyboardEvent: [{
                type: HostListener,
                args: ['window:keyup', ['$event']]
            }] } });

class SmileyDialogModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogModule, declarations: [SmileyDialogComponent], imports: [CommonModule], exports: [SmileyDialogComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SmileyDialogComponent],
                    imports: [CommonModule],
                    exports: [SmileyDialogComponent],
                }]
        }] });

class CreateDocumentsComponent {
    constructor(snackBar, policyService, router, route, platformLocation, iframeService) {
        this.snackBar = snackBar;
        this.policyService = policyService;
        this.router = router;
        this.route = route;
        this.iframeService = iframeService;
        this.filename = '';
        this.fileType = '';
        this.pdf = false;
        this.draft = false;
        this.doc = false;
        this.isUploading = false;
        this.isLoader = false;
        this.selectedDocumentType = '';
        this.policyId = '';
        this.policyName = '';
        this.organization_id = '';
        this.disconnectRefresh = new EventEmitter();
        this.editPolicy = new EventEmitter();
        this.baseURL = '';
        this.baseURL = location?.origin;
        if (this.baseURL == "http://localhost:4200") {
            this.baseURL = 'https://dev.v-comply.com';
        }
    }
    ngOnInit() {
        const data = JSON.parse(localStorage.getItem('lastFileNameAndType') ?? '"{}"');
        if ((data.name !== null && data.name !== undefined) && (data.type !== null && data.type !== undefined)
            && (data.policyId == this.policyId)) {
            this.selectedDocumentType = data.type;
            this.filename = data.name;
            localStorage.removeItem('lastFileNameAndType');
        }
    }
    handleFileInput(files) {
        this.fileToUpload = files[0];
        this.filename = this.fileToUpload.name;
        this.fileType = this.fileToUpload.name.slice(this.fileToUpload.name.lastIndexOf('.') + 1, this.fileToUpload.name.length).toLowerCase();
        if (this.fileType === 'pdf') {
            this.uploadFile({ file: this.fileToUpload, fileType: this.fileType });
        }
        else if (this.fileType === 'docx') {
            this.uploadFile({ file: this.fileToUpload, fileType: this.fileType });
        }
        else {
            this.snackBar.show('Please upload a valid file', 'alert');
        }
    }
    uploadFile(event) {
        this.isUploading = true;
        if (event.fileType === 'docx') {
            this.changeDocType('docx');
            this.uploadDocxfile(event);
        }
        else if (event.fileType === 'pdf') {
            this.changeDocType('pdf');
            const uploadData = new FormData();
            uploadData.append('file', event.file);
            const path = 'o/' + this.organization_id + '/policy/';
            this.policyService.uploadFile(uploadData, this.policyId, path).subscribe(res => {
                if (res) {
                    this.isUploading = false;
                }
            }, err => {
                this.isUploading = false;
                this.snackBar.show('Oops! Something went wrong and we were unable to complete this action. Let\'s give it another try, shall we?', 'alert');
            });
        }
    }
    uploadDocxfile(event) {
        const uploadData = new FormData();
        uploadData.append('file', event.file);
        const path = 'o/' + this.organization_id + '/policy/';
        this.policyService.uploadDocxFile(uploadData, this.policyId, path).subscribe(res => {
            if (res) {
                this.isUploading = false;
            }
        }, err => {
            this.isUploading = false;
            this.snackBar.show('Oops! Something went wrong and we were unable to complete this action. Let\'s give it another try, shall we?', 'alert');
        });
    }
    changeDocType(event) {
        this.selectedDocumentType = event;
    }
    editor(event) {
        this.disconnectRefresh.emit(false);
        if (event === 'draft') {
            // If it is a draft go directly to the editor
            const uname = this.userInfo ? this.userInfo.name : '';
            const uid = this.member_obj_id;
            const name = this.policyName.trim();
            const id = this.policyId;
            this.isLoader = true;
            this.policyService.savePolicyDetails(uname, uid, id, name, '', 0).subscribe(res => {
                if (res) {
                    this.isLoader = false;
                    const url = this.baseURL + '/all/policy/edit-policy?id=' + this.policyId;
                    this.iframeService.redirectIfInIframe(url, true);
                }
            }, err => {
                this.isLoader = false;
                this.snackBar.show('Oops! Something went wrong and we were unable to complete this action. Let\'s give it another try, shall we?', 'alert');
            });
        }
        else if (event === 'docx') {
            const url = this.baseURL + '/all/policy/edit-policy?id=' + this.policyId;
            this.iframeService.redirectIfInIframe(url, true);
        }
        else if (event === 'pdf') {
            // If it is a pdf send to the workroom
            const url = this.baseURL + '/all/policy/workroom?id=' + this.policyId;
            this.iframeService.redirectIfInIframe(url, true);
        }
        localStorage.setItem('_dId', this.policyId);
    }
    editPolicyEmit() {
        localStorage.setItem('lastFileNameAndType', JSON.stringify({ type: this.selectedDocumentType, name: this.filename, policyId: this.policyId }));
        this.editPolicy.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateDocumentsComponent, deps: [{ token: SnackBarService }, { token: PolicyService }, { token: i3.Router }, { token: i3.ActivatedRoute }, { token: i1$1.PlatformLocation }, { token: IframeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CreateDocumentsComponent, selector: "app-create-documents", inputs: { policyId: "policyId", policyName: "policyName", organization_id: "organization_id", member_obj_id: "member_obj_id", userInfo: "userInfo" }, outputs: { disconnectRefresh: "disconnectRefresh", editPolicy: "editPolicy" }, ngImport: i0, template: "<!-- <p>create-documents works!</p> -->\n<div class=\"create-documents\">\n    <div class=\"create-documents-container\">\n        <div class=\"message-box\">\n            <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/bulb.svg\" alt=\"\"> -->\n            <svg version=\"1.1\" id=\"Capa_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 480.8 480.8\" style=\"enable-background:new 0 0 480.8 480.8;\" xml:space=\"preserve\">\n                <path style=\"fill:#FFD517;\" d=\"M317.112,314.4c-22.4,22.4-19.6,67.6-19.6,67.6h-113.6c0,0,2.4-45.2-19.6-67.6\n                                        c-24.4-21.6-40-52.8-40-87.6c0-64,52-116,116-116s116,52,116,116C356.312,261.6,341.112,292.8,317.112,314.4L317.112,314.4z\" />\n                <g>\n                    <path style=\"fill:#E5E5E5;\" d=\"M300.712,417.6c0,6-4.8,10.8-10.8,10.8h-98.8c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h98.4C295.512,406.8,300.712,411.6,300.712,417.6L300.712,417.6z\" />\n                    <path style=\"fill:#E5E5E5;\" d=\"M285.912,462.4c0,6-4.8,10.8-10.8,10.8h-69.2c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h69.2C281.112,451.6,285.912,456.4,285.912,462.4L285.912,462.4z\" />\n                </g>\n                <g>\n                    <path style=\"fill:#210B20;\" d=\"M323.112,318.4c26-23.6,40.8-56.8,40.8-91.6c0-68-55.6-123.6-123.6-123.6s-123.6,55.6-123.6,123.6\n                                            c0,35.6,15.6,69.6,42,92.8c19.6,19.6,17.6,61.2,17.6,61.6c0,2,0.8,4,2,5.6c1.6,1.6,3.6,2.4,5.6,2.4h113.2c2,0,4-0.8,5.6-2.4\n                                            s2-3.6,2-5.6c0-0.4-2-42,17.6-61.6C322.712,319.2,323.112,318.8,323.112,318.4z M311.912,308.4c-0.8,0.4-1.2,1.2-1.6,2\n                                            c-17.6,18.8-20.4,49.6-20.8,64h-98c-0.4-14.8-3.6-46.8-22.4-65.6c-23.6-20.8-37.2-50.4-37.2-81.6c0-60,48.8-108.4,108.4-108.4\n                                            c60,0,108.4,48.8,108.4,108.4C348.712,258,335.512,288,311.912,308.4z\" />\n                    <path style=\"fill:#210B20;\" d=\"M240.312,135.2c-4,0-7.6,3.2-7.6,7.6c0,4,3.2,7.6,7.6,7.6c44.8,0,81.2,36.4,81.2,81.2\n                                            c0,4,3.2,7.6,7.6,7.6c4,0,7.6-3.2,7.6-7.6C336.712,178.4,293.512,135.2,240.312,135.2z\" />\n                    <path style=\"fill:#210B20;\" d=\"M308.312,417.6c0-10.4-8.4-18.4-18.4-18.4h-98.8c-10.4,0-18.4,8.4-18.4,18.4\n                                            c0,10.4,8.4,18.4,18.4,18.4h98.4C299.912,436,308.312,428,308.312,417.6z M289.512,420.8h-98.4c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h98.4c2,0,3.2,1.6,3.2,3.2C293.112,419.6,291.512,420.8,289.512,420.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M275.112,444h-69.2c-10.4,0-18.4,8.4-18.4,18.4c0,10.4,8.4,18.4,18.4,18.4h69.2\n                                            c10.4,0,18.4-8.4,18.4-18.4C293.512,452.4,285.112,444,275.112,444z M275.112,465.6h-69.2c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h69.2c2,0,3.2,1.6,3.2,3.2C278.312,464.4,277.112,465.6,275.112,465.6z\" />\n                    <path style=\"fill:#210B20;\" d=\"M247.912,58.8V7.6c0-4-3.2-7.6-7.6-7.6c-4,0-7.6,3.2-7.6,7.6v51.6c0,4,3.2,7.6,7.6,7.6\n                                            C244.712,66.4,247.912,63.2,247.912,58.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M366.312,38c-3.6-2.4-8-1.2-10.4,2l-28.4,42.8c-2.4,3.6-1.2,8,2,10.4c1.2,0.8,2.8,1.2,4,1.2\n                                            c2.4,0,4.8-1.2,6.4-3.2l28.4-42.8C370.712,45.2,369.512,40.4,366.312,38z\" />\n                    <path style=\"fill:#210B20;\" d=\"M149.912,92.8c1.2,0,2.8-0.4,4-1.2c3.6-2.4,4.4-6.8,2.4-10.4l-27.6-43.2c-2.4-3.6-6.8-4.4-10.4-2.4\n                                            c-3.6,2.4-4.4,6.8-2.4,10.4l27.6,43.2C145.112,91.6,147.512,92.8,149.912,92.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M43.912,128.8l45.2,24.4c1.2,0.8,2.4,0.8,3.6,0.8c2.8,0,5.2-1.6,6.8-4c2-3.6,0.8-8.4-3.2-10.4\n                                            l-45.2-24.4c-3.6-2-8.4-0.8-10.4,3.2C39.112,122.4,40.312,126.8,43.912,128.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M387.912,154.4c1.2,0,2.4-0.4,3.6-0.8l45.2-24.4c3.6-2,5.2-6.4,3.2-10.4c-2-3.6-6.4-5.2-10.4-3.2\n                                            l-45.2,24.4c-3.6,2-5.2,6.4-3.2,10.4C382.312,152.8,385.112,154.4,387.912,154.4z\" />\n                </g>\n            </svg>\n            <p>There are multiple ways to create a policy on VComply. You can either draft it from scratch using\n                VComply\u2019s online editor or upload an existing DOCX or PDF file.</p>\n        </div>\n        <ul>\n            <li>\n                <label [class.active]=\"selectedDocumentType=='draft'\">\n                    <input type=\"radio\" name=\"docType\" (change)=\"changeDocType('draft')\" [checked]=\"selectedDocumentType==='draft'\" >\n                    <div class=\"wrapper\" style=\"font-family: unset !important;\">\n                        <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/draft.svg\" alt=\"\"> -->\n                        <svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 64 64;\" xml:space=\"preserve\">\n                            <style type=\"text/css\">\n                                .p1{fill:#F8F8F8;}\n                                .p2{fill:#747576;}\n                                .p3{fill:#BDBDBD;}\n                                .p4{fill:#DBDBDB;}\n                                .p5{fill:#1E5DD3;}\n                                .p6{fill:#FFFFFF;}\n                            </style>\n                            <path class=\"p1\" d=\"M52,16.2V58c0,1.1-0.9,2-2,2H14c-1.1,0-2-0.9-2-2V6c0-1.1,0.9-2,2-2h25.9\" />\n                            <image style=\"overflow:visible;\" width=\"1920\" height=\"1080\" xlink:href=\"94778146.jpg\" transform=\"matrix(1 0 0 1 -8160 -8160)\">\n                            </image>\n                            <path class=\"p2\" d=\"M52,12v12H12V6c0-1.1,0.9-2,2-2h30\" />\n                            <path class=\"p3\" d=\"M44,4v6.7c0,0.7,0.6,1.3,1.3,1.3H52\" />\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,30.1H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,30.1,46.2,30.1z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,34.5H17.9c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1h28.3c0.6,0,1,0.4,1,1C47.2,34.1,46.8,34.5,46.2,34.5z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,39H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,39,46.2,39z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,43.4H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,43.4,46.2,43.4z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,47.8H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,47.8,46.2,47.8z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,52.2H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,52.2,46.2,52.2z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,56.6H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,56.6,46.2,56.6z\" />\n                            </g>\n                            <g>\n                                <path class=\"p6\" d=\"M24.6,16.9c-0.2,0.4-0.6,0.8-1,1s-1,0.4-1.6,0.4h-2v-5.6h2c0.6,0,1.1,0.1,1.6,0.3c0.4,0.2,0.8,0.6,1,1\n                                c0.2,0.4,0.4,0.9,0.4,1.5C24.9,16,24.8,16.5,24.6,16.9z M23.3,16.8c0.3-0.3,0.5-0.8,0.5-1.3c0-0.6-0.2-1-0.5-1.4\n                                c-0.3-0.3-0.8-0.5-1.4-0.5h-0.8v3.7h0.8C22.5,17.2,23,17.1,23.3,16.8z\" />\n                                <path class=\"p6\" d=\"M28.7,18.2L27.4,16h-0.5v2.2h-1.1v-5.6h2.2c0.7,0,1.2,0.2,1.5,0.5s0.5,0.7,0.5,1.3c0,0.4-0.1,0.8-0.4,1.1\n                                s-0.6,0.5-1,0.6l1.4,2.3H28.7z M26.9,15.3h0.9c0.6,0,1-0.3,1-0.9c0-0.3-0.1-0.5-0.2-0.6c-0.2-0.2-0.4-0.2-0.7-0.2h-0.9V15.3z\" />\n                                <path class=\"p6\" d=\"M34.1,17.1h-2.3l-0.4,1.1h-1.2l2.1-5.6h1.3l2.1,5.6h-1.2L34.1,17.1z M33.8,16.3L33,13.9l-0.8,2.4H33.8z\" />\n                                <path class=\"p6\" d=\"M39.8,12.6v0.9h-2.4V15h1.9v0.9h-1.9v2.4h-1.1v-5.6H39.8z\" />\n                                <path class=\"p6\" d=\"M44.4,12.6v0.9h-1.6v4.8h-1.1v-4.8h-1.6v-0.9H44.4z\" />\n                            </g>\n                            <path class=\"p5\" d=\"M32,33.1c-5.2,0-9.4,4.2-9.4,9.4s4.2,9.4,9.4,9.4s9.4-4.2,9.4-9.4C41.4,37.3,37.2,33.2,32,33.1z\" />\n                            <g>\n                                <path class=\"p6\" d=\"M36.1,40.8l-5.8,5.8L28,44.4l5.8-5.8c0.2-0.2,0.4-0.2,0.6,0l1.7,1.7C36.2,40.4,36.2,40.7,36.1,40.8z\" />\n                                <path class=\"p6\" d=\"M36.8,38c-0.5-0.5-1.3-0.5-1.7,0l-0.4,0.3c0,0,0.1,0,0.1,0.1l1.7,1.7c0,0,0,0.1,0.1,0.1l0.4-0.4\n                                c0.2-0.2,0.4-0.5,0.4-0.9C37.1,38.5,37,38.2,36.8,38L36.8,38z\" />\n                                <path class=\"p6\" d=\"M27.9,44.9l-1,2.6c-0.1,0.1,0,0.2,0.1,0.4c0.1,0.1,0.1,0.1,0.2,0.1c0.1,0,0.1,0,0.1,0l2.6-1L27.9,44.9z\" />\n                                <path class=\"p6\" d=\"M30.2,41.3c0.1,0,0.2-0.1,0.2-0.1l2.2-2.2c0.1-0.1,0.3-0.1,0.4-0.1l0.5-0.5c-0.4-0.3-0.9-0.3-1.3,0.1L30,40.7\n                                c-0.1,0.1-0.1,0.4,0,0.5C30,41.2,30,41.3,30.2,41.3L30.2,41.3z\" />\n                            </g>\n                        </svg>\n                        <div class=\"label-right\">\n                            <div class=\"text\"><strong>Create</strong> a Policy</div>\n                            <div class=\"check\">\n                                <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                                    <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                                    <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                                </svg>\n                            </div>\n                        </div>\n                    </div>\n                </label>\n            </li>\n            <li>\n                <label [class.active]=\"selectedDocumentType=='docx'\">\n                    <!-- <input type=\"radio\" name=\"docType\"> -->\n                    <div class=\"wrapper\" style=\"font-family: unset !important;\">\n                        <div class=\"line-progress\" *ngIf=\"selectedDocumentType=='docx' && isUploading\">\n                            <div class=\"line-progress-bar\"></div>\n                        </div>\n                        <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/docx.svg\" alt=\"\"> -->\n                        <!-- <span class=\"text\"  *ngIf=\"!(selectedDocumentType=='docx' && filename)\">Upload a <strong>DOCX</strong></span>\n                        <span class=\"text\" *ngIf=\"(selectedDocumentType=='docx') && filename\">\n                            {{filename}}\n                        </span> -->\n                        <svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 64 64;\" xml:space=\"preserve\">\n                            <style type=\"text/css\">\n                                .d1{fill:#F8F8F8;}\n                                .d2{fill:#337DBE;}\n                                .d3{fill:#3C92DF;}\n                                .d4{fill:#DBDBDB;}\n                                .d5{fill:#F2BF19;}\n                                .d6{fill:#FAFAFA;}\n                            </style>\n                            <path class=\"d1\" d=\"M52,16.2V58c0,1.1-0.9,2-2,2H14c-1.1,0-2-0.9-2-2V6c0-1.1,0.9-2,2-2h25.9\" />\n                            <path class=\"d2\" d=\"M52,12v12H12V6c0-1.1,0.9-2,2-2h30\" />\n                            <path class=\"d3\" d=\"M44,4v6.7c0,0.7,0.6,1.3,1.3,1.3H52\" />\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,30.1H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,30.1,46.2,30.1z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,34.5H17.9c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1h28.3c0.6,0,1,0.4,1,1C47.2,34.1,46.8,34.5,46.2,34.5z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,39H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,39,46.2,39z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,43.4H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,43.4,46.2,43.4z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,47.8H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,47.8,46.2,47.8z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,52.2H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,52.2,46.2,52.2z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,56.6H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,56.6,46.2,56.6z\" />\n                            </g>\n                            <g>\n                                <path class=\"d1\" d=\"M25.4,16.9c-0.2,0.4-0.6,0.8-1,1s-1,0.4-1.6,0.4h-2v-5.6h2c0.6,0,1.1,0.1,1.6,0.3c0.4,0.2,0.8,0.6,1,1\n                                c0.2,0.4,0.4,0.9,0.4,1.5C25.7,16,25.6,16.5,25.4,16.9z M24.1,16.8c0.3-0.3,0.5-0.8,0.5-1.3c0-0.6-0.2-1-0.5-1.4\n                                c-0.3-0.3-0.8-0.5-1.4-0.5h-0.8v3.7h0.8C23.3,17.2,23.8,17.1,24.1,16.8z\" />\n                                <path class=\"d1\" d=\"M30.7,12.9c0.4,0.2,0.8,0.6,1,1s0.4,0.9,0.4,1.5s-0.1,1.1-0.4,1.5c-0.2,0.4-0.6,0.8-1,1\n                                c-0.4,0.2-0.9,0.4-1.4,0.4c-0.5,0-1-0.1-1.4-0.4c-0.4-0.2-0.8-0.6-1-1c-0.2-0.4-0.4-0.9-0.4-1.5s0.1-1.1,0.4-1.5s0.6-0.8,1-1\n                                c0.4-0.2,0.9-0.4,1.4-0.4C29.8,12.5,30.2,12.6,30.7,12.9z M28.4,13.8c-0.3,0.1-0.4,0.4-0.6,0.6c-0.1,0.3-0.2,0.6-0.2,1\n                                c0,0.4,0.1,0.7,0.2,1c0.1,0.3,0.3,0.5,0.6,0.6c0.3,0.1,0.5,0.2,0.9,0.2c0.3,0,0.6-0.1,0.9-0.2c0.3-0.1,0.4-0.4,0.6-0.6\n                                c0.1-0.3,0.2-0.6,0.2-1c0-0.4-0.1-0.7-0.2-1c-0.1-0.3-0.3-0.5-0.6-0.6c-0.3-0.1-0.5-0.2-0.9-0.2C28.9,13.6,28.6,13.6,28.4,13.8z\" />\n                                <path class=\"d1\" d=\"M37.2,13.1c0.5,0.4,0.8,0.9,0.9,1.5H37c-0.1-0.3-0.3-0.5-0.6-0.7c-0.3-0.2-0.6-0.3-0.9-0.3\n                                c-0.3,0-0.6,0.1-0.8,0.2s-0.4,0.4-0.6,0.6c-0.1,0.3-0.2,0.6-0.2,1c0,0.4,0.1,0.7,0.2,1c0.1,0.3,0.3,0.5,0.6,0.6s0.5,0.2,0.8,0.2\n                                c0.4,0,0.7-0.1,0.9-0.3c0.3-0.2,0.4-0.4,0.6-0.7h1.2c-0.1,0.6-0.5,1.1-0.9,1.5c-0.5,0.4-1,0.5-1.8,0.5c-0.5,0-1-0.1-1.4-0.4\n                                c-0.4-0.2-0.7-0.6-1-1c-0.2-0.4-0.3-0.9-0.3-1.5c0-0.6,0.1-1.1,0.3-1.5c0.2-0.4,0.5-0.8,1-1c0.4-0.2,0.9-0.4,1.4-0.4\n                                C36.2,12.5,36.8,12.7,37.2,13.1z\" />\n                                <path class=\"d1\" d=\"M42.3,18.2L41,16.3l-1.1,1.9h-1.3l1.8-2.9l-1.8-2.8h1.3l1.2,1.9l1.1-1.9h1.3l-1.8,2.8l1.9,2.8H42.3z\" />\n                            </g>\n                            <path class=\"d5\" d=\"M32,33.1c-5.2,0-9.4,4.2-9.4,9.4s4.2,9.4,9.4,9.4s9.4-4.2,9.4-9.4C41.4,37.3,37.2,33.2,32,33.1z\" />\n                            <path class=\"d6\" d=\"M38,41.8l-5.7-5.7c-0.2-0.2-0.4-0.2-0.6,0L26,41.8c-0.1,0.1-0.1,0.2-0.1,0.3c0,0.2,0.2,0.4,0.4,0.4h2.9v6.1\n                            c0,0.2,0.2,0.4,0.4,0.4h4.9c0.2,0,0.4-0.2,0.4-0.4v-6.1h2.9c0.2,0,0.3-0.1,0.4-0.3C38.1,42.1,38.1,42,38,41.8z\" />\n                        </svg>\n                        <div class=\"label-right\">\n                            <div class=\"text\">\n                                <ng-container *ngIf=\"!(selectedDocumentType=='docx' && filename)\">Upload a <strong>DOCX</strong></ng-container>\n                                <ng-container *ngIf=\"(selectedDocumentType=='docx') && filename\">{{filename}}</ng-container>\n                            </div>\n                            <div class=\"check\">\n                                <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                                    <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                                    <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                                </svg>\n                            </div>\n                        </div>\n                    </div>\n                    <input type=\"file\" accept=\".docx\" id=\"DOCfile\" hidden\n                    (change)=\"handleFileInput($event.target.files)\" onclick=\"event.stopPropagation();\" #docxUploadButton>\n                </label>\n            </li>\n            <li>\n                <label [class.active]=\"selectedDocumentType=='pdf'\">\n                    <!-- <input type=\"radio\" name=\"docType\"> -->\n                    <input type=\"file\" accept=\".pdf\" id=\"PDFfile\" hidden\n                    (change)=\"handleFileInput($event.target.files)\" onclick=\"event.stopPropagation();\" #pdfUploadButton>\n                    <div class=\"wrapper\" style=\"font-family: unset !important;\">\n                        <div class=\"line-progress\" *ngIf=\"selectedDocumentType=='pdf' && isUploading\">\n                            <div class=\"line-progress-bar\"></div>\n                        </div>\n                        <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/pdf.svg\" alt=\"\">\n                        <div class=\"text\" *ngIf=\"!(selectedDocumentType=='pdf' && filename)\">Upload a\n                            <strong>PDF</strong>\n                        </div>\n                        <div class=\"text\" *ngIf=\"(selectedDocumentType=='pdf') && filename\">\n                            {{filename}}\n                        </div> -->\n                        <svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 64 64;\" xml:space=\"preserve\">\n                            <style type=\"text/css\">\n                                .pd1{fill:#F8F8F8;}\n                                .pd2{fill:#EE3939;}\n                                .pd3{fill:#F95858;}\n                                .pd4{fill:#DBDBDB;}\n                                .pd5{fill:#34AA44;}\n                                .pd6{fill:#FAFAFA;}\n                            </style>\n                            <path class=\"pd1\" d=\"M52,16.2V58c0,1.1-0.9,2-2,2H14c-1.1,0-2-0.9-2-2V6c0-1.1,0.9-2,2-2h25.9\" />\n                            <path class=\"pd2\" d=\"M52,12v12H12V6c0-1.1,0.9-2,2-2h30\" />\n                            <path class=\"pd3\" d=\"M44,4v6.7c0,0.7,0.6,1.3,1.3,1.3H52\" />\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,30.1H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,30.1,46.2,30.1z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,34.5H17.9c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1h28.3c0.6,0,1,0.4,1,1C47.2,34.1,46.8,34.5,46.2,34.5z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,39H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,39,46.2,39z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,43.4H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,43.4,46.2,43.4z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,47.8H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,47.8,46.2,47.8z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,52.2H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,52.2,46.2,52.2z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,56.6H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,56.6,46.2,56.6z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd1\" d=\"M26.2,16.2v2.1h-1.1v-5.6h2.1c0.7,0,1.2,0.2,1.5,0.5c0.3,0.3,0.5,0.8,0.5,1.3c0,0.5-0.2,1-0.5,1.3\n                                c-0.3,0.3-0.8,0.5-1.5,0.5H26.2z M28,14.4c0-0.3-0.1-0.5-0.2-0.6c-0.2-0.1-0.4-0.2-0.8-0.2h-0.8v1.7H27C27.7,15.2,28,15,28,14.4z\" />\n                                <path class=\"pd1\" d=\"M34.5,16.9c-0.2,0.4-0.6,0.8-1,1s-1,0.4-1.6,0.4h-2v-5.6h2c0.6,0,1.1,0.1,1.6,0.3c0.4,0.2,0.8,0.6,1,1\n                                c0.2,0.4,0.4,0.9,0.4,1.5C34.8,16,34.7,16.5,34.5,16.9z M33.2,16.8c0.3-0.3,0.5-0.8,0.5-1.3c0-0.6-0.2-1-0.5-1.4\n                                c-0.3-0.3-0.8-0.5-1.4-0.5H31v3.7h0.8C32.4,17.2,32.9,17.1,33.2,16.8z\" />\n                                <path class=\"pd1\" d=\"M39.2,12.6v0.9h-2.4V15h1.9v0.9h-1.9v2.4h-1.1v-5.6H39.2z\" />\n                            </g>\n                            <path class=\"pd5\" d=\"M32,33.1c-5.2,0-9.4,4.2-9.4,9.4s4.2,9.4,9.4,9.4s9.4-4.2,9.4-9.4C41.4,37.3,37.2,33.2,32,33.1z\" />\n                            <path class=\"pd6\" d=\"M38,41.8l-5.7-5.7c-0.2-0.2-0.4-0.2-0.6,0L26,41.8c-0.1,0.1-0.1,0.2-0.1,0.3c0,0.2,0.2,0.4,0.4,0.4h2.9v6.1\n                            c0,0.2,0.2,0.4,0.4,0.4h4.9c0.2,0,0.4-0.2,0.4-0.4v-6.1h2.9c0.2,0,0.3-0.1,0.4-0.3C38.1,42.1,38.1,42,38,41.8z\" />\n                        </svg>\n                        <div class=\"label-right\">\n                            <div class=\"text\">\n                                <ng-container *ngIf=\"!(selectedDocumentType=='pdf' && filename)\">Upload a <strong>PDF</strong></ng-container>\n                                <ng-container *ngIf=\"(selectedDocumentType=='pdf') && filename\">{{filename}}</ng-container>\n                            </div>\n                            <div class=\"check\">\n                                <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                                    <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                                    <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                                </svg>\n                            </div>\n                        </div>\n                    </div>\n                </label>\n            </li>\n        </ul>\n    </div>\n</div>\n<div class=\"bottom-button\">\n    <button type=\"button\" class=\"back\" (click)=\"editPolicyEmit()\"><i class=\"icons\">&#xe91d;</i> Back</button>\n    <button type=\"button\" class=\"next\" (click)=\"editor(selectedDocumentType)\" [class.disabled]=\"!selectedDocumentType\">Next <i class=\"icons\">&#xe91e;</i></button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.create-documents{display:flex;align-items:center;height:calc(100vh - 50px);position:absolute;top:0;right:0;background:#fff;z-index:10;padding:10%}.create-documents-container .message-box{background:#fbfbfb;border-radius:4px;border:1px solid #F1F1F1;padding:16px 8px 12px 16px;margin-bottom:20px;display:flex;align-items:flex-start}.create-documents-container .message-box img,.create-documents-container .message-box svg{background:#fff;width:33px;min-width:33px;border-radius:4px;box-shadow:0 3px 6px #1e5dd333;margin-right:12px;padding:4px}.create-documents-container .message-box p{font-size:12px;font-weight:500;color:#747576;margin:0}.create-documents-container ul{padding:0;margin:0;display:block}.create-documents-container ul li{list-style:none;display:block}.create-documents-container ul li label{margin:0;position:relative;display:block;cursor:pointer}.create-documents-container ul li label .wrapper{display:flex;align-items:center;padding:0 50px 0 80px;border:1px solid #DBDBDB;border-radius:4px;width:100%;background:transparent;justify-content:center;position:relative;height:100px}.create-documents-container ul li label .wrapper img,.create-documents-container ul li label .wrapper svg{width:82px;position:absolute;left:0;top:8px}.create-documents-container ul li label .wrapper .label-right{width:100%;display:block}.create-documents-container ul li label .wrapper .label-right .text{font-size:16px;line-height:24px;color:#747576;display:block;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;text-align:center}.create-documents-container ul li label .wrapper .label-right .text strong{font-weight:500}.create-documents-container ul li label .wrapper .label-right .check{display:none;width:32px;height:32px;position:absolute;right:14px;top:33px}.create-documents-container ul li label .wrapper .label-right .check .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-right:10px;position:static}.create-documents-container ul li label .wrapper .label-right .check .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.create-documents-container ul li label .wrapper .label-right .check .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.create-documents-container ul li label input{width:100%;position:absolute;inset:0;margin:0;padding:0;z-index:1;opacity:0;height:100%;pointer-events:none}.create-documents-container ul li label input:checked+span.wrapper{background:#eefcf0;border-color:#34aa44}.create-documents-container ul li label input:checked+span.wrapper span.check{visibility:visible}.create-documents-container ul li label.active .wrapper{background:#eefcf0;border:1px solid #34AA44}.create-documents-container ul li label.active .wrapper .label-right .text{max-width:250px}.create-documents-container ul li label.active .wrapper .label-right .check{display:block}.create-documents-container ul li+li{margin-top:8px}.bottom-button{background:#fff;display:flex;align-items:center;position:absolute;bottom:0;right:0;width:100%;z-index:10}.bottom-button button{background:#1e5dd3;border:none;border-radius:0;color:#fff;font-size:13px;font-weight:600;text-transform:uppercase;width:100%;padding:0;position:relative;margin:0!important}.bottom-button button i{position:absolute;top:16px;font-size:18px;font-weight:500}.bottom-button button.next i{right:16px}.bottom-button button.back{background:#f1f1f1;color:#1e5dd3}.bottom-button button.back i{left:16px}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}button{height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:19px;letter-spacing:3.08px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:164px;bottom:0}disabled{pointer-events:none!important;opacity:.3!important;filter:grayscale(1)!important}.line-progress{position:absolute;left:0;top:0;height:2px;display:block;width:100%;background-color:#d4e2fc;background-clip:padding-box;overflow:hidden}.line-progress-bar{bottom:0;width:40%;background:#4681ef;border-radius:5px;display:inline-block;position:absolute;animation:linear infinite;animation-name:run;animation-duration:1s;top:0}@keyframes run{0%{left:0}50%{left:60%}to{left:0}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateDocumentsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-create-documents', template: "<!-- <p>create-documents works!</p> -->\n<div class=\"create-documents\">\n    <div class=\"create-documents-container\">\n        <div class=\"message-box\">\n            <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/bulb.svg\" alt=\"\"> -->\n            <svg version=\"1.1\" id=\"Capa_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 480.8 480.8\" style=\"enable-background:new 0 0 480.8 480.8;\" xml:space=\"preserve\">\n                <path style=\"fill:#FFD517;\" d=\"M317.112,314.4c-22.4,22.4-19.6,67.6-19.6,67.6h-113.6c0,0,2.4-45.2-19.6-67.6\n                                        c-24.4-21.6-40-52.8-40-87.6c0-64,52-116,116-116s116,52,116,116C356.312,261.6,341.112,292.8,317.112,314.4L317.112,314.4z\" />\n                <g>\n                    <path style=\"fill:#E5E5E5;\" d=\"M300.712,417.6c0,6-4.8,10.8-10.8,10.8h-98.8c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h98.4C295.512,406.8,300.712,411.6,300.712,417.6L300.712,417.6z\" />\n                    <path style=\"fill:#E5E5E5;\" d=\"M285.912,462.4c0,6-4.8,10.8-10.8,10.8h-69.2c-6,0-10.8-4.8-10.8-10.8l0,0c0-6,4.8-10.8,10.8-10.8\n                                            h69.2C281.112,451.6,285.912,456.4,285.912,462.4L285.912,462.4z\" />\n                </g>\n                <g>\n                    <path style=\"fill:#210B20;\" d=\"M323.112,318.4c26-23.6,40.8-56.8,40.8-91.6c0-68-55.6-123.6-123.6-123.6s-123.6,55.6-123.6,123.6\n                                            c0,35.6,15.6,69.6,42,92.8c19.6,19.6,17.6,61.2,17.6,61.6c0,2,0.8,4,2,5.6c1.6,1.6,3.6,2.4,5.6,2.4h113.2c2,0,4-0.8,5.6-2.4\n                                            s2-3.6,2-5.6c0-0.4-2-42,17.6-61.6C322.712,319.2,323.112,318.8,323.112,318.4z M311.912,308.4c-0.8,0.4-1.2,1.2-1.6,2\n                                            c-17.6,18.8-20.4,49.6-20.8,64h-98c-0.4-14.8-3.6-46.8-22.4-65.6c-23.6-20.8-37.2-50.4-37.2-81.6c0-60,48.8-108.4,108.4-108.4\n                                            c60,0,108.4,48.8,108.4,108.4C348.712,258,335.512,288,311.912,308.4z\" />\n                    <path style=\"fill:#210B20;\" d=\"M240.312,135.2c-4,0-7.6,3.2-7.6,7.6c0,4,3.2,7.6,7.6,7.6c44.8,0,81.2,36.4,81.2,81.2\n                                            c0,4,3.2,7.6,7.6,7.6c4,0,7.6-3.2,7.6-7.6C336.712,178.4,293.512,135.2,240.312,135.2z\" />\n                    <path style=\"fill:#210B20;\" d=\"M308.312,417.6c0-10.4-8.4-18.4-18.4-18.4h-98.8c-10.4,0-18.4,8.4-18.4,18.4\n                                            c0,10.4,8.4,18.4,18.4,18.4h98.4C299.912,436,308.312,428,308.312,417.6z M289.512,420.8h-98.4c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h98.4c2,0,3.2,1.6,3.2,3.2C293.112,419.6,291.512,420.8,289.512,420.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M275.112,444h-69.2c-10.4,0-18.4,8.4-18.4,18.4c0,10.4,8.4,18.4,18.4,18.4h69.2\n                                            c10.4,0,18.4-8.4,18.4-18.4C293.512,452.4,285.112,444,275.112,444z M275.112,465.6h-69.2c-2,0-3.2-1.6-3.2-3.2\n                                            c0-2,1.6-3.2,3.2-3.2h69.2c2,0,3.2,1.6,3.2,3.2C278.312,464.4,277.112,465.6,275.112,465.6z\" />\n                    <path style=\"fill:#210B20;\" d=\"M247.912,58.8V7.6c0-4-3.2-7.6-7.6-7.6c-4,0-7.6,3.2-7.6,7.6v51.6c0,4,3.2,7.6,7.6,7.6\n                                            C244.712,66.4,247.912,63.2,247.912,58.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M366.312,38c-3.6-2.4-8-1.2-10.4,2l-28.4,42.8c-2.4,3.6-1.2,8,2,10.4c1.2,0.8,2.8,1.2,4,1.2\n                                            c2.4,0,4.8-1.2,6.4-3.2l28.4-42.8C370.712,45.2,369.512,40.4,366.312,38z\" />\n                    <path style=\"fill:#210B20;\" d=\"M149.912,92.8c1.2,0,2.8-0.4,4-1.2c3.6-2.4,4.4-6.8,2.4-10.4l-27.6-43.2c-2.4-3.6-6.8-4.4-10.4-2.4\n                                            c-3.6,2.4-4.4,6.8-2.4,10.4l27.6,43.2C145.112,91.6,147.512,92.8,149.912,92.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M43.912,128.8l45.2,24.4c1.2,0.8,2.4,0.8,3.6,0.8c2.8,0,5.2-1.6,6.8-4c2-3.6,0.8-8.4-3.2-10.4\n                                            l-45.2-24.4c-3.6-2-8.4-0.8-10.4,3.2C39.112,122.4,40.312,126.8,43.912,128.8z\" />\n                    <path style=\"fill:#210B20;\" d=\"M387.912,154.4c1.2,0,2.4-0.4,3.6-0.8l45.2-24.4c3.6-2,5.2-6.4,3.2-10.4c-2-3.6-6.4-5.2-10.4-3.2\n                                            l-45.2,24.4c-3.6,2-5.2,6.4-3.2,10.4C382.312,152.8,385.112,154.4,387.912,154.4z\" />\n                </g>\n            </svg>\n            <p>There are multiple ways to create a policy on VComply. You can either draft it from scratch using\n                VComply\u2019s online editor or upload an existing DOCX or PDF file.</p>\n        </div>\n        <ul>\n            <li>\n                <label [class.active]=\"selectedDocumentType=='draft'\">\n                    <input type=\"radio\" name=\"docType\" (change)=\"changeDocType('draft')\" [checked]=\"selectedDocumentType==='draft'\" >\n                    <div class=\"wrapper\" style=\"font-family: unset !important;\">\n                        <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/draft.svg\" alt=\"\"> -->\n                        <svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 64 64;\" xml:space=\"preserve\">\n                            <style type=\"text/css\">\n                                .p1{fill:#F8F8F8;}\n                                .p2{fill:#747576;}\n                                .p3{fill:#BDBDBD;}\n                                .p4{fill:#DBDBDB;}\n                                .p5{fill:#1E5DD3;}\n                                .p6{fill:#FFFFFF;}\n                            </style>\n                            <path class=\"p1\" d=\"M52,16.2V58c0,1.1-0.9,2-2,2H14c-1.1,0-2-0.9-2-2V6c0-1.1,0.9-2,2-2h25.9\" />\n                            <image style=\"overflow:visible;\" width=\"1920\" height=\"1080\" xlink:href=\"94778146.jpg\" transform=\"matrix(1 0 0 1 -8160 -8160)\">\n                            </image>\n                            <path class=\"p2\" d=\"M52,12v12H12V6c0-1.1,0.9-2,2-2h30\" />\n                            <path class=\"p3\" d=\"M44,4v6.7c0,0.7,0.6,1.3,1.3,1.3H52\" />\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,30.1H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,30.1,46.2,30.1z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,34.5H17.9c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1h28.3c0.6,0,1,0.4,1,1C47.2,34.1,46.8,34.5,46.2,34.5z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,39H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,39,46.2,39z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,43.4H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,43.4,46.2,43.4z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,47.8H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,47.8,46.2,47.8z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,52.2H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,52.2,46.2,52.2z\" />\n                            </g>\n                            <g>\n                                <path class=\"p4\" d=\"M46.2,56.6H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,56.6,46.2,56.6z\" />\n                            </g>\n                            <g>\n                                <path class=\"p6\" d=\"M24.6,16.9c-0.2,0.4-0.6,0.8-1,1s-1,0.4-1.6,0.4h-2v-5.6h2c0.6,0,1.1,0.1,1.6,0.3c0.4,0.2,0.8,0.6,1,1\n                                c0.2,0.4,0.4,0.9,0.4,1.5C24.9,16,24.8,16.5,24.6,16.9z M23.3,16.8c0.3-0.3,0.5-0.8,0.5-1.3c0-0.6-0.2-1-0.5-1.4\n                                c-0.3-0.3-0.8-0.5-1.4-0.5h-0.8v3.7h0.8C22.5,17.2,23,17.1,23.3,16.8z\" />\n                                <path class=\"p6\" d=\"M28.7,18.2L27.4,16h-0.5v2.2h-1.1v-5.6h2.2c0.7,0,1.2,0.2,1.5,0.5s0.5,0.7,0.5,1.3c0,0.4-0.1,0.8-0.4,1.1\n                                s-0.6,0.5-1,0.6l1.4,2.3H28.7z M26.9,15.3h0.9c0.6,0,1-0.3,1-0.9c0-0.3-0.1-0.5-0.2-0.6c-0.2-0.2-0.4-0.2-0.7-0.2h-0.9V15.3z\" />\n                                <path class=\"p6\" d=\"M34.1,17.1h-2.3l-0.4,1.1h-1.2l2.1-5.6h1.3l2.1,5.6h-1.2L34.1,17.1z M33.8,16.3L33,13.9l-0.8,2.4H33.8z\" />\n                                <path class=\"p6\" d=\"M39.8,12.6v0.9h-2.4V15h1.9v0.9h-1.9v2.4h-1.1v-5.6H39.8z\" />\n                                <path class=\"p6\" d=\"M44.4,12.6v0.9h-1.6v4.8h-1.1v-4.8h-1.6v-0.9H44.4z\" />\n                            </g>\n                            <path class=\"p5\" d=\"M32,33.1c-5.2,0-9.4,4.2-9.4,9.4s4.2,9.4,9.4,9.4s9.4-4.2,9.4-9.4C41.4,37.3,37.2,33.2,32,33.1z\" />\n                            <g>\n                                <path class=\"p6\" d=\"M36.1,40.8l-5.8,5.8L28,44.4l5.8-5.8c0.2-0.2,0.4-0.2,0.6,0l1.7,1.7C36.2,40.4,36.2,40.7,36.1,40.8z\" />\n                                <path class=\"p6\" d=\"M36.8,38c-0.5-0.5-1.3-0.5-1.7,0l-0.4,0.3c0,0,0.1,0,0.1,0.1l1.7,1.7c0,0,0,0.1,0.1,0.1l0.4-0.4\n                                c0.2-0.2,0.4-0.5,0.4-0.9C37.1,38.5,37,38.2,36.8,38L36.8,38z\" />\n                                <path class=\"p6\" d=\"M27.9,44.9l-1,2.6c-0.1,0.1,0,0.2,0.1,0.4c0.1,0.1,0.1,0.1,0.2,0.1c0.1,0,0.1,0,0.1,0l2.6-1L27.9,44.9z\" />\n                                <path class=\"p6\" d=\"M30.2,41.3c0.1,0,0.2-0.1,0.2-0.1l2.2-2.2c0.1-0.1,0.3-0.1,0.4-0.1l0.5-0.5c-0.4-0.3-0.9-0.3-1.3,0.1L30,40.7\n                                c-0.1,0.1-0.1,0.4,0,0.5C30,41.2,30,41.3,30.2,41.3L30.2,41.3z\" />\n                            </g>\n                        </svg>\n                        <div class=\"label-right\">\n                            <div class=\"text\"><strong>Create</strong> a Policy</div>\n                            <div class=\"check\">\n                                <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                                    <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                                    <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                                </svg>\n                            </div>\n                        </div>\n                    </div>\n                </label>\n            </li>\n            <li>\n                <label [class.active]=\"selectedDocumentType=='docx'\">\n                    <!-- <input type=\"radio\" name=\"docType\"> -->\n                    <div class=\"wrapper\" style=\"font-family: unset !important;\">\n                        <div class=\"line-progress\" *ngIf=\"selectedDocumentType=='docx' && isUploading\">\n                            <div class=\"line-progress-bar\"></div>\n                        </div>\n                        <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/docx.svg\" alt=\"\"> -->\n                        <!-- <span class=\"text\"  *ngIf=\"!(selectedDocumentType=='docx' && filename)\">Upload a <strong>DOCX</strong></span>\n                        <span class=\"text\" *ngIf=\"(selectedDocumentType=='docx') && filename\">\n                            {{filename}}\n                        </span> -->\n                        <svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 64 64;\" xml:space=\"preserve\">\n                            <style type=\"text/css\">\n                                .d1{fill:#F8F8F8;}\n                                .d2{fill:#337DBE;}\n                                .d3{fill:#3C92DF;}\n                                .d4{fill:#DBDBDB;}\n                                .d5{fill:#F2BF19;}\n                                .d6{fill:#FAFAFA;}\n                            </style>\n                            <path class=\"d1\" d=\"M52,16.2V58c0,1.1-0.9,2-2,2H14c-1.1,0-2-0.9-2-2V6c0-1.1,0.9-2,2-2h25.9\" />\n                            <path class=\"d2\" d=\"M52,12v12H12V6c0-1.1,0.9-2,2-2h30\" />\n                            <path class=\"d3\" d=\"M44,4v6.7c0,0.7,0.6,1.3,1.3,1.3H52\" />\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,30.1H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,30.1,46.2,30.1z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,34.5H17.9c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1h28.3c0.6,0,1,0.4,1,1C47.2,34.1,46.8,34.5,46.2,34.5z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,39H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,39,46.2,39z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,43.4H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,43.4,46.2,43.4z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,47.8H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,47.8,46.2,47.8z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,52.2H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,52.2,46.2,52.2z\" />\n                            </g>\n                            <g>\n                                <path class=\"d4\" d=\"M46.2,56.6H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,56.6,46.2,56.6z\" />\n                            </g>\n                            <g>\n                                <path class=\"d1\" d=\"M25.4,16.9c-0.2,0.4-0.6,0.8-1,1s-1,0.4-1.6,0.4h-2v-5.6h2c0.6,0,1.1,0.1,1.6,0.3c0.4,0.2,0.8,0.6,1,1\n                                c0.2,0.4,0.4,0.9,0.4,1.5C25.7,16,25.6,16.5,25.4,16.9z M24.1,16.8c0.3-0.3,0.5-0.8,0.5-1.3c0-0.6-0.2-1-0.5-1.4\n                                c-0.3-0.3-0.8-0.5-1.4-0.5h-0.8v3.7h0.8C23.3,17.2,23.8,17.1,24.1,16.8z\" />\n                                <path class=\"d1\" d=\"M30.7,12.9c0.4,0.2,0.8,0.6,1,1s0.4,0.9,0.4,1.5s-0.1,1.1-0.4,1.5c-0.2,0.4-0.6,0.8-1,1\n                                c-0.4,0.2-0.9,0.4-1.4,0.4c-0.5,0-1-0.1-1.4-0.4c-0.4-0.2-0.8-0.6-1-1c-0.2-0.4-0.4-0.9-0.4-1.5s0.1-1.1,0.4-1.5s0.6-0.8,1-1\n                                c0.4-0.2,0.9-0.4,1.4-0.4C29.8,12.5,30.2,12.6,30.7,12.9z M28.4,13.8c-0.3,0.1-0.4,0.4-0.6,0.6c-0.1,0.3-0.2,0.6-0.2,1\n                                c0,0.4,0.1,0.7,0.2,1c0.1,0.3,0.3,0.5,0.6,0.6c0.3,0.1,0.5,0.2,0.9,0.2c0.3,0,0.6-0.1,0.9-0.2c0.3-0.1,0.4-0.4,0.6-0.6\n                                c0.1-0.3,0.2-0.6,0.2-1c0-0.4-0.1-0.7-0.2-1c-0.1-0.3-0.3-0.5-0.6-0.6c-0.3-0.1-0.5-0.2-0.9-0.2C28.9,13.6,28.6,13.6,28.4,13.8z\" />\n                                <path class=\"d1\" d=\"M37.2,13.1c0.5,0.4,0.8,0.9,0.9,1.5H37c-0.1-0.3-0.3-0.5-0.6-0.7c-0.3-0.2-0.6-0.3-0.9-0.3\n                                c-0.3,0-0.6,0.1-0.8,0.2s-0.4,0.4-0.6,0.6c-0.1,0.3-0.2,0.6-0.2,1c0,0.4,0.1,0.7,0.2,1c0.1,0.3,0.3,0.5,0.6,0.6s0.5,0.2,0.8,0.2\n                                c0.4,0,0.7-0.1,0.9-0.3c0.3-0.2,0.4-0.4,0.6-0.7h1.2c-0.1,0.6-0.5,1.1-0.9,1.5c-0.5,0.4-1,0.5-1.8,0.5c-0.5,0-1-0.1-1.4-0.4\n                                c-0.4-0.2-0.7-0.6-1-1c-0.2-0.4-0.3-0.9-0.3-1.5c0-0.6,0.1-1.1,0.3-1.5c0.2-0.4,0.5-0.8,1-1c0.4-0.2,0.9-0.4,1.4-0.4\n                                C36.2,12.5,36.8,12.7,37.2,13.1z\" />\n                                <path class=\"d1\" d=\"M42.3,18.2L41,16.3l-1.1,1.9h-1.3l1.8-2.9l-1.8-2.8h1.3l1.2,1.9l1.1-1.9h1.3l-1.8,2.8l1.9,2.8H42.3z\" />\n                            </g>\n                            <path class=\"d5\" d=\"M32,33.1c-5.2,0-9.4,4.2-9.4,9.4s4.2,9.4,9.4,9.4s9.4-4.2,9.4-9.4C41.4,37.3,37.2,33.2,32,33.1z\" />\n                            <path class=\"d6\" d=\"M38,41.8l-5.7-5.7c-0.2-0.2-0.4-0.2-0.6,0L26,41.8c-0.1,0.1-0.1,0.2-0.1,0.3c0,0.2,0.2,0.4,0.4,0.4h2.9v6.1\n                            c0,0.2,0.2,0.4,0.4,0.4h4.9c0.2,0,0.4-0.2,0.4-0.4v-6.1h2.9c0.2,0,0.3-0.1,0.4-0.3C38.1,42.1,38.1,42,38,41.8z\" />\n                        </svg>\n                        <div class=\"label-right\">\n                            <div class=\"text\">\n                                <ng-container *ngIf=\"!(selectedDocumentType=='docx' && filename)\">Upload a <strong>DOCX</strong></ng-container>\n                                <ng-container *ngIf=\"(selectedDocumentType=='docx') && filename\">{{filename}}</ng-container>\n                            </div>\n                            <div class=\"check\">\n                                <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                                    <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                                    <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                                </svg>\n                            </div>\n                        </div>\n                    </div>\n                    <input type=\"file\" accept=\".docx\" id=\"DOCfile\" hidden\n                    (change)=\"handleFileInput($event.target.files)\" onclick=\"event.stopPropagation();\" #docxUploadButton>\n                </label>\n            </li>\n            <li>\n                <label [class.active]=\"selectedDocumentType=='pdf'\">\n                    <!-- <input type=\"radio\" name=\"docType\"> -->\n                    <input type=\"file\" accept=\".pdf\" id=\"PDFfile\" hidden\n                    (change)=\"handleFileInput($event.target.files)\" onclick=\"event.stopPropagation();\" #pdfUploadButton>\n                    <div class=\"wrapper\" style=\"font-family: unset !important;\">\n                        <div class=\"line-progress\" *ngIf=\"selectedDocumentType=='pdf' && isUploading\">\n                            <div class=\"line-progress-bar\"></div>\n                        </div>\n                        <!-- <img src=\"https://cdn.v-comply.com/libraries/workflow-engine/assets/workflow/pdf.svg\" alt=\"\">\n                        <div class=\"text\" *ngIf=\"!(selectedDocumentType=='pdf' && filename)\">Upload a\n                            <strong>PDF</strong>\n                        </div>\n                        <div class=\"text\" *ngIf=\"(selectedDocumentType=='pdf') && filename\">\n                            {{filename}}\n                        </div> -->\n                        <svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 64 64;\" xml:space=\"preserve\">\n                            <style type=\"text/css\">\n                                .pd1{fill:#F8F8F8;}\n                                .pd2{fill:#EE3939;}\n                                .pd3{fill:#F95858;}\n                                .pd4{fill:#DBDBDB;}\n                                .pd5{fill:#34AA44;}\n                                .pd6{fill:#FAFAFA;}\n                            </style>\n                            <path class=\"pd1\" d=\"M52,16.2V58c0,1.1-0.9,2-2,2H14c-1.1,0-2-0.9-2-2V6c0-1.1,0.9-2,2-2h25.9\" />\n                            <path class=\"pd2\" d=\"M52,12v12H12V6c0-1.1,0.9-2,2-2h30\" />\n                            <path class=\"pd3\" d=\"M44,4v6.7c0,0.7,0.6,1.3,1.3,1.3H52\" />\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,30.1H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,30.1,46.2,30.1z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,34.5H17.9c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1h28.3c0.6,0,1,0.4,1,1C47.2,34.1,46.8,34.5,46.2,34.5z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,39H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,39,46.2,39z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,43.4H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,43.4,46.2,43.4z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,47.8H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,47.8,46.2,47.8z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,52.2H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,52.2,46.2,52.2z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd4\" d=\"M46.2,56.6H17.9c-0.6,0-1-0.4-1-1s0.4-1,1-1h28.3c0.6,0,1,0.4,1,1S46.8,56.6,46.2,56.6z\" />\n                            </g>\n                            <g>\n                                <path class=\"pd1\" d=\"M26.2,16.2v2.1h-1.1v-5.6h2.1c0.7,0,1.2,0.2,1.5,0.5c0.3,0.3,0.5,0.8,0.5,1.3c0,0.5-0.2,1-0.5,1.3\n                                c-0.3,0.3-0.8,0.5-1.5,0.5H26.2z M28,14.4c0-0.3-0.1-0.5-0.2-0.6c-0.2-0.1-0.4-0.2-0.8-0.2h-0.8v1.7H27C27.7,15.2,28,15,28,14.4z\" />\n                                <path class=\"pd1\" d=\"M34.5,16.9c-0.2,0.4-0.6,0.8-1,1s-1,0.4-1.6,0.4h-2v-5.6h2c0.6,0,1.1,0.1,1.6,0.3c0.4,0.2,0.8,0.6,1,1\n                                c0.2,0.4,0.4,0.9,0.4,1.5C34.8,16,34.7,16.5,34.5,16.9z M33.2,16.8c0.3-0.3,0.5-0.8,0.5-1.3c0-0.6-0.2-1-0.5-1.4\n                                c-0.3-0.3-0.8-0.5-1.4-0.5H31v3.7h0.8C32.4,17.2,32.9,17.1,33.2,16.8z\" />\n                                <path class=\"pd1\" d=\"M39.2,12.6v0.9h-2.4V15h1.9v0.9h-1.9v2.4h-1.1v-5.6H39.2z\" />\n                            </g>\n                            <path class=\"pd5\" d=\"M32,33.1c-5.2,0-9.4,4.2-9.4,9.4s4.2,9.4,9.4,9.4s9.4-4.2,9.4-9.4C41.4,37.3,37.2,33.2,32,33.1z\" />\n                            <path class=\"pd6\" d=\"M38,41.8l-5.7-5.7c-0.2-0.2-0.4-0.2-0.6,0L26,41.8c-0.1,0.1-0.1,0.2-0.1,0.3c0,0.2,0.2,0.4,0.4,0.4h2.9v6.1\n                            c0,0.2,0.2,0.4,0.4,0.4h4.9c0.2,0,0.4-0.2,0.4-0.4v-6.1h2.9c0.2,0,0.3-0.1,0.4-0.3C38.1,42.1,38.1,42,38,41.8z\" />\n                        </svg>\n                        <div class=\"label-right\">\n                            <div class=\"text\">\n                                <ng-container *ngIf=\"!(selectedDocumentType=='pdf' && filename)\">Upload a <strong>PDF</strong></ng-container>\n                                <ng-container *ngIf=\"(selectedDocumentType=='pdf') && filename\">{{filename}}</ng-container>\n                            </div>\n                            <div class=\"check\">\n                                <svg class=\"checkIcon\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 52 52\">\n                                    <circle class=\"checkIcon__circle\" cx=\"26\" cy=\"26\" r=\"25\" fill=\"none\" />\n                                    <path class=\"checkIcon__check\" fill=\"none\" d=\"M14.1 27.2l7.1 7.2 16.7-16.8\" />\n                                </svg>\n                            </div>\n                        </div>\n                    </div>\n                </label>\n            </li>\n        </ul>\n    </div>\n</div>\n<div class=\"bottom-button\">\n    <button type=\"button\" class=\"back\" (click)=\"editPolicyEmit()\"><i class=\"icons\">&#xe91d;</i> Back</button>\n    <button type=\"button\" class=\"next\" (click)=\"editor(selectedDocumentType)\" [class.disabled]=\"!selectedDocumentType\">Next <i class=\"icons\">&#xe91e;</i></button>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";.create-documents{display:flex;align-items:center;height:calc(100vh - 50px);position:absolute;top:0;right:0;background:#fff;z-index:10;padding:10%}.create-documents-container .message-box{background:#fbfbfb;border-radius:4px;border:1px solid #F1F1F1;padding:16px 8px 12px 16px;margin-bottom:20px;display:flex;align-items:flex-start}.create-documents-container .message-box img,.create-documents-container .message-box svg{background:#fff;width:33px;min-width:33px;border-radius:4px;box-shadow:0 3px 6px #1e5dd333;margin-right:12px;padding:4px}.create-documents-container .message-box p{font-size:12px;font-weight:500;color:#747576;margin:0}.create-documents-container ul{padding:0;margin:0;display:block}.create-documents-container ul li{list-style:none;display:block}.create-documents-container ul li label{margin:0;position:relative;display:block;cursor:pointer}.create-documents-container ul li label .wrapper{display:flex;align-items:center;padding:0 50px 0 80px;border:1px solid #DBDBDB;border-radius:4px;width:100%;background:transparent;justify-content:center;position:relative;height:100px}.create-documents-container ul li label .wrapper img,.create-documents-container ul li label .wrapper svg{width:82px;position:absolute;left:0;top:8px}.create-documents-container ul li label .wrapper .label-right{width:100%;display:block}.create-documents-container ul li label .wrapper .label-right .text{font-size:16px;line-height:24px;color:#747576;display:block;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;text-align:center}.create-documents-container ul li label .wrapper .label-right .text strong{font-weight:500}.create-documents-container ul li label .wrapper .label-right .check{display:none;width:32px;height:32px;position:absolute;right:14px;top:33px}.create-documents-container ul li label .wrapper .label-right .check .checkIcon{width:32px;height:32px;background:#fff;border-radius:50%;stroke-width:4;stroke:#34aa44;stroke-miterlimit:10;box-shadow:inset 0 0 #34aa44;animation:fillCheck .4s ease-in-out .4s forwards,scale .3s ease-in-out .9s both;margin-right:10px;position:static}.create-documents-container ul li label .wrapper .label-right .check .checkIcon__circle{stroke-dasharray:166;stroke-dashoffset:166;stroke-width:2;stroke-miterlimit:10;stroke:#34aa44;fill:none;animation:strokeCheck .6s cubic-bezier(.65,0,.45,1) forwards}.create-documents-container ul li label .wrapper .label-right .check .checkIcon__check{transform-origin:50% 50%;stroke-dasharray:48;stroke-dashoffset:48;animation:strokeCheck .3s cubic-bezier(.65,0,.45,1) .8s forwards}.create-documents-container ul li label input{width:100%;position:absolute;inset:0;margin:0;padding:0;z-index:1;opacity:0;height:100%;pointer-events:none}.create-documents-container ul li label input:checked+span.wrapper{background:#eefcf0;border-color:#34aa44}.create-documents-container ul li label input:checked+span.wrapper span.check{visibility:visible}.create-documents-container ul li label.active .wrapper{background:#eefcf0;border:1px solid #34AA44}.create-documents-container ul li label.active .wrapper .label-right .text{max-width:250px}.create-documents-container ul li label.active .wrapper .label-right .check{display:block}.create-documents-container ul li+li{margin-top:8px}.bottom-button{background:#fff;display:flex;align-items:center;position:absolute;bottom:0;right:0;width:100%;z-index:10}.bottom-button button{background:#1e5dd3;border:none;border-radius:0;color:#fff;font-size:13px;font-weight:600;text-transform:uppercase;width:100%;padding:0;position:relative;margin:0!important}.bottom-button button i{position:absolute;top:16px;font-size:18px;font-weight:500}.bottom-button button.next i{right:16px}.bottom-button button.back{background:#f1f1f1;color:#1e5dd3}.bottom-button button.back i{left:16px}@keyframes strokeCheck{to{stroke-dashoffset:0}}@keyframes fillCheck{to{box-shadow:inset 0 0 0 2px #34aa44}}button{height:50px;display:flex;align-items:center;justify-content:center;font-size:13px;line-height:19px;letter-spacing:3.08px;color:#fff;background:#1e5dd3;cursor:pointer;border:1px solid #1e5dd3;outline:none;border-radius:0;text-transform:uppercase;font-weight:600;width:164px;bottom:0}disabled{pointer-events:none!important;opacity:.3!important;filter:grayscale(1)!important}.line-progress{position:absolute;left:0;top:0;height:2px;display:block;width:100%;background-color:#d4e2fc;background-clip:padding-box;overflow:hidden}.line-progress-bar{bottom:0;width:40%;background:#4681ef;border-radius:5px;display:inline-block;position:absolute;animation:linear infinite;animation-name:run;animation-duration:1s;top:0}@keyframes run{0%{left:0}50%{left:60%}to{left:0}}\n"] }]
        }], ctorParameters: function () { return [{ type: SnackBarService }, { type: PolicyService }, { type: i3.Router }, { type: i3.ActivatedRoute }, { type: i1$1.PlatformLocation }, { type: IframeService }]; }, propDecorators: { policyId: [{
                type: Input
            }], policyName: [{
                type: Input
            }], organization_id: [{
                type: Input
            }], member_obj_id: [{
                type: Input
            }], userInfo: [{
                type: Input
            }], disconnectRefresh: [{
                type: Output
            }], editPolicy: [{
                type: Output
            }] } });

class WithinDataPipe {
    transform(value, ...args) {
        if (value.parent_items_name) {
            return `<br><span class='within-row'><span class='within'>WITHIN</span> <span class='within-value'>${value.parent_items_name}</span></span>`;
        }
        else {
            return '';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WithinDataPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: WithinDataPipe, name: "withinData" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WithinDataPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'withinData'
                }]
        }] });

class ParentTableComponent {
    constructor(responsibilityService, config) {
        this.responsibilityService = responsibilityService;
        this.tableList = [];
        this.search = '';
        this.closeParent = new EventEmitter();
        this.expandCategory = new EventEmitter();
        this.entrustFramework = new EventEmitter();
        this.parentViewData = [];
        this.libraryReport = [];
        this.entities = [];
        this.loader = false;
        this.searchText = '';
        this.picUrl = '';
        this.env = config?.envConfig;
        this.picUrl = this.env.s3Url + this.env.s3Bucket + this.env.profile;
    }
    ngOnChanges() {
        this.searchText = this.search;
    }
    ngOnInit() {
        this.parentViewData = [...new Set(this.tableList)];
    }
    getCategoryDetailsById(id) {
        if (!id || id == null) {
            this.tableList = [...new Set(this.parentViewData)];
            return;
        }
        this.loader = true;
        this.search = '';
        this.responsibilityService.getCategoryDetailsById(id).subscribe((res) => {
            this.expandCategory.emit(cloneDeep$1(res[0]));
            this.currentCategory = cloneDeep$1(res[0]);
            this.libraryReport = cloneDeep$1(res[0].libraryReport);
            this.entities = cloneDeep$1(res[0].all_entities_name);
            this.tableList = cloneDeep$1(res).slice(1);
            this.currentEntity = undefined;
            this.loader = false;
        }, (err) => {
            console.error(err);
            this.loader = false;
        });
    }
    entrustFrameworkDetails(report) {
        this.entrustFramework.emit(report);
    }
    entity_open(data) {
        this.loader = true;
        this.responsibilityService
            .getRCDetailsOfFramework(data._id, this.currentCategory._id)
            .subscribe((res) => {
            this.expandCategory.emit(cloneDeep$1(res[0]));
            this.currentEntity = cloneDeep$1(res[0].all_entities_name[0].rc_name);
            this.libraryReport = cloneDeep$1(res[0].libraryReport);
            this.entities = cloneDeep$1(res[0].all_entities_name);
            this.entities = this.entities.filter((rc) => rc._id !== data._id);
            this.tableList = cloneDeep$1(res).slice(1);
            this.loader = false;
        }, (err) => {
            console.error(err);
            this.loader = false;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ParentTableComponent, deps: [{ token: ResponsibilityService }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ParentTableComponent, selector: "app-parent-table", inputs: { tableList: "tableList", search: "search" }, outputs: { closeParent: "closeParent", expandCategory: "expandCategory", entrustFramework: "entrustFramework" }, usesOnChanges: true, ngImport: i0, template: "<!-- <p>parent-table works!</p> -->\n<table class=\"framework-table\">\n    <thead>\n        <tr>\n            <th class=\"sl-number\">#</th>\n            <th>Name</th>\n            <th>Total</th>\n            <th>Assigned</th>\n            <th>UnAssigned</th>\n            <th></th>\n        </tr>\n    </thead>\n    <tbody>\n        <tr *ngFor=\"let report of libraryReport | filter: search\" class=\"library\">\n            <td class=\"sl-number icon\">\n                <span></span>\n            </td>\n            <td class=\"name\">\n                <div class=\"vx-d-flex vx-align-center\">\n                    <div *ngIf=\"report?.is_assigned\" class=\"vx-avatar-group\">\n                        <div *ngIf=\"report?.assigned_by_pic != '' || report?.assigned_by_short != ''\" class=\"vx-avatar md\" #entrustedBy appTooltip=\"Entrusted by: {{report?.assigned_by_name}}\"\n                            placement=\"bottom-left\" delay=\"0\" [tooltipMandatory]=\"true\"> \n                            <img [src]=\"report.assigned_by_pic\" alt=\"\" *ngIf=\"report?.assigned_by_pic\">\n                            <span class=\"green\" *ngIf=\"!report?.assigned_by_pic\">{{report?.assigned_by_short}}</span> \n                        </div>\n                        <div *ngIf=\"report?.employee_name != ''\" class=\"vx-avatar md\" #entrustedTo appTooltip=\"Entrusted to: {{report?.employee_name}}\"\n                            placement=\"bottom-left\" delay=\"0\" [tooltipMandatory]=\"true\">\n                            <img *ngIf=\"report?.employee_pic\" [src]=\"report.employee_pic\" alt=\"\">\n                            <span class=\"green\" *ngIf=\"!report?.employee_pic\">\n                                {{report?.employee_short}}\n                            </span>\n                        </div>\n                        <div *ngIf=\"report?.employee_name === '' && report?.multipleAssigneeArr?.length > 0\" class=\"vx-avatar md\">\n                            <span class=\"green\" appPopover (click)=\"multipleUsers.popover()\" placement=\"left\">+{{report?.multipleAssigneeArr?.length}}</span>\n                        </div>\n                        \n                    </div>\n                    <span class=\"title\" appTooltip=\"{{report.report_name}}\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\"> <span class=\"id\">{{ report?.is_assigned == 1 ? '[ ' + report?.cid + '] ' : ' ' }}</span>{{report.report_name}}</span>\n                </div>\n                <app-popover #multipleUsers>\n                    <div class=\"wf-action-list\">\n                        <ul class=\"action-item\">\n                            <li>\n                                <div class=\"avatar-card\" *ngFor=\" let assignee of report?.multipleAssigneeArr\">\n                                    <div class=\"avatar\" >\n                                        <span *ngIf=\"assignee?.profile_pic === ''\">{{assignee?.member_short_name}}</span>\n                                        <img *ngIf=\"assignee?.profile_pic !== ''\" [src]=\"assignee.employee_pic\" alt=\"\">\n                                    </div>\n                                    \n                                    <span class=\"value\">{{assignee?.member_name}}</span>\n                                </div>\n                            </li>\n                        </ul>\n                    </div>\n                </app-popover>\n            </td>\n            <td class=\"total\"></td>\n            <td class=\"assigned\"></td>\n            <td class=\"unassigned\">\n                <button type=\"button\" [disabled]=\"report?.is_assigned == 1 && currentCategory?.visibility == 2\" (click)=\"entrustFrameworkDetails(report)\" class=\"entrust\">Entrust</button>\n            </td>\n            <td class=\"action\">\n            </td>\n        </tr>\n        <tr *ngFor=\"let entity of entities  | filter: search\" class=\"library\">\n            <td class=\"sl-number icon\">\n                <i class=\"icons\">&#xe99f;</i>\n            </td>\n            <td class=\"name\" appTooltip=\"{{entity?.rc_name}} <br><span class='within-row'><span class='within'>WITHIN</span><span class='within-value'>{{entity?.parent_rc}}</span></span>\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\">\n                <span class=\"title\">{{entity?.rc_name}}</span>\n                <span class=\"within-row\" *ngIf=\"entity?.parent_rc?.length > 0\">\n                    <span class=\"within\">WITHIN</span>\n                    <span class=\"text\" *ngFor=\"let parent of entity?.parent_rc;let rc = index\">\n                        <ng-container *ngIf=\"rc>0\"> > </ng-container> {{parent}}\n                    </span>\n                </span>\n            </td>\n            <td class=\"total\">\n                <span class=\"text\">{{entity?.total_control}}</span>\n            </td>\n            <td class=\"assigned\">\n                <span class=\"text\">{{ entity?.mapped_control }}</span>\n                <span class=\"text\">{{ entity?.total_control == 0 ? 0 : ((entity?.mapped_control / entity?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"unassigned\">\n\n                <span class=\"text\">{{  entity?.total_control - entity?.mapped_control }}</span>\n                <span class=\"text\">{{ entity?.total_control == 0 ? 0 : (100 - (entity?.mapped_control / entity?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"action\">\n                <button type=\"button\"\n                    [disabled]=\"(entity?.all_entities_name?.length == 0 && entity?.libraryReport?.length == 0) || entity?.total_control < 1\"\n                    (click)=\"entity_open(entity)\"><i class=\"icons\">&#xe910;</i></button>\n            </td>\n        </tr>\n\n        <tr *ngFor=\"let data of tableList  | filter: search; let i = index\">\n            <td class=\"serial-number\">\n                <span>{{i+1}}</span>\n            </td>\n            <td class=\"name\" appTooltip=\"{{data?.item_name}} {{data|withinData}}\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\">\n                <span class=\"title\">{{data?.item_name}}</span>\n                <span class=\"within-row\" *ngIf=\"data?.parent_items_name\">\n                    <span class=\"within\">WITHIN</span>\n                    <span class=\"text\">{{data?.parent_items_name}}</span>\n                </span>\n                <!-- <span>{{data?.item_name}}</span>\n                <span *ngIf=\"data?.parent_items_name\">WITHIN {{data.parent_items_name}}</span> -->\n            </td>\n            <td class=\"total\">\n                <span class=\"text\">{{data?.total_control}}</span>\n            </td>\n            <td class=\"assigned\">\n                <span class=\"text\">{{ data?.mapped_control }}</span>\n                <span class=\"text\">{{ data?.total_control == 0 ? 0 : ((data?.mapped_control / data?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"unassigned\">\n                <span class=\"text\">{{data?.total_control - data?.mapped_control }}</span>\n                <span class=\"text\">{{ +data?.total_control == 0 ? 0 : (100 - (data?.mapped_control / data?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"action\">\n                <button type=\"button\"\n                    [disabled]=\"(data?.all_entities_name?.length < 1 && data?.libraryReport?.length < 1) && (data?.total_control < 1)\"\n                    (click)=\"getCategoryDetailsById(data?._id)\"><i class=\"icons\">&#xe910;</i></button>\n            </td>\n        </tr>\n    </tbody>\n</table>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";table.framework-table{width:100%;border-collapse:separate;border-spacing:0 4px}table.framework-table tr{border:none;table-layout:auto}table.framework-table thead{position:sticky;top:4px;z-index:1}table.framework-table thead:before{content:\"\";position:absolute;height:16px;background:#fff;top:-4px;right:-3px;left:0}table.framework-table thead tr th{font-size:10px;font-weight:500;line-height:16px;color:#747576;text-transform:uppercase;padding:4px;text-align:left;background:#fff;position:relative}table.framework-table thead tr th.sl-number{text-align:center}table.framework-table tbody tr td{padding:4px;border-top:1px solid #F1F1F1;border-bottom:1px solid #F1F1F1;text-align:left}table.framework-table tbody tr td span{text-align:center}table.framework-table tbody tr td.serial-number{width:28px;min-width:28px;max-width:28px;padding-left:8px;position:relative}table.framework-table tbody tr td.serial-number span{display:inline-flex;writing-mode:vertical-lr;align-items:center;justify-content:center;color:#747576;font-size:10px;background:#f8f8f8;position:absolute;top:0;bottom:0;left:4px}table.framework-table tbody tr td:first-child{border-left:1px solid #F1F1F1;border-radius:4px 0 0 4px}table.framework-table tbody tr td:last-child{border-right:1px solid #F1F1F1;border-radius:0 4px 4px 0}table.framework-table tbody tr td.name{width:calc(100% - 300px)}table.framework-table tbody tr td.name span.text,table.framework-table tbody tr td.name span.value{color:#161b2f;font-weight:400;font-size:13px;line-height:20px;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;text-align:left}table.framework-table tbody tr td.name span.title{display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#161b2f;font-weight:400;font-size:12px;line-height:18px;margin-left:0!important;text-align:left;max-width:400px}@media screen and (max-width: 1400px){table.framework-table tbody tr td.name span.title{max-width:350px}}table.framework-table tbody tr td.name span.title span.id{font-weight:500;font-size:10px}table.framework-table tbody tr td.name span.within-row{display:flex;width:400px;align-items:center;padding-bottom:0}@media screen and (max-width: 1400px){table.framework-table tbody tr td.name span.within-row{width:350px}}table.framework-table tbody tr td.name span.within-row span.within{font-size:9px;line-height:12px;background:#f1f1f1;border-radius:2px;color:#033187;text-transform:uppercase;padding:0 2px;margin-right:4px;height:12px;position:relative;letter-spacing:.4px;font-weight:500;margin-left:0}table.framework-table tbody tr td.name span.within-row span.text{color:#747576;font-weight:400;line-height:16px;font-size:12px;display:block;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}table.framework-table tbody tr td.name .vx-avatar-group+span.title{margin-left:8px!important}table.framework-table tbody tr td.total{width:70px;min-width:70px}table.framework-table tbody tr td.total span{border:1px solid #F1F1F1;line-height:16px;color:#161b2f;font-size:10px;padding:0 5px;display:inline-block;min-width:28px;border-radius:2px;margin:6px 0}table.framework-table tbody tr td.assigned{width:100px;max-width:100px;min-width:100px}table.framework-table tbody tr td.assigned span{border:1px solid #F1F1F1;line-height:16px;font-size:10px;padding:0 5px;display:inline-block;min-width:28px;border-radius:2px 0 0 2px}table.framework-table tbody tr td.assigned span+span{border-radius:0 2px 2px 0;border-left:none;color:#161b2f}table.framework-table tbody tr td.assigned span:first-child{color:#34aa44}table.framework-table tbody tr td.unassigned{width:100px;max-width:100px}table.framework-table tbody tr td.unassigned span{border:1px solid #F1F1F1;line-height:16px;font-size:10px;padding:0 5px;display:inline-block;min-width:28px;border-radius:2px 0 0 2px}table.framework-table tbody tr td.unassigned span+span{border-radius:0 2px 2px 0;border-left:none;color:#161b2f}table.framework-table tbody tr td.unassigned span:first-child{color:#f2bf19}table.framework-table tbody tr td.unassigned button.entrust{border:none;background:transparent!important;cursor:pointer;outline:none;font-size:11px;line-height:15px;border:1px solid #F1F1F1;border-radius:2px;padding:0 4px;text-transform:uppercase;font-weight:500;color:#1e5dd3}table.framework-table tbody tr td.unassigned button.entrust:disabled{filter:grayscale(1);cursor:not-allowed}table.framework-table tbody tr td.action{width:80px;min-width:80px;text-align:right}table.framework-table tbody tr td.action button{border:none;background:transparent!important;cursor:pointer;outline:none;font-size:10px;margin:6px 0}table.framework-table tbody tr td.action button:disabled{filter:grayscale(1);cursor:not-allowed}table.framework-table tbody tr.library td.sl-number{width:20px;text-align:center}table.framework-table tbody tr.library td.sl-number span{background:#1e5dd3;border-radius:50%;width:8px;height:8px;display:block}table.framework-table tbody tr.library td.sl-number.icon{padding:0 4px 0 8px}table.framework-table tbody tr.library td.name span{max-width:400px}table.framework-table tbody tr:hover{box-shadow:0 3px 6px #00000029;border-radius:4px}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PopoverComponent, selector: "app-popover", inputs: ["dontCloseonClick"] }, { kind: "directive", type: PopoverDirective, selector: "[appPopover]", inputs: ["refrence", "placement"] }, { kind: "component", type: LoaderInlineComponent, selector: "app-loader-inline" }, { kind: "pipe", type: i1$1.DecimalPipe, name: "number" }, { kind: "pipe", type: FilterPipe, name: "filter" }, { kind: "pipe", type: WithinDataPipe, name: "withinData" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ParentTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-parent-table', template: "<!-- <p>parent-table works!</p> -->\n<table class=\"framework-table\">\n    <thead>\n        <tr>\n            <th class=\"sl-number\">#</th>\n            <th>Name</th>\n            <th>Total</th>\n            <th>Assigned</th>\n            <th>UnAssigned</th>\n            <th></th>\n        </tr>\n    </thead>\n    <tbody>\n        <tr *ngFor=\"let report of libraryReport | filter: search\" class=\"library\">\n            <td class=\"sl-number icon\">\n                <span></span>\n            </td>\n            <td class=\"name\">\n                <div class=\"vx-d-flex vx-align-center\">\n                    <div *ngIf=\"report?.is_assigned\" class=\"vx-avatar-group\">\n                        <div *ngIf=\"report?.assigned_by_pic != '' || report?.assigned_by_short != ''\" class=\"vx-avatar md\" #entrustedBy appTooltip=\"Entrusted by: {{report?.assigned_by_name}}\"\n                            placement=\"bottom-left\" delay=\"0\" [tooltipMandatory]=\"true\"> \n                            <img [src]=\"report.assigned_by_pic\" alt=\"\" *ngIf=\"report?.assigned_by_pic\">\n                            <span class=\"green\" *ngIf=\"!report?.assigned_by_pic\">{{report?.assigned_by_short}}</span> \n                        </div>\n                        <div *ngIf=\"report?.employee_name != ''\" class=\"vx-avatar md\" #entrustedTo appTooltip=\"Entrusted to: {{report?.employee_name}}\"\n                            placement=\"bottom-left\" delay=\"0\" [tooltipMandatory]=\"true\">\n                            <img *ngIf=\"report?.employee_pic\" [src]=\"report.employee_pic\" alt=\"\">\n                            <span class=\"green\" *ngIf=\"!report?.employee_pic\">\n                                {{report?.employee_short}}\n                            </span>\n                        </div>\n                        <div *ngIf=\"report?.employee_name === '' && report?.multipleAssigneeArr?.length > 0\" class=\"vx-avatar md\">\n                            <span class=\"green\" appPopover (click)=\"multipleUsers.popover()\" placement=\"left\">+{{report?.multipleAssigneeArr?.length}}</span>\n                        </div>\n                        \n                    </div>\n                    <span class=\"title\" appTooltip=\"{{report.report_name}}\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\"> <span class=\"id\">{{ report?.is_assigned == 1 ? '[ ' + report?.cid + '] ' : ' ' }}</span>{{report.report_name}}</span>\n                </div>\n                <app-popover #multipleUsers>\n                    <div class=\"wf-action-list\">\n                        <ul class=\"action-item\">\n                            <li>\n                                <div class=\"avatar-card\" *ngFor=\" let assignee of report?.multipleAssigneeArr\">\n                                    <div class=\"avatar\" >\n                                        <span *ngIf=\"assignee?.profile_pic === ''\">{{assignee?.member_short_name}}</span>\n                                        <img *ngIf=\"assignee?.profile_pic !== ''\" [src]=\"assignee.employee_pic\" alt=\"\">\n                                    </div>\n                                    \n                                    <span class=\"value\">{{assignee?.member_name}}</span>\n                                </div>\n                            </li>\n                        </ul>\n                    </div>\n                </app-popover>\n            </td>\n            <td class=\"total\"></td>\n            <td class=\"assigned\"></td>\n            <td class=\"unassigned\">\n                <button type=\"button\" [disabled]=\"report?.is_assigned == 1 && currentCategory?.visibility == 2\" (click)=\"entrustFrameworkDetails(report)\" class=\"entrust\">Entrust</button>\n            </td>\n            <td class=\"action\">\n            </td>\n        </tr>\n        <tr *ngFor=\"let entity of entities  | filter: search\" class=\"library\">\n            <td class=\"sl-number icon\">\n                <i class=\"icons\">&#xe99f;</i>\n            </td>\n            <td class=\"name\" appTooltip=\"{{entity?.rc_name}} <br><span class='within-row'><span class='within'>WITHIN</span><span class='within-value'>{{entity?.parent_rc}}</span></span>\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\">\n                <span class=\"title\">{{entity?.rc_name}}</span>\n                <span class=\"within-row\" *ngIf=\"entity?.parent_rc?.length > 0\">\n                    <span class=\"within\">WITHIN</span>\n                    <span class=\"text\" *ngFor=\"let parent of entity?.parent_rc;let rc = index\">\n                        <ng-container *ngIf=\"rc>0\"> > </ng-container> {{parent}}\n                    </span>\n                </span>\n            </td>\n            <td class=\"total\">\n                <span class=\"text\">{{entity?.total_control}}</span>\n            </td>\n            <td class=\"assigned\">\n                <span class=\"text\">{{ entity?.mapped_control }}</span>\n                <span class=\"text\">{{ entity?.total_control == 0 ? 0 : ((entity?.mapped_control / entity?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"unassigned\">\n\n                <span class=\"text\">{{  entity?.total_control - entity?.mapped_control }}</span>\n                <span class=\"text\">{{ entity?.total_control == 0 ? 0 : (100 - (entity?.mapped_control / entity?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"action\">\n                <button type=\"button\"\n                    [disabled]=\"(entity?.all_entities_name?.length == 0 && entity?.libraryReport?.length == 0) || entity?.total_control < 1\"\n                    (click)=\"entity_open(entity)\"><i class=\"icons\">&#xe910;</i></button>\n            </td>\n        </tr>\n\n        <tr *ngFor=\"let data of tableList  | filter: search; let i = index\">\n            <td class=\"serial-number\">\n                <span>{{i+1}}</span>\n            </td>\n            <td class=\"name\" appTooltip=\"{{data?.item_name}} {{data|withinData}}\" placement=\"bottom-left\" type=\"black\" delay=\"0\" [tooltipMandatory]=\"true\">\n                <span class=\"title\">{{data?.item_name}}</span>\n                <span class=\"within-row\" *ngIf=\"data?.parent_items_name\">\n                    <span class=\"within\">WITHIN</span>\n                    <span class=\"text\">{{data?.parent_items_name}}</span>\n                </span>\n                <!-- <span>{{data?.item_name}}</span>\n                <span *ngIf=\"data?.parent_items_name\">WITHIN {{data.parent_items_name}}</span> -->\n            </td>\n            <td class=\"total\">\n                <span class=\"text\">{{data?.total_control}}</span>\n            </td>\n            <td class=\"assigned\">\n                <span class=\"text\">{{ data?.mapped_control }}</span>\n                <span class=\"text\">{{ data?.total_control == 0 ? 0 : ((data?.mapped_control / data?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"unassigned\">\n                <span class=\"text\">{{data?.total_control - data?.mapped_control }}</span>\n                <span class=\"text\">{{ +data?.total_control == 0 ? 0 : (100 - (data?.mapped_control / data?.total_control) * 100 | number: '1.0-0') }}%</span>\n            </td>\n            <td class=\"action\">\n                <button type=\"button\"\n                    [disabled]=\"(data?.all_entities_name?.length < 1 && data?.libraryReport?.length < 1) && (data?.total_control < 1)\"\n                    (click)=\"getCategoryDetailsById(data?._id)\"><i class=\"icons\">&#xe910;</i></button>\n            </td>\n        </tr>\n    </tbody>\n</table>\n<app-loader-inline *ngIf=\"loader\"></app-loader-inline>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/avatars/avatars.css\";table.framework-table{width:100%;border-collapse:separate;border-spacing:0 4px}table.framework-table tr{border:none;table-layout:auto}table.framework-table thead{position:sticky;top:4px;z-index:1}table.framework-table thead:before{content:\"\";position:absolute;height:16px;background:#fff;top:-4px;right:-3px;left:0}table.framework-table thead tr th{font-size:10px;font-weight:500;line-height:16px;color:#747576;text-transform:uppercase;padding:4px;text-align:left;background:#fff;position:relative}table.framework-table thead tr th.sl-number{text-align:center}table.framework-table tbody tr td{padding:4px;border-top:1px solid #F1F1F1;border-bottom:1px solid #F1F1F1;text-align:left}table.framework-table tbody tr td span{text-align:center}table.framework-table tbody tr td.serial-number{width:28px;min-width:28px;max-width:28px;padding-left:8px;position:relative}table.framework-table tbody tr td.serial-number span{display:inline-flex;writing-mode:vertical-lr;align-items:center;justify-content:center;color:#747576;font-size:10px;background:#f8f8f8;position:absolute;top:0;bottom:0;left:4px}table.framework-table tbody tr td:first-child{border-left:1px solid #F1F1F1;border-radius:4px 0 0 4px}table.framework-table tbody tr td:last-child{border-right:1px solid #F1F1F1;border-radius:0 4px 4px 0}table.framework-table tbody tr td.name{width:calc(100% - 300px)}table.framework-table tbody tr td.name span.text,table.framework-table tbody tr td.name span.value{color:#161b2f;font-weight:400;font-size:13px;line-height:20px;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;text-align:left}table.framework-table tbody tr td.name span.title{display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#161b2f;font-weight:400;font-size:12px;line-height:18px;margin-left:0!important;text-align:left;max-width:400px}@media screen and (max-width: 1400px){table.framework-table tbody tr td.name span.title{max-width:350px}}table.framework-table tbody tr td.name span.title span.id{font-weight:500;font-size:10px}table.framework-table tbody tr td.name span.within-row{display:flex;width:400px;align-items:center;padding-bottom:0}@media screen and (max-width: 1400px){table.framework-table tbody tr td.name span.within-row{width:350px}}table.framework-table tbody tr td.name span.within-row span.within{font-size:9px;line-height:12px;background:#f1f1f1;border-radius:2px;color:#033187;text-transform:uppercase;padding:0 2px;margin-right:4px;height:12px;position:relative;letter-spacing:.4px;font-weight:500;margin-left:0}table.framework-table tbody tr td.name span.within-row span.text{color:#747576;font-weight:400;line-height:16px;font-size:12px;display:block;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}table.framework-table tbody tr td.name .vx-avatar-group+span.title{margin-left:8px!important}table.framework-table tbody tr td.total{width:70px;min-width:70px}table.framework-table tbody tr td.total span{border:1px solid #F1F1F1;line-height:16px;color:#161b2f;font-size:10px;padding:0 5px;display:inline-block;min-width:28px;border-radius:2px;margin:6px 0}table.framework-table tbody tr td.assigned{width:100px;max-width:100px;min-width:100px}table.framework-table tbody tr td.assigned span{border:1px solid #F1F1F1;line-height:16px;font-size:10px;padding:0 5px;display:inline-block;min-width:28px;border-radius:2px 0 0 2px}table.framework-table tbody tr td.assigned span+span{border-radius:0 2px 2px 0;border-left:none;color:#161b2f}table.framework-table tbody tr td.assigned span:first-child{color:#34aa44}table.framework-table tbody tr td.unassigned{width:100px;max-width:100px}table.framework-table tbody tr td.unassigned span{border:1px solid #F1F1F1;line-height:16px;font-size:10px;padding:0 5px;display:inline-block;min-width:28px;border-radius:2px 0 0 2px}table.framework-table tbody tr td.unassigned span+span{border-radius:0 2px 2px 0;border-left:none;color:#161b2f}table.framework-table tbody tr td.unassigned span:first-child{color:#f2bf19}table.framework-table tbody tr td.unassigned button.entrust{border:none;background:transparent!important;cursor:pointer;outline:none;font-size:11px;line-height:15px;border:1px solid #F1F1F1;border-radius:2px;padding:0 4px;text-transform:uppercase;font-weight:500;color:#1e5dd3}table.framework-table tbody tr td.unassigned button.entrust:disabled{filter:grayscale(1);cursor:not-allowed}table.framework-table tbody tr td.action{width:80px;min-width:80px;text-align:right}table.framework-table tbody tr td.action button{border:none;background:transparent!important;cursor:pointer;outline:none;font-size:10px;margin:6px 0}table.framework-table tbody tr td.action button:disabled{filter:grayscale(1);cursor:not-allowed}table.framework-table tbody tr.library td.sl-number{width:20px;text-align:center}table.framework-table tbody tr.library td.sl-number span{background:#1e5dd3;border-radius:50%;width:8px;height:8px;display:block}table.framework-table tbody tr.library td.sl-number.icon{padding:0 4px 0 8px}table.framework-table tbody tr.library td.name span{max-width:400px}table.framework-table tbody tr:hover{box-shadow:0 3px 6px #00000029;border-radius:4px}.wf-action-list{width:220px}.wf-action-list ul{padding:0;margin:0;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) both;background:#fff;box-shadow:0 3px 6px #1c5bd140;border-radius:4px;max-height:220px;overflow:auto}.wf-action-list ul.action-item{display:block}.wf-action-list ul.action-item li{list-style:none;border:none;border-bottom:1px solid #f1f1f1;display:block;width:100%;padding:0;background:transparent;border-radius:0;margin:0;height:auto;justify-content:flex-start;box-shadow:none}.wf-action-list ul.action-item li button{color:#6e717e;text-align:left;text-decoration:none;cursor:pointer;background:transparent;font-size:12px;text-transform:capitalize;display:flex;width:100%;padding:7.5px 11px;border:none}.wf-action-list ul.action-item li button .file-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;width:calc(100% - 16px)}.wf-action-list ul.action-item li button i{font-size:16px;margin-right:10px;color:#1e5dd3}.wf-action-list ul.action-item li button:hover{background:#f3f3f3}.wf-action-list ul.action-item li .avatar-card{display:flex;align-items:center;width:100%;padding:7.5px}.wf-action-list ul.action-item li .avatar-card.within-con{display:block}.wf-action-list ul.action-item li .avatar-card .avatar{height:24px;width:24px!important;min-width:24px!important;overflow:hidden;background:#1e5dd3;color:#fff;font-size:10px;display:inline-flex;margin-right:5px;border-radius:50%;align-items:center;justify-content:center;text-transform:uppercase}.wf-action-list ul.action-item li .avatar-card .avatar img{background:#fff;width:100%;height:100%}.wf-action-list ul.action-item li .avatar-card .avatar+span.value{width:calc(100% - 29px)}.wf-action-list ul.action-item li .avatar-card span.value{width:100%;color:#6e717e;text-decoration:none;background:transparent;font-size:12px;text-transform:capitalize;display:block;font-weight:400;text-align-last:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:20px}.wf-action-list ul.action-item li .avatar-card span.value i{font-size:8px;color:#747576;cursor:pointer;margin-right:5px}.wf-action-list ul.action-item li .avatar-card.no-image{display:block}.wf-action-list ul.action-item li .avatar-card.no-image span.value{width:100%;display:block}.wf-action-list ul.action-item li .avatar-card i.delete-icon{color:#d93b41;cursor:pointer;font-size:14px}.wf-action-list ul.action-item li .chip-item{color:#1e5dd3;padding:10px;display:flex;align-items:center}.wf-action-list ul.action-item li .chip-item i{color:#747576;margin-left:7px;font-size:10px;cursor:pointer;display:inline-flex}.wf-action-list ul.action-item li .chip-item span{display:block;width:auto;width:calc(100% - 17px);font-size:12px;font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wf-action-list ul.action-item li .chip-item span.chip-block{display:block;width:100%}.wf-action-list ul.action-item li .chip-item span.id{font-size:9px}.wf-action-list ul.action-item li .within{display:flex;align-items:center;justify-content:flex-start}.wf-action-list ul.action-item li .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}.wf-action-list ul.action-item li .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}.wf-action-list ul.action-item li:first-child{animation:action-list-open .25s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(2){animation:action-list-open .35s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(3){animation:action-list-open .45s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(4){animation:action-list-open .55s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(5){animation:action-list-open .65s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(6){animation:action-list-open .75s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(7){animation:action-list-open .85s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(8){animation:action-list-open .95s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(9){animation:action-list-open 1.05s cubic-bezier(.25,.46,.45,.94) both}.wf-action-list ul.action-item li:nth-child(10){animation:action-list-open 1.15s cubic-bezier(.25,.46,.45,.94) both}@keyframes action-list-open{0%{transform:translateY(50px)}to{transform:translateY(0)}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: ResponsibilityService }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; }, propDecorators: { tableList: [{
                type: Input
            }], search: [{
                type: Input
            }], closeParent: [{
                type: Output
            }], expandCategory: [{
                type: Output
            }], entrustFramework: [{
                type: Output
            }] } });

class SnackBarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SnackBarModule, declarations: [SnackBarComponent], imports: [CommonModule], exports: [SnackBarComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SnackBarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SnackBarComponent],
                    imports: [CommonModule],
                    exports: [SnackBarComponent],
                }]
        }] });

class SmileyDialogInlineModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogInlineModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogInlineModule, declarations: [SmileyDialogInlineComponent], imports: [CommonModule], exports: [SmileyDialogInlineComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogInlineModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SmileyDialogInlineModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SmileyDialogInlineComponent],
                    imports: [CommonModule],
                    exports: [SmileyDialogInlineComponent],
                }]
        }] });

class PopoverHoverModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverModule, declarations: [PopoverHoverComponent,
            PopoverHoverDirective], imports: [CommonModule], exports: [PopoverHoverComponent,
            PopoverHoverDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverModule, providers: [PopoverHoverService], imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PopoverHoverModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        PopoverHoverComponent,
                        PopoverHoverDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        PopoverHoverComponent,
                        PopoverHoverDirective
                    ],
                    providers: [PopoverHoverService],
                }]
        }] });

class PreviewContainerComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PreviewContainerComponent, selector: "app-preview-container", ngImport: i0, template: "<div class=\"preview-body\">\n    <div class=\"preview-heading vx-bg-white vx-d-flex vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3\">\n        <div class=\"vx-avatar-group vx-align-center vx-mr-2\">\n            <div class=\"vx-avatar md\">\n                <span class=\"blue\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Hk</span>\n                <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n            </div>\n            <div class=\"vx-avatar md\">\n                <span class=\"green\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Hk</span>\n                <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n            </div>\n        </div>\n        <i class=\"icons star vx-fs-12 vx-mr-2\" [class.active]=\"false\">&#xea70;</i>\n        <div class=\"name\">\n            <div class=\"id vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-4\">[CID-19110027]</div>\n            <div class=\"value vx-fs-14 vx-labl-txt vx-pr-5 vx-lh-5\" [appTooltip]=\"'Data Protection Impact Assessment (DPIA) (RSK-10)'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Data Protection Impact Assessment (DPIA) (RSK-10)</div>\n        </div>\n    </div>\n    <!-- <app-preview-details></app-preview-details> -->\n    <div class=\"preview-inner vx-mt-1 vx-mb-5 vx-pt-5\">\n        <div class=\"inside vx-pt-5\">\n            <!-- <app-question-welcome></app-question-welcome> -->\n            <app-radio-question></app-radio-question>\n            <app-checkbox-question></app-checkbox-question>\n            <!-- <app-image-radio-question></app-image-radio-question>\n            <app-star-rating></app-star-rating> -->\n            <app-single-textbox></app-single-textbox>\n            <!-- <app-comment-question></app-comment-question>\n            <app-rating-table></app-rating-table> -->\n            <app-select-question></app-select-question>\n            <!-- <app-select-option-rating></app-select-option-rating>\n            <app-ranking></app-ranking>\n            <app-slider-question></app-slider-question>\n            <app-multiple-textbox></app-multiple-textbox> -->\n            <app-date-time></app-date-time>\n            <app-file-upload></app-file-upload>\n        </div>\n        <div *ngIf=\"false\" class=\"inside vx-pt-5\">\n            <!-- <app-question-loader></app-question-loader> -->\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";.preview-heading{border-radius:.125rem}.preview-heading i.star{color:#dbdbdb}.preview-heading i.star.active{color:#f0b819}.preview-heading .name{width:calc(100% - 5rem)}.preview-heading .name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.preview-inner{background:#fff;border-radius:.125rem;padding-right:5rem;padding-left:4.375rem;height:calc(100vh - 16.25rem)}.preview-inner .inside{padding-right:5rem;height:calc(100% - 1.25rem);overflow-y:auto}.preview-inner .inside::-webkit-scrollbar-track{background-color:transparent}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: CheckboxQuestionComponent, selector: "app-checkbox-question", inputs: ["question", "questionIndex"] }, { kind: "component", type: DateTimeComponent, selector: "app-date-time", inputs: ["question", "questionIndex"] }, { kind: "component", type: FileUploadComponent, selector: "app-file-upload", inputs: ["question", "questionIndex"] }, { kind: "component", type: RadioQuestionComponent, selector: "app-radio-question", inputs: ["question", "questionIndex"] }, { kind: "component", type: SelectQuestionComponent, selector: "app-select-question", inputs: ["question", "questionIndex"] }, { kind: "component", type: SingleTextboxComponent, selector: "app-single-textbox", inputs: ["question", "questionIndex"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-container', template: "<div class=\"preview-body\">\n    <div class=\"preview-heading vx-bg-white vx-d-flex vx-align-center vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3\">\n        <div class=\"vx-avatar-group vx-align-center vx-mr-2\">\n            <div class=\"vx-avatar md\">\n                <span class=\"blue\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Hk</span>\n                <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n            </div>\n            <div class=\"vx-avatar md\">\n                <span class=\"green\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">Hk</span>\n                <img *ngIf=\"false\" src=\"https://s3-eu-west-1.amazonaws.com/eu.v-comply.com/profile_pic/thumb/1591875227667_vcomply.png\" alt=\"\" [appTooltip]=\"'Harshvardhan Kariwala'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"true\">\n            </div>\n        </div>\n        <i class=\"icons star vx-fs-12 vx-mr-2\" [class.active]=\"false\">&#xea70;</i>\n        <div class=\"name\">\n            <div class=\"id vx-fs-11 vx-fw-500 vx-paragraph-txt vx-tt-uppercase vx-lh-4\">[CID-19110027]</div>\n            <div class=\"value vx-fs-14 vx-labl-txt vx-pr-5 vx-lh-5\" [appTooltip]=\"'Data Protection Impact Assessment (DPIA) (RSK-10)'\" placement=\"bottom-left\" delay=\"0\" type=\"black\" [tooltipMandatory]=\"false\">Data Protection Impact Assessment (DPIA) (RSK-10)</div>\n        </div>\n    </div>\n    <!-- <app-preview-details></app-preview-details> -->\n    <div class=\"preview-inner vx-mt-1 vx-mb-5 vx-pt-5\">\n        <div class=\"inside vx-pt-5\">\n            <!-- <app-question-welcome></app-question-welcome> -->\n            <app-radio-question></app-radio-question>\n            <app-checkbox-question></app-checkbox-question>\n            <!-- <app-image-radio-question></app-image-radio-question>\n            <app-star-rating></app-star-rating> -->\n            <app-single-textbox></app-single-textbox>\n            <!-- <app-comment-question></app-comment-question>\n            <app-rating-table></app-rating-table> -->\n            <app-select-question></app-select-question>\n            <!-- <app-select-option-rating></app-select-option-rating>\n            <app-ranking></app-ranking>\n            <app-slider-question></app-slider-question>\n            <app-multiple-textbox></app-multiple-textbox> -->\n            <app-date-time></app-date-time>\n            <app-file-upload></app-file-upload>\n        </div>\n        <div *ngIf=\"false\" class=\"inside vx-pt-5\">\n            <!-- <app-question-loader></app-question-loader> -->\n        </div>\n    </div>\n</div>", styles: ["@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";.preview-heading{border-radius:.125rem}.preview-heading i.star{color:#dbdbdb}.preview-heading i.star.active{color:#f0b819}.preview-heading .name{width:calc(100% - 5rem)}.preview-heading .name .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.preview-inner{background:#fff;border-radius:.125rem;padding-right:5rem;padding-left:4.375rem;height:calc(100vh - 16.25rem)}.preview-inner .inside{padding-right:5rem;height:calc(100% - 1.25rem);overflow-y:auto}.preview-inner .inside::-webkit-scrollbar-track{background-color:transparent}\n"] }]
        }], ctorParameters: function () { return []; } });

let ThankYouComponent$1 = class ThankYouComponent {
    constructor() {
        this.ASSETS = ASSETS;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ThankYouComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ThankYouComponent, selector: "app-thank-you", ngImport: i0, template: "<div class=\"thank-you-preview vx-text-center vx-mt-5\">\n  <div class=\"image\"><img [src]=\"ASSETS.thank_you_image\" /></div>\n  <div class=\"heading vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\">\n    Thank you heading\n  </div>\n  <div class=\"details vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\">\n    In publishing and graphic design, Lorem ipsum is a placeholder text commonly\n    used to demonstrate the visual form of a document or a typeface without\n    relying on meaningful content. Lorem ipsum may be used as a placeholder\n    before the final copy is available.\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.thank-you-preview .image{width:30rem;margin:0 auto 2rem}.thank-you-preview .image img{border-radius:.625rem;width:100%}\n"] }); }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ThankYouComponent$1, decorators: [{
            type: Component,
            args: [{ selector: 'app-thank-you', template: "<div class=\"thank-you-preview vx-text-center vx-mt-5\">\n  <div class=\"image\"><img [src]=\"ASSETS.thank_you_image\" /></div>\n  <div class=\"heading vx-fs-16 vx-paragraph-txt vx-lih-6 vx-mb-5\">\n    Thank you heading\n  </div>\n  <div class=\"details vx-fs-14 vx-label-txt vx-pb-3 vx-mb-5\">\n    In publishing and graphic design, Lorem ipsum is a placeholder text commonly\n    used to demonstrate the visual form of a document or a typeface without\n    relying on meaningful content. Lorem ipsum may be used as a placeholder\n    before the final copy is available.\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.thank-you-preview .image{width:30rem;margin:0 auto 2rem}.thank-you-preview .image img{border-radius:.625rem;width:100%}\n"] }]
        }], ctorParameters: function () { return []; } });

// import { SelectModule } from 'src/app/ui-kit/select/select.module';
class PreviewModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PreviewModule, declarations: [PreviewWrapperComponent,
            PreviewMultipleChoiceComponent,
            PreviewCheckboxComponent,
            PreviewImageChoiceComponent,
            PreviewStarRatingComponent,
            PreviewSingleTextboxComponent,
            PreviewCommentBoxComponent,
            PreviewMatrixDropdownComponent,
            PreviewDropdownComponent,
            PreviewMatrixRatingScaleComponent,
            PreviewRankingComponent,
            PreviewSliderComponent,
            PreviewMultipleTextboxComponent,
            PreviewDateTimeComponent,
            PreviewFileUploadComponent,
            WelcomeComponent$2,
            ThankYouComponent$1], imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            DialogModule,
            // MarxEditorModule,
            VcomplyEditorModule,
            FormgroupModule,
            NoDataModule$1,
            DpDatePickerModule,
            NgxMaterialTimepickerModule,
            SelectModule,
            QuickSettingsComponent$1], exports: [PreviewWrapperComponent,
            PreviewMultipleChoiceComponent,
            PreviewCheckboxComponent,
            PreviewImageChoiceComponent,
            PreviewStarRatingComponent,
            PreviewSingleTextboxComponent,
            PreviewCommentBoxComponent,
            PreviewMatrixDropdownComponent,
            PreviewDropdownComponent,
            PreviewMatrixRatingScaleComponent,
            PreviewRankingComponent,
            PreviewSliderComponent,
            PreviewMultipleTextboxComponent,
            PreviewDateTimeComponent,
            PreviewFileUploadComponent,
            WelcomeComponent$2,
            ThankYouComponent$1] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewModule, imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            DialogModule,
            // MarxEditorModule,
            VcomplyEditorModule,
            FormgroupModule,
            NoDataModule$1,
            DpDatePickerModule,
            NgxMaterialTimepickerModule,
            SelectModule,
            QuickSettingsComponent$1] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PreviewModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        PreviewWrapperComponent,
                        PreviewMultipleChoiceComponent,
                        PreviewCheckboxComponent,
                        PreviewImageChoiceComponent,
                        PreviewStarRatingComponent,
                        PreviewSingleTextboxComponent,
                        PreviewCommentBoxComponent,
                        PreviewMatrixDropdownComponent,
                        PreviewDropdownComponent,
                        PreviewMatrixRatingScaleComponent,
                        PreviewRankingComponent,
                        PreviewSliderComponent,
                        PreviewMultipleTextboxComponent,
                        PreviewDateTimeComponent,
                        PreviewFileUploadComponent,
                        WelcomeComponent$2,
                        ThankYouComponent$1,
                    ],
                    imports: [
                        CommonModule,
                        TooltipModule,
                        PopoverModule,
                        DialogModule,
                        // MarxEditorModule,
                        VcomplyEditorModule,
                        FormgroupModule,
                        NoDataModule$1,
                        DpDatePickerModule,
                        NgxMaterialTimepickerModule,
                        SelectModule,
                        QuickSettingsComponent$1,
                    ],
                    exports: [
                        PreviewWrapperComponent,
                        PreviewMultipleChoiceComponent,
                        PreviewCheckboxComponent,
                        PreviewImageChoiceComponent,
                        PreviewStarRatingComponent,
                        PreviewSingleTextboxComponent,
                        PreviewCommentBoxComponent,
                        PreviewMatrixDropdownComponent,
                        PreviewDropdownComponent,
                        PreviewMatrixRatingScaleComponent,
                        PreviewRankingComponent,
                        PreviewSliderComponent,
                        PreviewMultipleTextboxComponent,
                        PreviewDateTimeComponent,
                        PreviewFileUploadComponent,
                        WelcomeComponent$2,
                        ThankYouComponent$1,
                    ],
                }]
        }] });

class AssessmentPreviewModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentPreviewModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: AssessmentPreviewModule, declarations: [CheckboxQuestionComponent,
            DateTimeComponent,
            DeviceComponent,
            FileUploadComponent,
            PreviewComponent,
            PreviewContainerComponent,
            RadioQuestionComponent,
            SelectQuestionComponent,
            SingleTextboxComponent,
            PageAssessmentHeaderComponent,
            WelcomeComponent$1,
            SectionDetailsComponent,
            GetSectionOrderPipe,
            DescriptionPreviewComponent], imports: [CommonModule,
            TooltipModule,
            FormgroupModule$1,
            PopoverModule,
            NgxMaterialTimepickerModule,
            DpDatePickerModule,
            PreviewModule,
            QuickSettingsComponent$1,
            PipesModule], exports: [CheckboxQuestionComponent,
            DateTimeComponent,
            DeviceComponent,
            FileUploadComponent,
            PreviewComponent,
            PreviewContainerComponent,
            RadioQuestionComponent,
            SelectQuestionComponent,
            SingleTextboxComponent,
            WelcomeComponent$1] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentPreviewModule, imports: [CommonModule,
            TooltipModule,
            FormgroupModule$1,
            PopoverModule,
            NgxMaterialTimepickerModule,
            DpDatePickerModule,
            PreviewModule,
            QuickSettingsComponent$1,
            PipesModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AssessmentPreviewModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CheckboxQuestionComponent,
                        DateTimeComponent,
                        DeviceComponent,
                        FileUploadComponent,
                        PreviewComponent,
                        PreviewContainerComponent,
                        RadioQuestionComponent,
                        SelectQuestionComponent,
                        SingleTextboxComponent,
                        PageAssessmentHeaderComponent,
                        WelcomeComponent$1,
                        SectionDetailsComponent,
                        GetSectionOrderPipe,
                        DescriptionPreviewComponent,
                    ],
                    imports: [
                        CommonModule,
                        TooltipModule,
                        FormgroupModule$1,
                        PopoverModule,
                        NgxMaterialTimepickerModule,
                        DpDatePickerModule,
                        PreviewModule,
                        QuickSettingsComponent$1,
                        PipesModule,
                    ],
                    exports: [
                        CheckboxQuestionComponent,
                        DateTimeComponent,
                        DeviceComponent,
                        FileUploadComponent,
                        PreviewComponent,
                        PreviewContainerComponent,
                        RadioQuestionComponent,
                        SelectQuestionComponent,
                        SingleTextboxComponent,
                        WelcomeComponent$1,
                    ],
                }]
        }] });

class WelcomeComponent {
    constructor() {
        this.ASSETS = ASSETS;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: WelcomeComponent, selector: "app-welcome", ngImport: i0, template: "<div class=\"build-welcome vx-d-flex vx-align-center vx-justify-center vx-mb-5\">\n  <div class=\"build-welcome-inner\">\n    <div class=\"image vx-mb-5\">\n      <img [src]=\"ASSETS.placeholder\" alt=\"\" />\n    </div>\n    <div\n      class=\"upload-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\"\n    >\n      <input type=\"file\" /> Upload Image\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.build-welcome-inner .image{border:.125rem solid #F1F1F1;border-radius:.125rem;width:18.75rem;height:12.75rem}.build-welcome-inner .image img{width:100%;height:100%}.build-welcome-inner .upload-btn{background:#1e5dd3;border-radius:.125rem;border:none;width:10rem;height:2.5rem;margin:0 auto;position:relative}.build-welcome-inner .upload-btn input[type=file]{position:absolute;inset:0;margin:0;width:100%;height:100%;text-indent:-9999px;opacity:0;cursor:pointer}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: WelcomeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-welcome', template: "<div class=\"build-welcome vx-d-flex vx-align-center vx-justify-center vx-mb-5\">\n  <div class=\"build-welcome-inner\">\n    <div class=\"image vx-mb-5\">\n      <img [src]=\"ASSETS.placeholder\" alt=\"\" />\n    </div>\n    <div\n      class=\"upload-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\"\n    >\n      <input type=\"file\" /> Upload Image\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.build-welcome-inner .image{border:.125rem solid #F1F1F1;border-radius:.125rem;width:18.75rem;height:12.75rem}.build-welcome-inner .image img{width:100%;height:100%}.build-welcome-inner .upload-btn{background:#1e5dd3;border-radius:.125rem;border:none;width:10rem;height:2.5rem;margin:0 auto;position:relative}.build-welcome-inner .upload-btn input[type=file]{position:absolute;inset:0;margin:0;width:100%;height:100%;text-indent:-9999px;opacity:0;cursor:pointer}\n"] }]
        }], ctorParameters: function () { return []; } });

class ThankYouComponent {
    constructor() {
        this.ASSETS = ASSETS;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ThankYouComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ThankYouComponent, selector: "app-thank-you", ngImport: i0, template: "<div\n  class=\"build-thank-you vx-d-flex vx-align-center vx-justify-center vx-mb-5\"\n>\n  <div class=\"build-thank-you-inner\">\n    <div class=\"image vx-mb-5\">\n      <img [src]=\"ASSETS.placeholder\" alt=\"\" />\n    </div>\n    <div\n      class=\"upload-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\"\n    >\n      <input type=\"file\" /> Upload Image\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.build-thank-you-inner .image{border:.125rem solid #F1F1F1;border-radius:.125rem;width:18.75rem;height:12.75rem}.build-thank-you-inner .image img{width:100%;height:100%}.build-thank-you-inner .upload-btn{background:#1e5dd3;border-radius:.125rem;border:none;width:10rem;height:2.5rem;margin:0 auto;position:relative}.build-thank-you-inner .upload-btn input[type=file]{position:absolute;inset:0;margin:0;width:100%;height:100%;text-indent:-9999px;opacity:0;cursor:pointer}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ThankYouComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-thank-you', template: "<div\n  class=\"build-thank-you vx-d-flex vx-align-center vx-justify-center vx-mb-5\"\n>\n  <div class=\"build-thank-you-inner\">\n    <div class=\"image vx-mb-5\">\n      <img [src]=\"ASSETS.placeholder\" alt=\"\" />\n    </div>\n    <div\n      class=\"upload-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-d-flex vx-align-center vx-justify-center\"\n    >\n      <input type=\"file\" /> Upload Image\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.build-thank-you-inner .image{border:.125rem solid #F1F1F1;border-radius:.125rem;width:18.75rem;height:12.75rem}.build-thank-you-inner .image img{width:100%;height:100%}.build-thank-you-inner .upload-btn{background:#1e5dd3;border-radius:.125rem;border:none;width:10rem;height:2.5rem;margin:0 auto;position:relative}.build-thank-you-inner .upload-btn input[type=file]{position:absolute;inset:0;margin:0;width:100%;height:100%;text-indent:-9999px;opacity:0;cursor:pointer}\n"] }]
        }], ctorParameters: function () { return []; } });

class BuildModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BuildModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: BuildModule, declarations: [MultipleChoiceComponent,
            CheckboxComponent,
            ImageChoiceComponent,
            StarRatingComponent,
            MatrixDropdownComponent,
            DropdownComponent,
            MatrixRatingScaleComponent,
            RankingComponent,
            SliderComponent,
            MultipleTextboxComponent,
            DateTimeComponent$1,
            ChoiceSettingsPanelComponent,
            WelcomeComponent,
            ThankYouComponent,
            WeightageSelectorComponent], imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            FormgroupModule,
            FormsModule], exports: [MultipleChoiceComponent,
            CheckboxComponent,
            ImageChoiceComponent,
            StarRatingComponent,
            MatrixDropdownComponent,
            DropdownComponent,
            MatrixRatingScaleComponent,
            RankingComponent,
            SliderComponent,
            MultipleTextboxComponent,
            DateTimeComponent$1,
            WelcomeComponent,
            ThankYouComponent,
            WeightageSelectorComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BuildModule, imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            FormgroupModule,
            FormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: BuildModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MultipleChoiceComponent,
                        CheckboxComponent,
                        ImageChoiceComponent,
                        StarRatingComponent,
                        MatrixDropdownComponent,
                        DropdownComponent,
                        MatrixRatingScaleComponent,
                        RankingComponent,
                        SliderComponent,
                        MultipleTextboxComponent,
                        DateTimeComponent$1,
                        ChoiceSettingsPanelComponent,
                        WelcomeComponent,
                        ThankYouComponent,
                        WeightageSelectorComponent
                    ],
                    imports: [
                        CommonModule,
                        TooltipModule,
                        PopoverModule,
                        FormgroupModule,
                        FormsModule
                    ],
                    exports: [
                        MultipleChoiceComponent,
                        CheckboxComponent,
                        ImageChoiceComponent,
                        StarRatingComponent,
                        MatrixDropdownComponent,
                        DropdownComponent,
                        MatrixRatingScaleComponent,
                        RankingComponent,
                        SliderComponent,
                        MultipleTextboxComponent,
                        DateTimeComponent$1,
                        WelcomeComponent,
                        ThankYouComponent,
                        WeightageSelectorComponent
                    ]
                }]
        }] });

class LogicQuestionsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicQuestionsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: LogicQuestionsModule, declarations: [LogicMultipleChoiceComponent,
            LogicCheckboxComponent,
            LogicImageChoiceComponent,
            LogicStarRatingComponent,
            LogicSingleTextboxComponent,
            LogicCommentBoxComponent,
            LogicDropdownComponent,
            LogicRankingComponent,
            LogicSliderComponent,
            LogicMultipleTextboxComponent,
            LogicDateTimeComponent], imports: [CommonModule,
            FormsModule,
            TooltipModule,
            PopoverModule,
            FormgroupModule,
            DpDatePickerModule,
            NgxMaterialTimepickerModule], exports: [LogicMultipleChoiceComponent,
            LogicCheckboxComponent,
            LogicImageChoiceComponent,
            LogicStarRatingComponent,
            LogicSingleTextboxComponent,
            LogicCommentBoxComponent,
            LogicDropdownComponent,
            LogicRankingComponent,
            LogicSliderComponent,
            LogicMultipleTextboxComponent,
            LogicDateTimeComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicQuestionsModule, imports: [CommonModule,
            FormsModule,
            TooltipModule,
            PopoverModule,
            FormgroupModule,
            DpDatePickerModule,
            NgxMaterialTimepickerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LogicQuestionsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        LogicMultipleChoiceComponent,
                        LogicCheckboxComponent,
                        LogicImageChoiceComponent,
                        LogicStarRatingComponent,
                        LogicSingleTextboxComponent,
                        LogicCommentBoxComponent,
                        LogicDropdownComponent,
                        LogicRankingComponent,
                        LogicSliderComponent,
                        LogicMultipleTextboxComponent,
                        LogicDateTimeComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        TooltipModule,
                        PopoverModule,
                        FormgroupModule,
                        DpDatePickerModule,
                        NgxMaterialTimepickerModule,
                    ],
                    exports: [
                        LogicMultipleChoiceComponent,
                        LogicCheckboxComponent,
                        LogicImageChoiceComponent,
                        LogicStarRatingComponent,
                        LogicSingleTextboxComponent,
                        LogicCommentBoxComponent,
                        LogicDropdownComponent,
                        LogicRankingComponent,
                        LogicSliderComponent,
                        LogicMultipleTextboxComponent,
                        LogicDateTimeComponent
                    ]
                }]
        }] });

class FormatterPipe {
    transform(value, ...args) {
        const action = [];
        const data = value.split(',');
        for (let i = 1; i < data.length; i++) {
            action.push({ icon: '', name: data[i], identifier: '' });
        }
        return action;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FormatterPipe, name: "formatter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'formatter'
                }]
        }] });

class EditorLoaderComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: EditorLoaderComponent, selector: "app-editor-loader", ngImport: i0, template: "<div class=\"loader-wrapper\">\n    <div class=\"loader-panel\">\n        <div class=\"loader-panel-head\">\n            <span class=\"title\"></span>\n            <span class=\"ddl\"></span>\n        </div>\n        <div class=\"loader-panel-body\">\n            <div class=\"left\">\n                <div class=\"label\"></div>\n                <div class=\"toolkit\" *ngFor=\"let data of [1,1,1,1,1,1,1]\">\n                    <span><span></span></span>\n                </div>\n            </div>\n            <div class=\"right\">\n                <div class=\"button\"></div>\n                <div class=\"question-block\">\n                    <div class=\"head\">\n                        <div class=\"nav\">\n                            <div class=\"button\" *ngFor=\"let data of [1,1,1]\">\n                                <span></span>\n                            </div>\n                        </div>\n                        <div class=\"action\">\n                            <div class=\"button\" *ngFor=\"let data of [1,1]\"></div>\n                        </div>\n                    </div>\n                    <div class=\"body\">\n                        <div class=\"left\">\n                            <div class=\"qusetion-number\"></div>\n                            <div class=\"qusetion-item\"></div>\n                            <div class=\"qusetion-options\">\n                                <ul>\n                                    <li *ngFor=\"let data of [1,1,1,1]\"></li>\n                                </ul>\n                            </div>\n                        </div>\n                        <div class=\"right\">\n                            <div class=\"qusetion-number\"></div>\n                            <div class=\"qusetion-item\"></div>\n                            <div class=\"qusetion-options\">\n                                <ul>\n                                    <li *ngFor=\"let data of [1,1,1,1]\"></li>\n                                </ul>\n                            </div>\n                        </div>\n                    </div>\n                    <div class=\"footer\">\n                        <div class=\"left\">\n                            <div class=\"button\"></div>\n                        </div>\n                        <div class=\"right\">\n                            <div class=\"button\"></div>\n                        </div>\n                    </div>\n                </div>\n                <!-- <div class=\"button\"></div>\n                <div class=\"button\"></div> -->\n            </div>\n        </div>\n    </div>\n</div>\n", styles: [".loader-wrapper{position:relative;margin-top:12px}.loader-panel{position:relative;height:calc(100vh - 116px);background:#fff;border-radius:2px}.loader-panel-head{height:40px;border-radius:2px 2px 0 0;background:#fbfbfb;padding:8px 12px;border-bottom:1px solid #f1f1f1;justify-content:space-between;align-items:center;display:flex}.loader-panel-head span.title{height:10px;width:400px;border-radius:10px;background:#f1f1f1;display:block}.loader-panel-head span.ddl{height:25px;width:200px;border-radius:4px;background:#f1f1f1;display:block}.loader-panel-body{background:#fff;display:flex;justify-content:space-between;height:calc(100% - 40px)}.loader-panel-body .left{width:182px;position:relative}.loader-panel-body .left:after{content:\"\";position:absolute;top:0;right:0;bottom:0;width:1px;background:#f1f1f1}.loader-panel-body .left .label{display:flex;width:100%;height:24px;border:1px solid #f3f3f3;background:#f3f3f3;font-size:8px;cursor:pointer;position:relative;text-transform:uppercase;justify-content:center;outline:none;align-items:center;margin-bottom:4px}.loader-panel-body .left .toolkit{padding:8px 12px 0}.loader-panel-body .left .toolkit span{display:flex;width:100%;height:32px;padding:3px 5px;background:#f6f6f6;align-items:center}.loader-panel-body .left .toolkit span span{display:inline-block;background:#f1f1f1;height:20px;width:20px;border-radius:4px}.loader-panel-body .right{width:calc(100% - 190px);padding-top:10px}.loader-panel-body .right .button{background:#f8f8f8;width:960px;border-radius:4px;height:50px;border:1px solid #f1f1f1;margin:20px auto 8px}.loader-panel-body .right .question-block{width:960px;margin:0 auto 10px;border-radius:5px}.loader-panel-body .right .question-block .head{height:42px;border-radius:4px 4px 0 0;background:#fbfbfb;display:flex;justify-content:flex-end;border:1px solid #F1F1F1;border-bottom:none}.loader-panel-body .right .question-block .head .nav{width:calc(100% - 224px);display:flex;align-items:center;justify-content:center}.loader-panel-body .right .question-block .head .nav .button{padding:0 20px;width:auto;margin:0;height:auto;background:transparent;border:none}.loader-panel-body .right .question-block .head .nav .button span{background:#f1f1f1;border-radius:10px;width:30px;display:block;height:10px}.loader-panel-body .right .question-block .head .action{width:112px;display:flex;align-items:center}.loader-panel-body .right .question-block .head .action .button{width:78px;height:28px;background:#f1f1f1;border-radius:2px;margin:0}.loader-panel-body .right .question-block .head .action .button+.button{margin-left:5px;width:24px}.loader-panel-body .right .question-block .body{border:1px solid #F1F1F1;padding:26px 21px 50px;display:flex}.loader-panel-body .right .question-block .body .left{width:calc(100% - 275px);padding-right:30px}.loader-panel-body .right .question-block .body .left .qusetion-options ul li{width:80%}.loader-panel-body .right .question-block .body .left .qusetion-options ul li:nth-child(odd){width:85%}.loader-panel-body .right .question-block .body .right{width:275px;padding-left:30px;padding-top:0}.loader-panel-body .right .question-block .body .right .qusetion-options ul li{height:15px}.loader-panel-body .right .question-block .body .qusetion{width:100%}.loader-panel-body .right .question-block .body .qusetion-number{width:50px;height:10px;background:#f1f1f1;border-radius:10px;margin-bottom:20px}.loader-panel-body .right .question-block .body .qusetion-item{width:100%;height:20px;border-radius:20px;background:#f1f1f1;margin-bottom:30px}.loader-panel-body .right .question-block .body .qusetion-options ul{padding:0;margin:0;width:100%;display:block}.loader-panel-body .right .question-block .body .qusetion-options ul li{display:block;list-style:none;height:16px;width:100%;background:#f1f1f1;border-radius:16px}.loader-panel-body .right .question-block .body .qusetion-options ul li+li{margin-top:20px}.loader-panel-body .right .question-block .footer{height:42px;border-radius:0 0 4px 4px;background:#fbfbfb;justify-content:flex-end;border:1px solid #F1F1F1;border-top:none;display:flex;justify-content:space-between;align-items:center;padding:7px 15px}.loader-panel-body .right .question-block .footer .left{display:flex;padding:0;margin:0;width:auto}.loader-panel-body .right .question-block .footer .left:after{display:none}.loader-panel-body .right .question-block .footer .left .button{background:#f1f1f1;border-radius:4px;height:28px;display:block;width:138px;margin:0}.loader-panel-body .right .question-block .footer .right{display:flex;padding:0;margin:0;width:auto}.loader-panel-body .right .question-block .footer .right .button{background:#f1f1f1;border-radius:4px;height:28px;display:block;width:80px;margin:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-editor-loader', template: "<div class=\"loader-wrapper\">\n    <div class=\"loader-panel\">\n        <div class=\"loader-panel-head\">\n            <span class=\"title\"></span>\n            <span class=\"ddl\"></span>\n        </div>\n        <div class=\"loader-panel-body\">\n            <div class=\"left\">\n                <div class=\"label\"></div>\n                <div class=\"toolkit\" *ngFor=\"let data of [1,1,1,1,1,1,1]\">\n                    <span><span></span></span>\n                </div>\n            </div>\n            <div class=\"right\">\n                <div class=\"button\"></div>\n                <div class=\"question-block\">\n                    <div class=\"head\">\n                        <div class=\"nav\">\n                            <div class=\"button\" *ngFor=\"let data of [1,1,1]\">\n                                <span></span>\n                            </div>\n                        </div>\n                        <div class=\"action\">\n                            <div class=\"button\" *ngFor=\"let data of [1,1]\"></div>\n                        </div>\n                    </div>\n                    <div class=\"body\">\n                        <div class=\"left\">\n                            <div class=\"qusetion-number\"></div>\n                            <div class=\"qusetion-item\"></div>\n                            <div class=\"qusetion-options\">\n                                <ul>\n                                    <li *ngFor=\"let data of [1,1,1,1]\"></li>\n                                </ul>\n                            </div>\n                        </div>\n                        <div class=\"right\">\n                            <div class=\"qusetion-number\"></div>\n                            <div class=\"qusetion-item\"></div>\n                            <div class=\"qusetion-options\">\n                                <ul>\n                                    <li *ngFor=\"let data of [1,1,1,1]\"></li>\n                                </ul>\n                            </div>\n                        </div>\n                    </div>\n                    <div class=\"footer\">\n                        <div class=\"left\">\n                            <div class=\"button\"></div>\n                        </div>\n                        <div class=\"right\">\n                            <div class=\"button\"></div>\n                        </div>\n                    </div>\n                </div>\n                <!-- <div class=\"button\"></div>\n                <div class=\"button\"></div> -->\n            </div>\n        </div>\n    </div>\n</div>\n", styles: [".loader-wrapper{position:relative;margin-top:12px}.loader-panel{position:relative;height:calc(100vh - 116px);background:#fff;border-radius:2px}.loader-panel-head{height:40px;border-radius:2px 2px 0 0;background:#fbfbfb;padding:8px 12px;border-bottom:1px solid #f1f1f1;justify-content:space-between;align-items:center;display:flex}.loader-panel-head span.title{height:10px;width:400px;border-radius:10px;background:#f1f1f1;display:block}.loader-panel-head span.ddl{height:25px;width:200px;border-radius:4px;background:#f1f1f1;display:block}.loader-panel-body{background:#fff;display:flex;justify-content:space-between;height:calc(100% - 40px)}.loader-panel-body .left{width:182px;position:relative}.loader-panel-body .left:after{content:\"\";position:absolute;top:0;right:0;bottom:0;width:1px;background:#f1f1f1}.loader-panel-body .left .label{display:flex;width:100%;height:24px;border:1px solid #f3f3f3;background:#f3f3f3;font-size:8px;cursor:pointer;position:relative;text-transform:uppercase;justify-content:center;outline:none;align-items:center;margin-bottom:4px}.loader-panel-body .left .toolkit{padding:8px 12px 0}.loader-panel-body .left .toolkit span{display:flex;width:100%;height:32px;padding:3px 5px;background:#f6f6f6;align-items:center}.loader-panel-body .left .toolkit span span{display:inline-block;background:#f1f1f1;height:20px;width:20px;border-radius:4px}.loader-panel-body .right{width:calc(100% - 190px);padding-top:10px}.loader-panel-body .right .button{background:#f8f8f8;width:960px;border-radius:4px;height:50px;border:1px solid #f1f1f1;margin:20px auto 8px}.loader-panel-body .right .question-block{width:960px;margin:0 auto 10px;border-radius:5px}.loader-panel-body .right .question-block .head{height:42px;border-radius:4px 4px 0 0;background:#fbfbfb;display:flex;justify-content:flex-end;border:1px solid #F1F1F1;border-bottom:none}.loader-panel-body .right .question-block .head .nav{width:calc(100% - 224px);display:flex;align-items:center;justify-content:center}.loader-panel-body .right .question-block .head .nav .button{padding:0 20px;width:auto;margin:0;height:auto;background:transparent;border:none}.loader-panel-body .right .question-block .head .nav .button span{background:#f1f1f1;border-radius:10px;width:30px;display:block;height:10px}.loader-panel-body .right .question-block .head .action{width:112px;display:flex;align-items:center}.loader-panel-body .right .question-block .head .action .button{width:78px;height:28px;background:#f1f1f1;border-radius:2px;margin:0}.loader-panel-body .right .question-block .head .action .button+.button{margin-left:5px;width:24px}.loader-panel-body .right .question-block .body{border:1px solid #F1F1F1;padding:26px 21px 50px;display:flex}.loader-panel-body .right .question-block .body .left{width:calc(100% - 275px);padding-right:30px}.loader-panel-body .right .question-block .body .left .qusetion-options ul li{width:80%}.loader-panel-body .right .question-block .body .left .qusetion-options ul li:nth-child(odd){width:85%}.loader-panel-body .right .question-block .body .right{width:275px;padding-left:30px;padding-top:0}.loader-panel-body .right .question-block .body .right .qusetion-options ul li{height:15px}.loader-panel-body .right .question-block .body .qusetion{width:100%}.loader-panel-body .right .question-block .body .qusetion-number{width:50px;height:10px;background:#f1f1f1;border-radius:10px;margin-bottom:20px}.loader-panel-body .right .question-block .body .qusetion-item{width:100%;height:20px;border-radius:20px;background:#f1f1f1;margin-bottom:30px}.loader-panel-body .right .question-block .body .qusetion-options ul{padding:0;margin:0;width:100%;display:block}.loader-panel-body .right .question-block .body .qusetion-options ul li{display:block;list-style:none;height:16px;width:100%;background:#f1f1f1;border-radius:16px}.loader-panel-body .right .question-block .body .qusetion-options ul li+li{margin-top:20px}.loader-panel-body .right .question-block .footer{height:42px;border-radius:0 0 4px 4px;background:#fbfbfb;justify-content:flex-end;border:1px solid #F1F1F1;border-top:none;display:flex;justify-content:space-between;align-items:center;padding:7px 15px}.loader-panel-body .right .question-block .footer .left{display:flex;padding:0;margin:0;width:auto}.loader-panel-body .right .question-block .footer .left:after{display:none}.loader-panel-body .right .question-block .footer .left .button{background:#f1f1f1;border-radius:4px;height:28px;display:block;width:138px;margin:0}.loader-panel-body .right .question-block .footer .right{display:flex;padding:0;margin:0;width:auto}.loader-panel-body .right .question-block .footer .right .button{background:#f1f1f1;border-radius:4px;height:28px;display:block;width:80px;margin:0}\n"] }]
        }], ctorParameters: function () { return []; } });

class EditorLoaderModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorLoaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: EditorLoaderModule, declarations: [EditorLoaderComponent], imports: [CommonModule], exports: [EditorLoaderComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorLoaderModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorLoaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [EditorLoaderComponent],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        EditorLoaderComponent
                    ]
                }]
        }] });

class CreateAssessmentModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateAssessmentModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CreateAssessmentModule, declarations: [CreateAssessmentContainerComponent,
            QuestionTypeComponent,
            AddPageDetailsComponent,
            AssessmentSettingsComponent,
            AddSegmentPopupComponent,
            AddResponseSetPopupComponent,
            EditorWrapperComponent,
            QuickSettingsComponent,
            SingleLineEditorComponent,
            ResponseSelectorComponent,
            MoveComponent,
            LogicComponent,
            AddLogicComponent,
            ToolkitComponent,
            ErrorMessagePipe,
            QuestionFilterPipe,
            QuestionParserPipe,
            FormatterPipe,
            SettingAnonymousComponent,
            SettingResponseSegmentComponent,
            PageHeaderComponent,
            WelcomeThankyouComponent,
            CurrentPageQuestionPipe,
            QuestionPageFilterPipe,
            TypeOfPipe], imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            DragDropModule,
            DialogModule,
            // MarxEditorModule,
            VcomplyEditorModule,
            FormgroupModule$1,
            NoDataModule$1,
            BuildModule,
            PreviewModule,
            AssessmentPreviewModule,
            FormsModule,
            LogicQuestionsModule,
            EditorLoaderModule], exports: [CreateAssessmentContainerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateAssessmentModule, imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            DragDropModule,
            DialogModule,
            // MarxEditorModule,
            VcomplyEditorModule,
            FormgroupModule$1,
            NoDataModule$1,
            BuildModule,
            PreviewModule,
            AssessmentPreviewModule,
            FormsModule,
            LogicQuestionsModule,
            EditorLoaderModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateAssessmentModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CreateAssessmentContainerComponent,
                        QuestionTypeComponent,
                        AddPageDetailsComponent,
                        AssessmentSettingsComponent,
                        AddSegmentPopupComponent,
                        AddResponseSetPopupComponent,
                        EditorWrapperComponent,
                        QuickSettingsComponent,
                        SingleLineEditorComponent,
                        ResponseSelectorComponent,
                        MoveComponent,
                        LogicComponent,
                        AddLogicComponent,
                        ToolkitComponent,
                        ErrorMessagePipe,
                        QuestionFilterPipe,
                        QuestionParserPipe,
                        FormatterPipe,
                        SettingAnonymousComponent,
                        SettingResponseSegmentComponent,
                        PageHeaderComponent,
                        WelcomeThankyouComponent,
                        CurrentPageQuestionPipe,
                        QuestionPageFilterPipe,
                        TypeOfPipe,
                    ],
                    imports: [
                        CommonModule,
                        TooltipModule,
                        PopoverModule,
                        DragDropModule,
                        DialogModule,
                        // MarxEditorModule,
                        VcomplyEditorModule,
                        FormgroupModule$1,
                        NoDataModule$1,
                        BuildModule,
                        PreviewModule,
                        AssessmentPreviewModule,
                        FormsModule,
                        LogicQuestionsModule,
                        EditorLoaderModule,
                    ],
                    exports: [CreateAssessmentContainerComponent],
                    // providers:[ { provide: HTTP_INTERCEPTORS, useClass: TokenInterceptor, multi: true },]
                }]
        }] });

class DeactivateComponent {
    // constructor(private dialog: DialogRef, public dialogConfig: DialogConfig
    // ) {
    //   this.itemName = dialogConfig.data.itemName;
    // }
    constructor(dialog, dialogConfig) {
        this.dialog = dialog;
        this.dialogConfig = dialogConfig;
        this.animate = false;
        this.itemName = 'dashboard';
    }
    ngOnInit() { }
    deactivate(deleteFlag) {
        this.animate = true;
        setTimeout(() => {
            this.animate = false;
        }, 1000);
        this.dialog.close(deleteFlag);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DeactivateComponent, deps: [{ token: DialogRef }, { token: DialogConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DeactivateComponent, selector: "app-deactivate", inputs: { itemName: "itemName" }, ngImport: i0, template: "<div class=\"alert-dialog\">\n  <div class=\"alert-dialog-container\">\n    <div class=\"alert-dialog-body\">\n      <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n        <i class=\"icons\">&#xe9d0;</i>\n      </div>\n      <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\"[innerHTML]=\"dialogConfig?.data?.message\"></p>\n    </div>\n    <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n      <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n      <div class=\"vx-d-flex vx-align-center\">\n        <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"deactivate(false)\">No</button>\n        <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"deactivate(true)\">Yes</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#f0b819;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DeactivateComponent, decorators: [{
            type: Component,
            args: [{ selector: "app-deactivate", template: "<div class=\"alert-dialog\">\n  <div class=\"alert-dialog-container\">\n    <div class=\"alert-dialog-body\">\n      <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n        <i class=\"icons\">&#xe9d0;</i>\n      </div>\n      <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\"[innerHTML]=\"dialogConfig?.data?.message\"></p>\n    </div>\n    <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n      <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n      <div class=\"vx-d-flex vx-align-center\">\n        <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"deactivate(false)\">No</button>\n        <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"deactivate(true)\">Yes</button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#f0b819;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogRef }, { type: DialogConfig }]; }, propDecorators: { itemName: [{
                type: Input
            }] } });

class DuplicateComponent {
    constructor(dialog, dialogConfig) {
        this.dialog = dialog;
        this.dialogConfig = dialogConfig;
        this.animate = false;
        this.itemName = '';
    }
    ngOnInit() {
    }
    activate(deleteFlag) {
        this.animate = true;
        setTimeout(() => {
            this.animate = false;
        }, 5000);
        this.dialog.close(deleteFlag);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DuplicateComponent, deps: [{ token: DialogRef }, { token: DialogConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DuplicateComponent, selector: "app-duplicate", ngImport: i0, template: "<div class=\"alert-dialog\">\n    <div class=\"alert-dialog-container\">\n      <div class=\"alert-dialog-body\">\n        <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons\">&#xe9b6;</i>\n        </div>\n        <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\" [innerHTML]=\"dialogConfig?.data?.message\">This action will <strong class=\"vx-fw-500\">active</strong> this {{itemName}}.</p>\n      </div>\n      <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n        <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n        <div class=\"vx-d-flex vx-align-center\">\n          <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(false)\">No</button>\n          <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(true)\">Yes</button>\n        </div>\n      </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#1e5dd3;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DuplicateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-duplicate', template: "<div class=\"alert-dialog\">\n    <div class=\"alert-dialog-container\">\n      <div class=\"alert-dialog-body\">\n        <div class=\"alert-dialog-icon vx-d-flex vx-align-center vx-justify-center\">\n          <i class=\"icons\">&#xe9b6;</i>\n        </div>\n        <p class=\"vx-fs-15 vx-paragraph-txt vx-m-0 vx-text-center\" [innerHTML]=\"dialogConfig?.data?.message\">This action will <strong class=\"vx-fw-500\">active</strong> this {{itemName}}.</p>\n      </div>\n      <div class=\"alert-dialog-footer vx-d-flex vx-align-center vx-justify-between vx-p-3\">\n        <p class=\"vx-fs-12 vx-lable-txt vx-m-0\">Are you sure you would like to proceed?</p>\n        <div class=\"vx-d-flex vx-align-center\">\n          <button class=\"no-btn vx-fs-11 vx-fw-500 vx-txt-blue vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(false)\">No</button>\n          <button class=\"yes-btn vx-fs-11 vx-fw-500 vx-txt-white vx-tt-uppercase vx-p-0 vx-d-flex vx-align-center vx-justify-center\" (click)=\"activate(true)\">Yes</button>\n        </div>\n      </div>\n    </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/mixin/mixin.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/display/display.css\";@import\"https://cdn.v-comply.com/design-system/css/alignment/alignment.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";.alert-dialog{position:fixed;inset:0;display:flex;justify-content:center;align-items:center}.alert-dialog-container{width:34.5rem;border-radius:.25rem;animation:scale-up-center .2s cubic-bezier(.39,.575,.565,1) 50ms both}.alert-dialog-body{background:#fbfbfb;border-radius:.25rem .25rem 0 0;padding:2.375rem 1rem 2.5rem}.alert-dialog-icon{background:#fff;border:2px solid #DBDBDB;width:4rem;height:4rem;border-radius:50%;margin:0 auto 2.375rem}.alert-dialog-icon i{color:#1e5dd3;font-size:2rem}.alert-dialog-footer{border-top:1px solid #F1F1F1;background:#fff;border-radius:0 0 .25rem .25rem}.alert-dialog-footer button{border-radius:.125rem;height:2rem;width:5rem}.alert-dialog-footer button.no-btn{background:#fff;border:1px solid #DBDBDB}.alert-dialog-footer button.yes-btn{background:#1e5dd3;border:1px solid #1e5dd3}.alert-dialog-footer button+button{margin-left:.25rem}@keyframes lift-up{0%{top:0}50%{top:-35px}to{top:0}}@keyframes scale-up-center{0%{transform:scale(.5);opacity:0}to{transform:scale(1);opacity:1}}\n"] }]
        }], ctorParameters: function () { return [{ type: DialogRef }, { type: DialogConfig }]; } });

class ActionDialogModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ActionDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ActionDialogModule, declarations: [DeleteComponent, DeactivateComponent, ActiveComponent, DuplicateComponent], imports: [CommonModule], exports: [DeleteComponent, ActiveComponent, DeactivateComponent, DuplicateComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ActionDialogModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ActionDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DeleteComponent, DeactivateComponent, ActiveComponent, DuplicateComponent],
                    exports: [DeleteComponent, ActiveComponent, DeactivateComponent, DuplicateComponent],
                    imports: [CommonModule],
                }]
        }] });

class RolesListComponent {
    constructor() {
        this.animation = true;
        this.roleList = false;
        this.ASSETS = ASSETS;
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
    }
    clickRoleList() {
        this.roleList = !this.roleList;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RolesListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: RolesListComponent, selector: "app-roles-list", ngImport: i0, template: "<div class=\"roles-list\" [class.animate]=\"animation\">\n  <div class=\"roles-list-head\">\n    <h3 class=\"roles-list-title\">Select Roles(s)</h3>\n  </div>\n\n  <div class=\"roles-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input type=\"text\" placeholder=\"Search Roles\" />\n    </div>\n\n    <div *ngIf=\"true\" class=\"roles-list-mid vx-mt-2\">\n      <div class=\"role-box-select vx-pb-2\">\n        <app-cs-checkbox>\n          <div class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt\">\n            Select All\n          </div>\n        </app-cs-checkbox>\n        <app-cs-checkbox-indeterminate>\n          <div class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt\">\n            Deselect All\n          </div>\n        </app-cs-checkbox-indeterminate>\n      </div>\n\n      <div class=\"role-box vx-mb-2\" *ngFor=\"let data of [1, 1, 1]\">\n        <div\n          (click)=\"clickRoleList()\"\n          class=\"role-box-heading vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n        >\n          <div class=\"left vx-d-flex vx-align-center vx-lh-4\">\n            <app-cs-checkbox></app-cs-checkbox>\n            <div\n              class=\"name vx-fs-12 vx-label-txt\"\n              [appTooltip]=\"'Role name'\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n            >\n              Role name\n            </div>\n            <span\n              class=\"count vx-fs-9 vx-fw-600 vx-lh-3 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-ml-2\"\n              >10 PERMISSIONS</span\n            >\n          </div>\n          <div class=\"right vx-d-flex vx-align-center vx-justify-between\">\n            <div\n              class=\"status-label vx-fs-9 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1\"\n              [class.power-user]=\"true\"\n              [class.all-user]=\"false\"\n            >\n              Power User\n            </div>\n            <button\n              class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center\"\n            >\n              <i *ngIf=\"!roleList\" class=\"icons\">&#xe970;</i>\n              <i *ngIf=\"roleList\" class=\"icons\">&#xe9e8;</i>\n            </button>\n          </div>\n        </div>\n        <div class=\"role-box-list\" *ngIf=\"roleList\">\n          <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                Manage Roles\n                <span class=\"vx-fs-10 vx-paragraph-txt\"\n                  >(Create, Edit, Delete)</span\n                >\n              </div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">View User List</div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                Manage Users\n                <span class=\"vx-fs-10 vx-paragraph-txt\"\n                  >(Create/Edit/Delete/Deactivate)</span\n                >\n              </div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">Over-ride Log In</div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                View Statutory Holidays\n              </div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                Manage Statutory Holidays\n              </div>\n            </li>\n          </ul>\n        </div>\n      </div>\n    </div>\n\n    <app-no-data\n      *ngIf=\"false\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Roles Found'\"\n    ></app-no-data>\n  </div>\n\n  <div class=\"roles-list-footer\">\n    <app-floating-bar></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";::ng-deep .roles-list{background:#fff;position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3}::ng-deep .roles-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .roles-list-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .roles-list-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .roles-list-body{padding:24px 40px 24px 36px;height:calc(100vh - 124px)}::ng-deep .roles-list-body .search-block{position:relative}::ng-deep .roles-list-body .search-block input{height:44px;line-height:24px;padding:10px 16px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .roles-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .roles-list-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .roles-list-mid{width:calc(100% + .75rem);height:calc(100vh - 14rem);overflow:auto;padding-right:.75rem}::ng-deep .roles-list-mid .role-box{border:1px solid #f1f1f1;border-radius:.25rem}::ng-deep .roles-list-mid .role-box-select{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.75rem;width:100%}::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item .checkmark,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item .value,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item .value{margin:0!important}::ng-deep .roles-list-mid .role-box-heading{cursor:pointer}::ng-deep .roles-list-mid .role-box-heading .left{width:calc(100% - 6.5rem)}::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate{height:1rem}::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox .checkbox-item,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.75rem;height:1rem}::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox .checkbox-item .checkmark,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-heading .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 9.25rem)}::ng-deep .roles-list-mid .role-box-heading .left .count{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .roles-list-mid .role-box-heading .right{width:6.5rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label{border-radius:.125rem;height:.75rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label.all-user{background:#7aa6f7}::ng-deep .roles-list-mid .role-box-heading .right .status-label.power-user{background:#fadd8a}::ng-deep .roles-list-mid .role-box-heading .right button.arrow-btn{background:transparent;border:none;border-radius:0}::ng-deep .roles-list-mid .role-box-list ul{list-style-type:none}::ng-deep .roles-list-mid .role-box-list ul li{border-top:1px solid #f1f1f1;padding-left:2.5rem!important;position:relative}::ng-deep .roles-list-mid .role-box-list ul li:before{background:#dbdbdb;border-radius:.125rem;width:.25rem;height:.25rem;content:\"\";position:absolute;top:18px;left:18px}::ng-deep .roles-list-mid .role-box-list ul li .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;text-transform:capitalize}::ng-deep .roles-list-mid .role-box-list ul li app-cs-checkbox .checkbox-item{width:100%}::ng-deep .roles-list-mid .role-box-list ul li app-cs-checkbox .checkbox-item span.value{width:100%}::ng-deep .roles-list-mid .role-box-list ul li app-cs-checkbox .checkbox-item span.value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CsCheckboxComponent, selector: "app-cs-checkbox", inputs: ["disabled", "ngValue", "value", "readonly", "oneLine"], outputs: ["ngValueChange"] }, { kind: "component", type: CsCheckboxIndeterminateComponent, selector: "app-cs-checkbox-indeterminate", inputs: ["disabled", "ngValue", "value"], outputs: ["ngValueChange"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: NoDataComponent, selector: "app-no-data", inputs: ["action", "noDataImage", "noDataText", "noDataButton", "noDataSecButton", "altText", "smallButton", "button"], outputs: ["buttonAction"] }, { kind: "component", type: FloatingBarComponent, selector: "app-floating-bar", inputs: ["selectedData", "selectedGroups", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "defaultSelected", "groupsEnabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "deleteGroupEvent", "workflowTypeChanged"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RolesListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-roles-list', template: "<div class=\"roles-list\" [class.animate]=\"animation\">\n  <div class=\"roles-list-head\">\n    <h3 class=\"roles-list-title\">Select Roles(s)</h3>\n  </div>\n\n  <div class=\"roles-list-body\">\n    <div class=\"search-block\">\n      <i class=\"icons\">&#xe90b;</i>\n      <input type=\"text\" placeholder=\"Search Roles\" />\n    </div>\n\n    <div *ngIf=\"true\" class=\"roles-list-mid vx-mt-2\">\n      <div class=\"role-box-select vx-pb-2\">\n        <app-cs-checkbox>\n          <div class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt\">\n            Select All\n          </div>\n        </app-cs-checkbox>\n        <app-cs-checkbox-indeterminate>\n          <div class=\"user-name vx-fs-12 vx-fw-600 vx-label-txt\">\n            Deselect All\n          </div>\n        </app-cs-checkbox-indeterminate>\n      </div>\n\n      <div class=\"role-box vx-mb-2\" *ngFor=\"let data of [1, 1, 1]\">\n        <div\n          (click)=\"clickRoleList()\"\n          class=\"role-box-heading vx-d-flex vx-align-center vx-justify-between vx-p-3\"\n        >\n          <div class=\"left vx-d-flex vx-align-center vx-lh-4\">\n            <app-cs-checkbox></app-cs-checkbox>\n            <div\n              class=\"name vx-fs-12 vx-label-txt\"\n              [appTooltip]=\"'Role name'\"\n              placement=\"bottom-left\"\n              delay=\"0\"\n              type=\"black\"\n              [tooltipMandatory]=\"false\"\n            >\n              Role name\n            </div>\n            <span\n              class=\"count vx-fs-9 vx-fw-600 vx-lh-3 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-ml-2\"\n              >10 PERMISSIONS</span\n            >\n          </div>\n          <div class=\"right vx-d-flex vx-align-center vx-justify-between\">\n            <div\n              class=\"status-label vx-fs-9 vx-fw-500 vx-txt-white vx-tt-uppercase vx-pl-1 vx-pr-1\"\n              [class.power-user]=\"true\"\n              [class.all-user]=\"false\"\n            >\n              Power User\n            </div>\n            <button\n              class=\"arrow-btn vx-fs-12 vx-paragraph-txt vx-m-0 vx-p-0 vx-d-flex vx-align-center\"\n            >\n              <i *ngIf=\"!roleList\" class=\"icons\">&#xe970;</i>\n              <i *ngIf=\"roleList\" class=\"icons\">&#xe9e8;</i>\n            </button>\n          </div>\n        </div>\n        <div class=\"role-box-list\" *ngIf=\"roleList\">\n          <ul class=\"vx-p-0 vx-m-0\">\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                Manage Roles\n                <span class=\"vx-fs-10 vx-paragraph-txt\"\n                  >(Create, Edit, Delete)</span\n                >\n              </div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">View User List</div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                Manage Users\n                <span class=\"vx-fs-10 vx-paragraph-txt\"\n                  >(Create/Edit/Delete/Deactivate)</span\n                >\n              </div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">Over-ride Log In</div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                View Statutory Holidays\n              </div>\n            </li>\n            <li class=\"vx-p-3 vx-lh-4\">\n              <div class=\"value vx-fs-12 vx-label-txt\">\n                Manage Statutory Holidays\n              </div>\n            </li>\n          </ul>\n        </div>\n      </div>\n    </div>\n\n    <app-no-data\n      *ngIf=\"false\"\n      [noDataImage]=\"ASSETS.search_data\"\n      [noDataText]=\"'No Roles Found'\"\n    ></app-no-data>\n  </div>\n\n  <div class=\"roles-list-footer\">\n    <app-floating-bar></app-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";::ng-deep .roles-list{background:#fff;position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3}::ng-deep .roles-list.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .roles-list-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .roles-list-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .roles-list-body{padding:24px 40px 24px 36px;height:calc(100vh - 124px)}::ng-deep .roles-list-body .search-block{position:relative}::ng-deep .roles-list-body .search-block input{height:44px;line-height:24px;padding:10px 16px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .roles-list-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .roles-list-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .roles-list-mid{width:calc(100% + .75rem);height:calc(100vh - 14rem);overflow:auto;padding-right:.75rem}::ng-deep .roles-list-mid .role-box{border:1px solid #f1f1f1;border-radius:.25rem}::ng-deep .roles-list-mid .role-box-select{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.75rem;width:100%}::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item .checkmark,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-select app-cs-checkbox .checkbox-item .value,::ng-deep .roles-list-mid .role-box-select app-cs-checkbox-indeterminate .checkbox-item .value{margin:0!important}::ng-deep .roles-list-mid .role-box-heading{cursor:pointer}::ng-deep .roles-list-mid .role-box-heading .left{width:calc(100% - 6.5rem)}::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate{height:1rem}::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox .checkbox-item,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate .checkbox-item{position:relative;padding-left:1.75rem;height:1rem}::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox .checkbox-item .checkmark,::ng-deep .roles-list-mid .role-box-heading .left app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .roles-list-mid .role-box-heading .left .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;max-width:calc(100% - 9.25rem)}::ng-deep .roles-list-mid .role-box-heading .left .count{background:#f1f1f1;border-radius:.125rem;color:#042e7d}::ng-deep .roles-list-mid .role-box-heading .right{width:6.5rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label{border-radius:.125rem;height:.75rem}::ng-deep .roles-list-mid .role-box-heading .right .status-label.all-user{background:#7aa6f7}::ng-deep .roles-list-mid .role-box-heading .right .status-label.power-user{background:#fadd8a}::ng-deep .roles-list-mid .role-box-heading .right button.arrow-btn{background:transparent;border:none;border-radius:0}::ng-deep .roles-list-mid .role-box-list ul{list-style-type:none}::ng-deep .roles-list-mid .role-box-list ul li{border-top:1px solid #f1f1f1;padding-left:2.5rem!important;position:relative}::ng-deep .roles-list-mid .role-box-list ul li:before{background:#dbdbdb;border-radius:.125rem;width:.25rem;height:.25rem;content:\"\";position:absolute;top:18px;left:18px}::ng-deep .roles-list-mid .role-box-list ul li .value{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;text-transform:capitalize}::ng-deep .roles-list-mid .role-box-list ul li app-cs-checkbox .checkbox-item{width:100%}::ng-deep .roles-list-mid .role-box-list ul li app-cs-checkbox .checkbox-item span.value{width:100%}::ng-deep .roles-list-mid .role-box-list ul li app-cs-checkbox .checkbox-item span.value .name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}\n"] }]
        }], ctorParameters: function () { return []; } });

class PaginationModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule, declarations: [PaginationComponent], imports: [CommonModule,
            FormsModule], exports: [PaginationComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule, imports: [CommonModule,
            FormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PaginationModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        PaginationComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule
                    ],
                    exports: [
                        PaginationComponent
                    ]
                }]
        }] });

class FrameworkService {
    constructor(http, authService, config) {
        this.http = http;
        this.authService = authService;
        if (config) {
            this.env = config.envConfig;
        }
    }
    fetchFrameworkCount() {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.programEndpoint + '/frameworkcount', { headers }).pipe(retry$1(2));
    }
    fetchFrameworkInCategory(payload) {
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        let queryParams = `?type=${payload?.type}&limit=30&page=${payload?.page}`;
        if (payload.search) {
            queryParams += `&name=${payload.search}`;
        }
        return this.http.get(this.env.programEndpoint + '/framework' + queryParams, { headers }).pipe(retry$1(2));
    }
    fetchCategoryForFramework(id) {
        // https://devapi.v-comply.com/program/framework/627a2d09c97c58536c9872f4
        const headers = new HttpHeaders().set('token', this.authService.getAuthorizationToken());
        return this.http.get(this.env.programEndpoint + '/framework/' + id, { headers }).pipe(retry$1(2));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkService, deps: [{ token: i1.HttpClient }, { token: AuthService$1 }, { token: Configurations, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FrameworkService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }, { type: AuthService$1 }, { type: Configurations, decorators: [{
                    type: Optional
                }] }]; } });

class LoaderFrameworkComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderFrameworkComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LoaderFrameworkComponent, selector: "framework-loader", ngImport: i0, template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderFrameworkComponent, decorators: [{
            type: Component,
            args: [{ selector: 'framework-loader', template: "<div class=\"assessment-list-item\" *ngFor=\"let data of [1, 1, 1, 1, 1, 1, 1]\">\n    <div class=\"table-row\">\n        <div class=\"table-column serial\">\n            <div class=\"sr-no\"></div>\n        </div>\n        <div class=\"table-column name\">\n            <div class=\"loader\"></div>\n        </div>\n        <div class=\"table-column action\">\n            <div class=\"loader\"></div>\n        </div>\n    </div>\n</div>", styles: [".assessment-list-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}.assessment-list-item .table-row{display:flex;align-items:center;justify-content:space-between}.assessment-list-item .table-row .table-column{height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}.assessment-list-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;height:100%}.assessment-list-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}.assessment-list-item .table-row .table-column.name .loader{width:calc(100% - 200px)}.assessment-list-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}.assessment-list-item .table-row .table-column.action .loader{width:28px}.loader{background:#f1f1f1;border-radius:20px;height:10px}\n"] }]
        }], ctorParameters: function () { return []; } });

class PagerPipe {
    transform(value, ...args) {
        if (value === 1) {
            return args[0] + 1;
        }
        else {
            return (value - 1) * 30 + args[0] + 1;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PagerPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PagerPipe, name: "pager" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PagerPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'pager',
                }]
        }] });

class CategoryAllSelectPipe {
    transform(value, ...args) {
        const allElements = value.map((el) => el?._id);
        const inScope = args[0].map((el) => el?._id);
        for (let i = 0; i < allElements.length; i++) {
            if (!inScope.includes(allElements[i])) {
                return false;
            }
        }
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryAllSelectPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CategoryAllSelectPipe, name: "categoryAllSelect" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryAllSelectPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'categoryAllSelect',
                }]
        }] });

class SubCatIndeterPipe {
    transform(value, ...args) {
        const allElements = value.map((el) => el?._id);
        const inScope = args[0].map((el) => el?._id);
        const filtredIds = inScope.filter((ele) => allElements.includes(ele));
        if (filtredIds?.length &&
            allElements?.sort()?.toString() !== filtredIds?.sort()?.toString()) {
            return true;
        }
        else {
            return false;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SubCatIndeterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SubCatIndeterPipe, name: "subCatIndeter", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SubCatIndeterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'subCatIndeter',
                    pure: false,
                }]
        }] });

class SearchNewPipe {
    transform(value, args) {
        if (!value)
            return null;
        if (!args)
            return value;
        args = args.toLowerCase();
        return value.filter((item) => {
            return JSON.stringify(item).toLowerCase().includes(args);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchNewPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SearchNewPipe, name: "searchPipe" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SearchNewPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'searchPipe'
                }]
        }] });

class DefineFrameworkListingComponent {
    set setFramework(value) {
        if (value && value?._id) {
            this.selectedFramework = value;
            this.activeFrameworkType =
                ['OTHERS', 'REGULATIONS', 'STANDARDS', 'INTERNAL_CONTROLS'][value?.type] ?? 1;
            this.currentView = 'FRAMEWORK';
            this.inScope = value?.in_scope;
            this.inScopeIds = this.inScope.map((ele) => ele?._id);
            this.loadFrameworkData();
        }
    }
    constructor(frameworkService) {
        this.frameworkService = frameworkService;
        this.cancel = new EventEmitter();
        this.next = new EventEmitter();
        this.mode = 'CREATE';
        this.ASSETS = ASSETS;
        this.animation = true;
        this.isMainLoader = true;
        this.frameworkCount = null;
        this.searchKey = '';
        this.apiFrameworkPayload = {
            page: 1,
            search: '',
            type: 1,
        };
        this.currentView = 'FRAMEWORK_CATEGORY';
        this.activeFrameworkType = 'REGULATIONS';
        this.frameworkTypes = {
            REGULATIONS: 1,
            STANDARDS: 2,
            INTERNAL_CONTROLS: 3,
            OTHERS: 0,
        };
        this.frameworkData = [];
        this.expandedFrameworkId = '';
        //////////////////
        this.searchKeyforFramework = '';
        this.selectedFrameworkData = null;
        this.allControls = [];
        this.inScope = [];
        this.outScope = [];
        this.inScopeIds = [];
        this.allControlsSelected = false;
        this.issubLoading = true;
        this.expandedSubCategoryIds = [];
    }
    ngOnInit() {
        this.animation = true;
        setTimeout(() => {
            this.animation = false;
        }, 300);
        this.fetchFrameworkCount();
        this.fetchFrameworkCategoryList();
    }
    fetchFrameworkCount() {
        this.frameworkService.fetchFrameworkCount().subscribe({
            next: (res) => {
                this.frameworkCount = res;
            },
            error: (err) => {
                //handle error here
            },
        });
    }
    changeType(type) {
        this.activeFrameworkType = type;
        this.apiFrameworkPayload.page = 1;
        this.apiFrameworkPayload.type = this.frameworkTypes[type];
        this.frameworkListSubscription
            ? this.frameworkListSubscription.unsubscribe()
            : null;
        this.fetchFrameworkCategoryList();
    }
    executeSearch() {
        this.apiFrameworkPayload.page = 1;
        this.apiFrameworkPayload.search = this.searchKey;
        this.fetchFrameworkCategoryList();
    }
    pageChanged(evt) {
        this.apiFrameworkPayload.page = evt;
        this.fetchFrameworkCategoryList();
    }
    fetchFrameworkCategoryList() {
        this.isMainLoader = true;
        this.frameworkListSubscription = this.frameworkService
            .fetchFrameworkInCategory(this.apiFrameworkPayload)
            .subscribe({
            next: (res) => {
                this.frameworkData = res;
                this.isMainLoader = false;
            },
            error: () => {
                this.isMainLoader = false;
            },
        });
    }
    selectFramework(evt, framework) {
        if (evt?.target?.checked) {
            this.selectedFramework = framework;
        }
    }
    expandCollapseFramework(framework) {
        if (this.expandedFrameworkId === framework?._id) {
            this.expandedFrameworkId = '';
        }
        else {
            this.expandedFrameworkId = framework?._id;
        }
    }
    removeSelectedFramework() {
        this.selectedFramework = null;
        this.selectedFrameworkData = null;
    }
    loadFrameworkData() {
        this.issubLoading = true;
        this.frameworkService
            .fetchCategoryForFramework(this.selectedFramework?._id)
            .subscribe({
            next: (res) => {
                this.selectedFrameworkData = res;
                this.checkAllElements(this.mode === 'EDIT' ? false : true);
                this.issubLoading = false;
            },
            error: () => {
                this.issubLoading = false;
            },
        });
    }
    checkAllElements(populateInScope) {
        let allElement = [];
        this.selectedFrameworkData.data?.child_list_details?.forEach((element) => {
            element?.controlsData.forEach((el) => {
                allElement.push(el);
            });
        });
        this.allControls = this.uniqueByProp(allElement, '_id');
        if (populateInScope) {
            this.inScope = this.uniqueByProp(allElement, '_id');
        }
        this.checkSelectAll();
        this.setInscopeIds();
    }
    checkSelectAll() {
        const allIds = this.allControls.map((ele) => ele?._id);
        const inScopeIds = this.inScope.map((ele) => ele?._id);
        this.allControlsSelected =
            allIds.sort()?.toString() === inScopeIds.sort()?.toString();
    }
    selectAll(evt) {
        if (evt?.target?.checked) {
            this.checkAllElements(true);
        }
        else {
            this.inScope = [];
            this.inScopeIds = [];
        }
        this.checkSelectAll();
    }
    setInscopeIds() {
        this.inScopeIds = this.inScope.map((el) => el?._id);
    }
    selectItem(evt, payload) {
        evt?.target?.checked === true
            ? this.manipulateItem('ADD', payload)
            : this.manipulateItem('DELETE', payload);
    }
    manipulateItem(action, payload) {
        if (action === 'ADD') {
            this.inScope = this.uniqueByProp([...this.inScope, ...[payload]], '_id');
            this.inScopeIds = this.inScope.map((ele) => ele?._id);
        }
        else if (action === 'DELETE') {
            let index = this.inScope.findIndex((ele) => ele?._id === payload?._id);
            if (index > -1) {
                this.inScope = this.inScope.filter((ele) => ele?._id !== payload?._id);
                this.inScopeIds = this.inScope.map((ele) => ele?._id);
            }
        }
        this.checkSelectAll();
    }
    selectCategory(evt, payload) {
        evt?.target?.checked === true
            ? this.manipulateCategory('ADD', payload)
            : this.manipulateCategory('DELETE', payload);
    }
    manipulateCategory(action, payload) {
        if (action === 'ADD') {
            const itemsTobeAdded = payload?.controlsData;
            this.inScope = this.uniqueByProp([...this.inScope, ...itemsTobeAdded], '_id');
            this.inScopeIds = this.inScope.map((ele) => ele?._id);
        }
        else if (action === 'DELETE') {
            const itemsTobeRemoved = payload?.controlsData.map((el) => el._id);
            this.inScope = this.inScope.filter((ele) => !itemsTobeRemoved.includes(ele._id));
            this.inScopeIds = this.inScope.map((ele) => ele?._id);
        }
        this.checkSelectAll();
    }
    nextHandler() {
        if (this.currentView === 'FRAMEWORK_CATEGORY') {
            this.currentView = 'FRAMEWORK';
            this.loadFrameworkData();
        }
        else {
            this.next.emit({
                ...this.selectedFramework,
                in_scope: this.inScope,
                out_scope: this.allControls.filter((ele) => !this.inScopeIds.includes(ele?._id)),
            });
        }
    }
    cancelHandler() {
        if (this.currentView === 'FRAMEWORK') {
            this.currentView = 'FRAMEWORK_CATEGORY';
        }
        else {
            this.cancel.emit();
        }
    }
    subCategoryExpandCollapse(category) {
        const index = this.expandedSubCategoryIds.indexOf(category?._id);
        if (index < 0 && category?.controlsData?.length) {
            this.expandedSubCategoryIds.push(category?._id);
        }
        else {
            this.expandedSubCategoryIds.splice(index, 1);
        }
    }
    uniqueByProp(array, key) {
        return Array.from(array
            .reduce((acc, item) => (item && item[key] && acc.set(item[key], item), acc), new Map())
            .values());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DefineFrameworkListingComponent, deps: [{ token: FrameworkService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DefineFrameworkListingComponent, selector: "app-define-framework-listing", inputs: { mode: "mode", setFramework: ["selectedFramework", "setFramework"] }, outputs: { cancel: "cancel", next: "next" }, ngImport: i0, template: "<div class=\"define-framework-listing\" [class.animate]=\"animation\">\n  <ng-container *ngIf=\"currentView === 'FRAMEWORK_CATEGORY'\">\n    <div class=\"define-framework-listing-head\">\n      <h3 class=\"define-framework-listing-title\">Select a Framework</h3>\n    </div>\n\n    <div *ngIf=\"true\" class=\"define-framework-listing-body\">\n      <div class=\"vx-d-flex vx-align-center vx-mb-2\">\n        <div\n          (click)=\"changeType('REGULATIONS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'REGULATIONS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >REGULATIONS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.regulations ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n        <div\n          (click)=\"changeType('STANDARDS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'STANDARDS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >STANDARDS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.standards ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n        <div\n          (click)=\"changeType('INTERNAL_CONTROLS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'INTERNAL_CONTROLS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >INTERNAL CONTROLS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.internalControls ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n        <div\n          (click)=\"changeType('OTHERS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'OTHERS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >OTHERS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.others ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n      </div>\n\n      <div class=\"search-block\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Frameworks\"\n          [(ngModel)]=\"searchKey\"\n          (keyup.enter)=\"executeSearch()\"\n        />\n      </div>\n      <div class=\"vx-mt-2\" *ngIf=\"isMainLoader\">\n        <framework-loader></framework-loader>\n      </div>\n\n      <ng-container *ngIf=\"!isMainLoader && frameworkData?.total_items > 0\">\n        <div class=\"vx-mt-2\">\n          <vui-pagination\n            (pageChanged)=\"pageChanged($event)\"\n            [from]=\"frameworkData?.items_from\"\n            [to]=\"frameworkData?.items_to\"\n            [total]=\"frameworkData?.total_items\"\n            [totalPage]=\"frameworkData?.total_pages\"\n            [currentPage]=\"apiFrameworkPayload?.page\"\n          ></vui-pagination>\n        </div>\n        <div\n          class=\"define-framework-listing-table vx-mt-1\"\n          [class.with-pagination]=\"true\"\n        >\n          <div class=\"table-header\">\n            <!-- when checkbox was checked then show \"active\" class in table-row -->\n            <div class=\"table-row\" [class.active]=\"false\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n                <!-- <app-cs-checkbox *ngIf=\"true\"></app-cs-checkbox>\n                                <app-cs-checkbox-indeterminate *ngIf=\"false\"></app-cs-checkbox-indeterminate> -->\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n              >\n                FRAMEWORKS\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\"\n              ></div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-item\"\n              [class.open]=\"hideCategoryList\"\n              *ngFor=\"let framework of frameworkData?.data; let i = index\"\n            >\n              <!-- when checkbox was checked then show \"active\" class in table-row -->\n              <div\n                class=\"table-row main\"\n                (click)=\"expandCollapseFramework(framework)\"\n                [class.active]=\"\n                  selectedFramework?.framework_id === framework?.framework_id\n                \"\n                [class.disabled]=\"!framework?.child_list_details?.length\"\n              >\n                <div\n                  class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n                >\n                  <div class=\"sr-no\">\n                    {{ apiFrameworkPayload?.page | pager : i }}\n                  </div>\n                  <app-cs-radio\n                    [checked]=\"\n                      selectedFramework?.framework_id ===\n                      framework?.framework_id\n                    \"\n                    (checkedEvent)=\"selectFramework($event, framework)\"\n                  ></app-cs-radio>\n                </div>\n                <div\n                  class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n                >\n                  <div\n                    class=\"category-name vx-fs-13 vx-label-txt\"\n                    [appTooltip]=\"framework?.framework_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ framework?.framework_name }}\n                  </div>\n                </div>\n                <div\n                  class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center action\"\n                >\n                  <button\n                    class=\"arrow-btn vx-fs-14 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  >\n                    <i\n                      class=\"icons vx-d-flex\"\n                      (click)=\"expandCollapseFramework(framework)\"\n                    >\n                      <ng-container\n                        *ngIf=\"expandedFrameworkId !== framework?.framework_id\"\n                        >&#xe970;</ng-container\n                      >\n                      <ng-container\n                        *ngIf=\"expandedFrameworkId === framework?.framework_id\"\n                        >&#xe9e8;</ng-container\n                      >\n                    </i>\n                  </button>\n                </div>\n              </div>\n              <!-- sub table -->\n              <ng-container *ngIf=\"expandedFrameworkId === framework?._id\">\n                <div\n                  class=\"table-row child\"\n                  *ngFor=\"\n                    let subCat of framework?.child_list_details;\n                    let x = index\n                  \"\n                >\n                  <div\n                    class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n                  >\n                    <div\n                      class=\"sr-no\"\n                      [appTooltip]=\"\"\n                      placement=\"bottom\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"true\"\n                    >\n                      {{\n                        (apiFrameworkPayload?.page | pager : i) + \".\" + (x + 1)\n                      }}\n                    </div>\n                  </div>\n                  <div\n                    class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n                  >\n                    <div class=\"vx-d-block vx-w-100\">\n                      <div\n                        class=\"category-name vx-fs-12 vx-paragraph-txt\"\n                        [appTooltip]=\"subCat?.name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ subCat?.name }}\n                      </div>\n                      <div class=\"within\" *ngIf=\"false\">\n                        <div class=\"block\">WITHIN</div>\n                        <div\n                          class=\"data\"\n                          [appTooltip]=\"'Kolkata > America > South Africa'\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          Kolkata > America > South Africa\n                        </div>\n                      </div>\n                    </div>\n                  </div>\n                  <div\n                    class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center action\"\n                  ></div>\n                </div>\n              </ng-container>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n      <app-no-data\n        *ngIf=\"!isMainLoader && frameworkData?.total_items <= 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Frameworks Found'\"\n      ></app-no-data>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"currentView === 'FRAMEWORK'\">\n    <div class=\"define-framework-listing-head\">\n      <h3 class=\"define-framework-listing-title\">\n        Framework: {{ selectedFramework?.framework_name }}\n      </h3>\n    </div>\n\n    <div\n      *ngIf=\"true\"\n      class=\"define-framework-listing-body after-framework-listing\"\n    >\n      <div class=\"vx-d-flex vx-align-center vx-mb-2\">\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"true\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >TOTAL RESPONSIBILITIES</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ allControls?.length }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"false\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >RESPONSIBILITIES IN SCOPE</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ inScope.length }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"false\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >RESPONSIBILITIES NOT IN SCOPE</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ allControls?.length - inScope?.length }}</span\n            >\n          </div>\n        </div>\n      </div>\n\n      <div class=\"search-block\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          [(ngModel)]=\"searchKeyforFramework\"\n          type=\"text\"\n          placeholder=\"Search\"\n        />\n      </div>\n      <!-- <div class=\"vx-mt-2\">\n                <vui-pagination></vui-pagination>\n            </div> -->\n      <div\n        class=\"define-framework-listing-table vx-mt-1\"\n        [class.with-pagination]=\"true\"\n      >\n        <div class=\"vx-mt-2\" *ngIf=\"issubLoading\">\n          <framework-loader></framework-loader>\n        </div>\n        <ng-container *ngIf=\"!issubLoading\">\n          <ng-container\n            *ngIf=\"\n              selectedFrameworkData?.data?.child_list_details\n                | searchPipe : searchKeyforFramework as frameworkCat\n            \"\n          >\n            <ng-container *ngIf=\"frameworkCat?.length\">\n              <div class=\"selected-area\">\n                <vui-checkbox\n                  #check\n                  (change)=\"selectAll($event)\"\n                  [disabled]=\"allControls?.length < 1\"\n                  [checked]=\"\n                    (allControlsSelected && isScope?.length > 0) ||\n                    inScope?.length > 0\n                  \"\n                  [indeterminateEnabled]=\"\n                    inScope?.length > 0 && !allControlsSelected\n                  \"\n                >\n                  {{ check?.checked ? \"Deselect All\" : \"Select All\" }}\n                </vui-checkbox>\n              </div>\n\n              <div\n                class=\"program-listing-item\"\n                [class.active]=\"subList\"\n                *ngFor=\"let subCat of frameworkCat; let k = index\"\n              >\n                <div\n                  class=\"table-row main-list\"\n                  [class.active]=\"false\"\n                  [class.disabled]=\"!subCat?.controlsData?.length\"\n                  (click)=\"subCategoryExpandCollapse(subCat)\"\n                >\n                  <div class=\"table-column serial\">\n                    <div class=\"sr-no\">{{ k + 1 }}</div>\n\n                    <vui-checkbox\n                      [indeterminateEnabled]=\"\n                        subCat?.controlsData | subCatIndeter : inScope\n                      \"\n                      [checked]=\"\n                        ((subCat?.controlsData | categoryAllSelect : inScope) ||\n                          (subCat?.controlsData | subCatIndeter : inScope)) &&\n                        subCat?.controlsData?.length\n                      \"\n                      (change)=\"selectCategory($event, subCat)\"\n                    ></vui-checkbox>\n                  </div>\n                  <div class=\"table-column name\">\n                    <div class=\"name-inner\">\n                      <div class=\"name-with-count\">\n                        <div\n                          class=\"value\"\n                          [appTooltip]=\"subCat?.name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          {{ subCat?.name }}\n                        </div>\n                        <span class=\"count\">{{\n                          subCat?.controlsData?.length\n                        }}</span>\n                      </div>\n                      <div class=\"within-part\" *ngIf=\"false\">\n                        <span class=\"within-box\">Within</span>\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"'South Africa > America > India'\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                          >South Africa > America > India</span\n                        >\n                      </div>\n                    </div>\n                  </div>\n                  <div class=\"table-column action\">\n                    <button\n                      class=\"arrow\"\n                      [class.disabled]=\"!subCat?.controlsData?.length\"\n                    >\n                      <i\n                        *ngIf=\"!expandedSubCategoryIds.includes(subCat?._id)\"\n                        class=\"icons\"\n                        >&#xe970;</i\n                      >\n                      <i\n                        *ngIf=\"expandedSubCategoryIds.includes(subCat?._id)\"\n                        class=\"icons\"\n                        >&#xe9e8;</i\n                      >\n                    </button>\n                  </div>\n                </div>\n                <div\n                  class=\"sub-list\"\n                  *ngIf=\"expandedSubCategoryIds.includes(subCat?._id)\"\n                >\n                  <div\n                    class=\"table-row\"\n                    [class.disabled]=\"false\"\n                    *ngFor=\"let control of subCat?.controlsData; let c = index\"\n                  >\n                    <div class=\"table-column serial\">\n                      <div class=\"sr-no\">{{ k + 1 + \".\" + (c + 1) }}</div>\n                      <vui-checkbox\n                        [checked]=\"inScopeIds.includes(control?._id)\"\n                        (change)=\"selectItem($event, control)\"\n                      ></vui-checkbox>\n                    </div>\n                    <div class=\"table-column name\">\n                      <div class=\"name-inner\">\n                        <div\n                          class=\"value\"\n                          [appTooltip]=\"control?.name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          {{ control?.name }}\n                        </div>\n                      </div>\n                    </div>\n                    <div class=\"table-column action\"></div>\n                  </div>\n                </div>\n              </div>\n            </ng-container>\n            <app-no-data\n              *ngIf=\"!frameworkCat?.length\"\n              [noDataImage]=\"ASSETS.search_data\"\n              [noDataText]=\"'No Frameworks Found'\"\n            ></app-no-data>\n          </ng-container>\n        </ng-container>\n      </div>\n    </div>\n  </ng-container>\n  <div class=\"define-framework-listing-footer\">\n    <vui-floating-bar\n      (closeEvent)=\"nextHandler()\"\n      (closeList)=\"cancelHandler()\"\n      *ngIf=\"currentView === 'FRAMEWORK_CATEGORY'\"\n      [nextDisabled]=\"!selectedFramework?._id\"\n    >\n      <div class=\"chip\" *ngIf=\"selectedFramework\">\n        <ng-container>\n          <i class=\"icons\" (click)=\"removeSelectedFramework()\">&#xe90d;</i>\n          <span class=\"value\"> {{ selectedFramework?.framework_name }}</span>\n        </ng-container>\n      </div>\n    </vui-floating-bar>\n    <vui-floating-bar\n      (closeEvent)=\"nextHandler()\"\n      (closeList)=\"cancelHandler()\"\n      *ngIf=\"currentView === 'FRAMEWORK'\"\n      [nextDisabled]=\"inScope?.length < 1\"\n    ></vui-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .define-framework-listing{background:#fff;position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3}::ng-deep .define-framework-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .define-framework-listing-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .define-framework-listing-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .define-framework-listing-body{padding:24px 40px 24px 36px;height:calc(100vh - 124px)}::ng-deep .define-framework-listing-body .search-block{position:relative}::ng-deep .define-framework-listing-body .search-block input{height:44px;line-height:24px;padding:10px 16px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .define-framework-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .define-framework-listing-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .define-framework-listing-body.after-framework-listing .define-framework-listing-table{height:calc(100vh - 12.75rem)}::ng-deep .define-framework-listing-body.after-framework-listing .define-framework-listing-table.with-pagination{height:calc(100vh - 15.5rem)}::ng-deep .define-framework-listing-table{width:calc(100% + .75rem);height:calc(100vh - 16.75rem);overflow:auto;padding-right:.75rem}::ng-deep .define-framework-listing-table.with-pagination{height:calc(100vh - 19.5rem)}::ng-deep .define-framework-listing-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .define-framework-listing-table .table-header .table-row .table-column{color:#161b2f!important;min-height:1.5rem!important}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial{position:relative}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:.125rem;position:absolute;top:.25rem;left:.5rem;width:1rem;height:1rem;transition:all .2s ease-in-out;opacity:0}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox .checkbox-item,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-header .table-row:hover .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-header .table-row.active .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-header .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-header .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .define-framework-listing-table .table-body{position:relative}::ng-deep .define-framework-listing-table .table-body .table-item{border:1px solid #f1f1f1;border-radius:.25rem;margin-bottom:.25rem}::ng-deep .define-framework-listing-table .table-body .table-item.open{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .define-framework-listing-table .table-body .table-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-body .table-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-body .table-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-body .table-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-body .table-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .define-framework-listing-table .table-body .table-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .define-framework-listing-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .define-framework-listing-table .table-row.main{cursor:pointer}::ng-deep .define-framework-listing-table .table-row.child{border-top:1px solid #f1f1f1}::ng-deep .define-framework-listing-table .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .define-framework-listing-table .table-row .table-column.serial{width:2rem;max-width:2rem;flex:0 0 2rem;justify-content:center;position:relative}::ng-deep .define-framework-listing-table .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio{background:#fff;border-radius:50%;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;transition:all .2s ease-in-out;opacity:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio .radio-item{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio .radio-item .radio,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio .radio-item .radiomark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:50%;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;transition:all .2s ease-in-out;opacity:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox .checkbox-item,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkboxmark,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkboxmark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.category{width:calc(100% - 4.5rem);min-width:calc(100% - 4.5rem)}::ng-deep .define-framework-listing-table .table-row .table-column.category .category-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .define-framework-listing-table .table-row .table-column.category .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .define-framework-listing-table .table-row .table-column.category .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .define-framework-listing-table .table-row .table-column.category .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks{width:calc(100% - 26rem);min-width:calc(100% - 26rem)}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .frameworks-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .define-framework-listing-table .table-row .table-column.in-scope{width:10rem;min-width:10rem}::ng-deep .define-framework-listing-table .table-row .table-column.in-scope .scope{border:1px solid #dbdbdb;border-radius:.125rem;min-width:1.75rem}::ng-deep .define-framework-listing-table .table-row .table-column.not-in-scope{width:11rem;min-width:11rem}::ng-deep .define-framework-listing-table .table-row .table-column.not-in-scope .scope{border:1px solid #dbdbdb;border-radius:.125rem;min-width:1.75rem}::ng-deep .define-framework-listing-table .table-row .table-column.action{width:2.5rem;min-width:2.5rem}::ng-deep .define-framework-listing-table .table-row .table-column.action button.arrow-btn{background:transparent;border-radius:0;border:none}::ng-deep .define-framework-listing-table .selected-area{background:#fff;height:32px;position:sticky;top:0;z-index:1}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:100%;height:16px}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item{width:100%;position:relative}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item .checkmark,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item .value,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{color:#161b2f!important;font-size:12px!important;font-weight:500!important;margin-left:24px!important}::ng-deep .define-framework-listing-table .program-listing-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .define-framework-listing-table .program-listing-item .main-list{cursor:pointer}::ng-deep .define-framework-listing-table .program-listing-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .define-framework-listing-table .program-listing-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .define-framework-listing-table .program-listing-item .table-row.disabled{pointer-events:none}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{position:absolute;top:14px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:16px;height:16px;top:16px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial vui-checkbox{background:#fff;border-radius:2px;position:absolute;top:16px;left:8px;width:16px;height:16px;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial vui-checkbox .checkbox-item{position:static}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner .count{background:#1e5dd3;border-radius:20px;color:#fff;font-size:9px;font-weight:500;line-height:16px;min-width:24px;display:inline-block;text-align:center;padding:0 4px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial vui-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial vui-checkbox{opacity:1}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row .table-column.name .name-inner .value{color:#747576;font-size:12px}::ng-deep .define-framework-listing-table .program-listing-item.active .table-row .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item.active .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item.active .table-row .table-column.serial app-cs-checkbox-indeterminate{opacity:1}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}.disabled{pointer-events:none;opacity:.7}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: ToolTipDirective, selector: "[appTooltip]", inputs: ["appTooltip", "placement", "type", "tooltipMandatory", "showTooltip", "animate"] }, { kind: "component", type: PaginationComponent, selector: "vui-pagination", inputs: ["from", "to", "total", "showPageDetail", "totalPage", "currentPage", "pageInSingleView"], outputs: ["pageChanged"] }, { kind: "directive", type: i1$3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: NoDataComponentUI, selector: "app-no-data", inputs: ["action", "secondaryAction", "noDataImage", "noDataText", "noDataButton", "secondaryButton", "noDataSecButton", "altText", "smallButton"], outputs: ["buttonAction", "secondaryActionButton"] }, { kind: "component", type: CsRadioComponentUI, selector: "app-cs-radio", inputs: ["disabled", "readonly", "name", "checked", "value"], outputs: ["checkedEvent"] }, { kind: "component", type: CheckboxComponent$1, selector: "vui-checkbox", inputs: ["disabled", "checked", "indeterminateEnabled"] }, { kind: "component", type: VuiFloatingBarComponent, selector: "vui-floating-bar", inputs: ["selectedData", "groupSelected", "displayElementKey", "elementId", "singularText", "pluralText", "showNextButton", "showFrequencyText", "showWorkflow", "workflowText", "currentFrequency", "isDisabled", "workflowList", "selectedWorkflow", "workflowPlaceHolder", "mode", "nextDisabled", "nonRemovableUsersList", "removePosition"], outputs: ["closeEvent", "deleteEvent", "closeList", "workflowTypeChanged"] }, { kind: "component", type: LoaderFrameworkComponent, selector: "framework-loader" }, { kind: "pipe", type: PagerPipe, name: "pager" }, { kind: "pipe", type: CategoryAllSelectPipe, name: "categoryAllSelect" }, { kind: "pipe", type: SubCatIndeterPipe, name: "subCatIndeter" }, { kind: "pipe", type: SearchNewPipe, name: "searchPipe" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DefineFrameworkListingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-define-framework-listing', template: "<div class=\"define-framework-listing\" [class.animate]=\"animation\">\n  <ng-container *ngIf=\"currentView === 'FRAMEWORK_CATEGORY'\">\n    <div class=\"define-framework-listing-head\">\n      <h3 class=\"define-framework-listing-title\">Select a Framework</h3>\n    </div>\n\n    <div *ngIf=\"true\" class=\"define-framework-listing-body\">\n      <div class=\"vx-d-flex vx-align-center vx-mb-2\">\n        <div\n          (click)=\"changeType('REGULATIONS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'REGULATIONS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >REGULATIONS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.regulations ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n        <div\n          (click)=\"changeType('STANDARDS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'STANDARDS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >STANDARDS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.standards ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n        <div\n          (click)=\"changeType('INTERNAL_CONTROLS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'INTERNAL_CONTROLS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >INTERNAL CONTROLS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.internalControls ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n        <div\n          (click)=\"changeType('OTHERS')\"\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"activeFrameworkType === 'OTHERS'\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >OTHERS</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ frameworkCount?.others ?? \"--\" }}</span\n            >\n          </div>\n        </div>\n      </div>\n\n      <div class=\"search-block\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          type=\"text\"\n          placeholder=\"Search Frameworks\"\n          [(ngModel)]=\"searchKey\"\n          (keyup.enter)=\"executeSearch()\"\n        />\n      </div>\n      <div class=\"vx-mt-2\" *ngIf=\"isMainLoader\">\n        <framework-loader></framework-loader>\n      </div>\n\n      <ng-container *ngIf=\"!isMainLoader && frameworkData?.total_items > 0\">\n        <div class=\"vx-mt-2\">\n          <vui-pagination\n            (pageChanged)=\"pageChanged($event)\"\n            [from]=\"frameworkData?.items_from\"\n            [to]=\"frameworkData?.items_to\"\n            [total]=\"frameworkData?.total_items\"\n            [totalPage]=\"frameworkData?.total_pages\"\n            [currentPage]=\"apiFrameworkPayload?.page\"\n          ></vui-pagination>\n        </div>\n        <div\n          class=\"define-framework-listing-table vx-mt-1\"\n          [class.with-pagination]=\"true\"\n        >\n          <div class=\"table-header\">\n            <!-- when checkbox was checked then show \"active\" class in table-row -->\n            <div class=\"table-row\" [class.active]=\"false\">\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n              >\n                #\n                <!-- <app-cs-checkbox *ngIf=\"true\"></app-cs-checkbox>\n                                <app-cs-checkbox-indeterminate *ngIf=\"false\"></app-cs-checkbox-indeterminate> -->\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n              >\n                FRAMEWORKS\n              </div>\n              <div\n                class=\"table-column vx-fs-10 vx-fw-500 vx-tt-uppercase vx-pl-1 vx-pr-1 vx-d-flex vx-align-center action\"\n              ></div>\n            </div>\n          </div>\n          <div class=\"table-body\">\n            <div\n              class=\"table-item\"\n              [class.open]=\"hideCategoryList\"\n              *ngFor=\"let framework of frameworkData?.data; let i = index\"\n            >\n              <!-- when checkbox was checked then show \"active\" class in table-row -->\n              <div\n                class=\"table-row main\"\n                (click)=\"expandCollapseFramework(framework)\"\n                [class.active]=\"\n                  selectedFramework?.framework_id === framework?.framework_id\n                \"\n                [class.disabled]=\"!framework?.child_list_details?.length\"\n              >\n                <div\n                  class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n                >\n                  <div class=\"sr-no\">\n                    {{ apiFrameworkPayload?.page | pager : i }}\n                  </div>\n                  <app-cs-radio\n                    [checked]=\"\n                      selectedFramework?.framework_id ===\n                      framework?.framework_id\n                    \"\n                    (checkedEvent)=\"selectFramework($event, framework)\"\n                  ></app-cs-radio>\n                </div>\n                <div\n                  class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n                >\n                  <div\n                    class=\"category-name vx-fs-13 vx-label-txt\"\n                    [appTooltip]=\"framework?.framework_name\"\n                    placement=\"bottom-left\"\n                    delay=\"0\"\n                    type=\"black\"\n                    [tooltipMandatory]=\"false\"\n                  >\n                    {{ framework?.framework_name }}\n                  </div>\n                </div>\n                <div\n                  class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center action\"\n                >\n                  <button\n                    class=\"arrow-btn vx-fs-14 vx-paragraph-txt vx-p-0 vx-m-0 vx-d-flex vx-align-center vx-justify-center\"\n                  >\n                    <i\n                      class=\"icons vx-d-flex\"\n                      (click)=\"expandCollapseFramework(framework)\"\n                    >\n                      <ng-container\n                        *ngIf=\"expandedFrameworkId !== framework?.framework_id\"\n                        >&#xe970;</ng-container\n                      >\n                      <ng-container\n                        *ngIf=\"expandedFrameworkId === framework?.framework_id\"\n                        >&#xe9e8;</ng-container\n                      >\n                    </i>\n                  </button>\n                </div>\n              </div>\n              <!-- sub table -->\n              <ng-container *ngIf=\"expandedFrameworkId === framework?._id\">\n                <div\n                  class=\"table-row child\"\n                  *ngFor=\"\n                    let subCat of framework?.child_list_details;\n                    let x = index\n                  \"\n                >\n                  <div\n                    class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center serial\"\n                  >\n                    <div\n                      class=\"sr-no\"\n                      [appTooltip]=\"\"\n                      placement=\"bottom\"\n                      delay=\"0\"\n                      type=\"black\"\n                      [tooltipMandatory]=\"true\"\n                    >\n                      {{\n                        (apiFrameworkPayload?.page | pager : i) + \".\" + (x + 1)\n                      }}\n                    </div>\n                  </div>\n                  <div\n                    class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center category\"\n                  >\n                    <div class=\"vx-d-block vx-w-100\">\n                      <div\n                        class=\"category-name vx-fs-12 vx-paragraph-txt\"\n                        [appTooltip]=\"subCat?.name\"\n                        placement=\"bottom-left\"\n                        delay=\"0\"\n                        type=\"black\"\n                        [tooltipMandatory]=\"false\"\n                      >\n                        {{ subCat?.name }}\n                      </div>\n                      <div class=\"within\" *ngIf=\"false\">\n                        <div class=\"block\">WITHIN</div>\n                        <div\n                          class=\"data\"\n                          [appTooltip]=\"'Kolkata > America > South Africa'\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          Kolkata > America > South Africa\n                        </div>\n                      </div>\n                    </div>\n                  </div>\n                  <div\n                    class=\"table-column vx-pl-1 vx-pr-1 vx-d-flex vx-align-center vx-justify-center action\"\n                  ></div>\n                </div>\n              </ng-container>\n            </div>\n          </div>\n        </div>\n      </ng-container>\n      <app-no-data\n        *ngIf=\"!isMainLoader && frameworkData?.total_items <= 0\"\n        [noDataImage]=\"ASSETS.search_data\"\n        [noDataText]=\"'No Frameworks Found'\"\n      ></app-no-data>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"currentView === 'FRAMEWORK'\">\n    <div class=\"define-framework-listing-head\">\n      <h3 class=\"define-framework-listing-title\">\n        Framework: {{ selectedFramework?.framework_name }}\n      </h3>\n    </div>\n\n    <div\n      *ngIf=\"true\"\n      class=\"define-framework-listing-body after-framework-listing\"\n    >\n      <div class=\"vx-d-flex vx-align-center vx-mb-2\">\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"true\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >TOTAL RESPONSIBILITIES</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ allControls?.length }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"false\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >RESPONSIBILITIES IN SCOPE</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ inScope.length }}</span\n            >\n          </div>\n        </div>\n        <div\n          class=\"vx-table-card vx-bg-white vx-d-flex vx-justify-between vx-align-center vx-mr-1 vx-pt-2 vx-pb-2 vx-pl-3 vx-pr-3 vx-w-100\"\n          [class.active]=\"false\"\n        >\n          <div class=\"left vx-d-block vx-w-100\">\n            <div class=\"label vx-d-flex vx-align-center\">\n              <label\n                class=\"vx-paragraph-txt vx-fw-500 vx-tt-uppercase vx-d-flex vx-justify-between vx-align-center\"\n                >RESPONSIBILITIES NOT IN SCOPE</label\n              >\n            </div>\n          </div>\n          <div class=\"right vx-d-flex vx-justify-end vx-w-100\">\n            <span\n              class=\"vx-txt-white vx-fw-500 vx-d-inline-block vx-text-center\"\n              >{{ allControls?.length - inScope?.length }}</span\n            >\n          </div>\n        </div>\n      </div>\n\n      <div class=\"search-block\">\n        <i class=\"icons\">&#xe90b;</i>\n        <input\n          [(ngModel)]=\"searchKeyforFramework\"\n          type=\"text\"\n          placeholder=\"Search\"\n        />\n      </div>\n      <!-- <div class=\"vx-mt-2\">\n                <vui-pagination></vui-pagination>\n            </div> -->\n      <div\n        class=\"define-framework-listing-table vx-mt-1\"\n        [class.with-pagination]=\"true\"\n      >\n        <div class=\"vx-mt-2\" *ngIf=\"issubLoading\">\n          <framework-loader></framework-loader>\n        </div>\n        <ng-container *ngIf=\"!issubLoading\">\n          <ng-container\n            *ngIf=\"\n              selectedFrameworkData?.data?.child_list_details\n                | searchPipe : searchKeyforFramework as frameworkCat\n            \"\n          >\n            <ng-container *ngIf=\"frameworkCat?.length\">\n              <div class=\"selected-area\">\n                <vui-checkbox\n                  #check\n                  (change)=\"selectAll($event)\"\n                  [disabled]=\"allControls?.length < 1\"\n                  [checked]=\"\n                    (allControlsSelected && isScope?.length > 0) ||\n                    inScope?.length > 0\n                  \"\n                  [indeterminateEnabled]=\"\n                    inScope?.length > 0 && !allControlsSelected\n                  \"\n                >\n                  {{ check?.checked ? \"Deselect All\" : \"Select All\" }}\n                </vui-checkbox>\n              </div>\n\n              <div\n                class=\"program-listing-item\"\n                [class.active]=\"subList\"\n                *ngFor=\"let subCat of frameworkCat; let k = index\"\n              >\n                <div\n                  class=\"table-row main-list\"\n                  [class.active]=\"false\"\n                  [class.disabled]=\"!subCat?.controlsData?.length\"\n                  (click)=\"subCategoryExpandCollapse(subCat)\"\n                >\n                  <div class=\"table-column serial\">\n                    <div class=\"sr-no\">{{ k + 1 }}</div>\n\n                    <vui-checkbox\n                      [indeterminateEnabled]=\"\n                        subCat?.controlsData | subCatIndeter : inScope\n                      \"\n                      [checked]=\"\n                        ((subCat?.controlsData | categoryAllSelect : inScope) ||\n                          (subCat?.controlsData | subCatIndeter : inScope)) &&\n                        subCat?.controlsData?.length\n                      \"\n                      (change)=\"selectCategory($event, subCat)\"\n                    ></vui-checkbox>\n                  </div>\n                  <div class=\"table-column name\">\n                    <div class=\"name-inner\">\n                      <div class=\"name-with-count\">\n                        <div\n                          class=\"value\"\n                          [appTooltip]=\"subCat?.name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          {{ subCat?.name }}\n                        </div>\n                        <span class=\"count\">{{\n                          subCat?.controlsData?.length\n                        }}</span>\n                      </div>\n                      <div class=\"within-part\" *ngIf=\"false\">\n                        <span class=\"within-box\">Within</span>\n                        <span\n                          class=\"value\"\n                          [appTooltip]=\"'South Africa > America > India'\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                          >South Africa > America > India</span\n                        >\n                      </div>\n                    </div>\n                  </div>\n                  <div class=\"table-column action\">\n                    <button\n                      class=\"arrow\"\n                      [class.disabled]=\"!subCat?.controlsData?.length\"\n                    >\n                      <i\n                        *ngIf=\"!expandedSubCategoryIds.includes(subCat?._id)\"\n                        class=\"icons\"\n                        >&#xe970;</i\n                      >\n                      <i\n                        *ngIf=\"expandedSubCategoryIds.includes(subCat?._id)\"\n                        class=\"icons\"\n                        >&#xe9e8;</i\n                      >\n                    </button>\n                  </div>\n                </div>\n                <div\n                  class=\"sub-list\"\n                  *ngIf=\"expandedSubCategoryIds.includes(subCat?._id)\"\n                >\n                  <div\n                    class=\"table-row\"\n                    [class.disabled]=\"false\"\n                    *ngFor=\"let control of subCat?.controlsData; let c = index\"\n                  >\n                    <div class=\"table-column serial\">\n                      <div class=\"sr-no\">{{ k + 1 + \".\" + (c + 1) }}</div>\n                      <vui-checkbox\n                        [checked]=\"inScopeIds.includes(control?._id)\"\n                        (change)=\"selectItem($event, control)\"\n                      ></vui-checkbox>\n                    </div>\n                    <div class=\"table-column name\">\n                      <div class=\"name-inner\">\n                        <div\n                          class=\"value\"\n                          [appTooltip]=\"control?.name\"\n                          placement=\"bottom-left\"\n                          delay=\"0\"\n                          type=\"black\"\n                          [tooltipMandatory]=\"false\"\n                        >\n                          {{ control?.name }}\n                        </div>\n                      </div>\n                    </div>\n                    <div class=\"table-column action\"></div>\n                  </div>\n                </div>\n              </div>\n            </ng-container>\n            <app-no-data\n              *ngIf=\"!frameworkCat?.length\"\n              [noDataImage]=\"ASSETS.search_data\"\n              [noDataText]=\"'No Frameworks Found'\"\n            ></app-no-data>\n          </ng-container>\n        </ng-container>\n      </div>\n    </div>\n  </ng-container>\n  <div class=\"define-framework-listing-footer\">\n    <vui-floating-bar\n      (closeEvent)=\"nextHandler()\"\n      (closeList)=\"cancelHandler()\"\n      *ngIf=\"currentView === 'FRAMEWORK_CATEGORY'\"\n      [nextDisabled]=\"!selectedFramework?._id\"\n    >\n      <div class=\"chip\" *ngIf=\"selectedFramework\">\n        <ng-container>\n          <i class=\"icons\" (click)=\"removeSelectedFramework()\">&#xe90d;</i>\n          <span class=\"value\"> {{ selectedFramework?.framework_name }}</span>\n        </ng-container>\n      </div>\n    </vui-floating-bar>\n    <vui-floating-bar\n      (closeEvent)=\"nextHandler()\"\n      (closeList)=\"cancelHandler()\"\n      *ngIf=\"currentView === 'FRAMEWORK'\"\n      [nextDisabled]=\"inScope?.length < 1\"\n    ></vui-floating-bar>\n  </div>\n</div>\n", styles: ["@import\"https://cdn.v-comply.com/design-system/css/icons/icons.css\";@import\"https://cdn.v-comply.com/design-system/css/text/text.css\";@import\"https://cdn.v-comply.com/design-system/css/color/color.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-left.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-right.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-top.css\";@import\"https://cdn.v-comply.com/design-system/css/padding/padding-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-left.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-right.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-top.css\";@import\"https://cdn.v-comply.com/design-system/css/margin/margin-bottom.css\";@import\"https://cdn.v-comply.com/design-system/css/width/width.css\";@import\"https://cdn.v-comply.com/design-system/css/table-card/table-card.css\";::ng-deep .define-framework-listing{background:#fff;position:fixed;inset:0 500px 0 0;border-top:3px solid #1E5DD3}::ng-deep .define-framework-listing.animate{animation:animate-right .2s cubic-bezier(.25,.46,.45,.94) both;z-index:-1}::ng-deep .define-framework-listing-head{background:#fbfbfb;height:42px;padding:0 18px;display:flex;justify-content:space-between;align-items:center;border:1px solid #f1f1f1;border-right:none}::ng-deep .define-framework-listing-title{color:#161b2f;font-size:15px;font-weight:500;margin:0!important;padding:0;line-height:21px}::ng-deep .define-framework-listing-body{padding:24px 40px 24px 36px;height:calc(100vh - 124px)}::ng-deep .define-framework-listing-body .search-block{position:relative}::ng-deep .define-framework-listing-body .search-block input{height:44px;line-height:24px;padding:10px 16px 10px 40px;outline:none;border:1px solid #7475763f;border-radius:4px;width:100%;font-size:14px;color:#747576}::ng-deep .define-framework-listing-body .search-block input:focus{border-color:#1e5dd3}::ng-deep .define-framework-listing-body .search-block i{position:absolute;left:17px;font-size:12px;font-weight:400;top:17px;pointer-events:none;color:#f1f1f1}::ng-deep .define-framework-listing-body.after-framework-listing .define-framework-listing-table{height:calc(100vh - 12.75rem)}::ng-deep .define-framework-listing-body.after-framework-listing .define-framework-listing-table.with-pagination{height:calc(100vh - 15.5rem)}::ng-deep .define-framework-listing-table{width:calc(100% + .75rem);height:calc(100vh - 16.75rem);overflow:auto;padding-right:.75rem}::ng-deep .define-framework-listing-table.with-pagination{height:calc(100vh - 19.5rem)}::ng-deep .define-framework-listing-table .table-header{background:#fff;position:sticky;top:0;z-index:1}::ng-deep .define-framework-listing-table .table-header .table-row .table-column{color:#161b2f!important;min-height:1.5rem!important}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial{position:relative}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:.125rem;position:absolute;top:.25rem;left:.5rem;width:1rem;height:1rem;transition:all .2s ease-in-out;opacity:0}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox .checkbox-item,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .define-framework-listing-table .table-header .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-header .table-row:hover .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-header .table-row.active .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-header .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-header .table-row.active .table-column.serial app-cs-checkbox{opacity:1}::ng-deep .define-framework-listing-table .table-body{position:relative}::ng-deep .define-framework-listing-table .table-body .table-item{border:1px solid #f1f1f1;border-radius:.25rem;margin-bottom:.25rem}::ng-deep .define-framework-listing-table .table-body .table-item.open{border-color:#1e5dd3;box-shadow:0 3px 6px #1e5dd31a}::ng-deep .define-framework-listing-table .table-body .table-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-body .table-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .table-body .table-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-body .table-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-body .table-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .define-framework-listing-table .table-body .table-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate{opacity:1}::ng-deep .define-framework-listing-table .table-row{display:flex;justify-content:space-between;position:relative}::ng-deep .define-framework-listing-table .table-row.main{cursor:pointer}::ng-deep .define-framework-listing-table .table-row.child{border-top:1px solid #f1f1f1}::ng-deep .define-framework-listing-table .table-row .table-column{color:#747576;min-height:2.5rem;position:relative;width:100%}::ng-deep .define-framework-listing-table .table-row .table-column.serial{width:2rem;max-width:2rem;flex:0 0 2rem;justify-content:center;position:relative}::ng-deep .define-framework-listing-table .table-row .table-column.serial .sr-no{width:1rem;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:.625rem;font-weight:500;display:flex;height:2.5rem;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio{background:#fff;border-radius:50%;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;transition:all .2s ease-in-out;opacity:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio .radio-item{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio .radio-item .radio,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-radio .radio-item .radiomark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:50%;position:absolute;top:.75rem;left:.5rem;width:1rem;height:1rem;transition:all .2s ease-in-out;opacity:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox .checkbox-item,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkboxmark,::ng-deep .define-framework-listing-table .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkboxmark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .table-row .table-column.category{width:calc(100% - 4.5rem);min-width:calc(100% - 4.5rem)}::ng-deep .define-framework-listing-table .table-row .table-column.category .category-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .define-framework-listing-table .table-row .table-column.category .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .define-framework-listing-table .table-row .table-column.category .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .define-framework-listing-table .table-row .table-column.category .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks{width:calc(100% - 26rem);min-width:calc(100% - 26rem)}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .frameworks-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .within{display:flex;align-items:center;justify-content:flex-start}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .within .block{background:#f1f1f1;border-radius:2px;padding:0 2px;line-height:14px;font-size:9px;font-weight:500;color:#042e7d;margin-right:6px;display:block;text-transform:uppercase}::ng-deep .define-framework-listing-table .table-row .table-column.frameworks .within .data{width:100%;display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#747576;font-size:11px;font-weight:400;line-height:17px}::ng-deep .define-framework-listing-table .table-row .table-column.in-scope{width:10rem;min-width:10rem}::ng-deep .define-framework-listing-table .table-row .table-column.in-scope .scope{border:1px solid #dbdbdb;border-radius:.125rem;min-width:1.75rem}::ng-deep .define-framework-listing-table .table-row .table-column.not-in-scope{width:11rem;min-width:11rem}::ng-deep .define-framework-listing-table .table-row .table-column.not-in-scope .scope{border:1px solid #dbdbdb;border-radius:.125rem;min-width:1.75rem}::ng-deep .define-framework-listing-table .table-row .table-column.action{width:2.5rem;min-width:2.5rem}::ng-deep .define-framework-listing-table .table-row .table-column.action button.arrow-btn{background:transparent;border-radius:0;border:none}::ng-deep .define-framework-listing-table .selected-area{background:#fff;height:32px;position:sticky;top:0;z-index:1}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:100%;height:16px}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item{width:100%;position:relative}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item .checkmark,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute!important;top:0;left:0}::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox .checkbox-item .value,::ng-deep .define-framework-listing-table .selected-area app-cs-checkbox-indeterminate .checkbox-item .value{color:#161b2f!important;font-size:12px!important;font-weight:500!important;margin-left:24px!important}::ng-deep .define-framework-listing-table .program-listing-item{border:1px solid #f1f1f1;border-radius:2px;margin-bottom:4px}::ng-deep .define-framework-listing-table .program-listing-item .main-list{cursor:pointer}::ng-deep .define-framework-listing-table .program-listing-item.active{border-color:#1e5dd3;box-shadow:0 3px 6px #4681ef26}::ng-deep .define-framework-listing-table .program-listing-item .table-row{display:flex;align-items:center;justify-content:space-between}::ng-deep .define-framework-listing-table .program-listing-item .table-row.disabled{pointer-events:none}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column{color:#747576;height:48px;position:relative;width:100%;display:flex;align-items:center;padding:0 4px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial{width:32px;max-width:32px;justify-content:center}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial .sr-no{width:16px;background:#f8f8f8;writing-mode:vertical-lr;color:#747576;font-size:10px;font-weight:500;display:flex;height:100%;align-items:center;justify-content:center;position:relative;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{position:absolute;top:14px;left:8px;opacity:0;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate{background:#fff;border-radius:2px;width:16px;height:16px;top:16px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox .checkbox-item .checkmark,::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial app-cs-checkbox-indeterminate .checkbox-item .checkmark{position:absolute;top:0;left:0}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial vui-checkbox{background:#fff;border-radius:2px;position:absolute;top:16px;left:8px;width:16px;height:16px;transition:all .2s ease-in-out}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.serial vui-checkbox .checkbox-item{position:static}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name{width:calc(100% - 64px);min-width:calc(100% - 64px)}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner{width:100%}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner .value{color:#161b2f;font-size:12px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-right:8px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner .count{background:#1e5dd3;border-radius:20px;color:#fff;font-size:9px;font-weight:500;line-height:16px;min-width:24px;display:inline-block;text-align:center;padding:0 4px}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.name .name-inner .name-with-count{display:flex;align-items:center;width:100%}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.action{width:32px;max-width:32px;justify-content:center}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.action button.arrow{background:transparent;border:none;border-radius:0;color:#747576;font-size:12px;padding:0;margin:0;display:flex;align-items:center;justify-content:center;height:100%;width:100%}::ng-deep .define-framework-listing-table .program-listing-item .table-row .table-column.action button.disabled{opacity:.5!important;pointer-events:none}::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial app-cs-checkbox-indeterminate,::ng-deep .define-framework-listing-table .program-listing-item .table-row:hover .table-column.serial vui-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .table-row.active .table-column.serial vui-checkbox{opacity:1}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row{border-top:1px solid #f1f1f1}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no,::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no{color:#f8f8f8}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row:hover .table-column.serial .sr-no vui-checkbox,::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row.active .table-column.serial .sr-no vui-checkbox{opacity:1}::ng-deep .define-framework-listing-table .program-listing-item .sub-list .table-row .table-column.name .name-inner .value{color:#747576;font-size:12px}::ng-deep .define-framework-listing-table .program-listing-item.active .table-row .table-column.serial app-cs-radio,::ng-deep .define-framework-listing-table .program-listing-item.active .table-row .table-column.serial app-cs-checkbox,::ng-deep .define-framework-listing-table .program-listing-item.active .table-row .table-column.serial app-cs-checkbox-indeterminate{opacity:1}.within-part{display:flex;align-items:center;padding-right:12px}.within-part .value{text-overflow:ellipsis!important;white-space:nowrap!important;overflow:hidden!important;font-size:11px!important;color:#747576!important}.within-box{background:#f1f1f1;border-radius:2px;color:#042e7d;font-size:9px;font-weight:600;text-transform:uppercase;padding:0 4px;margin-right:8px;line-height:12px}.disabled{pointer-events:none;opacity:.7}\n"] }]
        }], ctorParameters: function () { return [{ type: FrameworkService }]; }, propDecorators: { cancel: [{
                type: Output
            }], next: [{
                type: Output
            }], mode: [{
                type: Input
            }], setFramework: [{
                type: Input,
                args: ['selectedFramework']
            }] } });

class SelectedAssessmentPipe {
    transform(selectedData, category_id) {
        if (selectedData?.length) {
            const index = selectedData.findIndex((ele) => ele.category_id === category_id);
            if (index > -1) {
                return selectedData[index].assessmentIds;
            }
        }
        return [];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectedAssessmentPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SelectedAssessmentPipe, name: "selectedAssessment" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SelectedAssessmentPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'selectedAssessment'
                }]
        }] });

// import { AssessmentListModule } from './assessment-list/assessment-list.module';
// import { AssessmentPreviewModule } from '../../sharedComponents/assessment-preview/assessment-preview.module';
class CreateProgramUiModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateProgramUiModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CreateProgramUiModule, declarations: [
            // TabSelector,
            TickMarkComponent,
            FormFieldComponent,
            FilePillComponent,
            InputWithPillComponent,
            SwitchComponent,
            InputTrimDirective,
            RoleListComponent,
            CheckboxComponent$1,
            VuiFloatingBarComponent,
            SearchPipe,
            UserGroupListComponent,
            ListToIdPipe,
            RefDisconnectPipe,
            AssessmentPickerComponent,
            AssessmentLoaderComponent,
            AssessmentSubLoaderComponent,
            Pagination,
            DefineFrameworkListingComponent,
            CustomFieldComponent,
            LoaderComponent,
            LoaderFrameworkComponent,
            PagerPipe,
            CategoryAllSelectPipe,
            SubCatIndeterPipe,
            SearchNewPipe,
            SelectedAssessmentPipe,
            AssessmentResolverPipe,
            FilterPipe$1], imports: [CommonModule,
            TooltipModule,
            PaginationModule,
            PopoverModule,
            FormsModule,
            NoDataModule,
            FormgroupModule,
            AssessmentPreviewModule,
            VLoaderModule,
            SelectModule,
            TabSelector,
            PipesModule], exports: [TabSelector,
            TickMarkComponent,
            FormFieldComponent,
            FilePillComponent,
            InputWithPillComponent,
            SwitchComponent,
            InputTrimDirective,
            CheckboxComponent$1,
            RoleListComponent,
            PaginationModule,
            VuiFloatingBarComponent,
            UserGroupListComponent,
            ListToIdPipe,
            RefDisconnectPipe,
            AssessmentPickerComponent,
            Pagination,
            DefineFrameworkListingComponent,
            CustomFieldComponent,
            AssessmentResolverPipe] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateProgramUiModule, imports: [CommonModule,
            TooltipModule,
            PaginationModule,
            PopoverModule,
            FormsModule,
            NoDataModule,
            FormgroupModule,
            AssessmentPreviewModule,
            VLoaderModule,
            SelectModule,
            TabSelector,
            PipesModule, PaginationModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CreateProgramUiModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        // TabSelector,
                        TickMarkComponent,
                        FormFieldComponent,
                        FilePillComponent,
                        InputWithPillComponent,
                        SwitchComponent,
                        InputTrimDirective,
                        RoleListComponent,
                        CheckboxComponent$1,
                        VuiFloatingBarComponent,
                        SearchPipe,
                        UserGroupListComponent,
                        ListToIdPipe,
                        RefDisconnectPipe,
                        AssessmentPickerComponent,
                        AssessmentLoaderComponent,
                        AssessmentSubLoaderComponent,
                        Pagination,
                        DefineFrameworkListingComponent,
                        CustomFieldComponent,
                        LoaderComponent,
                        LoaderFrameworkComponent,
                        PagerPipe,
                        CategoryAllSelectPipe,
                        SubCatIndeterPipe,
                        SearchNewPipe,
                        SelectedAssessmentPipe,
                        AssessmentResolverPipe,
                        FilterPipe$1,
                        //TooltipMessagePipe,
                    ],
                    imports: [
                        CommonModule,
                        TooltipModule,
                        PaginationModule,
                        PopoverModule,
                        FormsModule,
                        NoDataModule,
                        FormgroupModule,
                        AssessmentPreviewModule,
                        VLoaderModule,
                        SelectModule,
                        TabSelector,
                        PipesModule,
                        // AssessmentListModule,
                    ],
                    exports: [
                        TabSelector,
                        TickMarkComponent,
                        FormFieldComponent,
                        FilePillComponent,
                        InputWithPillComponent,
                        SwitchComponent,
                        InputTrimDirective,
                        CheckboxComponent$1,
                        RoleListComponent,
                        PaginationModule,
                        VuiFloatingBarComponent,
                        UserGroupListComponent,
                        ListToIdPipe,
                        RefDisconnectPipe,
                        AssessmentPickerComponent,
                        Pagination,
                        DefineFrameworkListingComponent,
                        CustomFieldComponent,
                        AssessmentResolverPipe,
                        // TooltipMessagePipe,
                        // AssessmentListModule
                    ],
                }]
        }] });

class DirectiveModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, declarations: [StopPropagationDirective], imports: [CommonModule], exports: [StopPropagationDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        StopPropagationDirective,
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        StopPropagationDirective,
                    ]
                }]
        }] });

class GrcObjectModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectModule, declarations: [GrcObjectContainerComponent], imports: [CommonModule,
            FormsModule,
            TextFieldComponent,
            TextFieldIconComponent,
            VcomplyEditorModule,
            ListPopupComponent,
            TabSelector,
            EditModeComponent,
            AttributesComponent,
            SmileyDialogInlineModule,
            VLoaderModule,
            WorkflowPipesModule], exports: [GrcObjectContainerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectModule, imports: [CommonModule,
            FormsModule,
            TextFieldComponent,
            TextFieldIconComponent,
            VcomplyEditorModule,
            ListPopupComponent,
            TabSelector,
            EditModeComponent,
            AttributesComponent,
            SmileyDialogInlineModule,
            VLoaderModule,
            WorkflowPipesModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GrcObjectModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [GrcObjectContainerComponent],
                    imports: [
                        CommonModule,
                        FormsModule,
                        TextFieldComponent,
                        TextFieldIconComponent,
                        VcomplyEditorModule,
                        ListPopupComponent,
                        TabSelector,
                        EditModeComponent,
                        AttributesComponent,
                        SmileyDialogInlineModule,
                        VLoaderModule,
                        WorkflowPipesModule,
                    ],
                    exports: [GrcObjectContainerComponent],
                }]
        }] });

class TimePickerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TimePickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: TimePickerModule, declarations: [TimePickerComponent], imports: [CommonModule], exports: [TimePickerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TimePickerModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TimePickerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        TimePickerComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        TimePickerComponent
                    ]
                }]
        }] });

class LinkResponsibilityModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkResponsibilityModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: LinkResponsibilityModule, declarations: [LinkResponsibilityListComponent], imports: [CommonModule,
            FormsModule,
            PipesModule,
            FloatingBarModule,
            FormgroupModule$1,
            NoDataModule$1,
            VLoaderModule,
            PopoverModule,
            PaginationModule$1], exports: [LinkResponsibilityListComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkResponsibilityModule, imports: [CommonModule,
            FormsModule,
            PipesModule,
            FloatingBarModule,
            FormgroupModule$1,
            NoDataModule$1,
            VLoaderModule,
            PopoverModule,
            PaginationModule$1] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LinkResponsibilityModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [LinkResponsibilityListComponent],
                    imports: [
                        CommonModule,
                        FormsModule,
                        PipesModule,
                        FloatingBarModule,
                        FormgroupModule$1,
                        NoDataModule$1,
                        VLoaderModule,
                        PopoverModule,
                        PaginationModule$1
                    ],
                    exports: [LinkResponsibilityListComponent],
                }]
        }] });

class MultiSelectModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultiSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: MultiSelectModule, declarations: [CsMultiselectComponent,
            CsMultiselectOptionComponent], imports: [CommonModule,
            FormsModule,
            PopoverModule], exports: [CsMultiselectComponent,
            CsMultiselectOptionComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultiSelectModule, imports: [CommonModule,
            FormsModule,
            PopoverModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MultiSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CsMultiselectComponent,
                        CsMultiselectOptionComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        PopoverModule
                    ],
                    exports: [
                        CsMultiselectComponent,
                        CsMultiselectOptionComponent
                    ]
                }]
        }] });

class GetTemplateCategoryPipe {
    transform(value, list) {
        if (value.length === 0 || list.length === 0) {
            return [];
        }
        return list.filter((item) => value.includes(item.item_id));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetTemplateCategoryPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: GetTemplateCategoryPipe, name: "getTemplateCategory" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: GetTemplateCategoryPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'getTemplateCategory',
                }]
        }] });

class TemplatePipesModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplatePipesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: TemplatePipesModule, declarations: [GetTemplateCategoryPipe, SearchByKeysPipe], imports: [CommonModule], exports: [GetTemplateCategoryPipe, SearchByKeysPipe] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplatePipesModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TemplatePipesModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [GetTemplateCategoryPipe, SearchByKeysPipe],
                    imports: [CommonModule],
                    exports: [GetTemplateCategoryPipe, SearchByKeysPipe],
                }]
        }] });

class PolicyTemplateModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyTemplateModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PolicyTemplateModule, declarations: [TemplateListTableComponent, SelectTemplateListComponent], imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            NoDataModule$1,
            VLoaderModule,
            MultiSelectModule,
            FloatingBarModule,
            TemplatePipesModule,
            FormsModule,
            PipesModule,
            FormgroupModule$1,
            NgxDocViewerModule], exports: [TemplateListTableComponent, SelectTemplateListComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyTemplateModule, imports: [CommonModule,
            TooltipModule,
            PopoverModule,
            NoDataModule$1,
            VLoaderModule,
            MultiSelectModule,
            FloatingBarModule,
            TemplatePipesModule,
            FormsModule,
            PipesModule,
            FormgroupModule$1,
            NgxDocViewerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PolicyTemplateModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [TemplateListTableComponent, SelectTemplateListComponent],
                    imports: [
                        CommonModule,
                        TooltipModule,
                        PopoverModule,
                        NoDataModule$1,
                        VLoaderModule,
                        MultiSelectModule,
                        FloatingBarModule,
                        TemplatePipesModule,
                        FormsModule,
                        PipesModule,
                        FormgroupModule$1,
                        NgxDocViewerModule,
                    ],
                    exports: [TemplateListTableComponent, SelectTemplateListComponent],
                }]
        }] });

class VcDropdownModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VcDropdownModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: VcDropdownModule, declarations: [DropdownComponent$1], imports: [CommonModule, NgOptimizedImage, FormgroupModule$1, TooltipModule], exports: [DropdownComponent$1] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VcDropdownModule, imports: [CommonModule, FormgroupModule$1, TooltipModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VcDropdownModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DropdownComponent$1],
                    imports: [CommonModule, NgOptimizedImage, FormgroupModule$1, TooltipModule],
                    exports: [DropdownComponent$1],
                }]
        }] });

class FormSelectBoxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormSelectBoxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FormSelectBoxModule, declarations: [FormSelectBoxComponent, ChipCapsuleComponent], imports: [CommonModule,
            NgOptimizedImage,
            FormgroupModule$1,
            VcDropdownModule,
            TooltipModule,
            PopoverModule,
            VLoaderModule], exports: [FormSelectBoxComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormSelectBoxModule, imports: [CommonModule,
            FormgroupModule$1,
            VcDropdownModule,
            TooltipModule,
            PopoverModule,
            VLoaderModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormSelectBoxModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [FormSelectBoxComponent, ChipCapsuleComponent],
                    imports: [
                        CommonModule,
                        NgOptimizedImage,
                        FormgroupModule$1,
                        VcDropdownModule,
                        TooltipModule,
                        PopoverModule,
                        VLoaderModule
                    ],
                    exports: [FormSelectBoxComponent],
                }]
        }] });

class CheckboxListModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CheckboxListModule, declarations: [CheckboxListComponent], imports: [FormsModule,
            PipesModule,
            FloatingBarModule,
            VLoaderModule,
            CommonModule,
            FormgroupModule$1], exports: [CheckboxListComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxListModule, imports: [FormsModule,
            PipesModule,
            FloatingBarModule,
            VLoaderModule,
            CommonModule,
            FormgroupModule$1] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CheckboxListModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CheckboxListComponent],
                    exports: [CheckboxListComponent],
                    imports: [
                        FormsModule,
                        PipesModule,
                        FloatingBarModule,
                        VLoaderModule,
                        CommonModule,
                        FormgroupModule$1,
                    ],
                }]
        }] });

class FormatAndEvidenceModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatAndEvidenceModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FormatAndEvidenceModule, declarations: [FormatAndEvidenceComponent], imports: [CommonModule,
            FloatingBarModule,
            FormgroupModule$1,
            FormsModule,
            LineLoaderModule,
            NoDataModule$1,
            PipesModule,
            SelectModule,
            VLoaderModule], exports: [FormatAndEvidenceComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatAndEvidenceModule, imports: [CommonModule,
            FloatingBarModule,
            FormgroupModule$1,
            FormsModule,
            LineLoaderModule,
            NoDataModule$1,
            PipesModule,
            SelectModule,
            VLoaderModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FormatAndEvidenceModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [FormatAndEvidenceComponent],
                    imports: [
                        CommonModule,
                        FloatingBarModule,
                        FormgroupModule$1,
                        FormsModule,
                        LineLoaderModule,
                        NoDataModule$1,
                        PipesModule,
                        SelectModule,
                        VLoaderModule,
                    ],
                    exports: [FormatAndEvidenceComponent],
                }]
        }] });

class RadioListWithPaginationModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioListWithPaginationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: RadioListWithPaginationModule, declarations: [RadioListWithPaginationComponent, LinkTreatmentLoaderComponent], imports: [CommonModule, FormsModule, FloatingBarModule, NoDataModule$1, FormgroupModule$1, PaginationModule$1, PipesModule], exports: [RadioListWithPaginationComponent, LinkTreatmentLoaderComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioListWithPaginationModule, imports: [CommonModule, FormsModule, FloatingBarModule, NoDataModule$1, FormgroupModule$1, PaginationModule$1, PipesModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: RadioListWithPaginationModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [RadioListWithPaginationComponent, LinkTreatmentLoaderComponent],
                    exports: [RadioListWithPaginationComponent, LinkTreatmentLoaderComponent
                    ],
                    imports: [CommonModule, FormsModule, FloatingBarModule, NoDataModule$1, FormgroupModule$1, PaginationModule$1, PipesModule],
                }]
        }] });

class CategoryListSelectionModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryListSelectionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CategoryListSelectionModule, declarations: [CategoryListSelectionComponent], imports: [CommonModule, FloatingBarModule, NoDataModule$1, FormsModule, FormgroupModule$1, PaginationModule$1, RadioListWithPaginationModule, PipesModule], exports: [CategoryListSelectionComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryListSelectionModule, imports: [CommonModule, FloatingBarModule, NoDataModule$1, FormsModule, FormgroupModule$1, PaginationModule$1, RadioListWithPaginationModule, PipesModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CategoryListSelectionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CategoryListSelectionComponent],
                    imports: [CommonModule, FloatingBarModule, NoDataModule$1, FormsModule, FormgroupModule$1, PaginationModule$1, RadioListWithPaginationModule, PipesModule],
                    exports: [CategoryListSelectionComponent],
                }]
        }] });

class AutofocusDirective {
    constructor(el) {
        this.el = el;
    }
    ngAfterViewInit() {
        // Otherwise Angular throws error: Expression has changed after it was checked.
        window.setTimeout(() => {
            this.el.nativeElement.focus();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AutofocusDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: AutofocusDirective, selector: "[appAutofocus]", ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AutofocusDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appAutofocus]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; } });

class ConditionalFocusDirective {
    constructor(el) {
        this.el = el;
        this.appConditionalFocus = false;
    }
    ngOnChanges(change) {
        if (change?.appConditionalFocus && change?.appConditionalFocus?.currentValue === true) {
            this.focus();
        }
    }
    ngAfterViewInit() {
        // Otherwise Angular throws error: Expression has changed after it was checked.
        this.focus();
    }
    focus() {
        if (this.appConditionalFocus) {
            window.setTimeout(() => {
                this.el.nativeElement.focus();
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ConditionalFocusDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: ConditionalFocusDirective, selector: "[appConditionalFocus]", inputs: { appConditionalFocus: "appConditionalFocus" }, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ConditionalFocusDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appConditionalFocus]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { appConditionalFocus: [{
                type: Input
            }] } });

class DragDropDirective {
    constructor() {
        this.fileDropped = new EventEmitter();
    }
    // Dragover listener
    onDragOver(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = true;
    }
    // Dragleave listener
    onDragLeave(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = false;
    }
    // Drop listener
    ondrop(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        this.fileOver = false;
        let files = evt.dataTransfer.files;
        if (files.length > 0) {
            this.fileDropped.emit(files);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DragDropDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: DragDropDirective, selector: "[appDragDrop]", outputs: { fileDropped: "fileDropped" }, host: { listeners: { "dragover": "onDragOver($event)", "dragleave": "onDragLeave($event)", "drop": "ondrop($event)" }, properties: { "class.active": "this.fileOver" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DragDropDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appDragDrop]'
                }]
        }], propDecorators: { fileOver: [{
                type: HostBinding,
                args: ['class.active']
            }], fileDropped: [{
                type: Output
            }], onDragOver: [{
                type: HostListener,
                args: ['dragover', ['$event']]
            }], onDragLeave: [{
                type: HostListener,
                args: ['dragleave', ['$event']]
            }], ondrop: [{
                type: HostListener,
                args: ['drop', ['$event']]
            }] } });

class spaceTrimDirective {
    onKeyDown(event) {
        const input = event.target;
        let trimmed = input.value.trim();
        input.value = trimmed;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: spaceTrimDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: spaceTrimDirective, selector: "[spaceTrim]", host: { listeners: { "blur": "onKeyDown($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: spaceTrimDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[spaceTrim]'
                }]
        }], propDecorators: { onKeyDown: [{
                type: HostListener,
                args: ['blur', ['$event']]
            }] } });

class SharedDirectiveModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedDirectiveModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SharedDirectiveModule, declarations: [ScrollInViewDirective,
            AutofocusDirective,
            ConditionalFocusDirective,
            DragDropDirective,
            spaceTrimDirective], imports: [CommonModule], exports: [ScrollInViewDirective,
            AutofocusDirective,
            ConditionalFocusDirective,
            DragDropDirective,
            spaceTrimDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedDirectiveModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedDirectiveModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ScrollInViewDirective,
                        AutofocusDirective,
                        ConditionalFocusDirective,
                        DragDropDirective,
                        spaceTrimDirective,
                    ],
                    imports: [CommonModule],
                    exports: [
                        ScrollInViewDirective,
                        AutofocusDirective,
                        ConditionalFocusDirective,
                        DragDropDirective,
                        spaceTrimDirective,
                    ],
                    providers: [],
                }]
        }] });

class ReportCaseModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportCaseModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ReportCaseModule, declarations: [CaseTypeComponent,
            WorkflowCaseComponent,
            AssigneeComponent,
            DueDateComponent,
            InformationBlockComponent,
            CaseDetailsComponent,
            VCInputComponent,
            VCFormLabelComponent,
            FieldHolderComponent,
            RcDetailsComponent,
            CaseDropdownComponent,
            ReportDateComponent,
            CasePriorityComponent,
            CaseCategoryComponent,
            CaseResolutionDeadlineComponent,
            CaseAssigneesComponent,
            CaseOwnersComponent,
            LinkedAssessmentComponent,
            LinkedResponsibilitiesComponent,
            BannerComponent], imports: [CommonModule,
            TooltipModule,
            FloatingBarModule,
            FormgroupModule$1,
            DpDatePickerModule,
            VcomplyEditorModule,
            PopoverModule,
            VcDropdownModule,
            FormSelectBoxModule,
            FormsModule,
            RcListModule,
            FormatAndEvidenceModule,
            VLoaderModule,
            SmileyDialogInlineModule,
            CategoryListSelectionModule,
            SharedDirectiveModule,
            CheckboxListModule,
            PipesModule,
            GroupUsersListComponent,
            LinkResponsibilityModule], exports: [WorkflowCaseComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportCaseModule, imports: [CommonModule,
            TooltipModule,
            FloatingBarModule,
            FormgroupModule$1,
            DpDatePickerModule,
            VcomplyEditorModule,
            PopoverModule,
            VcDropdownModule,
            FormSelectBoxModule,
            FormsModule,
            RcListModule,
            FormatAndEvidenceModule,
            VLoaderModule,
            SmileyDialogInlineModule,
            CategoryListSelectionModule,
            SharedDirectiveModule,
            CheckboxListModule,
            PipesModule,
            GroupUsersListComponent,
            LinkResponsibilityModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ReportCaseModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CaseTypeComponent,
                        WorkflowCaseComponent,
                        AssigneeComponent,
                        DueDateComponent,
                        InformationBlockComponent,
                        CaseDetailsComponent,
                        VCInputComponent,
                        VCFormLabelComponent,
                        FieldHolderComponent,
                        RcDetailsComponent,
                        CaseDropdownComponent,
                        ReportDateComponent,
                        CasePriorityComponent,
                        CaseCategoryComponent,
                        CaseResolutionDeadlineComponent,
                        CaseAssigneesComponent,
                        CaseOwnersComponent,
                        LinkedAssessmentComponent,
                        LinkedResponsibilitiesComponent,
                        BannerComponent,
                    ],
                    imports: [
                        CommonModule,
                        TooltipModule,
                        FloatingBarModule,
                        FormgroupModule$1,
                        DpDatePickerModule,
                        VcomplyEditorModule,
                        PopoverModule,
                        VcDropdownModule,
                        FormSelectBoxModule,
                        FormsModule,
                        RcListModule,
                        FormatAndEvidenceModule,
                        VLoaderModule,
                        SmileyDialogInlineModule,
                        CategoryListSelectionModule,
                        SharedDirectiveModule,
                        CheckboxListModule,
                        PipesModule,
                        GroupUsersListComponent,
                        LinkResponsibilityModule,
                    ],
                    exports: [WorkflowCaseComponent],
                }]
        }] });

class VComplyWorkflowEngineModule {
    static forRoot(environmentConfig) {
        return {
            ngModule: VComplyWorkflowEngineModule,
            providers: [{ provide: Configurations, useValue: environmentConfig }],
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VComplyWorkflowEngineModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: VComplyWorkflowEngineModule, declarations: [WorkflowEngineContainerComponent,
            WorkflowRiskComponent,
            WorkflowComplianceComponent,
            WorkflowPolicyComponent,
            MoreOptionComponent,
            OwnerListComponent,
            UserRadioListComponent,
            CategoryListComponent,
            CategoryMultiSelectComponent,
            // FloatingBarComponent,
            WorkflowPaginationComponent,
            AddMultipleRiskComponent,
            BulkViewComponent,
            CheckpointsComponent,
            ConfirmationAlertComponent,
            CheckpointsQuestionsComponent,
            CheckpointsListComponent,
            ReviewFrequencyComponent,
            FrequencyContainerComponent,
            FrequencyDailyComponent,
            FrequencyWeeklyComponent,
            FrequencyMonthlyComponent,
            FrequencyQuarterlyComponent,
            FrequencyBiannualComponent,
            FrequencyAnnualComponent,
            FrequencyOneTimeComponent,
            FrequencyRandomComponent,
            FrequencyOnCompletionOfComponent,
            FrequencyOngoingComponent,
            FrequencyTopComponent,
            FrequencyLifecycleComponent,
            FrequencyDueDateComponent,
            FrequencyCheckboxListComponent,
            FrequencyRadioListComponent,
            AddMultipleResponsibilityComponent,
            BulkResponsibilityViewComponent,
            CheckpointsPolicyContainerComponent,
            CheckpointsPolicyListComponent,
            CheckpointsPolicyQuestionsComponent,
            WorkflowSurveyFormComponent,
            LogAnIssueComponent,
            FilterPipe,
            RadioListComponent,
            CreateDocumentsComponent,
            FrameworkListComponent,
            ParentTableComponent,
            CheckpointFloatingBarComponent,
            RiskClassificationComponent,
            ShortMergePipe,
            FormatHtmlPipe,
            WithinDataPipe,
            rcTreeToolTipPipe,
            ResponsibilityRiskSelectorComponent,
            ArrayFilterPipe,
            AuditCategoryListComponent,
            DocumentSectionComponent,
            DocumentSectionComponent,
            WorkflowAssessmentComponent,
            ImportAnAssessmentComponent,
            AssessmentListComponent,
            AssessmentListLoaderComponent,
            AssessmentListSubLoaderComponent,
            ProgramListingComponent,
            WorkflowProgramComponent,
            RolesListComponent,
            FrameworkListTableComponent,
            FrameworkResponsibilityTableComponent,
            FrameworkTableLoaderComponent,
            ArrayConcatPipe,
            SpaceTrimPipe,
            FrequencyDialogContainerComponent,
            FrequencyDialogWeeklyComponent,
            FrequencyDialogTopComponent,
            FrequencyDialogDueDateComponent,
            FrequencyDialogCheckboxListComponent,
            FrequencyDialogMonthlyComponent,
            FrequencyDialogQuarterlyComponent,
            FrequencyDialogRadioListComponent,
            FrequencyDialogBiannualComponent,
            FrequencyDialogAnnualComponent,
            FrequencyDialogOneTimeComponent,
            AddMultipleResponsibilityContainerComponent,
            AddMultipleResponsibilityWithTabComponent,
            FrequencyResponsibilityListComponent,
            ApprovalWorkflowComponent,
            SelectApproversComponent,
            PolicyAccessComponent,
            ApprovalWorkflowListComponent,
            ApprovalCreateFormComponent,
            LinkProgramComponent,
            TooltipValidationPipe,
            LinkRelatedPoliciesComponent,
            RiskClassPipe], imports: [ReactiveFormsModule,
            CreateAssessmentModule,
            // MarxEditorModule,
            VcomplyEditorModule,
            CommonModule,
            FormgroupModule$1,
            TooltipModule,
            PopoverModule,
            LineLoaderModule,
            FormsModule,
            SelectModule,
            NgxMaterialTimepickerModule,
            DpDatePickerModule,
            NoDataModule$1,
            VLoaderModule,
            SmileyDialogModule,
            SnackBarModule,
            HttpClientModule,
            SmileyDialogInlineModule,
            ClickOutsideModule,
            PopoverHoverModule,
            PaginationModule$1,
            CreateAssessmentModule,
            ActionDialogModule,
            AssessmentPreviewModule,
            CreateProgramUiModule,
            DirectiveModule,
            GrcObjectModule,
            RcListModule,
            PipesModule,
            FloatingBarModule,
            GroupUsersListComponent,
            // LinkProgramModule
            ListLoaderModule,
            GrcObjectListComponent,
            TimePickerModule,
            MultiSelectModule,
            PolicyTemplateModule,
            ReportCaseModule,
            FormatAndEvidenceModule,
            CheckboxListModule,
            RadioListWithPaginationModule,
            LinkResponsibilityModule], exports: [WorkflowEngineContainerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VComplyWorkflowEngineModule, imports: [ReactiveFormsModule,
            CreateAssessmentModule,
            // MarxEditorModule,
            VcomplyEditorModule,
            CommonModule,
            FormgroupModule$1,
            TooltipModule,
            PopoverModule,
            LineLoaderModule,
            FormsModule,
            SelectModule,
            NgxMaterialTimepickerModule,
            DpDatePickerModule,
            NoDataModule$1,
            VLoaderModule,
            SmileyDialogModule,
            SnackBarModule,
            HttpClientModule,
            SmileyDialogInlineModule,
            ClickOutsideModule,
            PopoverHoverModule,
            PaginationModule$1,
            CreateAssessmentModule,
            ActionDialogModule,
            AssessmentPreviewModule,
            CreateProgramUiModule,
            DirectiveModule,
            GrcObjectModule,
            RcListModule,
            PipesModule,
            FloatingBarModule,
            GroupUsersListComponent,
            // LinkProgramModule
            ListLoaderModule,
            GrcObjectListComponent,
            TimePickerModule,
            MultiSelectModule,
            PolicyTemplateModule,
            ReportCaseModule,
            FormatAndEvidenceModule,
            CheckboxListModule,
            RadioListWithPaginationModule,
            LinkResponsibilityModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: VComplyWorkflowEngineModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        WorkflowEngineContainerComponent,
                        WorkflowRiskComponent,
                        WorkflowComplianceComponent,
                        WorkflowPolicyComponent,
                        MoreOptionComponent,
                        OwnerListComponent,
                        UserRadioListComponent,
                        CategoryListComponent,
                        CategoryMultiSelectComponent,
                        // FloatingBarComponent,
                        WorkflowPaginationComponent,
                        AddMultipleRiskComponent,
                        BulkViewComponent,
                        CheckpointsComponent,
                        ConfirmationAlertComponent,
                        CheckpointsQuestionsComponent,
                        CheckpointsListComponent,
                        ReviewFrequencyComponent,
                        FrequencyContainerComponent,
                        FrequencyDailyComponent,
                        FrequencyWeeklyComponent,
                        FrequencyMonthlyComponent,
                        FrequencyQuarterlyComponent,
                        FrequencyBiannualComponent,
                        FrequencyAnnualComponent,
                        FrequencyOneTimeComponent,
                        FrequencyRandomComponent,
                        FrequencyOnCompletionOfComponent,
                        FrequencyOngoingComponent,
                        FrequencyTopComponent,
                        FrequencyLifecycleComponent,
                        FrequencyDueDateComponent,
                        FrequencyCheckboxListComponent,
                        FrequencyRadioListComponent,
                        AddMultipleResponsibilityComponent,
                        BulkResponsibilityViewComponent,
                        CheckpointsPolicyContainerComponent,
                        CheckpointsPolicyListComponent,
                        CheckpointsPolicyQuestionsComponent,
                        WorkflowSurveyFormComponent,
                        LogAnIssueComponent,
                        FilterPipe,
                        RadioListComponent,
                        CreateDocumentsComponent,
                        FrameworkListComponent,
                        ParentTableComponent,
                        CheckpointFloatingBarComponent,
                        RiskClassificationComponent,
                        ShortMergePipe,
                        FormatHtmlPipe,
                        WithinDataPipe,
                        rcTreeToolTipPipe,
                        ResponsibilityRiskSelectorComponent,
                        ArrayFilterPipe,
                        AuditCategoryListComponent,
                        DocumentSectionComponent,
                        DocumentSectionComponent,
                        WorkflowAssessmentComponent,
                        ImportAnAssessmentComponent,
                        AssessmentListComponent,
                        AssessmentListLoaderComponent,
                        AssessmentListSubLoaderComponent,
                        ProgramListingComponent,
                        WorkflowProgramComponent,
                        RolesListComponent,
                        FrameworkListTableComponent,
                        FrameworkResponsibilityTableComponent,
                        FrameworkTableLoaderComponent,
                        ArrayConcatPipe,
                        SpaceTrimPipe,
                        FrequencyDialogContainerComponent,
                        FrequencyDialogWeeklyComponent,
                        FrequencyDialogTopComponent,
                        FrequencyDialogDueDateComponent,
                        FrequencyDialogCheckboxListComponent,
                        FrequencyDialogMonthlyComponent,
                        FrequencyDialogQuarterlyComponent,
                        FrequencyDialogRadioListComponent,
                        FrequencyDialogBiannualComponent,
                        FrequencyDialogAnnualComponent,
                        FrequencyDialogOneTimeComponent,
                        AddMultipleResponsibilityContainerComponent,
                        AddMultipleResponsibilityWithTabComponent,
                        FrequencyResponsibilityListComponent,
                        ApprovalWorkflowComponent,
                        SelectApproversComponent,
                        PolicyAccessComponent,
                        ApprovalWorkflowListComponent,
                        ApprovalCreateFormComponent,
                        LinkProgramComponent,
                        TooltipValidationPipe,
                        LinkRelatedPoliciesComponent,
                        RiskClassPipe
                    ],
                    imports: [
                        ReactiveFormsModule,
                        CreateAssessmentModule,
                        // MarxEditorModule,
                        VcomplyEditorModule,
                        CommonModule,
                        FormgroupModule$1,
                        TooltipModule,
                        PopoverModule,
                        LineLoaderModule,
                        FormsModule,
                        SelectModule,
                        NgxMaterialTimepickerModule,
                        DpDatePickerModule,
                        NoDataModule$1,
                        VLoaderModule,
                        SmileyDialogModule,
                        SnackBarModule,
                        HttpClientModule,
                        SmileyDialogInlineModule,
                        ClickOutsideModule,
                        PopoverHoverModule,
                        PaginationModule$1,
                        CreateAssessmentModule,
                        ActionDialogModule,
                        AssessmentPreviewModule,
                        CreateProgramUiModule,
                        DirectiveModule,
                        GrcObjectModule,
                        RcListModule,
                        PipesModule,
                        FloatingBarModule,
                        GroupUsersListComponent,
                        // LinkProgramModule
                        ListLoaderModule,
                        GrcObjectListComponent,
                        TimePickerModule,
                        MultiSelectModule,
                        PolicyTemplateModule,
                        ReportCaseModule,
                        FormatAndEvidenceModule,
                        CheckboxListModule,
                        RadioListWithPaginationModule,
                        LinkResponsibilityModule
                    ],
                    exports: [WorkflowEngineContainerComponent],
                }]
        }] });

/*
 * Public API Surface of workflow-engine
 */

/**
 * Generated bundle index. Do not edit.
 */

export { VComplyWorkflowEngineModule, WorkflowEngineContainerComponent, WorkflowEngineService };
//# sourceMappingURL=vcomply-workflow-engine.mjs.map
